package it.asterisk.pbx.asterisk.wrap.actions;

import it.asterisk.AsteriskVersion;
import it.asterisk.pbx.Channel;
import it.asterisk.pbx.PBXFactory;
import it.asterisk.pbx.internal.core.AsteriskPBX;

public class StatusAction extends AbstractManagerAction implements EventGeneratingAction
{
	// used when the status of a single channel has been requested.
	final private Channel _channel;

	public StatusAction()
	{
		this._channel = null;
	}

	public StatusAction(Channel channel)
	{
		AsteriskPBX pbx = (AsteriskPBX) PBXFactory.getActivePBX();

		// channel specific request only available since 1.6
		if (pbx.getVersion().isAtLeast(AsteriskVersion.ASTERISK_1_6))
			this._channel = channel;
		else
			this._channel = null;
	}

	public it.asterisk.manager.action.ManagerAction getAJAction()
	{
		final it.asterisk.manager.action.StatusAction action;
		if (_channel == null)
			action = new it.asterisk.manager.action.StatusAction();
		else
			action = new it.asterisk.manager.action.StatusAction(_channel.getChannelName());

		return action;
	}

	@Override
	public it.asterisk.manager.action.EventGeneratingAction getAJEventGeneratingAction()
	{
		final it.asterisk.manager.action.StatusAction action = (it.asterisk.manager.action.StatusAction) getAJAction();
		action.setActionId(getActionId());

		return action;
	}

	public String toString()
	{
		return "StatusAction"; //$NON-NLS-1$
	}

}
