package it.asterisk.pbx.asterisk.wrap.events;

import it.asterisk.pbx.InvalidChannelName;

public class AbstractParkedCallEvent extends ChannelEventHelper
{
    private static final long serialVersionUID = 1L;


    private final String exten;
    private final String parkingLot;

    AbstractParkedCallEvent(final it.asterisk.manager.event.AbstractParkedCallEvent event) throws InvalidChannelName
    {
        super(event.getParkeeChannel(), event.getUniqueId(), event.getCallerIdNum(), event.getCallerIdName());
        this.exten = event.getExten();
        this.parkingLot = event.getParkingLot();
    }

    public String getExten()
    {
        return this.exten;
    }

    public String getParkingLot()
    {
        return this.parkingLot;
    }
}
