package it.asterisk.pbx.asterisk.wrap.events;

import it.asterisk.pbx.Channel;
import it.asterisk.pbx.InvalidChannelName;
import it.asterisk.pbx.PBXFactory;
import it.asterisk.pbx.internal.core.AsteriskPBX;
import it.asterisk.pbx.internal.core.ChannelImpl;

public class ParkedCallEvent extends ManagerEvent
{

    private static final long serialVersionUID = 1L;

    private final Channel fromChannel;
    private final Integer timeout;
    private String exten;

    public ParkedCallEvent(final it.asterisk.manager.event.ParkedCallEvent event) throws InvalidChannelName
    {
        super(event);
        final AsteriskPBX pbx = (AsteriskPBX) PBXFactory.getActivePBX();

        if (event.getParkerDialString() != null)
            this.fromChannel = pbx.internalRegisterChannel(event.getParkerDialString(), ChannelImpl.UNKNOWN_UNIQUE_ID);
        else
            this.fromChannel = null;
        this.timeout = event.getTimeout();
        this.exten = event.getExten();
    }

    /**
     * The channel that parked the call. In some circumstances this can be null.
     * 
     * @return
     */
    public Channel getFromChannel()
    {
        return this.fromChannel;
    }

    public Integer getTimeout()
    {
        return this.timeout;
    }

    public String getExten()
    {
        return this.exten;
    }

}
