package it.asterisk.pbx.asterisk.wrap.events;

import it.asterisk.pbx.Channel;
import it.asterisk.pbx.InvalidChannelName;
import it.asterisk.pbx.PBXFactory;
import it.asterisk.pbx.internal.core.AsteriskPBX;
import it.asterisk.pbx.internal.core.ChannelImpl;

public class UnparkedCallEvent extends AbstractParkedCallEvent
{
    private static final long serialVersionUID = 1L;

    private final Channel fromChannel;

    public UnparkedCallEvent(final it.asterisk.manager.event.UnparkedCallEvent event) throws InvalidChannelName
    {
        super(event);
        final AsteriskPBX pbx = (AsteriskPBX) PBXFactory.getActivePBX();

        this.fromChannel = pbx.internalRegisterChannel(event.getParkerDialString(), ChannelImpl.UNKNOWN_UNIQUE_ID);
    }

    public Channel getFromChannel()
    {
        return this.fromChannel;
    }

}
