package it.asterisk.pbx.internal.managerAPI;

import it.asterisk.pbx.Channel;
import it.asterisk.pbx.PBXException;
import it.asterisk.pbx.PBXFactory;
import it.asterisk.pbx.agi.AgiChannelActivityMeetme;
import it.asterisk.pbx.internal.core.AsteriskPBX;
import it.callite.log.AsteriskLog;

public class RedirectToMeetMe
{

    public RedirectToMeetMe()
    {
        super();
    }

    public boolean redirectToMeetme(final Channel channel, final String room, String bridgeProfile, String userProfile)
            throws PBXException
    {
        final AsteriskPBX pbx = (AsteriskPBX) PBXFactory.getActivePBX();
        /*
         * this procedure rediects the specified channel to the specified meetme
         * room. This is achieved through the dial plan. q option - don't
         * announce new members to meetme d option - dynamically create meetme x
         * option - close the conference when last marked user exits A options -
         * set marked user
         */

        AsteriskLog.info("redirect to Meetme channel " + channel + " room " + room, null);

        if (!pbx.moveChannelToAgi(channel))
        {
            throw new PBXException("Channel: " + channel + " couldn't be moved to agi");
        }
        channel.setCurrentActivityAction(new AgiChannelActivityMeetme(room, bridgeProfile, userProfile));

        return true;
    }

}
