package it.callite.action;
import java.io.Serializable;
import java.util.List;

import javax.faces.model.SelectItem;

import org.springframework.beans.factory.annotation.Autowired;

import it.callite.chiamate.Chiamate;
import it.callite.dao.ImpostazioneDao;
import it.callite.dao.OperazioneDao;
import it.callite.model.Utente;
import it.callite.model.report.MonitorOperatore;
import it.callite.utility.Alert;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
public class AlertBean implements Serializable {

	@Autowired
	private ImpostazioneDao impostazioneDao;

	@Autowired
	private OperazioneDao operazioneDao;

	private Alert alert;
	private Boolean notificaRapida = Boolean.FALSE;
	private Utente utente;

	public void chiudiRisposta() {
		alert = null;
	}

	public Alert getAlert() {
		return alert;
	}
	public void inviaRisposta() {
		if(alert != null) {
			Utente u = Chiamate.getCodaOperatori().getID(alert.getTo());
			if(u != null) {
				operazioneDao.inviaNotifica(alert.getBody(), u, alert.getTime());
			}
		}
		alert = null;
	}

	public void nuova() {
		alert = new Alert(utente.getUsername(), null, "");
	}

	public void setAlert(Alert alert) {
		this.alert = alert;
	}

	public AlertBean() {
	}

	public void imposta(Utente u) {
		notificaRapida = ApplicationUtil.isTrue(impostazioneDao.getNotificaRapida());
		utente = u;
	}	

	public Boolean getNotificaRapida() {
		return notificaRapida;
	}

	public List<SelectItem> getUtentiSI() {
		List<MonitorOperatore> ids = Chiamate.getCodaOperatori().list();
		return impostazioneDao.getUtenteOnline(ids, utente);
	}
	
	public boolean isValid() {
		if(alert != null) {
			String m = ApplicationUtil.trimToNull(alert.getBody());
			if(m != null) {
				return true;
			}
		}
		return false;
	}

}