package it.callite.action;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.Serializable;
import java.util.Collection;

import javax.faces.context.ExternalContext;
import javax.faces.context.FacesContext;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.annotation.Autowired;

import it.callite.dao.ImpostazioneDao;
import it.callite.log.ErrorLog;
import it.callite.model.messaggio.AllegatoMessaggio;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
public class AllegatoBean implements Serializable {
	
	private ByteArrayOutputStream bos;
	private String filename;
	private Integer elementi = 0;
	@Autowired
	private ImpostazioneDao impostazioneDao;
	
	private AllegatoMessaggio allegato;
	
	public void filename(String filename, Collection<?> ... elementi) {
		this.filename = filename;
		this.elementi = ApplicationUtil.sizeC(elementi);
	}
	
	public String getFilename() {
		return ApplicationUtil.getNameN(filename);
	}


	public ByteArrayOutputStream outputStream() {
		bos = new ByteArrayOutputStream();
		return bos;
	}

	public void response() {
		if(bos != null && filename != null) {
			try {
				byte [] b = bos.toByteArray();
				if(b != null  && b.length > 0 ) {
					FacesContext fc = ApplicationUtil.getFacesContext();
					ExternalContext ec = ApplicationUtil.getExternalContext(fc);
					HttpServletResponse response = ApplicationUtil.getResponse(ec);
					HttpServletRequest request = ApplicationUtil.getRequest(ec);
					ApplicationUtil.setResponse(elementi, impostazioneDao.getDownloadLogType(), false, null, request, response, filename);
					ServletOutputStream out = response.getOutputStream();
					out.write(b);
					//bos.flush();
					//bos.close();
					out.flush();
					out.close();
					fc.responseComplete();
				}
			} catch (IOException e) {
				ErrorLog.log(null, getClass(), e);
			}
		}
	}

	
	public AllegatoMessaggio getAllegato() {
		return allegato;
	}

	public void setAllegato(AllegatoMessaggio allegato) {
		this.allegato = allegato;
	}

	public void scaricaAllegato() {
		try {
			OutputStream out = this.outputStream();
			this.filename(allegato.getNome());

			InputStream is = new ByteArrayInputStream(allegato.getFile());
			ApplicationUtil.copy(is, out);
			response();
			if(bos != null) {
				bos.close();
			}
			is.close();

		} catch (Exception e) {
			ErrorLog.log(null, getClass(), e);
		}
	}
	
}