package it.callite.action;

import java.io.Serializable;
import java.util.Date;
import java.util.Map;

import org.richfaces.event.DropEvent;

import it.callite.dao.CalendarioDao;
import it.callite.model.Agente;
import it.callite.model.Appuntamento;
import it.callite.model.Nota;
import it.callite.model.Utente;
import it.callite.utility.Annotazione;
import it.callite.utility.ApplicationUtil;

@SuppressWarnings("serial")
public class CalendarBean implements Serializable {

	private CalendarioDao calendarioDao;

	public void processDrop(DropEvent event) {
		Map<String, String> map = ApplicationUtil.getRequestParameterMap();
		if(map != null) {
			if(event.getDragValue() instanceof Appuntamento) {
				Appuntamento appTmp = (Appuntamento) event.getDragValue();
				if(appTmp != null && ApplicationUtil.gtZero(appTmp.getId())) {
					Appuntamento app = (Appuntamento) calendarioDao.get(Appuntamento.class, appTmp.getId());
					if(app != null) {
						String orario = ApplicationUtil.trimToNull(map.get("orario"));
						String data = ApplicationUtil.trimToNull(map.get("data"));
						String agente = ApplicationUtil.trimToNull(map.get("agente"));
						String utente = ApplicationUtil.trimToNull(map.get("utente"));
						Date newData = ApplicationUtil.updateData(app.getData_appuntamento(), data, orario);
						app.imposta(newData);
						if(agente != null) {
							Long agenteId = Long.parseLong(agente);
							if(!agenteId.equals(app.getAgente().getId())) {
								app.setAgente((Agente) calendarioDao.get(Agente.class, agenteId));
							}
						}

						Utente user = null;
						if(utente != null) {
							user = (Utente) calendarioDao.get(Utente.class, Long.parseLong(utente));
						}
						calendarioDao.salvaAppuntamento(app, user);
					}
				}
			}

			if(event.getDragValue() instanceof Annotazione) {
				Annotazione nn = (Annotazione) event.getDragValue();
				Nota notaTmp = nn.getNota();
				if(notaTmp != null && ApplicationUtil.gtZero(notaTmp.getId())) {
					Nota nota = (Nota) calendarioDao.get(Nota.class, notaTmp.getId());
					if(nota != null) {
						String orario = ApplicationUtil.trimToNull(map.get("orario"));
						String data = ApplicationUtil.trimToNull(map.get("data"));
						String agente = ApplicationUtil.trimToNull(map.get("agente"));
						String utente = ApplicationUtil.trimToNull(map.get("utente"));
						Date newData = ApplicationUtil.updateData(nota.getData_nota(), data, orario);
						nota.imposta(newData);
						nn.setPassato(nota.getData_fine().before(ApplicationUtil.date()));
						if(agente != null) {
							Long agenteId = Long.parseLong(agente);
							if(!agenteId.equals(nota.getAgente().getId())) {
								nota.setAgente((Agente) calendarioDao.get(Agente.class, agenteId));
							}
						}

						Utente user = null;
						if(utente != null) {
							user = (Utente) calendarioDao.get(Utente.class, Long.parseLong(utente));
						}
						calendarioDao.salvaNota(nota, user);
					}
				}

			}
		}

	}

	public void setCalendarioDao(CalendarioDao calendarioDao) {
		this.calendarioDao = calendarioDao;
	}



}