package it.callite.action;
import java.io.Serializable;
import java.lang.reflect.Method;
import java.util.Iterator;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;

import it.callite.constants.ConstantsGlobal;
import it.callite.dao.DataDao;
import it.callite.model.Criterio;
import it.callite.model.Utente;
import it.callite.utility.ApplicationUtil;

@SuppressWarnings("serial")
public class CriterioBean implements Serializable {

	private String action;
	private Serializable categoria;
	private Criterio selezionato;
	private Utente utente;
	@Autowired
	private DataDao dataDao;


	public void deleteCriterio() {
		if(selezionato != null) {
			dataDao.cancellaAggiorna(selezionato);
		}
	}
	public void eliminaTutti() {
		List<Criterio> criteri = dataDao.getCriterio(utente.getId(), ApplicationUtil.uncapitalize(categoria.getClass().getSimpleName()), false);
		dataDao.cancellaLista(criteri);
	}
	public String execute() {
		return action;
	}
	public String getAction() {
		return action;
	}

	public Serializable getCategoria() {
		return categoria;
	}

	public List<Criterio> getListCriterio() {
		return dataDao.getCriterio(utente.getId(), ApplicationUtil.uncapitalize(categoria.getClass().getSimpleName()), true);
	}


	public Criterio getNuovo() {
		return new Criterio();
	}


	public Criterio getSelezionato() {
		return selezionato;
	}
	public Utente getUtente() {
		return utente;
	}
	public Object impostaCriterio(Object a) {
		if(selezionato != null) {
			Object c = (Object) ApplicationUtil.deserialize(selezionato.getSeriale());
			if(c != null) {
				try {
					Method m = c.getClass().getMethod("doImposta");
					m.invoke(c);
					return c;
				} catch (Exception e) {}
			}
		}
		return a;
	}

	public Object loadCriterio(Object a, String b) {
		Criterio criterio = dataDao.loadCriterioPredefinito(utente.getId(), a.getClass().getSimpleName());
		if(criterio != null) {
			Object c = (Object) ApplicationUtil.deserialize(criterio.getSeriale());
			if(c != null) {
				try {
					Method m = c.getClass().getMethod("doImposta");
					m.invoke(c);
					return c;
				} catch (Exception e) {}
			}
		} else {
			try {
				Method m = a.getClass().getMethod("setCriteria", String.class);
				m.invoke(a, b);
			} catch (Exception e) {}
		}
		return a;
	}

	public void saveCriterio() {
		if(selezionato == null) {
			selezionato = getNuovo();
		}
		if(selezionato.getId() == null) {
			selezionato.setUtente(utente);
			selezionato.setCategoria(ApplicationUtil.uncapitalize(categoria.getClass().getSimpleName()));
			selezionato.setSeriale(ApplicationUtil.serialize(categoria));
		}
		if(ApplicationUtil.gtZero(selezionato.getTipo()) && selezionato.getTipo().equals(ConstantsGlobal.predefinito) ) {
			List<Criterio> criteri = dataDao.getCriteriPredefinite(selezionato);
			if(ApplicationUtil.notEmpty(criteri)) {
				Iterator<Criterio> objIter = criteri.iterator();
				while(objIter.hasNext()) {
					Criterio criterio = objIter.next();
					criterio.setTipo(ConstantsGlobal.normale);
					dataDao.salvaAggiorna(criterio);
				}
			}
		}
		dataDao.salvaAggiorna(selezionato);

	}


	public void setAction(String action) {
		this.action = action;
	}

	public void setCategoria(Serializable categoria) {
		this.categoria = categoria;
	}

	public void setSelezionato(Criterio selezionato) {
		this.selezionato = selezionato;
	}


	public void setUtente(Utente utente) {
		this.utente = utente;
	}

}