package it.callite.action;

import java.io.Serializable;

import org.richfaces.event.UploadEvent;
import org.springframework.beans.factory.annotation.Autowired;

import it.callite.constants.ConstantsGlobal;
import it.callite.dao.ImpostazioneDao;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.MyFile;
@SuppressWarnings("serial")
public class FileUploadBean implements Serializable {

	private MyFile file;
	private String seriale;
	private String message;

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	@Autowired
	private DownloadBean downloadBean;
	@Autowired
	private ImpostazioneDao impostazioneDao;

	public String getSeriale() {
		return seriale;
	}

	public void setSeriale(String seriale) {
		this.seriale = seriale;
	}

	public MyFile getFile() {
		return file;
	}

	public void setFile(MyFile file) {
		this.file = file;
	}

	public FileUploadBean() {
	}

	public void single(UploadEvent event) {
		file = ApplicationUtil.myFile(event.getUploadItem(), ConstantsGlobal.SIZE);
		if(file != null) {
			ApplicationUtil.upload(impostazioneDao.getUploadLogType(), file, null);
		} 
		message = ApplicationUtil.sizeError(event.getUploadItem(), ConstantsGlobal.SIZE);
	}

	public String getSerial() {
		return ApplicationUtil.serialize(file);
	}

	public void scarica() {
		MyFile file = (MyFile) ApplicationUtil.deserialize(seriale);
		if(file != null) {
			impostazioneDao.scarica(file, downloadBean);
		}
		seriale = null;
	}

	public void clearUploadData() {
		file = null;
	}

}