package it.callite.action;
import java.util.HashMap;

import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsLanguage;
import it.callite.constants.ConstantsMap;
import it.callite.dao.AnagraficaDao;
import it.callite.message.Message;
import it.callite.model.CampoAggiuntivoAnagrafica;
import it.callite.model.CampoAggiuntivoContratto;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
public class GruppoBean extends HashMap<String, String> {
	private AnagraficaDao anagraficaDao;
	public String get(Object item) {
		String chiave = ApplicationUtil.trimToEmpty((String) item);
		if(!ConstantsMap.totalM.contains(chiave)) {
			String gruppo = anagraficaDao.getGruppoByChiave(CampoAggiuntivoAnagrafica.class, chiave);
			if(ApplicationUtil.isBlank(gruppo)) {
				gruppo = anagraficaDao.getGruppoByChiave(CampoAggiuntivoContratto.class, chiave);
			}
			if(ApplicationUtil.isNotBlank(gruppo)) {
				return gruppo;
			}
			return ConstantsLanguage.NOGROUP.stampa();
		}
		String testo = Message.addCatalogText(chiave);
		if(testo.contains(ConstantsGlobal.ereditaEtichetta)) {
			return ApplicationUtil.substringBefore(testo, ConstantsGlobal.ereditaEtichetta);
		} else {
			return "";
		}
	}
	public void setAnagraficaDao(AnagraficaDao anagraficaDao) {
		this.anagraficaDao = anagraficaDao;
	}
}