package it.callite.action;
import it.callite.dao.UserDao;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.item.AgenteSI;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import org.richfaces.component.UITree;
import org.richfaces.component.state.TreeStateAdvisor;
import org.richfaces.event.NodeSelectedEvent;
import org.richfaces.model.TreeRowKey;
import org.springframework.beans.factory.annotation.Autowired;

@SuppressWarnings("serial")
public class ReteUtenteBean implements TreeStateAdvisor, Serializable {
	private List<AgenteSI> agenti = new ArrayList<AgenteSI>();
	private Long utenteId;
	@Autowired
	private UserDao userDao;

	@SuppressWarnings("unchecked")
	public Boolean adviseNodeOpened(UITree tree) {
		Object key = tree.getRowKey();
		TreeRowKey<AgenteSI> treeRowKey = (TreeRowKey<AgenteSI>) key;
		if (treeRowKey == null || treeRowKey.depth() <= 0) {
			return Boolean.TRUE;
		}
		return null;
	}

	@SuppressWarnings("unchecked")
	public Boolean adviseNodeSelected(UITree tree) {
		AgenteSI agente = (AgenteSI) tree.getRowData();
		Object key = tree.getRowKey();
		Integer max = userDao.getMaxLivelloRete();
		TreeRowKey<AgenteSI> treeRowKey = (TreeRowKey<AgenteSI>) key;
		if(!(ApplicationUtil.gtZero(max) && (treeRowKey.depth() > max.intValue()))) {
			agente.setNodes(userDao.getAgentiFigli(agente.getId()));
		}
		return null;
	}
	public List<AgenteSI> getRoots() {
		if(ApplicationUtil.empty(agenti)) {
			agenti.addAll(userDao.getAgentiSIByUtenteId(utenteId));
		}
		return agenti;
	}

	public Long getUtenteId() {
		return utenteId;
	}

	public void onSelect(final NodeSelectedEvent event) {
		//		HtmlTree theTree = (HtmlTree) event.getComponent();
		//		if (null == theTree) {
		//			return;
		//		}
		//		Agente agente = (Agente) theTree.getRowData();
	}


	public void reset() {
		utenteId = null;
		agenti.clear();
	}

	public void setUtenteId(Long utenteId) {
		this.utenteId = utenteId;
	}

}