package it.callite.action;
import java.io.Serializable;

import org.springframework.beans.factory.annotation.Autowired;

import it.callite.dao.PannelloDao;
import it.callite.model.Utente;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
public class RichiamoBean implements Serializable {
	private Integer archiviati;
	private Integer notifica;
	private Integer privati;
	private String tipo;
	private Utente utente;
	@Autowired
	private PannelloDao pannelloDao;
	
	public RichiamoBean() {
	}
	public Integer getArchiviati() {
		if(archiviati == null && utente != null) {
			archiviati = pannelloDao.getRichiamiPersonali(getTipo(), false , utente.getId());
		}
		return archiviati;
	}
	public Integer getPrivati() {
		if(privati == null && utente != null) {
			privati = pannelloDao.getRichiamiPersonali(getTipo(), true , utente.getId());
		}
		return privati;
	}
	
	public String getTipo() {
		return ApplicationUtil.trimToNull(tipo);
	}
	public void imposta(Integer notifica, Utente utente) {
		this.notifica = notifica;
		this.utente = utente;
	}
	public boolean isNotifica0() {
		return ApplicationUtil.eq(notifica, 0);
	}
	public boolean isNotifica1() {
		return ApplicationUtil.eq(notifica, 1);
	}
	public boolean isVisibile() {
		return isNotifica1();
	}
	
	public void setArchiviati(Integer archiviati) {
		this.archiviati = archiviati;
	}
	
	public void setTipo(String tipo) {
		this.tipo = ApplicationUtil.trimToNull(tipo);
	}
	public void update() {
		if(utente != null) {
			archiviati = pannelloDao.getRichiamiPersonali(getTipo(), false , utente.getId());
			privati = pannelloDao.getRichiamiPersonali(getTipo(), true, utente.getId());
		}
	}
}