package it.callite.autodialer.autodial;

import java.util.List;
import java.util.Map;

import it.asterisk.fastagi.AgiChannel;
import it.asterisk.fastagi.AgiRequest;
import it.asterisk.fastagi.AgiScript;
import it.asterisk.fastagi.BaseAgiScript;
import it.callite.chiamate.Chiamate;
import it.callite.constants.ConstantsGlobal;
import it.callite.dao.AutodialerDao;
import it.callite.model.Contatto;
import it.callite.model.Risposta;
import it.callite.model.sip.SipBuddies;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.DatoAggiuntivo;
import it.callite.utility.IntervalloInbound;
import it.callite.utility.IntervalloInboundUtil;
import it.callite.utility.ParameterAutodialer;

public class IVRManager extends BaseAgiScript implements AgiScript {

	private AutodialerDao autodialerDao;

	public IVRManager(AutodialerDao autodialerDao) {
		super();
		this.autodialerDao = autodialerDao;
	}

	public void service(AgiRequest request, AgiChannel chanel){
		try {
			String [] args = request.getArguments();
			String chDC = ApplicationUtil.trimToNull(args[0]);
			String chSC = ApplicationUtil.getVariable(chanel, ConstantsGlobal.CLIENTE);
			String chDO = ApplicationUtil.getVariable(chanel, ConstantsGlobal.CONTATTO);
			String chDU = ApplicationUtil.getVariable(chanel, ConstantsGlobal.USERFIELD);
			//String chDC = ApplicationUtil.getVariable(chanel, ConstantsGlobal.STENSIONE);
			if(chDC != null) {
				String chD = "";
				String chS = "";
				String musicclass = null;
				String contextI = null;
				Boolean soloHangup = null;
				SipBuddies trunk = null;
				Contatto contatto = null;
				Risposta risposta = autodialerDao.getRisposta(chDC, false);
				if(risposta != null) {
					chD = ApplicationUtil.clearChiamante(risposta.getExtension());
					chS = ApplicationUtil.clearChiamante(ApplicationUtil.uniforma(chSC, risposta.getRem_prefisso(), risposta.getAdd_prefisso()));
					musicclass = risposta.getMusicclass();
					contextI = risposta.getContext();
					trunk = risposta.getTrunk();
					soloHangup =  ApplicationUtil.isTrue(risposta.getSoloHangup());
				} else {
					chD = ApplicationUtil.clearChiamante(chDC);
					chS = ApplicationUtil.clearChiamante(chSC);
					musicclass = null;
					contextI = null;
					trunk = null;
					soloHangup =  Boolean.FALSE;
				}
				if(ApplicationUtil.notZero(chDO)) {
					Long id = ApplicationUtil.toLong(chDO);
					contatto = Chiamate.getCodaRisposta().update(id);
					if(contatto == null) {
						contatto = autodialerDao.getContatto(id);
						if(contatto != null) {
							if(ApplicationUtil.notZero(chDU)) {
								contatto.setUserfield(chDU);
							}
							Chiamate.getCodaRisposta().put(contatto);
						}
					}
				}
				ParameterAutodialer pa = new ParameterAutodialer(trunk, null, musicclass);
				String mc =  musicclass != null ? musicclass : pa.getMusicclass();
				ApplicationUtil.ascolto(chanel, mc);
				if(contextI != null) {
					chanel.setContext(contextI);
					chanel.setExtension(ConstantsGlobal.extensionS);
					chanel.setPriority(ConstantsGlobal.priority + "");
				}
				if(risposta != null) {
					risposta.load();
					IntervalloInboundUtil util = risposta.getUtil();
					if(util != null) {
						List<IntervalloInbound> rules = util.getIntervallo();
						if(ApplicationUtil.notEmpty(rules)) {
							Map<String, DatoAggiuntivo> valori = autodialerDao.loadValori(contatto);
							if(autodialerDao.isVariabile()) {
								ApplicationUtil.impostaVariabili(chanel, valori);
							}
							autodialerDao.intervalloInbound(chanel, rules, valori, null, chS, chD);
							if(soloHangup) {
								chanel.hangup();
							}
						}
					}
				}
			}
		} catch (Exception e) {	}
	}
}