package it.callite.autodialer.response;
import it.asterisk.manager.ManagerEventListener;
import it.asterisk.manager.event.BridgeEnterEvent;
import it.asterisk.manager.event.BridgeLeaveEvent;
import it.asterisk.manager.event.ChanSpyStartEvent;
import it.asterisk.manager.event.ChanSpyStopEvent;
import it.asterisk.manager.event.ConnectEvent;
import it.asterisk.manager.event.DialBeginEvent;
import it.asterisk.manager.event.DialEndEvent;
import it.asterisk.manager.event.HangupEvent;
import it.asterisk.manager.event.HangupRequestEvent;
import it.asterisk.manager.event.ManagerEvent;
import it.asterisk.manager.event.NewStateEvent;
import it.asterisk.manager.event.OriginateResponseEvent;
import it.asterisk.manager.event.PeerStatusEvent;
import it.asterisk.manager.event.QueueCallerAbandonEvent;
import it.asterisk.manager.event.QueueCallerJoinEvent;
import it.asterisk.manager.event.QueueCallerLeaveEvent;
import it.asterisk.manager.event.QueueMemberAddedEvent;
import it.asterisk.manager.event.QueueMemberPauseEvent;
import it.asterisk.manager.event.QueueMemberRemovedEvent;
import it.asterisk.manager.event.QueueMemberStatusEvent;
import it.asterisk.manager.event.SoftHangupRequestEvent;
import it.callite.constants.ConstantsGlobal;
import it.callite.dao.AutodialerDao;
public class ManagerEventResponse implements ManagerEventListener {
	private AutodialerDao autodialerDao;
	public ManagerEventResponse(AutodialerDao autodialerDao) {
		this.autodialerDao = autodialerDao;
	}
	public void onManagerEvent(ManagerEvent event) {
		if (event instanceof OriginateResponseEvent) {
			OriginateResponseEvent evento = (OriginateResponseEvent) event;
			String response = evento.getResponse();
			if (response != null && response.equalsIgnoreCase(ConstantsGlobal.SUCCESS)) {
				autodialerDao.eventOriginateResponseSuccess(evento);
			} else {
				autodialerDao.eventOriginateResponseFailure(evento);
			}
		} else if (event instanceof NewStateEvent) {
			NewStateEvent evento = (NewStateEvent) event;
			autodialerDao.eventNewState(evento);
		} else if(event instanceof DialBeginEvent) {
			DialBeginEvent evento = (DialBeginEvent) event;
			autodialerDao.eventDialBegin(evento);
		} else if(event instanceof DialEndEvent) {
			DialEndEvent evento = (DialEndEvent) event;
			autodialerDao.eventDialEnd(evento);
		} else if (event instanceof HangupRequestEvent) {
			HangupRequestEvent evento = (HangupRequestEvent) event;
			autodialerDao.eventHangupRequest(evento);
		} else if (event instanceof SoftHangupRequestEvent) {
			SoftHangupRequestEvent evento = (SoftHangupRequestEvent) event;
			autodialerDao.eventSoftHangupRequest(evento);
		} else if(event instanceof HangupEvent) {
			HangupEvent evento = (HangupEvent) event;
			autodialerDao.eventHangup(evento);
		} else if (event instanceof PeerStatusEvent) {
			PeerStatusEvent evento = (PeerStatusEvent) event;
			autodialerDao.peerStatus(evento);
		} else if (event instanceof ChanSpyStartEvent) {
			ChanSpyStartEvent evento = (ChanSpyStartEvent) event;
			autodialerDao.spyStart(evento);
		} else if (event instanceof ChanSpyStopEvent) {
			ChanSpyStopEvent evento = (ChanSpyStopEvent) event;
			autodialerDao.spyStop(evento);
		} else if (event instanceof QueueCallerJoinEvent) {
			autodialerDao.aggiungiCodaC(event);
		} else if (event instanceof QueueCallerAbandonEvent) {
			autodialerDao.rimuoviCodaC(event);
		} else if (event instanceof QueueCallerLeaveEvent) {
			autodialerDao.rimuoviCodaC(event);
		} else if (event instanceof QueueMemberAddedEvent) {
			autodialerDao.aggiungiCodaU(event);
		} else if (event instanceof QueueMemberPauseEvent) {
			autodialerDao.aggiungiCodaU(event);
		} else if (event instanceof QueueMemberStatusEvent) {
			autodialerDao.aggiungiCodaU(event);
		} else if (event instanceof QueueMemberRemovedEvent) {
			autodialerDao.rimuoviCodaU(event);
		} else if (event instanceof ConnectEvent) {
			autodialerDao.ricarica();
		} else if (event instanceof BridgeEnterEvent) {
			BridgeEnterEvent evento = (BridgeEnterEvent) event;
			autodialerDao.bridge(evento);
		} else if (event instanceof BridgeLeaveEvent) {
			BridgeLeaveEvent evento = (BridgeLeaveEvent) event;
			autodialerDao.bridge(evento);
		} 
	}
}