package it.callite.autoinvio.coda;


import java.util.ArrayList;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;

import it.callite.model.Contatto;
import it.callite.utility.ApplicationUtil;


public class CodaContattiTotali {

	private Map<Long, Contatto> data;

	public CodaContattiTotali() {
		data = new HashMap<Long, Contatto>();
	}

	public synchronized void clear() {
		data.clear();
	}

	public synchronized Contatto get(Long id){
		return data.get(id);
	}

	public synchronized void put(Contatto auto){
		data.put(auto.getId(), auto);
	}

	public  synchronized Contatto remove(Long id) {
		return data.remove(id);
	}

	public synchronized Contatto remove() {
		if(ApplicationUtil.notEmpty(data)) {
			return data.remove(data.keySet().iterator().next());
		}
		return null;
	}

	public synchronized int getSize() {
		return data.size();
	}

	public synchronized boolean isEmpty() {
		return data.size() == 0;
	}

	public synchronized List<Contatto> list(){
		return new ArrayList<Contatto>(data.values());
	}

	public synchronized void removeContatti(List<Contatto> contatti) {
		if(ApplicationUtil.notEmpty(data) && ApplicationUtil.notEmpty(contatti)) {
			Set<Long> lngList = data.keySet();
			Set<Long> removeList = new HashSet<Long>();
			Iterator<Contatto> lnt = contatti.iterator();
			while (lnt.hasNext()) {
				Contatto tmp = lnt.next();
				if(lngList.contains(tmp.getId())) {
					removeList.add(tmp.getId());
				}
			}
			if(ApplicationUtil.notEmpty(removeList)) {
				data.keySet().removeAll(removeList);
			}
		}
	}


}