package it.callite.autoinvio.coda;

import it.callite.model.Smtp;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.MailSupport;



public class CodaManagerContatti {

	private CodaContattiTotali codaContattiTotali;
	private CodaContattiFalliti codaContattiFalliti;
	private CodaContattiRiusciti codaContattiRiusciti;
	private MailSupport mailSupport;
	private boolean sospeso;
	private boolean caricato;
	
	public void clear() {
		this.codaContattiTotali.clear();
		this.codaContattiFalliti.clear();
		this.codaContattiRiusciti.clear();
		this.sospeso = true;
		this.caricato = false;
	}
	
	public CodaManagerContatti() {
		this.codaContattiTotali = new CodaContattiTotali();
		this.codaContattiFalliti = new CodaContattiFalliti();
		this.codaContattiRiusciti = new CodaContattiRiusciti();
		this.sospeso = true;
		this.caricato = false;
	}
	
	public void setMailSupport(Smtp smtp) {
		this.mailSupport = ApplicationUtil.getMailSupport(false, smtp);
	}

	public MailSupport getMailSupport() {
		return mailSupport;
	}

	public boolean isSospeso() {
		return sospeso;
	}
	
	public boolean isCaricato() {
		return caricato;
	}
	
	public void caricato() {
		this.caricato = true;
	}

	public void sospendi() {
		this.sospeso = true;
	}
	
	public void avvia() {
		this.sospeso = false;
	}

	public CodaContattiTotali getCodaContattiTotali() {
		return codaContattiTotali;
	}

	public void setCodaContattiTotali(CodaContattiTotali codaContattiTotali) {
		this.codaContattiTotali = codaContattiTotali;
	}

	public CodaContattiFalliti getCodaContattiFalliti() {
		return codaContattiFalliti;
	}

	public void setCodaContattiFalliti(CodaContattiFalliti codaContattiFalliti) {
		this.codaContattiFalliti = codaContattiFalliti;
	}

	public CodaContattiRiusciti getCodaContattiRiusciti() {
		return codaContattiRiusciti;
	}

	public void setCodaContattiRiusciti(CodaContattiRiusciti codaContattiRiusciti) {
		this.codaContattiRiusciti = codaContattiRiusciti;
	}
	
	
	
}
