package it.callite.autoinvio.email;

import it.callite.autoinvio.coda.CodaManagerContatti;
import it.callite.dao.AutoInvioDao;
import it.callite.model.AutoProcessEmail;


public class ContattoAvvioProcessoEmail extends Thread {


	private AutoProcessEmail ape;
	private AutoInvioDao autoInvioDao;
	private CodaManagerContatti codaManagerContatti;

	public AutoProcessEmail getAutoProcessEmail() {
		return ape;
	}

	public ContattoAvvioProcessoEmail(AutoInvioDao autoInvioDao, AutoProcessEmail ape) {
		this.ape = ape;
		this.autoInvioDao = autoInvioDao;
		this.codaManagerContatti = new CodaManagerContatti();
		this.codaManagerContatti.setMailSupport(ape.getEmailTemplate().getSmtp());
	}

	public void run() {
		codaManagerContatti.caricato();
		new EmailConsumatoreContatto(codaManagerContatti, autoInvioDao, ape).start();
		new EmailProduttoreContatto(codaManagerContatti, autoInvioDao, ape).start();
	}

	public CodaManagerContatti getCodaManagerContatti(){
		return codaManagerContatti;
	}

	public void sospendi(){
		this.ape.setAttivo(false);
		this.codaManagerContatti.sospendi();
		this.codaManagerContatti.getMailSupport().close();
	}

	public void avvia(AutoProcessEmail apeN){
		if(apeN != null) {
			this.ape = apeN;
		}
		this.ape.setAttivo(true);
		this.codaManagerContatti.setMailSupport(this.ape.getEmailTemplate().getSmtp());
		this.codaManagerContatti.avvia();
	}

	public void ricarica(AutoProcessEmail apeN){
		this.ape = apeN;
		this.ape.setAttivo(false);
		this.codaManagerContatti.sospendi();
		this.codaManagerContatti.getMailSupport().close();
		this.ape.setAttivo(true);
		this.codaManagerContatti.setMailSupport(this.ape.getEmailTemplate().getSmtp());
		this.codaManagerContatti.avvia();
	}
	
	public void replace(AutoProcessEmail apeN){
		this.ape = apeN;
	}
}
