package it.callite.autoinvio.rmail;

import it.callite.autoinvio.coda.CodaManagerContatti;
import it.callite.dao.AutoInvioDao;
import it.callite.model.AutoProcessRmail;


public class ContattoAvvioProcessoRmail extends Thread {


	private AutoProcessRmail ape;
	private AutoInvioDao autoInvioDao;
	private CodaManagerContatti codaManagerContatti;

	public AutoProcessRmail getAutoProcessRmail() {
		return ape;
	}

	public ContattoAvvioProcessoRmail(AutoInvioDao autoInvioDao, AutoProcessRmail ape) {
		this.ape = ape;
		this.autoInvioDao = autoInvioDao;
		this.codaManagerContatti = new CodaManagerContatti();
		this.codaManagerContatti.setMailSupport(ape.getRmailTemplate().getSmtp());
	}

	public void run() {
		
		codaManagerContatti.caricato();

		new RmailConsumatoreContatto(codaManagerContatti, autoInvioDao, ape).start();
		new RmailProduttoreContatto(codaManagerContatti, autoInvioDao, ape).start();
	}

	public CodaManagerContatti getCodaManagerContatti(){
		return codaManagerContatti;
	}

	public void sospendi(){
		this.ape.setAttivo(false);
		this.codaManagerContatti.sospendi();
		this.codaManagerContatti.getMailSupport().close();
	}

	public void avvia(AutoProcessRmail apeN){
		if(apeN != null) {
			this.ape = apeN;
		}
		this.ape.setAttivo(true);
		this.codaManagerContatti.setMailSupport(this.ape.getRmailTemplate().getSmtp());
		this.codaManagerContatti.avvia();
	}

	public void ricarica(AutoProcessRmail apeN){
		this.ape = apeN;
		this.ape.setAttivo(false);
		this.codaManagerContatti.sospendi();
		this.codaManagerContatti.getMailSupport().close();
		this.ape.setAttivo(true);
		this.codaManagerContatti.setMailSupport(this.ape.getRmailTemplate().getSmtp());
		this.codaManagerContatti.avvia();
	}
	
	public void replace(AutoProcessRmail apeN){
		this.ape = apeN;
	}
}
