package it.callite.chiamate;



import java.util.ArrayList;
import java.util.List;

import it.callite.utility.ApplicationUtil;


public class CodaInterni {

	private List<String> liberi;
	private List<String> registrati;

	public CodaInterni() {
		this.liberi  = new ArrayList<String>();
		this.registrati  = new ArrayList<String>();
	}

	public synchronized void clear() {
		this.liberi.clear();
		this.registrati.clear();
	}

	
	public synchronized boolean isLibero(String key){
		if(ApplicationUtil.isNotBlank(key)) {
			return  liberi.contains(key);
		}
		return false;
	}

	public synchronized boolean isRegistrato(String key){
		if(ApplicationUtil.isNotBlank(key)) {
			return  registrati.contains(key);
		}
		return false;
	}

	public synchronized List<String> liberi(){
		return liberi;
	}

	public synchronized List<String> registrati(){
		return registrati;
	}

	public synchronized void stato(String key, boolean libero){
		if(ApplicationUtil.isNotBlank(key)) {
			if(libero && !liberi.contains(key)) {
				liberi.add(key);
			}

			if(!libero && liberi.contains(key)) {
				liberi.remove(key);
			}
		}
	}

	public synchronized void accesso(String key, boolean login) {
		if(ApplicationUtil.isNotBlank(key)) {
			if(login && !registrati.contains(key)) {
				registrati.add(key);
			}
			if(!login && registrati.contains(key)) {
				registrati.remove(key);
			}
		}
	}
	
	public synchronized int liberiSize(){
		return liberi.size();
	}

	public synchronized int registratiSize(){
		return registrati.size();
	}

}