package it.callite.chiamate;



import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;

import it.callite.autodialer.controllo.CodaManager;
import it.callite.model.Campagna;
import it.callite.utility.ApplicationUtil;


public class CodaProcessi {

	private Map<Campagna, CodaManager> data;

	public CodaProcessi() {
		data = new HashMap<Campagna, CodaManager>();
	}

	public synchronized void clear() {
		data.clear();
	}

	public synchronized void remove(Campagna campagna) {
		data.remove(campagna);
	}

	public synchronized void removeList(Set<Campagna> campagne) {
		data.keySet().removeAll(campagne);
	}

	public synchronized CodaManager get(Campagna campagna) {
		return data.get(campagna);
	}

	public synchronized void put(Campagna campagna, CodaManager ic) {
		data.put(campagna, ic);
	}

	public synchronized boolean hasPrecedenza(Campagna campagna) {
		if(campagna != null) {
			CodaManager codaManager = data.get(campagna);
			if(codaManager != null) {
				Campagna c = codaManager.getCampagna();
				if(c != null) {
					return ApplicationUtil.isTrue(c.getAutodialer().getPrecedenza());
				}
			}
		}
		return false;
	}

	public synchronized int getSize() {
		return data.size();
	}

	public synchronized Set<Campagna>  keySet() {
		return data.keySet();
	}


	public synchronized boolean contains(Campagna campagna){
		if (ApplicationUtil.notEmpty(data)) {
			return data.containsKey(campagna);
		}
		return false;
	}


	public synchronized List<CodaManager> list(){
		return new ArrayList<CodaManager>(data.values());
	}

	public synchronized Map<Campagna, CodaManager> getData() {
		return data;
	}

}