package it.callite.chiamate;


import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;

import it.callite.constants.ConstantsGlobal;
import it.callite.model.Contatto;
import it.callite.utility.ApplicationUtil;


public class CodaRisposta {

	private Map<Long, Contatto> data;

	public CodaRisposta() {
		data = new HashMap<Long, Contatto>();
	}

	public synchronized void clear() {
		data.clear();
	}

	public synchronized boolean contains(Long id){
		return data.containsKey(id);
	}

	public synchronized Contatto update(Long id){
		if(id != null) {
			Contatto ic = data.get(id);
			if(ic != null) {
				ic.setTempoRisposta(System.currentTimeMillis());
				return ic;
			}
		}
		return null;
	}

	public synchronized Contatto remove(Long id) {
		if(id != null) {
			return data.remove(id);
		}
		return null;
	}

	public synchronized void put(Contatto contatto) {
		if(contatto!=null) {
			contatto.setTempoRisposta(System.currentTimeMillis());
			data.put(contatto.getId(), contatto);
		}
	}

	public synchronized List<Contatto> timeout(Date date){
		List<Contatto> lsch = new ArrayList<Contatto>();
		if(ApplicationUtil.notEmpty(data)) {
			Set<Long> lngList = data.keySet();
			Iterator<Long> lnt = lngList.iterator();
			while (lnt.hasNext()) {
				Contatto tmp = data.get(lnt.next());
				if(tmp!= null && tmp.getTempoRisposta() != null && ((date.getTime() - tmp.getTempoRisposta().longValue()) > ConstantsGlobal.timeoutRisposta)) {
					lsch.add(tmp);
				}
			}
		}
		return lsch;
	}

	public synchronized int getSize() {
		return data.size();
	}

	public synchronized boolean isEmpty() {
		return data.size() == 0;
	}

	public synchronized List<Contatto> list(){
		return new ArrayList<Contatto>(data.values());
	}


}