package it.callite.chiamate;



import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;

import it.callite.model.Campagna;
import it.callite.model.report.OperatoriStatistiche;


public class CodaStatistiche {

	private Map<Campagna, OperatoriStatistiche> data;

	public CodaStatistiche() {
		data = new HashMap<Campagna, OperatoriStatistiche>();
	}

	public synchronized void clear() {
		data.clear();
	}
	
	public synchronized OperatoriStatistiche get(Campagna campagna) {
		OperatoriStatistiche o = data.get(campagna);
		if(o == null) {
			o = new OperatoriStatistiche();
			data.put(campagna, o);
		}
		return o;
	}
	
	public synchronized int getSize() {
		return data.size();
	}

	public synchronized Set<Campagna>  keySet() {
		return data.keySet();
	}

	public synchronized List<OperatoriStatistiche> list(){
		return new ArrayList<OperatoriStatistiche>(data.values());
	}

}