package it.callite.chiamate;


import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;

import it.callite.utility.ApplicationUtil;
import it.callite.utility.InfoTelefono;


public class CodaTelefono {

	private Map<String, InfoTelefono> data;

	public CodaTelefono() {
		data = new HashMap<String, InfoTelefono>();
	}

	public synchronized void clear() {
		data.clear();
	}

	public void put(String telefono, String stato){
		if(telefono != null) {
			InfoTelefono info = data.get(telefono);
			if(info ==  null) {
				info = new InfoTelefono();
			} 
			info.setTelefono(telefono);
			if(stato != null) {
				info.setStato(stato);
			}
			info.setData_aggiornamento(ApplicationUtil.date());
			data.put(telefono, info);
		}
	}
	

	public synchronized void remove(String telefono){
		data.remove(telefono);
	}

	public synchronized int getSize() {
		return data.size();
	}
	
	public synchronized Set<String> getKey() {
		return data.keySet();
	}

	public synchronized boolean isEmpty() {
		return data.size() == 0;
	}

	public synchronized List<InfoTelefono> list(){
		return new ArrayList<InfoTelefono>(data.values());
	}

	


}