package it.callite.column;

import java.io.Serializable;
import java.util.Iterator;
import java.util.Set;

import it.callite.column.generic.GenericColumn;
import it.callite.constants.ConstantsColumn;
import it.callite.constants.ConstantsMap;

public class StoriaContattoColumn  extends GenericColumn implements Serializable {
	
	private static final long serialVersionUID = 1L;

	public StoriaContattoColumn() {
		doReset();
	}
	public Set<String> getKeyContatto() {
		return ConstantsMap.mapContatto;
	}
	public Set<String> getKeyAnagrafica() {
		return ConstantsMap.mapAnagrafica;
	}
	
	public Set<String> getKeyIndirizzoLegale() {
		return ConstantsMap.mapIndirizzoLegale;
	}
	
	public Set<String> getKeyIndirizzoOperativo() {
		return ConstantsMap.mapIndirizzoOperativo;
	}
	public Set<String> getKeyConsenso() {
		return ConstantsMap.mapConsenso;
	}
	
	public String doReset(){
		reset();
		
		Iterator<String> contattoIter = getKeyContatto().iterator();
		while(contattoIter.hasNext()) {
			add(ConstantsMap.contatto, contattoIter.next(), false);
		}
		
		Iterator<String> anagraficaIter = getKeyAnagrafica().iterator();
		while(anagraficaIter.hasNext()) {
			add(ConstantsMap.anagrafica, anagraficaIter.next(), false);
		}
		
		Iterator<String> indirizzoLegaleIter = getKeyIndirizzoLegale().iterator();
		while(indirizzoLegaleIter.hasNext()) {
			add(ConstantsMap.indirizzo_legale, indirizzoLegaleIter.next(), false);
		}
		
		Iterator<String> indirizzoOperativoIter = getKeyIndirizzoOperativo().iterator();
		while(indirizzoOperativoIter.hasNext()) {
			add(ConstantsMap.indirizzo_operativo, indirizzoOperativoIter.next(), false);
		}
		
		Iterator<String> consensoIter = getKeyConsenso().iterator();
		while(consensoIter.hasNext()) {
			add(ConstantsMap.consenso, consensoIter.next(), false);
		}
		
		
		add(ConstantsColumn.data, ConstantsColumn.date_apertura, 			false);
		add(ConstantsColumn.data, ConstantsColumn.date_chiamata, 			false);
		add(ConstantsColumn.data, ConstantsColumn.date_risposta, 			false);
		add(ConstantsColumn.data, ConstantsColumn.date_rec_inizio, 			false);
		add(ConstantsColumn.data, ConstantsColumn.date_rec_fine, 			false);
		add(ConstantsColumn.data, ConstantsColumn.date_fine, 				false);
		add(ConstantsColumn.data, ConstantsColumn.date_esito, 				false);
		add(ConstantsColumn.data, ConstantsColumn.date_attesa_inizio,		false);
		add(ConstantsColumn.data, ConstantsColumn.date_attesa_fine,			false);

		add(ConstantsColumn.tempoS, ConstantsColumn.secondi_tot, 			false);
		add(ConstantsColumn.tempoS, ConstantsColumn.secondi_conv_eff, 		false);
		add(ConstantsColumn.tempoS, ConstantsColumn.secondi_conv_tot, 		false);
		add(ConstantsColumn.tempoS, ConstantsColumn.secondi_post, 			false);
		add(ConstantsColumn.tempoS, ConstantsColumn.secondi_pre, 			false);
		add(ConstantsColumn.tempoS, ConstantsColumn.secondi_rec, 			false);
		add(ConstantsColumn.tempoS, ConstantsColumn.secondi_attesa, 		false);

		add(ConstantsColumn.tempoH, ConstantsColumn.secondi_totH, 			false);
		add(ConstantsColumn.tempoH, ConstantsColumn.secondi_conv_effH, 		false);
		add(ConstantsColumn.tempoH, ConstantsColumn.secondi_conv_totH, 		false);
		add(ConstantsColumn.tempoH, ConstantsColumn.secondi_postH, 			false);
		add(ConstantsColumn.tempoH, ConstantsColumn.secondi_preH, 			false);
		add(ConstantsColumn.tempoH, ConstantsColumn.secondi_recH, 			false);
		add(ConstantsColumn.tempoH, ConstantsColumn.secondi_attesaH, 		false);
		
		add(ConstantsColumn.id,						true);
		add(ConstantsColumn.data, 					true);
		add(ConstantsColumn.bloccato, 				true);
		add(ConstantsColumn.campagna, 				true);
		add(ConstantsColumn.lista, 					false);
		add(ConstantsColumn.visibile, 				false);
		add(ConstantsColumn.esito_chiamata, 		true);
		add(ConstantsColumn.esito_archiviazione, 	true);
		add(ConstantsColumn.esito_generale, 		false);
		add(ConstantsColumn.data_presentazione,		false);
		add(ConstantsColumn.data_archiviazione,		false);
		add(ConstantsColumn.utile, 					false);
		add(ConstantsColumn.positivo, 				false);
		add(ConstantsColumn.chiuso,					false);
		add(ConstantsColumn.anagrafica, 			true);
		add(ConstantsColumn.telefono, 				false);
		add(ConstantsColumn.email,	 				false);
		add(ConstantsColumn.link, 					false);
		add(ConstantsColumn.dati_base,				false);
		add(ConstantsColumn.dati_fiscali,			false);
		add(ConstantsColumn.agente, 				false);
		add(ConstantsColumn.proprietario, 			false);
		add(ConstantsColumn.operatore, 				true);
		add(ConstantsColumn.nota, 					false);
		add(ConstantsColumn.tipo, 					false);
		
		
		ordinamento(ConstantsColumn.id);
		ordinamento(ConstantsColumn.data);
		ordinamento(ConstantsColumn.bloccato);
		ordinamento(ConstantsColumn.data_presentazione);
		ordinamento(ConstantsColumn.data_archiviazione);
		ordinamento(ConstantsColumn.chiuso);
		ordinamento(ConstantsColumn.tipo);
		ordinamento(ConstantsColumn.secondi_tot);
		ordinamento(ConstantsColumn.secondi_conv_eff);
		ordinamento(ConstantsColumn.secondi_conv_tot);
		ordinamento(ConstantsColumn.secondi_post);
		ordinamento(ConstantsColumn.secondi_pre);
		ordinamento(ConstantsColumn.secondi_rec);
		ordinamento(ConstantsColumn.secondi_attesa);
		ordinamento(ConstantsColumn.date_apertura);
		ordinamento(ConstantsColumn.date_chiamata);
		ordinamento(ConstantsColumn.date_risposta);
		ordinamento(ConstantsColumn.date_rec_inizio);
		ordinamento(ConstantsColumn.date_rec_fine);
		ordinamento(ConstantsColumn.date_fine);
		ordinamento(ConstantsColumn.date_esito);
		ordinamento(ConstantsColumn.date_attesa_inizio);
		ordinamento(ConstantsColumn.date_attesa_fine);
		return getAction();
	}
	
	
}
