package it.callite.column.generic;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

import it.callite.constants.ConstantsGlobal;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.GruppoColonna;

public abstract class GenericColumn implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private Map<String, Boolean> mappa = new LinkedHashMap<String, Boolean>();
	private Map<String, GruppoColonna> mappaG = new LinkedHashMap<String, GruppoColonna>();
	private Map<Long, Boolean> mappaA = new LinkedHashMap<Long, Boolean>();
	private Map<Long, Boolean> mappaC = new LinkedHashMap<Long, Boolean>();

	private List<String> ordinamento = new ArrayList<String>();

	public void addCampi(Map<Long, ?> campiA, Map<Long, ?>  campiC) {
		ApplicationUtil.elabora(campiA, mappaA);
		ApplicationUtil.elabora(campiC, mappaC);
	}

	public Boolean getAggiuntiviA() {
		if (ApplicationUtil.notEmpty(mappaA)) {
			Iterator<Long> objIter = mappaA.keySet().iterator();
			while(objIter.hasNext()) {
				Long colonna = objIter.next();
				if(ApplicationUtil.isTrue(mappaA.get(colonna))){
					return true;
				}
			}
		}
		return false;
	}

	public Boolean getAggiuntiviC() {
		if (ApplicationUtil.notEmpty(mappaC)) {
			Iterator<Long> objIter = mappaC.keySet().iterator();
			while(objIter.hasNext()) {
				Long colonna = objIter.next();
				if(ApplicationUtil.isTrue(mappaC.get(colonna))){
					return true;
				}
			}
		}
		return false;
	}

	public Boolean getColonna(String colonna){
		if (ApplicationUtil.notEmpty(mappa) && colonna != null) {
			return ApplicationUtil.isTrue(mappa.get(colonna));
		}
		return false;
	}

	public void reset() {
		mappaG.clear();
		mappa.clear();
		ordinamento.clear();
		ApplicationUtil.resetMap(mappaA);
		ApplicationUtil.resetMap(mappaC);
	}

	public void add(String key, boolean value) {
		if(!mappa.containsKey(key)) {
			mappa.put(key, value);
		}
	}


	public void add(String group, String colonna, boolean value) {
		GruppoColonna m =	mappaG.get(group);
		if(m == null) {
			m = new GruppoColonna();
			mappaG.put(group, m);
		}
		if(!m.containsKey(colonna)) {
			m.put(colonna, value);
		}
	}

	public void addSeparatore(String k) {
		mappa.put(k, null);
	}

	public void ordinamento(String key) {
		ordinamento.add(key);
	}

	public List<String> getOrdinamento() {
		return ordinamento;
	}

	public List<String> getTipo() {
		List<String> tipo = new ArrayList<String>();
		tipo.add(ConstantsGlobal.asc);
		tipo.add(ConstantsGlobal.desc);
		return tipo;
	}

	public Map<String, GruppoColonna> getMappaG() {
		return mappaG;
	}

	public Map<String, Boolean> getMappa() {
		return mappa;
	}

	public Map<Long, Boolean> getMappaA() {
		return mappaA;
	}

	public Map<Long, Boolean> getMappaC() {
		return mappaC;
	}

	public String doTutti(){
		if (ApplicationUtil.notEmpty(mappa)) {
			Iterator<String> objIter = mappa.keySet().iterator();
			while(objIter.hasNext()) {
				String colonna = objIter.next();
				Boolean b = mappa.get(colonna);
				if(b != null) {
					mappa.put(colonna, true);
				}
			}
		}
		if (ApplicationUtil.notEmpty(mappaG)) {
			Iterator<String> objIter = mappaG.keySet().iterator();
			while(objIter.hasNext()) {
				String colonna = objIter.next();
				GruppoColonna m = mappaG.get(colonna);
				if (m != null) {
					Iterator<String> mIter = m.getMappa().keySet().iterator();
					while(mIter.hasNext()) {
						String mi = mIter.next();
						m.put(mi, true);
					}
				}
			}
		}
		if (ApplicationUtil.notEmpty(mappaA)) {
			Iterator<Long> objIter = mappaA.keySet().iterator();
			while(objIter.hasNext()) {
				Long colonna = objIter.next();
				mappaA.put(colonna, true);
			}
		}

		if (ApplicationUtil.notEmpty(mappaC)) {
			Iterator<Long> objIter = mappaC.keySet().iterator();
			while(objIter.hasNext()) {
				Long colonna = objIter.next();
				mappaC.put(colonna, true);
			}
		}
		return action;
	}

	public void doImposta(GenericColumn m){
		if(m != null) {
			mappa = m.getMappa();
			mappaG = m.getMappaG();
			mappaA =  m.getMappaA();
			mappaC =  m.getMappaC();
			//ordinamento = m.getOrdinamento();
		}
	}

	public boolean getVisibile(String gruppo, String colonna){
		if (ApplicationUtil.notEmpty(mappaG)) {
			GruppoColonna m = mappaG.get(gruppo);
			if (m != null) {
				return ApplicationUtil.isTrue(m.get(colonna));
			}
		}
		return false;
	}

	public String doAzzera(){
		if (ApplicationUtil.notEmpty(mappa)) {
			Iterator<String> objIter = mappa.keySet().iterator();
			while(objIter.hasNext()) {
				String colonna = objIter.next();
				Boolean b = mappa.get(colonna);
				if(b != null) {
					mappa.put(colonna, false);
				}
			}
		}
		if (ApplicationUtil.notEmpty(mappaG)) {
			Iterator<String> objIter = mappaG.keySet().iterator();
			while(objIter.hasNext()) {
				String colonna = objIter.next();
				GruppoColonna m = mappaG.get(colonna);
				if (m != null) {
					Iterator<String> mIter = m.getMappa().keySet().iterator();
					while(mIter.hasNext()) {
						String mi = mIter.next();
						m.put(mi, false);
					}
				}
			}
		}
		if (ApplicationUtil.notEmpty(mappaA)) {
			Iterator<Long> objIter = mappaA.keySet().iterator();
			while(objIter.hasNext()) {
				Long colonna = objIter.next();
				mappaA.put(colonna, false);
			}
		}

		if (ApplicationUtil.notEmpty(mappaC)) {
			Iterator<Long> objIter = mappaC.keySet().iterator();
			while(objIter.hasNext()) {
				Long colonna = objIter.next();
				mappaC.put(colonna, false);
			}
		}
		return action;
	}

	public String doInverti(){
		if (ApplicationUtil.notEmpty(mappa)) {
			Iterator<String> objIter = mappa.keySet().iterator();
			while(objIter.hasNext()) {
				String colonna = objIter.next();
				Boolean b = mappa.get(colonna);
				if(b != null) {
					if(b){
						mappa.put(colonna, false);
					} else {
						mappa.put(colonna, true);
					}
				}
			}
		}

		if (ApplicationUtil.notEmpty(mappaG)) {
			Iterator<String> objIter = mappaG.keySet().iterator();
			while(objIter.hasNext()) {
				String colonna = objIter.next();
				GruppoColonna m = mappaG.get(colonna);
				if (m != null) {
					Iterator<String> mIter = m.getMappa().keySet().iterator();
					while(mIter.hasNext()) {
						String mi = mIter.next();
						Boolean b = m.get(mi);
						if(ApplicationUtil.isTrue(b)){
							m.put(mi, false);
						} else {
							m.put(mi, true);
						}

					}
				}
			}
		}

		if (ApplicationUtil.notEmpty(mappaA)) {
			Iterator<Long> objIter = mappaA.keySet().iterator();
			while(objIter.hasNext()) {
				Long colonna = objIter.next();
				if(ApplicationUtil.isTrue(mappaA.get(colonna))){
					mappaA.put(colonna, false);
				} else {
					mappaA.put(colonna, true);
				}
			}
		}

		if (ApplicationUtil.notEmpty(mappaC)) {
			Iterator<Long> objIter = mappaC.keySet().iterator();
			while(objIter.hasNext()) {
				Long colonna = objIter.next();
				if(ApplicationUtil.isTrue(mappaC.get(colonna))){
					mappaC.put(colonna, false);
				} else {
					mappaC.put(colonna, true);
				}
			}
		}
		return action;
	}

	public boolean getTutti(){
		if (ApplicationUtil.notEmpty(mappa)) {
			Iterator<String> objIter = mappa.keySet().iterator();
			while(objIter.hasNext()) {
				String colonna = objIter.next();
				Boolean b = mappa.get(colonna);
				if(b != null && !b){
					return true;
				}
			}
		}
		if (ApplicationUtil.notEmpty(mappaG)) {
			Iterator<String> objIter = mappaG.keySet().iterator();
			while(objIter.hasNext()) {
				String colonna = objIter.next();
				GruppoColonna m = mappaG.get(colonna);
				if (m != null) {
					Iterator<String> mIter = m.getMappa().keySet().iterator();
					while(mIter.hasNext()) {
						String mi = mIter.next();
						Boolean b = m.get(mi);
						if(ApplicationUtil.isFalse(b)){
							return true;
						}
					}
				}
			}
		}
		if (ApplicationUtil.notEmpty(mappaA)) {
			Iterator<Long> objIter = mappaA.keySet().iterator();
			while(objIter.hasNext()) {
				Long colonna = objIter.next();
				if(ApplicationUtil.isFalse(mappaA.get(colonna))){
					return true;
				}
			}
		}
		if (ApplicationUtil.notEmpty(mappaC)) {
			Iterator<Long> objIter = mappaC.keySet().iterator();
			while(objIter.hasNext()) {
				Long colonna = objIter.next();
				if(ApplicationUtil.isFalse(mappaC.get(colonna))){
					return true;
				}
			}
		}
		return false;
	}

	public boolean getAzzera(){
		if (ApplicationUtil.notEmpty(mappa)) {
			Iterator<String> objIter = mappa.keySet().iterator();
			while(objIter.hasNext()) {
				String colonna = objIter.next();
				Boolean b = mappa.get(colonna);
				if(b != null && b){
					return false;
				}
			}
		}
		if (ApplicationUtil.notEmpty(mappaG)) {
			Iterator<String> objIter = mappaG.keySet().iterator();
			while(objIter.hasNext()) {
				String colonna = objIter.next();
				GruppoColonna m = mappaG.get(colonna);
				if (m != null) {
					Iterator<String> mIter = m.getMappa().keySet().iterator();
					while(mIter.hasNext()) {
						String mi = mIter.next();
						Boolean b = m.get(mi);
						if(ApplicationUtil.isTrue(b)){
							return false;
						}
					}
				}
			}
		}
		if (ApplicationUtil.notEmpty(mappaA)) {
			Iterator<Long> objIter = mappaA.keySet().iterator();
			while(objIter.hasNext()) {
				Long colonna = objIter.next();
				if(ApplicationUtil.isTrue(mappaA.get(colonna))){
					return false;
				}
			}
		}

		if (ApplicationUtil.notEmpty(mappaC)) {
			Iterator<Long> objIter = mappaC.keySet().iterator();
			while(objIter.hasNext()) {
				Long colonna = objIter.next();
				if(ApplicationUtil.isTrue(mappaC.get(colonna))){
					return false;
				}
			}
		}
		return true;
	}

	public String execute() {
		return action;
	}

	private String action;

	public String getAction() {
		return action;
	}
	public void setAction(String action) {
		this.action = action;
	}
	
}
