package it.callite.constants;
import java.nio.charset.Charset;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Date;
import java.util.List;

import it.callite.model.Agente;
import it.callite.model.Autodialer;
import it.callite.model.Campagna;
import it.callite.model.CampoAggiuntivoAnagrafica;
import it.callite.model.CampoAggiuntivoContratto;
import it.callite.model.Categoria;
import it.callite.model.EsitoAppuntamento;
import it.callite.model.EsitoArchiviazione;
import it.callite.model.EsitoChiamata;
import it.callite.model.EsitoContratto;
import it.callite.model.Lista;
import it.callite.model.Prodotto;
import it.callite.model.Qualifica;
import it.callite.model.Team;
import it.callite.model.Ufficio;
import it.callite.model.Utente;
import it.callite.model.Zona;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.Configurazione;

public class ConstantsGlobal {

	public static final boolean devel 			= false;
	public static final String REVISIONE 		= "v" + (!devel ? "14.30" :  new java.util.Random().nextInt());
	
	public static final String base 			= "callite.it";
	public static final String test 			= "https://test.callite.it";
	public static final String site 			= "https://www.callite.it";
	public static final String demo 			= "https://demo.callite.it";
	public static final String admin 			= "https://amministrazione.callite.it";
	
	public static final String manuale			= "https://svn.code.sf.net/p/ocallite/code-0/manuale/manuale.pdf";
	
	public static final int preavviso 			= 10;
	public static final int scadenza 			= 15;
	
	public static final String signer 			= "https://api.yousign.com";
	public static final String ipstack 			= "http://api.ipstack.com";

	public static final int defaultImport 		= 3;
	public static final int massimoImport 		= 10;
	public static final boolean defaultImage 	= false;
	
	public static final String superuser		= "admin";
	
	public static final String xmpp				= "xmpp";
	
	public static final boolean subquery 				= true;

	public static final boolean xmlEncoder 				= false; 
	public static final boolean pdfRotate				= false;
	public static final double pdfColumn				= 80;
	public static final double pdfMinW					= 595;
	public static final double pdfMinH					= 842;
	public static final int imageW						= 115;
	public static final int imageH						= 43;
	public static final int MAXSTRING 					= 255;
	public static final String tp			 			= "";
	public static final String ts			 			= "";
	public static final boolean streamAll				= true;
	public static final String watermark				= "";
	public static final boolean xlsAll					= false;
	public static final int TIME_BLOCCO					= 1;
	public static final int cifre_otp 					= 6;
	public static final int secondi_otp 				= 30;
	public static final int sleep		 				= 100;
	
	public static final String secretZ	 				= null;
	public static final String secretE	 				= null;
	public static final String secretP	 				= null;
	public static final String secretL	 				= null;
	public static final String secretT	 				= null;

	public static final List<Class<?>> interceptorClass = new ArrayList<Class<?>>(Arrays.asList(new Class<?> [] { Utente.class, Team.class, Agente.class, Zona.class, Qualifica.class, Ufficio.class, Campagna.class, Lista.class, Autodialer.class, Categoria.class, Prodotto.class, CampoAggiuntivoAnagrafica.class, CampoAggiuntivoContratto.class, EsitoChiamata.class, EsitoArchiviazione.class, EsitoAppuntamento.class, EsitoContratto.class }));

	public static final String key_captcha_public		= "6LcTpsAeAAAAAE1MJS80cXoybKT6T6OlH2MaDaQy";
	public static final String key_captcha_private		= "6LcTpsAeAAAAAFUcalJSpbXbayvDK3rTg46T3tzW";
	public static final String key_gmaps				= "AIzaSyC3LFhW9cqOR9K61PnTbO5kDZ8lq09LrH4";	
	public static final String key_ipstack				= "3f52edf5fbf1ced94a7c963945d155fe";

	public static final String [] icon 					= {"E2", "9C", "89"};
	
	public static final int kb 							= 1024;
	public static final boolean massivo					= true;
	public static final boolean fast_import				= true;
	public static final boolean consenti_tutto			= true;
	public static final boolean semaforo				= false;
	public static final String localhost				= "127.0.0.1";
	
	public static final String chiamante = "https://www.chistachiamando.it";
	public static final String browser = "Mozilla/5.0 (compatible; MSIE 8.0; Windows NT 6.1; Trident/4.0; X11; Linux x86_64) AppleWebKit/535.21 (KHTML, like Gecko) Chrome/19.0.1042.0 Safari/535.21";
	public static final int timeout = 60000;

	public static final int normale 		= 0;
	public static final int pubblico		= 1;
	public static final int predefinito		= 2;
	public static final boolean smackProxyEnable 		= false;
	public static final int smackProxyPort 				= 5270;
	public static final boolean flush		= false; 
	public static final boolean agiServer 	= false;
	public static final int poolSize 		= 10;
	public static final int flushSize 		= 500;
	public static final int recordSize 		= 500;
	public static final int bachecaSecondi 	= 60;
	public static final int default_sip 	= 5060;
	public static final int default_port 	= 0;
	
	public static final int agi_porta 	= 4573;
	public static final int inb_porta 	= 4574;
	public static final int snd_porta	= 4575;
	public static final int ris_porta 	= 4576;
	public static final int ivr_porta 	= 4577;
	public static final int ana_porta 	= 4578;
	
	public static final int priority 		= 1;
	public static final String callerid 	= "Anonymous";
	public static final String musicclass 	= "trasferimento";
	public static final Integer DEFAULT_VTX = 2;
	public static final Integer DEFAULT_VRX	= 2;
	public static final String a_n 			= "no";
	public static final String a_y 			= "yes";
	public static final boolean permitInterval	= false;

	public static final int rtpPort1	= 10000;
	public static final int rtpPort2	= 40000;

	public static final int righeSize 		= 20;
	public static final int righeMaxSize 	= 30;
	public static final int righeMinSize 	= 1;
	public static final int righeStep	 	= 1;
	public static final int righeM	 		= 1000;
	public static final String contatti 		= "1";
	public static final String appuntamenti		= "2";
	public static final String contratti		= "3";
	public static final String reportistica		= "4";
	public static final long media	 			= 30;
	public static final long secondi 			= 60;
	public static final int giorniMese			= 28;
	public static final long millis				= 1000;
	public static final int percentuale 		= 100;
	public static final long t_secondi 			= 60 * millis;
	public static final String timeoutSip 		= "60";
	public static final long timeoutAMI			= 60;
	public static final long timeoutMonitor		= 60;
	public static final long timeoutRisposta	= 600 * millis;
	public static final long timeoutFtp 		= 60 * millis;
	public static final long timeoutContatto 	= 60 * millis;
	public static final long timeoutUser 		= 60 * millis;
	public static final long timeoutActive 		= 60 * millis;
	public static final long timeoutSincronia 	= 5 * millis;
	public static final long timeoutService		= 1 * millis;

	public static final String mobile		 			= "3";

	public static final String ereditaEtichetta			= ": ";
	public static final String ereditaChiave			= "_";

	public static final String dotSeparator				= "=";
	public static final String colonSeparator			= ";";
	public static final String quoteSeparator			= ":";
	public static final String commaSeparator			= ",";
	public static final String pipeSeparator			= "@";	
	public static final String negazioneSeparator 		= "^";
	public static final String portSeparator1 			= ":";
	public static final String portSeparator2 			= "-";
	public static final String messageSeparator 		= "#";
	public static final String logoutF 					= "(F)";
	public static final String logoutR 					= "(R)";
	public static final String logoutL 					= "(L)";
	
	public static final String usernameSeparator1		= "(";	
	public static final String usernameSeparator2		= ")";	

	public static final String decimalSMB		 		= ",";
	public static final String thousandSMB 				= ".";
	public static final String autodialerSMB	 		= messageSeparator + "1"; 
	public static final String inboundSMB 				= messageSeparator + "2"; 
	public static final String remotaSMB		 		= messageSeparator + "3";
	public static final String ingressoSMB 				= messageSeparator + "4"; 

	public static final String validatore_addprefisso 	= "[0-9\\+" + commaSeparator + pipeSeparator + negazioneSeparator + "]+";
	public static final String validatore_remprefisso 	= "[0-9\\+" + commaSeparator + pipeSeparator + negazioneSeparator + "]+";
	public static final String validatore_callers 		= "[0-9\\+" + pipeSeparator + "]+";
	public static final String validatore_inbound 		= "[0-9\\+]+";
	public static final String validatore_musicclass	= "^[^*?\"<>|]+$";
	public static final String validatore_context		= "[_a-zA-Z0-9-]+";
	public static final String validatore_nome			= "[_a-zA-Z0-9-\\.]+";
	public static final String validatore_file			= "[_a-zA-Z0-9-]+";
	public static final String validatore_ip 			= "[0-9\\./]+";
	public static final String validatore_otp 			= "[0-9]{"+cifre_otp+"}";
	public static final String validatore_folder1		= "^[^*?\"<>|]+$";
	public static final String validatore_folder2		= "^[^/*?\"<>|]+$";
	public static final String validatore_tts			= "^[^\"|]+$";
	public static final String validatore_path			= "^[^*?\"<>|]+$";
	public static final String validatore_port 			= "[0-9]+";
	public static final String validatore_prefisso 		= "[0-9\\+\\*]+";
	public static final String validatore_appendT 		= ".+";
	public static final String validatore_appendP 		= ".+";
	public static final String validatore_appendL 		= ".+";
	public static final String validatore_appendC 		= ".+";
	public static final String validatore_appendE 		= ".+";
	public static final String validatore_interno 		= "[0-9]{4}";
	public static final String validatore_ext 			= "^_[XZN0-9]{4,}(\\.|!)$";
	public static final String validatore_opposizione	= "[_a-zA-Z0-9-\\.@\\+]+";
	public static final String validatore_lingua 		= "[a-z]{2}_[A-Z]{2}";
	public static final String validatore_centralino	= "[_a-zA-Z0-9-\\.@]+";
	public static final String validatore_numero 		= "(-)?([0-9]+,)?[0-9]+";
	public static final String validatore_intero 		= "(-)?[0-9]+";
	public static final String validatore_cap 			= "[0-9]{5}";
	public static final String validatore_coordinata	= "(-)?[0-9]{1,3}\\.[0-9]+";
	public static final String validatore_pin			= "[0-9]{1,5}";
	public static final String validatore_alink 		= "[_a-zA-Z0-9-\\.@\\+/?=:;&]+";
	public static final String validatore_chiamata 		= "a-zA-Z0-9";
	
	public static final String nat1 		= "force_rport,comedia";
	public static final String nat2 		= "auto_force_rport,auto_comedia";
	public static final String nat3 		= "no";
	public static final String format 			= "0000";
	public static final String u_operatore 		= "op";
	public static final String u_utente 		= "ag";
	public static final String u_agente 		= "CD";
	public static final String u_estratto		= "CA";
	public static final String u_fattura		= "FA";
	
	public static final String APPLICATION_NOTIFICA		= "application.notifica";
	public static final String APPLICATION_LANGUAGE		= "application.language";
	public static final String APPLICATION_TIMEZONE		= "application.timezone";
	public static final String APPLICATION_SECRET		= "application.secret";
	public static final String APPLICATION_LINK			= "application.link";

	public static final String esito_chiamata			= "c";
	public static final String esito_archiviazione		= "a";
	public static final String ERROR 				= "ERROR";
	public static final String USERS_KEY 			= "userNames";
	public static final String EVENT_KEY 			= "SPRING_SECURITY_CONTEXT";
	public static final String ENCODING 			= "UTF-8";
	public static final String UTC		 			= "UTC";
	public static final String NEWLINE 				= "\n";
	public static final String EOLINE 				= "\r";
	public static final String RETURN 				= "<br/>";
	public static final String B1 					= "<b>";
	public static final String B2 					= "</b>";
	public static final String MULTIPART 			= "multipart/form-data";
	public static final String contentHtml 			= "text/html; charset=UTF-8";
	public static final String contentStream		= "application/octet-stream";
	public static final String contentJson 			= "application/json";
	public static final String contentXml 			= "application/xml";
	public static final String contentPdf			= "application/pdf";
	public static final String contentDisposition 	= "Content-disposition";
	public static final String filename1 			= "attachment; filename=\"";
	public static final String filename2 			= "inline; filename=\"";
	public static final String filename3 			= "\"";
	public static final String events 				= "events";
	public static final String contacts				= "contacts";
	public static final String message 				= "message";
	public static final String feed 				= "feeds";
	public static final String pda 					= "doc";
	public static final String sfondo				= "#ffffff";
	public static final String colore				= "#000000";
	public static final String transparent			= "transparent";
	public static final String qsp = ";";
	public static final String select = "select";
	public static final String show = "show";

	public static final int lunghezza_password		= 10;
	public static final int lunghezza_codice		= 10;
	public static final String a_minuscole 			= "abcdefghijklmnopqrstuvwxyz";
	public static final String a_maiuscole 			= "ABCDEFGHIJKLMNOPQRSTUVWXYZ"; 
	public static final String a_numeri 			= "0123456789";

	public static final String REGISTERED 		= "Registered";
	public static final String REACHABLE 		= "Reachable";	
	
	public static final String SUCCESS 			= "Success";
	public static final String FAILURE 			= "Failure";	
	public static final String HUMAN 			= "HUMAN";
	public static final String NOTSURE 			= "NOTSURE";
	public static final String ANSWER 			= "ANSWER";
	public static final String CONTINUE 		= "CONTINUE";
	public static final String GOTO 			= "GOTO";
	public static final String ABORT 			= "ABORT";
	public static final String BUSY 			= "BUSY";
	public static final String CANCEL 			= "CANCEL";
	public static final String CHANUNAVAIL 		= "CHANUNAVAIL";
	public static final String CONGESTION 		= "CONGESTION";
	public static final String NOANSWER 		= "NOANSWER";
	public static final String VOID 			= "VOID";
	
	public static final String STATUS_RINGING 			= "Ringing";
	public static final String STATUS_UP 				= "Up";
	
	public static final String UTENTE 			= "UTENTE";
	public static final String MONITOR 			= "MONITOR";
	public static final String CONTATTO 		= "CONTATTO";
	public static final String TRUNKS 			= "TRUNKS";
	public static final String OPPOSIZIONE 		= "OPPOSIZIONE";
	public static final String PREFISSO 		= "PREFISSO";
	public static final String CALLERS 			= "CALLERS";
	public static final String MUSICA 			= "MUSICA";
	public static final String USERFIELD 		= "USERFIELD";
	public static final String CLIENTE	 		= "CLIENTE";
	public static final String CAMPAGNA	 		= "CAMPAGNA";
	public static final String ESTENSIONE 		= "ESTENSIONE";
	public static final String NUMERO 			= "NUMERO";
	public static final String VTX 				= "VTX";
	public static final String VRX		 		= "VRX";
	
	public static final String optionsSip 		= "twkxTWKX";
	public static final String optionsRec 		= "bpPW(4)";
	public static final String autocall			= "autocall";
	public static final String manualcall		= "manualcall";
	public static final String extensionS 		= "s";
	public static final String preamboloA		= "auto";
	public static final String preamboloR		= "massivo";
	public static final String appData 			= "Dial";
	public static final String appMont 			= "MixMonitor";
	public static final String extenE			= "_XXXX.";
	
	public static final String monitor			= "TOUCH_MIXMONITOR";
	public static final String cdr				= "CDR(%s)";
	public static final String volume			= "VOLUME(%s)";
	public static final String channel			= "CHANNEL(%s)";
	
	public static final String cdr_utente 			= String.format(cdr,"utente");
	public static final String cdr_tipo				= String.format(cdr,"tipo");
	public static final String cdr_caller 			= String.format(cdr,"caller");
	public static final String cdr_callee 			= String.format(cdr,"callee");
	public static final String cdr_contatto 		= String.format(cdr,"contatto");
	public static final String cdr_userfield 		= String.format(cdr,"userfield");
	public static final String volume_tx			= String.format(volume,"TX");
	public static final String volume_rx			= String.format(volume,"RX");
	public static final String channel_accountcode	= String.format(channel,"accountcode");
	public static final String channel_musicclass	= String.format(channel,"musicclass");
	public static final String channel_handler		= String.format(channel,"hangup_handler_push");
	
	public static final String path_tomcat					= "/opt/apache-tomcat";
	public static final String path_asterisk				= "/etc/asterisk";
	public static final String path_config 					= path_tomcat+ "/config.properties";
	public static final String path_service					= path_tomcat+ "/service";
	public static final String path_birt					= path_tomcat+ "/webapps/birt";
	public static final String path_interni					= path_asterisk +"/peer_interni.conf";
	public static final String path_trunks					= path_asterisk +"/peer_trunks.conf";
	public static final String path_buddy					= path_asterisk +"/peer_buddy.conf";
	public static final String path_calendars				= path_asterisk +"/calendar.conf";
	public static final String path_pjsip					= path_asterisk +"/pjsip.conf";
	public static final String path_sondaggio				= "/var/lib/asterisk/sounds/asterisk/";
	public static final String path_firewall				= "/etc/iptables.rules";
	public static final String path_ffmpeg 					= "/usr/bin/ffmpeg";
	public static final String path_espeak 					= "/usr/bin/espeak";
	public static final String path_shell 					= "/bin/sh";
	public static final String path_log						= "/var/log";
	public static final String path_munin					= "/var/cache/munin/www/";
	
	public static final String path_home 					= "/home";
	public static final String path_web 					= "/web";
	public static final String path_tmp 					= "/tmp";
	
	public static final String path_modules					= "/modules";
	public static final String path_language				= "/language";
	public static final String path_error					= "/error";
	public static final String path_monitor					= "/monitor";
	public static final String path_outgoing				= "/outgoing";
	public static final String path_voicemail				= "/voicemail";
	public static final String path_capture					= "/capture";
	public static final String path_attesa	 				= "/attesa";
	public static final String path_musica	 				= "/musica";
	public static final String path_file	 				= "/file";
	public static final String path_sounds 					= "/sounds";
	public static final String path_client 					= "/client";
	public static final String path_template				= "/template";
	public static final String path_centralino				= "/asterisk";
	public static final String path_manifest				= "/manifest";
	public static final String path_backup 					= "/backup";
	public static final String path_pda 					= "/pda";
	public static final String path_export 					= "/export";
	public static final String path_galleria 				= "/galleria";
	public static final String path_allegato 				= "/allegato";
	
	public static final String path_backup_anagrafica 		= path_backup +"/anagrafica";
	public static final String path_backup_opposizione 		= path_backup +"/opposizione";
	public static final String path_backup_contratto 		= path_backup +"/contratto";
	public static final String path_backup_contatto 		= path_backup +"/contatto";
	public static final String path_backup_appuntamento		= path_backup +"/appuntamento";
	
	public static final String path_contatto 			= path_allegato + "/contatto";
	public static final String path_contratto 			= path_allegato + "/contratto";
	public static final String path_appuntamento		= path_allegato + "/appuntamento";
	public static final String path_anagrafica 			= path_allegato + "/anagrafica";
	public static final String path_notizia 			= path_allegato + "/notizia";
	public static final String path_agente				= path_allegato + "/agente";

	public static final String path_web_audio				= path_web + "/audio";
	public static final String path_web_chiama				= path_web + "/chiama";
	public static final String path_web_email				= path_web + "/email";
	public static final String path_web_rmail				= path_web + "/rmail";
	public static final String path_web_telecom				= path_web + "/telecom";
	public static final String path_web_api					= path_web + "/api";
	public static final String path_web_file				= path_web + "/file";
	public static final String path_web_folder				= path_web + "/folder";
	public static final String path_web_calendar 			= path_web + "/calendar";
	public static final String path_web_favicon 			= path_web + "/favicon";
	public static final String path_web_message 			= path_web + "/message";
	public static final String path_web_anagrafica			= path_web + "/anagrafica";
	public static final String path_web_contatto			= path_web + "/contatto";
	public static final String path_web_contratto			= path_web + "/contratto";
	public static final String path_web_client				= path_web + "/client";
	public static final String path_web_update				= path_web + "/update";
	public static final String path_web_error				= path_web + "/error";
	public static final String path_web_rinnova				= path_web + "/rinnova";
	public static final String path_web_consenso			= path_web + "/consenso";
	public static final String path_web_opposizione			= path_web + "/opposizione";
	public static final String path_web_notifica			= path_web + "/notifica";
	public static final String path_web_sondaggio			= path_web + "/sondaggio";
	public static final String path_web_home 				= path_web + "/home";
	public static final String path_web_trunk				= path_web + "/trunk";
	public static final String path_web_interno				= path_web + "/interno";
	public static final String path_web_language			= path_web + "/language";
	public static final String path_web_feed				= path_web + "/feed";
	public static final String path_web_index				= path_web + "/index";
	public static final String path_web_login				= path_web + "/login";
	public static final String path_web_importa 			= path_web + "/importa";
	public static final String path_web_controlla			= path_web + "/controlla";
	public static final String path_web_map					= path_web + "/map";
	public static final String path_web_address				= path_web + "/address";
	public static final String path_web_webhook 			= path_web + "/webhook";

	public static final String path_audio_1			= "1_scelta";
	public static final String path_audio_2			= "2_scelta";
	public static final String path_audio_3			= "3_scelta";
	public static final String path_audio_4			= "4_scelta";
	public static final String path_audio_5			= "5_scelta";

	public static final String path_log_callite				= path_log + "/callite/";
	public static final String path_log_asterisk			= path_log + "/asterisk/";
	public static final String path_log_mysql				= path_log + "/mysql/";
	public static final String path_log_tomcat				= path_log + "/tomcat/";
	public static final String path_log_proxysql			= path_log + "/proxysql/";
	public static final String path_log_munin				= path_log + "/munin/";
	public static final String path_log_vpn					= path_log + "/openvpn/";
	public static final String path_log_smb					= path_log + "/samba/";
	public static final String path_log_apache				= path_log + "/apache2/";
	public static final String path_log_ftp					= path_log + "/proftpd/";
	public static final String path_log_prosody				= path_log + "/prosody/";
	public static final String path_log_openfire			= path_log + "/ejabberd/";
	public static final String path_log_ejabberd			= path_log + "/openfire/";
	public static final String path_log_zabbix				= path_log + "/zabbix/";

	public static final String service_asterisk			= "asterisk";
	public static final String service_office			= "openoffice";
	public static final String service_shell			= "shellinabox";
	public static final String service_ssh				= "ssh";
	public static final String service_db				= "mysql";
	public static final String service_sql				= "proxysql";
	public static final String service_prosody			= "prosody";
	public static final String service_ejabberd			= "ejabberd";
	public static final String service_openfire			= "openfire";
	public static final String service_ftp				= "proftpd";
	public static final String service_munin			= "munin-node";
	public static final String service_vpn				= "openvpn";
	public static final String service_voipmonitor		= "voipmonitor";
	public static final String service_postfix			= "postfix";
	public static final String service_dovecot			= "dovecot";
	public static final String service_monit			= "monit";
	public static final String service_webmin			= "webmin";
	public static final String service_usermin			= "usermin";
	public static final String service_smb				= "smb";
	public static final String service_zabbix			= "zabbix-server";
	public static final String service_cache			= "memcached";
	
	public static final String [] LOG = {path_log_tomcat, path_log_asterisk, path_log_apache, path_log_ftp, path_log_prosody, path_log_ejabberd, path_log_openfire, path_log_mysql, path_log_proxysql, path_log_munin, path_log_callite, path_log_vpn, path_log_smb, path_log_zabbix};

	public static final String [] SERVICE = {service_asterisk, service_office, service_shell, service_ssh, service_db, service_sql, service_prosody, service_ejabberd, service_openfire, service_ftp, service_munin, service_vpn, service_voipmonitor, service_postfix, service_dovecot, service_monit, service_webmin, service_usermin, service_smb, service_zabbix, service_cache};

	public static final String tcp			= "tcp";
	public static final String udp			= "udp";

	public static final String color_inserito 	= "gray";
	public static final String color_inviato 	= "green";
	public static final String color_respinto 	= "black";
	public static final String color_bloccato 	= "red";
	
	public static final String style_a 	= "relative";
	public static final String style_b 	= "fixed";
	
	public static final String color_in_attesa 		= "gray";
	public static final String color_in_pagamento 	= "green";
	public static final String color_pagato 		= "black";
	public static final String color_in_storno 		= "red";
	public static final String color_stornato 		= "blue";
	
	public static final String asc 				= "asc";
	public static final String desc 			= "desc";
	public static final String randomize 		= "randomize";
	
	public static final int IN_INVIO 				= 1;
	public static final int SCHEDULATA 				= 2;
	public static final int INVIATA 				= 3;
	public static final int NON_INVIATA 			= 4;
	public static final int ANNULLATA	 			= 5;
	public static final int PAUSE		 			= 6;
	public static final int APERTO	 				= 7;
	
	public static final int tipo_email 				= 1;
	public static final int tipo_rmail	 			= 2;
	public static final int tipo_telecom			= 3;
	
	public static final int stringa 			= 1;
	public static final int testo 				= 2;
	public static final int scelta 				= 3;
	public static final int lista 				= 4;
	public static final int password 			= 5;
	public static final int multiplo 			= 6;
	public static final int ordinabile 			= 7;
	public static final int editore 			= 8;
	
	public static final int a_sms	 			= 1;
	public static final int a_fax	 			= 2;
	public static final int a_lettera	 		= 3;
	public static final int a_telegramma		= 4;
	
	public static final int stato_attivo 			= 1;
	public static final int stato_pausa 			= 2;
	public static final int stato_chiuso 			= 3;
	
	public static final int no_periodo 		= 0;
	public static final int giornaliero 	= 1;
	public static final int settimanale 	= 2;
	public static final int mensile	 		= 3;
	public static final int annuale 		= 4;

	public static final int ts_attivo 	= 1;
	public static final int ts_auto 	= 2;
	public static final int ts_chiuso 	= 3;

	public static final int attivo_si 				= 1;
	public static final int attivo_no 				= 2;

	public static final int inserito 				= 1;
	public static final int inviato 				= 2;
	public static final int respinto 				= 3;
	public static final int bloccato 				= 4;
	public static final int random 				= 0;
	public static final int ascendente 			= 1;
	public static final int discendente 		= 2;
	public static final int operatore 				= 1;
	public static final int supervisore 			= 2;
	public static final int coordinatore 			= 3;
	public static final int agente 					= 4;
	public static final int rete 					= 5;
	public static final int prima 					= 6;
	public static final int sotto 					= 7;
	public static final int orete 					= 8;
	public static final int oprima 					= 9;
	public static final int osotto 					= 10;
	public static final int in_attesa 				= 1;
	public static final int in_pagamento 			= 2;
	public static final int pagato 					= 3;
	public static final int in_storno 				= 4;
	public static final int stornato 				= 5;
	public static final int prenotazione_dainviare 	= 1;
	public static final int prenotazione_inviata 	= 2;
	public static final int prenotazione_duplicata 	= 3;	
	public static final int tipo_residenziale 		= 1;
	public static final int tipo_business 			= 2;
	public static final int tipo_misto 				= 3;
	public static final int gconteggio 				= 1;
	public static final int gsomma 					= 2;
	public static final int gpercentuale 			= 3;
	public static final int appuntamentoInizio 		= 8;
	public static final int appuntamentoFine 		= 22;
	public static final long defaultOrdine 			= 1;
	public static final int defaultPriorita			= 1;
	public static final int ord_none	= 0;
	public static final int ord_random	= 1;
	public static final int ord_asc		= 2;
	public static final int ord_desc	= 3;
	public static final int ID_SEZIONE_PANNELLO 	= -1;
	public static final int ID_SEZIONE_PUBBLICHE 	= 0;
	public static final int ID_SEZIONE_PRIVATE 		= 1;
	public static final int ID_SEZIONE_ARCHIVIATE 	= 2;
	public static final int NORMALE 			= 1;
	public static final int AUTODIALER 			= 2;
	public static final long ALTRO 				= -10;
	public static final long ALL 				= -11;
	public static final long NONE				= -12;
	public static final long NULL 				= -1L;
	public static final int maxLimiteCampagna	= 10;
	public static final int stepLimiteCampagna	= 5;
	public static final int defLimiteCampagna	= 5;
	public static final int maxLimiteOperatore	= 10;
	public static final int stepLimiteOperatore	= 5;
	public static final int defLimiteOperatore	= 5;
	public static final int maxLimiteAgente		= 10;
	public static final int stepLimiteAgente	= 5;
	public static final int defLimiteAgente		= 5;
	public static final int maxLimiteTeam		= 10;
	public static final int stepLimiteTeam		= 5;
	public static final int defLimiteTeam		= 5;
	public static final int maxLimiteUfficio	= 10;
	public static final int stepLimiteUfficio	= 5;
	public static final int defLimiteUfficio	= 5;
	public static final int maxLimiteQualifica	= 10;
	public static final int stepLimiteQualifica	= 5;
	public static final int defLimiteQualifica	= 5;
	public static final int maxLimiteZona		= 10;
	public static final int stepLimiteZona		= 5;
	public static final int defLimiteZona		= 5;
	public static final int maxPagina			= 10;
	public static final int stepPagina			= 10;
	public static final int righeCampagna		= 10;
	public static final int righePagina			= 20;
	public static final int recordPagina		= 5;
	public static final int tastiPagina			= 2;
	public static final int maxVelocita			= 9;
	public static final int maxPreambolo		= 10;
	public static final int maxGiorni			= 7;
	public static final int maxAggressivita1 	= 20000;
	public static final int maxAggressivita2 	= 100000;
	public static final int minElementi			= 0;
	public static final int maxElementi			= -1;
	public static final int calendarSize		= 20;
	public static final int calendarWidth		= 145;
	public static final int calendarLeft		= 28;
	public static final int ricercaMaxSize		= 3;
	public static final int zetaIndex			= 100;
	public static final int defaultTimeI		= 60;
	public static final int defaultTimeS		= 30;
	public static final int numTimeNota			= 4;
	public static final int numTimeAppuntamento = 4;
	public static final int maxValue			= 99999;

	public static final int ricerca1				= 1;
	public static final int ricerca2				= 2;
	public static final int ricerca3				= 3;
	public static final int ricerca4				= 4;
	public static final int ricerca5				= 5;
	public static final int f_fisso 				= 0;
	public static final int f_mobile 				= 1;
	public static final int f_fax					= 2;
	public static final int f_altro 				= 3;
	public static final String color_black				= "black";
	public static final String color_red				= "red";
	public static final String color_blue				= "blue";
	public static final boolean tuttiLimiteCampagna		= true;
	public static final boolean tuttiLimiteOperatore	= true;
	public static final boolean tuttiLimiteAgente		= true;
	public static final boolean tuttiLimiteTeam			= true;
	public static final boolean tuttiLimiteUfficio		= true;
	public static final boolean tuttiLimiteQualifica	= true;
	public static final boolean tuttiLimiteZona			= true;
	public static final boolean tuttiGiorni				= true;
	
	public static Date TIMEALIVE 	= ApplicationUtil.date();
	public static String TIMEZONE	= Configurazione.getVariabile(APPLICATION_TIMEZONE);
	public static String LOCALE 	= Configurazione.getVariabile(APPLICATION_LANGUAGE);
	public static String LANGUAGE 	= ApplicationUtil.lingua(LOCALE);
	public static String COUNTRY 	= ApplicationUtil.paese(LOCALE);
	public static boolean PHONE 	= false;
	
	public static boolean GZIP				= true;
	public static long SIZE					= 0;
	public static String COLOR				= "#B30000";

	
	public static Charset CHARSET = Charset.forName(ENCODING);
	
	public static List<String> maschio = ApplicationUtil.asList(new String [] {"m", ApplicationUtil.lowerCase(ConstantsLanguage.MASCHIOS.stampa()) }); 
	public static List<String> femmina = ApplicationUtil.asList(new String [] {"f", ApplicationUtil.lowerCase(ConstantsLanguage.FEMMINAS.stampa() )});
	public static List<String> residenziale = ApplicationUtil.asList(new String [] {"pf", "f", "r", ApplicationUtil.lowerCase(ConstantsLanguage.RESIDENTIAL.stampa()) });
	public static List<String> business = ApplicationUtil.asList(new String [] {"pg", "g", "b", ApplicationUtil.lowerCase(ConstantsLanguage.BUSINESS.stampa()) });
}
