package it.callite.constants.config;
import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

import it.callite.constants.ConstantsGlobal;
import it.callite.model.config.ConfigValidatore;
public class DefaultsValidatore {
	public static final String  KEY_VALIDATORE_TUTTO		= "validatore.validator_tutto";
	public static final String 	KEY_VALIDATORE_FISSO  		= "validatore.validator_telefono_fisso";
	public static final String  KEY_VALIDATORE_MOBILE  		= "validatore.validator_telefono_mobile";
	public static final String  KEY_VALIDATORE_FAX  		= "validatore.validator_telefono_fax";
	public static final String  KEY_VALIDATORE_ALTRO  		= "validatore.validator_telefono_altro";
	public static final String  KEY_VALIDATORE_EMAIL  		= "validatore.validator_email";
	public static final String  KEY_VALIDATORE_LINK 		= "validatore.validator_link";
	public static final String  KEY_VALIDATORE_PARTITA 		= "validatore.validator_partita";
	public static final String  KEY_VALIDATORE_CODICE  		= "validatore.validator_codice";
	public static final String  KEY_VALIDATORE_INTERURBANA1	= "validatore.validator_interurbana1";
	public static final String  KEY_VALIDATORE_INTERURBANA2 = "validatore.validator_interurbana2";
	public static final String  KEY_VALIDATORE_EXTRA		= "validatore.validator_extra";
	
	public static final Map<String, ConfigValidatore> DEFAULTS;
	static {
		Map<String, ConfigValidatore> aMap = new HashMap<String, ConfigValidatore>();
		aMap.put(KEY_VALIDATORE_TUTTO, new ConfigValidatore(KEY_VALIDATORE_TUTTO, "(0|1|3|8)[0-9]{6,}", ".+" , ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_VALIDATORE_FISSO, new ConfigValidatore(KEY_VALIDATORE_FISSO, "(0|1|8)[0-9]{6,}", ".+" , ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_VALIDATORE_MOBILE, new ConfigValidatore(KEY_VALIDATORE_MOBILE, "(3)[0-9]{6,}", ".+" , ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_VALIDATORE_FAX, new ConfigValidatore(KEY_VALIDATORE_FAX, "(0|1|8)[0-9]{6,}", ".+" , ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_VALIDATORE_ALTRO, new ConfigValidatore(KEY_VALIDATORE_ALTRO, "(0|1|3|8)[0-9]{6,}", ".+" , ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_VALIDATORE_EMAIL, new ConfigValidatore(KEY_VALIDATORE_EMAIL, "^[_a-zA-Z0-9-]+(\\.[_a-zA-Z0-9-]+)*@[a-zA-Z0-9-]+(\\.[a-zA-Z0-9-]+)*(\\.[a-zA-Z]{2,})$", ".+" , ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_VALIDATORE_LINK, new ConfigValidatore(KEY_VALIDATORE_LINK, ".+", ".+" , ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_VALIDATORE_PARTITA, new ConfigValidatore(KEY_VALIDATORE_PARTITA, "([a-zA-Z]{2})?[0-9]{9,11}", ".+" , ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_VALIDATORE_CODICE, new ConfigValidatore(KEY_VALIDATORE_CODICE, "[a-zA-Z]{6}[0-9]{2}[a-zA-Z]{1}[0-9]{2}[a-zA-Z]{1}[a-zA-Z0-9]{3}[a-zA-Z]{1}", ".+" , ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_VALIDATORE_INTERURBANA1, new ConfigValidatore(KEY_VALIDATORE_INTERURBANA1, "(0|1|3|8)[0-9]{6,}", ".+" , ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_VALIDATORE_INTERURBANA2, new ConfigValidatore(KEY_VALIDATORE_INTERURBANA2, "(0|1|8)[0-9]{6,}", ".+" , ConstantsGlobal.stringa, true, true));
		aMap.put(KEY_VALIDATORE_EXTRA, new ConfigValidatore(KEY_VALIDATORE_EXTRA, "", ".+" , ConstantsGlobal.stringa, true, true));
		DEFAULTS = Collections.unmodifiableMap(aMap);
	};
}