package it.callite.controller;
import java.io.ByteArrayInputStream;
import java.io.Serializable;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsMap;
import it.callite.dao.DownloadDao;
import it.callite.dao.ImpostazioneDao;
import it.callite.dao.UserDao;
import it.callite.log.ErrorLog;
import it.callite.model.Utente;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
@Controller
public class CalendarController  implements Serializable  {

	@Autowired
	public ImpostazioneDao impostazioneDao;
	@Autowired
	public DownloadDao downloadDao;
	@Autowired
	public UserDao userDao;

	//https://BASE_PATH/calendar/id/password/events.ics
	@RequestMapping(value = ConstantsGlobal.path_web_calendar + "/{id}/{password}/" + ConstantsGlobal.events + "." + ConstantsMap.ics,  method = RequestMethod.GET)
	@ResponseBody 
	public void getFileA(HttpServletRequest request, HttpServletResponse response, @PathVariable final Long id, @PathVariable final String password)  {

		if(id!= null) {
			try {
				String p = ApplicationUtil.base64Decoder(password);
				String result = downloadDao.scaricaICSAppuntamentoList(id, p, false);
				Utente utente = userDao.getUser(id);
				ByteArrayInputStream istream = new ByteArrayInputStream(result.getBytes(ConstantsGlobal.CHARSET));
				String nomeFile = ConstantsGlobal.events  + "." + ConstantsMap.ics;
				ApplicationUtil.setResponse(null, impostazioneDao.getDownloadLogType(), true, utente != null ? utente.getUsername() : null, request,  response, nomeFile);
				ServletOutputStream out = response.getOutputStream();
				ApplicationUtil.copy(istream, out);
				out.flush();
				out.close();
				istream.close();
				response.flushBuffer();
			} catch (Exception e) {
				ErrorLog.log(null, getClass(), e);
			}
		}
	}

	//https://BASE_PATH/calendar/id/password/contacts.ics
	@RequestMapping(value = ConstantsGlobal.path_web_calendar + "/{id}/{password}/" + ConstantsGlobal.contacts + "." + ConstantsMap.ics,  method = RequestMethod.GET)
	@ResponseBody 
	public void getFileC(HttpServletRequest request, HttpServletResponse response, @PathVariable final Long id, @PathVariable final String password)  {

		if(id!= null) {
			try {
				String p = ApplicationUtil.base64Decoder(password);
				String result = downloadDao.scaricaICSContattoList(id, p, false);
				Utente utente = userDao.getUser(id);
				ByteArrayInputStream istream = new ByteArrayInputStream(result.getBytes(ConstantsGlobal.CHARSET));
				String nomeFile = ConstantsGlobal.contacts  + "." + ConstantsMap.ics;
				ApplicationUtil.setResponse(null, impostazioneDao.getDownloadLogType(), true, utente != null ? utente.getUsername() : null, request,  response, nomeFile);
				ServletOutputStream out = response.getOutputStream();
				ApplicationUtil.copy(istream, out);
				out.flush();
				out.close();
				istream.close();
				response.flushBuffer();
			} catch (Exception e) {
				ErrorLog.log(null, getClass(), e);
			}
		}
	}

}