package it.callite.controller;
import java.io.Serializable;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.richfaces.json.JSONArray;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

import it.callite.constants.ConstantsGlobal;
import it.callite.dao.DataDao;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.JSONArrayView;
@SuppressWarnings("serial")
@Controller
public class CampoController implements Serializable {
	@Autowired
	public DataDao dataDao;


	//https://BASE_PATH/anagrafica?cid=$1&term=$2
	@RequestMapping(value = ConstantsGlobal.path_web_anagrafica)
	public ModelAndView handleAnagrafica(HttpServletRequest request, HttpServletResponse response) {
		Long cid = ApplicationUtil.asLong(request.getParameter("cid"));
		ModelAndView mav = new ModelAndView();
		JSONArray jsarray = new JSONArray();
		if(cid != null) {
			String searchString = request.getParameter("term");
			jsarray.put(dataDao.getCampiAggiuntiviAnagraficaByChiave(searchString, cid));
		}
		mav.setView(new JSONArrayView());
		mav.addObject("array", jsarray);
		return mav;
	}

	//https://BASE_PATH/contratto?cid=$1&term=$2
	@RequestMapping(value = ConstantsGlobal.path_web_contratto)
	public ModelAndView handleContratto(HttpServletRequest request, HttpServletResponse response) {
		Long cid = ApplicationUtil.asLong(request.getParameter("cid"));
		ModelAndView mav = new ModelAndView();
		JSONArray jsarray = new JSONArray();
		if(cid != null) {
			String searchString = request.getParameter("term");
			jsarray.put(dataDao.getCampiAggiuntiviContrattoByChiave(searchString, cid));
		}
		mav.setView(new JSONArrayView());
		mav.addObject("array", jsarray);
		return mav;
	}
}