package it.callite.controller;
import java.io.ByteArrayInputStream;
import java.io.Serializable;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsMap;
import it.callite.dao.ComunicazioneDao;
import it.callite.dao.ImpostazioneDao;
import it.callite.log.ErrorLog;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
@Controller
public class ComunicazioneController implements Serializable {

	@Autowired
	public ImpostazioneDao impostazioneDao;
	@Autowired
	public ComunicazioneDao comunicazioneDao;

	//https://BASE_PATH/message/type/hash
	@RequestMapping(value = ConstantsGlobal.path_web_message + "/{type}/{hash}", method = RequestMethod.GET)
	@ResponseBody 
	public void getFile(HttpServletRequest request, HttpServletResponse response, @PathVariable final String type, @PathVariable final String hash) {
		try {
			String result = comunicazioneDao.comunicazioneTemplate(type, hash);
			ByteArrayInputStream istream = new ByteArrayInputStream(result.getBytes(ConstantsGlobal.CHARSET));
			String nomeFile = ConstantsGlobal.message + "." + ConstantsMap.html;
			ApplicationUtil.setResponse(null, impostazioneDao.getDownloadLogType(), true, null, request, response, nomeFile);
			ServletOutputStream out = response.getOutputStream();
			ApplicationUtil.copy(istream, out);
			out.flush();
			out.close();
			istream.close();
			response.flushBuffer();
		} catch (Exception e) {
			ErrorLog.log(null, getClass(), e);
		}

	}

	//https://BASE_PATH/message/type/hash.png
	@RequestMapping(value = ConstantsGlobal.path_web_message + "/{type}/{hash}" + "." + ConstantsMap.png, method = RequestMethod.GET)
	@ResponseBody 
	public void getImage(HttpServletRequest request, HttpServletResponse response, @PathVariable final String type, @PathVariable final String hash) {
		try {
			comunicazioneDao.salvaComunicazione(type, hash);
			ByteArrayInputStream istream = new ByteArrayInputStream(ApplicationUtil.creaImamgine(ConstantsMap.png));
			String nomeFile = ConstantsGlobal.message + "." + ConstantsMap.png;
			ApplicationUtil.setResponse(null, impostazioneDao.getDownloadLogType(), true, null, request, response, nomeFile);
			ServletOutputStream out = response.getOutputStream();
			ApplicationUtil.copy(istream, out);
			out.flush();
			out.close();
			istream.close();
			response.flushBuffer();
		} catch (Exception e) {
			ErrorLog.log(null, getClass(), e);
		}

	}
}