package it.callite.controller;
import java.io.Serializable;
import java.util.Date;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;

import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsMap;
import it.callite.dao.AnagraficaDao;
import it.callite.dao.ImpostazioneDao;
import it.callite.dao.TemaDao;
import it.callite.log.ErrorLog;
import it.callite.model.Anagrafica;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
@Controller
public class ConsensoController implements Serializable {

	@Autowired
	public ImpostazioneDao impostazioneDao;
	@Autowired
	public AnagraficaDao anagraficaDao;
	@Autowired
	public TemaDao temaDao;

	//https://BASE_PATH/consenso/data/tipo/id/password
	@RequestMapping(value = ConstantsGlobal.path_web_consenso + "/{date}"+ "/{tipo}"+ "/{id}" + "/{password}")
	public void consenso1(HttpServletRequest request, HttpServletResponse response, @PathVariable final String date, @PathVariable final String tipo, @PathVariable final Long id, @PathVariable final String password) {
		if(impostazioneDao.comparePassword(password)) {
			String d = ApplicationUtil.trimToNull(date);
			String t = ApplicationUtil.trimToNull(tipo);
			if(id != null && d != null && t != null) {
				if(ConstantsMap.consensi.contains(t)) {
					Date nuova;
					if(d.equals(ConstantsMap.TRUE) || d.equals(ConstantsMap.FALSE)) {
						Date oggi = ApplicationUtil.date();
						nuova = Boolean.valueOf(d) ? ApplicationUtil.privacy(oggi, impostazioneDao.privacy()) : ApplicationUtil.inizioGiornata(oggi);
					} else {
						nuova = ApplicationUtil.date(d);
					}
					try {
						Anagrafica anagrafica = anagraficaDao.get(id);
						if(anagrafica != null) {
							if(ApplicationUtil.equals(t, ConstantsMap.c_telefono_fisso)) {
								anagrafica.setConsenso_tfisso(nuova);
							}
							if(ApplicationUtil.equals(t, ConstantsMap.c_telefono_mobile)) {
								anagrafica.setConsenso_tmobile(nuova);
							}
							if(ApplicationUtil.equals(t, ConstantsMap.c_telefono_fax)) {
								anagrafica.setConsenso_tfax(nuova);
							}
							if(ApplicationUtil.equals(t, ConstantsMap.c_telefono_altro)) {
								anagrafica.setConsenso_taltro(nuova);
							}
							if(ApplicationUtil.equals(t, ConstantsMap.c_email)) {
								anagrafica.setConsenso_email(nuova);
							}
							if(ApplicationUtil.equals(t, ConstantsMap.c_rmail)) {
								anagrafica.setConsenso_rmail(nuova);
							}
							anagraficaDao.salva(anagrafica);
						}
					} catch (Exception e) {
						ErrorLog.log(null, getClass(), e);
					}
				}
			}
		}
	}

	//https://BASE_PATH/consenso/data/id/password
	@RequestMapping(value = ConstantsGlobal.path_web_consenso + "/{date}"+ "/{id}" + "/{password}")
	public void consenso2(HttpServletRequest request, HttpServletResponse response, @PathVariable final String date, @PathVariable final Long id, @PathVariable final String password) {
		if(impostazioneDao.comparePassword(password)) {
			String d = ApplicationUtil.trimToNull(date);
			if(id!= null && d != null) {
				Date nuova;
				if(d.equals(ConstantsMap.TRUE) || d.equals(ConstantsMap.FALSE)) {
					Date oggi = ApplicationUtil.date();
					nuova = Boolean.valueOf(d) ? ApplicationUtil.privacy(oggi, impostazioneDao.privacy()) : ApplicationUtil.inizioGiornata(oggi);
				} else {
					nuova = ApplicationUtil.date(d);
				}
				try {
					Anagrafica anagrafica = anagraficaDao.get(id);
					if(anagrafica != null) {
						anagrafica.setConsenso_tfisso(nuova);
						anagrafica.setConsenso_tmobile(nuova);
						anagrafica.setConsenso_tfax(nuova);
						anagrafica.setConsenso_taltro(nuova);
						anagrafica.setConsenso_email(nuova);
						anagrafica.setConsenso_rmail(nuova);
						anagraficaDao.salva(anagrafica);
					}
				} catch (Exception e) {
					ErrorLog.log(null, getClass(), e);
				}
			}
		}
	}

}