package it.callite.controller;
import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import it.callite.constants.ConstantsGlobal;
import it.callite.dao.DownloadDao;
import it.callite.dao.ImpostazioneDao;
import it.callite.dao.TemaDao;
import it.callite.log.ErrorLog;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
@Controller
public class FaviconController implements Serializable {
	@Autowired
	public ImpostazioneDao impostazioneDao;
	@Autowired
	public TemaDao temaDao;
	@Autowired
	public DownloadDao downloadDao;

	//https://BASE_PATH/favicon/manifest.json
	@RequestMapping(value = ConstantsGlobal.path_web_favicon + "/" + "manifest.json", method = RequestMethod.GET, produces = "text/plain")
	public void handleA(HttpServletRequest request, HttpServletResponse response) {
		try {
			Map<String, Object> model = new HashMap<String, Object>();
			model.put("name", impostazioneDao.getApplicazione());
			model.put("req", ApplicationUtil.trimToEmpty(request.getContextPath()));
			model.put("theme", temaDao.getColor());
			model.put("url", impostazioneDao.getUrlBase());
			model.put("lang", ConstantsGlobal.LANGUAGE);
			ApplicationUtil.writeBody(response, downloadDao.mergeVelocityManifest("manifest.json", model));
		} catch (Exception e) {
			ErrorLog.log(null, getClass(), e);
		}
	}

	//https://BASE_PATH/favicon/browserconfig.xml
	@RequestMapping(value = ConstantsGlobal.path_web_favicon + "/" + "browserconfig.xml", method = RequestMethod.GET, produces = "text/plain")
	public void handleM(HttpServletRequest request, HttpServletResponse response) {
		try {
			Map<String, Object> model = new HashMap<String, Object>();
			model.put("req", ApplicationUtil.trimToEmpty(request.getContextPath()));
			ApplicationUtil.writeBody(response, downloadDao.mergeVelocityManifest("browserconfig.xml", model));
		} catch (Exception e) {
			ErrorLog.log(null, getClass(), e);
		}
	}

}