package it.callite.controller;
import java.io.Serializable;
import java.util.List;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import it.callite.constants.ConstantsFormat;
import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsMap;
import it.callite.dao.ImpostazioneDao;
import it.callite.dao.NotiziaDao;
import it.callite.dao.UserDao;
import it.callite.model.Notizia;
import it.callite.model.Utente;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.Feed;
import it.callite.utility.FeedMessage;
import it.callite.utility.RSSFeedWriter;
@SuppressWarnings("serial")
@Controller
public class FeedController  implements Serializable {
	@Autowired
	public ImpostazioneDao impostazioneDao;
	@Autowired
	public NotiziaDao notiziaDao;
	@Autowired
	public UserDao userDao;

	//https://BASE_PATH/feed/id/password/feed.xml
	@RequestMapping(value = ConstantsGlobal.path_web_feed + "/{id}/{password}/" + ConstantsGlobal.feed + "." + ConstantsMap.xml,  method = RequestMethod.GET)
	public void handleRequest(HttpServletRequest request, HttpServletResponse response, @PathVariable final Long id, @PathVariable final String password) {

		if(id!= null) {
			try {
				String p = ApplicationUtil.base64Decoder(password);
				Utente utente = userDao.getUser(id);
				ApplicationUtil.setResponse(null, impostazioneDao.getDownloadLogType(), true, utente != null ? utente.getUsername() : null, request, response, ConstantsGlobal.feed  + "." + ConstantsMap.xml);
				String title = impostazioneDao.getApplicazione();
				String link = impostazioneDao.getWebUrl();
				String description = "";
				String language = "";
				String copyright = "";
				String pubDate =  ApplicationUtil.formatDate(ConstantsFormat.dateTime.stampa(), ApplicationUtil.date());
				Feed rssFeeder = new Feed(title, link, description, language, copyright, pubDate);
				List<Notizia> ns = notiziaDao.trovaNotizieFeed(id, p);
				if(ApplicationUtil.notEmpty(ns)) {
					for(Notizia n : ns) {
						FeedMessage feed = new FeedMessage();
						feed.setTitle(n.getDenominazione());
						feed.setDescription(n.getTesto() + " " +  link);
						feed.setGuid(n.getId().toString());
						feed.setAuthor(title);
						feed.setLink(link + ConstantsGlobal.path_web_index);
						rssFeeder.getMessages().add(feed);
					}
				}
				ServletOutputStream out = response.getOutputStream();
				RSSFeedWriter writer = new RSSFeedWriter(rssFeeder, out);
				writer.write();
				out.flush();
				out.close();
				response.flushBuffer();
			} catch (Exception e) {
			}
		}
	}
}