package it.callite.controller;
import java.io.File;
import java.io.FileInputStream;
import java.io.InputStream;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.net.ftp.FTPClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsMap;
import it.callite.dao.ImpostazioneDao;
import it.callite.log.ErrorLog;
import it.callite.model.Utente;
import it.callite.utility.Allegato;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.UtilFTP;
import it.callite.utility.ZipPassword;
import it.callite.utility.ZipUtils;
@SuppressWarnings("serial")
@Controller
public class FileController  implements Serializable  {
	@Autowired
	public ImpostazioneDao impostazioneDao;

	//https://BASE_PATH/file/filename64.ext
	@RequestMapping(value = ConstantsGlobal.path_web_file + "/{file}.{ext}",  method = RequestMethod.GET)
	@ResponseBody 
	public void getFile(HttpServletRequest request, HttpServletResponse response, @PathVariable final String file, @PathVariable final String ext)  {
		Utente u = ApplicationUtil.getUsernameLoggato();
		if(u != null || ApplicationUtil.isTrue(impostazioneDao.getPermitDownload())) {
			String fileD = ApplicationUtil.base64Decoder(file);
			String e = ApplicationUtil.trimToNull(ext);
			String ex = e != null ? ("." + e) : "";
			String fileName = ApplicationUtil.getBaseNameN(fileD) + ex;
			ApplicationUtil.setResponse(null, impostazioneDao.getDownloadLogType(), true, null, request, response, fileName);
			if(ApplicationUtil.isNotTrue(impostazioneDao.getFTPEnabled())) {
				try {
					ServletOutputStream out = response.getOutputStream();
					String home = impostazioneDao.getHome();
					String nome = home + ConstantsGlobal.path_file +"/"+ fileD + ex;
					InputStream istream = new FileInputStream(nome);
					ApplicationUtil.copy(istream, out);
					istream.close();
					out.close();
				} catch (Exception ec) {
					ErrorLog.log(null, getClass(), ec);
				}
			} else {
				UtilFTP ut = impostazioneDao.getUtilFTP();
				FTPClient vmftp = ApplicationUtil.createClient();
				if (ApplicationUtil.connect(vmftp, ut)) {
					try {
						ServletOutputStream out = response.getOutputStream();
						String path = ConstantsGlobal.path_file + "/" + fileD + ex;
						ApplicationUtil.scaricaFile(vmftp, out, path);
						out.close();
					} catch (Exception ec) {
						ErrorLog.log(null, getClass(), ec);
					} finally {
						ApplicationUtil.disconnect(vmftp);
					}
				}	
			}
			try {
				response.flushBuffer();
			} catch (Exception ec) {
				ErrorLog.log(null, getClass(), ec);
			}
		}
	}
	//https://BASE_PATH/folder/foldername64
	@RequestMapping(value = ConstantsGlobal.path_web_folder + "/{file}",  method = RequestMethod.GET)
	@ResponseBody 
	public void getFolder(HttpServletRequest request, HttpServletResponse response, @PathVariable final String file)  {
		Utente u = ApplicationUtil.getUsernameLoggato();
		if(u != null || ApplicationUtil.isTrue(impostazioneDao.getPermitDownload())) {
			String fileD = ApplicationUtil.base64Decoder(file);

			ApplicationUtil.setResponse(null, impostazioneDao.getDownloadLogType(), true, null, request, response, fileD + "." + ConstantsMap.zip);
			if(ApplicationUtil.isNotTrue(impostazioneDao.getFTPEnabled())) {
				try {
					ServletOutputStream out = response.getOutputStream();
					String home = impostazioneDao.getHome();
					String nome = home + ConstantsGlobal.path_file +"/"+ fileD;
					String g = ConstantsGlobal.secretZ;
					File ff = new File(nome);
					if(g != null) {
						ZipPassword.zipIt(null, ff.getAbsolutePath(), out, g);
					} else {
						ZipUtils.zipIt(null, ff.getAbsolutePath(), out);
					}
					out.close();
				} catch (Exception ec) {
					ErrorLog.log(null, getClass(), ec);
				}
			} else {
				UtilFTP ut = impostazioneDao.getUtilFTP();
				FTPClient vmftp = ApplicationUtil.createClient();
				if (ApplicationUtil.connect(vmftp, ut)) {
					try {
						ServletOutputStream out = response.getOutputStream();
						String nome = ConstantsGlobal.path_file + "/" + fileD ;
						List<Allegato> mFile = new ArrayList<Allegato>();
						ApplicationUtil.readDirectory(vmftp, mFile, nome + "/", ConstantsGlobal.path_file + "/");
						String g = ConstantsGlobal.secretZ;
						ApplicationUtil.zip(null,mFile, out, g);
						out.close();
					} catch (Exception ec) {
						ErrorLog.log(null, getClass(), ec);
					} finally {
						ApplicationUtil.disconnect(vmftp);
					}
				}	
			}
			try {
				response.flushBuffer();
			} catch (Exception ec) {
				ErrorLog.log(null, getClass(), ec);
			}
		}
	}
}