package it.callite.controller;
import java.io.Serializable;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;

import it.callite.constants.ConstantsGlobal;
import it.callite.dao.ComunicazioneDao;
import it.callite.dao.PannelloDao;
import it.callite.model.Contatto;
import it.callite.model.Email;
import it.callite.model.EmailTemplate;
import it.callite.model.Rmail;
import it.callite.model.RmailTemplate;
import it.callite.model.Telecom;
import it.callite.model.TelecomTemplate;
import it.callite.model.Utente;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
@Controller
public class InvioController  implements Serializable  {
	@Autowired
	public ComunicazioneDao comunicazioneDao;

	@Autowired
	public PannelloDao pannelloDao;

	//https://BASE_PATH/email/contatto/template
	@RequestMapping(value = ConstantsGlobal.path_web_email + "/{contatto}/{template}")
	public void getFileE(HttpServletRequest request, HttpServletResponse response, @PathVariable final Long contatto, @PathVariable final Long template)  {
		Utente u = ApplicationUtil.getUsernameLoggato();
		EmailTemplate t = comunicazioneDao.getEmailTemplate(template);
		Contatto c = pannelloDao.getContatto(contatto);
		if (c != null && t != null && ApplicationUtil.isTrue(t.getAttivo())) {
			try {
				Email email = pannelloDao.creaEmailDaTemplate(t, c, ApplicationUtil.readParameters(request));
				email.setDestinatario(c.getAnagrafica().getEmail());
				email.setDataSchedulata(ApplicationUtil.date());
				email.setAllegati(null);
				email.setContatto(c);
				Integer r = comunicazioneDao.inviaEmail(email, u, null);
				if(r != null) {
					ApplicationUtil.writeBody(response, r.toString());
				}
			} catch (Exception e) {
			}
		}
	}

	//https://BASE_PATH/rmail/contatto/template
	@RequestMapping(value = ConstantsGlobal.path_web_rmail + "/{contatto}/{template}")
	public void getFileR(HttpServletRequest request, HttpServletResponse response, @PathVariable final Long contatto, @PathVariable final Long template)  {
		Utente u = ApplicationUtil.getUsernameLoggato();
		RmailTemplate t = comunicazioneDao.getRmailTemplate(template);
		Contatto c = pannelloDao.getContatto(contatto);
		if (c != null && t != null && ApplicationUtil.isTrue(t.getAttivo())) {
			try {
				Rmail rmail = pannelloDao.creaRmailDaTemplate(t, c, ApplicationUtil.readParameters(request));
				rmail.setContatto(c);
				rmail.imposta();
				rmail.setDataSchedulata(ApplicationUtil.date());
				rmail.setAllegati(null);
				Integer r = comunicazioneDao.inviaRmail(rmail, u, null);
				if(r != null) {
					ApplicationUtil.writeBody(response, r.toString());
				}
			} catch (Exception e) {
			}
		}
	}


	//https://BASE_PATH/telecom/contatto/template
	@RequestMapping(value = ConstantsGlobal.path_web_telecom + "/{contatto}/{template}")
	public void getFileT(HttpServletRequest request, HttpServletResponse response, @PathVariable final Long contatto, @PathVariable final Long template)  {
		Utente u = ApplicationUtil.getUsernameLoggato();
		TelecomTemplate t = comunicazioneDao.getTelecomTemplate(template);
		Contatto c = pannelloDao.getContatto(contatto);
		if (c != null && t != null && ApplicationUtil.isTrue(t.getAttivo())) {
			try {
				Telecom telecom = pannelloDao.creaTelecomDaTemplate(t, c, ApplicationUtil.readParameters(request));
				telecom.setDataSchedulata(ApplicationUtil.date());
				telecom.setContatto(c);
				Integer r = comunicazioneDao.inviaTelecom(telecom, u, true);
				if(r != null) {
					ApplicationUtil.writeBody(response, r.toString());
				}
			} catch (Exception e) {
			}
		}
	}

}