package it.callite.controller;
import java.io.Serializable;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import it.callite.constants.ConstantsGlobal;
import it.callite.dao.ImpostazioneDao;
import it.callite.dao.UserDao;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
@Controller
public class MailController implements Serializable {
	@Autowired
	public UserDao userDao;
	@Autowired
	public ImpostazioneDao impostazioneDao;
	//https://BASE_PATH/notifica/telefono/password
	@RequestMapping(value = ConstantsGlobal.path_web_notifica + "/{telefono}" + "/{password}")
	public void handleRequest1(HttpServletRequest request, HttpServletResponse response, @PathVariable final String telefono,  @PathVariable final String password) {
		if(impostazioneDao.comparePassword(password)) {
			String o = ApplicationUtil.trimToNull(telefono);
			if(o != null) {
				userDao.mailSender(o, null, null);
			}
		}
	}

	//https://BASE_PATH/notifica/telefono/destinazione/password
	@RequestMapping(value = ConstantsGlobal.path_web_notifica + "/{telefono}" + "/{destinazione}" + "/{password}")
	public void handleRequest2(HttpServletRequest request, HttpServletResponse response, @PathVariable final String telefono, @PathVariable final String destinazione,  @PathVariable final String password) {
		if(impostazioneDao.comparePassword(password)) {
			String o = ApplicationUtil.trimToNull(telefono);
			String c = ApplicationUtil.trimToEmpty(destinazione);
			if(o != null) {
				userDao.mailSender(o, c, null);
			}
		}
	}

	//https://BASE_PATH/notifica/telefono/destinazione/email/password
	@RequestMapping(value = ConstantsGlobal.path_web_notifica + "/{telefono}" + "/{destinazione}" + "/{email}" + "/{password}")
	public void handleRequest3(HttpServletRequest request, HttpServletResponse response, @PathVariable final String telefono, @PathVariable final String destinazione, @PathVariable final String email,  @PathVariable final String password) {
		if(impostazioneDao.comparePassword(password)) {
			String o = ApplicationUtil.trimToNull(telefono);
			String c = ApplicationUtil.trimToEmpty(destinazione);
			String e = ApplicationUtil.trimToNull(email);
			if(o != null) {
				userDao.mailSender(o, c, e);
			}
		}
	}
}