package it.callite.controller;
import java.io.Serializable;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.richfaces.json.JSONArray;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

import it.callite.chiamate.Chiamate;
import it.callite.constants.ConstantsGlobal;
import it.callite.dao.SipDao;
import it.callite.message.Message;
import it.callite.model.Utente;
import it.callite.model.report.MonitorOperatore;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.JSONArrayView;
import it.callite.utility.ParameterTrunk;
import it.callite.utility.item.TrunkSI;
@SuppressWarnings("serial")
@Controller
public class PhoneController implements Serializable {

	@Autowired
	public SipDao sipDao;

	//https://BASE_PATH/language
	@RequestMapping(value = ConstantsGlobal.path_web_language)
	public ModelAndView handleRequest1(HttpServletRequest request, HttpServletResponse response) {
		ModelAndView mav = new ModelAndView();
		JSONArray jsarray = new JSONArray();
		jsarray.put(Message.getCatalogMessage());
		mav.setView(new JSONArrayView());
		mav.addObject("array", jsarray);
		return mav;
	}

	//https://BASE_PATH/trunk
	@RequestMapping(value = ConstantsGlobal.path_web_trunk)
	public ModelAndView handleRequest2(HttpServletRequest request, HttpServletResponse response) {
		ModelAndView mav = new ModelAndView();
		JSONArray jsarray = new JSONArray();
		Map<String, JSONArray> map = new HashMap<String, JSONArray>();
		Utente u = ApplicationUtil.getUsernameLoggato();
		if(u != null) {
			List<TrunkSI> ls = sipDao.getTrunkWebSI();
			if(ApplicationUtil.notEmpty(ls)) {
				Iterator<TrunkSI> it = ls.iterator();
				while (it.hasNext()) {
					TrunkSI t = (TrunkSI) it.next();
					ParameterTrunk ps = t.getParameter();
					String nome = ps.getTrunkContext();
					if(ApplicationUtil.isNotBlank(nome)) {
						JSONArray subjson = new JSONArray();
						Map<String, Object> smap = new HashMap<String, Object>();
						smap.put("vtx", ps.getVtx());
						smap.put("vrx", ps.getVrx());
						smap.put("trunk", ps.getTrunk());
						smap.put("musicclass", ps.getMusicclass());
						smap.put("calleridT", ps.getCallerid());
						smap.put("prefissoT", ps.getPrefisso());
						smap.put("antecallT", ps.getAntecall());
						smap.put("opposizioneT", ps.getOpposizione());
						smap.put("registrazioneT", ps.getRegistrazione());
						smap.put("interurbaneT", ps.getInterurbane());
						subjson.put(smap);
						map.put(nome, subjson);
					}
				}
			}
		}
		jsarray.put(map);
		mav.setView(new JSONArrayView());
		mav.addObject("array", jsarray);
		return mav;
	}

	//https://BASE_PATH/interno
	@RequestMapping(value = ConstantsGlobal.path_web_interno)
	public ModelAndView handleRequest3(HttpServletRequest request, HttpServletResponse response) {
		ModelAndView mav = new ModelAndView();
		JSONArray jsarray = new JSONArray();
		Map<String, JSONArray> map = new HashMap<String, JSONArray>();
		Utente u = ApplicationUtil.getUsernameLoggato();
		if(u != null) {
			Map<Utente, MonitorOperatore> operatori = Chiamate.getCodaOperatori().getData();
			if(ApplicationUtil.notEmpty(operatori)) {
				Iterator<MonitorOperatore> iter = operatori.values().iterator();
				while (iter.hasNext()) {
					MonitorOperatore to = iter.next();
					Utente utente = to.getOperatore();
					if(utente != null && ApplicationUtil.ltZero(utente.getDisattivaFunzioni()) && utente.isLocale() && ApplicationUtil.isTrue(utente.getInterno().getAttivo()) && utente.getLoggato()) {
						JSONArray subjson = new JSONArray();
						Map<String, Object> smap = new HashMap<String, Object>();
						smap.put("stato", to.getLibero());
						smap.put("chiamante", utente.getDenominazione());
						subjson.put(smap);
						map.put(utente.getInternoString(), subjson);
					}
				}
			}
		}
		jsarray.put(map);
		mav.setView(new JSONArrayView());
		mav.addObject("array", jsarray);
		return mav;
	}
}