package it.callite.controller;
import java.io.Serializable;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;

import it.callite.constants.ConstantsGlobal;
import it.callite.dao.ContattoDao;
import it.callite.dao.ImpostazioneDao;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
@Controller
public class SondaggioController implements Serializable {
	@Autowired
	public ContattoDao contattoDao;
	@Autowired
	public ImpostazioneDao impostazioneDao;
	
	//https://BASE_PATH/sondaggio/contatto/utente/voto/password
	@RequestMapping(value = ConstantsGlobal.path_web_sondaggio + "/{contatto}" +"/{utente}" + "/{voto}" + "/{password}")
	public void handleRequest(HttpServletRequest request, HttpServletResponse response, @PathVariable final String contatto,  @PathVariable final String utente,  @PathVariable final String voto,  @PathVariable final String password) {
		if(impostazioneDao.comparePassword(password)) {
			String c = ApplicationUtil.trimToNull(contatto);
			String u = ApplicationUtil.trimToNull(utente);
			String v = ApplicationUtil.trimToNull(voto);
			if(c != null && u != null && v != null) {
				contattoDao.sondaggio(c, u, v, null);
			}
		}
	}
}