package it.callite.converter;  

import java.io.Serializable;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import it.callite.constants.ConstantsGlobal;
import it.callite.dao.RiprogrammaDao;
import it.callite.model.EsitoArchiviazione;
import it.callite.model.EsitoChiamata;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.EsitoGenerico;

@Service("esitoConverter")
@SuppressWarnings("serial")
public class EsitoConverter implements Converter, Serializable {  
	
	@Autowired
	private RiprogrammaDao riprogrammaDao;

	public Object getAsObject(FacesContext facesContext, UIComponent component, String submittedValue) {  
		String valore = ApplicationUtil.trimToNull(submittedValue);
		if (valore != null) {  
			if(valore.startsWith(ConstantsGlobal.esito_chiamata)) {
				EsitoChiamata ec = (EsitoChiamata) riprogrammaDao.get(EsitoChiamata.class, Long.parseLong(valore.substring(1)));
				return new EsitoGenerico(ec, null);
			}
			if(valore.startsWith(ConstantsGlobal.esito_archiviazione)) {
				EsitoArchiviazione ea = (EsitoArchiviazione) riprogrammaDao.get(EsitoArchiviazione.class, Long.parseLong(valore.substring(1)));
				return new EsitoGenerico(null, ea);
			}
		}
		return null;
	}  

	public String getAsString(FacesContext facesContext, UIComponent component, Object value) {  
		if (value != null) {
			return ((EsitoGenerico) value).getIdentificativo();  
		} else {
			return null;
		}
	}  
}  