package it.callite.converter;  

import java.io.Serializable;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import it.callite.dao.RiprogrammaDao;
import it.callite.model.Lista;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.item.ListaSI;

@Service("listaConverter")
@SuppressWarnings("serial")
public class ListaConverter implements Converter, Serializable {  
	
	@Autowired
	private RiprogrammaDao riprogrammaDao;

	public Object getAsObject(FacesContext facesContext, UIComponent component, String submittedValue) {  
		String valore = ApplicationUtil.trimToNull(submittedValue);
		if (valore != null) {  
			Lista ec = (Lista) riprogrammaDao.get(Lista.class, Long.parseLong(valore));
			return new ListaSI(ec);
		}
		return null;
	}  

	public String getAsString(FacesContext facesContext, UIComponent component, Object value) {  
		if (value != null) {
			return ((ListaSI) value).getId().toString();  
		} else {
			return null;
		}
	}  
}  