package it.callite.converter;  

import java.io.Serializable;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import it.callite.dao.UserDao;
import it.callite.model.Utente;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.item.UtenteSI;

@Service("utenteConverter")
@SuppressWarnings("serial")
public class UtenteConverter implements Converter, Serializable { 
	
	@Autowired
	private UserDao userDao;

	public Object getAsObject(FacesContext facesContext, UIComponent component, String submittedValue) {  
		String valore = ApplicationUtil.trimToNull(submittedValue);
		if (valore != null) {  
			Utente ec = (Utente) userDao.get(Utente.class, Long.parseLong(valore));
			return new UtenteSI(ec);
		}
		return null;
	}  

	public String getAsString(FacesContext facesContext, UIComponent component, Object value) {  
		if (value != null) {
			return ((UtenteSI) value).getId().toString();  
		} else {
			return null;
		}
	}  
}  