package it.callite.criteria;

import java.io.Serializable;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.GenericAllCriteria;
import it.callite.utility.ApplicationUtil;

public class AccessoCriteria extends GenericAllCriteria implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private String utente;
	private String ip;
	
	public AccessoCriteria() {
		String date1 [] = {ConstantsColumn.data_creazione};
		String date2 [] = {ConstantsColumn.id};
		String date3 [] = null;
		String date4 [] = null;
		String date5 [] = null;
		addAll(date1, date2, date3, date4, date5);
	}


	
	public AccessoCriteria resetCriteria() {
		AccessoCriteria c = new AccessoCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	
	public AccessoCriteria resetCriteria(String b) {
		AccessoCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}

	public void setCriteria(String b) {
		replace(ConstantsColumn.data_creazione, b);
	}

	public String getIp() {
		return ApplicationUtil.trimToNull(ip);
	}


	public void setIp(String ip) {
		this.ip = ApplicationUtil.trimToNull(ip);
	}



	public String getUtente() {
		return ApplicationUtil.trimToNull(utente);
	}



	public void setUtente(String utente) {
		this.utente = ApplicationUtil.trimToNull(utente);
	}



}
