package it.callite.criteria;

import java.io.Serializable;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.GenericAllCriteria;
import it.callite.utility.ApplicationUtil;

public class AgenteCriteria  extends GenericAllCriteria implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private Long agentePadreId;
	private String codice;
	private String numero;
	private Long qualifica;
	private Integer rete = 0;
	private String ricerca_denominazione;
	private String ricerca_fiscale;
	private Long ufficio;
	private Long zona;

	public AgenteCriteria() {
		String date1 [] = {ConstantsColumn.data_creazione};
		String date2 [] = {ConstantsColumn.id};
		String date3 [] = null;
		String date4 [] = null;
		String date5 [] = null;
		addAll(date1, date2, date3, date4, date5);
	}

	public Long getAgentePadreId() {
		return agentePadreId;
	}

	public String getCodice() {
		return ApplicationUtil.trimToNull(codice);
	}

	public String getNumero() {
		return ApplicationUtil.trimToNull(numero);
	}

	public Long getQualifica() {
		return qualifica;
	}

	public Integer getRete() {
		return rete;
	}
	public String getRicerca_denominazione() {
		return ApplicationUtil.trimToNull(ricerca_denominazione);
	}

	public String getRicerca_fiscale() {
		return ApplicationUtil.trimToNull(ricerca_fiscale);
	}


	public Long getUfficio() {
		return ufficio;
	}
	public Long getZona() {
		return zona;
	}

	public AgenteCriteria resetCriteria() {
		AgenteCriteria c = new AgenteCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	
	public AgenteCriteria resetCriteria(String b) {
		AgenteCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}
	
	public void setAgentePadreId(Long agentePadreId) {
		this.agentePadreId = agentePadreId;
	}

	public void setCodice(String codice) {
		this.codice = ApplicationUtil.trimToNull(codice);
	}


	public void setCriteria(String b) {
		replace(ConstantsColumn.data_creazione, b);
	}

	public void setNumero(String numero) {
		this.numero = ApplicationUtil.trimToNull(numero);
	}


	public void setQualifica(Long qualifica) {
		this.qualifica = qualifica;
	}

	public void setRete(Integer rete) {
		this.rete = rete;
	}

	public void setRicerca_denominazione(String ricerca_denominazione) {
		this.ricerca_denominazione = ApplicationUtil.trimToNull(ricerca_denominazione);
	}

	public void setRicerca_fiscale(String ricerca_fiscale) {
		this.ricerca_fiscale = ApplicationUtil.trimToNull(ricerca_fiscale);
	}

	public void setUfficio(Long ufficio) {
		this.ufficio = ufficio;
	}

	public void setZona(Long zona) {
		this.zona = zona;
	}

}
