package it.callite.criteria;

import java.io.Serializable;

import it.callite.criteria.generic.BaseCriteria;
import it.callite.utility.ApplicationUtil;

public class AnagraficaPagineCriteria extends BaseCriteria implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private Long campagna;
	private String ricerca;
	private Integer tipo = 0;
	private String zona;
	private String telefono;
	private boolean esegui = false;
	private Integer size = 250;
	
	public AnagraficaPagineCriteria() {
	}
	
	public Long getCampagna() {
		return campagna;
	}

	public String getRicerca() {
		return ApplicationUtil.trimToNull(ricerca);
	}

	public Integer getTipo() {
		return tipo;
	}
	
	public String getZona() {
		return ApplicationUtil.trimToNull(zona);
	}

	public boolean getZonaIndirizzo() {
		return ApplicationUtil.eq(tipo, 0);
	}

	public boolean getZonaNumero() {
		return ApplicationUtil.eq(tipo, 2);
	}
	public boolean getZonaRagione() {
		return ApplicationUtil.eq(tipo, 1);
	}


	public boolean getZonaTutto() {
		return ApplicationUtil.eq(tipo, 3);
	}

	public AnagraficaPagineCriteria resetCriteria() {
		AnagraficaPagineCriteria c = new AnagraficaPagineCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}

	public AnagraficaPagineCriteria resetCriteria(String b) {
		AnagraficaPagineCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}
	public void setCampagna(Long campagna) {
		this.campagna = campagna;
	}

	public void setCriteria(String b) {
	}
	
	public void setRicerca(String ricerca) {
		this.ricerca = ApplicationUtil.trimToNull(ricerca);
	}

	public void setTipo(Integer tipo) {
		this.tipo = tipo;
	}

	public void setZona(String zona) {
		this.zona = ApplicationUtil.trimToNull(zona);
	}

	public String getTelefono() {
		return ApplicationUtil.trimToNull(telefono);
	}

	public void setTelefono(String telefono) {
		this.telefono = ApplicationUtil.trimToNull(telefono);
	}

	public boolean isEsegui() {
		return esegui;
	}

	public void setEsegui(boolean esegui) {
		this.esegui = esegui;
	}

	public Integer getSize() {
		return size;
	}

	public void setSize(Integer size) {
		this.size = size;
	}
	

	
}
