package it.callite.criteria;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.RicercaStoricoCriteria;
import it.callite.utility.ApplicationUtil;



public class AppuntamentoCriteria  extends RicercaStoricoCriteria  implements Serializable {

	private static final long serialVersionUID = 1L;

	private Integer giorniCC = 0;
	private Integer inizioCC = 0;
	private Integer fineCC = 0;
	private Long team;
	private Long zona;
	private Long campagna_id;
	private Integer stato;
	private Integer rete = 0;
	private String camp_sup;
	private Long esito;
	private Integer giorni = 0;
	private String ricerca_anagrafica;
	private Long operatoreId;
	private Long utenteId;
	private Long agenteId;
	private Integer confermato;
	private Boolean soloContatto = false;
	private String operatore;
	private String utente;
	private List<String> ricerca_anagraficaV = ApplicationUtil.getAnagraficaDefault();
	private List<String> esitos = new ArrayList<String>();
	private List<String> statos = new ArrayList<String>();
	private List<String> teams = new ArrayList<String>();
	private List<String> zonas = new ArrayList<String>();
	
	public Long getZona() {
		return zona;
	}
	public void setZona(Long zona) {
		this.zona = zona;
	}
	public List<String> getZonas() {
		return zonas;
	}
	public void setZonas(List<String> zonas) {
		this.zonas = zonas;
	}

	public List<String> getTeams() {
		return teams;
	}
	public void setTeams(List<String> teams) {
		this.teams = teams;
	}
	public List<String> getStatos() {
		return statos;
	}
	public void setStatos(List<String> statos) {
		this.statos = statos;
	}
	public void resetAnagraficaV() {
		ricerca_anagraficaV = ApplicationUtil.getAnagraficaDefault();
	}
	public List<String> getEsitos() {
		return esitos;
	}

	public void setEsitos(List<String> esitos) {
		this.esitos = esitos;
	}


	public List<String> getRicerca_anagraficaV() {
		return ricerca_anagraficaV;
	}

	public void setRicerca_anagraficaV(List<String> ricerca_anagraficaV) {
		this.ricerca_anagraficaV = ricerca_anagraficaV;
	}

	public AppuntamentoCriteria() {
		String date1 [] = {ConstantsColumn.data_creazione, ConstantsColumn.data_inizio, ConstantsColumn.data_fine, ConstantsColumn.data_esito, ConstantsColumn.data_stato, ConstantsColumn.data_conferma, ConstantsColumn.data_lavorazione};
		String date2 [] = {ConstantsColumn.id};
		String date3 [] = null;
		String date4 [] = null;
		String date5 [] = null;
		addAll(date1, date2, date3, date4, date5);
	}

	public void setCriteria(String b) {
		replace(ConstantsColumn.data_creazione, b);
	}

	public Integer getGiorni() {
		return giorni;
	}

	public void setGiorni(Integer giorni) {
		this.giorni = giorni;
	}

	public Long getAgenteId() {
		return agenteId;
	}
	public String getCamp_sup() {
		return ApplicationUtil.trimToNull(camp_sup);
	}

	public Integer getConfermato() {
		return confermato;
	}


	public Long getEsito() {
		return esito;
	}


	public Integer getRete() {
		return rete;
	}

	public Boolean getSoloContatto() {
		return soloContatto;
	}
	public Integer getStato() {
		return stato;
	}

	public Long getTeam() {
		return team;
	}

	public AppuntamentoCriteria resetCriteria() {
		AppuntamentoCriteria c = new AppuntamentoCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}

	public AppuntamentoCriteria resetCriteria(String b) {
		AppuntamentoCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}

	public void setAgenteId(Long agenteId) {
		this.agenteId = agenteId;
	} 
	public void setCamp_sup(String camp_sup) {
		this.camp_sup = ApplicationUtil.trimToNull(camp_sup);
	}

	public void setConfermato(Integer confermato) {
		this.confermato = confermato;
	}


	public void setEsito(Long esito) {
		this.esito = esito;
	}


	public void setRete(Integer rete) {
		this.rete = rete;
	}

	public void setSoloContatto(Boolean soloContatto) {
		this.soloContatto = soloContatto;
	}
	public void setStato(Integer stato) {
		this.stato = stato;
	}
	public void setTeam(Long team) {
		this.team = team;
	}

	public Long getCampagna_id() {
		return campagna_id;
	}

	public void setCampagna_id(Long campagna_id) {
		this.campagna_id = campagna_id;
	}

	public Long getOperatoreId() {
		return operatoreId;
	}

	public void setOperatoreId(Long operatoreId) {
		this.operatoreId = operatoreId;
	}

	public String getOperatore() {
		return ApplicationUtil.trimToNull(operatore);
	}

	public void setOperatore(String operatore) {
		this.operatore = ApplicationUtil.trimToNull(operatore);
	}

	public Long getUtenteId() {
		return utenteId;
	}

	public void setUtenteId(Long utenteId) {
		this.utenteId = utenteId;
	}

	public String getUtente() {
		return ApplicationUtil.trimToNull(utente);
	}

	public void setUtente(String utente) {
		this.utente = ApplicationUtil.trimToNull(utente);
	}
	public void setGiorniCC(Integer giorniCC) {
		this.giorniCC = giorniCC;
	}

	public void setInizioCC(Integer inizioCC) {
		this.inizioCC = inizioCC;
	}

	public void setFineCC(Integer fineCC) {
		this.fineCC = fineCC;
	}

	public Integer getFineCC() {
		if(ApplicationUtil.ltZero(fineCC)) {
			return 0;
		}
		return fineCC;
	}
	public Integer getGiorniCC() {
		if(ApplicationUtil.ltZero(giorniCC)) {
			return 0;
		}
		return giorniCC;
	}
	public Integer getInizioCC() {
		if(ApplicationUtil.ltZero(inizioCC)) {
			return 0;
		}
		return inizioCC;
	}
	public void setRicerca_anagrafica(String ricerca_anagrafica) {
		this.ricerca_anagrafica = ApplicationUtil.trimToNull(ricerca_anagrafica);
	}
	public String getRicerca_anagrafica() {
		return ApplicationUtil.trimToNull(ricerca_anagrafica);
	}
}