package it.callite.criteria;

import java.io.Serializable;
import java.util.List;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.GenericAllCriteria;
import it.callite.utility.ApplicationUtil;

public class AutoContattoCriteria extends GenericAllCriteria implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private Long autodialer;
	private Long campagna;
	private String ricerca_anagrafica;
	private Integer stato;
	private Boolean inbound;
	private String utente;
	private List<String> ricerca_anagraficaV = ApplicationUtil.getAnagraficaDefault();

	public void resetAnagraficaV() {
		ricerca_anagraficaV = ApplicationUtil.getAnagraficaDefault();
	}
	public List<String> getRicerca_anagraficaV() {
		return ricerca_anagraficaV;
	}

	public void setRicerca_anagraficaV(List<String> ricerca_anagraficaV) {
		this.ricerca_anagraficaV = ricerca_anagraficaV;
	}

	public AutoContattoCriteria() {
		String date1 [] = {ConstantsColumn.data_creazione, ConstantsColumn.data_avvio, ConstantsColumn.data_chiamata, ConstantsColumn.data_risposta,ConstantsColumn.data_gestione, ConstantsColumn.data_apertura, ConstantsColumn.data_attesa, ConstantsColumn.data_aggancio, ConstantsColumn.data_rifiuto, ConstantsColumn.data_link};
		String date2 [] = {ConstantsColumn.id};
		String date3 [] = {ConstantsColumn.tentativi, ConstantsColumn.secondi_avvio, ConstantsColumn.secondi_chiamata, ConstantsColumn.secondi_conversazione, ConstantsColumn.secondi_totale};
		String date4 [] = null;
		String date5 [] = null;
		addAll(date1, date2, date3, date4, date5);
	}


	public void setRicerca_anagrafica(String ricerca_anagrafica) {
		this.ricerca_anagrafica = ApplicationUtil.trimToNull(ricerca_anagrafica);
	}
	public String getRicerca_anagrafica() {
		return ApplicationUtil.trimToNull(ricerca_anagrafica);
	}

	public Long getAutodialer() {
		return autodialer;
	}

	public Long getCampagna() {
		return campagna;
	}


	public Integer getStato() {
		return stato;
	}

	public String getUtente() {
		return ApplicationUtil.trimToNull(utente);
	}

	public AutoContattoCriteria resetCriteria() {
		AutoContattoCriteria c = new AutoContattoCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	public AutoContattoCriteria resetCriteria(String b) {
		AutoContattoCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}
	public void setAutodialer(Long autodialer) {
		this.autodialer = autodialer;
	}

	public void setCampagna(Long campagna) {
		this.campagna = campagna;
	}

	public void setCriteria(String b) {
		replace(ConstantsColumn.data_creazione, b);
	}

	public void setStato(Integer stato) {
		this.stato = stato;
	}

	public void setUtente(String utente) {
		this.utente = ApplicationUtil.trimToNull(utente);
	}
	public Boolean getInbound() {
		return inbound;
	}
	public void setInbound(Boolean inbound) {
		this.inbound = inbound;
	}


}
