package it.callite.criteria;

import java.io.Serializable;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.GenericAllCriteria;
import it.callite.utility.ApplicationUtil;

public class AutodialerCriteria extends GenericAllCriteria implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private String nome;
	
	public AutodialerCriteria() {
		String date1 [] = {ConstantsColumn.data_creazione, ConstantsColumn.data_inizio, ConstantsColumn.data_fine};
		String date2 [] = {ConstantsColumn.id};
		String date3 [] = null;
		String date4 [] = {ConstantsColumn.ora_inizio, ConstantsColumn.ora_fine};
		String date5 [] = {ConstantsColumn.week_inizio, ConstantsColumn.week_fine};
		addAll(date1, date2, date3, date4, date5);
	}

	public String getNome() {
		return ApplicationUtil.trimToNull(nome);
	}

	public AutodialerCriteria resetCriteria() {
		AutodialerCriteria c = new AutodialerCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	
	public AutodialerCriteria resetCriteria(String b) {
		AutodialerCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}
	
	public void setCriteria(String b) {
		replace(ConstantsColumn.data_creazione, b);
	}

	public void setNome(String nome) {
		this.nome = ApplicationUtil.trimToNull(nome);
	}
	
}
