package it.callite.criteria;

import java.io.Serializable;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.GenericAllCriteria;
import it.callite.utility.ApplicationUtil;

public class CampagnaCriteria  extends GenericAllCriteria implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private Long agente_id;
	private Integer autodialer;
	private Long esito_id;
	private Long lista_id;
	private Long partner_id;
	private Long prodotto_id;
	private String ricerca;
	private Integer stato_id;
	private Integer attivo_id;
	private Long team_id;
	private Integer tipo;
	private String callers;
	
	public CampagnaCriteria() {
		String date1 [] = {ConstantsColumn.data_creazione, ConstantsColumn.data_inizio, ConstantsColumn.data_fine};
		String date2 [] = {ConstantsColumn.id};
		String date3 [] = null;
		String date4 [] = {ConstantsColumn.ora_inizio, ConstantsColumn.ora_fine};
		String date5 [] = {ConstantsColumn.week_inizio, ConstantsColumn.week_fine};
		addAll(date1, date2, date3, date4, date5);
	}

	public Long getAgente_id() {
		return agente_id;
	}

	public Integer getAutodialer() {
		return autodialer;
	}

	public Long getEsito_id() {
		return esito_id;
	}

	public Integer getAttivo_id() {
		return attivo_id;
	}

	public void setAttivo_id(Integer attivo_id) {
		this.attivo_id = attivo_id;
	}

	public Long getLista_id() {
		return lista_id;
	}

	public Long getPartner_id() {
		return partner_id;
	}

	public Long getProdotto_id() {
		return prodotto_id;
	}

	public String getRicerca() {
		return ApplicationUtil.trimToNull(ricerca);
	}

	public Integer getStato_id() {
		return stato_id;
	}

	public Long getTeam_id() {
		return team_id;
	}

	public Integer getTipo() {
		return tipo;
	}

	public CampagnaCriteria resetCriteria() {
		CampagnaCriteria c = new CampagnaCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	
	public CampagnaCriteria resetCriteria(String b) {
		CampagnaCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}

	public void setAgente_id(Long agente_id) {
		this.agente_id = agente_id;
	}

	public void setAutodialer(Integer autodialer) {
		this.autodialer = autodialer;
	}

	public void setCriteria(String b) {
		replace(ConstantsColumn.data_creazione, b);
	}
	

	public void setEsito_id(Long esito_id) {
		this.esito_id = esito_id;
	}

	public void setLista_id(Long lista_id) {
		this.lista_id = lista_id;
	}

	public void setPartner_id(Long partner_id) {
		this.partner_id = partner_id;
	}
	
	public void setProdotto_id(Long prodotto_id) {
		this.prodotto_id = prodotto_id;
	}

	public void setRicerca(String ricerca) {
		this.ricerca = ApplicationUtil.trimToNull(ricerca);
	}
	
	public void setStato_id(Integer stato_id) {
		this.stato_id = stato_id;
	}

	public void setTeam_id(Long team_id) {
		this.team_id = team_id;
	}

	public void setTipo(Integer tipo) {
		this.tipo = tipo;
	}
	
	public String getCallers() {
		return ApplicationUtil.trimToNull(callers);
	}

	public void setCallers(String callers) {
		this.callers = ApplicationUtil.trimToNull(callers);
	}
}
