package it.callite.criteria;

import java.io.Serializable;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.GenericAllCriteria;
import it.callite.utility.ApplicationUtil;

public class CategoriaCriteria extends GenericAllCriteria implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private String descrizione;
	private String nome;
	
	
	public CategoriaCriteria() {
		String date1 [] = {ConstantsColumn.data_creazione};
		String date2 [] = {ConstantsColumn.id};
		String date3 [] = null;
		String date4 [] = null;
		String date5 [] = null;
		addAll(date1, date2, date3, date4, date5);
	}

	public String getDescrizione() {
		return ApplicationUtil.trimToNull(descrizione);
	}

	public String getNome() {
		return ApplicationUtil.trimToNull(nome);
	}

	public CategoriaCriteria resetCriteria() {
		CategoriaCriteria c = new CategoriaCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	
	public CategoriaCriteria resetCriteria(String b) {
		CategoriaCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}
	
	public void setCriteria(String b) {
		replace(ConstantsColumn.data_creazione, b);
	}

	public void setDescrizione(String descrizione) {
		this.descrizione = ApplicationUtil.trimToNull(descrizione);
	}

	public void setNome(String nome) {
		this.nome = ApplicationUtil.trimToNull(nome);
	}
}
