package it.callite.criteria;

import java.io.Serializable;
import java.util.List;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.GenericAllCriteria;
import it.callite.utility.ApplicationUtil;

public class CdrCriteria extends GenericAllCriteria implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private String trunk;
	private String callee;
	private String caller;
	private String ricerca_anagrafica;
	private String disposition;
	private Integer tipo;
	private Integer radice;
	private String lastapp;
	private String utente;
	private List<String> ricerca_anagraficaV = ApplicationUtil.getAnagraficaDefault();
	private Long campagna;
	public Long getCampagna() {
		return campagna;
	}

	public void setCampagna(Long campagna) {
		this.campagna = campagna;
	}

	public void resetAnagraficaV() {
		ricerca_anagraficaV = ApplicationUtil.getAnagraficaDefault();
	}
	public List<String> getRicerca_anagraficaV() {
		return ricerca_anagraficaV;
	}

	public void setRicerca_anagraficaV(List<String> ricerca_anagraficaV) {
		this.ricerca_anagraficaV = ricerca_anagraficaV;
	}

	public CdrCriteria() {
		String date1 [] = {ConstantsColumn.calldate, ConstantsColumn.enddate, ConstantsColumn.answerdate};
		String date2 [] = {ConstantsColumn.id};
		String date3 [] = {ConstantsColumn.duration, ConstantsColumn.billsec};
		String date4 [] = null;
		String date5 [] = null;
		addAll(date1, date2, date3, date4, date5);
	}

	public String getTrunk() {
		return ApplicationUtil.trimToNull(trunk);
	}

	public void setTrunk(String trunk) {
		this.trunk = ApplicationUtil.trimToNull(trunk);
	}

	public void setRicerca_anagrafica(String ricerca_anagrafica) {
		this.ricerca_anagrafica = ApplicationUtil.trimToNull(ricerca_anagrafica);
	}
	public String getRicerca_anagrafica() {
		return ApplicationUtil.trimToNull(ricerca_anagrafica);
	}
	
	public String getCallee() {
		return ApplicationUtil.trimToNull(callee);
	}

	public String getCaller() {
		return ApplicationUtil.trimToNull(caller);
	}

	public String getDisposition() {
		return ApplicationUtil.trimToNull(disposition);
	}

	public Integer getTipo() {
		return tipo;
	}

	public String getUtente() {
		return ApplicationUtil.trimToNull(utente);
	}

	public CdrCriteria resetCriteria() {
		CdrCriteria c = new CdrCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	public CdrCriteria resetCriteria(String b) {
		CdrCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}
	public void setCallee(String callee) {
		this.callee = ApplicationUtil.trimToNull(callee);
	}

	public void setCaller(String caller) {
		this.caller = ApplicationUtil.trimToNull(caller);
	}

	public void setCriteria(String b) {
		replace(ConstantsColumn.calldate, b);
	}

	public void setDisposition(String disposition) {
		this.disposition = ApplicationUtil.trimToNull(disposition);
	}

	public void setTipo(Integer tipo) {
		this.tipo = tipo;
	}

	public void setUtente(String utente) {
		this.utente = ApplicationUtil.trimToNull(utente);
	}

	public String getLastapp() {
		return ApplicationUtil.trimToNull(lastapp);
	}

	public void setLastapp(String lastapp) {
		this.lastapp = ApplicationUtil.trimToNull(lastapp);
	}

	public Integer getRadice() {
		return radice;
	}

	public void setRadice(Integer radice) {
		this.radice = radice;
	}

	
	
	

}
