package it.callite.criteria;

import java.io.Serializable;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.GenericAllCriteria;
import it.callite.utility.ApplicationUtil;

public class CelCriteria extends GenericAllCriteria implements Serializable {
	
	private static final long serialVersionUID = 1L;


	private String cid_num;
	private String eventtype;
	private String exten;

	public CelCriteria() {
		String date1 [] = {ConstantsColumn.eventtime};
		String date2 [] = {ConstantsColumn.id};
		String date3 [] = null;
		String date4 [] = null;
		String date5 [] = null;
		addAll(date1, date2, date3, date4, date5);
	}

	public String getCid_num() {
		return ApplicationUtil.trimToNull(cid_num);
	}

	public String getEventtype() {
		return ApplicationUtil.trimToNull(eventtype);
	}

	public String getExten() {
		return ApplicationUtil.trimToNull(exten);
	}

	public CelCriteria resetCriteria() {
		CelCriteria c = new CelCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	public CelCriteria resetCriteria(String b) {
		CelCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}
	public void setCid_num(String cid_num) {
		this.cid_num = ApplicationUtil.trimToNull(cid_num);
	}

	public void setCriteria(String b) {
		replace(ConstantsColumn.eventtime, b);
	}

	public void setEventtype(String eventtype) {
		this.eventtype = ApplicationUtil.trimToNull(eventtype);
	}

	public void setExten(String exten) {
		this.exten = ApplicationUtil.trimToNull(exten);
	}

}
