package it.callite.criteria;

import java.io.Serializable;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.GenericAllCriteria;

public class ContestCriteria extends GenericAllCriteria implements Serializable {

	private static final long serialVersionUID = 1L;

	private Integer attivo;
	private Integer genere;
	private Integer tipo;
	private Integer utente;
	
	public ContestCriteria() {
		String date1 [] = {ConstantsColumn.data_creazione};
		String date2 [] = {ConstantsColumn.id};
		String date3 [] = null;
		String date4 [] = null;
		String date5 [] = null;
		addAll(date1, date2, date3, date4, date5);
	}

	public Integer getAttivo() {
		return attivo;
	}

	public Integer getGenere() {
		return genere;
	}


	public Integer getTipo() {
		return tipo;
	}


	public Integer getUtente() {
		return utente;
	}


	public ContestCriteria resetCriteria() {
		ContestCriteria c = new ContestCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}

	public ContestCriteria resetCriteria(String b) {
		ContestCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}
	public void setAttivo(Integer attivo) {
		this.attivo = attivo;
	}
	public void setCriteria(String b) {
		replace(ConstantsColumn.data_creazione, b);
	}


	public void setGenere(Integer genere) {
		this.genere = genere;
	}


	public void setTipo(Integer tipo) {
		this.tipo = tipo;
	}


	public void setUtente(Integer utente) {
		this.utente = utente;
	}





}
