package it.callite.criteria;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.RicercaStoricoCriteria;
import it.callite.utility.ApplicationUtil;

public class ContrattoCriteria  extends RicercaStoricoCriteria implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private Long agenteId;
	private String camp_sup;
	private Long categoria;
	private String ricerca_anagrafica;
	private Long esito;
	private String nota;
	private String operatore;
	private Long operatoreId;
	private Long prodotto;
	private Integer rete = 0;
	private String seriale;
	private Integer stato;
	private Long team;
	private String utente;
	private Long utenteId;
	private Long zona;
	private List<String> ricerca_anagraficaV = ApplicationUtil.getAnagraficaDefault();
	private List<String> esitos = new ArrayList<String>();
	private List<String> statos = new ArrayList<String>();
	private List<String> teams = new ArrayList<String>();
	private List<String> zonas = new ArrayList<String>();
	private List<String> categorias = new ArrayList<String>();
	private List<String> prodottos = new ArrayList<String>();
	
	
	public Long getCategoria() {
		return categoria;
	}

	public void setCategoria(Long categoria) {
		this.categoria = categoria;
	}

	public Long getProdotto() {
		return prodotto;
	}

	public void setProdotto(Long prodotto) {
		this.prodotto = prodotto;
	}

	public List<String> getCategorias() {
		return categorias;
	}

	public void setCategorias(List<String> categorias) {
		this.categorias = categorias;
	}

	public List<String> getProdottos() {
		return prodottos;
	}

	public void setProdottos(List<String> prodottos) {
		this.prodottos = prodottos;
	}

	
	public Long getZona() {
		return zona;
	}
	public void setZona(Long zona) {
		this.zona = zona;
	}
	public List<String> getZonas() {
		return zonas;
	}
	public void setZonas(List<String> zonas) {
		this.zonas = zonas;
	}
	public List<String> getStatos() {
		return statos;
	}
	public void setStatos(List<String> statos) {
		this.statos = statos;
	}
	
	public List<String> getTeams() {
		return teams;
	}
	public void setTeams(List<String> teams) {
		this.teams = teams;
	}
	public void resetAnagraficaV() {
		ricerca_anagraficaV = ApplicationUtil.getAnagraficaDefault();
	}
	public List<String> getEsitos() {
		return esitos;
	}

	public void setEsitos(List<String> esitos) {
		this.esitos = esitos;
	}


	public List<String> getRicerca_anagraficaV() {
		return ricerca_anagraficaV;
	}

	public void setRicerca_anagraficaV(List<String> ricerca_anagraficaV) {
		this.ricerca_anagraficaV = ricerca_anagraficaV;
	}



	public ContrattoCriteria() {
		String date1 [] = {ConstantsColumn.data_creazione, ConstantsColumn.data_esito, ConstantsColumn.data_stato, ConstantsColumn.data_contabile, ConstantsColumn.data_stipula, ConstantsColumn.data_attivazione, ConstantsColumn.data_caricamento, ConstantsColumn.data_lavorazione};
		String date2 [] = {ConstantsColumn.id};
		String date3 [] = null;
		String date4 [] = null;
		String date5 [] = null;
		addAll(date1, date2, date3, date4, date5);
	}

	public void setRicerca_anagrafica(String ricerca_anagrafica) {
		this.ricerca_anagrafica = ApplicationUtil.trimToNull(ricerca_anagrafica);
	}
	public String getRicerca_anagrafica() {
		return ApplicationUtil.trimToNull(ricerca_anagrafica);
	}

	public Long getAgenteId() {
		return agenteId;
	}

	public String getCamp_sup() {
		return ApplicationUtil.trimToNull(camp_sup);
	}
	
	public Long getEsito() {
		return esito;
	}

	public String getNota() {
		return ApplicationUtil.trimToNull(nota);
	}

	public String getOperatore() {
		return ApplicationUtil.trimToNull(operatore);
	}
	public Long getOperatoreId() {
		return operatoreId;
	}

	public Integer getRete() {
		return rete;
	}

	public String getSeriale() {
		return ApplicationUtil.trimToNull(seriale);
	}


	public Integer getStato() {
		return stato;
	}


	public Long getTeam() {
		return team;
	}

	public String getUtente() {
		return ApplicationUtil.trimToNull(utente);
	}

	public Long getUtenteId() {
		return utenteId;
	}



	public ContrattoCriteria resetCriteria() {
		ContrattoCriteria c = new ContrattoCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	public ContrattoCriteria resetCriteria(String b) {
		ContrattoCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}

	public void setAgenteId(Long agenteId) {
		this.agenteId = agenteId;
	}

	public void setCamp_sup(String camp_sup) {
		this.camp_sup = ApplicationUtil.trimToNull(camp_sup);
	}

	public void setCriteria(String b) {
		replace(ConstantsColumn.data_creazione, b);
	}

	public void setEsito(Long esito) {
		this.esito = esito;
	}

	public void setNota(String nota) {
		this.nota = ApplicationUtil.trimToNull(nota);
	}

	public void setOperatore(String operatore) {
		this.operatore = ApplicationUtil.trimToNull(operatore);
	}

	public void setOperatoreId(Long operatoreId) {
		this.operatoreId = operatoreId;
	}
	
	public void setRete(Integer rete) {
		this.rete = rete;
	}
	public void setSeriale(String seriale) {
		this.seriale = ApplicationUtil.trimToNull(seriale);
	}
	public void setStato(Integer stato) {
		this.stato = stato;
	}

	public void setTeam(Long team) {
		this.team = team;
	}

	public void setUtente(String utente) {
		this.utente = ApplicationUtil.trimToNull(utente);
	}

	public void setUtenteId(Long utenteId) {
		this.utenteId = utenteId;
	}

}