package it.callite.criteria;

import java.io.Serializable;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.GenericAllCriteria;
import it.callite.utility.ApplicationUtil;

public class EsitoContrattoCriteria extends GenericAllCriteria implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private Integer confermato;
	private String etichetta;
	private Integer utile;
	private Integer visibile;
	
	public EsitoContrattoCriteria() {
		String date1 [] = {ConstantsColumn.data_creazione};
		String date2 [] = {ConstantsColumn.id, ConstantsColumn.codice, ConstantsColumn.ordinamento};
		String date3 [] = null;
		String date4 [] = null;
		String date5 [] = null;
		addAll(date1, date2, date3, date4, date5);
	}
	public Integer getConfermato() {
		return confermato;
	}
	
	public String getEtichetta() {
		return ApplicationUtil.trimToNull(etichetta);
	}

	public Integer getUtile() {
		return utile;
	}

	public Integer getVisibile() {
		return visibile;
	}

	public EsitoContrattoCriteria resetCriteria() {
		EsitoContrattoCriteria c = new EsitoContrattoCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	public EsitoContrattoCriteria resetCriteria(String b) {
		EsitoContrattoCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}

	public void setConfermato(Integer confermato) {
		this.confermato = confermato;
	}

	public void setCriteria(String b) {
		replace(ConstantsColumn.data_creazione, b);
	}

	public void setEtichetta(String etichetta) {
		this.etichetta = ApplicationUtil.trimToNull(etichetta);
	}

	public void setUtile(Integer utile) {
		this.utile = utile;
	}

	public void setVisibile(Integer visibile) {
		this.visibile = visibile;
	}
	
}
