package it.callite.criteria;

import java.io.Serializable;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.GenericAllCriteria;
import it.callite.utility.ApplicationUtil;

public class EstensioneCriteria extends GenericAllCriteria implements Serializable {

	private static final long serialVersionUID = 1L;

	private String context;	
	private String app;	
	private String estensione;

	public EstensioneCriteria() {
		String date1 [] = {ConstantsColumn.data_creazione};
		String date2 [] = {ConstantsColumn.id};
		String date3 [] = null;
		String date4 [] = null;
		String date5 [] = null;
		addAll(date1, date2, date3, date4, date5);
	}

	public EstensioneCriteria resetCriteria() {
		EstensioneCriteria c = new EstensioneCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	public EstensioneCriteria resetCriteria(String b) {
		EstensioneCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}
	public void setCriteria(String b) {
		replace(ConstantsColumn.data_creazione, b);
	}

	public String getApp() {
		return ApplicationUtil.trimToNull(app);
	}

	public void setApp(String app) {
		this.app = ApplicationUtil.trimToNull(app);
	}

	public String getEstensione() {
		return ApplicationUtil.trimToNull(estensione);
	}

	public void setEstensione(String estensione) {
		this.estensione = ApplicationUtil.trimToNull(estensione);
	}

	public String getContext() {
		return ApplicationUtil.trimToNull(context);
	}

	public void setContext(String context) {
		this.context = ApplicationUtil.trimToNull(context);
	}

}
