package it.callite.criteria;

import java.io.Serializable;

import it.callite.constants.ConstantsGlobal;
import it.callite.criteria.generic.GenericFileCriteria;
import it.callite.utility.ApplicationUtil;

public class FileCriteria extends GenericFileCriteria implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private String ricerca;
	private String fullText;
	
	public String getFullText() {
		return ApplicationUtil.trimToNull(fullText);
	}
	public void setFullText(String fullText) {
		this.fullText = ApplicationUtil.trimToNull(fullText);
	}

	public FileCriteria() {
	}
	
	public String getRicerca() {
		return ApplicationUtil.trimToNull(ricerca);
	}
	
	public boolean isRicerca(String file, long lunghezza, long modifica) {
		boolean a = true;
		if(ApplicationUtil.isNotBlank(getRicerca())) {
			a = ApplicationUtil.ricercaFile(ConstantsGlobal.colonSeparator, true, ApplicationUtil.getNameN(file), getRicerca());
		}
		boolean b = impostaRicercaDate(lunghezza, modifica);
		return a && b;
	}
	public FileCriteria resetCriteria() {
		FileCriteria c = new FileCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	public FileCriteria resetCriteria(String b) {
		FileCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}
	public void setCriteria(String b) {
		replace(b);
	}
	
	public void setRicerca(String ricerca) {
		this.ricerca = ApplicationUtil.trimToNull(ricerca);
	}
}
