package it.callite.criteria;

import java.io.Serializable;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.GenericAllCriteria;
import it.callite.utility.ApplicationUtil;

public class InvoiceCriteria extends GenericAllCriteria implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private String nome;
	private Boolean avviato = null;
	
	public InvoiceCriteria() {
		String date1 [] = {ConstantsColumn.data_creazione};
		String date2 [] = {ConstantsColumn.id};
		String date3 [] = null;
		String date4 [] = null;
		String date5 [] = null;
		addAll(date1, date2, date3, date4, date5);
	}
	
	public void setCriteria(String b) {
		replace(ConstantsColumn.orario, b);
	}
	
	public InvoiceCriteria resetCriteria() {
		InvoiceCriteria c = new InvoiceCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	public InvoiceCriteria resetCriteria(String b) {
		InvoiceCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}

	public String getNome() {
		return ApplicationUtil.trimToNull(nome);
	}

	public void setNome(String nome) {
		this.nome = ApplicationUtil.trimToNull(nome);
	}

	public Boolean getAvviato() {
		return avviato;
	}

	public void setAvviato(Boolean avviato) {
		this.avviato = avviato;
	}

	
}
