package it.callite.criteria;

import java.io.Serializable;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.GenericAllCriteria;
import it.callite.utility.ApplicationUtil;



public class NotaCriteria   extends GenericAllCriteria  implements Serializable {

	private static final long serialVersionUID = 1L;

	private Long agenteId;
	private Boolean azione = Boolean.FALSE;
	private String nota;
	private Integer rete = 0;
	private String utente;
	private Long utenteId;
	private Long operatoreId;
	
	public NotaCriteria() {
		String date1 [] = {ConstantsColumn.data_creazione, ConstantsColumn.data_inizio, ConstantsColumn.data_fine, ConstantsColumn.data_termine};
		String date2 [] = {ConstantsColumn.id};
		String date3 [] = null;
		String date4 [] = null;
		String date5 [] = null;
		addAll(date1, date2, date3, date4, date5);
	}

	public Long getAgenteId() {
		return agenteId;
	}
	

	public Boolean getAzione() {
		return azione;
	}

	public String getNota() {
		return ApplicationUtil.trimToNull(nota);
	}
	public Integer getRete() {
		return rete;
	}

	public Long getOperatoreId() {
		return operatoreId;
	}

	public void setOperatoreId(Long operatoreId) {
		this.operatoreId = operatoreId;
	}

	public String getUtente() {
		return ApplicationUtil.trimToNull(utente);
	}

	public Long getUtenteId() {
		return utenteId;
	}

	public NotaCriteria resetCriteria() {
		NotaCriteria c = new NotaCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	public NotaCriteria resetCriteria(String b) {
		NotaCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}

	public void setAgenteId(Long agenteId) {
		this.agenteId = agenteId;
	}
	public void setAzione(Boolean azione) {
		this.azione = azione;
	}

	public void setCriteria(String b) {
		replace(ConstantsColumn.data_creazione, b);
	}

	public void setNota(String nota) {
		this.nota = ApplicationUtil.trimToNull(nota);
	}


	public void setRete(Integer rete) {
		this.rete = rete;
	}

	public void setUtente(String utente) {
		this.utente = ApplicationUtil.trimToNull(utente);
	}

	public void setUtenteId(Long utenteId) {
		this.utenteId = utenteId;
	}


}