package it.callite.criteria;

import java.io.Serializable;

import it.callite.constants.ConstantsGlobal;
import it.callite.criteria.generic.GenericFileCriteria;
import it.callite.utility.ApplicationUtil;

public class RegistrazioneCriteria extends GenericFileCriteria implements Serializable {

	private static final long serialVersionUID = 1L;

	private String ricerca;
	private String fullText;
	private Long utente;
	
	public String getFullText() {
		return ApplicationUtil.trimToNull(fullText);
	}
	public void setFullText(String fullText) {
		this.fullText = ApplicationUtil.trimToNull(fullText);
	}

	public RegistrazioneCriteria() {
	}
	
	public String getRicerca() {
		return ApplicationUtil.trimToNull(ricerca);
	}
	
	public boolean isRicerca(String file, long lunghezza, long modifica) {
		boolean a = true;
		if(ApplicationUtil.isNotBlank(getRicerca())) {
			a = ApplicationUtil.ricercaFile(ConstantsGlobal.colonSeparator, true, ApplicationUtil.getNameN(file), getRicerca());
		}
		boolean b = impostaRicercaDate(lunghezza, modifica);
		return a && b;
	}
	public RegistrazioneCriteria resetCriteria() {
		RegistrazioneCriteria c = new RegistrazioneCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	public RegistrazioneCriteria resetCriteria(String b) {
		RegistrazioneCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}
	public void setCriteria(String b) {
		replace(b);
	}
	
	public void setRicerca(String ricerca) {
		this.ricerca = ApplicationUtil.trimToNull(ricerca);
	}
	public Long getUtente() {
		return utente;
	}
	public void setUtente(Long utente) {
		this.utente = utente;
	}
	
	
}
