package it.callite.criteria;

import java.io.Serializable;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.GenericAllCriteria;
import it.callite.utility.ApplicationUtil;

public class RmailTemplateCriteria extends GenericAllCriteria implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private String nomeOggetto;
	private Integer tipo;
	
	public RmailTemplateCriteria() {
		String date1 [] = {ConstantsColumn.data_creazione};
		String date2 [] = {ConstantsColumn.id};
		String date3 [] = null;
		String date4 [] = null;
		String date5 [] = null;
		addAll(date1, date2, date3, date4, date5);
	}

	public String getNomeOggetto() {
		return ApplicationUtil.trimToNull(nomeOggetto);
	}
	public RmailTemplateCriteria resetCriteria() {
		RmailTemplateCriteria c = new RmailTemplateCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	public RmailTemplateCriteria resetCriteria(String b) {
		RmailTemplateCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}
	public void setCriteria(String b) {
		replace(ConstantsColumn.data_creazione, b);
	}
	

	public void setNomeOggetto(String nomeOggetto) {
		this.nomeOggetto = ApplicationUtil.trimToNull(nomeOggetto);
	}

	public Integer getTipo() {
		return tipo;
	}

	public void setTipo(Integer tipo) {
		this.tipo = tipo;
	}

	

}
