package it.callite.criteria;

import java.io.Serializable;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.GenericAllCriteria;
import it.callite.utility.ApplicationUtil;

public class RulesCriteria extends GenericAllCriteria implements Serializable {

	private static final long serialVersionUID = 1L;

	private String ip;
	private String service;
	private Integer attivo;
	private String protocol;
	
	
	public RulesCriteria() {
		String date1 [] = {ConstantsColumn.data_creazione};
		String date2 [] = {ConstantsColumn.id};
		String date3 [] = null;
		String date4 [] = null;
		String date5 [] = null;
		addAll(date1, date2, date3, date4, date5);
	}
	
	public String getIp() {
		return ApplicationUtil.trimToNull(ip);
	}

	public RulesCriteria resetCriteria() {
		RulesCriteria c = new RulesCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	public RulesCriteria resetCriteria(String b) {
		RulesCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}
	
	public void setCriteria(String b) {
		replace(ConstantsColumn.data_creazione, b);
	}

	public void setIp(String ip) {
		this.ip = ApplicationUtil.trimToNull(ip);
	}

	public String getService() {
		return ApplicationUtil.trimToNull(service);
	}

	public String getProtocol() {
		return ApplicationUtil.trimToNull(protocol);
	}

	public void setProtocol(String protocol) {
		this.protocol = ApplicationUtil.trimToNull(protocol);
	}

	public void setService(String service) {
		this.service = ApplicationUtil.trimToNull(service);
	}

	public Integer getAttivo() {
		return attivo;
	}

	public void setAttivo(Integer attivo) {
		this.attivo = attivo;
	}


}
