package it.callite.criteria;

import java.io.Serializable;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.GenericAllCriteria;
import it.callite.utility.ApplicationUtil;

public class SipCriteria extends GenericAllCriteria implements Serializable {

	private static final long serialVersionUID = 1L;

	private Integer interurbane;
	private Integer attivo;
	private String name;
	private String callers;
	
	public SipCriteria() {
		String date1 [] = {ConstantsColumn.data_creazione};
		String date2 [] = {ConstantsColumn.id};
		String date3 [] = null;
		String date4 [] = null;
		String date5 [] = null;
		addAll(date1, date2, date3, date4, date5);
	}

	public Integer getInterurbane() {
		return interurbane;
	}
	public String getName() {
		return ApplicationUtil.trimToNull(name);
	}
	
	public SipCriteria resetCriteria() {
		SipCriteria c = new SipCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	
	public SipCriteria resetCriteria(String b) {
		SipCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}
	public void setCriteria(String b) {
		replace(ConstantsColumn.data_creazione, b);
	}

	public void setInterurbane(Integer interurbane) {
		this.interurbane = interurbane;
	}

	public void setName(String name) {
		this.name = ApplicationUtil.trimToNull(name);
	}

	public String getCallers() {
		return ApplicationUtil.trimToNull(callers);
	}

	public void setCallers(String callers) {
		this.callers = ApplicationUtil.trimToNull(callers);
	}

	public Integer getAttivo() {
		return attivo;
	}

	public void setAttivo(Integer attivo) {
		this.attivo = attivo;
	}

}
