package it.callite.criteria;

import java.io.Serializable;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.GenericAllCriteria;
import it.callite.utility.ApplicationUtil;

public class TemplateCriteria extends GenericAllCriteria implements Serializable {

	private static final long serialVersionUID = 1L;

	private String nomeOggetto;
	
	public TemplateCriteria() {
		String date1 [] = {ConstantsColumn.data_creazione};
		String date2 [] = {ConstantsColumn.id};
		String date3 [] = null;
		String date4 [] = null;
		String date5 [] = null;
		addAll(date1, date2, date3, date4, date5);
	}

	public String getNomeOggetto() {
		return ApplicationUtil.trimToNull(nomeOggetto);
	}
	
	public TemplateCriteria resetCriteria() {
		TemplateCriteria c = new TemplateCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	public TemplateCriteria resetCriteria(String b) {
		TemplateCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}
	public void setCriteria(String b) {
		replace(ConstantsColumn.data_creazione, b);
	}

	public void setNomeOggetto(String nomeOggetto) {
		this.nomeOggetto = ApplicationUtil.trimToNull(nomeOggetto);
	}




}
