package it.callite.criteria;

import java.io.Serializable;

import it.callite.criteria.generic.BaseCriteria;
import it.callite.utility.ApplicationUtil;

public class TemplateImportCriteria extends BaseCriteria implements Serializable {

	private static final long serialVersionUID = 1L;

	private Boolean considera_filtro = false;
	private Boolean esegui_filtro = false;
	private Boolean rapido_filtro = true;
	private String quote;
	private String separatore;
	private Integer salta_righe = 0;
	private Integer stop = 20000;
	private Boolean unisci = false;
	
	public TemplateImportCriteria() {
	}
	
	public Boolean getConsidera_filtro() {
		return considera_filtro;
	}

	public String getQuote() {
		return quote;
	}

	public Character getQuoteChar() {
		return ApplicationUtil.getChar(quote);
	}

	
	public Integer getSalta_righe() {
		return salta_righe;
	}

	public String getSeparatore() {
		return separatore;
	}

	public Character getSeparatoreChar() {
		return ApplicationUtil.getChar(separatore);
	}

	public Integer getStop() {
		return stop;
	}

	public Boolean getUnisci() {
		return unisci;
	}

	public TemplateImportCriteria resetCriteria() {
		TemplateImportCriteria c = new TemplateImportCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	public TemplateImportCriteria resetCriteria(String b) {
		TemplateImportCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}
	public void setConsidera_filtro(Boolean considera_filtro) {
		this.considera_filtro = considera_filtro;
	}

	public void setCriteria(String b) {
	}

	public void setQuote(String quote) {
		this.quote = quote;
	}

	public void setSalta_righe(Integer salta_righe) {
		this.salta_righe = salta_righe;
	}

	public void setSeparatore(String separatore) {
		this.separatore = separatore;
	}

	public void setStop(Integer stop) {
		this.stop = stop;
	}

	public void setUnisci(Boolean unisci) {
		this.unisci = unisci;
	}

	public Boolean getEsegui_filtro() {
		return esegui_filtro;
	}

	public void setEsegui_filtro(Boolean esegui_filtro) {
		this.esegui_filtro = esegui_filtro;
	}

	public Boolean getRapido_filtro() {
		return rapido_filtro;
	}

	public void setRapido_filtro(Boolean rapido_filtro) {
		this.rapido_filtro = rapido_filtro;
	}

}
