package it.callite.criteria;

import java.io.Serializable;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.GenericAllCriteria;
import it.callite.utility.ApplicationUtil;

public class UfficioCriteria extends GenericAllCriteria implements Serializable {

	private static final long serialVersionUID = 1L;


	private String testo;
	private String zona;

	
	public UfficioCriteria() {
		String date1 [] = {ConstantsColumn.data_creazione};
		String date2 [] = {ConstantsColumn.id};
		String date3 [] = null;
		String date4 [] = null;
		String date5 [] = null;
		addAll(date1, date2, date3, date4, date5);
	}

	public String getTesto() {
		return ApplicationUtil.trimToNull(testo);
	}

	public String getZona() {
		return ApplicationUtil.trimToNull(zona);
	}

	public UfficioCriteria resetCriteria() {
		UfficioCriteria c = new UfficioCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	public UfficioCriteria resetCriteria(String b) {
		UfficioCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}
	public void setCriteria(String b) {
		replace(ConstantsColumn.data_creazione, b);
	}


	public void setTesto(String testo) {
		this.testo = ApplicationUtil.trimToNull(testo);
	}


	public void setZona(String zona) {
		this.zona = ApplicationUtil.trimToNull(zona);
	}


}
