package it.callite.criteria;

import java.io.Serializable;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.GenericAllCriteria;
import it.callite.utility.ApplicationUtil;



public class UserCriteria extends GenericAllCriteria implements Serializable {

	private static final long serialVersionUID = 1L;

	private Long agente;
	private Integer cambioPassword;
	private Long coordinatore;
	private Integer enabled;
	private Long interno;
	private Integer messaggistica;
	private Long operatore;
	private Long partner;
	private String ricerca_denominazione;
	private Long ruolo;
	private Long supervisore;
	private Long trunk;

	
	public UserCriteria() {
		String date1 [] = {ConstantsColumn.data_creazione, ConstantsColumn.data_login, ConstantsColumn.data_logout,  ConstantsColumn.data_password, ConstantsColumn.data_inizio, ConstantsColumn.data_fine};
		String date2 [] = {ConstantsColumn.id};
		String date3 [] = null;
		String date4 [] = {ConstantsColumn.ora_inizio, ConstantsColumn.ora_fine};
		String date5 [] = {ConstantsColumn.week_inizio, ConstantsColumn.week_fine};
		addAll(date1, date2, date3, date4, date5);
	
	}

	public Long getAgente() {
		return agente;
	}
	
	public Integer getCambioPassword() {
		return cambioPassword;
	}
	public Long getCoordinatore() {
		return coordinatore;
	}
	public Integer getEnabled() {
		return enabled;
	}
	public Long getInterno() {
		return interno;
	}

	public Integer getMessaggistica() {
		return messaggistica;
	}

	public Long getOperatore() {
		return operatore;
	}

	public Long getPartner() {
		return partner;
	}

	public String getRicerca_denominazione() {
		return ApplicationUtil.trimToNull(ricerca_denominazione);
	}

	public Long getRuolo() {
		return ruolo;
	}

	public Long getSupervisore() {
		return supervisore;
	}

	public Long getTrunk() {
		return trunk;
	}

	public UserCriteria resetCriteria() {
		UserCriteria c = new UserCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	public UserCriteria resetCriteria(String b) {
		UserCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}
	public void setAgente(Long agente) {
		this.agente = agente;
	}
	public void setCambioPassword(Integer cambioPassword) {
		this.cambioPassword = cambioPassword;
	}

	public void setCoordinatore(Long coordinatore) {
		this.coordinatore = coordinatore;
	}

	public void setCriteria(String b) {
		replace(ConstantsColumn.data_creazione, b);
	}

	public void setEnabled(Integer enabled) {
		this.enabled = enabled;
	}

	public void setInterno(Long interno) {
		this.interno = interno;
	}

	public void setMessaggistica(Integer messaggistica) {
		this.messaggistica = messaggistica;
	}

	public void setOperatore(Long operatore) {
		this.operatore = operatore;
	}

	public void setPartner(Long partner) {
		this.partner = partner;
	}

	public void setRicerca_denominazione(String ricerca_denominazione) {
		this.ricerca_denominazione = ApplicationUtil.trimToNull(ricerca_denominazione);
	}

	public void setRuolo(Long ruolo) {
		this.ruolo = ruolo;
	}

	public void setSupervisore(Long supervisore) {
		this.supervisore = supervisore;
	}

	public void setTrunk(Long trunk) {
		this.trunk = trunk;
	}


}