package it.callite.criteria;

import java.io.Serializable;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.GenericAllCriteria;
import it.callite.utility.ApplicationUtil;

public class VocalOrderCriteria extends GenericAllCriteria implements Serializable {

	private static final long serialVersionUID = 1L;


	private Long prodottoId;
	private String testo;

	
	public VocalOrderCriteria() {
		String date1 [] = {ConstantsColumn.data_creazione};
		String date2 [] = {ConstantsColumn.id};
		String date3 [] = null;
		String date4 [] = null;
		String date5 [] = null;
		addAll(date1, date2, date3, date4, date5);
	}

	public Long getProdottoId() {
		return prodottoId;
	}

	public String getTesto() {
		return ApplicationUtil.trimToNull(testo);
	}



	public VocalOrderCriteria resetCriteria() {
		VocalOrderCriteria c = new VocalOrderCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	public VocalOrderCriteria resetCriteria(String b) {
		VocalOrderCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}

	public void setCriteria(String b) {
		replace(ConstantsColumn.data_creazione, b);
	}

	public void setProdottoId(Long prodottoId) {
		this.prodottoId = prodottoId;
	}



	public void setTesto(String testo) {
		this.testo = ApplicationUtil.trimToNull(testo);
	}


}
