package it.callite.criteria;

import java.io.Serializable;

import it.callite.constants.ConstantsColumn;
import it.callite.criteria.generic.GenericAllCriteria;
import it.callite.utility.ApplicationUtil;

public class ZonaCriteria extends GenericAllCriteria implements Serializable {

	private static final long serialVersionUID = 1L;

	private Long campagna;
	private String nome;
	private String zona;
	
	public ZonaCriteria() {
		String date1 [] = {ConstantsColumn.data_creazione};
		String date2 [] = {ConstantsColumn.id};
		String date3 [] = null;
		String date4 [] = null;
		String date5 [] = null;
		addAll(date1, date2, date3, date4, date5);
	}

	public Long getCampagna() {
		return campagna;
	}
	public String getNome() {
		return ApplicationUtil.trimToNull(nome);
	}

	public String getZona() {
		return ApplicationUtil.trimToNull(zona);
	}
	
	public ZonaCriteria resetCriteria() {
		ZonaCriteria c = new ZonaCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	public ZonaCriteria resetCriteria(String b) {
		ZonaCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}

	public void setCampagna(Long campagna) {
		this.campagna = campagna;
	}
	public void setCriteria(String b) {
		replace(ConstantsColumn.data_creazione, b);
	}

	public void setNome(String nome) {
		this.nome = ApplicationUtil.trimToNull(nome);
	}

	public void setZona(String zona) {
		this.zona = ApplicationUtil.trimToNull(zona);
	}

	
}