package it.callite.criteria.base;

import org.hibernate.Criteria;
import org.hibernate.HibernateException;
import org.hibernate.criterion.CriteriaQuery;
import org.hibernate.criterion.Order;

public class ExtendedOrder extends Order { 

	private static final long serialVersionUID = 1L;
	
	private String sqlFormula; 

	protected ExtendedOrder(String sqlFormula, boolean asc) { 
		super(sqlFormula, asc); 
		this.sqlFormula = sqlFormula; 
	} 

	public String toString() { 
		return sqlFormula; 
	} 
	
	public String toSqlString(Criteria criteria, CriteriaQuery criteriaQuery) throws HibernateException { 
		return sqlFormula; 
	} 
	public static Order asc(String sqlFormula) { 
		return new ExtendedOrder(sqlFormula, true); 
	} 
	
	public static Order desc(String sqlFormula) { 
		return new ExtendedOrder(sqlFormula, false); 
	} 
}

