package it.callite.criteria.generic;

import java.io.Serializable;
import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.List;

import it.callite.constants.ConstantsGlobal;
import it.callite.utility.ApplicationUtil;

public abstract class UnitedCriteria implements Serializable {

	private static final long serialVersionUID = 1L;

	public void resetta(String ... reset) {
		if(ApplicationUtil.notEmpty(reset)) {
			try {
				for(Field m1 : this.getClass().getDeclaredFields()) {
					m1.setAccessible(true);
					if(ApplicationUtil.asList(reset).contains(m1.getName())) {
						m1.set(this, new ArrayList<String>());
					}
				}
			} catch (Exception e) {	}
		}
	}


	private Boolean cerca = true;

	public Boolean getCerca() {
		return cerca;
	}

	public void setCerca(Boolean cerca) {
		this.cerca = cerca;
	}

	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder(this.getClass().getSimpleName());
		try {
			List<String> ls = new ArrayList<String>();
			List<Class<?>> s = new ArrayList<Class<?>>();
			s.add(this.getClass());
			ApplicationUtil.getAllPadri(this.getClass(), s);
			for(Class<?> c : s) {
				for(Field m1 : c.getDeclaredFields()) {
					m1.setAccessible(true);
					Object o = m1.get(this);
					if(o != null) {
						String st = ApplicationUtil.trimToNull(o.toString());
						if(st!= null) {
							ls.add(m1.getName() + ":" + " " + st);
						}
					} 
				}
			}
			if(ApplicationUtil.notEmpty(ls)) {
				sb.append(" - " + ApplicationUtil.detoken(ls, ConstantsGlobal.colonSeparator + " "));
			}
		} catch (Exception e) {
		}
		return sb.toString();
	}

}
