package it.callite.criteria.report;

import java.io.Serializable;

import it.callite.constants.ConstantsGlobal;
import it.callite.criteria.generic.BaseCriteria;
import it.callite.utility.ApplicationUtil;

public class BachecaCriteria extends BaseCriteria implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	private Integer limiteCampagna = ConstantsGlobal.defLimiteCampagna;
	private Integer limiteOperatore =  ConstantsGlobal.defLimiteOperatore;
	private Integer pannello = 1;
	private Integer tipologia = 1;
	private Integer tipologiaEsito = 1;
	private Integer tipologiaEsitoPopup = 1;
	private Integer tipologiaOperatore = 1;
	private Long teamCampagna;

	public BachecaCriteria() {

	}
	
	public Integer getLimiteCampagna() {
		return limiteCampagna;
	}
	

	public Integer getLimiteOperatore() {
		return limiteOperatore;
	}


	public Integer getPannello() {
		return pannello;
	}


	public Long getTeamCampagna() {
		return teamCampagna;
	}


	public Integer getTipologia() {
		return tipologia;
	}
	
	
	public String getTipologiaS() {
		return ApplicationUtil.periodo(tipologia);
	}


	public Integer getTipologiaEsito() {
		return tipologiaEsito;
	}


	public Integer getTipologiaEsitoPopup() {
		return tipologiaEsitoPopup;
	}


	public Integer getTipologiaOperatore() {
		return tipologiaOperatore;
	}


	public BachecaCriteria resetCriteria() {
		BachecaCriteria c = new BachecaCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}

	public BachecaCriteria resetCriteria(String b) {
		BachecaCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}
	
	public void setCriteria(String b) {
	}


	public void setLimiteCampagna(Integer limiteCampagna) {
		this.limiteCampagna = limiteCampagna;
	}


	public void setLimiteOperatore(Integer limiteOperatore) {
		this.limiteOperatore = limiteOperatore;
	}


	public void setPannello(Integer pannello) {
		this.pannello = pannello;
	}


	public void setTeamCampagna(Long teamCampagna) {
		this.teamCampagna = teamCampagna;
	}


	public void setTipologia(Integer tipologia) {
		this.tipologia = tipologia;
	}


	public void setTipologiaEsito(Integer tipologiaEsito) {
		this.tipologiaEsito = tipologiaEsito;
	}


	public void setTipologiaEsitoPopup(Integer tipologiaEsitoPopup) {
		this.tipologiaEsitoPopup = tipologiaEsitoPopup;
	}


	public void setTipologiaOperatore(Integer tipologiaOperatore) {
		this.tipologiaOperatore = tipologiaOperatore;
	}
	

}
