package it.callite.criteria.report;

import java.io.Serializable;

import it.callite.constants.ConstantsGlobal;
import it.callite.criteria.generic.BaseCriteria;
import it.callite.utility.StatoIntervallo;

public class ReportCriteria extends BaseCriteria implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	private Boolean appuntamento = true;
	private Boolean esitiArchiviazione = true;
	private Boolean esitiChiamata  = true;
	private Boolean inserimento = true;
	private Long agente;
	private Long campagna;
	private Long campo;
	private Long lista;
	private Long operatore;
	private Long sondaggio;
	private Long team;
	private Short stato;
	private Integer privata;
	private StatoIntervallo statoIntervallo = new StatoIntervallo();
	private Integer loggato = 0;
	private Integer online = 0;
	private Integer pannello = 0;
	private Integer tipo = 0;
	private Long categoriaId;
	private Long prodottoId;

	public Long getCategoriaId() {
		return categoriaId;
	}

	public void setCategoriaId(Long categoriaId) {
		this.categoriaId = categoriaId;
	}

	public Long getProdottoId() {
		return prodottoId;
	}

	public void setProdottoId(Long prodottoId) {
		this.prodottoId = prodottoId;
	}

	public ReportCriteria() {
		
	}
	
	public Long getAgente() {
		return agente;
	}
	
	public Boolean getAppuntamento() {
		return appuntamento;
	}
	public Long getCampagna() {
		return campagna;
	}
	public Long getCampo() {
		return campo;
	}
	public Boolean getEsitiArchiviazione() {
		return esitiArchiviazione;
	}
	public Boolean getEsitiChiamata() {
		return esitiChiamata;
	}
	public Boolean getInserimento() {
		return inserimento;
	}
	
	public Long getLista() {
		return lista;
	}
	public Integer getLoggato() {
		return loggato;
	}
	public Integer getOnline() {
		return online;
	}
	public Long getOperatore() {
		return operatore;
	}
	public Integer getPannello() {
		return pannello;
	}
	
	public Integer getPrivata() {
		return privata;
	}
	public Long getSondaggio() {
		return sondaggio;
	}
	
	public Short getStato() {
		return stato;
	}
	
	public Long getTeam() {
		return team;
	}
	public Integer getTipo() {
		return tipo;
	}
	public ReportCriteria resetCriteria() {
		ReportCriteria c = new ReportCriteria();
		c.setSerialize(this.getSerialize());
		return c;
	}
	
	public ReportCriteria resetCriteria(String b) {
		ReportCriteria c = resetCriteria();
		c.setCriteria(b);
		return c;
	}
	
	public void setAgente(Long agente) {
		this.agente = agente;
	}
	
	
	public void setAppuntamento(Boolean appuntamento) {
		this.appuntamento = appuntamento;
	}
	
	
	public void setCampagna(Long campagna) {
		this.campagna = campagna;
	}
	public void setCampo(Long campo) {
		this.campo = campo;
	}
	public void setCriteria(String b) {
		statoIntervallo = new StatoIntervallo(ConstantsGlobal.stato_attivo, ConstantsGlobal.stato_attivo, null, null);
		replace(b);
	}

	public void setEsitiArchiviazione(Boolean esitiArchiviazione) {
		this.esitiArchiviazione = esitiArchiviazione;
	}


	public void setEsitiChiamata(Boolean esitiChiamata) {
		this.esitiChiamata = esitiChiamata;
	}



	public void setInserimento(Boolean inserimento) {
		this.inserimento = inserimento;
	}


	public void setLista(Long lista) {
		this.lista = lista;
	}



	public void setLoggato(Integer loggato) {
		this.loggato = loggato;
	}


	public void setOnline(Integer online) {
		this.online = online;
	}
	public void setOperatore(Long operatore) {
		this.operatore = operatore;
	}
	public void setPannello(Integer pannello) {
		this.pannello = pannello;
	}
	public void setPrivata(Integer privata) {
		this.privata = privata;
	}
	public void setSondaggio(Long sondaggio) {
		this.sondaggio = sondaggio;
	}
	public void setStato(Short stato) {
		this.stato = stato;
	}

	public StatoIntervallo getStatoIntervallo() {
		return statoIntervallo;
	}

	public void setStatoIntervallo(StatoIntervallo statoIntervallo) {
		this.statoIntervallo = statoIntervallo;
	}

	public void setTeam(Long team) {
		this.team = team;
	}

	public void setTipo(Integer tipo) {
		this.tipo = tipo;
	}

}
