package it.callite.dao;

import java.util.Iterator;
import java.util.List;

import org.springframework.faces.model.OneSelectionTrackingListDataModel;
import org.springframework.stereotype.Repository;

import it.callite.dao.generic.GenericDao;
import it.callite.model.generic.SelezionatoAbstract;
import it.callite.utility.VisualizzazioneTabella;
@SuppressWarnings("serial")
@Repository("sincronizzazioneDao")
public class SincronizzazioneDao extends GenericDao {
	
	
	public VisualizzazioneTabella nuovo() {
		return new VisualizzazioneTabella();
	}

	public void resetSelezionati(VisualizzazioneTabella vs) {
		vs.setSelezionatiList(new OneSelectionTrackingListDataModel());
	}

	public void pagSelezionato(VisualizzazioneTabella vs) {
		SelezionatoAbstract ct = vs.getSelezionato();
		List<SelezionatoAbstract> selezionati = vs.toSelezionatiList();
		if (ct.getSelezionato()) {
			selezionati.add(ct);
		} else {
			selezionati.remove(ct);
		}
	}

	public void pagSincronizza(VisualizzazioneTabella vs) {
		List<SelezionatoAbstract> visualizzati = vs.toVisualizzatiList();
		List<SelezionatoAbstract> selezionati = vs.toSelezionatiList();
		Iterator<SelezionatoAbstract> objIter = visualizzati.iterator();
		while(objIter.hasNext()) {
			SelezionatoAbstract c = objIter.next();
			if (selezionati.contains(c)) {
				c.setSelezionato(Boolean.TRUE);
			} else {
				c.setSelezionato(Boolean.FALSE);
			}
		}
	}

	public void pagInverti(VisualizzazioneTabella vs) {
		List<SelezionatoAbstract> visualizzati = vs.toVisualizzatiList();
		List<SelezionatoAbstract> selezionati = vs.toSelezionatiList();
		Iterator<SelezionatoAbstract> objIter = visualizzati.iterator();
		while(objIter.hasNext()) {
			SelezionatoAbstract selezionato = objIter.next();
			if(selezionato.getSelezionabile()) {
				if (selezionati.contains(selezionato)) {
					selezionati.remove(selezionato);
				} else {
					selezionati.add(selezionato);
				}
			}
		}
	}

	public void pagSelezionati(VisualizzazioneTabella vs) {
		List<SelezionatoAbstract> visualizzati = vs.toVisualizzatiList();
		List<SelezionatoAbstract> selezionati = vs.toSelezionatiList();
		Iterator<SelezionatoAbstract> objIter = visualizzati.iterator();
		while(objIter.hasNext()) {
			SelezionatoAbstract selezionato = objIter.next();
			if (!selezionati.contains(selezionato)) {
				if(selezionato.getSelezionabile()) {
					selezionati.add(selezionato);
				}
			}
		}
	}


}