package it.callite.dao.config;
import java.util.List;

import org.hibernate.criterion.DetachedCriteria;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import it.callite.constants.ConstantsGlobal;
import it.callite.criteria.ConfigPausaCriteria;
import it.callite.criteria.base.ExtendedCriteria;
import it.callite.dao.ImpostazioneDao;
import it.callite.dao.generic.GenericDao;
import it.callite.model.config.ConfigPausa;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
@Repository("configurazionePausaDao")
public class ConfigurazionePausaDao extends GenericDao {
	
	@Autowired
	private ImpostazioneDao impostazioneDao;
	
	public ConfigPausa nuovo() {
		return new ConfigPausa();
	}
	public ConfigPausa getValue(Long id) {
		DetachedCriteria criteria = DetachedCriteria.forClass(ConfigPausa.class);
		criteria.add(Restrictions.eq("id", id));
		return (ConfigPausa) getUniqueResult(criteria);
	}
	public void elimina(ConfigPausa config) {
		cancellaAggiorna(config);
	}
	public ConfigPausa salva(ConfigPausa config) {
		return (ConfigPausa) salvaAggiorna(config);
	}
	
	
	@SuppressWarnings("unchecked")
	public List<ConfigPausa> getValues() {
		DetachedCriteria criteria = DetachedCriteria.forClass(ConfigPausa.class);
		criteria.add(Restrictions.eq("attivo", Boolean.TRUE));
		criteria.addOrder(Order.asc("chiave"));
		return getList(criteria);
	}
	private ExtendedCriteria getConfigByCriteria(ConfigPausaCriteria conf) {
		if(conf != null)  conf = (ConfigPausaCriteria) conf.loadCriteria();
		DetachedCriteria criteria = DetachedCriteria.forClass(ConfigPausa.class);
		if (ApplicationUtil.isNotBlank(conf.getNome())) {
			ApplicationUtil.valori(ConstantsGlobal.colonSeparator,true, conf.getNome(), criteria, "chiave");
		}
		conf.impostaRicercaDate(criteria);
		return new ExtendedCriteria(impostazioneDao.getLoggerRicerca(), criteria, conf);
	}
	@SuppressWarnings("unchecked")
	public List<ConfigPausa> trova(ConfigPausaCriteria conf, int start, int size) {
		ExtendedCriteria criteria = getConfigByCriteria(conf);
		ApplicationUtil.setOrdinamento(criteria.getCriteria(), new Order [] {Order.asc("chiave")});
		return getList(criteria, start, size);
	}
	public int trovaSize(ConfigPausaCriteria conf) {
		ExtendedCriteria criteria = getConfigByCriteria(conf);
		return getListSize(criteria);
	}
}