package it.callite.filter;

import java.io.IOException;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import it.callite.constants.ConstantsGlobal;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.filter.GZipServletResponseWrapper;
import it.callite.utility.filter.RichfacesServletRequestWrapper;


public class MyFilter implements Filter {

	public MyFilter() {
	}

	public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain) throws IOException, ServletException {
		HttpServletRequest httpRequest = (HttpServletRequest) request;
		HttpServletResponse httpResponse = (HttpServletResponse) response;
		//httpResponse.setCharacterEncoding(ConstantsGlobal.ENCODING);
		//httpResponse.setHeader("X-UA-Compatible", "IE=EmulateIE8");
		if(ApplicationUtil.contextPath(httpRequest).equals("/")) {
			ApplicationUtil.getRequestDispatcher(httpRequest, httpResponse, ConstantsGlobal.path_web_index);
		}
		RichfacesServletRequestWrapper richRequest = new RichfacesServletRequestWrapper(httpRequest);
		if (ConstantsGlobal.GZIP && ApplicationUtil.acceptsGZipEncoding(httpRequest)) {
			httpResponse.addHeader("Content-Encoding", "gzip");
			GZipServletResponseWrapper gzipResponse = new GZipServletResponseWrapper(httpResponse);
			chain.doFilter(richRequest, gzipResponse);
			gzipResponse.close();
		} else {
			chain.doFilter(richRequest, httpResponse);
		}
	}

	public void destroy() {
	}

	public void init(FilterConfig config) {
	}

}