package it.callite.message;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.MissingResourceException;
import java.util.ResourceBundle;
import java.util.Set;

import javax.faces.application.FacesMessage;

import it.callite.utility.ApplicationUtil;
import it.callite.utility.Ricerca;

public class Message {

	public static FacesMessage addValidatorMessageError(String messageString) {
		return new FacesMessage(FacesMessage.SEVERITY_ERROR, messageString, messageString);
	}
	
	public static FacesMessage addValidatorMessage(String messageString, String options) {
		String msg = addCatalogText(messageString);
		if(ApplicationUtil.isNotBlank(options)) {
			if(ApplicationUtil.isNotBlank(msg)) {
				msg = msg.concat(": " + options);
			}
		}
		return addValidatorMessageError( msg);
	}

	public static String addCatalogMessage(String messageString) {
		ResourceBundle bundle = ApplicationUtil.getResourceBundle();
		try {
			return bundle.getString(messageString);
		} catch (MissingResourceException e) {
			return messageString;
		}
	}

	public static String addCatalogText(String messageString) {
		ResourceBundle bundle = ApplicationUtil.getResourceBundle();
		try {
			return bundle.getString("text" + "."+ messageString);
		} catch (MissingResourceException e) {
			return messageString;
		}
	}
	
	public static String addCatalogFormat(String messageString) {
		ResourceBundle bundle = ApplicationUtil.getResourceBundle();
		try {
			return bundle.getString("format" + "."+ messageString);
		} catch (MissingResourceException e) {
			return messageString;
		}
	}

	public static Map<String, String> getCatalogMessage() {
		Map<String, String> sm = new HashMap<String, String>();
		ResourceBundle bundle = ApplicationUtil.getResourceBundle();
		Set<String> ss = bundle.keySet();
		if (ApplicationUtil.notEmpty(ss)) {
			Iterator<String> it = ss.iterator();
			while (it.hasNext()) {
				String key = (String) it.next();
				sm.put(key, bundle.getString(key));
			}
		}
		return sm;
	}

	public static List<String> getCatalogMessage(String valore) {
		List<String> sm = new ArrayList<String>();
		ResourceBundle bundle = ApplicationUtil.getResourceBundle();
		Set<String> ss = bundle.keySet();
		if (ApplicationUtil.notEmpty(ss)) {
			Iterator<String> it = ss.iterator();
			while (it.hasNext()) {
				String key = (String) it.next();
				String val = ApplicationUtil.upperCaseEmpty(bundle.getString(key));
				Ricerca m = ApplicationUtil.match(valore);
				if(m.getValore() == 1) {
					if(m.isInverti()) {
						if(m.getRicerca() != null && !val.equals(ApplicationUtil.upperCase(m.getRicerca()))) {
							sm.add(key);
						}
					} else {
						if(m.getRicerca() != null && val.equals(ApplicationUtil.upperCase(m.getRicerca()))) {
							sm.add(key);
						}
					}
				}
				if(m.getValore() == 2) {
					if(m.isInverti()) {
						if(m.getRicerca() != null && !val.startsWith(ApplicationUtil.upperCase(m.getRicerca()))) {
							sm.add(key);
						}
					} else {
						if(m.getRicerca() != null && val.startsWith(ApplicationUtil.upperCase(m.getRicerca()))) {
							sm.add(key);
						}
					}
				}
				if(m.getValore() == 3) {
					if(m.isInverti()) {
						if(m.getRicerca() != null && !val.endsWith(ApplicationUtil.upperCase(m.getRicerca()))) {
							sm.add(key);
						}
					} else {
						if(m.getRicerca() != null && val.endsWith(ApplicationUtil.upperCase(m.getRicerca()))) {
							sm.add(key);
						}
					}
				}
				if(m.getValore() == 4) {
					if(m.isInverti()) {
						if(m.getRicerca() != null && !val.contains(ApplicationUtil.upperCase(m.getRicerca()))) {
							sm.add(key);
						}
					} else {
						if(m.getRicerca() != null && val.contains(ApplicationUtil.upperCase(m.getRicerca()))) {
							sm.add(key);
						}
					}
				}

			}
		}
		return sm;
	}

}
