package it.callite.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import it.callite.constants.ConstantsGlobal;
import it.callite.model.generic.SelezionatoAbstract;
import it.callite.utility.ApplicationUtil;



@SuppressWarnings("serial")
@Entity
//@Audited 
@Table(name = ConstantsGlobal.tp + "accesso", indexes = { @Index(name= "accesso", columnList = "ip, data_creazione") })
public class Accesso  extends SelezionatoAbstract implements Serializable, Comparable<Accesso> {

	@Column(columnDefinition="datetime NOT NULL COMMENT 'data'")
	private Date data_creazione = ApplicationUtil.date();

	public Date getData_creazione() {
		return data_creazione;
	}

	public void setData_creazione(Date data_creazione) {
		this.data_creazione = data_creazione;
	}

	private String ip;
	
	@Column(columnDefinition = "text")
	private String browser;

	@ManyToOne
	private Utente utente;

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY) 
	private Long id;

	public Accesso() {
		
	}

	public Accesso(Utente utente, Date data_creazione, String ip, String browser) {
		this.data_creazione = data_creazione;
		this.ip = ip;
		this.browser = browser;
		this.utente = utente;
	}

	public int compareTo(Accesso o) {
		if(id != null && o.id != null) {
			return id.compareTo(o.id);
		} else if(id != null && o.id == null) {
			return -1;
		} else if(id == null && o.id != null) {
			return 1;
		} else {
			return 0;
		}
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Accesso other = (Accesso) obj;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		return true;
	}

	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		return result;
	}

	
	@Override
	public String toString() {
		return ApplicationUtil.toString(id, getDenominazione());
	}
	
	public String getDenominazione() {
		return utente.getDenominazione() + " " + "[" + ip + "]";
	}

	public String getIp() {
		return ip;
	}

	public void setIp(String ip) {
		this.ip = ip;
	}

	public String getBrowser() {
		return browser;
	}

	public void setBrowser(String browser) {
		this.browser = browser;
	}

	public Utente getUtente() {
		return utente;
	}

	public void setUtente(Utente utente) {
		this.utente = utente;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getUtente_denominazione() {
		return getUtente() != null ? getUtente().getDenominazione() : "";
	}
}