package it.callite.model;
import java.io.Serializable;
import java.sql.Time;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import org.hibernate.annotations.Cache;
import org.hibernate.annotations.CacheConcurrencyStrategy;
import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsLanguage;
import it.callite.constants.ConstantsMap;
import it.callite.message.Message;
import it.callite.model.generic.SelezionatoAbstract;
import it.callite.model.sip.SipBuddies;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
@Entity
//@Audited 
@Table(name = ConstantsGlobal.tp + "autodialer", indexes = { @Index(name= "autodialer", columnList = "data_creazione, nome, inverti, data_inizio, data_fine, week_inizio, week_fine, ora_inizio, ora_fine") })
@Cache(usage = CacheConcurrencyStrategy.READ_WRITE)
public class Autodialer extends SelezionatoAbstract implements Serializable, Comparable<Autodialer> {
	
	
	private String app;
	private String pre_caller;
	private String post_caller;
	@Column(columnDefinition = "text")
	private String callers;
	
	private Integer a_fallite = 0;
	private Integer a_saltate = 0;
	private Integer a_rimosse = 0;
	
	private Date data_fine;
	private Date data_inizio;
	
	private Long week_fine;
	private Long week_inizio;
	
	public Long getWeek_fine() {
		return week_fine;
	}
	public void setWeek_fine(Long week_fine) {
		this.week_fine = week_fine;
	}
	public Long getWeek_inizio() {
		return week_inizio;
	}
	public void setWeek_inizio(Long week_inizio) {
		this.week_inizio = week_inizio;
	}
	public Date getData_fine() {
		return ApplicationUtil.aggiustaDataT(data_fine, false);
	}
	public Date getData_inizio() {
		return ApplicationUtil.aggiustaDataT(data_inizio, true);
	}
	public void setData_fine(Date data_fine) {
		this.data_fine = ApplicationUtil.aggiustaDataT(data_fine, false);
	}
	public void setData_inizio(Date data_inizio) {
		this.data_inizio = ApplicationUtil.aggiustaDataT(data_inizio, true);
	}
	private Integer tempoAvviso = Integer.valueOf(0); 
	private Integer tempoUscita = Integer.valueOf(0); 
	public void setTempoAvviso(Integer tempoAvviso) {
		this.tempoAvviso = tempoAvviso;
	}
	public void setTempoUscita(Integer tempoUscita) {
		this.tempoUscita = tempoUscita;
	}
	public Integer getTempoAvviso() {
		if(ApplicationUtil.ltZero(tempoUscita)) {
			tempoUscita = Integer.valueOf(0);
		}
		return tempoAvviso;
	}
	public Integer getTempoUscita() {
		if(ApplicationUtil.ltZero(tempoUscita)) {
			tempoUscita = Integer.valueOf(0);
		}
		return tempoUscita;
	}
	public Boolean getAuto() {
		return ApplicationUtil.eq(getStato(), ConstantsGlobal.ts_auto);
	}
	public Integer getTempoTotale() {
		return getTempoAvviso() + getTempoUscita();
	}
	private Date data_creazione = ApplicationUtil.date();
	private Boolean nuovo;
	private String tipologia;
	private Boolean tts = Boolean.FALSE;
	@Column(columnDefinition = "text")
	private String testo;
	private String context;
	private Integer maxOccupato = 0;
	private Integer maxCongestion = 0;
	private Integer maxNonRisposto = 0;
	private Integer maxRinging = 0;
	private Integer maxRifiutata = 0;
	private Integer maxFallita = 0;
	private Long timeoutAmi = Long.valueOf(60);
	private Long tempoAmi = Long.valueOf(2 * ConstantsGlobal.millis);
	private Integer frecOccupato = 360;
	private Integer frecCongestion = 360;
	private Integer frecNonRisposto = 360;
	private Integer frecRinging = 360;
	private Integer frecRifiutata = 360;
	private Integer frecFallita = 360;
	private Boolean amd = Boolean.FALSE;
	private Boolean amdType = Boolean.TRUE;
	private Integer initialSilence = 2000;
	private Integer greeting = 2000;
	private Integer afterGreetingSilence = 1000;
	private Integer totalAnalysisTime = 5000;
	private Integer minimumWordLength = 100;
	private Integer maximumWordLength = 4000;
	private Integer betweenWordsSilence = 50;
	private Integer maximumNumberOfWords = 2;
	private Integer silenceThreshold = 256;
	private Integer aggressivita = 150;
	private Integer consumer_profondita = 0;
	private Integer producer_profondita = 0;
	private Long abbattimento = Long.valueOf(10);
	private Integer save_storia = 0;
	private Integer save_autodialer = 0;
	private Boolean calcola_media = Boolean.FALSE;
	private Boolean calcola_attesa = Boolean.FALSE;
	private Boolean precedenza = Boolean.FALSE;
	private String numero;
	public String getNumero() {
		return ApplicationUtil.normalizeToEmpty(numero);
	}
	public void setNumero(String numero) {
		this.numero = ApplicationUtil.normalizeToNull(numero);
	}
	private Integer timeoutrec = 10;
	private String nome;
	private String suono;
	private Boolean preambolo = Boolean.FALSE;
	private Integer ripetizioni = 1;
	private Integer repeat_key;
	private Integer exit_key;
	private Integer hangup_key;
	private Integer prenota_key;
	private Integer contatta_key;
	private Integer registra_key;
	private Integer stoprec_key;
	public Integer getTimeoutrec() {
		return timeoutrec;
	}
	public void setTimeoutrec(Integer timeoutrec) {
		this.timeoutrec = timeoutrec;
	}
	public Integer getStoprec_key() {
		return stoprec_key;
	}
	public void setStoprec_key(Integer stoprec_key) {
		this.stoprec_key = stoprec_key;
	}
	public Integer getRegistra_key() {
		return registra_key;
	}
	public void setRegistra_key(Integer registra_key) {
		this.registra_key = registra_key;
	}
	public Integer getContatta_key() {
		return contatta_key;
	}
	public void setContatta_key(Integer contatta_key) {
		this.contatta_key = contatta_key;
	}
	private String rem_prefisso;
	private String add_prefisso;
	private String append_prefisso;
	private Integer stato = ConstantsGlobal.ts_attivo;
	private Integer consumer_modalita = ConstantsMap.autodialer_modalita0;
	private Boolean producer_modalita = Boolean.TRUE;
	
	public Integer getConsumer_profondita() {
		if(consumer_profondita == null) {
			consumer_profondita = 0;
		}
		return consumer_profondita;
	}
	public void setConsumer_profondita(Integer consumer_profondita) {
		this.consumer_profondita = consumer_profondita;
	}
	public Integer getProducer_profondita() {
		if(producer_profondita == null) {
			producer_profondita = 0;
		}
		return producer_profondita;
	}
	public void setProducer_profondita(Integer producer_profondita) {
		this.producer_profondita = producer_profondita;
	}
	@ManyToOne
	private SipBuddies trunk;
	@ManyToOne
	private EsitoChiamata esitoOccupato;
	@ManyToOne
	private EsitoChiamata esitoCongestion;	
	@ManyToOne
	private EsitoChiamata esitoNonRisposto;
	@ManyToOne
	private EsitoChiamata esitoRinging;
	@ManyToOne
	private EsitoChiamata esitoRifiutata;
	@ManyToOne
	private EsitoChiamata esitoFallita;
	@ManyToOne
	private EsitoChiamata esitoHangup;
	@ManyToOne
	private EsitoChiamata esitoMacchina;
	@ManyToOne
	private EsitoChiamata esitoSaltata;
	@ManyToOne
	private EsitoChiamata esitoAbbattuta;
	@ManyToOne
	private EsitoChiamata esitoInbound;
	@ManyToOne
	private EsitoChiamata esitoPrenotazione;
	@ManyToOne
	private EsitoChiamata esitoUscita;
	@ManyToOne
	private EsitoChiamata esitoAgganciata;
	@ManyToOne
	private EsitoChiamata esitoApertura;
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY) 
	private Long id;
	@OneToMany
	@JoinColumn(name = "autodialer_id", nullable = true, updatable=true, insertable=true)
	private List<Campagna> campagne = new ArrayList<Campagna>();
	public int compareTo(Autodialer o) {
		if(id != null && o.id != null) {
			return id.compareTo(o.id);
		} else if(id != null && o.id == null) {
			return -1;
		} else if(id == null && o.id != null) {
			return 1;
		} else {
			return 0;
		}
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Autodialer other = (Autodialer) obj;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		return true;
	}
	public Long getAbbattimento() {
		if(abbattimento == null) {
			abbattimento = Long.valueOf(10);
		}
		return abbattimento;
	}
	public String getAdd_prefisso() {
		return ApplicationUtil.normalizeToEmpty(add_prefisso);
	}
	
	public String getAppend_prefisso() {
		return ApplicationUtil.normalizeToNull(append_prefisso);
	}
	public void setAppend_prefisso(String append_prefisso) {
		this.append_prefisso = ApplicationUtil.normalizeToNull(append_prefisso);
	}
	public Integer getAfterGreetingSilence() {
		return afterGreetingSilence;
	}
	public Integer getAggressivita() {
		return aggressivita;
	}
	public Boolean getAmd() {
		if(amd == null)
			return false;
		return amd;
	}
	public Boolean getAttivo() {
		return stato!=null && stato.equals(ConstantsGlobal.ts_attivo);
	}
	public Integer getBetweenWordsSilence() {
		return betweenWordsSilence;
	}
	public Boolean getCalcola_attesa() {
		if(calcola_attesa == null) {
			calcola_attesa = Boolean.FALSE;
		}
		return calcola_attesa;
	}
	public Boolean getCalcola_media() {
		if(calcola_media == null) {
			calcola_media = Boolean.FALSE;
		}
		return calcola_media;
	}
	public List<Campagna> getCampagne() {
		return campagne;
	}
	public Boolean getChiuso() {
		return stato!=null && stato.equals(ConstantsGlobal.ts_chiuso);
	}
	public Integer getConsumer_modalita() {
		return consumer_modalita;
	}
	private Time ora_inizio;
	private Time ora_fine;
	private Boolean inverti = false;
	public Boolean getInverti() {
		if(inverti == null) {
			inverti = false;
		}
		return inverti;
	}
	public void setInverti(Boolean inverti) {
		this.inverti = inverti;
	}
	public Autodialer getCopia() {
		Autodialer copia = new Autodialer();
		copia.setNome(this.getNome() + " " + ConstantsLanguage.COPY.stampa());
		copia.setMaxOccupato(this.getMaxOccupato());
		copia.setMaxCongestion(this.getMaxCongestion());
		copia.setMaxNonRisposto(this.getMaxNonRisposto());
		copia.setMaxRinging(this.getMaxRinging());
		copia.setMaxRifiutata(this.getMaxRifiutata());
		copia.setMaxFallita(this.getMaxFallita());
		copia.setTimeoutAmi(this.getTimeoutAmi());
		copia.setTempoAmi(this.getTempoAmi());
		copia.setFrecOccupato(this.getFrecOccupato());
		copia.setFrecCongestion(this.getFrecCongestion());
		copia.setFrecNonRisposto(this.getFrecNonRisposto());
		copia.setFrecRinging(this.getFrecRinging());
		copia.setFrecRifiutata(this.getFrecRifiutata());
		copia.setFrecFallita(this.getFrecFallita());
		copia.setAmd(this.getAmd());
		copia.setAmdType(this.getAmdType());
		copia.setTotalAnalysisTime(this.getTotalAnalysisTime());
		copia.setInitialSilence(this.getInitialSilence());
		copia.setGreeting(this.getAfterGreetingSilence());
		copia.setAfterGreetingSilence(this.getAfterGreetingSilence());
		copia.setMinimumWordLength(this.getMinimumWordLength());
		copia.setMaximumWordLength(this.getMaximumWordLength());
		copia.setBetweenWordsSilence(this.getBetweenWordsSilence());
		copia.setMaximumNumberOfWords(this.getMaximumNumberOfWords());
		copia.setSilenceThreshold(this.getSilenceThreshold());
		copia.setAggressivita(this.getAggressivita());
		copia.setAbbattimento(this.getAbbattimento());
		copia.setCalcola_media(this.getCalcola_media());
		copia.setCalcola_attesa(this.getCalcola_attesa());
		copia.setPrecedenza(this.getPrecedenza());
		copia.setTrunk(this.getTrunk());
		copia.setEsitoOccupato(this.getEsitoOccupato());
		copia.setEsitoCongestion(this.getEsitoCongestion());
		copia.setEsitoNonRisposto(this.getEsitoNonRisposto());
		copia.setEsitoRinging(this.getEsitoRinging());
		copia.setEsitoRifiutata(this.getEsitoRifiutata());
		copia.setEsitoFallita(this.getEsitoFallita());
		copia.setEsitoHangup(this.getEsitoHangup());
		copia.setEsitoSaltata(this.getEsitoSaltata());
		copia.setEsitoMacchina(this.getEsitoMacchina());
		copia.setEsitoAbbattuta(this.getEsitoAbbattuta());
		copia.setEsitoInbound(this.getEsitoInbound());
		copia.setSuono(this.getSuono());
		copia.setPreambolo(this.getPreambolo());
		copia.setRipetizioni(this.getRipetizioni());
		copia.setRepeat_key(this.getRepeat_key());
		copia.setExit_key(this.getExit_key());
		copia.setHangup_key(this.getHangup_key());
		copia.setPrenota_key(this.getPrenota_key());
		copia.setTimeoutrec(this.getTimeoutrec());
		copia.setStoprec_key(this.getStoprec_key());
		copia.setContatta_key(this.getContatta_key());
		copia.setRegistra_key(this.getRegistra_key());
		copia.setEsitoPrenotazione(this.getEsitoPrenotazione());
		copia.setEsitoUscita(this.getEsitoUscita());
		copia.setEsitoAgganciata(this.getEsitoAgganciata());
		copia.setEsitoApertura(this.getEsitoApertura());
		copia.setStato(this.getStato());
		copia.setTipologia(this.getTipologia());
		copia.setNuovo(this.getNuovo());
		copia.setTts(this.getTts());
		copia.setTesto(this.getTesto());
		copia.setConsumer_profondita(this.getConsumer_profondita());
		copia.setProducer_profondita(this.getProducer_profondita());
		copia.setConsumer_modalita(this.getConsumer_modalita());
		copia.setProducer_modalita(this.getProducer_modalita());
		copia.setSave_storia(this.getSave_storia());
		copia.setSave_autodialer(this.getSave_autodialer());
		copia.setInverti(this.getInverti());
		copia.setOra_inizio(this.getOra_inizio());
		copia.setOra_fine(this.getOra_fine());
		copia.setData_fine(this.getData_fine());
		copia.setData_inizio(this.getData_inizio());
		copia.setWeek_fine(this.getWeek_fine());
		copia.setWeek_inizio(this.getWeek_inizio());
		copia.setContext(this.getContext());
		copia.setA_fallite(this.getA_fallite());
		copia.setA_rimosse(this.getA_rimosse());
		copia.setA_saltate(this.getA_saltate());
		copia.setApp(this.getApp());
		copia.setCallers(this.getCallers());
		copia.setPre_caller(this.getPre_caller());
		copia.setPost_caller(this.getPost_caller());
		copia.setNumero(this.getNumero());
		copia.setAdd_prefisso(this.getAdd_prefisso());
		copia.setRem_prefisso(this.getRem_prefisso());
		copia.setAppend_prefisso(this.getAppend_prefisso());
		return copia;
	}
	public Date getData_creazione() {
		return data_creazione;
	}
	public String getDenominazione() {
		return ApplicationUtil.trimToEmpty(getNome()) + (getStatoAttiva() ? "" : "*");
	}
	public EsitoChiamata getEsitoAbbattuta() {
		return esitoAbbattuta;
	}
	public EsitoChiamata getEsitoAgganciata() {
		return esitoAgganciata;
	}
	public EsitoChiamata getEsitoCongestion() {
		return esitoCongestion;
	}
	public EsitoChiamata getEsitoFallita() {
		return esitoFallita;
	}
	public EsitoChiamata getEsitoHangup() {
		return esitoHangup;
	}
	public EsitoChiamata getEsitoMacchina() {
		return esitoMacchina;
	}
	public EsitoChiamata getEsitoNonRisposto() {
		return esitoNonRisposto;
	}
	@ManyToOne
	public EsitoChiamata getEsitoOccupato() {
		return esitoOccupato;
	}
	public EsitoChiamata getEsitoPrenotazione() {
		return esitoPrenotazione;
	}
	public EsitoChiamata getEsitoRifiutata() {
		return esitoRifiutata;
	}
	public EsitoChiamata getEsitoSaltata() {
		return esitoSaltata;
	}
	public Integer getExit_key() {
		return exit_key;
	}
	public Integer getFrecCongestion() {
		return frecCongestion;
	}
	public Integer getFrecFallita() {
		return frecFallita;
	}
	public Integer getFrecNonRisposto() {
		return frecNonRisposto;
	}
	public Integer getFrecOccupato() {
		return frecOccupato;
	}
	public Integer getFrecRifiutata() {
		return frecRifiutata;
	}
	public Integer getGreeting() {
		return greeting;
	}
	public Integer getHangup_key() {
		return hangup_key;
	}
	public Long getId() {
		return id;
	}
	public Integer getInitialSilence() {
		return initialSilence;
	}
	public Integer getMaxCongestion() {
		return maxCongestion;
	}
	public Integer getMaxFallita() {
		return maxFallita;
	}
	public Integer getMaximumNumberOfWords() {
		return maximumNumberOfWords;
	}
	public Integer getMaxNonRisposto() {
		return maxNonRisposto;
	}
	public Integer getMaxOccupato() {
		return maxOccupato;
	}
	public Integer getMaxRifiutata() {
		return maxRifiutata;
	}
	public Integer getMinimumWordLength() {
		return minimumWordLength;
	}
	public String getModalitaTesto() {
		return Message.addCatalogText("autodialer_modalita" + consumer_modalita);
	}
	public String getNome() {
		return nome;
	}
	public Boolean getNuovo() {
		return nuovo;
	}
	public Boolean getPreambolo() {
		return preambolo;
	}
	public Integer getPrenota_key() {
		return prenota_key;
	}
	public String getRem_prefisso() {
		return ApplicationUtil.normalizeToEmpty(rem_prefisso);
	}
	public Integer getRepeat_key() {
		return repeat_key;
	}
	public Integer getRipetizioni() {
		if(ApplicationUtil.ltZero(ripetizioni))
			ripetizioni = Integer.valueOf(1);
		return ripetizioni;
	}
	public Boolean getSchedulare() {
		boolean cong = ApplicationUtil.gtZero(maxCongestion);
		boolean fall = ApplicationUtil.gtZero(maxFallita);
		boolean nonr = ApplicationUtil.gtZero(maxNonRisposto);
		boolean ring = ApplicationUtil.gtZero(maxRinging);
		boolean occu = ApplicationUtil.gtZero(maxOccupato);
		boolean rifi = ApplicationUtil.gtZero(maxRifiutata);
		return cong || fall || nonr || occu || rifi || ring;
	}
	public Integer getSilenceThreshold() {
		return silenceThreshold;
	}
	public Integer getStato() {
		return stato;
	}
	public String getStatoTesto() {
		return Message.addCatalogText("ta_stato." + stato);
	}
	public String getSuono() {
		return suono;
	}
	public String getTesto() {
		return testo;
	}
	public Long getTimeoutAmi() {
		if(timeoutAmi == null) {
			timeoutAmi = Long.valueOf(30);
		}
		return timeoutAmi;
	}
	public String getTipologia() {
		return tipologia;
	}
	public Long getTempoAmi() {
		if(tempoAmi == null) {
			tempoAmi = Long.valueOf(2 * ConstantsGlobal.millis);
		}
		return tempoAmi;
	}
	public void setTempoAmi(Long tempoAmi) {
		this.tempoAmi = tempoAmi;
	}
	public SipBuddies getTrunk() {
		return trunk;
	}
	public Boolean getTts() {
		if(tts == null)
			tts = Boolean.FALSE;
		return tts;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		return result;
	}
	public void setAbbattimento(Long abbattimento) {
		this.abbattimento = abbattimento;
	}
	public void setAdd_prefisso(String add_prefisso) {
		this.add_prefisso = ApplicationUtil.normalize(ApplicationUtil.aggiustaLista(true, ConstantsGlobal.colonSeparator, add_prefisso));
	}
	public void setAfterGreetingSilence(Integer afterGreetingSilence) {
		this.afterGreetingSilence = afterGreetingSilence;
	}
	public void setAggressivita(Integer aggressivita) {
		this.aggressivita = aggressivita;
	}
	public void setAmd(Boolean amd) {
		this.amd = amd;
	}
	public void setBetweenWordsSilence(Integer betweenWordsSilence) {
		this.betweenWordsSilence = betweenWordsSilence;
	}
	public void setCalcola_attesa(Boolean calcola_attesa) {
		this.calcola_attesa = calcola_attesa;
	}
	public void setCalcola_media(Boolean calcola_media) {
		this.calcola_media = calcola_media;
	}
	public void setCampagne(List<Campagna> campagne) {
		this.campagne = campagne;
	}
	public void setConsumer_modalita(Integer consumer_modalita) {
		this.consumer_modalita = consumer_modalita;
	}
	public void setData_creazione(Date data_creazione) {
		this.data_creazione = data_creazione;
	}
	public void setEsitoAbbattuta(EsitoChiamata esitoAbbattuta) {
		this.esitoAbbattuta = esitoAbbattuta;
	}
	public EsitoChiamata getEsitoInbound() {
		return esitoInbound;
	}
	public void setEsitoInbound(EsitoChiamata esitoInbound) {
		this.esitoInbound = esitoInbound;
	}
	public void setEsitoAgganciata(EsitoChiamata esitoAgganciata) {
		this.esitoAgganciata = esitoAgganciata;
	}
	public void setEsitoCongestion(EsitoChiamata esitoCongestion) {
		this.esitoCongestion = esitoCongestion;
	}
	public void setEsitoFallita(EsitoChiamata esitoFallita) {
		this.esitoFallita = esitoFallita;
	}
	public EsitoChiamata getEsitoApertura() {
		return esitoApertura;
	}
	public void setEsitoApertura(EsitoChiamata esitoApertura) {
		this.esitoApertura = esitoApertura;
	}
	public void setEsitoHangup(EsitoChiamata esitoHangup) {
		this.esitoHangup = esitoHangup;
	}
	public void setEsitoMacchina(EsitoChiamata esitoMacchina) {
		this.esitoMacchina = esitoMacchina;
	}
	public void setEsitoNonRisposto(EsitoChiamata esitoNonRisposto) {
		this.esitoNonRisposto = esitoNonRisposto;
	}
	public void setEsitoOccupato(EsitoChiamata esitoOccupato) {
		this.esitoOccupato = esitoOccupato;
	}
	public void setEsitoPrenotazione(EsitoChiamata esitoPrenotazione) {
		this.esitoPrenotazione = esitoPrenotazione;
	}
	public EsitoChiamata getEsitoUscita() {
		return esitoUscita;
	}
	public void setEsitoUscita(EsitoChiamata esitoUscita) {
		this.esitoUscita = esitoUscita;
	}
	public void setEsitoRifiutata(EsitoChiamata esitoRifiutata) {
		this.esitoRifiutata = esitoRifiutata;
	}
	public void setEsitoSaltata(EsitoChiamata esitoSaltata) {
		this.esitoSaltata = esitoSaltata;
	}
	public void setExit_key(Integer exit_key) {
		this.exit_key = exit_key;
	}
	public void setFrecCongestion(Integer frecCongestion) {
		this.frecCongestion = frecCongestion;
	}
	public void setFrecFallita(Integer frecFallita) {
		this.frecFallita = frecFallita;
	}
	public void setFrecNonRisposto(Integer frecNonRisposto) {
		this.frecNonRisposto = frecNonRisposto;
	}
	public void setFrecOccupato(Integer frecOccupato) {
		this.frecOccupato = frecOccupato;
	}
	public void setFrecRifiutata(Integer frecRifiutata) {
		this.frecRifiutata = frecRifiutata;
	}
	public void setGreeting(Integer greeting) {
		this.greeting = greeting;
	}
	public void setHangup_key(Integer hangup_key) {
		this.hangup_key = hangup_key;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public void setInitialSilence(Integer initialSilence) {
		this.initialSilence = initialSilence;
	}
	public void setMaxCongestion(Integer maxCongestion) {
		this.maxCongestion = maxCongestion;
	}
	public void setMaxFallita(Integer maxFallita) {
		this.maxFallita = maxFallita;
	}
	public void setMaximumNumberOfWords(Integer maximumNumberOfWords) {
		this.maximumNumberOfWords = maximumNumberOfWords;
	}
	public void setMaxNonRisposto(Integer maxNonRisposto) {
		this.maxNonRisposto = maxNonRisposto;
	}
	public void setMaxOccupato(Integer maxOccupato) {
		this.maxOccupato = maxOccupato;
	}
	public void setMaxRifiutata(Integer maxRifiutata) {
		this.maxRifiutata = maxRifiutata;
	}
	public void setMinimumWordLength(Integer minimumWordLength) {
		this.minimumWordLength = minimumWordLength;
	}
	public void setNome(String nome) {
		this.nome = ApplicationUtil.normalizeToNull(nome);
	}
	
	public Integer getMaxRinging() {
		return maxRinging;
	}
	public void setMaxRinging(Integer maxRinging) {
		this.maxRinging = maxRinging;
	}
	public Integer getFrecRinging() {
		return frecRinging;
	}
	public void setFrecRinging(Integer frecRinging) {
		this.frecRinging = frecRinging;
	}
	public EsitoChiamata getEsitoRinging() {
		return esitoRinging;
	}
	public void setEsitoRinging(EsitoChiamata esitoRinging) {
		this.esitoRinging = esitoRinging;
	}
	public Integer getMaximumWordLength() {
		return maximumWordLength;
	}
	public void setMaximumWordLength(Integer maximumWordLength) {
		this.maximumWordLength = maximumWordLength;
	}
	public void setNuovo(Boolean nuovo) {
		this.nuovo = nuovo;
	}
	public void setPreambolo(Boolean preambolo) {
		this.preambolo = preambolo;
	}
	public void setPrenota_key(Integer prenota_key) {
		this.prenota_key = prenota_key;
	}
	public void setRem_prefisso(String rem_prefisso) {
		this.rem_prefisso = ApplicationUtil.normalize(ApplicationUtil.aggiustaLista(true, ConstantsGlobal.colonSeparator, rem_prefisso));
	}
	public void setRepeat_key(Integer repeat_key) {
		this.repeat_key = repeat_key;
	}
	public void setRipetizioni(Integer ripetizioni) {
		this.ripetizioni = ripetizioni;
	}
	public void setSilenceThreshold(Integer silenceThreshold) {
		this.silenceThreshold = silenceThreshold;
	}
	public void setStato(Integer stato) {
		this.stato = stato;
	}
	public void setSuono(String suono) {
		this.suono = suono;
	}
	public void setTesto(String testo) {
		this.testo = testo;
	}
	public void setTimeoutAmi(Long timeoutAmi) {
		this.timeoutAmi = timeoutAmi;
	}
	public void setTipologia(String tipologia) {
		this.tipologia = tipologia;
	}
	public void setTrunk(SipBuddies trunk) {
		this.trunk = trunk;
	}
	public void setTts(Boolean tts) {
		this.tts = tts;
	}
	@Override
	public String toString() {
		return ApplicationUtil.toString(id, getDenominazione());
	}
	public Boolean getStatoAttiva() {
		return ApplicationUtil.calcolaIntervallo(getInverti(), getData_inizio(), getData_fine(), getWeek_inizio(), getWeek_fine(), getTime_inizio(), getTime_fine());
	}
	
	public String getStatoAttivaT() {
		return getStatoAttiva() ? ConstantsLanguage.SI.stampa() : ConstantsLanguage.NO.stampa();
	}
	
	public Integer getSave_storia() {
		if(ApplicationUtil.ltZero(save_storia)) {
			save_storia = 0;
		}
		return save_storia;
	}
	public void setSave_storia(Integer save_storia) {
		this.save_storia = save_storia;
	}
	public Integer getSave_autodialer() {
		if(ApplicationUtil.ltZero(save_autodialer)) {
			save_autodialer = 0;
		}
		return save_autodialer;
	}
	public void setSave_autodialer(Integer save_autodialer) {
		this.save_autodialer = save_autodialer;
	}
	public Date getOra_inizio() {
		return  ApplicationUtil.timeToDate(ora_inizio);
	}
	public void setOra_inizio(Date ora_inizio) {
		this.ora_inizio = ApplicationUtil.dateToTime(ora_inizio);
	}
	public Time getTime_inizio() {
		return  ora_inizio;
	}
	public Date getOra_fine() {
		return ApplicationUtil.timeToDate(ora_fine);
	}
	public Time getTime_fine() {
		return  ora_fine;
	}
	public void setOra_fine(Date ora_fine) {
		this.ora_fine = ApplicationUtil.dateToTime(ora_fine);
	}
	public String getContext() {
		return ApplicationUtil.normalizeToNull(context);
	}
	public void setContext(String context) {
		this.context = ApplicationUtil.normalizeToNull(context);
	}
	public Boolean getPrecedenza() {
		return precedenza;
	}
	public void setPrecedenza(Boolean precedenza) {
		this.precedenza = precedenza;
	}
	public Boolean getProducer_modalita() {
		if(producer_modalita == null) {
			producer_modalita = Boolean.TRUE;
		}
		return producer_modalita;
	}
	public void setProducer_modalita(Boolean producer_modalita) {
		this.producer_modalita = producer_modalita;
	}
	public Integer getA_fallite() {
		if(a_fallite == null) {
			a_fallite = 0;
		}
		return a_fallite;
	}
	public void setA_fallite(Integer a_fallite) {
		this.a_fallite = a_fallite;
	}
	public Integer getA_saltate() {
		if(a_saltate == null) {
			a_saltate = 0;
		}
		return a_saltate;
	}
	public void setA_saltate(Integer a_saltate) {
		this.a_saltate = a_saltate;
	}
	public Integer getA_rimosse() {
		if(a_rimosse == null) {
			a_rimosse = 0;
		}
		return a_rimosse;
	}
	public void setA_rimosse(Integer a_rimosse) {
		this.a_rimosse = a_rimosse;
	}
	public Integer getTotalAnalysisTime() {
		return totalAnalysisTime;
	}
	public void setTotalAnalysisTime(Integer totalAnalysisTime) {
		this.totalAnalysisTime = totalAnalysisTime;
	}
	
	public String getApp() {
		return app;
	}
	public void setApp(String app) {
		this.app = app;
	}
		
	public void setCallers(String callers) {
		this.callers = ApplicationUtil.aggiustaLista(false, ConstantsGlobal.colonSeparator, callers);
	}
	
	public String getCallers() {
		return ApplicationUtil.trimToNull(callers);
	}

	public String getPre_caller() {
		return ApplicationUtil.normalizeToEmpty(pre_caller);
	}

	public void setPre_caller(String pre_caller) {
		this.pre_caller = ApplicationUtil.normalizeToEmpty(pre_caller);
	}

	public String getPost_caller() {
		return ApplicationUtil.normalizeToEmpty(post_caller);
	}

	public void setPost_caller(String post_caller) {
		this.post_caller = ApplicationUtil.normalizeToEmpty(post_caller);
	}
	public Boolean getAmdType() {
		if(amdType == null) {
			amdType = Boolean.TRUE;
		}
		return amdType;
	}
	public void setAmdType(Boolean amdType) {
		this.amdType = amdType;
	}
	
}