package it.callite.model;
import java.io.Serializable;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.Table;
import it.callite.constants.ConstantsGlobal;
import it.callite.model.generic.SelezionatoAbstract;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
@Entity
//@Audited
@Table(name = ConstantsGlobal.tp + "avvio", indexes = { @Index(name= "avvio", columnList = "data_creazione" )})
public class Avvio  extends SelezionatoAbstract implements Serializable, Comparable<Avvio> {
	
	private Boolean attivo = Boolean.TRUE;
	
	private Date data_creazione = ApplicationUtil.date();
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY) 
	private Long id;
	
	private Boolean writes = Boolean.FALSE;
	
	public Boolean getWrites() {
		if(writes == null) {
			writes = Boolean.FALSE;
		}
		return writes;
	}
	public void setWrites(Boolean writes) {
		this.writes = writes;
	}
	
	@Column(columnDefinition = "text")
	private String command;
	
	private Boolean cancellabile = Boolean.FALSE;
	
	public Avvio() {
	}
	public int compareTo(Avvio o) {
		if(id != null && o.id != null) {
			return id.compareTo(o.id);
		} else if(id != null && o.id == null) {
			return -1;
		} else if(id == null && o.id != null) {
			return 1;
		} else {
			return 0;
		}
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Avvio other = (Avvio) obj;
		if (attivo == null) {
			if (other.attivo != null)
				return false;
		} else if (!attivo.equals(other.attivo))
			return false;
		if (cancellabile == null) {
			if (other.cancellabile != null)
				return false;
		} else if (!cancellabile.equals(other.cancellabile))
			return false;
		if (command == null) {
			if (other.command != null)
				return false;
		} else if (!command.equals(other.command))
			return false;
		if (data_creazione == null) {
			if (other.data_creazione != null)
				return false;
		} else if (!data_creazione.equals(other.data_creazione))
			return false;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		return true;
	}
	public Boolean getAttivo() {
		return attivo;
	}
	public String getCommand() {
		return ApplicationUtil.trimToNull(command);
	}
	public void setCommand(String command) {
		this.command = ApplicationUtil.trimToNull(command);
	}
	
	public Date getData_creazione() {
		return data_creazione;
	}
	public Long getId() {
		return id;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((attivo == null) ? 0 : attivo.hashCode());
		result = prime * result + ((cancellabile == null) ? 0 : cancellabile.hashCode());
		result = prime * result + ((command == null) ? 0 : command.hashCode());
		result = prime * result + ((data_creazione == null) ? 0 : data_creazione.hashCode());
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		return result;
	}
	public void setAttivo(Boolean attivo) {
		this.attivo = attivo;
	}
	
	public void setData_creazione(Date data_creazione) {
		this.data_creazione = data_creazione;
	}
	
	public void setId(Long id) {
		this.id = id;
	}
	public Boolean getCancellabile() {
		return cancellabile;
	}
	public void setCancellabile(Boolean cancellabile) {
		this.cancellabile = cancellabile;
	}
	
}