package it.callite.model;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.Table;
import javax.persistence.Transient;
import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsMap;
import it.callite.model.generic.SelezionatoAbstract;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.Label;
@SuppressWarnings("serial")
@Entity
//@Audited
@Table(name = ConstantsGlobal.tp + "client_api", indexes = { @Index(name= "client_api", columnList = "nome, data_creazione" )})
public class ClientAPI  extends SelezionatoAbstract implements Serializable, Comparable<ClientAPI> {
	private Boolean attivo = Boolean.TRUE;
	@Column(columnDefinition = "text")
	private String body;
	private Date data_creazione = ApplicationUtil.date();
	
	@Column(columnDefinition = "text")
	private String fields;
	
	@Column(columnDefinition = "text")
	private String outputs;
	
	@Column(columnDefinition = "text")
	private String headers;
	
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY) 
	private Long id;
	
	@Column(columnDefinition = "text")
	private String inputs;
	
	@Transient
	private List<Label> labels = new ArrayList<Label>();
	@Column(columnDefinition = "text")
	private String link;
	private String nome;
	
	@Column(columnDefinition = "text")
	private String parameters;
	@Column(columnDefinition = "text")
	private String password;
	private String tipo = ConstantsMap.r_type1;
	@Column(columnDefinition = "text")
	private String username;
	
	public ClientAPI() {
	}
	public int compareTo(ClientAPI o) {
		if(id != null && o.id != null) {
			return id.compareTo(o.id);
		} else if(id != null && o.id == null) {
			return -1;
		} else if(id == null && o.id != null) {
			return 1;
		} else {
			return 0;
		}
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ClientAPI other = (ClientAPI) obj;
		if (attivo == null) {
			if (other.attivo != null)
				return false;
		} else if (!attivo.equals(other.attivo))
			return false;
		if (body == null) {
			if (other.body != null)
				return false;
		} else if (!body.equals(other.body))
			return false;
		if (data_creazione == null) {
			if (other.data_creazione != null)
				return false;
		} else if (!data_creazione.equals(other.data_creazione))
			return false;
		if (headers == null) {
			if (other.headers != null)
				return false;
		} else if (!headers.equals(other.headers))
			return false;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		if (inputs == null) {
			if (other.inputs != null)
				return false;
		} else if (!inputs.equals(other.inputs))
			return false;
		if (link == null) {
			if (other.link != null)
				return false;
		} else if (!link.equals(other.link))
			return false;
		if (nome == null) {
			if (other.nome != null)
				return false;
		} else if (!nome.equals(other.nome))
			return false;
		if (parameters == null) {
			if (other.parameters != null)
				return false;
		} else if (!parameters.equals(other.parameters))
			return false;
		if (tipo == null) {
			if (other.tipo != null)
				return false;
		} else if (!tipo.equals(other.tipo))
			return false;
		return true;
	}
	
	public Boolean getAttivo() {
		return attivo;
	}
	
	
	public String getBody() {
		return ApplicationUtil.trimToNull(body);
	}
	public Date getData_creazione() {
		return data_creazione;
	}
	public String getFields() {
		return ApplicationUtil.trimToNull(fields);
	}
	public String getHeaders() {
		return ApplicationUtil.trimToNull(headers);
	}
	public Long getId() {
		return id;
	}
	public String getInputs() {
		return ApplicationUtil.trimToNull(inputs);
	}
	public List<Label> getLabels() {
		return labels;
	}
	public String getLink() {
		return ApplicationUtil.trimToNull(link);
	}
	public String getNome() {
		return ApplicationUtil.trimToNull(nome);
	}
	public String getParameters() {
		return ApplicationUtil.trimToNull(parameters);
	}
	public String getPassword() {
		return password;
	}
	public String getTipo() {
		if(tipo == null) {
			tipo = ConstantsMap.r_type1;
		}
		return tipo;
	}
	
	public String getUsername() {
		return ApplicationUtil.trimToNull(username);
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((attivo == null) ? 0 : attivo.hashCode());
		result = prime * result + ((body == null) ? 0 : body.hashCode());
		result = prime * result + ((data_creazione == null) ? 0 : data_creazione.hashCode());
		result = prime * result + ((headers == null) ? 0 : headers.hashCode());
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		result = prime * result + ((inputs == null) ? 0 : inputs.hashCode());
		result = prime * result + ((link == null) ? 0 : link.hashCode());
		result = prime * result + ((nome == null) ? 0 : nome.hashCode());
		result = prime * result + ((parameters == null) ? 0 : parameters.hashCode());
		result = prime * result + ((tipo == null) ? 0 : tipo.hashCode());
		return result;
	}
	
	public void setAttivo(Boolean attivo) {
		this.attivo = attivo;
	}
	
	public Boolean getType() {
		String t = getTipo();
		return   t != null && ( t.equals(ConstantsMap.r_type6) || t.equals(ConstantsMap.r_type7) );
	}
	public void setBody(String body) {
		this.body = ApplicationUtil.trimToNull(body);
	}
	
	public void setData_creazione(Date data_creazione) {
		this.data_creazione = data_creazione;
	}
	
	public String getOutputs() {
		return ApplicationUtil.trimToNull(outputs);
	}
	public void setOutputs(String outputs) {
		this.outputs = ApplicationUtil.trimToNull(outputs);
	}
	public void setFields(String fields) {
		this.fields = ApplicationUtil.trimToNull(fields);
	}
	public void setHeaders(String headers) {
		this.headers = ApplicationUtil.trimToNull(headers);
	}
	public void setId(Long id) {
		this.id = id;
	}
	public void setInputs(String inputs) {
		this.inputs = ApplicationUtil.trimToNull(inputs);
	}
	public void setLabels(List<Label> labels) {
		this.labels = labels;
	}
	
	public void setLink(String link) {
		this.link = ApplicationUtil.trimToNull(link);
	}
	public void setNome(String nome) {
		this.nome = ApplicationUtil.trimToNull(nome);
	}
	public void setParameters(String parameters) {
		this.parameters = ApplicationUtil.trimToNull(parameters);
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public void setTipo(String tipo) {
		this.tipo = tipo;
	}
	public void setUsername(String username) {
		this.username = ApplicationUtil.trimToNull(username);
	}
	
	private String sistema = ConstantsMap.r_system1;
	public String getSistema() {
		if(sistema == null) {
			sistema = ConstantsMap.r_system1;
		}
		return sistema;
	}
	public void setSistema(String sistema) {
		this.sistema = sistema;
	}
	
	public Boolean getSystem1() {
		String t = getSistema();
		return   t != null &&  t.equals(ConstantsMap.r_system1);
	}
	public Boolean getSystem2() {
		String t = getSistema();
		return   t != null &&  t.equals(ConstantsMap.r_system2);
	}
	public Boolean getSystem3() {
		String t = getSistema();
		return   t != null &&  t.equals(ConstantsMap.r_system3);
	}
	public Boolean getSystem4() {
		String t = getSistema();
		return   t != null &&  t.equals(ConstantsMap.r_system4);
	}
	
	private String driver;
	
	@Column(columnDefinition = "text")
	private String commands;
	
	public String getDriver() {
		return ApplicationUtil.normalizeToNull(driver);
	}
	public void setDriver(String driver) {
		this.driver = ApplicationUtil.normalizeToNull(driver);
	}
	public String getCommands() {
		return ApplicationUtil.trimToNull(commands);
	}
	public void setCommands(String commands) {
		this.commands = ApplicationUtil.trimToNull(commands);
	}
	
}