package it.callite.model;
import java.io.Serializable;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import it.callite.constants.ConstantsGlobal;
import it.callite.model.pk.ClosurePK;
@SuppressWarnings("serial")
@Entity
@Table(name = ConstantsGlobal.tp + "closure", indexes = { @Index(name= "closure", columnList = "distanza") })
public class Closure implements Serializable {
	@EmbeddedId
	private ClosurePK id;
	
	private Integer distanza;
	public Integer getDistanza() {
		return distanza;
	}
	public void setDistanza(Integer distanza) {
		this.distanza = distanza;
	}
	
	@ManyToOne
	@JoinColumn(name="agente_id", insertable = false, updatable = false)
	private Agente agente;
	
	@ManyToOne
	@JoinColumn(name="agente_padre_id", insertable = false, updatable = false)
	private Agente agente_padre;
	public ClosurePK getId() {
		return id;
	}
	public void setId(ClosurePK id) {
		this.id = id;
	}
	public Agente getAgente() {
		return agente;
	}
	public void setAgente(Agente agente) {
		this.agente = agente;
	}
	public Agente getAgente_padre() {
		return agente_padre;
	}
	public void setAgente_padre(Agente agente_padre) {
		this.agente_padre = agente_padre;
	}
	
}