package it.callite.model;
import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Transient;
import it.callite.constants.ConstantsGlobal;
import it.callite.model.generic.SelezionatoAbstract;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
@Entity
//@Audited 
@Table(name = ConstantsGlobal.tp + "domanda_contratto")
public class DomandaContratto  extends SelezionatoAbstract implements Serializable, Comparable<DomandaContratto> {
	
	@Override
	public String toString() {
		return ApplicationUtil.toString(id, getDenominazione());
	}
	public String getDenominazione() {
		return ApplicationUtil.trimToEmpty(campo_aggiuntivo.getDenominazione());
	}
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY) 
	private Long id;
	@ManyToOne
	private SondaggioContratto sondaggio;
	@ManyToOne
	private CampoAggiuntivoContratto campo_aggiuntivo;
	private Short posizione;
	@Transient
	private String risposta;
	public String getRisposta() {
		return risposta;
	}
	public void setRisposta(String risposta) {
		this.risposta = risposta;
	}
	private Boolean obbligatoria = Boolean.FALSE;
	private Boolean visibile = Boolean.TRUE;
	
	public Boolean getObbligatoria() {
		if(obbligatoria == null) {
			obbligatoria = Boolean.FALSE; 
		}
		return obbligatoria;
	}
	public void setObbligatoria(Boolean obbligatoria) {
		this.obbligatoria = obbligatoria;
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public SondaggioContratto getSondaggio() {
		return sondaggio;
	}
	public void setSondaggio(SondaggioContratto sondaggio) {
		this.sondaggio = sondaggio;
	}
	public Short getPosizione() {
		return posizione;
	}
	public void setPosizione(Short posizione) {
		this.posizione = posizione;
	}
	public CampoAggiuntivoContratto getCampo_aggiuntivo() {
		return campo_aggiuntivo;
	}
	public void setCampo_aggiuntivo(CampoAggiuntivoContratto campoAggiuntivo) {
		campo_aggiuntivo = campoAggiuntivo;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((campo_aggiuntivo == null) ? 0 : campo_aggiuntivo.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		DomandaContratto other = (DomandaContratto) obj;
		if (campo_aggiuntivo == null) {
			if (other.campo_aggiuntivo != null)
				return false;
		} else if (!campo_aggiuntivo.equals(other.campo_aggiuntivo))
			return false;
		return true;
	}
	public int compareTo(DomandaContratto o) {
		if(posizione != null && o.posizione != null) {
			return posizione.compareTo(o.posizione);
		} else if(posizione != null && o.posizione == null) {
			return -1;
		} else if(posizione == null && o.posizione != null) {
			return 1;
		} else {
			return 0;
		}
	}
	
	public Boolean getVisibile() {
		if(visibile == null) {
			visibile = Boolean.TRUE; 
		}
		return visibile;
	}
	public void setVisibile(Boolean visibile) {
		this.visibile = visibile;
	}
}