package it.callite.model;
import java.io.Serializable;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.Table;
import it.callite.constants.ConstantsGlobal;
import it.callite.model.generic.SelezionatoAbstract;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
@Entity
//@Audited
@Table(name = ConstantsGlobal.tp + "rules", indexes = { @Index(name= "rules", columnList = "ip, data_creazione" )})
public class Rules  extends SelezionatoAbstract implements Serializable, Comparable<Rules> {
	private Boolean attivo = Boolean.TRUE;
	private Date data_creazione = ApplicationUtil.date();
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY) 
	private Long id;
	
	private String ip;
	private Boolean negata = Boolean.FALSE;
	private String service;
	private String porta;
	private String protocol;
	
	
	public Rules() {
	}
	public int compareTo(Rules o) {
		if(id != null && o.id != null) {
			return id.compareTo(o.id);
		} else if(id != null && o.id == null) {
			return -1;
		} else if(id == null && o.id != null) {
			return 1;
		} else {
			return 0;
		}
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Rules other = (Rules) obj;
		if (attivo == null) {
			if (other.attivo != null)
				return false;
		} else if (!attivo.equals(other.attivo))
			return false;
		if (data_creazione == null) {
			if (other.data_creazione != null)
				return false;
		} else if (!data_creazione.equals(other.data_creazione))
			return false;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		if (ip == null) {
			if (other.ip != null)
				return false;
		} else if (!ip.equals(other.ip))
			return false;
		if (negata == null) {
			if (other.negata != null)
				return false;
		} else if (!negata.equals(other.negata))
			return false;
		if (service == null) {
			if (other.service != null)
				return false;
		} else if (!service.equals(other.service))
			return false;
		return true;
	}
	public Boolean getAttivo() {
		return attivo;
	}
	public String getPorta() {
		return ApplicationUtil.trimToEmpty(porta);
	}
	public void setPorta(String porta) {
		this.porta = ApplicationUtil.trimToEmpty(ApplicationUtil.aggiustaLista(true, ConstantsGlobal.portSeparator1, porta));
	}
	public String getProtocol() {
		return protocol;
	}
	public void setProtocol(String protocol) {
		this.protocol = protocol;
	}
	public Date getData_creazione() {
		return data_creazione;
	}
	public Long getId() {
		return id;
	}
	public String getIp() {
		return ApplicationUtil.trimToEmpty(ip);
	}
	
	
	
	public Boolean getNegata() {
		if(negata == null) {
			negata = Boolean.FALSE;
		}
		return negata;
	}
	
	public String getService() {
		return service;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((attivo == null) ? 0 : attivo.hashCode());
		result = prime * result + ((data_creazione == null) ? 0 : data_creazione.hashCode());
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		result = prime * result + ((ip == null) ? 0 : ip.hashCode());
		result = prime * result + ((negata == null) ? 0 : negata.hashCode());
		result = prime * result + ((service == null) ? 0 : service.hashCode());
		return result;
	}
	public void setAttivo(Boolean attivo) {
		this.attivo = attivo;
	}
	
	public void setData_creazione(Date data_creazione) {
		this.data_creazione = data_creazione;
	}
	
	public void setId(Long id) {
		this.id = id;
	}
	
	public void setIp(String ip) {
		this.ip = ApplicationUtil.trimToEmpty(ip);
	}
	
	public void setNegata(Boolean negata) {
		this.negata = negata;
	}
	
	public void setService(String service) {
		this.service = service;
	}
	
}