package it.callite.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsLanguage;
import it.callite.utility.ApplicationUtil;





@SuppressWarnings("serial")
@Entity
//@Audited 
@Table(name = ConstantsGlobal.tp + "storia_nota", indexes = { @Index(name= "storia_nota", columnList = "data, data_inizio, data_fine, data_termine") })
public class StoriaNota implements Serializable{

	@ManyToOne
	private Agente agente;

	private String colore;


	@Column(columnDefinition="datetime NOT NULL COMMENT 'data'")
	private Date data = ApplicationUtil.date();
	
	private Date data_fine;
	
	private Date data_inizio ;
	private Date data_termine;

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY) 
	private Long id;

	@ManyToOne(fetch = FetchType.LAZY)
	private Nota nota;

	@Column(columnDefinition = "text")
	private String note;

	@ManyToOne
	private Utente operatore;

	private Integer ripetizioni;

	@ManyToOne
	private Utente utente;


	public Agente getAgente() {
		return agente;
	}
	public String getColore() {
		return colore;
	}


	public Date getData() {
		return data;
	}


	public Date getData_fine() {
		return data_fine;
	}

	public Date getData_inizio() {
		return data_inizio;
	}

	public Date getData_termine() {
		return data_termine;
	}

	public Long getId() {
		return id;
	}

	public Nota getNota() {
		return nota;
	}

	public String getNote() {
		return note;
	}


	public Utente getOperatore() {
		return operatore;
	}

	public String getNotaShort() {
		return ApplicationUtil.tronca(note);
	}
	
	public Integer getRipetizioni() {
		return ripetizioni;
	}

	public Utente getUtente() {
		return utente;
	}

	public void setAgente(Agente agente) {
		this.agente = agente;
	}

	public void setColore(String colore) {
		this.colore = colore;
	}

	public void setData(Date data) {
		this.data = data;
	}

	public void setData_fine(Date data_fine) {
		this.data_fine = data_fine;
	}

	public void setData_inizio(Date data_inizio) {
		this.data_inizio = data_inizio;
	}

	public void setData_termine(Date data_termine) {
		this.data_termine = data_termine;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public void setNota(Nota nota) {
		this.nota = nota;
	}

	public void setNote(String note) {
		this.note = note;
	}

	public void setOperatore(Utente operatore) {
		this.operatore = operatore;
	}

	public void setRipetizioni(Integer ripetizioni) {
		this.ripetizioni = ripetizioni;
	}

	public void setUtente(Utente utente) {
		this.utente = utente;
	}

	private Boolean bloccato = Boolean.FALSE;
	public String getBloccatoS() {
		return getBloccato() ? ConstantsLanguage.SI.stampa() : ConstantsLanguage.NO.stampa();
	}
	public Boolean getBloccato() {
		if(bloccato == null) {
			bloccato = Boolean.FALSE;
		}
		return bloccato;
	}
	public void setBloccato(Boolean bloccato) {
		this.bloccato = bloccato;
	}
	

}
