package it.callite.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Lob;
import javax.persistence.Table;

import it.callite.constants.ConstantsGlobal;
import it.callite.utility.Allegato;
import it.callite.utility.ApplicationUtil;



@SuppressWarnings("serial")
@Entity
//@Audited
@Table(name = ConstantsGlobal.tp + "tema")

public class Tema implements Serializable {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	private Long id;
	private String skin;
	private String lingua;
	private Integer preavviso;
	private Date scadenza;
	private Boolean zip;
	private Long filesize;
	private String color;

	public Integer getPreavviso() {
		return preavviso;
	}
	public void setPreavviso(Integer preavviso) {
		this.preavviso = preavviso;
	}
	public Date getScadenza() {
		return ApplicationUtil.aggiustaDataT(scadenza, false);
	}
	public void setScadenza(Date scadenza) {
		this.scadenza = ApplicationUtil.aggiustaDataT(scadenza, false);
	}
	
	public Boolean getZip() {
		return zip;
	}
	public void setZip(Boolean zip) {
		this.zip = zip;
	}
	public Long getId() {
		return id;
	}
	public String getLingua() {
		return lingua;
	}
	public String getSkin() {
		return skin;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public void setLingua(String lingua) {
		this.lingua = lingua;
	}

	public void setSkin(String skin) {
		this.skin = skin;
	}
	
	public boolean isLogo() {
		return content != null && content.length > 0;
	}
	@Lob
	private byte[] content;


	public byte[] getContent() {
		return content;
	}
	public void setContent(byte[] content) {
		this.content = content;
	}
	public Allegato getAllegato() {
		return isLogo() ? new Allegato("", content) : null;
	}
	public Long getFilesize() {
		return filesize;
	}
	public void setFilesize(Long filesize) {
		this.filesize = filesize;
	}
	public String getColor() {
		return color;
	}
	public void setColor(String color) {
		this.color = color;
	}
	
	
	
}