package it.callite.model;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.TreeMap;

import javax.faces.model.SelectItem;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.Table;
import javax.persistence.Transient;

import org.apache.commons.collections4.ListUtils;

import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsLanguage;
import it.callite.constants.ConstantsMap;
import it.callite.message.Message;
import it.callite.model.generic.SelezionatoAbstract;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
@Entity
//@Audited 
@Table(name = ConstantsGlobal.tp + "template_import_anagrafica", indexes = { @Index(name= "template_import_anagrafica", columnList = "data_creazione, attivo, predefinito, nome") })
public class TemplateImportAnagrafica extends SelezionatoAbstract implements Serializable {
	private Date data_creazione = ApplicationUtil.date();
	@Transient
	private String lista;
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY) 
	private Long id;
	private Boolean attivo = Boolean.TRUE;
	private Boolean predefinito = Boolean.FALSE;
	public Boolean getPredefinito() {
		return predefinito;
	}
	public void setPredefinito(Boolean predefinito) {
		this.predefinito = predefinito;
	}
	@Transient
	private List<String> telefoni;
	public List<String> getTelefoni() {
		return telefoni;
	}
	public void setTelefoni(List<String> telefoni) {
		this.telefoni = telefoni;
	}
	public Boolean getAttivo() {
		return attivo;
	}
	@Transient
	private Map<String, CampoAggiuntivoAnagrafica> campo = new TreeMap<String, CampoAggiuntivoAnagrafica>(); 
	@Transient
	private List<String> elenco = new ArrayList<String>(); 
	public void addCampo(String chiave, CampoAggiuntivoAnagrafica v) {
		if(v != null && !elenco.contains(chiave)) {
			elenco.add(chiave);
			campo.put(chiave, v);
		}
	}
 
	public Map<String, CampoAggiuntivoAnagrafica> getCampo() {
		return campo;
	}
	public void setCampo(Map<String, CampoAggiuntivoAnagrafica> campo) {
		this.campo = campo;
	}
	public void setAttivo(Boolean attivo) {
		this.attivo = attivo;
	}
	private String nome;
	private String ordine = "";
	private Integer tipo = ConstantsGlobal.random;
	@Column(columnDefinition = "text")
	private String valori;
	private String separatore;
	private String quote;
	private Integer salta_righe = 1;
	private Boolean considera_filtro = false;
	public Boolean getConsidera_filtro() {
		return considera_filtro;
	}
	public void setConsidera_filtro(Boolean considera_filtro) {
		this.considera_filtro = considera_filtro;
	}
	private Boolean rapido_filtro = true;
	
	public Boolean getRapido_filtro() {
		if(rapido_filtro == null) {
			rapido_filtro = true;
		}
		return rapido_filtro;
	}
	public void setRapido_filtro(Boolean rapido_filtro) {
		this.rapido_filtro = rapido_filtro;
	}
	private Boolean esegui_filtro = false;
	public Boolean getEsegui_filtro() {
		return esegui_filtro;
	}
	public void setEsegui_filtro(Boolean esegui_filtro) {
		this.esegui_filtro = esegui_filtro;
	}
	@Transient
	private List<String> valore_multiplo;
	@Transient
	private List<String> campo_multiplo;
	@Transient
	private List<String> valore_totale;
	@Transient
	private Map<String, Boolean> valoreTT = new HashMap<String, Boolean>();
	private String rem_fisso = ConstantsMap.getRemPrefisso();
	private String add_fisso = ConstantsMap.getAddPrefisso();
	private String append_fisso;
	private String quote_fisso;
	private String rem_mobile = ConstantsMap.getRemPrefisso();
	private String add_mobile = ConstantsMap.getAddPrefisso();
	private String append_mobile;
	private String quote_mobile;
	private String rem_fax = ConstantsMap.getRemPrefisso();
	private String add_fax = ConstantsMap.getAddPrefisso();
	private String append_fax;
	private String quote_fax;
	private String rem_altro = ConstantsMap.getRemPrefisso();
	private String add_altro = ConstantsMap.getAddPrefisso();
	private String append_altro;
	private String quote_altro;
	
	private String append_email;
	private String quote_email;
	
	private String append_codice;
	private String quote_codice;
	
	private String append_partita;
	private String quote_partita;
	
	private String append_link;
	private String quote_link;
	public String getQuote_email() {
		return quote_email;
	}
	public void setQuote_email(String quote_email) {
		this.quote_email = quote_email;
	}
	public String getQuote_codice() {
		return quote_codice;
	}
	public void setQuote_codice(String quote_codice) {
		this.quote_codice = quote_codice;
	}
	public String getQuote_partita() {
		return quote_partita;
	}
	public void setQuote_partita(String quote_partita) {
		this.quote_partita = quote_partita;
	}
	public String getAppend_email() {
		return append_email;
	}
	public void setAppend_email(String append_email) {
		this.append_email = append_email;
	}
	public String getAppend_codice() {
		return append_codice;
	}
	public void setAppend_codice(String append_codice) {
		this.append_codice = append_codice;
	}
	public String getAppend_partita() {
		return append_partita;
	}
	public void setAppend_partita(String append_partita) {
		this.append_partita = append_partita;
	}
	public String getQuote_fisso() {
		return quote_fisso;
	}
	public void setQuote_fisso(String quote_fisso) {
		this.quote_fisso = quote_fisso;
	}
	public String getQuote_fax() {
		return quote_fax;
	}
	public void setQuote_fax(String quote_fax) {
		this.quote_fax = quote_fax;
	}
	public String getQuote_mobile() {
		return quote_mobile;
	}
	public void setQuote_mobile(String quote_mobile) {
		this.quote_mobile = quote_mobile;
	}
	public String getQuote_altro() {
		return quote_altro;
	}
	public void setQuote_altro(String quote_altro) {
		this.quote_altro = quote_altro;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		TemplateImportAnagrafica other = (TemplateImportAnagrafica) obj;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		return true;
	}
	public String getAdd_altro() {
		return ApplicationUtil.trimToEmpty(add_altro);
	}
	public String getAdd_fax() {
		return ApplicationUtil.trimToEmpty(add_fax);
	}
	public String getAdd_fisso() {
		return ApplicationUtil.trimToEmpty(add_fisso);
	}
	public String getAdd_mobile() {
		return ApplicationUtil.trimToEmpty(add_mobile);
	}
	public String getAppend_altro() {
		return ApplicationUtil.trimToEmpty(append_altro);
	}
	public String getAppend_fax() {
		return ApplicationUtil.trimToEmpty(append_fax);
	}
	public String getAppend_fisso() {
		return ApplicationUtil.trimToEmpty(append_fisso);
	}
	public String getAppend_mobile() {
		return ApplicationUtil.trimToEmpty(append_mobile);
	}
	public List<String> getCampo_multiplo() {
		String sep = ConstantsMap.separatore;
		List<String> valore = new ArrayList<String>();
		valore.addAll(ConstantsMap.anagraficaIMap);
		List<String> st = ListUtils.subtract(getValore_multiplo(), valore);
		st.removeAll(Collections.singleton(sep));
		return st;
	}
	public List<String> getCampo_chiavi() {
		List<String> a = new ArrayList<String>();
		a.addAll(getCampo_multiplo());
		if(ApplicationUtil.notEmpty(getTelefoni())) {
			a.addAll(getTelefoni());
		}
		return a;
	}
	public TemplateImportAnagrafica getCopia() {
		TemplateImportAnagrafica pr = new TemplateImportAnagrafica();
		pr.setNome(this.getNome() + " " +  ConstantsLanguage.COPY.stampa());
		pr.setOrdine(this.getOrdine());
		pr.setTipo(this.getTipo());
		pr.setValori(this.getValori());
		pr.setSeparatore(this.getSeparatore());
		pr.setQuote(this.getQuote());
		pr.setSalta_righe(this.getSalta_righe());
		pr.setConsidera_filtro(this.getConsidera_filtro());
		pr.setEsegui_filtro(this.getEsegui_filtro());
		pr.setRapido_filtro(this.getRapido_filtro());
		pr.setQuote_fisso(this.getQuote_fisso());
		pr.setAppend_fisso(this.getAppend_fisso());
		pr.setRem_fisso(this.getRem_fisso());
		pr.setAdd_fisso(this.getAdd_fisso());
		pr.setQuote_fax(this.getQuote_fax());
		pr.setAppend_fax(this.getAppend_fax());
		pr.setRem_fax(this.getRem_fax());
		pr.setAdd_fax(this.getAdd_fax());
		pr.setQuote_mobile(this.getQuote_mobile());
		pr.setAppend_mobile(this.getAppend_mobile());
		pr.setRem_mobile(this.getRem_mobile());
		pr.setAdd_mobile(this.getAdd_mobile());
		pr.setQuote_altro(this.getQuote_altro());
		pr.setAppend_altro(this.getAppend_altro());
		pr.setRem_altro(this.getRem_altro());
		pr.setAdd_altro(this.getAdd_altro());
		pr.setQuote_email(this.getQuote_email());
		pr.setAppend_email(this.getAppend_email());
		pr.setQuote_codice(this.getQuote_codice());
		pr.setAppend_codice(this.getAppend_codice());
		pr.setQuote_partita(this.getQuote_partita());
		pr.setAppend_partita(this.getAppend_partita());
		pr.setQuote_link(this.getQuote_link());
		pr.setAppend_link(this.getAppend_link());
		pr.setAttivo(this.getAttivo());
		pr.setPredefinito(false);
		return pr;
	}
	public Date getData_creazione() {
		return data_creazione;
	}
	public String getDenominazione() {
		return ApplicationUtil.trimToEmpty(getNome());
	}
	public Long getId() {
		return id;
	}
	public String getLista() {
		return lista;
	}
	public String getNome() {
		return nome;
	}
	public List<SelectItem> getOrdinamento() {
		List<SelectItem> sis = new ArrayList<SelectItem>();
		sis.add(new SelectItem("", ConstantsLanguage.DEFAULT.stampa()));
		for(String c : getValore_multiplo()) {
			if(ConstantsMap.anagraficaIOMap.contains(c)) {
				sis.add(new SelectItem(c,  Message.addCatalogText(c)));
			}
		}
		return sis;
	}
	public List<SelectItem> getOrdinamentoTipo() {
		List<SelectItem> sis = new ArrayList<SelectItem>();
		sis.add(new SelectItem(ConstantsGlobal.random, ConstantsLanguage.RANDOM.stampa()));
		sis.add(new SelectItem(ConstantsGlobal.ascendente, ConstantsLanguage.ASCENDENTE.stampa()));
		sis.add(new SelectItem(ConstantsGlobal.discendente, ConstantsLanguage.DISCENDENTE.stampa()));
		return sis;
	}
	public String getOrdine() {
		return ordine;
	}
	public Integer getPosizione(String campo) {
		List<String> valori = getValore_multiplo(); 
		return valori.indexOf(campo);
	}
	public String getQuote() {
		return quote;
	}
	public Character getQuoteChar() {
		return ApplicationUtil.getChar(quote);
	}
	public List<SelectItem> getQuoteList() {
		return ConstantsMap.getQuoteList();
	}
	
	public List<SelectItem> getSeparatoreList() {
		return ConstantsMap.getSeparatoreList();
	}
	public List<SelectItem> getSepList() {
		List<SelectItem> valore = new ArrayList<SelectItem>();
		valore.add(new SelectItem("", ""));
		valore.add(new SelectItem(";", ";"));
		valore.add(new SelectItem(",", ","));
		valore.add(new SelectItem(":", ":"));
		valore.add(new SelectItem("|", "|"));
		valore.add(new SelectItem("-", "-"));
		valore.add(new SelectItem("_", "_"));
		valore.add(new SelectItem("/", "/"));
		valore.add(new SelectItem("\\", "\\"));
		return valore;
	}
	public String getRem_altro() {
		return ApplicationUtil.trimToEmpty(rem_altro);
	}
	public String getRem_fax() {
		return ApplicationUtil.trimToEmpty(rem_fax);
	}
	public String getRem_fisso() {
		return ApplicationUtil.trimToEmpty(rem_fisso);
	}
	public String getRem_mobile() {
		return ApplicationUtil.trimToEmpty(rem_mobile);
	}
	public Integer getSalta_righe() {
		return salta_righe;
	}
	public String getSeparatore() {
		return separatore;
	}
	public Character getSeparatoreChar() {
		return ApplicationUtil.getChar(separatore);
	}
	public Boolean getTelefono_altro() {
		return getValore_multiplo().contains(ConstantsMap.anagrafica_telefono_altro);
	}
	public Boolean getTelefono_fax() {
		return getValore_multiplo().contains(ConstantsMap.anagrafica_telefono_fax);
	}
	public Boolean getTelefono_fisso() {
		return getValore_multiplo().contains(ConstantsMap.anagrafica_telefono_fisso);
	}
	public Boolean getTelefono_mobile() {
		return getValore_multiplo().contains(ConstantsMap.anagrafica_telefono_mobile);
	}
	
	public Boolean getEmail() {
		return getValore_multiplo().contains(ConstantsMap.anagrafica_email);
	}
	
	public Boolean getCodice_fiscale() {
		return getValore_multiplo().contains(ConstantsMap.anagrafica_codice_fiscale);
	}
	
	public Boolean getPartita_iva() {
		return getValore_multiplo().contains(ConstantsMap.anagrafica_partita_iva);
	}
	
	public Boolean getLink() {
		return getValore_multiplo().contains(ConstantsMap.anagrafica_link);
	}
	
	public Integer getTipo() {
		if(tipo == null)
			tipo = ConstantsGlobal.random;
		return tipo;
	}
	public String getTipoString() {
		StringBuilder sb = new StringBuilder();
		Integer tipo = getTipo();
		if(ApplicationUtil.equals(tipo, ConstantsGlobal.random)) {
			sb.append(ConstantsLanguage.RANDOM.stampa());
		} else if(ApplicationUtil.equals(tipo, ConstantsGlobal.ascendente)) {
			sb.append(ConstantsLanguage.ASCENDENTE.stampa());
		} else if(ApplicationUtil.equals(tipo, ConstantsGlobal.discendente)) {
			sb.append(ConstantsLanguage.DISCENDENTE.stampa());
		} else {
			sb.append(ConstantsLanguage.RANDOM.stampa());
		} 
		if(!tipo.equals(ConstantsGlobal.random)) {
			if(ApplicationUtil.isNotBlank(getOrdine())) {
				sb.append(" - " +  Message.addCatalogText(getOrdine()));
			} else {
				sb.append(" - " + ConstantsLanguage.DEFAULT.stampa());
			}
		}
		return sb.toString();
	}
	public boolean getValidatore() {
		String sep = ConstantsMap.separatore;
		List<String> st = getValore_multiplo();
		st.removeAll(Collections.singleton(sep));
		boolean b  = st.isEmpty();
		boolean a1 = !st.contains(ConstantsMap.anagrafica_telefono_fisso) && (st.contains(ConstantsMap.consenso_tfissoS) || st.contains(ConstantsMap.prefisso_fisso));
		boolean a2 = !st.contains(ConstantsMap.anagrafica_telefono_mobile) && (st.contains(ConstantsMap.consenso_tmobileS) || st.contains(ConstantsMap.prefisso_mobile));
		boolean a3 = !st.contains(ConstantsMap.anagrafica_telefono_fax) && (st.contains(ConstantsMap.consenso_tfaxS) || st.contains(ConstantsMap.prefisso_fax));
		boolean a4 = !st.contains(ConstantsMap.anagrafica_telefono_altro) && (st.contains(ConstantsMap.consenso_taltroS) || st.contains(ConstantsMap.prefisso_altro));
		return a1 || a2 || a3 || a4 || b;
	}
	
	public List<String> getValore_multiplo() {
		return ApplicationUtil.token(valori, ConstantsGlobal.colonSeparator);
	}
	public List<String> getValore_totale() {
		String sep = ConstantsMap.separatore;
		//while(valore_totale.remove(sep));
		valore_totale.removeAll(Collections.singleton(sep));
		//Collections.sort(valore_totale);
		valore_totale.add(0, sep);
		return valore_totale;
	}
	public List<String> getValoreAnagrafica() {
		List<String> valore = new ArrayList<String>();
		valore.addAll(ConstantsMap.anagraficaIMap);
		valore.removeAll(getValore_multiplo());
		return valore;
	}
	public Map<String, Boolean> getValoreMap() {
		if(ApplicationUtil.empty(valoreTT)) {
			List<String> valore = new ArrayList<String>(ConstantsMap.anagraficaIOMap);
			List<String> listaDaInt = getValore_multiplo();
			List<String> lista = ListUtils.intersection(listaDaInt, valore) ;
			Iterator<String> vvIt = valore.iterator();
			while (vvIt.hasNext()) {
				String token = (String) vvIt.next();
				if(lista.contains(token)) {
					valoreTT.put(token, true);
				} else {
					valoreTT.put(token, false);
				}
			}
		}
		return valoreTT;
	}
	public String getValori() {
		return valori;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		return result;
	}
	public void setRem_fisso(String rem_fisso) {
		this.rem_fisso =  ApplicationUtil.normalize(ApplicationUtil.aggiustaLista(true, ConstantsGlobal.colonSeparator, rem_fisso));
	}
	public void setAdd_fisso(String add_fisso) {
		this.add_fisso =  ApplicationUtil.normalize(ApplicationUtil.aggiustaLista(true, ConstantsGlobal.colonSeparator, add_fisso));
	}
	public void setRem_mobile(String rem_mobile) {
		this.rem_mobile =  ApplicationUtil.normalize(ApplicationUtil.aggiustaLista(true, ConstantsGlobal.colonSeparator, rem_mobile));
	}
	public void setAdd_mobile(String add_mobile) {
		this.add_mobile =  ApplicationUtil.normalize(ApplicationUtil.aggiustaLista(true, ConstantsGlobal.colonSeparator, add_mobile));
	}
	public void setRem_fax(String rem_fax) {
		this.rem_fax =  ApplicationUtil.normalize(ApplicationUtil.aggiustaLista(true, ConstantsGlobal.colonSeparator, rem_fax));
	}
	public void setAdd_fax(String add_fax) {
		this.add_fax =  ApplicationUtil.normalize(ApplicationUtil.aggiustaLista(true, ConstantsGlobal.colonSeparator, add_fax));
	}
	public void setRem_altro(String rem_altro) {
		this.rem_altro =  ApplicationUtil.normalize(ApplicationUtil.aggiustaLista(true, ConstantsGlobal.colonSeparator, rem_altro));
	}
	public void setAdd_altro(String add_altro) {
		this.add_altro =  ApplicationUtil.normalize(ApplicationUtil.aggiustaLista(true, ConstantsGlobal.colonSeparator, add_altro));
	}
	public void setAppend_altro(String append_altro) {
		this.append_altro =  ApplicationUtil.normalizeToNull(append_altro);
	}
	public void setAppend_fax(String append_fax) {
		this.append_fax =  ApplicationUtil.normalizeToNull(append_fax);
	}
	public void setAppend_fisso(String append_fisso) {
		this.append_fisso =  ApplicationUtil.normalizeToNull(append_fisso);
	}
	public void setAppend_mobile(String append_mobile) {
		this.append_mobile =  ApplicationUtil.normalizeToNull(append_mobile);
	}
	public void setData_creazione(Date data_creazione) {
		this.data_creazione = data_creazione;
	}
	
	public String getAppend_link() {
		return append_link;
	}
	public void setAppend_link(String append_link) {
		this.append_link = append_link;
	}
	public String getQuote_link() {
		return quote_link;
	}
	public void setQuote_link(String quote_link) {
		this.quote_link = quote_link;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public void setLista(String lista) {
		this.lista = lista;
	}
	public void setNome(String nome) {
		this.nome = ApplicationUtil.normalizeToNull(nome);
	}
	public void setOrdine(String ordine) {
		this.ordine = ordine;
	}
	public void setQuote(String quote) {
		this.quote = quote;
	}
	public void setSalta_righe(Integer salta_righe) {
		this.salta_righe = salta_righe;
	}
	public void setSeparatore(String separatore) {
		this.separatore = separatore;
	}
	public void setTipo(Integer tipo) {
		this.tipo = tipo;
	}
	public void setValore_multiplo(List<String> valore_multiplo) {
		valori = ApplicationUtil.detoken(valore_multiplo, ConstantsGlobal.colonSeparator);
	}
	public void setValore_totale(List<String> valore_totale) {
		this.valore_totale = valore_totale;
	}
	public void setValori(String valori) {
		this.valori = valori;
	}
	@Override
	public String toString() {
		return ApplicationUtil.toString(id, getDenominazione());
	}
}