package it.callite.model;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

import javax.faces.model.SelectItem;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.Table;
import javax.persistence.Transient;

import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsLanguage;
import it.callite.constants.ConstantsMap;
import it.callite.model.generic.SelezionatoAbstract;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
@Entity
//@Audited 
@Table(name = ConstantsGlobal.tp + "template_import_opposizione", indexes = { @Index(name= "template_import_opposizione", columnList = "data_creazione, attivo, predefinito, nome") })
public class TemplateImportOpposizione extends SelezionatoAbstract implements Serializable {
	@Override
	public String toString() {
		return ApplicationUtil.toString(id, getDenominazione());
	}
	public String getDenominazione() {
		return ApplicationUtil.trimToEmpty(getNome());
	}
	private Boolean attivo = Boolean.TRUE;
	private Boolean predefinito = Boolean.FALSE;
	public Boolean getPredefinito() {
		return predefinito;
	}
	public void setPredefinito(Boolean predefinito) {
		this.predefinito = predefinito;
	}
	public Boolean getAttivo() {
		return attivo;
	}
	public void setAttivo(Boolean attivo) {
		this.attivo = attivo;
	}
	private Date data_creazione = ApplicationUtil.date();
	public Date getData_creazione() {
		return data_creazione;
	}
	public void setData_creazione(Date data_creazione) {
		this.data_creazione = data_creazione;
	}
	public TemplateImportOpposizione getCopia() {
		TemplateImportOpposizione pr = new TemplateImportOpposizione();
		pr.setNome(this.getNome() + " " +  ConstantsLanguage.COPY.stampa());
		pr.setValori(this.getValori());
		pr.setSeparatore(this.getSeparatore());
		pr.setQuote(this.getQuote());
		pr.setSalta_righe(this.getSalta_righe());
		pr.setConsidera_filtro(this.getConsidera_filtro());
		pr.setEsegui_filtro(this.getEsegui_filtro());
		pr.setRapido_filtro(this.getRapido_filtro());
		pr.setRem_prefisso(this.getRem_prefisso());
		pr.setAdd_prefisso(this.getAdd_prefisso());
		pr.setAttivo(this.getAttivo());
		pr.setQuote_segnalazione(this.getQuote_segnalazione());
		pr.setPredefinito(false);
		return pr;
	}
	private String rem_prefisso;
	private String add_prefisso;
	public String getRem_prefisso() {
		return ApplicationUtil.trimToEmpty(rem_prefisso);
	}
	public void setRem_prefisso(String rem_prefisso) {
		this.rem_prefisso = ApplicationUtil.normalize(ApplicationUtil.aggiustaLista(true, ConstantsGlobal.colonSeparator, rem_prefisso));
	}
	public String getAdd_prefisso() {
		return ApplicationUtil.trimToEmpty(add_prefisso);
	}
	public void setAdd_prefisso(String add_prefisso) {
		this.add_prefisso = ApplicationUtil.normalize(ApplicationUtil.aggiustaLista(true, ConstantsGlobal.colonSeparator, add_prefisso));
	}
	public Boolean getOpposizione() {
		return getValore_multiplo().contains(ConstantsMap.opposizione_segnalazione);
	}
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY) 
	private Long id;
	private String nome;
	@Column(columnDefinition = "text")
	private String valori;
	private String separatore;
	private String quote;
	public String getSeparatore() {
		return separatore;
	}
	public void setSeparatore(String separatore) {
		this.separatore = separatore;
	}
	public String getQuote() {
		return quote;
	}
	public void setQuote(String quote) {
		this.quote = quote;
	}
	private Integer salta_righe = 1;
	private Boolean considera_filtro = false;
	private Boolean esegui_filtro = false;
	private Boolean rapido_filtro = true;

	public Boolean getRapido_filtro() {
		if(rapido_filtro == null) {
			rapido_filtro = true;
		}
		return rapido_filtro;
	}
	public void setRapido_filtro(Boolean rapido_filtro) {
		this.rapido_filtro = rapido_filtro;
	}
	public Boolean getEsegui_filtro() {
		return esegui_filtro;
	}
	public void setEsegui_filtro(Boolean esegui_filtro) {
		this.esegui_filtro = esegui_filtro;
	}
	public Boolean getConsidera_filtro() {
		return considera_filtro;
	}
	public void setConsidera_filtro(Boolean considera_filtro) {
		this.considera_filtro = considera_filtro;
	}
	public Integer getSalta_righe() {
		return salta_righe;
	}
	public void setSalta_righe(Integer salta_righe) {
		this.salta_righe = salta_righe;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		TemplateImportOpposizione other = (TemplateImportOpposizione) obj;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		return true;
	}
	public String getValori() {
		return valori;
	}
	public void setValori(String valori) {
		this.valori = valori;
	}
	@Transient
	private List<String> valore_multiplo;
	@Transient
	private List<String> valore_totale;
	public boolean getValidatore() {
		return !getValore_multiplo().contains(ConstantsMap.opposizione_segnalazione);
	}
	public List<String> getValore_totale() {
		String sep1 = ConstantsMap.opposizione_segnalazione;
		String sep2 = ConstantsMap.separatore;
		//while(valore_totale.remove(sep1));
		//while(valore_totale.remove(sep2));
		valore_totale.removeAll(Collections.singleton(sep1));
		valore_totale.removeAll(Collections.singleton(sep2));
		//Collections.sort(valore_totale);
		valore_totale.add(0, sep1);
		valore_totale.add(0, sep2);
		return valore_totale;
	}
	public void setValore_totale(List<String> valore_totale) {
		this.valore_totale = valore_totale;
	}
	public void setValore_multiplo(List<String> valore_multiplo) {
		valori = ApplicationUtil.detoken(valore_multiplo, ConstantsGlobal.colonSeparator);
	}
	public List<String> getValore_multiplo() {
		return ApplicationUtil.token(valori, ConstantsGlobal.colonSeparator);
	}
	public Integer getPosizione(String campo) {
		List<String> valori = getValore_multiplo(); 
		return valori.indexOf(campo);
	}
	@Transient
	private Map<String, Boolean> valoreTT = new HashMap<String, Boolean>();
	public Map<String, Boolean> getValoreMap() {
		if(ApplicationUtil.empty(valoreTT)) {
			List<String> valore = new ArrayList<String>(ConstantsMap.opposizioneIMap);
			List<String> lista = getValore_multiplo();
			Iterator<String> vvIt = valore.iterator();
			while (vvIt.hasNext()) {
				String token = (String) vvIt.next();
				if(lista.contains(token)) {
					valoreTT.put(token, true);
				} else {
					valoreTT.put(token, false);
				}
			}
		}
		return valoreTT;
	}
	public List<String> getValoreOpposizione() {
		List<String> valore = new ArrayList<String>();
		valore.addAll(ConstantsMap.opposizioneIMap);
		valore.removeAll(getValore_multiplo());
		return valore;
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public String getNome() {
		return nome;
	}
	public void setNome(String nome) {
		this.nome = ApplicationUtil.normalizeToNull(nome);
	}
	public List<SelectItem> getQuoteList() {
		return ConstantsMap.getQuoteList();
	}

	public List<SelectItem> getSeparatoreList() {
		return ConstantsMap.getSeparatoreList();
	}
	public Character getSeparatoreChar() {
		return ApplicationUtil.getChar(separatore);
	}
	public Character getQuoteChar() {
		return ApplicationUtil.getChar(quote);
	}
	private String quote_segnalazione;
	public String getQuote_segnalazione() {
		return quote_segnalazione;
	}
	public void setQuote_segnalazione(String quote_segnalazione) {
		this.quote_segnalazione = quote_segnalazione;
	}
	public List<SelectItem> getSepList() {
		List<SelectItem> valore = new ArrayList<SelectItem>();
		valore.add(new SelectItem("", ""));
		valore.add(new SelectItem(";", ";"));
		valore.add(new SelectItem(",", ","));
		valore.add(new SelectItem(":", ":"));
		valore.add(new SelectItem("|", "|"));
		valore.add(new SelectItem("-", "-"));
		valore.add(new SelectItem("_", "_"));
		valore.add(new SelectItem("/", "/"));
		valore.add(new SelectItem("\\", "\\"));
		return valore;
	}
}