package it.callite.model;
import java.io.Serializable;
import java.util.Date;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import it.callite.constants.ConstantsGlobal;
import it.callite.model.generic.SelezionatoAbstract;
import it.callite.model.pk.TemplateProdottoPK;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
@Entity
@Table(name = ConstantsGlobal.tp + "template_prodotto", indexes = { @Index(name= "template_prodotto", columnList = "data_creazione, attivo") })
public class TemplateProdotto extends SelezionatoAbstract implements Serializable {
	
	@EmbeddedId
	private TemplateProdottoPK id;
	private Boolean attivo = Boolean.TRUE;
	private Date data_creazione = ApplicationUtil.date();
	public TemplateProdotto() { }
	
	public TemplateProdotto getCopia() {
		TemplateProdottoPK id = new TemplateProdottoPK();
		id.setProdotto(this.getId().getProdotto());
		TemplateProdotto pr = new TemplateProdotto();
		pr.setId(id);
		pr.setAttivo(this.getAttivo());
		return pr;
	}
	public TemplateProdotto(TemplateProdottoPK id) {
		this.setId(id);
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		TemplateProdotto other = (TemplateProdotto) obj;
		if (attivo == null) {
			if (other.attivo != null)
				return false;
		} else if (!attivo.equals(other.attivo))
			return false;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		return true;
	}
	
	public Boolean getAttivo() {
		return attivo;
	}
	public Date getData_creazione() {
		return data_creazione;
	}
	public String getDenominazione() {
		return ApplicationUtil.trimToEmpty(getId().getProdotto().getDenominazione() + " " + getId().getDocumento().getDenominazione());
	}
	
	public TemplateProdottoPK getId() {
		return id;
	}
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((attivo == null) ? 0 : attivo.hashCode());
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		return result;
	}
	public void setAttivo(Boolean attivo) {
		this.attivo = attivo;
	}
	
	public void setData_creazione(Date data_creazione) {
		this.data_creazione = data_creazione;
	}
	public void setId(TemplateProdottoPK id) {
		this.id = id;
	}
	@Override
	public String toString() {
		return ApplicationUtil.toString(null, getDenominazione());
	}
}