package it.callite.model;
import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import it.callite.constants.ConstantsGlobal;
import it.callite.model.generic.SelezionatoAbstract;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
@Entity
//@Audited 
@Table(name = ConstantsGlobal.tp + "webhook", indexes = { @Index(name= "webhook", columnList = "data_creazione") })
public class Webhook   extends SelezionatoAbstract implements Serializable, Comparable<Webhook> {
	
	
	
	@ManyToOne
	private WebhookTemplate webhookTemplate;
	
	private String name;
	
	
	@Column(columnDefinition = "text")
	private String response;
	
	@Column(columnDefinition = "text")
	private String parameters;
	
	@Column(columnDefinition="datetime NOT NULL COMMENT 'data'")
	private Date data_creazione = ApplicationUtil.date();
	
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY) 
	private Long id;
	
	public Webhook() {
	}
	
	public WebhookTemplate getWebhookTemplate() {
		return webhookTemplate;
	}

	public String getWebhookTemplateS() {
		return webhookTemplate != null ? webhookTemplate.getNome() : "";
	}
	
	public void setWebhookTemplate(WebhookTemplate webhookTemplate) {
		this.webhookTemplate = webhookTemplate;
	}

	public Webhook(WebhookTemplate webhookTemplate, String name, String response, String parameters) {
		this.webhookTemplate = webhookTemplate;
		this.name = ApplicationUtil.trimToNull(name);
		this.response = ApplicationUtil.trimToNull(response);
		this.parameters = ApplicationUtil.trimToNull(parameters);
	}
	public int compareTo(Webhook o) {
		if(id != null && o.id != null) {
			return id.compareTo(o.id);
		} else if(id != null && o.id == null) {
			return -1;
		} else if(id == null && o.id != null) {
			return 1;
		} else {
			return 0;
		}
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Webhook other = (Webhook) obj;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		return true;
	}
	
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		return result;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}

	public String getResponse() {
		return response;
	}
	public void setResponse(String response) {
		this.response = response;
	}
	public String getParameters() {
		return parameters;
	}
	public void setParameters(String parameters) {
		this.parameters = parameters;
	}
	public Date getData_creazione() {
		return data_creazione;
	}
	public void setData_creazione(Date data_creazione) {
		this.data_creazione = data_creazione;
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	
	
}