package it.callite.model;
import java.io.Serializable;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import it.callite.constants.ConstantsGlobal;
import it.callite.model.generic.SelezionatoAbstract;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
@Entity
@Table(name = ConstantsGlobal.tp + "workflow", indexes = { @Index(name= "workflow", columnList = "data_creazione, attivo") })
public class Workflow extends SelezionatoAbstract implements Serializable {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY) 
	private Long id;
	private Boolean attivo = Boolean.TRUE;
	private Boolean sposta_anagrafica = Boolean.TRUE;
	
	@ManyToOne(fetch = FetchType.LAZY)
	private Campagna sorgente;
	@ManyToOne(fetch = FetchType.LAZY)
	private EsitoChiamata esitoChiamata;
	@ManyToOne(fetch = FetchType.LAZY)
	private EsitoArchiviazione esitoArchiviazione;
	@ManyToOne
	private Campagna campagna;
	@ManyToOne
	private Lista lista;
	private Date data_creazione = ApplicationUtil.date();
	public Workflow() { }
	public Workflow getCopia() {
		Workflow pr = new Workflow();
		pr.setSorgente(this.getSorgente());
		pr.setCampagna(this.getCampagna());
		pr.setLista(this.getLista());
		pr.setAttivo(this.getAttivo());
		pr.setSposta_anagrafica(this.getSposta_anagrafica());
		return pr;
	}
	
	public Boolean getSposta_anagrafica() {
		return sposta_anagrafica;
	}
	public void setSposta_anagrafica(Boolean sposta_anagrafica) {
		this.sposta_anagrafica = sposta_anagrafica;
	}
	public Boolean getAttivo() {
		return attivo;
	}
	public Date getData_creazione() {
		return data_creazione;
	}
	public String getDenominazione() {
		return getSorgente().getDenominazione() + " " + "[" + getEsito_generale() + "]";
	}
	public void setAttivo(Boolean attivo) {
		this.attivo = attivo;
	}
	public void setData_creazione(Date data_creazione) {
		this.data_creazione = data_creazione;
	}
	@Override
	public String toString() {
		return ApplicationUtil.toString(null, getDenominazione());
	}
	public Campagna getCampagna() {
		return campagna;
	}
	public void setCampagna(Campagna campagna) {
		this.campagna = campagna;
	}
	public Lista getLista() {
		return lista;
	}
	public void setLista(Lista lista) {
		this.lista = lista;
	}
	public EsitoChiamata getEsitoChiamata() {
		return esitoChiamata;
	}
	public void setEsitoChiamata(EsitoChiamata esitoChiamata) {
		this.esitoChiamata = esitoChiamata;
	}
	public EsitoArchiviazione getEsitoArchiviazione() {
		return esitoArchiviazione;
	}
	public void setEsitoArchiviazione(EsitoArchiviazione esitoArchiviazione) {
		this.esitoArchiviazione = esitoArchiviazione;
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public Campagna getSorgente() {
		return sorgente;
	}
	public void setSorgente(Campagna sorgente) {
		this.sorgente = sorgente;
	}
	public String getEsito_generale() {
		if(esitoArchiviazione != null) {
			return getEsitoArchiviazione() != null ? getEsitoArchiviazione().getEtichetta() : "";
		} else {
			return getEsitoChiamata() != null ? getEsitoChiamata().getEtichetta() : "";
		}
	}

}