package it.callite.model.anagrafica;
import java.io.Serializable;
import java.util.Date;

import it.callite.model.CampoAggiuntivoAnagrafica;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
public class CampoAggiuntivoAnagraficaXML implements Serializable {

	private Long id;
	private Date data_creazione;
	private String etichetta;
	private String chiave;
	private String descrizione;
	private Integer tipo;
	private Boolean obbligatorio;
	private String path;
	private String valori;
	private String colore;
	private String defaults;
	private String stile;
	private String gruppo;
	private Boolean visibile_operatore;
	private Boolean visibile_agente;
	private Boolean modificabile_operatore;
	private Boolean modificabile_agente;

	public String getDefaults() {
		return defaults;
	}
	public void setDefaults(String defaults) {
		this.defaults = defaults;
	}
	public CampoAggiuntivoAnagraficaXML() { }
	public CampoAggiuntivoAnagraficaXML(CampoAggiuntivoAnagrafica campo) {
		this.setId(campo.getId());
		this.setData_creazione(campo.getData_creazione());
		this.setObbligatorio(campo.getObbligatorio());
		this.setTipo(campo.getTipo());
		this.setDefaults(campo.getDefaults());
		this.setChiave(ApplicationUtil.normalizeToEmpty(campo.getChiave()));
		this.setEtichetta(ApplicationUtil.trimToEmpty(campo.getEtichetta()));
		this.setGruppo(ApplicationUtil.trimToEmpty(campo.getGruppo()));
		this.setDescrizione(ApplicationUtil.trimToEmpty(campo.getDescrizione()));
		this.setPath(ApplicationUtil.trimToEmpty(campo.getPath()));
		this.setValori(ApplicationUtil.trimToEmpty(campo.getValori()));
		this.setColore(ApplicationUtil.trimToEmpty(campo.getColore()));
		this.setStile(ApplicationUtil.trimToEmpty(campo.getStile()));
		this.setVisibile_operatore(campo.getVisibile_operatore());
		this.setVisibile_agente(campo.getVisibile_agente());
		this.setModificabile_operatore(campo.getModificabile_operatore());
		this.setModificabile_agente(campo.getModificabile_agente());
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public Date getData_creazione() {
		return data_creazione;
	}
	public void setData_creazione(Date data_creazione) {
		this.data_creazione = data_creazione;
	}
	public Boolean getModificabile_operatore() {
		return modificabile_operatore;
	}
	public void setModificabile_operatore(Boolean modificabile_operatore) {
		this.modificabile_operatore = modificabile_operatore;
	}
	public Boolean getModificabile_agente() {
		return modificabile_agente;
	}
	public void setModificabile_agente(Boolean modificabile_agente) {
		this.modificabile_agente = modificabile_agente;
	}
	public String getChiave() {
		return ApplicationUtil.normalizeToEmpty(chiave);
	}
	public String getDescrizione() {
		return descrizione;
	}
	public String getEtichetta() {
		return etichetta;
	}
	public Boolean getObbligatorio() {
		return obbligatorio;
	}
	public String getPath() {
		return path;
	}
	public Integer getTipo() {
		return tipo;
	}
	public String getValori() {
		return valori;
	}
	public void setChiave(String chiave) {
		this.chiave = chiave;
	}
	public void setDescrizione(String descrizione) {
		this.descrizione = descrizione;
	}
	public void setEtichetta(String etichetta) {
		this.etichetta = etichetta;
	}
	public void setObbligatorio(Boolean obbligatorio) {
		this.obbligatorio = obbligatorio;
	}
	public void setPath(String path) {
		this.path = path;
	}
	public void setTipo(Integer tipo) {
		this.tipo = tipo;
	}

	public void setValori(String valori) {
		this.valori = valori;
	}
	public Boolean getVisibile_operatore() {
		return visibile_operatore;
	}
	public void setVisibile_operatore(Boolean visibile_operatore) {
		this.visibile_operatore = visibile_operatore;
	}
	public Boolean getVisibile_agente() {
		return visibile_agente;
	}
	public void setVisibile_agente(Boolean visibile_agente) {
		this.visibile_agente = visibile_agente;
	}
	public String getGruppo() {
		return gruppo;
	}
	public void setGruppo(String gruppo) {
		this.gruppo = gruppo;
	}
	public String getColore() {
		return colore;
	}
	public void setColore(String colore) {
		this.colore = colore;
	}

	public String getStile() {
		return stile;
	}
	public void setStile(String stile) {
		this.stile = stile;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((chiave == null) ? 0 : chiave.hashCode());
		result = prime * result + ((colore == null) ? 0 : colore.hashCode());
		result = prime * result + ((data_creazione == null) ? 0 : data_creazione.hashCode());
		result = prime * result + ((defaults == null) ? 0 : defaults.hashCode());
		result = prime * result + ((descrizione == null) ? 0 : descrizione.hashCode());
		result = prime * result + ((etichetta == null) ? 0 : etichetta.hashCode());
		result = prime * result + ((gruppo == null) ? 0 : gruppo.hashCode());
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		result = prime * result + ((modificabile_agente == null) ? 0 : modificabile_agente.hashCode());
		result = prime * result + ((modificabile_operatore == null) ? 0 : modificabile_operatore.hashCode());
		result = prime * result + ((obbligatorio == null) ? 0 : obbligatorio.hashCode());
		result = prime * result + ((path == null) ? 0 : path.hashCode());
		result = prime * result + ((stile == null) ? 0 : stile.hashCode());
		result = prime * result + ((tipo == null) ? 0 : tipo.hashCode());
		result = prime * result + ((valori == null) ? 0 : valori.hashCode());
		result = prime * result + ((visibile_agente == null) ? 0 : visibile_agente.hashCode());
		result = prime * result + ((visibile_operatore == null) ? 0 : visibile_operatore.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		CampoAggiuntivoAnagraficaXML other = (CampoAggiuntivoAnagraficaXML) obj;
		if (chiave == null) {
			if (other.chiave != null)
				return false;
		} else if (!chiave.equals(other.chiave))
			return false;
		if (colore == null) {
			if (other.colore != null)
				return false;
		} else if (!colore.equals(other.colore))
			return false;
		if (data_creazione == null) {
			if (other.data_creazione != null)
				return false;
		} else if (!data_creazione.equals(other.data_creazione))
			return false;
		if (defaults == null) {
			if (other.defaults != null)
				return false;
		} else if (!defaults.equals(other.defaults))
			return false;
		if (descrizione == null) {
			if (other.descrizione != null)
				return false;
		} else if (!descrizione.equals(other.descrizione))
			return false;
		if (etichetta == null) {
			if (other.etichetta != null)
				return false;
		} else if (!etichetta.equals(other.etichetta))
			return false;
		if (gruppo == null) {
			if (other.gruppo != null)
				return false;
		} else if (!gruppo.equals(other.gruppo))
			return false;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		if (modificabile_agente == null) {
			if (other.modificabile_agente != null)
				return false;
		} else if (!modificabile_agente.equals(other.modificabile_agente))
			return false;
		if (modificabile_operatore == null) {
			if (other.modificabile_operatore != null)
				return false;
		} else if (!modificabile_operatore.equals(other.modificabile_operatore))
			return false;
		if (obbligatorio == null) {
			if (other.obbligatorio != null)
				return false;
		} else if (!obbligatorio.equals(other.obbligatorio))
			return false;
		if (path == null) {
			if (other.path != null)
				return false;
		} else if (!path.equals(other.path))
			return false;
		if (stile == null) {
			if (other.stile != null)
				return false;
		} else if (!stile.equals(other.stile))
			return false;
		if (tipo == null) {
			if (other.tipo != null)
				return false;
		} else if (!tipo.equals(other.tipo))
			return false;
		if (valori == null) {
			if (other.valori != null)
				return false;
		} else if (!valori.equals(other.valori))
			return false;
		if (visibile_agente == null) {
			if (other.visibile_agente != null)
				return false;
		} else if (!visibile_agente.equals(other.visibile_agente))
			return false;
		if (visibile_operatore == null) {
			if (other.visibile_operatore != null)
				return false;
		} else if (!visibile_operatore.equals(other.visibile_operatore))
			return false;
		return true;
	}


}