package it.callite.model.config;
import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.Table;

import it.callite.constants.ConstantsGlobal;
import it.callite.message.Message;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
@Entity
//@Audited
@Table(name = ConstantsGlobal.tp + "config_storage", indexes = { @Index(name= "config_storage", columnList = "chiave" )})
public class ConfigStorage implements Serializable {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY) 
	private Long id;
	private String chiave;
	private Boolean valore;
	
	public ConfigStorage() {
		
	}
	
	public ConfigStorage(String chiave, Boolean valore) {
		this.setChiave(chiave);
		this.setValore(valore);
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ConfigStorage other = (ConfigStorage) obj;
		if (chiave == null) {
			if (other.chiave != null)
				return false;
		} else if (!chiave.equals(other.chiave))
			return false;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		return true;
	}
	public String getChiave() {
		return chiave;
	}
	public String getChiaveTesto() {
		return Message.addCatalogMessage(chiave);
	}

	public Long getId() {
		return id;
	}
	
	
	
	public Boolean getValore() {
		return valore;
	}
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((chiave == null) ? 0 : chiave.hashCode());
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		return result;
	}
	public void setChiave(String chiave) {
		this.chiave = ApplicationUtil.normalizeToNull(chiave);
	}
	public void setId(Long id) {
		this.id = id;
	}
	public void setValore(Boolean valore) {
		this.valore = valore;
	}
	@Override
	public String toString() {
		return id != null ? id.toString() : "";
	}
	
}