package it.callite.model.messaggio;
import java.io.Serializable;
import java.util.Arrays;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.Lob;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import it.callite.constants.ConstantsGlobal;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
@Entity
//@Audited
@Table(name = ConstantsGlobal.tp + "allegato_messaggio", indexes = { @Index(name= "allegato_messaggio", columnList = "data_creazione, data_modifica, nome" )})
public class AllegatoMessaggio implements Serializable, Comparable<AllegatoMessaggio> {
	private long dimensione;
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	private Long id;
	@ManyToOne(fetch = FetchType.LAZY)
	private Messaggio messaggio;
	
	@Column(columnDefinition="datetime NOT NULL COMMENT 'data'")
	private Date data_creazione = ApplicationUtil.date();
	public Date getData_creazione() {
		return data_creazione;
	}
	public void setData_creazione(Date data_creazione) {
		this.data_creazione = data_creazione;
	}
	private Date data_modifica;
	@Lob
	private byte[] file;
	
	private String nome;
	public AllegatoMessaggio() {
	}
	public AllegatoMessaggio(long dimensione, Date data_modifica, byte[] file, String nome) {
		this.setDimensione(dimensione);
		this.setData_modifica(data_modifica);
		this.setFile(file);
		this.setNome(nome);
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		AllegatoMessaggio other = (AllegatoMessaggio) obj;
		if (data_creazione == null) {
			if (other.data_creazione != null)
				return false;
		} else if (!data_creazione.equals(other.data_creazione))
			return false;
		if (data_modifica == null) {
			if (other.data_modifica != null)
				return false;
		} else if (!data_modifica.equals(other.data_modifica))
			return false;
		if (dimensione != other.dimensione)
			return false;
		if (!Arrays.equals(file, other.file))
			return false;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		if (messaggio == null) {
			if (other.messaggio != null)
				return false;
		} else if (!messaggio.equals(other.messaggio))
			return false;
		if (nome == null) {
			if (other.nome != null)
				return false;
		} else if (!nome.equals(other.nome))
			return false;
		return true;
	}
	public AllegatoMessaggio getCopia() {
		AllegatoMessaggio am = new AllegatoMessaggio();
		am.setDimensione(this.getDimensione());
		am.setData_modifica(this.getData_modifica());
		am.setFile(this.getFile());
		am.setNome(this.getNome());
		return am;
	}
	public Date getData_modifica() {
		return data_modifica;
	}
	public void setData_modifica(Date data_modifica) {
		this.data_modifica = data_modifica;
	}
	public long getDimensione() {
		return dimensione;
	}
	public byte[] getFile() {
		return file;
	}
	
	public Long getId() {
		return id;
	}
	public Messaggio getMessaggio() {
		return messaggio;
	}
	
	public String getNome() {
		return nome;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((data_creazione == null) ? 0 : data_creazione.hashCode());
		result = prime * result + ((data_modifica == null) ? 0 : data_modifica.hashCode());
		result = prime * result + (int) (dimensione ^ (dimensione >>> 32));
		result = prime * result + Arrays.hashCode(file);
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		result = prime * result + ((messaggio == null) ? 0 : messaggio.hashCode());
		result = prime * result + ((nome == null) ? 0 : nome.hashCode());
		return result;
	}
	public void setDimensione(long dimensione) {
		this.dimensione = dimensione;
	}
	public void setFile(byte[] file) {
		this.file = file;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public void setMessaggio(Messaggio messaggio) {
		this.messaggio = messaggio;
	}
	public void setNome(String nome) {
		this.nome = ApplicationUtil.normalizeToNull(nome);
	}
	@Override
	public int compareTo(AllegatoMessaggio o) {
		if(id != null && o.id != null) {
			return id.compareTo(o.id);
		} else if(id != null && o.id == null) {
			return -1;
		} else if(id == null && o.id != null) {
			return 1;
		} else {
			return 0;
		}
	}
	
	
	
}