package it.callite.model.report;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.RoundingMode;
import java.util.ArrayList;
import java.util.List;

import it.callite.utility.ApplicationUtil;


@SuppressWarnings("serial")
public class DashboardPannelloReport implements Serializable {
	
	List<DashboardPannelloReportList> lista = new ArrayList<DashboardPannelloReportList>();
	private Long archiviati = 0L;
	private Long totali = 0L;
	private String tipo;
	private Integer contatti;

	public DashboardPannelloReport(Integer contatti, String tipo) {
		this.contatti = contatti;
		this.tipo = tipo;
	}

	public Long getArchiviati() {
		if(ApplicationUtil.ltZero(archiviati)) {
			archiviati = Long.valueOf(0);	
		}
		return archiviati;
	}

	
	public Integer getContatti() {
		return contatti;
	}	
	
	public List<DashboardPannelloReportList> getLista() {
		return lista;
	}
	public Long getTotali() {
		if(ApplicationUtil.ltZero(totali)) {
			totali = Long.valueOf(0);	
		}
		return totali;
	}
	public void setArchiviati(Long archiviati) {
		this.archiviati = archiviati;
	}
	
	public void setContatti(Integer contatti) {
		this.contatti = contatti;
	}
	
	public void setLista(List<DashboardPannelloReportList> lista) {
		this.lista = lista;
	}
	

	public void setTotali(Long totali) {
		this.totali = totali;
	}


	public BigDecimal getPercentuale() {
		BigDecimal num = new BigDecimal(0);
		Long totali = getTotali() + getArchiviati();
		Long archiviati =  getArchiviati();
		if(ApplicationUtil.gtZero(totali) && ApplicationUtil.gtZero(archiviati)) {
			Double archiviatiT = Double.valueOf(archiviati);
			Double totaliT = Double.valueOf(totali);
			num = new BigDecimal((archiviatiT / totaliT * 100));
		}
		return num.setScale(2, RoundingMode.HALF_UP) ;
	}

	public Boolean getOk() {
		return ApplicationUtil.ge(contatti, 0);
	}

	public Boolean getPersonali() {
		return ApplicationUtil.eq(contatti, 0) || ApplicationUtil.eq(contatti, 1) || ApplicationUtil.eq(contatti, 2) || ApplicationUtil.eq(contatti, 3) || ApplicationUtil.eq(contatti, 4) || ApplicationUtil.eq(contatti, 5) || ApplicationUtil.eq(contatti, 6);
	}
	public Boolean getPubbliche() {
		return ApplicationUtil.eq(contatti, 0) || ApplicationUtil.eq(contatti, 1) || ApplicationUtil.eq(contatti, 2) || ApplicationUtil.eq(contatti, 3) || ApplicationUtil.eq(contatti, 7) || ApplicationUtil.eq(contatti, 8) || ApplicationUtil.eq(contatti, 9);
	}
	
	public Boolean getDisponibili() {
		return ApplicationUtil.eq(contatti, 0) || ApplicationUtil.eq(contatti, 1) || ApplicationUtil.eq(contatti, 2) || ApplicationUtil.eq(contatti, 4) || ApplicationUtil.eq(contatti, 5) || ApplicationUtil.eq(contatti, 7) || ApplicationUtil.eq(contatti, 8);
	}
	public Boolean getProssimi() {
		return ApplicationUtil.eq(contatti, 0) || ApplicationUtil.eq(contatti, 1) || ApplicationUtil.eq(contatti, 3) || ApplicationUtil.eq(contatti, 4) || ApplicationUtil.eq(contatti, 6) || ApplicationUtil.eq(contatti, 7) || ApplicationUtil.eq(contatti, 9);
	}

	public Boolean getArchiviazione() {
		return ApplicationUtil.eq(contatti, 0);
	}
	
	public Boolean getTutti() {
		return ApplicationUtil.eq(contatti, 0) || ApplicationUtil.eq(contatti, 1) || ApplicationUtil.eq(contatti, 4) || ApplicationUtil.eq(contatti, 7);
	}

	public String getTipo() {
		return tipo;
	}

	public void setTipo(String tipo) {
		this.tipo = tipo;
	}
	
	
	
	
}
