package it.callite.model.report;
import java.io.Serializable;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
public class Dettaglio implements Serializable {
	private String etichetta;
	private String codice;
	private Long esito_id;
	private Long numero;
	private String tempo;
	private String media;
	private String tempo_conv_eff;
	private String media_conv_eff;
	private String tempo_conv_tot;
	private String media_conv_tot;
	private String tempo_attesa;
	private String media_attesa;
	private String tempo_post;
	private String media_post;
	private String tempo_pre;
	private String media_pre;
	private String tempo_rec;
	private String media_rec;
	private Float percent_numero;
	private Float percent_tempo;
	private String colore;
	public String getColore() {
		return colore;
	}
	public void setColore(String colore) {
		this.colore = colore;
	}
	public Dettaglio() { }
	public Dettaglio(Long numero, String tempo, String media, String tempo_conv_eff, String media_conv_eff, String tempo_conv_tot, String media_conv_tot, String tempo_post, String media_post, String tempo_pre, String media_pre, String tempo_rec, String media_rec, String tempo_attesa, String media_attesa) {
		this.numero = numero;
		this.tempo = tempo;
		this.media = media;
		this.tempo_conv_eff = tempo_conv_eff;
		this.media_conv_eff = media_conv_eff;
		this.tempo_conv_tot = tempo_conv_tot;
		this.media_conv_tot = media_conv_tot;
		this.tempo_attesa = tempo_attesa;
		this.media_attesa = media_attesa;
		this.tempo_post = tempo_post;
		this.media_post = media_post;
		this.tempo_pre = tempo_pre;
		this.media_pre = media_pre;
		this.tempo_rec = tempo_rec;
		this.media_rec = media_rec;
	}
	public Dettaglio(boolean vuoto) {
		this.numero = 0L;
		this.tempo = ApplicationUtil.format(0L);
		this.media = ApplicationUtil.format(0L);
		this.tempo_conv_eff = ApplicationUtil.format(0L);
		this.media_conv_eff = ApplicationUtil.format(0L);
		this.tempo_conv_tot = ApplicationUtil.format(0L);
		this.media_conv_tot = ApplicationUtil.format(0L);
		this.tempo_attesa = ApplicationUtil.format(0L);
		this.media_attesa = ApplicationUtil.format(0L);
		this.tempo_post = ApplicationUtil.format(0L);
		this.media_post = ApplicationUtil.format(0L);
		this.tempo_pre = ApplicationUtil.format(0L);
		this.media_pre = ApplicationUtil.format(0L);
		this.tempo_rec = ApplicationUtil.format(0L);
		this.media_rec = ApplicationUtil.format(0L);
		this.percent_numero = 0F;
		this.percent_tempo = 0F;
	}
	public void setNumero(Long numero) {
		this.numero = numero;
	}
	public Long getNumero() {
		return numero;
	}
	public void setTempo(String tempo) {
		this.tempo = tempo;
	}
	public String getTempo() {
		return tempo;
	}
	public String getMedia() {
		return media;
	}
	public void setMedia(String media) {
		this.media = media;
	}
	public String getEtichetta() {
		return etichetta;
	}
	public void setEtichetta(String etichetta) {
		this.etichetta = etichetta;
	}
	public Long getEsito_id() {
		return esito_id;
	}
	public void setEsito_id(Long esitoId) {
		esito_id = esitoId;
	}
	public Float getPercent_numero() {
		return percent_numero;
	}
	public void setPercent_numero(Float percentNumero) {
		percent_numero = percentNumero;
	}
	public Float getPercent_tempo() {
		return percent_tempo;
	}
	public void setPercent_tempo(Float percentTempo) {
		percent_tempo = percentTempo;
	}
	public void p_tempo(Long d_min, Long d_max) {
		if(d_min==null) d_min = Long.valueOf(0);
		if(d_max==null)
			this.percent_tempo = Float.valueOf(0);
		else
			this.percent_tempo = (d_min.floatValue() / d_max.floatValue()) * 100;
	}
	public void p_numero(Long d_min, Long d_max) {
		if(d_min==null) d_min = Long.valueOf(0);
		if(d_max==null)
			this.percent_numero =  Float.valueOf(0);
		else
			this.percent_numero = (d_min.floatValue() / d_max.floatValue()) * 100;
	}
	public String getTempo_conv_eff() {
		return tempo_conv_eff;
	}
	public void setTempo_conv_eff(String tempoConvEff) {
		tempo_conv_eff = tempoConvEff;
	}
	public String getMedia_conv_eff() {
		return media_conv_eff;
	}
	public void setMedia_conv_eff(String mediaConvEff) {
		media_conv_eff = mediaConvEff;
	}
	
	public String getEtichettaCodice() {
		StringBuilder sb = new StringBuilder();
		sb.append(ApplicationUtil.trimToEmpty(etichetta));
		if(ApplicationUtil.isNotBlank(codice)) {
			sb.append(" (" + codice + ")");
		}
		return sb.toString();
	}
	public String getCodice() {
		return codice;
	}
	public void setCodice(String codice) {
		this.codice = codice;
	}
	public String getTempo_conv_tot() {
		return tempo_conv_tot;
	}
	public void setTempo_conv_tot(String tempo_conv_tot) {
		this.tempo_conv_tot = tempo_conv_tot;
	}
	public String getMedia_conv_tot() {
		return media_conv_tot;
	}
	public void setMedia_conv_tot(String media_conv_tot) {
		this.media_conv_tot = media_conv_tot;
	}
	public String getTempo_post() {
		return tempo_post;
	}
	public void setTempo_post(String tempo_post) {
		this.tempo_post = tempo_post;
	}
	public String getMedia_post() {
		return media_post;
	}
	public void setMedia_post(String media_post) {
		this.media_post = media_post;
	}
	public String getTempo_pre() {
		return tempo_pre;
	}
	public void setTempo_pre(String tempo_pre) {
		this.tempo_pre = tempo_pre;
	}
	public String getMedia_pre() {
		return media_pre;
	}
	public void setMedia_pre(String media_pre) {
		this.media_pre = media_pre;
	}
	public String getTempo_rec() {
		return tempo_rec;
	}
	public void setTempo_rec(String tempo_rec) {
		this.tempo_rec = tempo_rec;
	}
	public String getMedia_rec() {
		return media_rec;
	}
	public void setMedia_rec(String media_rec) {
		this.media_rec = media_rec;
	}
	public String getTempo_attesa() {
		return tempo_attesa;
	}
	public void setTempo_attesa(String tempo_attesa) {
		this.tempo_attesa = tempo_attesa;
	}
	public String getMedia_attesa() {
		return media_attesa;
	}
	public void setMedia_attesa(String media_attesa) {
		this.media_attesa = media_attesa;
	}
}