package it.callite.model.report;
import java.io.Serializable;
import it.callite.utility.ElencoEsito;
import it.callite.utility.Esito;
@SuppressWarnings("serial")
public class ElencoEsitoReport implements Serializable { 
 
	private Integer conteggio = Integer.valueOf(1);
	private Esito esito;
	
	public ElencoEsitoReport(ElencoEsito e) {
		this.setEsito(e.getEsito());
		this.setConteggio(e.getConteggio());
	}
	
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ElencoEsitoReport other = (ElencoEsitoReport) obj;
		if (esito == null) {
			if (other.esito != null)
				return false;
		} else if (!esito.equals(other.esito))
			return false;
		return true;
	}
	public Integer getConteggio() {
		return conteggio;
	}
	
	
	public Esito getEsito() {
		return esito;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((esito == null) ? 0 : esito.hashCode());
		return result;
	}
	
	public  void incConteggio() {
		conteggio++;
	}
	
	public void setConteggio(Integer conteggio) {
		this.conteggio = conteggio;
	}
	public void setEsito(Esito esito) {
		this.esito = esito;
	}
	
}