package it.callite.model.report;
import it.callite.utility.ApplicationUtil;
import java.io.Serializable;
@SuppressWarnings("serial")
public class ReportOperatoreResultSet implements Serializable {
	
	private Long user_id;
	private Long esitoChiamata_id;
	private Long esitoArchiviazione_id;
	private Long campagna_id;
	private Long chiamate;
	private Long durata_conv_eff;
	private Long durata;
	private Long durata_conv_tot;
	private Long durata_post;
	private Long durata_pre;
	private Long durata_rec;
	private Long durata_attesa;
	
	private Double media_conv_eff;
	private Double media;
	private Double media_conv_tot;
	private Double media_post;
	private Double media_pre;
	private Double media_rec;
	private Double media_attesa;
	
	public ReportOperatoreResultSet() { }
	
	public ReportOperatoreResultSet(Long user_id, Long esitoChiamata_id, Long esitoArchiviazione_id) {
		this.user_id = user_id;
		this.esitoChiamata_id = esitoChiamata_id;
		this.esitoArchiviazione_id = esitoArchiviazione_id;
	}
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((esitoArchiviazione_id == null) ? 0 : esitoArchiviazione_id.hashCode());
		result = prime * result + ((esitoChiamata_id == null) ? 0 : esitoChiamata_id.hashCode());
		result = prime * result + ((user_id == null) ? 0 : user_id.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ReportOperatoreResultSet other = (ReportOperatoreResultSet) obj;
		if (esitoArchiviazione_id == null) {
			if (other.esitoArchiviazione_id != null)
				return false;
		} else if (!esitoArchiviazione_id.equals(other.esitoArchiviazione_id))
			return false;
		if (esitoChiamata_id == null) {
			if (other.esitoChiamata_id != null)
				return false;
		} else if (!esitoChiamata_id.equals(other.esitoChiamata_id))
			return false;
		if (user_id == null) {
			if (other.user_id != null)
				return false;
		} else if (!user_id.equals(other.user_id))
			return false;
		return true;
	}

	public Long getUser_id() {
		return user_id;
	}
	public void setUser_id(Long userId) {
		user_id = userId;
	}
	public Long getEsitoChiamata_id() {
		return esitoChiamata_id;
	}
	public void setEsitoChiamata_id(Long esitoChiamataId) {
		esitoChiamata_id = esitoChiamataId;
	}
	public Long getEsitoArchiviazione_id() {
		return esitoArchiviazione_id;
	}
	public void setEsitoArchiviazione_id(Long esitoArchiviazioneId) {
		esitoArchiviazione_id = esitoArchiviazioneId;
	}
	public Long getChiamate() {
		if(chiamate == null)
			chiamate = Long.valueOf(0);
		return chiamate;
	}
	public void setChiamate(Long chiamate) {
		this.chiamate = chiamate;
	}
	
	
	public Long getCampagna_id() {
		return campagna_id;
	}
	public void setCampagna_id(Long campagnaId) {
		campagna_id = campagnaId;
	}    
	
	
	public Long getDurata() {
		if(durata == null)
			durata = Long.valueOf(0);
		return durata;
	}
	public Long getDurata_conv_eff() {
		if(durata_conv_eff == null)
			durata_conv_eff = Long.valueOf(0);
		return durata_conv_eff;
	}
	public Long getDurata_conv_tot() {
		if(durata_conv_tot == null)
			durata_conv_tot = Long.valueOf(0);
		return durata_conv_tot;
	}
	public Long getDurata_post() {
		if(durata_post == null)
			durata_post = Long.valueOf(0);
		return durata_post;
	}
	public Long getDurata_pre() {
		if(durata_pre == null)
			durata_pre = Long.valueOf(0);
		return durata_pre;
	}
	public Long getDurata_rec() {
		if(durata_rec == null)
			durata_rec = Long.valueOf(0);
		return durata_rec;
	}
	public Double getMedia_conv_eff() {
		if(media_conv_eff == null)
			media_conv_eff = Double.valueOf(0);
		return media_conv_eff;
	}
	public Double getMedia() {
		if(media == null)
			media = Double.valueOf(0);
		return media;
	}
	public Double getMedia_conv_tot() {
		if(media_conv_tot == null)
			media_conv_tot = Double.valueOf(0);
		return media_conv_tot;
	}
	public Double getMedia_post() {
		if(media_post == null)
			media_post = Double.valueOf(0);
		return media_post;
	}
	public Double getMedia_pre() {
		if(media_pre == null)
			media_pre = Double.valueOf(0);
		return media_pre;
	}
	public Double getMedia_rec() {
		if(media_rec == null)
			media_rec = Double.valueOf(0);
		return media_rec;
	}
	
	public String getTempo() {
		return ApplicationUtil.format(getDurata());
	}
	public String getTempo_conv_eff() {
		return ApplicationUtil.format(getDurata_conv_eff());
	}
	public String getTempo_conv_tot() {
		return ApplicationUtil.format(getDurata_conv_tot());
	}
	public String getTempo_post() {
		return ApplicationUtil.format(getDurata_post());
	}
	public String getTempo_pre() {
		return ApplicationUtil.format(getDurata_pre());
	}
	public String getTempo_rec() {
		return ApplicationUtil.format(getDurata_rec());
	}
	public void setDurata_conv_eff(Long durata_conv_eff) {
		this.durata_conv_eff = durata_conv_eff;
	}
	public void setDurata(Long durata) {
		this.durata = durata;
	}
	public void setDurata_conv_tot(Long durata_conv_tot) {
		this.durata_conv_tot = durata_conv_tot;
	}
	public void setDurata_post(Long durata_post) {
		this.durata_post = durata_post;
	}
	public void setDurata_pre(Long durata_pre) {
		this.durata_pre = durata_pre;
	}
	public void setDurata_rec(Long durata_rec) {
		this.durata_rec = durata_rec;
	}
	public void setMedia_conv_eff(Double media_conv_eff) {
		this.media_conv_eff = media_conv_eff;
	}
	public void setMedia(Double media) {
		this.media = media;
	}
	public void setMedia_conv_tot(Double media_conv_tot) {
		this.media_conv_tot = media_conv_tot;
	}
	public void setMedia_post(Double media_post) {
		this.media_post = media_post;
	}
	public void setMedia_pre(Double media_pre) {
		this.media_pre = media_pre;
	}
	public void setMedia_rec(Double media_rec) {
		this.media_rec = media_rec;
	}
	public String getMediaH() {
		return ApplicationUtil.format(getMedia());
	}
	public String getMedia_conv_effH() {
		return ApplicationUtil.format(getMedia_conv_eff());
	}
	public String getMedia_conv_totH() {
		return ApplicationUtil.format(getMedia_conv_tot());
	}
	public String getMedia_postH() {
		return ApplicationUtil.format(getMedia_post());
	}
	public String getMedia_preH() {
		return ApplicationUtil.format(getMedia_pre());
	}
	public String getMedia_recH() {
		return ApplicationUtil.format(getMedia_rec());
	}
	public void setDurata_attesa(Long durata_attesa) {
		this.durata_attesa = durata_attesa;
	}
	public void setMedia_attesa(Double media_attesa) {
		this.media_attesa = media_attesa;
	}
	public Long getDurata_attesa() {
		if(durata_attesa == null)
			durata_attesa = Long.valueOf(0);
		return durata_attesa;
	}
	public Double getMedia_attesa() {
		if(media_attesa == null)
			media_attesa = Double.valueOf(0);
		return media_attesa;
	}
	public String getTempo_attesa() {
		return ApplicationUtil.format(getDurata_attesa());
	}
	public String getMedia_attesaH() {
		return ApplicationUtil.format(getMedia_attesa());
	}
}