package it.callite.model.report;
import java.io.Serializable;

import it.callite.message.Message;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
public class RiepilogoCdr implements Serializable {
	 
	private String radice;
	private Long conversazione = 0L;	
	private Long chiamata = 0L;	
	private Long contatti = 0L;	
	
	public String getRadice() {
		return radice;
	}
	public void setRadice(String radice) {
		this.radice = radice;
	}
	public Long getConversazione() {
		if(ApplicationUtil.ltZero(conversazione)) {
			conversazione = Long.valueOf(0);	
		}
		return conversazione;
	}
	public void setConversazione(Long conversazione) {
		this.conversazione = conversazione;
	}
	public Long getChiamata() {
		if(ApplicationUtil.ltZero(chiamata)) {
			chiamata = Long.valueOf(0);	
		}
		return chiamata;
	}
	public void setChiamata(Long chiamata) {
		this.chiamata = chiamata;
	}
	
	public Long getContatti() {
		if(ApplicationUtil.ltZero(contatti)) {
			contatti = Long.valueOf(0);	
		}
		return contatti;
	}
	public void setContatti(Long contatti) {
		this.contatti = contatti;
	}
	
	public String getConversazioneH() {
		return ApplicationUtil.format(getConversazione());
	}
	public String getChiamataH() {
		return ApplicationUtil.format(getChiamata());
	}
	public String getRadiceH() {
		String r = ApplicationUtil.trimToEmpty(radice);
		if(r.startsWith(Message.addCatalogText("gruppo_cdr"))) {
			return r;
		}
		return Message.addCatalogText("cdr." + radice);
	}
}