package it.callite.model.report;
import java.io.Serializable;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
public class RiepilogoEsitoAppoggio implements Serializable {
	private Long numero;
	private String etichetta;
	private String codice;
	private Long eid;
	private String colore;
	public String getColore() {
		return colore;
	}
	public void setColore(String colore) {
		this.colore = colore;
	}
	
	public Long getEid() {
		return eid;
	}
	public void setEid(Long eid) {
		this.eid = eid;
	}
	private Boolean positivo;
	private Boolean utile;
	
	public Long getNumero() {
		if(numero == null)
			numero = Long.valueOf(0);
		return numero;
	}
	public void setNumero(Long numero) {
		this.numero = numero;
	}
	public String getEtichetta() {
		return etichetta;
	}
	public void setEtichetta(String etichetta) {
		this.etichetta = etichetta;
	}
	public Boolean getPositivo() {
		if(positivo == null)
			return Boolean.FALSE;
		return positivo;
	}
	public void setPositivo(Boolean positivo) {
		this.positivo = positivo;
	}
	public Boolean getUtile() {
		if(utile == null)
			return Boolean.FALSE;
		return utile;
	}
	public void setUtile(Boolean utile) {
		this.utile = utile;
	}
	public RiepilogoEsito toRiepilogoEsito() {
		return new RiepilogoEsito(this.etichetta, this.codice, this.colore, this.numero);
	}
	public String getCodice() {
		return codice;
	}
	public void setCodice(String codice) {
		this.codice = codice;
	}
	
	public String getEtichettaCodice() {
		StringBuilder sb = new StringBuilder();
		sb.append(ApplicationUtil.trimToEmpty(etichetta));
		if(ApplicationUtil.isNotBlank(codice)) {
			sb.append(" (" + codice + ")");
		}
		return sb.toString();
	}
	
}