package it.callite.scheduler;
import org.apache.commons.lang3.StringUtils;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.Trigger;

import it.callite.dao.InvoiceDao;

public class LanciaInvoice implements Job {

	public void execute(JobExecutionContext context) {

		Trigger tg = context.getTrigger();
		if(tg != null && tg.getKey() != null) {
			String name = tg.getKey().getName();
			if(StringUtils.isNotBlank(name)) {
				InvoiceDao invoiceDao = (InvoiceDao) context.getJobDetail().getJobDataMap().get("invoiceDao");
				invoiceDao.lanciaInvoice(name);
			}
		}
	}
}