package it.callite.service.config;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import it.callite.constants.config.DefaultsAutodialer;
import it.callite.dao.config.ConfigurazioneAutodialerDao;
import it.callite.model.config.ConfigAutodialer;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
@Service("configurazioneAutodialerService")
public class ConfigurazioneAutodialerService extends HashMap<String, String> implements  InitializingBean {
	public Map<String, String> configurazioneAutodialerServiceMap = new HashMap<String, String>();
	@Autowired
	private ConfigurazioneAutodialerDao configurazioneAutodialerDao;
	public String getValore(String key) {
		if(configurazioneAutodialerServiceMap.containsKey(key)) {
			return configurazioneAutodialerServiceMap.get(key);
		} else { 
			ConfigAutodialer conf = configurazioneAutodialerDao.getValue(key);
			String valore = conf.getValore();
			configurazioneAutodialerServiceMap.put(key, valore);
			return ApplicationUtil.trimToEmpty(valore);
		}
	}
	public ConfigAutodialer salva(ConfigAutodialer config) {
		String chiave = config.getChiave();
		configurazioneAutodialerServiceMap.put(chiave, config.getValore());
		return configurazioneAutodialerDao.salva(config);
	}
	public void elimina(ConfigAutodialer config) {
		String chiave = config.getChiave();
		if(configurazioneAutodialerServiceMap.containsKey(chiave)) {
			configurazioneAutodialerServiceMap.remove(chiave);
		}
		configurazioneAutodialerDao.elimina(config);
	}
	public void afterPropertiesSet() throws Exception {
		List<String> keyList =  new ArrayList<String>(DefaultsAutodialer.DEFAULTS.keySet());
		if(ApplicationUtil.notEmpty(keyList)) {
			Iterator<String> iter = keyList.iterator();
			while (iter.hasNext()) {
				String key = (String) iter.next();
				getValore(key);
			}
			configurazioneAutodialerDao.eliminaNotInConfig(keyList);
		}
	}
	@Override
	public String get(Object chiave) {
		return getValore((String) chiave);
	}
}