package it.callite.service.config;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import it.callite.constants.config.DefaultsChat;
import it.callite.dao.config.ConfigurazioneChatDao;
import it.callite.model.config.ConfigChat;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
@Service("configurazioneChatService")
public class ConfigurazioneChatService extends HashMap<String, String> implements  InitializingBean {
	public Map<String, String> configurazioneChatServiceMap = new HashMap<String, String>();
	@Autowired
	private ConfigurazioneChatDao configurazioneChatDao;
	public String getValore(String key) {
		if(configurazioneChatServiceMap.containsKey(key)) {
			return configurazioneChatServiceMap.get(key);
		} else { 
			ConfigChat conf = configurazioneChatDao.getValue(key);
			String valore = conf.getValore();
			configurazioneChatServiceMap.put(key, valore);
			return ApplicationUtil.trimToEmpty(valore);
		}
	}
	public ConfigChat salva(ConfigChat config) {
		String chiave = config.getChiave();
		configurazioneChatServiceMap.put(chiave, config.getValore());
		return configurazioneChatDao.salva(config);
	}
	public void elimina(ConfigChat config) {
		String chiave = config.getChiave();
		if(configurazioneChatServiceMap.containsKey(chiave)) {
			configurazioneChatServiceMap.remove(chiave);
		}
		configurazioneChatDao.elimina(config);
	}
	public void afterPropertiesSet() throws Exception {
		List<String> keyList =  new ArrayList<String>(DefaultsChat.DEFAULTS.keySet());
		if(ApplicationUtil.notEmpty(keyList)) {
			Iterator<String> iter = keyList.iterator();
			while (iter.hasNext()) {
				String key = (String) iter.next();
				getValore(key);
			}
			configurazioneChatDao.eliminaNotInConfig(keyList);
		}
	}
	@Override
	public String get(Object chiave) {
		return getValore((String) chiave);
	}
}