package it.callite.service.config;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import it.callite.constants.ConstantsFormat;
import it.callite.constants.config.DefaultsGeneric;
import it.callite.dao.config.ConfigurazioneGenericDao;
import it.callite.model.config.ConfigGeneric;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
@Service("configurazioneGenericService")
public class ConfigurazioneGenericService extends HashMap<String, String> implements  InitializingBean {
	public Map<String, String> configurazioneGenericServiceMap = new HashMap<String, String>();
	@Autowired
	private ConfigurazioneGenericDao configurazioneGenericDao;
	public String getValore(String key) {
		if(configurazioneGenericServiceMap.containsKey(key)) {
			return configurazioneGenericServiceMap.get(key);
		} else { 
			ConfigGeneric conf = configurazioneGenericDao.getValue(key);
			String valore = conf.getValore();
			configurazioneGenericServiceMap.put(key, valore);
			return ApplicationUtil.trimToEmpty(valore);
		}
	}
	public ConfigGeneric salva(ConfigGeneric config) {
		String chiave = config.getChiave();
		configurazioneGenericServiceMap.put(chiave, config.getValore());
		return configurazioneGenericDao.salva(config);
	}
	public void elimina(ConfigGeneric config) {
		String chiave = config.getChiave();
		if(configurazioneGenericServiceMap.containsKey(chiave)) {
			configurazioneGenericServiceMap.remove(chiave);
		}
		configurazioneGenericDao.elimina(config);
	}
	public void afterPropertiesSet() throws Exception {
		List<String> keyList =  new ArrayList<String>(DefaultsGeneric.DEFAULTS.keySet());
		if(ApplicationUtil.notEmpty(keyList)) {
			Iterator<String> iter = keyList.iterator();
			while (iter.hasNext()) {
				String key = (String) iter.next();
				getValore(key);
			}
			configurazioneGenericDao.eliminaNotInConfig(keyList);
		}
	}
	@Override
	public String get(Object chiave) {
		return getValore((String) chiave);
	}
	public String getPathBase() {
		String path = getValore(DefaultsGeneric.KEY_DOCUMENTO_PERCORSO);
		return ApplicationUtil.getPathBase(path);
	}
	public String getPathBase(String directory) {
		String path = getPathBase() + directory;
		return ApplicationUtil.getPath(path);
	}
	
	public String getPathData(String directory) {
		String path = getPathBase() + directory +  "/" + ApplicationUtil.formatDate(ConstantsFormat.path.stampa(), ApplicationUtil.date());
		return ApplicationUtil.getPath(path);
	}
}