package it.callite.service.config;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import it.callite.constants.config.DefaultsPannello;
import it.callite.dao.config.ConfigurazionePannelloDao;
import it.callite.model.config.ConfigPannello;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
@Service("configurazionePannelloService")
public class ConfigurazionePannelloService extends HashMap<String, String> implements  InitializingBean {
	public Map<String, String> configurazionePannelloServiceMap = new HashMap<String, String>();
	@Autowired
	private ConfigurazionePannelloDao configurazionePannelloDao;
	public String getValore(String key) {
		if(configurazionePannelloServiceMap.containsKey(key)) {
			return configurazionePannelloServiceMap.get(key);
		} else { 
			ConfigPannello conf = configurazionePannelloDao.getValue(key);
			String valore = conf.getValore();
			configurazionePannelloServiceMap.put(key, valore);
			return ApplicationUtil.trimToEmpty(valore);
		}
	}
	public ConfigPannello salva(ConfigPannello config) {
		String chiave = config.getChiave();
		configurazionePannelloServiceMap.put(chiave, config.getValore());
		return configurazionePannelloDao.salva(config);
	}
	public void elimina(ConfigPannello config) {
		String chiave = config.getChiave();
		if(configurazionePannelloServiceMap.containsKey(chiave)) {
			configurazionePannelloServiceMap.remove(chiave);
		}
		configurazionePannelloDao.elimina(config);
	}
	public void afterPropertiesSet() throws Exception {
		List<String> keyList =  new ArrayList<String>(DefaultsPannello.DEFAULTS.keySet());
		if(ApplicationUtil.notEmpty(keyList)) {
			Iterator<String> iter = keyList.iterator();
			while (iter.hasNext()) {
				String key = (String) iter.next();
				getValore(key);
			}
			configurazionePannelloDao.eliminaNotInConfig(keyList);
		}
	}
	@Override
	public String get(Object chiave) {
		return getValore((String) chiave);
	}
}