package it.callite.service.config;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import it.callite.constants.config.DefaultsScheda;
import it.callite.dao.config.ConfigurazioneSchedaDao;
import it.callite.model.config.ConfigScheda;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
@Service("configurazioneSchedaService")
public class ConfigurazioneSchedaService extends HashMap<String, String> implements  InitializingBean {
	public Map<String, String> configurazioneSchedaServiceMap = new HashMap<String, String>();
	@Autowired
	private ConfigurazioneSchedaDao configurazioneSchedaDao;
	public String getValore(String key) {
		if(configurazioneSchedaServiceMap.containsKey(key)) {
			return configurazioneSchedaServiceMap.get(key);
		} else { 
			ConfigScheda conf = configurazioneSchedaDao.getValue(key);
			String valore = conf.getValore();
			configurazioneSchedaServiceMap.put(key, valore);
			return ApplicationUtil.trimToEmpty(valore);
		}
	}
	public ConfigScheda salva(ConfigScheda config) {
		String chiave = config.getChiave();
		configurazioneSchedaServiceMap.put(chiave, config.getValore());
		return configurazioneSchedaDao.salva(config);
	}
	public void elimina(ConfigScheda config) {
		String chiave = config.getChiave();
		if(configurazioneSchedaServiceMap.containsKey(chiave)) {
			configurazioneSchedaServiceMap.remove(chiave);
		}
		configurazioneSchedaDao.elimina(config);
	}
	public void afterPropertiesSet() throws Exception {
		List<String> keyList =  new ArrayList<String>(DefaultsScheda.DEFAULTS.keySet());
		if(ApplicationUtil.notEmpty(keyList)) {
			Iterator<String> iter = keyList.iterator();
			while (iter.hasNext()) {
				String key = (String) iter.next();
				getValore(key);
			}
			configurazioneSchedaDao.eliminaNotInConfig(keyList);
		}
	}
	@Override
	public String get(Object chiave) {
		return getValore((String) chiave);
	}
}