package it.callite.utility;

import java.io.File;
import java.io.Serializable;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.Date;

public class AllegatoUtils implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private byte [] file;
	private String nome;
	private String percorso;
	private Date modifica;

	public String getPercorso() {
		return percorso;
	}
	public boolean isPercorsoE() {
		return percorso != null && new File(percorso).exists();
	}
	public boolean isFileE() {
		return file != null && file.length > 0;
	}

	public void setPercorso(String percorso) {
		this.percorso = percorso;
	}


	public AllegatoUtils() {
	}


	public AllegatoUtils(String nome) {
		this.nome = nome;
	}


	public String getNome() {
		return nome;
	}
	public boolean isEsistente() {
		return isFileE() || isPercorsoE();
	}
	
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((nome == null) ? 0 : nome.hashCode());
		return result;
	}



	public void setNome(String nome) {
		this.nome = nome;
	}

	public byte [] getCodificato() {
		try {
			if(isFileE()) {
				return file;
			} 
			if(isPercorsoE()) {
				return Files.readAllBytes(Paths.get(percorso));
			} 
		} catch (Exception e) {
		}
		return null;
	}
	
	public String getCodificatoS() {
		return ApplicationUtil.codificato("application/octet-stream", getCodificato());
	}

	public Date getModifica() {
		return modifica;
	}
	public void setModifica(Date modifica) {
		this.modifica = modifica;
	}
	public byte[] getFile() {
		return file;
	}


	public void setFile(byte[] file) {
		this.file = file;
	}


	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		AllegatoUtils other = (AllegatoUtils) obj;
		if (nome == null) {
			if (other.nome != null)
				return false;
		} else if (!nome.equals(other.nome))
			return false;
		return true;
	}

}