package it.callite.utility;
import java.io.Serializable;
import java.util.Date;
@SuppressWarnings("serial")
public class Buddy implements Serializable {
	
	private Boolean invia;
	private String from;
	private String to;
	private String body;
	private Date data;
	private String  id;
	private boolean letto;
	private boolean nuovo;
	private boolean tutto;
	
	public Buddy(String from, String to, String body, String id) {
		this.from = from;
		this.to = to;
		this.body = body;
		this.letto = false;
		this.data = ApplicationUtil.date();
		this.id = id;
		this.invia = false;
		this.nuovo = false;
		this.tutto = false;
	}
	
	public Buddy(String from, String to, String body, boolean nuovo) {
		this.from = from;
		this.to = to;
		this.body = body;
		this.letto = false;
		this.data = ApplicationUtil.date();
		this.id = null;
		this.invia = false;
		this.nuovo = nuovo;
		this.tutto = false;
	}
	
	public boolean isTutto() {
		return tutto;
	}

	public void setTutto(boolean tutto) {
		this.tutto = tutto;
	}

	public boolean isNuovo() {
		return nuovo;
	}

	public void setNuovo(boolean nuovo) {
		this.nuovo = nuovo;
	}

	public Boolean getInvia() {
		return invia;
	}

	public void setInvia(Boolean invia) {
		this.invia = invia;
	}

	public String getFrom() {
		return from;
	}
	public void setFrom(String from) {
		this.from = from;
	}
	public String getTo() {
		return to;
	}
	public void setTo(String to) {
		this.to = to;
	}
	public String getBody() {
		return body;
	}
	public void setBody(String body) {
		this.body = body;
	}

	public Date getData() {
		return data;
	}

	public void setData(Date data) {
		this.data = data;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((body == null) ? 0 : body.hashCode());
		result = prime * result + ((data == null) ? 0 : data.hashCode());
		result = prime * result + ((from == null) ? 0 : from.hashCode());
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		result = prime * result + ((invia == null) ? 0 : invia.hashCode());
		result = prime * result + (letto ? 1231 : 1237);
		result = prime * result + (nuovo ? 1231 : 1237);
		result = prime * result + ((to == null) ? 0 : to.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Buddy other = (Buddy) obj;
		if (body == null) {
			if (other.body != null)
				return false;
		} else if (!body.equals(other.body))
			return false;
		if (data == null) {
			if (other.data != null)
				return false;
		} else if (!data.equals(other.data))
			return false;
		if (from == null) {
			if (other.from != null)
				return false;
		} else if (!from.equals(other.from))
			return false;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		if (invia == null) {
			if (other.invia != null)
				return false;
		} else if (!invia.equals(other.invia))
			return false;
		if (letto != other.letto)
			return false;
		if (nuovo != other.nuovo)
			return false;
		if (to == null) {
			if (other.to != null)
				return false;
		} else if (!to.equals(other.to))
			return false;
		return true;
	}

	public boolean isLetto() {
		return letto;
	}

	public void setLetto(boolean letto) {
		this.letto = letto;
	}
	
}