package it.callite.utility;
import java.io.Serializable;

import it.callite.model.CampoAggiuntivoAnagrafica;
import it.callite.model.CampoAggiuntivoContratto;
public class CampoAggiuntivo implements Serializable {

	private static final long serialVersionUID = 1L;
	
	private Long id;
	private String etichetta;
	private String colore;
	private String gruppo;
	private Integer tipo;
	private String etichettaS;
	
	public CampoAggiuntivo() {
		
	}
	
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public CampoAggiuntivo(CampoAggiuntivoAnagrafica c) {
		this.etichetta = c.getEtichetta();
		this.colore = c.getColore();
		this.gruppo = c.getGruppo();
		this.id = c.getId();
		this.tipo = c.getTipo();
		this.etichettaS = c.getEtichettaS();
	}
	
	public CampoAggiuntivo(CampoAggiuntivoContratto c) {
		this.etichetta = c.getEtichetta();
		this.colore = c.getColore();
		this.gruppo = c.getGruppo();
		this.id = c.getId();
		this.tipo = c.getTipo();
		this.etichettaS = c.getEtichettaS();
	}
	
	public String getColoreString() {
		return ApplicationUtil.trimToEmpty(colore);
	}
	public String getEtichettaS() {
		if(etichettaS == null) {
			return etichetta;
		}
		return etichettaS;
	}
	public void setEtichettaS(String etichettaS) {
		this.etichettaS = etichettaS;
	}
	public String getEtichetta() {
		return etichetta;
	}
	public void setEtichetta(String etichetta) {
		this.etichetta = etichetta;
	}
	public String getColore() {
		return colore;
	}
	public void setColore(String colore) {
		this.colore = colore;
	}
	public String getGruppo() {
		return gruppo;
	}
	public void setGruppo(String gruppo) {
		this.gruppo = gruppo;
	}
	public Integer getTipo() {
		return tipo;
	}
	public void setTipo(Integer tipo) {
		this.tipo = tipo;
	}
	
	
	
	
}