package it.callite.utility;
import java.io.Serializable;
import it.callite.constants.ConstantsLanguage;
import it.callite.model.EsitoArchiviazione;
import it.callite.model.EsitoChiamata;
import it.callite.model.Utente;
@SuppressWarnings("serial")
public class ContattoVO implements Serializable {
	private String chiave;
	private String motivo;
	
	public String getChiave() {
		return chiave;
	}
	public void setChiave(String chiave) {
		this.chiave = chiave;
	}
	public void setMotivo(String motivo) {
		this.motivo = motivo;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((motivo == null) ? 0 : motivo.hashCode());
		result = prime * result + ((chiave == null) ? 0 : chiave.hashCode());
		return result;
	}
	public ContattoVO(String chiave,  String motivo, EsitoChiamata esC,  EsitoArchiviazione esA, Utente op, String nota) {
		this.chiave = chiave;
		StringBuilder sb = new StringBuilder(motivo);
		if(esC != null) {
			sb.append(" - " + ConstantsLanguage.ESITO_CHIAMATA.stampa() + ": " + esC.getEtichettaCodice());
		}
		if(esA != null) {
			sb.append(" - " + ConstantsLanguage.ESITO_ARCHIVIAZIONE.stampa() + ": " + esA.getEtichettaCodice());
		}
		if(op != null) {
			sb.append(" - " + ConstantsLanguage.PROPRIETARIO.stampa() + ": " + op.getDenominazione());
		}
		if(ApplicationUtil.isNotBlank(nota)) {
			sb.append(" - " + ConstantsLanguage.NOTA.stampa() + ": " + nota);
		}
		this.motivo = sb.toString();
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ContattoVO other = (ContattoVO) obj;
		if (motivo == null) {
			if (other.motivo != null)
				return false;
		} else if (!motivo.equals(other.motivo))
			return false;
		if (chiave == null) {
			if (other.chiave != null)
				return false;
		} else if (!chiave.equals(other.chiave))
			return false;
		return true;
	}
	public String getMotivo() {
		return motivo;
	}
}