package it.callite.utility;
import java.io.Serializable;
import java.util.Date;

import it.callite.constants.ConstantsFormat;
import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsMap;
import it.callite.model.CampoAggiuntivoAnagrafica;
import it.callite.model.CampoAggiuntivoContratto;
import it.callite.model.DatoAggiuntivoAnagrafica;
import it.callite.model.DatoAggiuntivoContratto;
public class DatoAggiuntivo implements Serializable {

	private static final long serialVersionUID = 1L;


	private String etichetta;
	private String colore;
	private String gruppo;
	private String valore;
	private String valori;
	private Integer tipo;
	private String etichettaS;
	public String getEtichettaS() {
		if(etichettaS == null) {
			return etichetta;
		}
		return etichettaS;
	}
	public void setEtichettaS(String etichettaS) {
		this.etichettaS = etichettaS;
	}
	public String getEtichetta() {
		return etichetta;
	}
	public void setEtichetta(String etichetta) {
		this.etichetta = etichetta;
	}
	public String getColore() {
		return colore;
	}
	public void setColore(String colore) {
		this.colore = colore;
	}
	public String getGruppo() {
		return gruppo;
	}
	public void setGruppo(String gruppo) {
		this.gruppo = gruppo;
	}
	public Boolean getTelefonico() {
		return tipo!=null && (tipo.equals(ConstantsMap.TIPO_TELEFONICO));
	}
	public Boolean getRegulare() { 
		return tipo!=null && (tipo.equals(ConstantsMap.TIPO_REGULARE));
	}
	public Boolean getUnivoco() { 
		return tipo!=null && (tipo.equals(ConstantsMap.TIPO_UNIVOCO));
	}
	public Boolean getSuggerimento() { 
		return tipo!=null && (tipo.equals(ConstantsMap.TIPO_SUGGERIMENTO));
	}
	public Boolean getCombo() { 
		return tipo!=null && (tipo.equals(ConstantsMap.TIPO_COMBOBOX));
	}
	public Boolean getSpinner() { 
		return tipo!=null && (tipo.equals(ConstantsMap.TIPO_SPINNER));
	}
	public Boolean getFile() { 
		return tipo!=null && (tipo.equals(ConstantsMap.TIPO_FILE));
	}
	public Boolean getSlider() { 
		return tipo!=null && (tipo.equals(ConstantsMap.TIPO_SLIDER));
	}
	public Boolean getIntero() { 
		return tipo!=null && (tipo.equals(ConstantsMap.TIPO_INTERO));
	}
	public Boolean getNumero() { 
		return tipo!=null && (tipo.equals(ConstantsMap.TIPO_NUMERO));
	}
	public Boolean getLink() { 
		return tipo!=null && (tipo.equals(ConstantsMap.TIPO_LINK));
	}
	public Boolean getAperto() { 
		return tipo!=null && (tipo.equals(ConstantsMap.TIPO_APERTO));
	}
	public Boolean getForm() { 
		return tipo!=null && (tipo.equals(ConstantsMap.TIPO_FORM));
	}
	public Boolean getBinario() { 
		return tipo!=null && (tipo.equals(ConstantsMap.TIPO_BINARIO));
	}
	public Boolean getEditor() { 
		return tipo!=null && (tipo.equals(ConstantsMap.TIPO_EDITOR));
	}
	public Boolean getInplaceInput() { 
		return tipo!=null && (tipo.equals(ConstantsMap.TIPO_INPLACEINPUT));
	}
	public Boolean getInplaceSelect() { 
		return tipo!=null && (tipo.equals(ConstantsMap.TIPO_INPLACESELECT));
	}
	public Boolean getColor() { 
		return tipo!=null && (tipo.equals(ConstantsMap.TIPO_COLOR));
	}
	public Boolean getTextarea() { 
		return tipo!=null && (tipo.equals(ConstantsMap.TIPO_TEXTAREA));
	}
	public Boolean getBooleano() { 
		return tipo!=null && (tipo.equals(ConstantsMap.TIPO_BOOLEANO));
	}
	public Boolean getDataora() { 
		return tipo!=null && (tipo.equals(ConstantsMap.TIPO_DATAORA));
	}
	public Boolean getOra() { 
		return tipo!=null && (tipo.equals(ConstantsMap.TIPO_ORA));
	}
	public Boolean getData() { 
		return tipo!=null && (tipo.equals(ConstantsMap.TIPO_DATA));
	}
	public Boolean getOneMenu() { 
		return tipo!=null && (tipo.equals(ConstantsMap.TIPO_ONEMENU));
	}
	public Boolean getOneRadio() { 
		return tipo!=null && (tipo.equals(ConstantsMap.TIPO_ONERADIO));
	}
	public Boolean getManyCheckbox() { 
		return tipo!=null && (tipo.equals(ConstantsMap.TIPO_MANYCHECKBOX));
	}
	public Boolean getPickList() { 
		return tipo!=null && (tipo.equals(ConstantsMap.TIPO_PICKLIST));
	}
	public Boolean getManyMenu() {
		return tipo!=null && (tipo.equals(ConstantsMap.TIPO_MANYMENU));
	}
	public String getValori() {
		return valori;
	}
	public void setValori(String valori) {
		this.valori = valori;
	}
	public Integer getTipo() {
		return tipo;
	}
	public void setTipo(Integer tipo) {
		this.tipo = tipo;
	}
	public String getValore() {
		return valore;
	}
	public String getValore_formattato() {
		String v = null;
		if(getSlider() || getSpinner() || getIntero()) {
			v = ApplicationUtil.formatNumber(getValore());
		} else if( getNumero()) {
			v = ApplicationUtil.formatNumber(ApplicationUtil.parseBigDecimal(getValore()));
		} else if( getData()) {
			v = ApplicationUtil.formatDate(getValoriT(), getValore_data());
		} else if( getDataora()) {
			v = ApplicationUtil.formatDate(getValoriT(), getValore_datatime());
		} else if( getOra()) {
			v = ApplicationUtil.formatDate(ConstantsFormat.time.stampa(), getValore_time());
		} else if( getFile()) {
			v = ApplicationUtil.filename(getValore());
		} else {
			v = getValore();
		}
		return ApplicationUtil.trimToEmpty(v);
	}
	public Date getValore_data() {
		String s = this.getValore();
		return ApplicationUtil.parseData(getValoriT(), s);
	}
	public Date getValore_datatime() {
		String s = this.getValore();
		return ApplicationUtil.parseData(getValoriT(), s);
	}
	public String getValoriT() {
		String f = ApplicationUtil.trimToNull(getValori()); 
		if(getData()) {
			return f != null ? f : ConstantsFormat.date.stampa();
		} 
		if(getDataora()) {
			return f != null ? f : ConstantsFormat.dateTime.stampa();
		} 
		return f;
	}

	public Date getValore_time() {
		String s = this.getValore();
		return ApplicationUtil.parseData(ConstantsFormat.time.stampa(), s);
	}
	public void setValore(String valore) {
		this.valore = ApplicationUtil.trimToEmpty(valore);
	}
	public DatoAggiuntivo(String valore) {
		this.valore = valore;
		this.valori = null;
		this.tipo = ConstantsMap.TIPO_APERTO;
		this.colore = null;
		this.etichetta = null;
		this.gruppo = null;

	}
	public DatoAggiuntivo(DatoAggiuntivoAnagrafica dato) {
		CampoAggiuntivoAnagrafica ca = dato.getCampo_aggiuntivo();
		this.valore = dato.getValore();
		this.valori = ca.getValori();
		this.tipo = ca.getTipo();
		this.colore = ca.getColore();
		this.etichetta = ca.getEtichetta();
		this.gruppo = ca.getGruppo();
	}
	public DatoAggiuntivo(DatoAggiuntivoContratto dato) {
		CampoAggiuntivoContratto ca = dato.getCampo_aggiuntivo();
		this.valore = dato.getValore();
		this.valori = ca.getValori();
		this.tipo = ca.getTipo();
		this.colore = ca.getColore();
		this.etichetta = ca.getEtichetta();
		this.gruppo = ca.getGruppo();
	}
	public DatoAggiuntivo(DatoSondaggioAnagrafica dato) {
		CampoAggiuntivoAnagrafica ca = dato.getCampo();
		if(ca.getSlider() || ca.getSpinner() || ca.getIntero()) {
			this.valore = ApplicationUtil.formatNumber(dato.getValore());
		} else if(ca.getNumero()) {
			this.valore = ApplicationUtil.formatNumber(ApplicationUtil.parseBigDecimal(dato.getValore()));
		} else if(ca.getData()) {
			this.valore = ApplicationUtil.formatDate(ca.getValoriT(), dato.getValore_data());
		} else if(ca.getDataora()) {
			this.valore = ApplicationUtil.formatDate(ca.getValoriT(), dato.getValore_datatime());
		} else if(ca.getOra()) {
			this.valore = ApplicationUtil.formatDate(ConstantsFormat.time.stampa(), dato.getValore_time());
		} else if(ca.getPickList() || ca.getManyCheckbox() || ca.getManyMenu()) {
			this.valore = ApplicationUtil.detoken(dato.getValore_multiplo(), ConstantsGlobal.colonSeparator);
		} else {
			this.valore = ApplicationUtil.trimToEmpty(dato.getValore());
		}
		this.valori = ca.getValori();
		this.tipo = ca.getTipo();
		this.colore = ca.getColore();
		this.etichetta = ca.getEtichetta();
		this.gruppo = ca.getGruppo();
	}
	public DatoAggiuntivo(DatoSondaggioContratto dato) {
		CampoAggiuntivoContratto ca = dato.getCampo();
		if(ca.getSlider() || ca.getSpinner() || ca.getIntero()) {
			this.valore = ApplicationUtil.formatNumber(dato.getValore());
		} else if(ca.getNumero()) {
			this.valore = ApplicationUtil.formatNumber(ApplicationUtil.parseBigDecimal(dato.getValore()));
		} else if(ca.getData()) {
			this.valore = ApplicationUtil.formatDate(ca.getValoriT(), dato.getValore_data());
		} else if(ca.getDataora()) {
			this.valore = ApplicationUtil.formatDate(ca.getValoriT(), dato.getValore_datatime());
		} else if(ca.getOra()) {
			this.valore = ApplicationUtil.formatDate(ConstantsFormat.time.stampa(), dato.getValore_time());
		} else if(ca.getPickList() || ca.getManyCheckbox() || ca.getManyMenu()) {
			this.valore = ApplicationUtil.detoken(dato.getValore_multiplo(), ConstantsGlobal.colonSeparator);
		} else {
			this.valore = ApplicationUtil.trimToEmpty(dato.getValore());
		}
		this.valori = ca.getValori();
		this.tipo = ca.getTipo();
		this.colore = ca.getColore();
		this.etichetta = ca.getEtichetta();
		this.gruppo = ca.getGruppo();
	}
	public DatoAggiuntivo(ValoreMappa val, CampoSpeciale caa, String etichetta, String gruppo) {
		if(caa.getSlider() || caa.getSpinner() || caa.getIntero()) {
			this.valore = ApplicationUtil.formatNumber((String) val.getSingolo());
		} else if(caa.getNumero()) {
			this.valore = ApplicationUtil.formatNumber(ApplicationUtil.parseBigDecimal((String) val.getSingolo()));
		} else if(caa.getData()) {
			this.valore = ApplicationUtil.formatDate(caa.getValuesT(), (Date) val.getSingolo());
		} else if(caa.getDataora()) {
			this.valore = ApplicationUtil.formatDate(caa.getValuesT(), (Date) val.getSingolo());
		} else if(caa.getOra()) {
			this.valore = ApplicationUtil.formatDate(ConstantsFormat.time.stampa(), (Date) val.getSingolo());
		} else if(caa.getPickList() || caa.getManyCheckbox() || caa.getManyMenu()) {
			this.valore = ApplicationUtil.detoken(val.getMultiplo(), ConstantsGlobal.colonSeparator);
		} else {
			this.valore = ApplicationUtil.trimToEmpty((String) val.getSingolo());
		}
		this.valori = caa.getValues();
		this.tipo = caa.getTipo();
		this.colore = caa.getColore();
		this.etichetta = etichetta;
		this.gruppo = gruppo;
	}
	@Override
	public String toString() {
		return getValore_formattato();
	}

}