package it.callite.utility;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.faces.model.SelectItem;

import it.callite.constants.ConstantsMap;
import it.callite.message.Message;
import it.callite.model.CampoAggiuntivoContratto;
public class DatoAggiuntivoContrattoRicerca implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	private CampoAggiuntivoContratto campo_aggiuntivo;
	private Long id;
	private Boolean junction = Boolean.TRUE;
	private Boolean inverti = Boolean.FALSE;
	private String tipoRicerca;
	private String valore1;
	private Date valore_data1;
	private String valore2;
	private Date valore_data2;
	private List<String> valore_multiplo;
	public DatoAggiuntivoContrattoRicerca() {
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		DatoAggiuntivoContrattoRicerca other = (DatoAggiuntivoContrattoRicerca) obj;
		if (campo_aggiuntivo == null) {
			if (other.campo_aggiuntivo != null)
				return false;
		} else if (!campo_aggiuntivo.equals(other.campo_aggiuntivo))
			return false;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		if (inverti == null) {
			if (other.inverti != null)
				return false;
		} else if (!inverti.equals(other.inverti))
			return false;
		if (junction == null) {
			if (other.junction != null)
				return false;
		} else if (!junction.equals(other.junction))
			return false;
		if (tipoRicerca == null) {
			if (other.tipoRicerca != null)
				return false;
		} else if (!tipoRicerca.equals(other.tipoRicerca))
			return false;
		if (valore1 == null) {
			if (other.valore1 != null)
				return false;
		} else if (!valore1.equals(other.valore1))
			return false;
		if (valore2 == null) {
			if (other.valore2 != null)
				return false;
		} else if (!valore2.equals(other.valore2))
			return false;
		if (valore_data1 == null) {
			if (other.valore_data1 != null)
				return false;
		} else if (!valore_data1.equals(other.valore_data1))
			return false;
		if (valore_data2 == null) {
			if (other.valore_data2 != null)
				return false;
		} else if (!valore_data2.equals(other.valore_data2))
			return false;
		if (valore_multiplo == null) {
			if (other.valore_multiplo != null)
				return false;
		} else if (!valore_multiplo.equals(other.valore_multiplo))
			return false;
		return true;
	}
	public CampoAggiuntivoContratto getCampo_aggiuntivo() {
		return campo_aggiuntivo;
	}
	public Long getId() {
		return id;
	}
	public Boolean getIntervallo() {
		return  ApplicationUtil.isNotBlank(tipoRicerca) && !tipoRicerca.equals(ConstantsMap.RICERCA_STRING_TUTTO) && tipoRicerca.equals(ConstantsMap.RICERCA_STRING_INTERVALLO);
	}
	public Boolean getJunction() {
		return junction;
	}
	public Boolean getSpecifica() {
		return  ApplicationUtil.isNotBlank(tipoRicerca) && !tipoRicerca.equals(ConstantsMap.RICERCA_STRING_TUTTO) && !tipoRicerca.equals(ConstantsMap.RICERCA_STRING_INTERVALLO);
	}
	public Boolean getInverti() {
		return inverti;
	}
	public void setInverti(Boolean inverti) {
		this.inverti = inverti;
	}
	public String getTipoRicerca() {
		return tipoRicerca;
	}
	public List<SelectItem> getTipoRicercaNumero() {
		List<SelectItem> list = new ArrayList<SelectItem>();
		List<String> tr = ConstantsMap.TIPI_RICERCA_NUMERO;
		for(String s : tr) {
			list.add(new SelectItem(s, Message.addCatalogText(s)));
		}
		return list;
	}
	public List<SelectItem> getTipoRicercaAltro() {
		List<SelectItem> list = new ArrayList<SelectItem>();
		List<String> tr = ConstantsMap.TIPI_RICERCA_ALTRO;
		for(String s : tr) {
			list.add(new SelectItem(s, Message.addCatalogText(s)));
		}
		return list;
	}
	public List<SelectItem> getTipoRicercaTesto() {
		List<SelectItem> list = new ArrayList<SelectItem>();
		List<String> tr = ConstantsMap.TIPI_RICERCA_TESTO;
		for(String s : tr) {
			list.add(new SelectItem(s, Message.addCatalogText(s)));
		}
		return list;
	}
	public Boolean getTutto() {
		boolean cerca = ApplicationUtil.notEmpty(valore_multiplo) || ApplicationUtil.isNotBlank(valore1) || valore_data1 != null  || ApplicationUtil.isNotBlank(valore2) || valore_data2 != null; 
		return  cerca && ApplicationUtil.isNotBlank(tipoRicerca) && !tipoRicerca.equals(ConstantsMap.RICERCA_STRING_TUTTO);
	}
	public List<String> getValore_multiplo() {
		return valore_multiplo;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((campo_aggiuntivo == null) ? 0 : campo_aggiuntivo.hashCode());
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		result = prime * result + ((inverti == null) ? 0 : inverti.hashCode());
		result = prime * result + ((junction == null) ? 0 : junction.hashCode());
		result = prime * result + ((tipoRicerca == null) ? 0 : tipoRicerca.hashCode());
		result = prime * result + ((valore1 == null) ? 0 : valore1.hashCode());
		result = prime * result + ((valore2 == null) ? 0 : valore2.hashCode());
		result = prime * result + ((valore_data1 == null) ? 0 : valore_data1.hashCode());
		result = prime * result + ((valore_data2 == null) ? 0 : valore_data2.hashCode());
		result = prime * result + ((valore_multiplo == null) ? 0 : valore_multiplo.hashCode());
		return result;
	}
	public void setCampo_aggiuntivo(CampoAggiuntivoContratto campoAggiuntivo) {
		campo_aggiuntivo = campoAggiuntivo;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public void setJunction(Boolean junction) {
		this.junction = junction;
	}
	public void setTipoRicerca(String tipoRicerca) {
		this.tipoRicerca = tipoRicerca;
	}
	public void setValore_multiplo(List<String> valoreMultiplo) {
		valore_multiplo = valoreMultiplo;
	}
	public String getValore1() {
		return valore1;
	}
	public Date getValore_data1() {
		return ApplicationUtil.aggiustaDataD(valore_data1, true);
	}
	public Date getValore_datatime1() {
		return ApplicationUtil.aggiustaDataT(valore_data1, true);
	}
	public Date getValore_time1() {
		return ApplicationUtil.aggiustaDataT(valore_data1, true);
	}
	public void setValore1(String valore1) {
		this.valore1 = valore1;
	}
	public void setValore_data1(Date valore_data1) {
		this.valore_data1 = ApplicationUtil.aggiustaDataD(valore_data1, true);
	}
	public void setValore_datatime1(Date valore_data1) {
		this.valore_data1 = ApplicationUtil.aggiustaDataT(valore_data1, true);
	}
	public void setValore_time1(Date valore_data1) {
		this.valore_data1 = ApplicationUtil.aggiustaDataT(valore_data1, true);
	}
	public String getValore2() {
		return valore2;
	}
	public Date getValore_data2() {
		return ApplicationUtil.aggiustaDataD(valore_data2, false);
	}
	public Date getValore_datatime2() {
		return ApplicationUtil.aggiustaDataT(valore_data2, false);
	}
	public Date getValore_time2() {
		return ApplicationUtil.aggiustaDataT(valore_data2, false);
	}
	public void setValore2(String valore2) {
		this.valore2 = valore2;
	}
	public void setValore_data2(Date valore_data2) {
		this.valore_data2 = ApplicationUtil.aggiustaDataD(valore_data2, false);
	}
	public void setValore_datatime2(Date valore_data2) {
		this.valore_data2 = ApplicationUtil.aggiustaDataT(valore_data2, false);
	}
	public void setValore_time2(Date valore_data2) {
		this.valore_data2 = ApplicationUtil.aggiustaDataT(valore_data2, false);
	}
	
	@Override
	public String toString() {
		return ApplicationUtil.toString(this);
	}
}