package it.callite.utility;

import it.callite.model.Documento;

import java.io.Serializable;
@SuppressWarnings("serial")
public class DocumentiCheckbox implements Serializable, Comparable<DocumentiCheckbox> {


	private Boolean selezionato;
	private Boolean disabled;

	private Documento documento;


	public DocumentiCheckbox() {
		this.selezionato = Boolean.FALSE;
		this.disabled = Boolean.FALSE;

	}

	public DocumentiCheckbox(Documento documento) {
		this.documento = documento;
		this.selezionato = Boolean.FALSE;
		this.disabled = Boolean.FALSE;
	}

	public DocumentiCheckbox(Documento documento, Boolean selezionato, Boolean disabled) {
		this.documento = documento;
		this.selezionato = selezionato;
		this.disabled= disabled;
	}


	public int compareTo(DocumentiCheckbox o) {
		if(documento.getId() != null && o.documento.getId() != null) {
			return documento.getId().compareTo(o.documento.getId());
		} else if(documento.getId() != null && o.documento.getId() == null) {
			return -1;
		} else if(documento.getId() == null && o.documento.getId() != null) {
			return 1;
		} else {
			return 0;
		}
	}

	public Boolean getDisabled() {
		return disabled;
	}

	public Documento getDocumento() {
		return documento;
	}

	public Boolean getSelezionato() {
		return selezionato;
	}


	public void setDisabled(Boolean disabled) {
		this.disabled = disabled;
	}

	public void setDocumento(Documento documento) {
		this.documento = documento;
	}

	public void setSelezionato(Boolean selezionato) {
		this.selezionato = selezionato;
	}



}