package it.callite.utility;
import java.io.Serializable;
import it.callite.model.Campagna;
import it.callite.model.Contatto;
@SuppressWarnings("serial")
public class ElencoCampagna implements Serializable {
	private Integer conteggio = Integer.valueOf(1);
	private String  proprieta;
	private String  elenco;
	private Campagna campagna;
	
	public ElencoCampagna(String elenco, String proprieta, Contatto contatto) {
		this.campagna = contatto.getCampagna();
		this.proprieta = proprieta;
		this.elenco = elenco;
	}
	
	
	public String getElenco() {
		return elenco;
	}
	public void setElenco(String elenco) {
		this.elenco = elenco;
	}
	public String getProprieta() {
		return proprieta;
	}
	public void setProprieta(String proprieta) {
		this.proprieta = proprieta;
	}
	public Campagna getCampagna() {
		return campagna;
	}
	public void setCampagna(Campagna campagna) {
		this.campagna = campagna;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ElencoCampagna other = (ElencoCampagna) obj;
		if (campagna == null) {
			if (other.campagna != null)
				return false;
		} else if (!campagna.equals(other.campagna))
			return false;
		if (elenco == null) {
			if (other.elenco != null)
				return false;
		} else if (!elenco.equals(other.elenco))
			return false;
		if (proprieta == null) {
			if (other.proprieta != null)
				return false;
		} else if (!proprieta.equals(other.proprieta))
			return false;
		return true;
	}
	public Integer getConteggio() {
		return conteggio;
	}
	
	
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((campagna == null) ? 0 : campagna.hashCode());
		result = prime * result + ((elenco == null) ? 0 : elenco.hashCode());
		result = prime * result + ((proprieta == null) ? 0 : proprieta.hashCode());
		return result;
	}
	
	public  void incConteggio() {
		conteggio++;
	}
	
	public void setConteggio(Integer conteggio) {
		this.conteggio = conteggio;
	}
	
}