package it.callite.utility;
import java.io.Serializable;
import it.callite.model.Campagna;
import it.callite.model.Contatto;
import it.callite.model.Utente;
@SuppressWarnings("serial")
public class ElencoEsito implements Serializable {
 
	private Integer conteggio = Integer.valueOf(1);
	private Esito esito;
	private Boolean  operatore;
	private Campagna campagna;
	
	public ElencoEsito(Utente utente, Contatto contatto) {
		this.esito = new Esito(contatto.getEsitoChiamata(), contatto.getEsitoArchiviazione());
		this.campagna = contatto.getCampagna();
		this.operatore = utente == null ? false : true;
	}
	
	public Boolean getOperatore() {
		return operatore;
	}
	public void setOperatore(Boolean operatore) {
		this.operatore = operatore;
	}
	public Campagna getCampagna() {
		return campagna;
	}
	public void setCampagna(Campagna campagna) {
		this.campagna = campagna;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ElencoEsito other = (ElencoEsito) obj;
		if (campagna == null) {
			if (other.campagna != null)
				return false;
		} else if (!campagna.equals(other.campagna))
			return false;
		if (esito == null) {
			if (other.esito != null)
				return false;
		} else if (!esito.equals(other.esito))
			return false;
		if (operatore == null) {
			if (other.operatore != null)
				return false;
		} else if (!operatore.equals(other.operatore))
			return false;
		return true;
	}
	public Integer getConteggio() {
		return conteggio;
	}
	
	
	public Esito getEsito() {
		return esito;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((campagna == null) ? 0 : campagna.hashCode());
		result = prime * result + ((esito == null) ? 0 : esito.hashCode());
		result = prime * result + ((operatore == null) ? 0 : operatore.hashCode());
		return result;
	}
	
	public  void incConteggio() {
		conteggio++;
	}
	
	public void setConteggio(Integer conteggio) {
		this.conteggio = conteggio;
	}
	public void setEsito(Esito esito) {
		this.esito = esito;
	}
	
}