package it.callite.utility;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLEncoder;

import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.xpath.XPath;
import javax.xml.xpath.XPathConstants;
import javax.xml.xpath.XPathFactory;

import org.w3c.dom.Document;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;
import org.xml.sax.InputSource;

import it.callite.constants.ConstantsGlobal;


public class GCoder {
	
	public static Coordinata geocode(String indirizzo, String key) throws Exception {
		String address = ApplicationUtil.trimToNull(indirizzo);
		Coordinata coord = new Coordinata();
		coord.setQuery(address);
		if(address != null) {
			String URL = "https://maps.googleapis.com/maps/api/geocode/xml?";
			URL link = null;
			if(key == null) {
				link = new URL(URL + "address=" + URLEncoder.encode(address, ConstantsGlobal.CHARSET) + "&sensor=true");
			} else {
				link = new URL(URL + "address=" + URLEncoder.encode(address, ConstantsGlobal.CHARSET) + "&sensor=true&key=" + key);
			}
			HttpURLConnection conn = (HttpURLConnection) link.openConnection();
			Document geocoderResultDocument = null;
			try {
				conn.connect();
				InputSource geocoderResultInputSource = new InputSource(conn.getInputStream());
				geocoderResultDocument = DocumentBuilderFactory.newInstance().newDocumentBuilder().parse(geocoderResultInputSource);
			} finally {
				conn.disconnect();
			}
			XPath xpath = XPathFactory.newInstance().newXPath();
			NodeList r1 = (NodeList) xpath.evaluate("/GeocodeResponse/result/formatted_address", geocoderResultDocument, XPathConstants.NODESET);
			if(r1 != null)   {
				for(int i=0; i<r1.getLength(); ++i) {
					coord.setIndirizzo(ApplicationUtil.trimToEmpty(r1.item(i).getTextContent()));
				}
			}
			NodeList r2 = (NodeList) xpath.evaluate("/GeocodeResponse/result[1]/geometry/location/*", geocoderResultDocument, XPathConstants.NODESET);
			String lat = null;
			String lng = null;
			if(r2 != null)   {
				for(int i=0; i<r2.getLength(); ++i) {
					Node node = r2.item(i);
					if("lat".equals(node.getNodeName())) lat = ApplicationUtil.trimToNull(node.getTextContent());
					if("lng".equals(node.getNodeName())) lng = ApplicationUtil.trimToNull(node.getTextContent());
				}
			}
			if(lat!=null && lng!=null) {
				coord.setLatitudine(lat);
				coord.setLongitudine(lng);
			}
		}
		return coord;
	}

}