package it.callite.utility;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import it.callite.constants.ConstantsFormat;
import it.callite.constants.ConstantsGlobal;
import it.callite.model.Agente;
import it.callite.model.Appuntamento;
@SuppressWarnings("serial")
public class GiornoCalendarioAgenteVO implements Serializable {
	
	private Date data;
	private List<Appuntamento> appuntamenti;
	private List<Annotazione> note;
	private List<Orario> adesso;
	public List<Orario> getAdesso() {
		if(ApplicationUtil.empty(adesso)) {
			adesso = new ArrayList<Orario>();
		}
		return adesso;
	}
	public void setAdesso(List<Orario> adesso) {
		this.adesso = adesso;
	}
	public List<Annotazione> getNote() {
		if(ApplicationUtil.empty(note)) {
			note = new ArrayList<Annotazione>();
		}
		return note;
	}
	public void setNote(List<Annotazione> note) {
		this.note = note;
	}
	private List<String> orari;
	
	private int giorniCalendario;
	public int getGiorniCalendario() {
		return giorniCalendario;
	}
	public void setGiorniCalendario(int giorniCalendario) {
		this.giorniCalendario = giorniCalendario;
	}
	
	public int getSize() {
		return orari.size() * ConstantsGlobal.calendarSize;
	}
	
	public List<String> getOrari() {
		return orari;
	}
	public void setOrari(List<String> orari) {
		this.orari = orari;
	}
	private Agente agente;
	
	public Date getData() {
		return ApplicationUtil.fineGiornata(data);
	}
	public void setData(Date data) {
		this.data = ApplicationUtil.fineGiornata(data);
	}
	
	
	public String getDataString() {
		return ApplicationUtil.formatDate(ConstantsFormat.date.stampa(), data);
	}
	public List<Appuntamento> getAppuntamenti() {
		if(ApplicationUtil.empty(appuntamenti)) {
			appuntamenti = new ArrayList<Appuntamento>();
		}
		return appuntamenti;
	}
	public void setAppuntamenti(List<Appuntamento> appuntamenti) {
		this.appuntamenti = appuntamenti;
	}
	public Agente getAgente() {
		return agente;
	}
	public void setAgente(Agente agente) {
		this.agente = agente;
	}
	
	public Boolean getNow() {
		return ApplicationUtil.compareDate(data, ApplicationUtil.date());
	}
	public int getGiorniMassimi() {
		return (giorniCalendario > 7) ? 7 : giorniCalendario;
	}
		
}