package it.callite.utility;
import java.io.Serializable;
import java.math.BigInteger;

import javax.faces.model.SelectItem;
@SuppressWarnings("serial")
public class LabelQuery extends SelectItem implements Serializable  {
	
	private String value;
	private String label;
	private BigInteger quantity;
	
	public LabelQuery() {
	}
	
	public LabelQuery(String value, String label) {
		this.label = label;
		this.value = value;
	}
	
	public LabelQuery(String value, String label, BigInteger quantity) {
		this.label = label;
		this.value = value;
		this.quantity = quantity;
	}
	
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		LabelQuery other = (LabelQuery) obj;
		if (label == null) {
			if (other.label != null)
				return false;
		} else if (!label.equals(other.label))
			return false;
		if (value == null) {
			if (other.value != null)
				return false;
		} else if (!value.equals(other.value))
			return false;
		return true;
	}
	public String getLabel() {
		return label;
	}
	public String getValue() {
		return value;
	}
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((label == null) ? 0 : label.hashCode());
		result = prime * result + ((value == null) ? 0 : value.hashCode());
		return result;
	}
	
	public void setLabel(String label) {
		this.label = label;
	}
	public void setValue(String value) {
		this.value = value;
	}
	
	public BigInteger getQuantity() {
		return quantity;
	}

	public void setQuantity(BigInteger quantity) {
		this.quantity = quantity;
	}

	@Override
	public String toString() {
		return label + "," + value;
	}
	
	
}