package it.callite.utility;
import java.io.Serializable;
import java.util.Date;
public class LoggerLogin implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	private String  username;
	private String  ip;
	private Date data;
	private String motivo;
	private Integer tentativi = 0;
	
	
	public LoggerLogin(String username, String ip, String motivo, Date data, Integer tentativi) {
		this.username = username;
		this.ip = ip;
		this.data = data;
		this.motivo = motivo;
		this.tentativi = tentativi;
	}
	
	public LoggerLogin(String username, String ip, String motivo, Date data) {
		this.username = username;
		this.ip = ip;
		this.data = data;
		this.motivo = motivo;
		this.tentativi = 0;
	}
	
	public LoggerLogin(String motivo, Date data) {
		this.username = null;
		this.ip = null;
		this.data = data;
		this.motivo = motivo;
		this.tentativi = 0;
	}
	public LoggerLogin(String username, String ip) {
		this.username = username;
		this.ip = ip;
		this.data = null;
		this.motivo = null;
		this.tentativi = 0;
	}
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((data == null) ? 0 : data.hashCode());
		result = prime * result + ((ip == null) ? 0 : ip.hashCode());
		result = prime * result + ((motivo == null) ? 0 : motivo.hashCode());
		result = prime * result + ((username == null) ? 0 : username.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		LoggerLogin other = (LoggerLogin) obj;
		if (data == null) {
			if (other.data != null)
				return false;
		} else if (!data.equals(other.data))
			return false;
		if (ip == null) {
			if (other.ip != null)
				return false;
		} else if (!ip.equals(other.ip))
			return false;
		if (motivo == null) {
			if (other.motivo != null)
				return false;
		} else if (!motivo.equals(other.motivo))
			return false;
		if (username == null) {
			if (other.username != null)
				return false;
		} else if (!username.equals(other.username))
			return false;
		return true;
	}
	
	public Integer getTentativi() {
		return tentativi;
	}
	public void setTentativi(Integer tentativi) {
		this.tentativi = tentativi;
	}
	public String getUsername() {
		return username;
	}
	public void setUsername(String username) {
		this.username = username;
	}
	public String getIp() {
		return ip;
	}
	public void setIp(String ip) {
		this.ip = ip;
	}
	
	public Date getData() {
		return data;
	}
	public void setData(Date data) {
		this.data = data;
	}
	public String getMotivo() {
		return motivo;
	}
	public void setMotivo(String motivo) {
		this.motivo = motivo;
	}
	
}