package it.callite.utility;

import java.io.Serializable;
import java.util.List;

import org.hibernate.criterion.DetachedCriteria;

import it.callite.constants.ConstantsLanguage;
import it.callite.criteria.generic.UnitedCriteria;


public class LoggerRicerca implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private long inizio;
	private boolean stampa;

	public LoggerRicerca(boolean stampa) {
		this.stampa = stampa;
		if(stampa) {
			this.inizio = System.currentTimeMillis();
		}
	}

	public void log(DetachedCriteria criteria, List<?> ls, Object size, Object sum, UnitedCriteria r) {
		if(stampa) {
			long time = System.currentTimeMillis();
			StringBuilder sb = new StringBuilder(ConstantsLanguage.RICERCA.upper() + " - " + ApplicationUtil.getUsernameLoggato()  + " - " + ConstantsLanguage.TEMPO.stampa() + ": " + (time - inizio) + " " + "ms" + " - " + ApplicationUtil.evaluateAction(null) + " - ");
			if(ls != null) {
				sb.append(ConstantsLanguage.LISTA.stampa() + ": "+ ls.toString());
			} 
			if(size != null) {
				sb.append(ConstantsLanguage.CONTEGGIO.stampa() + ": " + size +  " - " + r.toString());
			}
			if(sum != null) {
				sb.append(ConstantsLanguage.SOMMA.stampa() + ": " + sum);
			}
			ApplicationUtil.monitor(sb.toString());
		}
	}


}