package it.callite.utility;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import it.callite.constants.ConstantsFormat;
import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsMap;
import it.callite.model.Anagrafica;
import it.callite.model.CampoAggiuntivoAnagrafica;
import it.callite.model.DatoAggiuntivoAnagrafica;
public class ModelImport {

	public static void importAnagrafica(Anagrafica anagrafica, String metodo, String valore, List<CampoAggiuntivoAnagrafica> dati)  {
		boolean esegui = false;
		if(metodo != null  && metodo.equals(ConstantsMap.anagrafica_id)) {
			anagrafica.setId(cellaTypeL(esegui, valore));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.anagrafica_cognome)) {
			anagrafica.setCognome(cellaTypeS(esegui, valore));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.anagrafica_nome)) {
			anagrafica.setNome(cellaTypeS(esegui, valore));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.anagrafica_nome_completo)) {
			anagrafica.setNome_completo(cellaTypeS(esegui, valore));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.anagrafica_email)) {
			anagrafica.setEmail(ApplicationUtil.lowerCaseEmpty(cellaTypeS(esegui, valore)));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.anagrafica_codice_fiscale)) {
			anagrafica.setCodice_fiscale(ApplicationUtil.upperCaseEmpty(cellaTypeS(esegui, valore)));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.anagrafica_partita_iva)) {
			anagrafica.setPartita_iva(ApplicationUtil.upperCaseEmpty(cellaTypeS(esegui, valore)));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.anagrafica_nota)) {
			anagrafica.setNota(cellaTypeS(esegui, valore));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.anagrafica_link)) {
			anagrafica.setLink(cellaTypeS(esegui, valore));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.anagrafica_luogo_nascita)) {
			anagrafica.setLuogo_nascita(ApplicationUtil.upperCaseEmpty(cellaTypeS(esegui, valore)));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.anagrafica_data_nascita)) {
			anagrafica.setDate_nascita(cellaTypeD(esegui, valore, ConstantsFormat.date.stampa()));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.anagrafica_sesso)) {
			anagrafica.setMaschio(cellaTypeV(esegui, valore, ConstantsGlobal.maschio, ConstantsGlobal.femmina ));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.anagrafica_tipo)) {
			anagrafica.setPf(cellaTypeV(esegui, valore, ConstantsGlobal.residenziale , ConstantsGlobal.business));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.anagrafica_ragione_sociale)) {
			anagrafica.setRagione_sociale(cellaTypeS(esegui, valore));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.anagrafica_telefono_fisso)) {
			anagrafica.setTelefono_fisso(cellaTypeS(esegui, valore));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.anagrafica_telefono_altro)) {
			anagrafica.setTelefono_altro(cellaTypeS(esegui, valore));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.anagrafica_telefono_mobile)) {
			anagrafica.setTelefono_mobile(cellaTypeS(esegui, valore));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.anagrafica_telefono_fax)) {
			anagrafica.setTelefono_fax(cellaTypeS(esegui, valore));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.anagrafica_settore)) {
			anagrafica.setSettore(ApplicationUtil.upperCaseEmpty(cellaTypeS(esegui, valore)));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.indirizzo_legale_strada)) {
			anagrafica.getIndirizzo_legale().setStrada(ApplicationUtil.upperCaseEmpty(cellaTypeS(esegui, valore)));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.indirizzo_legale_civico)) {
			anagrafica.getIndirizzo_legale().setCivico(ApplicationUtil.upperCaseEmpty(cellaTypeS(esegui, valore)));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.indirizzo_legale_cap)) {
			anagrafica.getIndirizzo_legale().setCap(ApplicationUtil.upperCaseEmpty(cellaTypeS(esegui, valore)));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.indirizzo_legale_comune)) {
			anagrafica.getIndirizzo_legale().setComune(ApplicationUtil.upperCaseEmpty(cellaTypeS(esegui, valore)));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.indirizzo_legale_provincia)) {
			anagrafica.getIndirizzo_legale().setProvincia(ApplicationUtil.upperCaseEmpty(cellaTypeS(esegui, valore)));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.indirizzo_legale_regione)) {
			anagrafica.getIndirizzo_legale().setRegione(ApplicationUtil.upperCaseEmpty(cellaTypeS(esegui, valore)));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.indirizzo_legale_dettagli)) {
			anagrafica.getIndirizzo_legale().setDettagli(cellaTypeS(esegui, valore));
		} 
		if(metodo != null  && metodo.equals(ConstantsMap.indirizzo_legale_latitudine)) {
			anagrafica.getIndirizzo_legale().setLatitudine(cellaTypeS(esegui, valore));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.indirizzo_legale_longitudine)) {
			anagrafica.getIndirizzo_legale().setLongitudine(cellaTypeS(esegui, valore));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.indirizzo_legale_presso)) {
			anagrafica.getIndirizzo_legale().setPresso(ApplicationUtil.upperCaseEmpty(cellaTypeS(esegui, valore)));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.indirizzo_operativo_strada)) {
			anagrafica.getIndirizzo_operativo().setStrada(ApplicationUtil.upperCaseEmpty(cellaTypeS(esegui, valore)));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.indirizzo_operativo_civico)) {
			anagrafica.getIndirizzo_operativo().setCivico(ApplicationUtil.upperCaseEmpty(cellaTypeS(esegui, valore)));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.indirizzo_operativo_cap)) {
			anagrafica.getIndirizzo_operativo().setCap(ApplicationUtil.upperCaseEmpty(cellaTypeS(esegui, valore)));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.indirizzo_operativo_comune)) {
			anagrafica.getIndirizzo_operativo().setComune(ApplicationUtil.upperCaseEmpty(cellaTypeS(esegui, valore)));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.indirizzo_operativo_provincia)) {
			anagrafica.getIndirizzo_operativo().setProvincia(ApplicationUtil.upperCaseEmpty(cellaTypeS(esegui, valore)));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.indirizzo_operativo_regione)) {
			anagrafica.getIndirizzo_operativo().setRegione(ApplicationUtil.upperCaseEmpty(cellaTypeS(esegui, valore)));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.indirizzo_operativo_dettagli)) {
			anagrafica.getIndirizzo_operativo().setDettagli(cellaTypeS(esegui, valore));
		} 
		if(metodo != null  && metodo.equals(ConstantsMap.indirizzo_operativo_latitudine)) {
			anagrafica.getIndirizzo_operativo().setLatitudine(cellaTypeS(esegui, valore));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.indirizzo_operativo_longitudine)) {
			anagrafica.getIndirizzo_operativo().setLongitudine(cellaTypeS(esegui, valore));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.indirizzo_operativo_presso)) {
			anagrafica.getIndirizzo_operativo().setPresso(cellaTypeS(esegui, valore));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.consenso_tfissoS)) {
			anagrafica.setConsenso_tfisso(cellaTypeD(esegui, valore, ConstantsFormat.dateTime.stampa()));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.consenso_tmobileS)) {
			anagrafica.setConsenso_tmobile(cellaTypeD(esegui, valore, ConstantsFormat.dateTime.stampa()));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.consenso_tfaxS)) {
			anagrafica.setConsenso_tfax(cellaTypeD(esegui, valore, ConstantsFormat.dateTime.stampa()));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.consenso_taltroS)) {
			anagrafica.setConsenso_taltro(cellaTypeD(esegui, valore, ConstantsFormat.dateTime.stampa()));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.consenso_emailS)) {
			anagrafica.setConsenso_email(cellaTypeD(esegui, valore, ConstantsFormat.dateTime.stampa()));
		}
		if(metodo != null  && metodo.equals(ConstantsMap.consenso_rmailS)) {
			anagrafica.setConsenso_rmail(cellaTypeD(esegui, valore, ConstantsFormat.dateTime.stampa()));
		}
		if(ApplicationUtil.notEmpty(dati) && metodo != null && !ConstantsMap.ordineCampoMap.contains(metodo)) {
			CampoAggiuntivoAnagrafica ca = ApplicationUtil.getCampiByChiave(dati, metodo);
			DatoAggiuntivoAnagrafica da = new DatoAggiuntivoAnagrafica();
			if(ca == null) {
				ca = new CampoAggiuntivoAnagrafica();
				ca.setChiave(metodo);
				ca.setEtichetta(metodo);
				ca.setDescrizione(metodo);
				ca.setTipo(ConstantsMap.TIPO_APERTO);
			} 
			if(ca.getData()) {
				da.setValore_data(cellaTypeD(esegui, valore, da.getCampo_aggiuntivo().getValoriT()));
			} else if(ca.getDataora()) {
				da.setValore_datatime(cellaTypeD(esegui, valore, da.getCampo_aggiuntivo().getValoriT()));
			} else if(ca.getOra()) {
				da.setValore_time(cellaTypeD(esegui, valore, ConstantsFormat.time.stampa()));
			} else if(ca.getSlider() || ca.getSpinner() || ca.getIntero()) {
				da.setValore_numero(cellaTypeI(esegui, valore));
			} else if(ca.getNumero()) {
				da.setValore_numero(cellaTypeB(esegui, valore));
			} else {
				da.setValore(cellaTypeS(esegui, valore));
			}
			da.setCampo_aggiuntivo(ca);
			anagrafica.addDato(metodo, da);
		}
	}
	
	private static Long cellaTypeL(boolean esegui, String valore){
		Long str = null;
		if(valore != null) {
			str = ApplicationUtil.parseLong(ApplicationUtil.standartize(esegui, valore));
		}
		return str;
	}
	
	private static Integer cellaTypeI(boolean esegui, String valore){
		Integer str = null;
		if(valore != null) {
			str = ApplicationUtil.parseInteger(ApplicationUtil.standartize(esegui, valore));
		}
		return str;
	}
	
	private static BigDecimal cellaTypeB(boolean esegui, String valore){
		BigDecimal str = null;
		if(valore != null) {
			str = ApplicationUtil.parseBigDecimal(ApplicationUtil.standartize(esegui, valore));
		}
		return str;
	}
	
	private static Date cellaTypeD(boolean esegui, String valore, String parse){
		Date date = null;
		if(valore != null) {
			date = ApplicationUtil.parseData(parse, ApplicationUtil.standartize(esegui, valore));
		}
		if(!ApplicationUtil.validateData(date)) {
			date = null;
		}
		return date;
	}

	private static String cellaTypeS(boolean esegui, String valore){
		String str = "";
		if(valore != null) {
			str = ApplicationUtil.standartize(esegui, valore);
		}
		return str;
	}

	private static Boolean cellaTypeV(boolean esegui, String valore, List<String> v, List<String> f){
		boolean bb = false;
		if(valore != null) {
			String testo1 = ApplicationUtil.lowerCaseEmpty(ApplicationUtil.standartize(esegui, valore));
			if(ApplicationUtil.vero(testo1) || (v !=null && v.contains(testo1)))
				bb = true;
			if(ApplicationUtil.falso(testo1) || (f !=null && f.contains(testo1)))
				bb = false;

		}
		return bb;
	}

}