package it.callite.utility;

import it.callite.constants.ConstantsGlobal;
import it.callite.model.sip.SipBuddies;

public class ParameterTrunk {

	private SipBuddies trunk;

	public ParameterTrunk(SipBuddies trunk) {
		this.trunk = trunk;
	}

	public Integer getVrx() {
		if(trunk != null) {
			if(ApplicationUtil.gtZero(trunk.getVrx())) {
				return trunk.getVrx();
			}
		}
		return ConstantsGlobal.DEFAULT_VRX;
	}

	public Integer getVtx() {
		if(trunk != null) {
			if(ApplicationUtil.gtZero(trunk.getVtx())) {
				return trunk.getVtx();
			}
		}
		return ConstantsGlobal.DEFAULT_VTX;
	}

	public String getMusicclass() {
		if(trunk != null) {
			if(ApplicationUtil.isNotBlank(trunk.getMusicclass())) {
				return trunk.getMusicclass();
			}
		}
		return ConstantsGlobal.musicclass; 
	}

	public String getPrefisso() {
		if(trunk != null) {
			return ApplicationUtil.trimToEmpty(trunk.getAdd_prefisso());
		}
		return "";
	}
	
	public String getAntecall() {
		if(trunk != null) {
			return ApplicationUtil.trimToEmpty(trunk.getAntecall());
		}
		return "";
	}

	public Boolean getOpposizione() {
		if(trunk != null) {
			return trunk.getOpposizione();
		}
		return false;
	}

	public Boolean getRegistrazione() {
		if(trunk != null) {
			return trunk.getRegistrazione();
		}
		return false;
	}

	public Boolean getInterurbane() {
		if(trunk != null) {
			return trunk.getInterurbane();
		}
		return false;
	}

	public String getTrunk() {
		if(trunk != null) {
			String autoTrunk = ApplicationUtil.trimToEmpty(trunk.getName());
			if(ApplicationUtil.isNotBlank(autoTrunk)) {
				return autoTrunk;
			} 
		}
		return "";
	}

	public String getCallerid() {
		if(trunk != null) {
			String callers = ApplicationUtil.trimToEmpty(trunk.getCallers());
			if(ApplicationUtil.isNotBlank(callers)) {
				return callers;
			}
		}
		return ConstantsGlobal.callerid; 
	}

	public String getTrunkContext() {
		if(trunk != null) {
			return trunk.getTrunkContext();
		}
		return "";
	}


}
