package it.callite.utility;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import it.callite.constants.ConstantsGlobal;
import it.callite.message.Message;
public class StatoIntervallo implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	private Integer statoC;
	private Integer statoL;
	private Integer attivoC;
	private Integer attivoL;
	
	public StatoIntervallo(Integer statoC, Integer statoL, Integer attivoC, Integer attivoL) {
		this.statoC = statoC;
		this.statoL = statoL;
		this.attivoC = attivoC;
		this.attivoL = attivoL;
	}
	
	public StatoIntervallo() {
		this.statoC = null;
		this.statoL = null;
		this.attivoC = null;
		this.attivoL = null;
	}
	
	public Integer getStatoC() {
		return statoC;
	}
	public void setStatoC(Integer statoC) {
		this.statoC = statoC;
	}
	public Integer getStatoL() {
		return statoL;
	}
	public void setStatoL(Integer statoL) {
		this.statoL = statoL;
	}
	public Integer getAttivoC() {
		return attivoC;
	}
	public void setAttivoC(Integer attivoC) {
		this.attivoC = attivoC;
	}
	public Integer getAttivoL() {
		return attivoL;
	}
	public void setAttivoL(Integer attivoL) {
		this.attivoL = attivoL;
	}
	
	public String getValore() {
		List<String> statiC = new ArrayList<String>();
		if(ApplicationUtil.gtZero(statoC)) {
			statiC.add(Message.addCatalogText("ts_stato." + statoC));
		}
		if(ApplicationUtil.gtZero(attivoC)) {
			statiC.add(Message.addCatalogText("tm_stato." + attivoC));
		}
		List<String> statiL = new ArrayList<String>();
		if(ApplicationUtil.gtZero(statoL)) {
			statiL.add(Message.addCatalogText("ts_stato." + statoL));
		}
		if(ApplicationUtil.gtZero(attivoL)) {
			statiL.add(Message.addCatalogText("tm_stato." + attivoL));
		}
		List<String> stati = new ArrayList<String>();
		if(ApplicationUtil.notEmpty(statiC)) {
			stati.add(Message.addCatalogText("campagna") +" " + "("+ApplicationUtil.detoken(statiC, ConstantsGlobal.commaSeparator + " ") + ")");
		}
		if(ApplicationUtil.notEmpty(statiL)) {
			stati.add(Message.addCatalogText("lista") +" " + "("+ApplicationUtil.detoken(statiL, ConstantsGlobal.commaSeparator + " ") + ")");
		}
		String c = ApplicationUtil.trimToNull(ApplicationUtil.detoken(stati, ConstantsGlobal.colonSeparator + " "));
		return c;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((attivoC == null) ? 0 : attivoC.hashCode());
		result = prime * result + ((attivoL == null) ? 0 : attivoL.hashCode());
		result = prime * result + ((statoC == null) ? 0 : statoC.hashCode());
		result = prime * result + ((statoL == null) ? 0 : statoL.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		StatoIntervallo other = (StatoIntervallo) obj;
		if (attivoC == null) {
			if (other.attivoC != null)
				return false;
		} else if (!attivoC.equals(other.attivoC))
			return false;
		if (attivoL == null) {
			if (other.attivoL != null)
				return false;
		} else if (!attivoL.equals(other.attivoL))
			return false;
		if (statoC == null) {
			if (other.statoC != null)
				return false;
		} else if (!statoC.equals(other.statoC))
			return false;
		if (statoL == null) {
			if (other.statoL != null)
				return false;
		} else if (!statoL.equals(other.statoL))
			return false;
		return true;
	}
	
	@Override
	public String toString() {
		return ApplicationUtil.toString(this);
	}
}