package it.callite.utility;

import it.callite.constants.config.DefaultsChat;
import it.callite.service.config.ConfigurazioneChatService;
public class UtilChat {

	private String host;
	private String username;
	private String password;
	private Integer port;
	
	public UtilChat(ConfigurazioneChatService configurazioneChatService) {
		this.host = ApplicationUtil.trimToEmpty(configurazioneChatService.getValore(DefaultsChat.KEY_CHAT_SERVER_IP));
		this.username = ApplicationUtil.trimToEmpty(configurazioneChatService.getValore(DefaultsChat.KEY_CHAT_ADMIN_USERNAME));
		this.password = ApplicationUtil.trimToEmpty(configurazioneChatService.getValore(DefaultsChat.KEY_CHAT_ADMIN_PASSWORD));
		
		try {
			this.port = Integer.parseInt(ApplicationUtil.trimToEmpty(configurazioneChatService.getValore(DefaultsChat.KEY_CHAT_SERVER_PORT)));
		} catch (NumberFormatException e) {
			this.port = 0;
		}
	}
	
	public String getHost() {
		return host;
	}
	public void setHost(String host) {
		this.host = host;
	}
	public String getUsername() {
		return username;
	}
	public void setUsername(String username) {
		this.username = username;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public Integer getPort() {
		return port;
	}
	public void setPort(Integer port) {
		this.port = port;
	}
	
}