package it.callite.utility;
import java.io.StringWriter;
import java.util.Map;
import java.util.Properties;

import org.apache.velocity.VelocityContext;
import org.apache.velocity.app.VelocityEngine;

import it.callite.constants.ConstantsGlobal;
public class VelocityEngineUtil {

	private VelocityEngine velocityE;
	private VelocityEngine velocityS;

	public VelocityEngineUtil() {
		Properties propsE = new Properties();
		propsE.put("runtime.log.logsystem.class", "org.apache.velocity.runtime.log.NullLogChute");
		propsE.put("resource.loader", "class");
		propsE.put("class.resource.loader.class", "org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader");
		propsE.put("velocimacro.library", "");
		velocityE = new VelocityEngine(propsE);


		Properties propsS = new Properties();
		propsS.put("runtime.log.logsystem.class", "org.apache.velocity.runtime.log.NullLogChute");
		propsS.put("resource.loader", "file");
		propsS.put("file.resource.loader.class", "org.apache.velocity.runtime.resource.loader.FileResourceLoader");
		propsS.put("file.resource.loader.path", "/");
		propsS.put("file.resource.loader.cache", false);
		propsS.put("file.resource.loader.modificationCheckInterval", "1");
		velocityS = new VelocityEngine(propsS);

	}

	public String useVelocityEngine(boolean storage, String file, Map<String, Object> model) {
		StringWriter writer = new StringWriter();
		VelocityContext velocityContext = new VelocityContext(model);
		if(storage) {
			velocityS.mergeTemplate(file, ConstantsGlobal.ENCODING, velocityContext, writer);
		} else { 
			velocityE.mergeTemplate(file, ConstantsGlobal.ENCODING, velocityContext, writer); 
		}
		return writer.toString();
	}

	public String useVelocityEngine(String s, Map<String, Object> model) {
		StringWriter writer = new StringWriter();
		VelocityContext velocityContext = new VelocityContext(model);
		velocityE.evaluate(velocityContext, writer, "", s);
		return writer.toString();
	}


}