package it.callite.utility.chat;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.jivesoftware.smack.Chat;
import org.jivesoftware.smack.ChatManager;
import org.jivesoftware.smack.XMPPConnection;
import org.jivesoftware.smack.XMPPException;

import it.callite.listener.ChatManagerListenerImpl;
import it.callite.log.ErrorLog;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.Buddy;
import it.callite.utility.MessageXMPP;
import it.callite.utility.UtilChat;
public class ReceiveBuddy  {
	
	private UtilChat  utilChat;
	private List<Buddy> messaggi = new ArrayList<Buddy>();
	private String utente;
	private XMPPConnection connection;
	private ChatManager chatManager;
	
	private Map<String, Chat> clients = new HashMap<String, Chat>();
	
	public ReceiveBuddy(UtilChat utilChat, String utente) {
		this.utilChat = utilChat;
		this.utente = utente;
		connection = connect();
		if(connection != null && connection.isAuthenticated()) {
			chatManager = connection.getChatManager();
			if(chatManager != null) {
				chatManager.addChatListener(new ChatManagerListenerImpl(messaggi));
			}
		}
	}

	public List<Buddy> getMessaggi() {
		List<Buddy> n = new ArrayList<Buddy>(messaggi);
		messaggi.clear();
		return n;
	}
	
	public String getUtente() {
		return utente;
	}
	
	public void sendMessage(String to, String body) {
		if(chatManager != null) {
			try {
				Chat chat = clients.get(to);
				if(chat == null) {
					chat = chatManager.createChat(to + "@" + utilChat.getHost(), new MessageXMPP());
					clients.put(to, chat);
				}
				chat.sendMessage(body);
			} catch (XMPPException e) {	
				ErrorLog.log(null, null, e);
			}
		}
	}

	public void logout() {
		if(connection != null && connection.isConnected()) {
				connection.disconnect();
		}
		clients.clear();
	}
	public boolean isConnected() {
		if(connection != null) {
			return connection.isConnected();
		}
		return false;
	}
	
	public XMPPConnection connect() {
		if(!isConnected()) {
			return  ApplicationUtil.getConnection(utilChat, utente);
		}
		return null;
	}
	
	public void setUtilChat(UtilChat utilChat) {
		this.utilChat = utilChat;
	}

}