package it.callite.utility.importa;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import it.callite.constants.ConstantsGlobal;
import it.callite.message.Message;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.MyFile;
@SuppressWarnings("serial")
public class ImportBase implements Serializable {

	public String getErrorMessage() {
		if(ApplicationUtil.notEmpty(errori)) {
			return ApplicationUtil.detoken(errori, ConstantsGlobal.RETURN) + ConstantsGlobal.RETURN;
		}
		return null;
	}

	public boolean isOk() {
		return ok > 0;
	}

	private int ok = 0; 
	private List<String> errori = new ArrayList<String>();

	public boolean imposta(boolean zip, MyFile ff, long maxSize, List<String> exts) {
		String fileName = ApplicationUtil.getNameN(ff.getName());		
		String ext = ApplicationUtil.getExtensionLower(fileName);
		long size = ff.getLength();
		boolean estensione = exts.contains(ext);
		boolean sizeOk = maxSize == 0 || size <= maxSize;
		if(sizeOk && estensione) {
			if(!zip) {
				ok++;
			}
			return true;
		} else {
			String baseName = ff.getParent() != null  ? (ApplicationUtil.getNameN(ff.getParent()) + " " + "[" + fileName + "]") : fileName;
			if(!sizeOk) {
				errori.add(baseName + " - "  + Message.addCatalogText("dimensione_errata") + ": " + ApplicationUtil.byteCount(size) + " " + "(" + Message.addCatalogText("massimo") + ": " + ApplicationUtil.byteCount(maxSize) + ")");
			}
			if(!estensione) {
				errori.add(baseName + " - "  + Message.addCatalogText("estensione_errata") + ": " + ext + " " + "(" + Message.addCatalogText("accettate") + ": " + ApplicationUtil.detoken(exts, ConstantsGlobal.commaSeparator + " ") + ")");
			}
			return false;
		}
	}
	
}
