package it.callite.utility.importa;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import it.callite.model.Anagrafica;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
public class ImportModelAnagrafica extends ImportBase implements Serializable {
	
	
	public Integer getListeImport() {
		Integer totale = getTotale();
		Integer righe = getRighe();
		if(ApplicationUtil.gtZero(totale)) {
			return  (totale.intValue()/righe.intValue()) + ((totale.intValue() % righe.intValue() > 0) ? 1 : 0);
		}
		return 1;
	}

	public List<Anagrafica> getAnagrafiche() {
		if(anagrafiche==null)
			anagrafiche = new ArrayList<Anagrafica>();
		return anagrafiche;
	}
	public int getAnagraficheSize() {
		return ApplicationUtil.size(anagrafiche);
	}
	public void setAnagrafiche(List<Anagrafica> anagrafiche) {
		this.anagrafiche = anagrafiche;
	}
	public String getLista() {
		return lista;
	}
	public void setLista(String lista) {
		this.lista = lista;
	}

	public void impostaLista(Long time, String l, String ti) {
		String t = ApplicationUtil.trimToNull(ti);
		if(t != null) {
			this.lista = time + ": " + ApplicationUtil.trimToEmpty(l) + " " + "[" + t + "]";
		} else {
			this.lista = time + ": " + ApplicationUtil.trimToEmpty(l);
		}
	}

	private List<Anagrafica> anagrafiche;
	private String lista;
	
	private Integer righe;

	public Integer getRighe() {
		return righe;
	}
	
	public void setRighe(Integer righe) {
		this.righe = righe;
	}
	public void addAnagrafiche(List<Anagrafica> anagrafiche) {
		if(this.anagrafiche==null) {
			this.anagrafiche = new ArrayList<Anagrafica>();
		}
		this.anagrafiche.addAll(anagrafiche);
	}

	private Boolean consentito = Boolean.FALSE; 
	private Boolean opposizione = Boolean.FALSE;
	private Boolean duplicato_fisso = Boolean.FALSE;
	private Boolean duplicato_mobile = Boolean.FALSE;
	private Boolean duplicato_fax = Boolean.FALSE;
	private Boolean duplicato_altro = Boolean.FALSE;
	private Boolean duplicato_email = Boolean.FALSE;
	private Boolean duplicato_link = Boolean.FALSE;
	private Boolean duplicato_codice = Boolean.FALSE;
	private Boolean duplicato_partita = Boolean.FALSE;
	private Boolean richiesto_fisso = Boolean.FALSE; 
	private Boolean richiesto_mobile = Boolean.FALSE; 
	private Boolean richiesto_fax = Boolean.FALSE; 
	private Boolean richiesto_altro = Boolean.FALSE; 
	private Boolean richiesto_email = Boolean.FALSE;
	private Boolean richiesto_link = Boolean.FALSE;
	private Boolean richiesto_codice = Boolean.FALSE;
	private Boolean richiesto_partita = Boolean.FALSE;
	private Boolean regulare_fisso = Boolean.FALSE; 
	private Boolean regulare_mobile = Boolean.FALSE; 
	private Boolean regulare_fax = Boolean.FALSE; 
	private Boolean regulare_altro = Boolean.FALSE; 
	private Boolean regulare_email = Boolean.FALSE;
	private Boolean regulare_link = Boolean.FALSE;
	private Boolean regulare_codice = Boolean.FALSE;
	private Boolean regulare_partita = Boolean.FALSE;
	private Integer importCondition = 0;

	private String validatore_fisso; 
	private String validatore_mobile;
	private String validatore_fax; 
	private String validatore_altro; 
	private String validatore_email;
	private String validatore_link;
	private String validatore_codice;
	private String validatore_partita;

	public String getValidatore_fisso() {
		return validatore_fisso;
	}

	public void setValidatore_fisso(String validatore_fisso) {
		this.validatore_fisso = validatore_fisso;
	}

	public String getValidatore_mobile() {
		return validatore_mobile;
	}

	public void setValidatore_mobile(String validatore_mobile) {
		this.validatore_mobile = validatore_mobile;
	}

	public String getValidatore_fax() {
		return validatore_fax;
	}

	public void setValidatore_fax(String validatore_fax) {
		this.validatore_fax = validatore_fax;
	}

	public String getValidatore_altro() {
		return validatore_altro;
	}

	public void setValidatore_altro(String validatore_altro) {
		this.validatore_altro = validatore_altro;
	}

	public String getValidatore_email() {
		return validatore_email;
	}

	public void setValidatore_email(String validatore_email) {
		this.validatore_email = validatore_email;
	}

	public String getValidatore_codice() {
		return validatore_codice;
	}

	public void setValidatore_codice(String validatore_codice) {
		this.validatore_codice = validatore_codice;
	}

	public String getValidatore_partita() {
		return validatore_partita;
	}

	public void setValidatore_partita(String validatore_partita) {
		this.validatore_partita = validatore_partita;
	}




	public Boolean getRegulare_codice() {
		return regulare_codice;
	}
	public void setRegulare_codice(Boolean regulare_codice) {
		this.regulare_codice = regulare_codice;
	}
	public Boolean getRegulare_partita() {
		return regulare_partita;
	}
	public void setRegulare_partita(Boolean regulare_partita) {
		this.regulare_partita = regulare_partita;
	}
	public Boolean getRegulare_fisso() {
		return regulare_fisso;
	}
	public void setRegulare_fisso(Boolean regulare_fisso) {
		this.regulare_fisso = regulare_fisso;
	}
	public Boolean getRegulare_mobile() {
		return regulare_mobile;
	}
	public void setRegulare_mobile(Boolean regulare_mobile) {
		this.regulare_mobile = regulare_mobile;
	}
	public Boolean getRegulare_fax() {
		return regulare_fax;
	}
	public void setRegulare_fax(Boolean regulare_fax) {
		this.regulare_fax = regulare_fax;
	}
	public Boolean getRegulare_altro() {
		return regulare_altro;
	}
	public void setRegulare_altro(Boolean regulare_altro) {
		this.regulare_altro = regulare_altro;
	}
	public Boolean getRegulare_email() {
		return regulare_email;
	}
	public void setRegulare_email(Boolean regulare_email) {
		this.regulare_email = regulare_email;
	}
	public Integer getImportCondition() {
		return importCondition;
	}
	public void setImportCondition(Integer importCondition) {
		this.importCondition = importCondition;
	}
	public Boolean getConsentito() {
		return consentito;
	}
	public void setConsentito(Boolean consentito) {
		this.consentito = consentito;
	}
	public Boolean getOpposizione() {
		return opposizione;
	}
	public void setOpposizione(Boolean opposizione) {
		this.opposizione = opposizione;
	}
	public Boolean getDuplicato_fisso() {
		return duplicato_fisso;
	}
	public void setDuplicato_fisso(Boolean duplicato_fisso) {
		this.duplicato_fisso = duplicato_fisso;
	}
	public Boolean getDuplicato_mobile() {
		return duplicato_mobile;
	}
	public void setDuplicato_mobile(Boolean duplicato_mobile) {
		this.duplicato_mobile = duplicato_mobile;
	}
	public Boolean getDuplicato_fax() {
		return duplicato_fax;
	}
	public void setDuplicato_fax(Boolean duplicato_fax) {
		this.duplicato_fax = duplicato_fax;
	}
	public Boolean getDuplicato_altro() {
		return duplicato_altro;
	}
	public void setDuplicato_altro(Boolean duplicato_altro) {
		this.duplicato_altro = duplicato_altro;
	}

	public Boolean getDuplicato_codice() {
		return duplicato_codice;
	}
	
	public void setDuplicato_codice(Boolean duplicato_codice) {
		this.duplicato_codice = duplicato_codice;
	}
	public Boolean getDuplicato_partita() {
		return duplicato_partita;
	}
	public void setDuplicato_partita(Boolean duplicato_partita) {
		this.duplicato_partita = duplicato_partita;
	}
	public Boolean getDuplicato_email() {
		return duplicato_email;
	}
	public void setDuplicato_email(Boolean duplicato_email) {
		this.duplicato_email = duplicato_email;
	}
	public Boolean getRichiesto_fisso() {
		return richiesto_fisso;
	}
	public void setRichiesto_fisso(Boolean richiesto_fisso) {
		this.richiesto_fisso = richiesto_fisso;
	}
	public Boolean getRichiesto_mobile() {
		return richiesto_mobile;
	}
	public void setRichiesto_mobile(Boolean richiesto_mobile) {
		this.richiesto_mobile = richiesto_mobile;
	}
	public Boolean getRichiesto_fax() {
		return richiesto_fax;
	}
	public void setRichiesto_fax(Boolean richiesto_fax) {
		this.richiesto_fax = richiesto_fax;
	}
	public Boolean getRichiesto_altro() {
		return richiesto_altro;
	}
	public void setRichiesto_altro(Boolean richiesto_altro) {
		this.richiesto_altro = richiesto_altro;
	}
	public Boolean getRichiesto_email() {
		return richiesto_email;
	}
	public void setRichiesto_email(Boolean richiesto_email) {
		this.richiesto_email = richiesto_email;
	}
	public Boolean getRichiesto_codice() {
		return richiesto_codice;
	}
	public void setRichiesto_codice(Boolean richiesto_codice) {
		this.richiesto_codice = richiesto_codice;
	}
	public Boolean getRichiesto_partita() {
		return richiesto_partita;
	}
	public void setRichiesto_partita(Boolean richiesto_partita) {
		this.richiesto_partita = richiesto_partita;
	}


	public Boolean getDuplicato_link() {
		return duplicato_link;
	}

	public void setDuplicato_link(Boolean duplicato_link) {
		this.duplicato_link = duplicato_link;
	}

	public Boolean getRichiesto_link() {
		return richiesto_link;
	}

	public void setRichiesto_link(Boolean richiesto_link) {
		this.richiesto_link = richiesto_link;
	}

	public Boolean getRegulare_link() {
		return regulare_link;
	}

	public void setRegulare_link(Boolean regulare_link) {
		this.regulare_link = regulare_link;
	}

	public String getValidatore_link() {
		return validatore_link;
	}

	public void setValidatore_link(String validatore_link) {
		this.validatore_link = validatore_link;
	}

	public List<Anagrafica> getEscluse() {
		if(escluse==null)
			escluse = new ArrayList<Anagrafica>();
		return escluse;
	}
	public int getEscluseSize() {
		return ApplicationUtil.size(escluse);
	}
	public void setEscluse(List<Anagrafica> escluse) {
		this.escluse = escluse;
	}
	private List<Anagrafica> escluse;

	private int conteggio = 0;
	public int getConteggio() {
		return conteggio;
	}
	public void setConteggio(int conteggio) {
		this.conteggio = conteggio;
	}

	public void addEsclusa(Anagrafica esclusa, boolean c, List<String> motivi) {
		if(this.escluse==null) {
			this.escluse = new ArrayList<Anagrafica>();
		}
		if(esclusa != null) {
			esclusa.addMotivi(motivi);
			this.escluse.add(esclusa);
			if(c) {
				conteggio++;
			}
		}
	}

	public void remEsclusa(Anagrafica indice) {
		if(ApplicationUtil.notEmpty(anagrafiche)) {
			anagrafiche.remove(indice);
			if(ApplicationUtil.notEmpty(escluse)) {
				boolean b = escluse.remove(indice);
				if(b) {
					conteggio--;
				}
			}
		}
	}


	public Boolean getSalva() {
		return conteggio < ApplicationUtil.size(anagrafiche);
	}

	public Integer getTotale() {
		return  ApplicationUtil.size(anagrafiche) - conteggio;
	}

	public void azzeraDuplicato_fisso() {
		if(ApplicationUtil.notEmpty(anagrafiche)) {
			Iterator<Anagrafica> anIt = anagrafiche.iterator();
			while (anIt.hasNext()) {
				Anagrafica anagrafica = (Anagrafica) anIt.next();
				anagrafica.setDuplicato_fisso(false);
			}
		}
	}
	public void azzeraDuplicato_mobile() {
		if(ApplicationUtil.notEmpty(anagrafiche)) {
			Iterator<Anagrafica> anIt = anagrafiche.iterator();
			while (anIt.hasNext()) {
				Anagrafica anagrafica = (Anagrafica) anIt.next();
				anagrafica.setDuplicato_mobile(false);
			}
		}
	}
	public void azzeraDuplicato_fax() {
		if(ApplicationUtil.notEmpty(anagrafiche)) {
			Iterator<Anagrafica> anIt = anagrafiche.iterator();
			while (anIt.hasNext()) {
				Anagrafica anagrafica = (Anagrafica) anIt.next();
				anagrafica.setDuplicato_fax(false);
			}
		}
	}
	public void azzeraDuplicato_altro() {
		if(ApplicationUtil.notEmpty(anagrafiche)) {
			Iterator<Anagrafica> anIt = anagrafiche.iterator();
			while (anIt.hasNext()) {
				Anagrafica anagrafica = (Anagrafica) anIt.next();
				anagrafica.setDuplicato_altro(false);
			}
		}
	}
	public void azzeraDuplicato_email() {
		if(ApplicationUtil.notEmpty(anagrafiche)) {
			Iterator<Anagrafica> anIt = anagrafiche.iterator();
			while (anIt.hasNext()) {
				Anagrafica anagrafica = (Anagrafica) anIt.next();
				anagrafica.setDuplicato_email(false);
			}
		}
	}
	
	public void azzeraDuplicato_link() {
		if(ApplicationUtil.notEmpty(anagrafiche)) {
			Iterator<Anagrafica> anIt = anagrafiche.iterator();
			while (anIt.hasNext()) {
				Anagrafica anagrafica = (Anagrafica) anIt.next();
				anagrafica.setDuplicato_link(false);
			}
		}
	}
	public void azzeraDuplicato_codice() {
		if(ApplicationUtil.notEmpty(anagrafiche)) {
			Iterator<Anagrafica> anIt = anagrafiche.iterator();
			while (anIt.hasNext()) {
				Anagrafica anagrafica = (Anagrafica) anIt.next();
				anagrafica.setDuplicato_codice(false);
			}
		}
	}
	public void azzeraDuplicato_partita() {
		if(ApplicationUtil.notEmpty(anagrafiche)) {
			Iterator<Anagrafica> anIt = anagrafiche.iterator();
			while (anIt.hasNext()) {
				Anagrafica anagrafica = (Anagrafica) anIt.next();
				anagrafica.setDuplicato_partita(false);
			}
		}
	}
	public void azzeraConsentito() {
		if(ApplicationUtil.notEmpty(anagrafiche)) {
			Iterator<Anagrafica> anIt = anagrafiche.iterator();
			while (anIt.hasNext()) {
				Anagrafica anagrafica = (Anagrafica) anIt.next();
				anagrafica.setConsentito(true);
			}
		}
	}

	public void azzeraOpposizione() {
		if(ApplicationUtil.notEmpty(anagrafiche)) {
			Iterator<Anagrafica> anIt = anagrafiche.iterator();
			while (anIt.hasNext()) {
				Anagrafica anagrafica = (Anagrafica) anIt.next();
				anagrafica.setOpposizione(false);
			}
		}
	}
}
