package it.callite.utility.importa;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import it.callite.constants.ConstantsLanguage;
import it.callite.model.Appuntamento;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
public class ImportModelAppuntamento  extends ImportBase implements Serializable {

	private int conteggio = 0;
	private List<Appuntamento> elementi;
	private List<Appuntamento> escluse;

	private String tipo;

	public void addElementi(List<Appuntamento> elementi) {
		if(this.elementi==null)
			this.elementi = new ArrayList<Appuntamento>();
		this.elementi.addAll(elementi);
	}



	public void addEsclusa(Appuntamento esclusa, boolean c) {
		if(this.escluse==null) {
			this.escluse = new ArrayList<Appuntamento>();
		}
		if(esclusa != null) {
			List<String> motivi = new ArrayList<String>();
			if(esclusa.getDuplicato()) {
				motivi.add(ConstantsLanguage.DUPLICATO.stampa());
			}
			if(!esclusa.getTrovato()) {
				motivi.add(ConstantsLanguage.NON_TROVATO.stampa());
			} else {
				motivi.add(ConstantsLanguage.TROVATO.stampa());
			}
			esclusa.addMotivi(motivi);
			this.escluse.add(esclusa);
			if(c) {
				conteggio++;
			}
		}
	}

	public void remEsclusa(Appuntamento indice) {
		if(ApplicationUtil.notEmpty(elementi)) {
			elementi.remove(indice);
			if(ApplicationUtil.notEmpty(escluse)) {
				boolean b = escluse.remove(indice);
				if(b) {
					conteggio--;
				}
			}
		}
	}
	public int getConteggio() {
		return conteggio;
	}

	public List<Appuntamento> getElementi() {
		if(elementi==null)
			elementi = new ArrayList<Appuntamento>();
		return elementi;
	}
	public int getElementiSize() {
		return ApplicationUtil.size(elementi);
	}
	public List<Appuntamento> getEscluse() {
		if(escluse==null)
			escluse = new ArrayList<Appuntamento>();
		return escluse;
	}
	public int getEscluseSize() {
		return ApplicationUtil.size(escluse);
	}

	public Boolean getSalva() {
		return conteggio < ApplicationUtil.size(elementi);
	}

	public String getTipo() {
		return tipo;
	}
	public Integer getTotale() {
		return  ApplicationUtil.size(elementi) - conteggio;
	}

	public void setConteggio(int conteggio) {
		this.conteggio = conteggio;
	}

	public void setElementi(List<Appuntamento> elementi) {
		this.elementi = elementi;
	}


	public void setEscluse(List<Appuntamento> escluse) {
		this.escluse = escluse;
	}
	public void setTipo(String tipo) {
		this.tipo = tipo;
	}
}
