package it.callite.utility.importa;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import it.callite.constants.ConstantsLanguage;
import it.callite.model.Opposizione;
import it.callite.utility.ApplicationUtil;
@SuppressWarnings("serial")
public class ImportModelOpposizione  extends ImportBase implements Serializable {
	
	public List<Opposizione> getAnagrafiche() {
		if(anagrafiche==null)
			anagrafiche = new ArrayList<Opposizione>();
		return anagrafiche;
	}
	public int getAnagraficheSize() {
		return ApplicationUtil.size(anagrafiche);
	}
	public void setAnagrafiche(List<Opposizione> anagrafiche) {
		this.anagrafiche = anagrafiche;
	}
	
	private List<Opposizione> anagrafiche;

	public void addAnagrafiche(List<Opposizione> anagrafiche) {
		if(this.anagrafiche==null)
			this.anagrafiche = new ArrayList<Opposizione>();
		this.anagrafiche.addAll(anagrafiche);
	}
	
	public List<Opposizione> getEscluse() {
		if(escluse==null)
			escluse = new ArrayList<Opposizione>();
		return escluse;
	}
	public int getEscluseSize() {
		return ApplicationUtil.size(escluse);
	}
	public void setEscluse(List<Opposizione> escluse) {
		this.escluse = escluse;
	}
	private List<Opposizione> escluse;
	
	private int conteggio = 0;
	public int getConteggio() {
		return conteggio;
	}
	public void setConteggio(int conteggio) {
		this.conteggio = conteggio;
	}
	

	public void addEsclusa(Opposizione esclusa, boolean c) {
		if(this.escluse==null) {
			this.escluse = new ArrayList<Opposizione>();
		}
		if(esclusa != null) {
			List<String> motivi = new ArrayList<String>();
			if(esclusa.getDuplicato()) {
				motivi.add(ConstantsLanguage.DUPLICATO.stampa());
			}
			if(!esclusa.getTrovato()) {
				motivi.add(ConstantsLanguage.NON_TROVATO.stampa());
			} else {
				motivi.add(ConstantsLanguage.TROVATO.stampa());
			}
			esclusa.addMotivi(motivi);
			this.escluse.add(esclusa);
			if(c) {
				conteggio++;
			}
		}
	}
	
	public void remEsclusa(Opposizione indice) {
		if(ApplicationUtil.notEmpty(anagrafiche)) {
			anagrafiche.remove(indice);
			if(ApplicationUtil.notEmpty(escluse)) {
				boolean b = escluse.remove(indice);
				if(b) {
					conteggio--;
				}
			}
		}
	}
	public Boolean getSalva() {
		return conteggio < ApplicationUtil.size(anagrafiche);
	}
	
	public Integer getTotale() {
		return  ApplicationUtil.size(anagrafiche) - conteggio;
	}
}
