package it.callite.utility.item;
import java.io.Serializable;

import it.callite.model.generic.SelezionatoAbstract;
import it.callite.utility.ApplicationUtil;
public class EsitoChiamataSI extends SelezionatoAbstract implements Serializable {
	

	private static final long serialVersionUID = 1L;

	
	private String codice;
	private String etichetta;
	private Long id;
	private Boolean richiamare;
	
	public EsitoChiamataSI() {
	}
	
	public EsitoChiamataSI(ContattoSI contatto) {
		this.etichetta = contatto.getEsito_chiamata_etichetta();
		this.richiamare = contatto.getEsito_chiamata_richiamare();
		this.codice = contatto.getEsito_chiamata_codice();
		this.id = contatto.getEsito_chiamata_id();
	}

	public String getCodice() {
		return codice;
	}
	public String getEtichetta() {
		return etichetta;
	}
	public String getEtichettaCodice() {
		StringBuilder sb = new StringBuilder();
		sb.append(ApplicationUtil.trimToEmpty(etichetta));
		if(ApplicationUtil.isNotBlank(codice)) {
			sb.append(" (" + codice + ")");
		}
		return sb.toString();
	}
	public Long getId() {
		return id;
	}
	public Boolean getRichiamare() {
		return richiamare;
	}
	public void setCodice(String codice) {
		this.codice = codice;
	}
	public void setEtichetta(String etichetta) {
		this.etichetta = etichetta;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public void setRichiamare(Boolean richiamare) {
		this.richiamare = richiamare;
	}
}