package it.callite.utility.item;
import java.io.Serializable;

import it.callite.model.EsitoContratto;
import it.callite.model.generic.SelezionatoAbstract;
import it.callite.utility.ApplicationUtil;
public class EsitoContrattoSI extends SelezionatoAbstract implements Serializable {
	

	private static final long serialVersionUID = 1L;

	
	private String codice;
	private String etichetta;
	private Long id;
	private Boolean utile;
	
	public EsitoContrattoSI() {

	}
	public EsitoContrattoSI(EsitoContratto o) {
		this.etichetta = o.getEtichetta();
		this.codice = o.getCodice();
		this.id = o.getId();
		this.utile = o.getUtile();
	}
	public String getCodice() {
		return codice;
	}
	public String getEtichetta() {
		return etichetta;
	}
	public String getEtichettaCodice() {
		StringBuilder sb = new StringBuilder();
		sb.append(ApplicationUtil.trimToEmpty(etichetta));
		if(ApplicationUtil.isNotBlank(codice)) {
			sb.append(" (" + codice + ")");
		}
		return sb.toString();
	}
	public Long getId() {
		return id;
	}
	public Boolean getUtile() {
		return utile;
	}
	public void setCodice(String codice) {
		this.codice = codice;
	}
	public void setEtichetta(String etichetta) {
		this.etichetta = etichetta;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public void setUtile(Boolean utile) {
		this.utile = utile;
	}

}