package it.callite.utility.item;
import java.io.Serializable;

import it.callite.chiamate.Chiamate;
import it.callite.constants.ConstantsGlobal;
import it.callite.model.generic.SelezionatoAbstract;
import it.callite.utility.ApplicationUtil;
public class InternoSI extends SelezionatoAbstract implements Serializable {

	private static final long serialVersionUID = 1L;

	private String attivo;
	private String interurbane;
	private String interne;
	private String name;
	private String opposizione;
	private String registrazione;
	private Long id;
	
	public String getAttivo() {
		return attivo;
	}
	public void setAttivo(String attivo) {
		this.attivo = attivo;
	}
	public String getInterurbane() {
		return interurbane;
	}
	public void setInterurbane(String interurbane) {
		this.interurbane = interurbane;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getOpposizione() {
		return opposizione;
	}
	public String getRegistrazione() {
		return registrazione;
	}
	public void setRegistrazione(String registrazione) {
		this.registrazione = registrazione;
	}
	public void setOpposizione(String opposizione) {
		this.opposizione = opposizione;
	}
	
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	
	public String getInterne() {
		return interne;
	}
	public void setInterne(String interne) {
		this.interne = interne;
	}
	public String getInternoContext() {
		StringBuilder sb = new StringBuilder();
		sb.append(getName());
		boolean b1 = ApplicationUtil.convertSB(getInterurbane());
		boolean b2 = ApplicationUtil.convertSB(getOpposizione());
		boolean b3 = ApplicationUtil.convertSB(getInterne());
		if(b1 || b2 || b3) {
			sb.append(ConstantsGlobal.pipeSeparator);
		}
		if(b1) {
			sb.append("i");
		}
		if(b2) {
			sb.append("o");
		}
		if(b3) {
			sb.append("a");
		}
		return sb.toString();
	}
	
	public Boolean getLoggato() {
		return Chiamate.getCodaInterni().isRegistrato(getName());
	}

}