package it.callite.utility.item;
import java.io.File;
import java.io.Serializable;
import java.util.List;

import it.callite.model.generic.SelezionatoAbstract;
import it.callite.utility.ApplicationUtil;
public class MonitorSI extends SelezionatoAbstract implements Serializable {
	

	private static final long serialVersionUID = 1L;

	
	private String color;
	private List<MonitorSI> nodes;
	private String nome;
	private boolean type;
	private String path;

	public MonitorSI(String path, String end) {
		File f = new File(path);
		this.color = f.isDirectory() ? "blue" : "black";
		this.nome = ApplicationUtil.substringBeforeLast(f.getName(), end);
		this.type = !f.isDirectory();
		this.path = f.getAbsolutePath();
	}
	public String getColor() {
		return color;
	}
	
	
	public String getPath() {
		return path;
	}
	public void setPath(String path) {
		this.path = path;
	}
	public List<MonitorSI> getNodes() {
		return nodes;
	}
	public String getNome() {
		return nome;
	}
	
	
	
	public boolean isType() {
		return type;
	}
	public void setColor(String color) {
		this.color = color;
	}
	
	public void setNodes(List<MonitorSI> nodes) {
		this.nodes = nodes;
	}
	public void setNome(String nome) {
		this.nome = nome;
	}
	
	public void setType(boolean type) {
		this.type = type;
	}
	
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((nome == null) ? 0 : nome.hashCode());
		result = prime * result + (type ? 1231 : 1237);
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		MonitorSI other = (MonitorSI) obj;
		if (nome == null) {
			if (other.nome != null)
				return false;
		} else if (!nome.equals(other.nome))
			return false;
		if (type != other.type)
			return false;
		return true;
	}
	
}