package it.callite.utility.item;
import java.io.Serializable;

import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsLanguage;
import it.callite.model.generic.SelezionatoAbstract;
import it.callite.utility.ApplicationUtil;
public class ProdottoSI extends SelezionatoAbstract implements Serializable {

	private static final long serialVersionUID = 1L;

	private Long id;
	private String nome;
	private String categoria;
	private String codice;
	private Integer tipo;
	private Boolean attivo;
	
	public Boolean getAttivo() {
		return attivo;
	}
	public void setAttivo(Boolean attivo) {
		this.attivo = attivo;
	}
	public String getCodice() {
		return codice;
	}
	public void setCodice(String codice) {
		this.codice = codice;
	}
	public Integer getTipo() {
		return tipo;
	}
	public void setTipo(Integer tipo) {
		this.tipo = tipo;
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public String getNome() {
		return nome;
	}
	public void setNome(String nome) {
		this.nome = nome;
	}
	public String getCategoria() {
		return categoria;
	}
	public void setCategoria(String categoria) {
		this.categoria = categoria;
	}
	public String getDenominazione() {
		StringBuilder sb = new StringBuilder();
		if(categoria != null) {
			sb.append(categoria);
			sb.append(": ");
		} 
		sb.append(this.getNomeTipo());
		return ApplicationUtil.trimToEmpty(sb.toString());
	}
	public String getNomeTipo() {
		StringBuilder sb = new StringBuilder();
		sb.append(this.getNome());
		if(ApplicationUtil.isNotBlank(codice)) {
			sb.append(" (" +codice + ")");
		}
		String tipo = getDescrizioneTipo();
		if(!ApplicationUtil.isBlank(tipo)) {
			sb.append(" - " + tipo);
		}
		return ApplicationUtil.trimToEmpty(sb.toString());
	}
	
	public String getDescrizioneTipo() {
		if(ApplicationUtil.equals(tipo, ConstantsGlobal.tipo_residenziale)) {
			return ConstantsLanguage.TIPO_RESIDENZIALE.stampa();
		} else if(ApplicationUtil.equals(tipo, ConstantsGlobal.tipo_business)) {
			return ConstantsLanguage.TIPO_BUSINESS.stampa();
		} else if(ApplicationUtil.equals(tipo, ConstantsGlobal.tipo_misto)) {
			return ConstantsLanguage.TIPO_MISTO.stampa();
		} else {
			return "";
		} 
	}
}