package it.callite.utility.massivo;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

import it.callite.model.sip.SipBuddies;
import it.callite.utility.ApplicationUtil;



@SuppressWarnings("serial")
public class InternoMassivo implements Serializable{
	
	
	private Map<String, Valore> map = new HashMap<String, Valore>();

	public InternoMassivo() {
		set("callers");
		set("phone");
		set("tastierino");
		set("add_prefisso");
		set("allow");
		set("interurbane");
		set("attivo");
		set("opposizione");
		set("registrazione");
		set("interne");
	}
	
	public Valore set(String chiave) {
		return map.put(chiave, new Valore());
	}
	public Valore get(String chiave) {
		return map.get(chiave);
	}

	public Map<String, Valore> getMap() {
		return map;
	}

	public void modifica(SipBuddies sp) {
		if(ApplicationUtil.isTrue(map.get("callers").getLogico())) {
			sp.setCallers(map.get("callers").getStringa());
		}
		if(ApplicationUtil.isTrue(map.get("phone").getLogico())) {
			sp.setPhone(map.get("phone").getStringa());
		}
		if(ApplicationUtil.isTrue(map.get("tastierino").getLogico())) {
			sp.setTastierino(map.get("tastierino").getIntero());
		}
		if(ApplicationUtil.isTrue(map.get("add_prefisso").getLogico())) {
			sp.setAdd_prefisso(map.get("add_prefisso").getStringa());
		}
		if(ApplicationUtil.isTrue(map.get("allow").getLogico())) {
			sp.setAllow(map.get("allow").getStringa());
		}
		if(ApplicationUtil.isTrue(map.get("interurbane").getLogico())) {
			sp.setInterurbane(map.get("interurbane").getBooleano());
		}
		if(ApplicationUtil.isTrue(map.get("attivo").getLogico())) {
			sp.setAttivo(map.get("attivo").getBooleano());
		}
		if(ApplicationUtil.isTrue(map.get("registrazione").getLogico())) {
			sp.setRegistrazione(map.get("registrazione").getBooleano());
		}
		if(ApplicationUtil.isTrue(map.get("opposizione").getLogico())) {
			sp.setOpposizione(map.get("opposizione").getBooleano());
		}
		if(ApplicationUtil.isTrue(map.get("interne").getLogico())) {
			sp.setInterne(map.get("interne").getBooleano());
		}
		
	}
	
	
	
}
