package it.callite.utility.thread;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import it.callite.constants.ConstantsLanguage;
import it.callite.dao.DownloadDao;
import it.callite.dao.MessaggioDao;
import it.callite.dao.UserDao;
import it.callite.model.Agente;
import it.callite.model.Contatto;
import it.callite.model.Utente;
import it.callite.model.messaggio.Destinatario;
import it.callite.model.messaggio.Messaggio;
import it.callite.utility.ApplicationUtil;

public class AgenteMessaggioThread extends Thread {

	private Contatto contatto;
	private MessaggioDao  messaggioDao;
	private DownloadDao downloadDao;
	private UserDao userDao;
	private Utente user;

	public AgenteMessaggioThread(Contatto contatto, MessaggioDao messaggioDao, DownloadDao downloadDao, UserDao userDao, Utente user) {
		this.contatto = contatto;
		this.messaggioDao = messaggioDao;
		this.downloadDao = downloadDao;
		this.userDao = userDao;
		this.user = user;
	}

	public void run() {

		List<Destinatario> destinatari = new ArrayList<Destinatario>();
		Agente agente = contatto.getAgente();
		if(agente != null) {
			List<Utente> utenti = userDao.getUtentiByAgenteId(agente.getId());
			if(ApplicationUtil.notEmpty(utenti)) {
				Iterator<Utente> uIt = utenti.iterator();
				while (uIt.hasNext()) {
					Utente utente = uIt.next();
					if(utente != null && !utente.equals(user)) {
						destinatari.add(new Destinatario(utente));
					}
				}
			}
		}
		if(ApplicationUtil.notEmpty(destinatari)) {
			Messaggio messaggio = messaggioDao.messaggioInInvio(user);
			String testo = downloadDao.notificaContattoToHTMLString(contatto, user);
			String oggetto = ConstantsLanguage.CONTATTO.stampa() + " - " + ConstantsLanguage.CAMPAGNA.stampa() + ": "+ contatto.getCampagna_denominazione() + "; "+  ConstantsLanguage.CONTATTO.stampa() +": "+contatto.getId();
			messaggio.setTesto(testo);
			messaggio.setOggetto(oggetto);
			messaggio.setDestinatari(destinatari);
			//messaggio.setAllegati(allegati);
			messaggioDao.salvaMessaggioNuovoInvia(messaggio);
		}
	}
}