package it.callite.utility.thread;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.util.List;
import java.util.Scanner;

import it.callite.constants.ConstantsGlobal;
import it.callite.utility.ApplicationUtil;
public class ConsoleThread extends Thread {
	private boolean sospeso = false;
	private Process processo;
	private List<String> lines;
	private String input;
	public ConsoleThread(Process processo, List<String> lines) {
		this.lines = lines;
		this.processo = processo;
	}
	public void run() {
		//BufferedReader stdInput = new BufferedReader(new InputStreamReader(processo.getInputStream()));
		//BufferedReader stdError = new BufferedReader(new InputStreamReader(processo.getErrorStream()));
		Scanner stdInput = new Scanner(new InputStreamReader(processo.getInputStream()));
		Scanner stdError = new Scanner(new InputStreamReader(processo.getErrorStream()));
		OutputStream toProc = processo.getOutputStream();
		try {
			while (stdInput.hasNextLine()) {
				lines.add(stdInput.nextLine());
				if(ApplicationUtil.isNotBlank(input)) {
					toProc.write((input + System.lineSeparator()).getBytes(ConstantsGlobal.CHARSET));
					toProc.flush();
					input = null;
				}
			}
			while (stdError.hasNextLine()) {
				lines.add(stdError.nextLine());
			}
			stdInput.close();
			stdError.close();
			toProc.close();
		} catch (IOException e) {
			if(!sospeso) {
				lines.add(e.getMessage());
			}
		}
	}
	public String getInput() {
		return input;
	}
	public void setInput(String input) {
		this.input = input;
	}
	public boolean isSospeso() {
		return sospeso;
	}
	public void setSospeso(boolean sospeso) {
		this.sospeso = sospeso;
	}
}