package it.callite.utility.thread;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsLanguage;
import it.callite.dao.DownloadDao;
import it.callite.dao.NotiziaDao;
import it.callite.dao.UserDao;
import it.callite.model.Contatto;
import it.callite.model.EsitoArchiviazione;
import it.callite.model.Notizia;
import it.callite.model.Utente;
import it.callite.utility.ApplicationUtil;
public class ContattoNotiziaThread extends Thread {
	private Contatto contatto;
	private UserDao userDao;
	private NotiziaDao  notiziaDao;
	private DownloadDao downloadDao;
	private EsitoArchiviazione esitoCliccato;
	private Utente user;
	public ContattoNotiziaThread(EsitoArchiviazione esitoCliccato, Contatto contatto, NotiziaDao notiziaDao, DownloadDao downloadDao, UserDao userDao, Utente user) {
		this.contatto = contatto;
		this.userDao = userDao;
		this.notiziaDao = notiziaDao;
		this.downloadDao = downloadDao;
		this.user = user;
		this.esitoCliccato = esitoCliccato;
	}
	public void run() {
		String emailDestinatario = ApplicationUtil.trimToEmpty(esitoCliccato.getNotizia_notifica());
		if (ApplicationUtil.isNotBlank(emailDestinatario)) {
			List<Utente> destinatari = new ArrayList<Utente>();
			List<String> uns = ApplicationUtil.tokenU(emailDestinatario, ConstantsGlobal.colonSeparator);
			if(ApplicationUtil.notEmpty(uns)) {
				Iterator<String> uIt = uns.iterator();
				while (uIt.hasNext()) {
					String un = ApplicationUtil.trimToNull((String) uIt.next());
					if(un != null) {
						Utente utente = userDao.getUserByUsername(un);
						if(utente != null && !utente.equals(user)) {
							destinatari.add(utente);
						}
					}
				}
			}
			if(ApplicationUtil.notEmpty(destinatari)) {
				Notizia notizia = new Notizia();
				String testo = downloadDao.notificaContattoToHTMLString(contatto, user);
				String oggetto = ConstantsLanguage.ARCHIVIAZIONE.stampa() + " - " + ConstantsLanguage.CAMPAGNA.stampa() + ": "+ contatto.getCampagna_denominazione()	+"; "+  ConstantsLanguage.CONTATTO.stampa() +": "+contatto.getId();
				notizia.setTesto(testo);
				notizia.setOggetto(oggetto);
				notizia.setUtenti(destinatari);
				//notizia.setAllegati(allegati);
				notiziaDao.salvaNotiziaNuova(notizia);
			}
		}
	}
}