package it.callite.utility.thread;

import java.io.ByteArrayOutputStream;
import java.util.List;
import java.util.Map;

import it.callite.dao.DownloadDao;
import it.callite.log.ErrorLog;
import it.callite.model.Contratto;
import it.callite.model.TemplateProdotto;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.DatoAggiuntivo;
import it.callite.utility.Firma;
import it.callite.utility.ProdottoSelezionato;


public class FirmaThread extends Thread {

	private DownloadDao downloadDao;
	private TemplateProdotto documento;
	private ProdottoSelezionato prd;
	private Contratto contratto;
	private Map<String, DatoAggiuntivo> vs;
	private String name;

	public FirmaThread(DownloadDao downloadDao, TemplateProdotto documento, String name, ProdottoSelezionato prd, Map<String, DatoAggiuntivo> vs, Contratto contratto) {
		this.downloadDao = downloadDao;
		this.documento = documento;
		this.name = name;
		this.prd = prd;
		this.contratto = contratto;
		this.vs = vs;
	}

	public void run() {
		try {
			String w = downloadDao.getWatermark();
			ByteArrayOutputStream bos = new ByteArrayOutputStream();
			List<Firma> lsf = ApplicationUtil.mergeDataIntoTemplatePDF(w, bos, vs, documento.getId());
			bos.flush();
			bos.close();
			String email = downloadDao.firmaToHTMLString(contratto);
			ApplicationUtil.contrattoPda(lsf, bos.toByteArray(), name, prd, documento.getId().getDocumento(), ApplicationUtil.replaceInString(email, vs));
		} catch (Exception e) {
			ErrorLog.log(null, getClass(), e);	
		}
	}

}
