package it.callite.utility.thread;
import java.io.ByteArrayInputStream;
import java.util.List;

import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsLanguage;
import it.callite.constants.ConstantsMap;
import it.callite.dao.DownloadDao;
import it.callite.model.Utente;
import it.callite.model.messaggio.AllegatoMessaggio;
import it.callite.model.messaggio.Destinatario;
import it.callite.model.messaggio.Messaggio;
import it.callite.service.SmtpService;
import it.callite.utility.Allegato;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.MailSupport;
public class MessaggioThread extends Thread {
	
	private SmtpService smtpService;
	private DownloadDao downloadDao;
	private Messaggio messaggio;
	private List<Destinatario> destinatari;
	private List<AllegatoMessaggio> allegati;
	private boolean zip;
	
	public MessaggioThread(Messaggio messaggio, List<Destinatario> destinatari, List<AllegatoMessaggio> allegati, boolean zip, SmtpService smtpService, DownloadDao downloadDao) {
		this.smtpService = smtpService;
		this.downloadDao = downloadDao;
		this.messaggio = messaggio;
		this.destinatari = destinatari;
		this.allegati = allegati;
		this.zip = zip;
	}
	
	public void run() {
		MailSupport ms = smtpService.getMailSupport(false);
		for(Destinatario dest: destinatari) {
			Utente user = dest.getUser();
			if(ApplicationUtil.isNotEmpty(user.getEmail())) {
				if(ApplicationUtil.isTrue(user.getNotificaMessaggi())) {
					String  testo = downloadDao.getMessaggioEmailTemplate(messaggio, user);
					String oggetto = ApplicationUtil.report(ConstantsLanguage.NOTIFICA.stampa() + ": " +  messaggio.getOggetto() , ConstantsGlobal.no_periodo,  messaggio.getData_creazione());
					if(zip){ 
						ByteArrayInputStream is = ApplicationUtil.zippaPerEmail(messaggio, allegati);
						String file = ApplicationUtil.reportFile(ApplicationUtil.date(), ConstantsLanguage.ALLEGATO.stampa()) + "." + ConstantsMap.zip;
						List<Allegato> all = ApplicationUtil.allegatiConvertI(is, file);
						smtpService.invia(ms, messaggio.getMittente().getEmail(), user.getEmail(), null, oggetto, testo, all, null);
					} else {
						List<Allegato> all = ApplicationUtil.allegatiListM(allegati);
						smtpService.invia(ms, messaggio.getMittente().getEmail(), user.getEmail(), null, oggetto, testo, all, null);
					}
				}
			}
		}
		ms.close();
	}
}