package it.callite.utility.thread;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

import it.callite.dao.ComunicazioneDao;
import it.callite.model.Contatto;
import it.callite.model.Email;
import it.callite.model.EmailTemplate;
import it.callite.model.EsitoArchiviazione;
import it.callite.model.Utente;
import it.callite.utility.Allegato;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.DatoAggiuntivo;
public class PannelloEmailSenderThread extends Thread {
	private Map<String, DatoAggiuntivo> valori_sondaggio;
	private List<Allegato> documentiGenerati;
	private EsitoArchiviazione esito;
	private Contatto contatto;
	private Utente utente;
	private ComunicazioneDao comunicazioneDao;
	public PannelloEmailSenderThread(Utente utente, Contatto contatto, EsitoArchiviazione esito, Map<String, DatoAggiuntivo> valori_sondaggio, List<Allegato> documentiGenerati, ComunicazioneDao comunicazioneDao) {
		this.contatto = contatto;
		this.utente = utente;
		this.esito = esito;
		this.valori_sondaggio = valori_sondaggio;
		this.documentiGenerati = documentiGenerati;
		this.comunicazioneDao = comunicazioneDao;
	}
	public void run() {
		List<EmailTemplate> templates = comunicazioneDao.getAllEmailTemplate(contatto.getCampagna().getId(), esito);
		if(ApplicationUtil.notEmpty(templates)) {
			Iterator<EmailTemplate> it = templates.iterator();
			while (it.hasNext()) {
				EmailTemplate template = (EmailTemplate) it.next();
				if (template != null && ApplicationUtil.isTrue(template.getAttivo())) {
					Email email = comunicazioneDao.creaEmailDaTemplate(template, valori_sondaggio);
					email.setDestinatario(contatto.getAnagrafica().getEmail());
					email.setContatto(contatto);
					if (ApplicationUtil.isTrue(template.getInvia_allegati())) {
						email.getEmailTemplate().setAllegati(documentiGenerati);
					}
					comunicazioneDao.inviaEmail(email, utente, null);
				}
			}
		}
	}
}