package it.callite.utility.thread;
import java.util.ArrayList;
import java.util.List;

import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsLanguage;
import it.callite.dao.DownloadDao;
import it.callite.dao.MessaggioDao;
import it.callite.model.Contatto;
import it.callite.model.Utente;
import it.callite.model.messaggio.Destinatario;
import it.callite.model.messaggio.Messaggio;
import it.callite.utility.ApplicationUtil;

public class ProprietarioMessaggioThread extends Thread {

	private Contatto contatto;
	private MessaggioDao  messaggioDao;
	private DownloadDao downloadDao;
	private Utente user;

	public ProprietarioMessaggioThread(Contatto contatto, MessaggioDao messaggioDao, DownloadDao downloadDao, Utente user) {
		this.contatto = contatto;
		this.messaggioDao = messaggioDao;
		this.downloadDao = downloadDao;
		this.user = user;
	}

	public void run() {
		
		Utente proprietario = contatto.getProprietario();
		if(proprietario != null && ApplicationUtil.equals(contatto.getTipo(), ConstantsGlobal.inviato)) {
			List<Destinatario> destinatari = new ArrayList<Destinatario>();
			if(!proprietario.equals(user)) {
				destinatari.add(new Destinatario(proprietario));
			}
			if(ApplicationUtil.notEmpty(destinatari)) {
				Messaggio messaggio = messaggioDao.messaggioInInvio(user);
				String testo = downloadDao.notificaContattoToHTMLString(contatto, user);
				String oggetto = ConstantsLanguage.PERSONALE.stampa() + " - " + ConstantsLanguage.CAMPAGNA.stampa() + ": "+ contatto.getCampagna_denominazione() + "; "+  ConstantsLanguage.CONTATTO.stampa() +": "+contatto.getId();
				messaggio.setTesto(testo);
				messaggio.setOggetto(oggetto);
				messaggio.setDestinatari(destinatari);
				//messaggio.setAllegati(allegati);
				messaggioDao.salvaMessaggioNuovoInvia(messaggio);
			}
		}
	}
}