package it.callite.validator;
import java.util.Map;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;
import it.callite.dao.DataDao;
import it.callite.message.Message;
import it.callite.model.Busta;
import it.callite.utility.ApplicationUtil;
public class AllegatoBustaValidator implements Validator {
	public AllegatoBustaValidator() {
	}	
	public void validate(FacesContext facesContext, UIComponent uIComponent,Object object)  {
		Long confirm = null;
		Map<String,Object> mappa = uIComponent.getAttributes();
		if(ApplicationUtil.notEmpty(mappa)) {
			confirm = ApplicationUtil.toLong(mappa.get("confirm")); 
		}
		String enteredName = ApplicationUtil.trimToNull((String) object);
		if(enteredName != null) {
			DataDao dao = (DataDao) ApplicationUtil.getDao(facesContext, "dataDao");
			if(ApplicationUtil.isValid(enteredName)) {
				throw new ValidatorException(Message.addValidatorMessage("valore_non_consentito" , null));
			}
			Long ctrs = dao.getAllegatoByNome(Busta.class, enteredName);
			if (ApplicationUtil.gtZero(ctrs)) {
				if(confirm == null) {
					throw new ValidatorException(Message.addValidatorMessage("duplicato" , null));
				} else {
					if(!ApplicationUtil.eq(confirm, ctrs)) {
						throw new ValidatorException(Message.addValidatorMessage("duplicato" , null));
					}
				}
			}
		} else {
			throw new ValidatorException(Message.addValidatorMessage("richiesto" , null));
		}
	} 
}