package it.callite.validator;
import java.util.Map;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;
import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsLanguage;
import it.callite.constants.ConstantsMap;
import it.callite.dao.AnagraficaDao;
import it.callite.message.Message;
import it.callite.utility.ApplicationUtil;
public class CampoAnagraficaValidator implements Validator {
	public CampoAnagraficaValidator() {
	}
	public void validate(FacesContext facesContext, UIComponent uIComponent,Object object)  {
		Long confirm = null;
		Map<String,Object> mappa = uIComponent.getAttributes();
		if(ApplicationUtil.notEmpty(mappa)) {
			confirm = ApplicationUtil.toLong(mappa.get("confirm")); 
		}
		String enteredName = ApplicationUtil.trimToNull((String) object);
		if(enteredName != null) {
			AnagraficaDao dao = (AnagraficaDao) ApplicationUtil.getDao(facesContext, "anagraficaDao");
			if(ConstantsMap.totalS.contains(enteredName) || enteredName.contains(ConstantsGlobal.colonSeparator)) {
				throw new ValidatorException(Message.addValidatorMessage("valore_non_consentito" , null));
			}
			Long ctrsA = dao.getCampoAnagraficaByChiave(enteredName);
			if (ApplicationUtil.gtZero(ctrsA)) {
				if(confirm == null) {
					throw new ValidatorException(Message.addValidatorMessage("duplicato" , null));
				} else {
					if(!ApplicationUtil.eq(confirm, ctrsA)) {
						throw new ValidatorException(Message.addValidatorMessage("duplicato" , null));
					}
				}
			}
			Long  ctrsC = dao.getCampoContrattoByChiave(enteredName);
			if (ApplicationUtil.gtZero(ctrsC)) {
				throw new ValidatorException(Message.addValidatorMessage("duplicato" , ConstantsLanguage.CONTRATTO.stampa()));
			}
		} else {
			throw new ValidatorException(Message.addValidatorMessage("valore_non_consentito" , null));
		}
	} 
}