package it.callite.validator;
import java.util.Date;
import java.util.Map;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;
import it.callite.message.Message;
import it.callite.utility.ApplicationUtil;
public class DataRangeValidator implements Validator {
	public DataRangeValidator() {
	}
	@Override
	public void validate(FacesContext context, UIComponent uIComponent, Object value) throws ValidatorException {
		Date endDate = (Date) value;
		Date now = ApplicationUtil.date();
		Date start = null;
		Date end = null;
		if (endDate != null) {
			String inizio = null;
			String fine = null;
			Map<String,Object> mappa = uIComponent.getAttributes();
			if(ApplicationUtil.notEmpty(mappa)) {
				inizio = ApplicationUtil.trimToNull((String) mappa.get("inizio")); 
				fine = ApplicationUtil.trimToNull((String) mappa.get("fine")); 
			}
			if(inizio != null) {
				start = ApplicationUtil.addDays(now, Integer.valueOf(inizio));
			}
			if(fine != null) {
				end = ApplicationUtil.addDays(now, Integer.valueOf(fine));
			}
			if((start != null && endDate.before(start)) || (end != null && endDate.after(end))) {
				//ApplicationUtil.resetComponent(uIComponent, startU, false);
				throw new ValidatorException(Message.addValidatorMessage("valore_non_consentito" , null));
			} 
			//ApplicationUtil.resetComponent(uIComponent, startU, true);
		}
	}
}