package it.callite.validator;
import java.util.List;
import java.util.Map;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;
import it.callite.dao.ImpostazioneDao;
import it.callite.message.Message;
import it.callite.utility.ApplicationUtil;
public class DatoAggiuntivoDuplicatoValidator implements Validator {
	public DatoAggiuntivoDuplicatoValidator() {
	}
	public void validate(FacesContext facesContext, UIComponent uIComponent,Object object)  {
		String enteredName = ApplicationUtil.trimToNull((String) object);
		if(enteredName != null) {
			ImpostazioneDao dao = (ImpostazioneDao) ApplicationUtil.getDao(facesContext, "impostazioneDao");
			String chiave = null;
			Boolean tipologia = null;
			Long confirm = null;
			Map<String,Object> mappa = uIComponent.getAttributes();
			if(ApplicationUtil.notEmpty(mappa)) {
				chiave = ApplicationUtil.trimToNull((String) mappa.get("chiave")); 
				tipologia = ApplicationUtil.toBoolean(mappa.get("tipologia")); 
				confirm = ApplicationUtil.toLong(mappa.get("confirm")); 
			}
			if(tipologia != null) {
				List<Long> ctrs = tipologia ? dao.getCampoAnagrafica(chiave, enteredName) : dao.getCampoContratto(chiave, enteredName);
				if(ApplicationUtil.notEmpty(ctrs)) {
					if(confirm == null) {
						throw new ValidatorException(Message.addValidatorMessage("duplicato" , null));
					} else {
						if (!ctrs.contains(confirm)) {
							throw new ValidatorException(Message.addValidatorMessage("duplicato" , null));
						}
					}
				}
			}
		} 
	}
}