package it.callite.validator;
import java.util.Map;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;
import it.callite.dao.ImpostazioneDao;
import it.callite.message.Message;
import it.callite.utility.ApplicationUtil;
public class DatoOpposizioneValidator implements Validator {
	public DatoOpposizioneValidator() {
	}
	public void validate(FacesContext facesContext, UIComponent uIComponent,Object object)  {
		String enteredName = ApplicationUtil.trimToNull((String) object);
		if(enteredName != null) {
			ImpostazioneDao dao = (ImpostazioneDao) ApplicationUtil.getDao(facesContext, "impostazioneDao");
			Long campagna = null;
			Boolean opposizione = null;
			Map<String,Object> mappa = uIComponent.getAttributes();
			if(ApplicationUtil.notEmpty(mappa)) {
				campagna = ApplicationUtil.toLong(mappa.get("campagna")); 
				opposizione =  ApplicationUtil.toBoolean(mappa.get("opposizione"));
			}
			if(ApplicationUtil.isTrue(opposizione)) {
				int ctrs1 = dao.getByTelefono(null, enteredName);
				if (ctrs1 >  0) {
					throw new ValidatorException(Message.addValidatorMessage("opposizione" , null));
				}
				if(ApplicationUtil.gtZero(campagna)) {
					int ctrs2 = dao.getByTelefono(campagna, enteredName);
					if (ctrs2 >  0) {
						throw new ValidatorException(Message.addValidatorMessage("opposizione" , null));
					}
				}
			}
		} 
	}
}