package it.callite.validator;
import java.util.Map;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;
import com.warrenstrange.googleauth.GoogleAuthenticator;
import com.warrenstrange.googleauth.GoogleAuthenticatorConfig;
import it.callite.dao.DataDao;
import it.callite.message.Message;
import it.callite.utility.ApplicationUtil;
public class OTPValidator implements Validator {
	public OTPValidator() {
	}
	public void validate(FacesContext facesContext, UIComponent uIComponent,Object object)  {
		DataDao dao = (DataDao) ApplicationUtil.getDao(facesContext, "dataDao");
		boolean blocca = true;
		Map<String,Object> mappa = uIComponent.getAttributes();
		if(ApplicationUtil.notEmpty(mappa)) {
			String s = ApplicationUtil.trimToNull((String) mappa.get("confirm"));
			String g = ApplicationUtil.trimToNull((String) object);
			if(s != null && g != null) {
				String KEY_SECRET = ApplicationUtil.base32Encoder(s);
				GoogleAuthenticatorConfig config = dao.getGoogleAuthenticatorConfig();
				GoogleAuthenticator ga = new GoogleAuthenticator(config);
				Integer otp = ApplicationUtil.parseInteger(g);
				if(otp != null) {
					blocca = !ga.authorize(KEY_SECRET, otp);
				}
			}
		}
		if(blocca){
			throw new ValidatorException(Message.addValidatorMessage("codice.errato" , null));
		}
	}
}