package it.callite.validator;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;

import it.callite.constants.ConstantsGlobal;
import it.callite.dao.ImpostazioneDao;
import it.callite.message.Message;
import it.callite.utility.ApplicationUtil;

public class PasswordValidator implements Validator {

	public PasswordValidator() {
	}

	public void validate(FacesContext facesContext, UIComponent uIComponent, Object object)  {
		String confirm = null;
		Map<String,Object> mappa = uIComponent.getAttributes();
		if(ApplicationUtil.notEmpty(mappa)) {
			confirm = (String) mappa.get("confirm"); 
		}
		String var = (String) object;

		ImpostazioneDao service = (ImpostazioneDao)	ApplicationUtil.getDao(facesContext, "impostazioneDao");
		Boolean pass_cambia = service.cambioPassword();
		if(pass_cambia && ApplicationUtil.isNotBlank(confirm)) {
			String password_new = ApplicationUtil.encoder(var);
			if(password_new.equals(confirm)){
				throw new ValidatorException(Message.addValidatorMessage("password.diversa", null));
			}
		}
		int min0 = service.cambioPasswordMinTotale();
		int min1 = service.cambioPasswordMinLettere();
		int min2 = service.cambioPasswordMinMinuscole();
		int min3 = service.cambioPasswordMinMaiuscole();
		int min4 = service.cambioPasswordMinNumeri();
		int min5 = service.cambioPasswordMinSimboli();
		boolean b = var.length() >= min0;
		if (!b) {
			throw new ValidatorException(Message.addValidatorMessageError(String.format(Message.addCatalogText("strA"), min0)));
		}
		boolean c = ApplicationUtil.passValid(var, min1, min2, min3, min4, min5);
		if (!c) {
			String msg = new String(Message.addCatalogText("strB") + ": ");
			List<String> cond = new ArrayList<String>();
			if(min1 > 0) {
				cond.add(min1 + " " + Message.addCatalogText("str1"));
			}
			if(min2 > 0) {
				cond.add(min2 + " " + Message.addCatalogText("str2"));
			}
			if(min3 > 0) {
				cond.add(min3 + " " + Message.addCatalogText("str3"));
			}
			if(min4 > 0) {
				cond.add(min4 + " " + Message.addCatalogText("str4"));
			}
			if(min5 > 0) {
				cond.add(min5 + " " + Message.addCatalogText("str5"));
			}
			throw new ValidatorException(Message.addValidatorMessageError(msg + ApplicationUtil.detoken(cond, ConstantsGlobal.commaSeparator + " ")));
		}
	} 
}