package it.callite.validator;
import java.util.Map;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;
import it.callite.message.Message;
import it.callite.utility.ApplicationUtil;
public class RegexValidator implements Validator {
	public RegexValidator() {
	}
	public void validate(FacesContext facesContext, UIComponent uIComponent,Object object)  {
		String input = ApplicationUtil.trimToEmpty((String) object);
		if(ApplicationUtil.isNotEmpty(input)) {
			String pattern = null;
			Map<String,Object> mappa = uIComponent.getAttributes();
			if(ApplicationUtil.notEmpty(mappa)) {
				pattern = (String) mappa.get("pattern"); 
			}
			if(ApplicationUtil.isNotBlank(pattern)) {
				Pattern p = Pattern.compile(pattern);
				Matcher m = p.matcher(input);
				boolean b = m.matches();	  		 
				if(!b){
					throw new ValidatorException(Message.addValidatorMessage("formato.errato", pattern));
				}
			}
		} 
	}
}