package it.callite.validator;

import java.util.Map;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;

import it.callite.dao.UserDao;
import it.callite.message.Message;
import it.callite.model.Utente;
import it.callite.utility.ApplicationUtil;

public class UsernameValidator implements Validator {

	public UsernameValidator() {
	}

	public void validate(FacesContext facesContext, UIComponent uIComponent,Object object)  {
		Long confirm = null;
		Map<String,Object> mappa = uIComponent.getAttributes();
		if(ApplicationUtil.notEmpty(mappa)) {
			confirm = ApplicationUtil.toLong(mappa.get("confirm")); 
		}
		String enteredName = ApplicationUtil.trimToNull((String) object);
		if(enteredName != null) {
			UserDao dao = (UserDao) ApplicationUtil.getDao(facesContext, "userDao");
			Utente ctrs = dao.getUserByUsername(enteredName);
			if (ctrs != null) {
				if(confirm == null) {
					throw new ValidatorException(Message.addValidatorMessage("duplicato" , null));
				} else {
					if(!ApplicationUtil.eq(confirm, ctrs.getId())) {
						throw new ValidatorException(Message.addValidatorMessage("duplicato" , null));
					}
				}
			}
		} else {
			throw new ValidatorException(Message.addValidatorMessage("richiesto" , null));
		}
	} 
}