package it.callite.validator.intervallo;
import java.util.Date;
import java.util.Map;
import javax.faces.component.UIComponent;
import javax.faces.component.UIInput;
import javax.faces.context.FacesContext;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;
import it.callite.message.Message;
import it.callite.utility.ApplicationUtil;
public class TimeValidator2 implements Validator {
	public TimeValidator2() {
	}
	@Override
	public void validate(FacesContext context, UIComponent uIComponent, Object value) throws ValidatorException {
		Date oggi = ApplicationUtil.date();
		Date endDateP = (Date) value;
		if (endDateP != null) {
			Date endDate = ApplicationUtil.settaOrarioAData(oggi, endDateP);
			String confirm = null;
			Boolean interval = null;
			Map<String,Object> mappa = uIComponent.getAttributes();
			if(ApplicationUtil.notEmpty(mappa)) {
				confirm = ApplicationUtil.trimToNull((String) mappa.get("confirm")); 
				interval = ApplicationUtil.toBoolean(mappa.get("interval"));
			}
			if(confirm != null  && ApplicationUtil.isTrue(interval))   {
				UIInput startU = ApplicationUtil.findComponent(uIComponent, confirm);
				if (startU != null && startU.isValid()) {
					Date startDateP = (Date) startU.getValue();
					if (startDateP != null) {
						Date startDate = ApplicationUtil.settaOrarioAData(oggi, startDateP);
						if (startDate.after(endDate)) {
							//ApplicationUtil.resetComponent(uIComponent, startU, false);
							throw new ValidatorException(Message.addValidatorMessage("valore_non_consentito" , null));
						}
					}
				}
				//ApplicationUtil.resetComponent(uIComponent, startU, true);
			}
		}
	}
}