import event.ManagerEventResponse;
import it.asterisk.manager.ManagerConnection;
import it.asterisk.manager.ManagerConnectionFactory;
import it.asterisk.manager.action.OriginateAction;
import it.asterisk.manager.response.ManagerResponse;
import it.callite.constants.ConstantsGlobal;
import it.callite.utility.ApplicationUtil;

public class AvvioChiamata {

	private static String server = "demo.callite.it";
	private static String username = "callite";
	private static String password = "";
	private static int porta = 5040;
	private static String prefisso = "39";
	private static String caller = "0823123456";
	private static String fornitore = "albcom";
	private static String utente = "1";
	private static String contatto = "12";
	private static String protocol = "PJSIP/";
	public static long timeout = 30L;

	public static void main(String[] args) {
		try {
			/*
			 * non registrato 		3289335592 3005
			 * inesistente 			0810117029 3006 4005
			 * numero assurdo 		567890987
			 * occupato 			0823160618 3289335592 3005
			 * rifiuta chiamata 	3289335592 3005
			 * non risponde 		0823160618 3289335592 3005
			 * risponde				0823160618 3289335592 3005
			 * 
			 */

			// iptables -A INPUT -p tcp -s ${IP_SERVER} --dport 5040 -j ACCEPT
			testCall("0810117029", "3289335592");
		} catch (Exception e) {
			System.out.println(e.getMessage());
		}
	}

	@SuppressWarnings("unused")
	public static void testCall(String c, String r) throws Exception {
		ManagerEventResponse manager = new ManagerEventResponse();

		ManagerConnectionFactory factory = new ManagerConnectionFactory(server, porta, username, password);
		ManagerConnection managerConnection = factory.createManagerConnection();
		managerConnection.login();
		managerConnection.addEventListener(manager);
		OriginateAction originateAction = new OriginateAction();
		String achiama = (c != null && c.length() > 4) ? (prefisso + c + "@" + fornitore) : c;
		String rchiama = (r != null && r.length() > 4) ? (prefisso + r + "@" + fornitore) : r;
		originateAction.setChannel(protocol + achiama);
		originateAction.setContext(ConstantsGlobal.manualcall);
		originateAction.setCallerId(prefisso + caller);
		//originateAction.setApplication(ConstantsGlobal.appData);
		originateAction.setAccount(contatto);
		originateAction.setEarlyMedia(false);
		originateAction.setPriority(ConstantsGlobal.priority);
		originateAction.setExten(ConstantsGlobal.extensionS);
		ApplicationUtil.setVariable(true, originateAction, ConstantsGlobal.ESTENSIONE, prefisso + caller);
		ApplicationUtil.setVariable(true, originateAction, ConstantsGlobal.CLIENTE, c);
		ApplicationUtil.setVariable(true, originateAction, ConstantsGlobal.VTX, "2");
		ApplicationUtil.setVariable(true, originateAction, ConstantsGlobal.VRX, "2");
		ApplicationUtil.setVariable(true, originateAction, ConstantsGlobal.NUMERO, c);
		ApplicationUtil.setVariable(true, originateAction, ConstantsGlobal.CONTATTO, contatto);
		ApplicationUtil.setVariable(true, originateAction, ConstantsGlobal.NUMERO, rchiama);
		ApplicationUtil.setVariable(true, originateAction, ConstantsGlobal.CALLERS, prefisso + caller);
		ApplicationUtil.setVariable(true, originateAction, ConstantsGlobal.UTENTE, utente);
		originateAction.setActionId(contatto);
		originateAction.setTimeout(timeout * ConstantsGlobal.millis);
		originateAction.setAsync(true);
		ManagerResponse mm = managerConnection.sendAction(originateAction, timeout * ConstantsGlobal.millis);

		//System.out.println(mm);
		ApplicationUtil.sleep(2 * timeout * ConstantsGlobal.millis);
		managerConnection.removeEventListener(manager);
		managerConnection.logoff();
		System.out.println("******************************************************");
	}


}
