package it.callite.dao;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;

import javax.faces.model.SelectItem;

import org.apache.poi.ss.usermodel.Workbook;
import org.hibernate.FetchMode;
import org.hibernate.Hibernate;
import org.hibernate.Session;
import org.hibernate.Transaction;
import org.hibernate.criterion.DetachedCriteria;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.ProjectionList;
import org.hibernate.criterion.Projections;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import it.callite.action.DownloadBean;
import it.callite.column.generic.GenericColumn;
import it.callite.constants.ConstantsColumn;
import it.callite.constants.ConstantsEsito;
import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsLanguage;
import it.callite.constants.ConstantsMap;
import it.callite.criteria.AnagraficaCriteria;
import it.callite.criteria.ComuneCriteria;
import it.callite.criteria.FileCriteria;
import it.callite.criteria.ProvinciaCriteria;
import it.callite.criteria.TemplateExportAnagraficaCriteria;
import it.callite.criteria.TemplateExportAppuntamentoCriteria;
import it.callite.criteria.TemplateExportContattoCriteria;
import it.callite.criteria.TemplateExportContrattoCriteria;
import it.callite.criteria.TemplateExportStoriaAppuntamentoCriteria;
import it.callite.criteria.TemplateExportStoriaContattoCriteria;
import it.callite.criteria.TemplateExportStoriaContrattoCriteria;
import it.callite.criteria.TemplateImportAnagraficaCriteria;
import it.callite.criteria.TemplateImportAppuntamentoCriteria;
import it.callite.criteria.TemplateImportContattoCriteria;
import it.callite.criteria.TemplateImportContrattoCriteria;
import it.callite.criteria.TemplateImportCriteria;
import it.callite.criteria.TemplateImportOpposizioneCriteria;
import it.callite.criteria.ZonaCriteria;
import it.callite.criteria.base.ExtendedCriteria;
import it.callite.dao.generic.GenericDao;
import it.callite.log.ErrorLog;
import it.callite.model.Anagrafica;
import it.callite.model.Appuntamento;
import it.callite.model.AutoContatto;
import it.callite.model.Campagna;
import it.callite.model.CampoAggiuntivoAnagrafica;
import it.callite.model.CampoAggiuntivoContratto;
import it.callite.model.Comune;
import it.callite.model.Contatto;
import it.callite.model.Contratto;
import it.callite.model.DatoAggiuntivoAnagrafica;
import it.callite.model.DomandaAnagrafica;
import it.callite.model.Email;
import it.callite.model.EsitoArchiviazione;
import it.callite.model.EsitoChiamata;
import it.callite.model.Indirizzo;
import it.callite.model.Rmail;
import it.callite.model.Lista;
import it.callite.model.Notifica;
import it.callite.model.Opposizione;
import it.callite.model.Provincia;
import it.callite.model.Sondaggio;
import it.callite.model.SondaggioAnagrafica;
import it.callite.model.StoriaAppuntamento;
import it.callite.model.StoriaContatto;
import it.callite.model.StoriaContratto;
import it.callite.model.Telecom;
import it.callite.model.TemplateExportAnagrafica;
import it.callite.model.TemplateExportAppuntamento;
import it.callite.model.TemplateExportContatto;
import it.callite.model.TemplateExportContratto;
import it.callite.model.TemplateExportStoriaAppuntamento;
import it.callite.model.TemplateExportStoriaContatto;
import it.callite.model.TemplateExportStoriaContratto;
import it.callite.model.TemplateImportAnagrafica;
import it.callite.model.TemplateImportAppuntamento;
import it.callite.model.TemplateImportContatto;
import it.callite.model.TemplateImportContratto;
import it.callite.model.TemplateImportOpposizione;
import it.callite.model.Utente;
import it.callite.model.Workflow;
import it.callite.model.Zona;
import it.callite.model.allegato.AllegatoAnagrafica;
import it.callite.model.anagrafica.AnagraficaXML;
import it.callite.model.anagrafica.CampoAggiuntivoAnagraficaXML;
import it.callite.model.report.ColonnaModel;
import it.callite.model.report.ColonnaQuery;
import it.callite.model.report.ReportBackground;
import it.callite.model.sip.Cdr;
import it.callite.service.SmtpService;
import it.callite.utility.Allegato;
import it.callite.utility.ApplicationUtil;
import it.callite.utility.DatoAggiuntivoAnagraficaRicerca;
import it.callite.utility.ExcelExport;
import it.callite.utility.ExcelImport;
import it.callite.utility.FileConversione;
import it.callite.utility.FileUpload;
import it.callite.utility.LoggerColonna;
import it.callite.utility.MyFile;
import it.callite.utility.Parameter;
import it.callite.utility.TemplateImportConsentite;
import it.callite.utility.UtilOffice;
import it.callite.utility.importa.ImportBase;
import it.callite.utility.importa.ImportModelAnagrafica;
import it.callite.utility.importa.ImportModelAppuntamento;
import it.callite.utility.importa.ImportModelConsentite;
import it.callite.utility.importa.ImportModelContatto;
import it.callite.utility.importa.ImportModelContratto;
import it.callite.utility.importa.ImportModelOpposizione;
import it.callite.utility.item.ContattoSI;
import it.callite.utility.item.Elemento;
import it.callite.utility.item.GenericSI;
import it.callite.utility.thread.anagrafica.ExcelImportBaseThread;
import it.callite.utility.thread.anagrafica.ExcelImportCampagnaThread;
import it.callite.utility.thread.anagrafica.ExcelImportXLSThread;
import it.callite.utility.thread.anagrafica.ExcelImportXMLThread;
@SuppressWarnings("serial")
@Repository("anagraficaDao")
public class AnagraficaDao extends GenericDao {

	@Autowired
	private SmtpService smtpService;
	@Autowired
	private CampagnaDao campagnaDao;
	@Autowired
	private ImpostazioneDao impostazioneDao;
	@Autowired
	private OperazioneDao operazioneDao;
	@Autowired
	private PannelloDao pannelloDao;
	@Autowired
	private DownloadDao downloadDao;
	@Autowired
	private DataDao dataDao;

	private Map<String, ExcelImportBaseThread> processiImport = new HashMap<String, ExcelImportBaseThread>();

	public String getPathBackupAnagrafica() {
		return impostazioneDao.getPathBase(ConstantsGlobal.path_backup_anagrafica);
	}
	public String getPathBackupAppuntamento() {
		return impostazioneDao.getPathBase(ConstantsGlobal.path_backup_appuntamento);
	}
	public String getPathBackupContratto() {
		return impostazioneDao.getPathBase(ConstantsGlobal.path_backup_contratto);
	}
	public String getPathBackupContatto() {
		return impostazioneDao.getPathBase(ConstantsGlobal.path_backup_contatto);
	}
	public String getPathBackupOpposizione() {
		return impostazioneDao.getPathBase(ConstantsGlobal.path_backup_opposizione);
	}
	public void scaricaAllegato(Anagrafica anagrafica, DownloadBean downloadBean) {
		List<AllegatoAnagrafica> allegati = getListaAllegati(anagrafica);
		if(ApplicationUtil.notEmpty(allegati)) {
			String p = ConstantsGlobal.secretZ;
			try {
				String s = impostazioneDao.getPathBaseR(ConstantsGlobal.path_anagrafica);
				String file_header = ApplicationUtil.reportFile(anagrafica.getData_creazione(), ConstantsLanguage.ANAGRAFICA.stampa() , anagrafica.getId(), anagrafica.getDenominazione()) + "." + ConstantsMap.zip;
				OutputStream out = downloadBean.outputStream();
				downloadBean.filename(file_header, allegati);
				List<Allegato> all = new ArrayList<Allegato>();
				Iterator<AllegatoAnagrafica> itA = allegati.iterator();
				while (itA.hasNext()) {
					AllegatoAnagrafica allegato = (AllegatoAnagrafica) itA.next();
					ApplicationUtil.addFile(all, allegato.getId() + "_" +allegato.getNome(), allegato.getContentFile(s), allegato.getData().getTime());
				}
				ApplicationUtil.zip(null, all, out, p);
				downloadBean.close();
			} catch (Exception e) {
				ErrorLog.log(null, getClass(), e);
			}
		}
	}
	public void scaricaAllegati(List<Anagrafica> anagrafiche, DownloadBean downloadBean) {
		List<AllegatoAnagrafica> allegati = getListaAllegati(anagrafiche);
		String p = impostazioneDao.getPasswordZIP();
		try {
			String s = impostazioneDao.getPathBaseR(ConstantsGlobal.path_anagrafica);
			String file_header = ApplicationUtil.reportFile(ApplicationUtil.date(), ApplicationUtil.lowerCase(ConstantsLanguage.ALLEGATI.stampa() + "_" + ConstantsLanguage.ANAGRAFICHE.stampa())) + "." + ConstantsMap.zip;
			OutputStream out = downloadBean.outputStream();
			downloadBean.filename(file_header, anagrafiche, allegati);
			List<Allegato> all = new ArrayList<Allegato>();
			if(ApplicationUtil.notEmpty(allegati)) {
				Iterator<AllegatoAnagrafica> itA = allegati.iterator();
				while (itA.hasNext()) {
					AllegatoAnagrafica allegato = (AllegatoAnagrafica) itA.next();
					ApplicationUtil.addFile(all, allegato.getAnagrafica().getId() + "_" + allegato.getId() + "_" +allegato.getNome(), allegato.getContentFile(s), allegato.getData().getTime());
				}
			}
			if (ApplicationUtil.empty(all)) {
				ApplicationUtil.fileWriter(all, ConstantsLanguage.NO_ANAGRAFICA.stampa(), ConstantsLanguage.NO_ANAGRAFICHE.stampa());
			}
			ApplicationUtil.zip(null, all, out, p);
			downloadBean.close();
		} catch (Exception e) {
			ErrorLog.log(null, getClass(), e);
		}
	}
	public void scaricaAllegato(AllegatoAnagrafica allegato, DownloadBean downloadBean) {
		try {
			String s = impostazioneDao.getPathBaseR(ConstantsGlobal.path_anagrafica);
			OutputStream out = downloadBean.outputStream();
			downloadBean.filename(allegato.getNome());
			InputStream is = new ByteArrayInputStream(allegato.getContentFile(s));
			ApplicationUtil.copy(is, out);
			downloadBean.close();
			is.close();
		} catch (Exception e) {
			ErrorLog.log(null, getClass(), e);
		}
	}
	public void salvaAllegato(FileUpload fileUpload, Anagrafica anagrafica) {
		try {
			List<MyFile> fls = fileUpload.getFiles();
			if(ApplicationUtil.notEmpty(fls)) {
				String s = impostazioneDao.getPathBaseW(ConstantsGlobal.path_anagrafica);
				Iterator<MyFile> flsIt = fls.iterator();
				while (flsIt.hasNext()) {
					MyFile ff = (MyFile) flsIt.next();
					byte [] ffB = ff.getData();
					AllegatoAnagrafica allegato = new AllegatoAnagrafica();
					allegato.setAnagrafica(anagrafica);
					allegato.setDimensione(ffB.length);
					allegato.setNome(ApplicationUtil.getNameN(ff.getName()));
					allegato.setContentFile(ffB, s);
					salvaAggiorna(allegato);
				}
			}
		} catch (Exception e) {
			ErrorLog.log(null, getClass(), e);
		}
	}
	@SuppressWarnings("unchecked")
	public List<AllegatoAnagrafica> getListaAllegati(Anagrafica anagrafica) {
		if(anagrafica==null)
			return null;
		DetachedCriteria criteria = DetachedCriteria.forClass(AllegatoAnagrafica.class);
		criteria.add(Restrictions.eq("anagrafica.id", anagrafica.getId()));
		return getList(criteria);
	}
	
	@SuppressWarnings("unchecked")
	public List<AllegatoAnagrafica> getListaAllegati(List<Anagrafica> anagrafiche) {
		if(ApplicationUtil.empty(anagrafiche))
			return null;
		DetachedCriteria criteria = DetachedCriteria.forClass(AllegatoAnagrafica.class);
		criteria.add(Restrictions.in("anagrafica.id", ApplicationUtil.prendiIdAnagrafica(anagrafiche)));
		return getList(criteria);
	}
	public void deleteAllegato(AllegatoAnagrafica allegato)  {
		String s = impostazioneDao.getPathBaseR(ConstantsGlobal.path_anagrafica);
		allegato.delete(s);
		cancellaAggiorna(allegato);
	}
	public void deleteAllegati(Anagrafica anagrafica)  {
		List<AllegatoAnagrafica> allegati = getListaAllegati(anagrafica);
		Iterator<AllegatoAnagrafica> itAn = allegati.iterator();
		while (itAn.hasNext()) {
			AllegatoAnagrafica allegato = (AllegatoAnagrafica) itAn.next();
			deleteAllegato(allegato);
		}
	}
	public Anagrafica salva(Anagrafica anagrafica) {
		Boolean geocoder = impostazioneDao.getGeocoder();
		if(ApplicationUtil.isTrue(geocoder)) {
			String key = impostazioneDao.getKeyGeocodificaMap();
			anagrafica.geocode(key);
		}
		return (Anagrafica) salvaAggiorna(anagrafica);
	}
	public Comune salva(Comune comune) {
		return (Comune) salvaAggiorna(comune);
	}
	public Zona salva(Zona zona) {
		return (Zona) salvaAggiorna(zona);
	}
	public Provincia salva(Provincia provincia) {
		return (Provincia) salvaAggiorna(provincia);
	}
	public Anagrafica salva(Anagrafica anagrafica, List<DatoAggiuntivoAnagrafica> dativo) {
		if(ApplicationUtil.notEmpty(dativo)){
			Iterator<DatoAggiuntivoAnagrafica> objIter = dativo.iterator();
			while(objIter.hasNext()) {
				DatoAggiuntivoAnagrafica davo = objIter.next();
				salvaDatoAggiuntivo(davo);
			}
		}
		anagrafica.setDettagli(dativo);
		return salva(anagrafica);
	}
	@SuppressWarnings("unchecked")
	public List<Contatto> getAnagraficaInContatto(Long idAnagrafica) {
		DetachedCriteria criteria = DetachedCriteria.forClass(Contatto.class);
		criteria.add(Restrictions.eq("anagrafica.id", idAnagrafica));
		return getList(criteria);
	}
	@SuppressWarnings("unchecked")
	public List<Campagna> getAnagraficaInCampagna(Long idAnagrafica) {
		DetachedCriteria criteria = DetachedCriteria.forClass(Campagna.class);
		criteria.createCriteria("contatti").add(Restrictions.eq("anagrafica.id", idAnagrafica));
		ApplicationUtil.orderCL(criteria);
		return getList(criteria);
	}
	public Anagrafica getNuovaAnagrafica(){
		return new Anagrafica();
	}
	@SuppressWarnings("unchecked") 
	public List<Anagrafica> trova(Long lista) {
		DetachedCriteria criteria = DetachedCriteria.forClass(Anagrafica.class);
		criteria.createCriteria("lista").add(Restrictions.idEq(lista));
		return getList(criteria);
	}
	
	public List<Anagrafica> impostaConteggioAnagrafica(GenericColumn c, List<Anagrafica> contatti) {
		if(ApplicationUtil.notEmpty(contatti))  {
			LoggerColonna l = new LoggerColonna(impostazioneDao.getLoggerColonne());
			if(impostazioneDao.getTabellaDatiAggiuntivi() && c.getAggiuntiviA())  {
				Iterator<Anagrafica> objIter = contatti.iterator();
				Session session = openSession();
				while(objIter.hasNext()) {
					Anagrafica anagrafica = objIter.next();
					Anagrafica a = (Anagrafica) session.get(Anagrafica.class, anagrafica.getId());
					Hibernate.initialize(a.getDettagli());
					Iterator<DatoAggiuntivoAnagrafica> objd = a.getDettagli().iterator();
					while(objd.hasNext()) {
						DatoAggiuntivoAnagrafica da = objd.next();
						anagrafica.addDatoM(da.getCampo_aggiuntivo().getId(), da);
					}
				}
				closeSession(session);
			}
			List<Long> ll = ApplicationUtil.prendiIdAnagrafica(contatti);
			Map<Long, ColonnaModel> map = dataDao.getConteggioColonna(c, ll, Anagrafica.class, new ColonnaQuery(ConstantsColumn.allegati, "allegati"));
			Iterator<Anagrafica> it = contatti.iterator();
			while (it.hasNext()) {
				Anagrafica o = it.next();
				ColonnaModel lmap = map.get(o.getId());
				if(lmap != null) {
					o.setModel(lmap);
				}
			}
			l.log(c);
		}
		return contatti;
	}
	@SuppressWarnings("unchecked")
	public List<Anagrafica> trovaConCampo(AnagraficaCriteria ana, int start, int size) {
		ExtendedCriteria criteria = trovaCriteria(ana);
		ApplicationUtil.setOrdinamento(criteria.getCriteria(), ana.getO_tipo(), ana.getO_colonna(), new Order [] {Order.asc("id")});
		return getList(criteria, start, size);
	}
	public Anagrafica salva(Anagrafica anagrafica, Indirizzo legale, Indirizzo operativo) {
		legale = salvaIndirizzo(legale);
		operativo = salvaIndirizzo(operativo);
		anagrafica.setIndirizzo_legale(legale);
		anagrafica.setIndirizzo_operativo(operativo);
		return (Anagrafica) salva(anagrafica);
	}
	public DatoAggiuntivoAnagrafica creaDatoAggiuntivo(Anagrafica anagrafica, CampoAggiuntivoAnagrafica caa, Object val) {
		DatoAggiuntivoAnagrafica daa = new DatoAggiuntivoAnagrafica();
		daa.setAnagrafica(anagrafica);
		daa.setCampo_aggiuntivo(caa);
		if(caa.getData()) {
			daa.setValore_data(ApplicationUtil.castDate(val));
		} else if(caa.getDataora()) {
			daa.setValore_datatime(ApplicationUtil.castDate(val));
		} else if(caa.getOra()) {
			daa.setValore_time(ApplicationUtil.castDate(val));
		} else if(caa.getBooleano()) {
			daa.setValore(ApplicationUtil.castBoolean(val));
		} else if(caa.getPickList() || caa.getManyCheckbox() || caa.getManyMenu()) {
			daa.setValore(ApplicationUtil.castList(val, ConstantsGlobal.colonSeparator));
		} else {
			daa.setValore(ApplicationUtil.castString(val));
		}
		salvaDatoAggiuntivo(daa);
		return daa;
	}
	public void creaDatoAggiuntivoList(Anagrafica anagrafica, List<CampoAggiuntivoAnagrafica> campi) {
		if(ApplicationUtil.notEmpty(campi)) {
			Iterator<CampoAggiuntivoAnagrafica> dmIt = campi.iterator();
			while (dmIt.hasNext()) {
				CampoAggiuntivoAnagrafica campoAggiuntivo = (CampoAggiuntivoAnagrafica) dmIt.next();
				DatoAggiuntivoAnagrafica datoAggiuntivo = new DatoAggiuntivoAnagrafica();
				datoAggiuntivo.setAnagrafica(anagrafica);
				datoAggiuntivo.setCampo_aggiuntivo(campoAggiuntivo);
				salvaDatoAggiuntivo(datoAggiuntivo);
			}
		}
	}
	public DatoAggiuntivoAnagrafica salvaDatoAggiuntivo(DatoAggiuntivoAnagrafica datoAggiuntivoAnagrafica) {
		datoAggiuntivoAnagrafica.imposta();
		return (DatoAggiuntivoAnagrafica) salvaAggiorna(datoAggiuntivoAnagrafica);
	}
	public CampoAggiuntivoAnagrafica salvaCampoAggiuntivo(CampoAggiuntivoAnagrafica campoAggiuntivoAnagrafica) {
		campoAggiuntivoAnagrafica.imposta();
		return (CampoAggiuntivoAnagrafica) salvaAggiorna(campoAggiuntivoAnagrafica);
	}
	public CampoAggiuntivoAnagrafica salvaCampoAggiuntivo(CampoAggiuntivoAnagrafica campoAggiuntivoAnagrafica, List<DomandaAnagrafica> domande) {
		if(ApplicationUtil.notEmpty(domande)) {
			Iterator<DomandaAnagrafica> dmIt = domande.iterator();
			while (dmIt.hasNext()) {
				DomandaAnagrafica dm = (DomandaAnagrafica) dmIt.next();
				salvaAggiorna(dm);
			}
		}
		return salvaCampoAggiuntivo(campoAggiuntivoAnagrafica);
	}
	public void eliminaDatoAggiuntivo(DatoAggiuntivoAnagrafica datoAggiuntivo) {
		cancellaAggiorna(datoAggiuntivo);
	}
	public void eliminaAnagrafica(Anagrafica anagrafica) {
		cancellaAggiorna(anagrafica);
	}
	public void elimina(Comune comune) {
		cancellaAggiorna(comune);
	}
	public void elimina(Zona zona) {
		cancellaAggiorna(zona);
	}
	public void elimina(Provincia provincia) {
		cancellaAggiorna(provincia);
	}
	public CampoAggiuntivoAnagrafica getNuovoCampoAggiuntivoAnagrafica() {
		CampoAggiuntivoAnagrafica campo = new CampoAggiuntivoAnagrafica();
		return campo;
	}
	public int trovaConCampoSize(AnagraficaCriteria ana) {
		ExtendedCriteria criteria = trovaCriteria(ana);
		return getListSize(criteria);
	}
	@SuppressWarnings("unchecked")
	public List<Anagrafica> trovaConCampo(Long lista, AnagraficaCriteria ana, List<Anagrafica> contattiDaAggiungere, int start, int size) {
		ExtendedCriteria criteria =  trovaCriteria(ana);
		removeCampoAnagrafica(true, criteria.getCriteria(), contattiDaAggiungere, lista);
		ApplicationUtil.setOrdinamento(criteria.getCriteria(), ana.getO_tipo(), ana.getO_colonna(), new Order [] {Order.asc("id")});
		return getList(criteria, start, size);
	}
	public int trovaConCampoSize(Long lista, AnagraficaCriteria ana, List<Anagrafica> contattiDaAggiungere) {
		ExtendedCriteria criteria =  trovaCriteria(ana);
		removeCampoAnagrafica(true, criteria.getCriteria(), contattiDaAggiungere, lista);
		return getListSize(criteria);
	}
	@SuppressWarnings("unchecked")
	public List<Anagrafica> trovaInCampo(AnagraficaCriteria ana, Long lista, List<Anagrafica> contattiDaRimuovere, int start, int size) {
		ExtendedCriteria criteria =  trovaCriteria(ana);
		removeCampoAnagrafica(false, criteria.getCriteria(), contattiDaRimuovere, lista);
		ApplicationUtil.setOrdinamento(criteria.getCriteria(), ana.getO_tipo(), ana.getO_colonna(), new Order [] {Order.asc("id")});
		return getList(criteria, start, size);
	}
	public int trovaInCampoSize(AnagraficaCriteria ana, Long lista, List<Anagrafica> contattiDaRimuovere) {
		ExtendedCriteria criteria =  trovaCriteria(ana);
		removeCampoAnagrafica(false, criteria.getCriteria(), contattiDaRimuovere, lista);
		return getListSize(criteria);
	}
	public void removeCampoAnagrafica(boolean remove, DetachedCriteria criteria, List<Anagrafica> contatti, Long lista) {
		List<Long> ids = ApplicationUtil.prendiIdAnagrafica(contatti);
		ApplicationUtil.removeCampi(criteria, ids);
		if(ApplicationUtil.gtZero(lista)) {
			DetachedCriteria c = DetachedCriteria.forClass(Anagrafica.class);
			c.createCriteria("lista").add(Restrictions.eq("id", lista));
			c.setProjection(Projections.distinct(Projections.property("id")));
			if(remove) {
				impostazioneDao.subPropertyNotInS(criteria, c, "id");
			} else {
				impostazioneDao.subPropertyInS(criteria, c, "id");
			}
		}
	}
	@SuppressWarnings("unchecked")
	public Map<String, String> trovaProvince() {
		Map<String, String> mappa = new HashMap<String, String>();
		DetachedCriteria criteria = DetachedCriteria.forClass(Provincia.class);
		ProjectionList projection = Projections.projectionList();
		projection.add(Projections.distinct(Projections.property("codice")));
		projection.add(Projections.property("codice").as("chiave"));
		projection.add(Projections.property("regione").as("valore"));
		criteria.setProjection(projection);
		List<Elemento> lbs =  getList(criteria, Elemento.class);
		if(ApplicationUtil.notEmpty(lbs)) {
			Iterator<Elemento> itEl = lbs.iterator();
			while (itEl.hasNext()) {
				Elemento elemento = (Elemento) itEl.next();
				mappa.put(elemento.getChiave(), elemento.getValore());
			}
		}
		return mappa;
	}
	@SuppressWarnings("unchecked")
	public Map<String, String> trovaComuni() {
		Map<String, String> mappa = new HashMap<String, String>();
		DetachedCriteria criteria = DetachedCriteria.forClass(Comune.class);
		ProjectionList projection = Projections.projectionList();
		projection.add(Projections.distinct(Projections.property("nome")));
		projection.add(Projections.property("nome").as("chiave"));
		projection.add(Projections.property("codice_provincia").as("valore"));
		criteria.setProjection(projection);
		List<Elemento> lbs =  getList(criteria, Elemento.class);
		if(ApplicationUtil.notEmpty(lbs)) {
			Iterator<Elemento> itEl = lbs.iterator();
			while (itEl.hasNext()) {
				Elemento elemento = (Elemento) itEl.next();
				mappa.put(elemento.getChiave(), elemento.getValore());
			}
		}
		return mappa;
	}
	public ImportModelAnagrafica getAnagraficheByFile(Long campagnaId,  List<Lista> liste, FileUpload fileUpload, TemplateImportAnagrafica ti, ImportModelConsentite c) {
		ImportModelAnagrafica importModel =  new ImportModelAnagrafica();
		if(ti!=null) {
			List<Anagrafica> anagrafiche = new ArrayList<Anagrafica>();

			if(fileUpload != null) {
				Integer lt = impostazioneDao.getDownloadLogType();
				String invertiConsentito = impostazioneDao.getAnagraficheConsentiteImport();
				List<CampoAggiuntivoAnagrafica> campiAgg = new ArrayList<CampoAggiuntivoAnagrafica>();
				if(ti!= null && ApplicationUtil.notEmpty(ti.getCampo_multiplo())) {
					campiAgg.addAll(getAllCampiAggiuntivi());
				}
				Map<String, String> province = trovaProvince();
				Map<String, String> comuni = trovaComuni();
				if(ApplicationUtil.notEmpty(c.getConsentite())) {
					importModel.setConsentito(true);
				}
				List<String> opposizioni = new ArrayList<String>();
				Integer oC = impostazioneDao.getOpposizioneTemplate();
				if(ApplicationUtil.gt(oC, 0)) {
					importModel.setOpposizione(true);
					if(ApplicationUtil.gtZero(campagnaId)) {
						opposizioni.addAll(impostazioneDao.trovaOpposizioni(campagnaId));
					} 
					opposizioni.addAll(impostazioneDao.trovaOpposizioni(null));
				}
				List<String> duplicati_fisso = new ArrayList<String>();
				String dFisso = impostazioneDao.getDuplicatoFissoTemplate(); 
				if(!dFisso.equals(ConstantsMap.no)) {
					importModel.setDuplicato_fisso(true);
					if(ConstantsMap.getDuplicatoList().contains(dFisso)) {
						duplicati_fisso.addAll(impostazioneDao.trovaDuplicati("telefono_fisso", dFisso,campagnaId, liste));
					}
				}
				List<String> duplicati_mobile = new ArrayList<String>();
				String dMobile = impostazioneDao.getDuplicatoMobileTemplate(); 
				if(!dMobile.equals(ConstantsMap.no)) {
					importModel.setDuplicato_mobile(true);
					if(ConstantsMap.getDuplicatoList().contains(dMobile)) {
						duplicati_mobile.addAll(impostazioneDao.trovaDuplicati("telefono_mobile", dMobile,campagnaId, liste));
					}
				}
				List<String> duplicati_fax = new ArrayList<String>();
				String dFax = impostazioneDao.getDuplicatoFaxTemplate(); 
				if(!dFax.equals(ConstantsMap.no)) {
					importModel.setDuplicato_fax(true);
					if(ConstantsMap.getDuplicatoList().contains(dFax)) {
						duplicati_fax.addAll(impostazioneDao.trovaDuplicati("telefono_fax", dFax,campagnaId, liste));
					}
				}
				List<String> duplicati_altro = new ArrayList<String>();
				String dAltro = impostazioneDao.getDuplicatoAltroTemplate(); 
				if(!dAltro.equals(ConstantsMap.no)) {
					importModel.setDuplicato_altro(true);
					if(ConstantsMap.getDuplicatoList().contains(dAltro)) {
						duplicati_altro.addAll(impostazioneDao.trovaDuplicati("telefono_altro", dAltro,campagnaId, liste));
					}
				}
				List<String> duplicati_email = new ArrayList<String>();
				String dEmail = impostazioneDao.getDuplicatoEmailTemplate(); 
				if(!dEmail.equals(ConstantsMap.no)) {
					importModel.setDuplicato_email(true);
					if(ConstantsMap.getDuplicatoList().contains(dEmail)) {
						duplicati_email.addAll(impostazioneDao.trovaDuplicati("email", dEmail,campagnaId, liste));
					}
				}
				List<String> duplicati_link = new ArrayList<String>();
				String dLink = impostazioneDao.getDuplicatoLinkTemplate(); 
				if(!dLink.equals(ConstantsMap.no)) {
					importModel.setDuplicato_link(true);
					if(ConstantsMap.getDuplicatoList().contains(dLink)) {
						duplicati_link.addAll(impostazioneDao.trovaDuplicati("link", dLink,campagnaId, liste));
					}
				}
				List<String> duplicati_codice = new ArrayList<String>();
				String dCodice = impostazioneDao.getDuplicatoCodiceTemplate(); 
				if(!dCodice.equals(ConstantsMap.no)) {
					importModel.setDuplicato_codice(true);
					if(ConstantsMap.getDuplicatoList().contains(dCodice)) {
						duplicati_codice.addAll(impostazioneDao.trovaDuplicati("codice_fiscale", dCodice,campagnaId, liste));
					}
				}
				List<String> duplicati_partita = new ArrayList<String>();
				String dPartita = impostazioneDao.getDuplicatoPartitaTemplate(); 
				if(!dPartita.equals(ConstantsMap.no)) {
					importModel.setDuplicato_partita(true);
					if(ConstantsMap.getDuplicatoList().contains(dPartita)) {
						duplicati_partita.addAll(impostazioneDao.trovaDuplicati("partita_iva", dPartita,campagnaId, liste));
					}
				}
				if(impostazioneDao.getRichiestoEmailTemplate()) {
					importModel.setRichiesto_email(true);
				}
				if(impostazioneDao.getRichiestoLinkTemplate()) {
					importModel.setRichiesto_link(true);
				}
				if(impostazioneDao.getRichiestoCodiceTemplate()) {
					importModel.setRichiesto_codice(true);
				}
				if(impostazioneDao.getRichiestoPartitaTemplate()) {
					importModel.setRichiesto_partita(true);
				}
				if(impostazioneDao.getRichiestoFaxTemplate()) {
					importModel.setRichiesto_fax(true);
				}
				if(impostazioneDao.getRichiestoAltroTemplate()) {
					importModel.setRichiesto_altro(true);
				}
				if(impostazioneDao.getRichiestoMobileTemplate()) {
					importModel.setRichiesto_mobile(true);
				}
				if(impostazioneDao.getRichiestoFissoTemplate()) {
					importModel.setRichiesto_fisso(true);
				}
				importModel.setImportCondition(impostazioneDao.getTemplateImportCondition());
				String backupDirTmp = getPathBackupAnagrafica();
				importModel.setRegulare_fisso(impostazioneDao.getRegulareFissoTemplate());
				importModel.setRegulare_mobile(impostazioneDao.getRegulareMobileTemplate());
				importModel.setRegulare_fax(impostazioneDao.getRegulareFaxTemplate());
				importModel.setRegulare_altro(impostazioneDao.getRegulareAltroTemplate());
				importModel.setRegulare_email(impostazioneDao.getRegulareEmailTemplate());
				importModel.setRegulare_link(impostazioneDao.getRegulareLinkTemplate());
				importModel.setRegulare_codice(impostazioneDao.getRegulareCodiceTemplate());
				importModel.setRegulare_partita(impostazioneDao.getRegularePartitaTemplate());
				importModel.setValidatore_fisso(impostazioneDao.validatore_fisso());
				importModel.setValidatore_mobile(impostazioneDao.validatore_mobile());
				importModel.setValidatore_fax(impostazioneDao.validatore_fax());
				importModel.setValidatore_altro(impostazioneDao.validatore_altro());
				importModel.setValidatore_email(impostazioneDao.validatore_email());
				importModel.setValidatore_link(impostazioneDao.validatore_link());
				importModel.setValidatore_codice(impostazioneDao.validatore_codice());
				importModel.setValidatore_partita(impostazioneDao.validatore_partita());
				long data = impostazioneDao.maxImport();
				long t = System.currentTimeMillis();
				List<String> listaDS = new ArrayList<String>();
				String template = ti != null ? ti.getNome() : null;
				Set<MyFile> elb = elaboraFile(data, importModel, fileUpload, ApplicationUtil.asList(ConstantsMap.a_template));
				Iterator<MyFile> flsIt = elb.iterator();
				while (flsIt.hasNext()) {
					MyFile ff = (MyFile) flsIt.next();
					try {
						String n = ApplicationUtil.replaceFileName(ApplicationUtil.getBaseNameN(ff.getName()));
						String nomeFile = backupDirTmp + "/" + t + "_" + n + "." + ConstantsMap.xlsx;
						String ext = ApplicationUtil.getExtensionLower(ff.getName());
						InputStream stream = new ByteArrayInputStream(ff.getData());
						if(ext.equalsIgnoreCase(ConstantsMap.csv) || ext.equalsIgnoreCase(ConstantsMap.txt)) {
							InputStream fis = new ByteArrayInputStream(ff.getData());
							ApplicationUtil.writeToExcelCSV(n, stream, fis,  nomeFile, ti.getSeparatoreChar(), ti.getQuoteChar());
						} else if(ext.equalsIgnoreCase(ConstantsMap.dbf)) {
							ApplicationUtil.writeToExcelDBF(n, stream, nomeFile);
						} else if(ext.equalsIgnoreCase(ConstantsMap.xls) || ext.equalsIgnoreCase(ConstantsMap.xlt)) {
							ApplicationUtil.writeToExcelXLS(stream, nomeFile, ti.getConsidera_filtro(), ti.getEsegui_filtro());
						} else if(ext.equalsIgnoreCase(ConstantsMap.xlsb)) {
							ApplicationUtil.writeToExcelXLSB(stream, n, nomeFile);
						} else if(ext.equalsIgnoreCase(ConstantsMap.xlsx)  || ext.equalsIgnoreCase(ConstantsMap.xltx) || ext.equalsIgnoreCase(ConstantsMap.xlsm)) {
							if(!ConstantsGlobal.fast_import) {
								ApplicationUtil.writeToExcelXLSX(stream, nomeFile, ti.getConsidera_filtro(), ti.getEsegui_filtro(), ti.getRapido_filtro());
							} else {
								ApplicationUtil.writeToExcelRapido(stream, nomeFile);
							}
						} 
						stream.close();
						listaDS.add(n);
						anagrafiche.addAll(ExcelImport.importaExcel(oC, lt, invertiConsentito, nomeFile, ti, opposizioni,  duplicati_fisso, duplicati_mobile, duplicati_fax, duplicati_altro, duplicati_email, duplicati_link,duplicati_codice,duplicati_partita, importModel, province, comuni, c, campiAgg));
					} catch (Exception e) {
						ErrorLog.log(null, getClass(), e);
					}
				}
				Boolean s = impostazioneDao.getBloccaImportazione();
				importModel.setRighe(s ? dataDao.getRigheSize() : anagrafiche.size());
				importModel.impostaLista(t, ApplicationUtil.detoken(listaDS, ConstantsGlobal.colonSeparator), template);
				ApplicationUtil.comparatorCondition(anagrafiche, ti);
				importModel.addAnagrafiche(anagrafiche);
			}

		}
		return importModel;
	}
	public ImportModelAnagrafica getAnagraficheByFileLista(Long listaId, List<Campagna> campagne, List<Anagrafica> anagraficheDaImportare, List<Anagrafica> anagraficheDaAggiungere, List<Anagrafica> anagraficheDaRimuovere, FileUpload fileUpload, TemplateImportAnagrafica ti, ImportModelConsentite c) {
		ImportModelAnagrafica importModel = new ImportModelAnagrafica();
		List<String> duplicati_fisso = new ArrayList<String>();
		List<String> duplicati_mobile = new ArrayList<String>();
		List<String> duplicati_fax = new ArrayList<String>();
		List<String> duplicati_altro = new ArrayList<String>();
		List<String> duplicati_email = new ArrayList<String>();
		List<String> duplicati_link = new ArrayList<String>();
		List<String> duplicati_codice = new ArrayList<String>();
		List<String> duplicati_partita = new ArrayList<String>();
		String dFisso = impostazioneDao.getDuplicatoFissoTemplate(); 
		String dMobile = impostazioneDao.getDuplicatoMobileTemplate(); 
		String dFax = impostazioneDao.getDuplicatoFaxTemplate(); 
		String dAltro = impostazioneDao.getDuplicatoAltroTemplate(); 
		String dEmail = impostazioneDao.getDuplicatoEmailTemplate(); 
		String dLink = impostazioneDao.getDuplicatoLinkTemplate(); 
		String dCodice = impostazioneDao.getDuplicatoCodiceTemplate(); 
		String dPartita = impostazioneDao.getDuplicatoPartitaTemplate(); 
		if(ApplicationUtil.notEmpty(anagraficheDaImportare)) {
			Iterator<Anagrafica> it = anagraficheDaImportare.iterator();
			while (it.hasNext()) {
				Anagrafica anagrafica = (Anagrafica) it.next();
				if(!dFisso.equals(ConstantsMap.no)) {
					String fisso = anagrafica.getTelefono_fisso();
					if(ApplicationUtil.isNotBlank(fisso) && !duplicati_fisso.contains(fisso)) {
						duplicati_fisso.add(fisso);
					}
				}
				if(!dMobile.equals(ConstantsMap.no)) {
					String mobile = anagrafica.getTelefono_mobile();
					if(ApplicationUtil.isNotBlank(mobile) && !duplicati_mobile.contains(mobile)) {
						duplicati_mobile.add(mobile);
					}
				}
				if(!dFax.equals(ConstantsMap.no)) {
					String fax = anagrafica.getTelefono_fax();
					if(ApplicationUtil.isNotBlank(fax) && !duplicati_fax.contains(fax)) {
						duplicati_fax.add(fax);
					}
				}
				if(!dAltro.equals(ConstantsMap.no)) {
					String altro = anagrafica.getTelefono_altro();
					if(ApplicationUtil.isNotBlank(altro) && !duplicati_altro.contains(altro)) {
						duplicati_altro.add(altro);
					}
				}
				if(!dEmail.equals(ConstantsMap.no)) {
					String email = anagrafica.getEmail();
					if(ApplicationUtil.isNotBlank(email) && !duplicati_email.contains(email)) {
						duplicati_email.add(email);
					}
				}
				if(!dLink.equals(ConstantsMap.no)) {
					String link = anagrafica.getLink();
					if(ApplicationUtil.isNotBlank(link) && !duplicati_link.contains(link)) {
						duplicati_link.add(link);
					}
				}
				if(!dCodice.equals(ConstantsMap.no)) {
					String codice = anagrafica.getCodice_fiscale();
					if(ApplicationUtil.isNotBlank(codice) && !duplicati_codice.contains(codice)) {
						duplicati_codice.add(codice);
					}
				}
				if(!dPartita.equals(ConstantsMap.no)) {
					String partita = anagrafica.getPartita_iva();
					if(ApplicationUtil.isNotBlank(partita) && !duplicati_partita.contains(partita)) {
						duplicati_partita.add(partita);
					}
				}
			}
		}
		if(ApplicationUtil.notEmpty(anagraficheDaAggiungere)) {
			Iterator<Anagrafica> it = anagraficheDaAggiungere.iterator();
			while (it.hasNext()) {
				Anagrafica anagrafica = (Anagrafica) it.next();
				if(!dFisso.equals(ConstantsMap.no)) {
					String fisso = anagrafica.getTelefono_fisso();
					if(ApplicationUtil.isNotBlank(fisso) && !duplicati_fisso.contains(fisso)) {
						duplicati_fisso.add(fisso);
					}
				}
				if(!dMobile.equals(ConstantsMap.no)) {
					String mobile = anagrafica.getTelefono_mobile();
					if(ApplicationUtil.isNotBlank(mobile) && !duplicati_mobile.contains(mobile)) {
						duplicati_mobile.add(mobile);
					}
				}
				if(!dFax.equals(ConstantsMap.no)) {
					String fax = anagrafica.getTelefono_fax();
					if(ApplicationUtil.isNotBlank(fax) && !duplicati_fax.contains(fax)) {
						duplicati_fax.add(fax);
					}
				}
				if(!dAltro.equals(ConstantsMap.no)) {
					String altro = anagrafica.getTelefono_altro();
					if(ApplicationUtil.isNotBlank(altro) && !duplicati_altro.contains(altro)) {
						duplicati_altro.add(altro);
					}
				}
				if(!dEmail.equals(ConstantsMap.no)) {
					String email = anagrafica.getEmail();
					if(ApplicationUtil.isNotBlank(email) && !duplicati_email.contains(email)) {
						duplicati_email.add(email);
					}
				}
				if(!dLink.equals(ConstantsMap.no)) {
					String link = anagrafica.getLink();
					if(ApplicationUtil.isNotBlank(link) && !duplicati_link.contains(link)) {
						duplicati_link.add(link);
					}
				}
				if(!dCodice.equals(ConstantsMap.no)) {
					String codice = anagrafica.getCodice_fiscale();
					if(ApplicationUtil.isNotBlank(codice) && !duplicati_codice.contains(codice)) {
						duplicati_codice.add(codice);
					}
				}
				if(!dPartita.equals(ConstantsMap.no)) {
					String partita = anagrafica.getPartita_iva();
					if(ApplicationUtil.isNotBlank(partita) && !duplicati_partita.contains(partita)) {
						duplicati_partita.add(partita);
					}
				}
			}
		}
		if(ApplicationUtil.notEmpty(anagraficheDaRimuovere)) {
			Iterator<Anagrafica> it = anagraficheDaRimuovere.iterator();
			while (it.hasNext()) {
				Anagrafica anagrafica = (Anagrafica) it.next();
				if(!dFisso.equals(ConstantsMap.no)) {
					String fisso = anagrafica.getTelefono_fisso();
					if(ApplicationUtil.isNotBlank(fisso) && !duplicati_fisso.contains(fisso)) {
						duplicati_fisso.remove(fisso);
					}
				}
				if(!dMobile.equals(ConstantsMap.no)) {
					String mobile = anagrafica.getTelefono_mobile();
					if(ApplicationUtil.isNotBlank(mobile) && !duplicati_mobile.contains(mobile)) {
						duplicati_mobile.remove(mobile);
					}
				}
				if(!dFax.equals(ConstantsMap.no)) {
					String fax = anagrafica.getTelefono_fax();
					if(ApplicationUtil.isNotBlank(fax) && !duplicati_fax.contains(fax)) {
						duplicati_fax.remove(fax);
					}
				}
				if(!dAltro.equals(ConstantsMap.no)) {
					String altro = anagrafica.getTelefono_altro();
					if(ApplicationUtil.isNotBlank(altro) && !duplicati_altro.contains(altro)) {
						duplicati_altro.remove(altro);
					}
				}
				if(!dEmail.equals(ConstantsMap.no)) {
					String email = anagrafica.getEmail();
					if(ApplicationUtil.isNotBlank(email) && !duplicati_email.contains(email)) {
						duplicati_email.remove(email);
					}
				}
				if(!dLink.equals(ConstantsMap.no)) {
					String link = anagrafica.getLink();
					if(ApplicationUtil.isNotBlank(link) && !duplicati_link.contains(link)) {
						duplicati_link.remove(link);
					}
				}
				if(!dCodice.equals(ConstantsMap.no)) {
					String codice = anagrafica.getCodice_fiscale();
					if(ApplicationUtil.isNotBlank(codice) && !duplicati_codice.contains(codice)) {
						duplicati_codice.remove(codice);
					}
				}
				if(!dPartita.equals(ConstantsMap.no)) {
					String partita = anagrafica.getPartita_iva();
					if(ApplicationUtil.isNotBlank(partita) && !duplicati_partita.contains(partita)) {
						duplicati_partita.remove(partita);
					}
				}
			}
		}
		if(ti!=null) {
			List<Anagrafica> anagrafiche = new ArrayList<Anagrafica>();
			if(fileUpload != null) {
				Integer lt = impostazioneDao.getDownloadLogType();
				List<String> opposizioni = new ArrayList<String>();
				Integer oC = impostazioneDao.getOpposizioneTemplate();
				if(ApplicationUtil.gt(oC, 0)) {
					importModel.setOpposizione(true);
					if(ApplicationUtil.notEmpty(campagne)) {
						Iterator<Campagna> cIt = campagne.iterator();
						while (cIt.hasNext()) {
							Campagna campagna = (Campagna) cIt.next();
							if(ApplicationUtil.gtZero(campagna.getId())) {
								opposizioni.addAll(impostazioneDao.trovaOpposizioni(campagna.getId()));
							} 
						}
					}
					opposizioni.addAll(impostazioneDao.trovaOpposizioni(null));
				}
				if(!dFisso.equals(ConstantsMap.no)) {
					importModel.setDuplicato_fisso(true);
					if(ConstantsMap.getDuplicatoList().contains(dFisso)) {
						if(ApplicationUtil.notEmpty(campagne)) {
							Iterator<Campagna> cIt = campagne.iterator();
							while (cIt.hasNext()) {
								Campagna campagna = (Campagna) cIt.next();
								duplicati_fisso.addAll(impostazioneDao.trovaDuplicati("telefono_fisso", dFisso, campagna.getId(), null));
							}
						}
					}
					duplicati_fisso.addAll(impostazioneDao.trovaDuplicatiLista("telefono_fisso", dFisso, listaId));
				}
				if(!dMobile.equals(ConstantsMap.no)) {
					importModel.setDuplicato_mobile(true);
					if(ConstantsMap.getDuplicatoList().contains(dMobile)) {
						if(ApplicationUtil.notEmpty(campagne)) {
							Iterator<Campagna> cIt = campagne.iterator();
							while (cIt.hasNext()) {
								Campagna campagna = (Campagna) cIt.next();
								duplicati_mobile.addAll(impostazioneDao.trovaDuplicati("telefono_mobile", dMobile,campagna.getId(), null));
							}
						}
					}
					duplicati_mobile.addAll(impostazioneDao.trovaDuplicatiLista("telefono_mobile", dMobile, listaId));
				}
				if(!dFax.equals(ConstantsMap.no)) {
					importModel.setDuplicato_fax(true);
					if(ConstantsMap.getDuplicatoList().contains(dFax)) {
						if(ApplicationUtil.notEmpty(campagne)) {
							Iterator<Campagna> cIt = campagne.iterator();
							while (cIt.hasNext()) {
								Campagna campagna = (Campagna) cIt.next();
								duplicati_fax.addAll(impostazioneDao.trovaDuplicati("telefono_fax", dFax,campagna.getId(), null));
							}
						}
					}
					duplicati_fax.addAll(impostazioneDao.trovaDuplicatiLista("telefono_fax", dFax, listaId));
				}
				if(!dAltro.equals(ConstantsMap.no)) {
					importModel.setDuplicato_altro(true);
					if(ConstantsMap.getDuplicatoList().contains(dAltro)) {
						if(ApplicationUtil.notEmpty(campagne)) {
							Iterator<Campagna> cIt = campagne.iterator();
							while (cIt.hasNext()) {
								Campagna campagna = (Campagna) cIt.next();
								duplicati_altro.addAll(impostazioneDao.trovaDuplicati("telefono_altro", dAltro,campagna.getId(), null));
							}
						}
					}
					duplicati_altro.addAll(impostazioneDao.trovaDuplicatiLista("telefono_altro", dAltro, listaId));
				}
				if(!dEmail.equals(ConstantsMap.no)) {
					importModel.setDuplicato_email(true);
					if(ConstantsMap.getDuplicatoList().contains(dEmail)) {
						if(ApplicationUtil.notEmpty(campagne)) {
							Iterator<Campagna> cIt = campagne.iterator();
							while (cIt.hasNext()) {
								Campagna campagna = (Campagna) cIt.next();
								duplicati_email.addAll(impostazioneDao.trovaDuplicati("email", dEmail,campagna.getId(), null));
							}
						}
					}
					duplicati_email.addAll(impostazioneDao.trovaDuplicatiLista("email", dEmail, listaId));
				}
				if(!dLink.equals(ConstantsMap.no)) {
					importModel.setDuplicato_link(true);
					if(ConstantsMap.getDuplicatoList().contains(dLink)) {
						if(ApplicationUtil.notEmpty(campagne)) {
							Iterator<Campagna> cIt = campagne.iterator();
							while (cIt.hasNext()) {
								Campagna campagna = (Campagna) cIt.next();
								duplicati_link.addAll(impostazioneDao.trovaDuplicati("link", dLink,campagna.getId(), null));
							}
						}
					}
					duplicati_link.addAll(impostazioneDao.trovaDuplicatiLista("link", dLink, listaId));
				}
				if(!dCodice.equals(ConstantsMap.no)) {
					importModel.setDuplicato_codice(true);
					if(ConstantsMap.getDuplicatoList().contains(dCodice)) {
						if(ApplicationUtil.notEmpty(campagne)) {
							Iterator<Campagna> cIt = campagne.iterator();
							while (cIt.hasNext()) {
								Campagna campagna = (Campagna) cIt.next();
								duplicati_codice.addAll(impostazioneDao.trovaDuplicati("codice_fiscale", dCodice,campagna.getId(), null));
							}
						}
					}
					duplicati_codice.addAll(impostazioneDao.trovaDuplicatiLista("codice_fiscale", dCodice, listaId));
				}
				if(!dPartita.equals(ConstantsMap.no)) {
					importModel.setDuplicato_partita(true);
					if(ConstantsMap.getDuplicatoList().contains(dPartita)) {
						if(ApplicationUtil.notEmpty(campagne)) {
							Iterator<Campagna> cIt = campagne.iterator();
							while (cIt.hasNext()) {
								Campagna campagna = (Campagna) cIt.next();
								duplicati_partita.addAll(impostazioneDao.trovaDuplicati("partita_iva", dPartita,campagna.getId(), null));
							}
						}
					}
					duplicati_partita.addAll(impostazioneDao.trovaDuplicatiLista("partita_iva", dPartita, listaId));
				}
				if(impostazioneDao.getRichiestoEmailTemplate()) {
					importModel.setRichiesto_email(true);
				}
				if(impostazioneDao.getRichiestoLinkTemplate()) {
					importModel.setRichiesto_link(true);
				}
				if(impostazioneDao.getRichiestoCodiceTemplate()) {
					importModel.setRichiesto_codice(true);
				}
				if(impostazioneDao.getRichiestoPartitaTemplate()) {
					importModel.setRichiesto_partita(true);
				}
				if(impostazioneDao.getRichiestoFaxTemplate()) {
					importModel.setRichiesto_fax(true);
				}
				if(impostazioneDao.getRichiestoAltroTemplate()) {
					importModel.setRichiesto_altro(true);
				}
				if(impostazioneDao.getRichiestoMobileTemplate()) {
					importModel.setRichiesto_mobile(true);
				}
				if(impostazioneDao.getRichiestoFissoTemplate()) {
					importModel.setRichiesto_fisso(true);
				}
				importModel.setImportCondition(impostazioneDao.getTemplateImportCondition());
				String backupDirTmp = getPathBackupAnagrafica();
				Map<String, String> province = trovaProvince();
				Map<String, String> comuni = trovaComuni();
				String invertiConsentito = impostazioneDao.getAnagraficheConsentiteImport();
				List<CampoAggiuntivoAnagrafica> campiAgg = new ArrayList<CampoAggiuntivoAnagrafica>();
				if(ti!= null && ApplicationUtil.notEmpty(ti.getCampo_multiplo())) {
					campiAgg.addAll(getAllCampiAggiuntivi());
				}
				if(ApplicationUtil.notEmpty(c.getConsentite())) {
					importModel.setConsentito(true);
				}
				importModel.setRegulare_fisso(impostazioneDao.getRegulareFissoTemplate());
				importModel.setRegulare_mobile(impostazioneDao.getRegulareMobileTemplate());
				importModel.setRegulare_fax(impostazioneDao.getRegulareFaxTemplate());
				importModel.setRegulare_altro(impostazioneDao.getRegulareAltroTemplate());
				importModel.setRegulare_email(impostazioneDao.getRegulareEmailTemplate());
				importModel.setRegulare_link(impostazioneDao.getRegulareLinkTemplate());
				importModel.setRegulare_codice(impostazioneDao.getRegulareCodiceTemplate());
				importModel.setRegulare_partita(impostazioneDao.getRegularePartitaTemplate());
				importModel.setValidatore_fisso(impostazioneDao.validatore_fisso());
				importModel.setValidatore_mobile(impostazioneDao.validatore_mobile());
				importModel.setValidatore_fax(impostazioneDao.validatore_fax());
				importModel.setValidatore_altro(impostazioneDao.validatore_altro());
				importModel.setValidatore_email(impostazioneDao.validatore_email());
				importModel.setValidatore_link(impostazioneDao.validatore_link());
				importModel.setValidatore_codice(impostazioneDao.validatore_codice());
				importModel.setValidatore_partita(impostazioneDao.validatore_partita());
				String template = ti != null ? ti.getNome() : null;
				long data = impostazioneDao.maxImport();
				long t = System.currentTimeMillis();
				List<String> listaDS = new ArrayList<String>();
				Set<MyFile> elb = elaboraFile(data, importModel, fileUpload, ApplicationUtil.asList(ConstantsMap.a_template));
				Iterator<MyFile> flsIt = elb.iterator();
				while (flsIt.hasNext()) {
					MyFile ff = (MyFile) flsIt.next();
					try {
						String n = ApplicationUtil.replaceFileName(ApplicationUtil.getBaseNameN(ff.getName()));
						String nomeFile = backupDirTmp + "/" + t + "_" + n + "." + ConstantsMap.xlsx;
						String ext = ApplicationUtil.getExtensionLower(ff.getName());
						InputStream stream = new ByteArrayInputStream(ff.getData());
						if(ext.equalsIgnoreCase(ConstantsMap.csv) || ext.equalsIgnoreCase(ConstantsMap.txt)) {
							InputStream fis = new ByteArrayInputStream(ff.getData());
							ApplicationUtil.writeToExcelCSV(n, stream, fis,  nomeFile, ti.getSeparatoreChar(), ti.getQuoteChar());
						} else if(ext.equalsIgnoreCase(ConstantsMap.dbf)) {
							ApplicationUtil.writeToExcelDBF(n, stream, nomeFile);
						} else if(ext.equalsIgnoreCase(ConstantsMap.xls) || ext.equalsIgnoreCase(ConstantsMap.xlt)) {
							ApplicationUtil.writeToExcelXLS(stream, nomeFile, ti.getConsidera_filtro(), ti.getEsegui_filtro());
						} else if(ext.equalsIgnoreCase(ConstantsMap.xlsb)) {
							ApplicationUtil.writeToExcelXLSB(stream, n, nomeFile);
						} else if(ext.equalsIgnoreCase(ConstantsMap.xlsx)  || ext.equalsIgnoreCase(ConstantsMap.xltx) || ext.equalsIgnoreCase(ConstantsMap.xlsm)) {
							if(!ConstantsGlobal.fast_import) {
								ApplicationUtil.writeToExcelXLSX(stream, nomeFile, ti.getConsidera_filtro(), ti.getEsegui_filtro(), ti.getRapido_filtro());
							} else {
								ApplicationUtil.writeToExcelRapido(stream, nomeFile);
							}
						}
						stream.close();
						listaDS.add(n);
						anagrafiche.addAll(ExcelImport.importaExcel(oC, lt, invertiConsentito, nomeFile, ti, opposizioni,  duplicati_fisso, duplicati_mobile, duplicati_fax, duplicati_altro, duplicati_email, duplicati_link,duplicati_codice,duplicati_partita, importModel, province, comuni, c, campiAgg));
					} catch (Exception e) {
						ErrorLog.log(null, getClass(), e);
					}
				}
				importModel.setRighe(anagrafiche.size());
				importModel.impostaLista(t, ApplicationUtil.detoken(listaDS, ConstantsGlobal.colonSeparator), template);
				ApplicationUtil.comparatorCondition(anagrafiche, ti);
				importModel.addAnagrafiche(anagrafiche);
			}

		}
		return importModel;
	}
	public ImportModelAnagrafica getAnagraficheByFileXLS(Long campagnaId, FileUpload fileUpload, TemplateImportAnagrafica ti, ImportModelConsentite c) {
		ImportModelAnagrafica importModel = new ImportModelAnagrafica();
		if(ti!=null) {
			if(fileUpload != null) {
				Integer lt = impostazioneDao.getDownloadLogType();
				String invertiConsentito = impostazioneDao.getAnagraficheConsentiteImport();
				Map<String, String> province = trovaProvince();
				Map<String, String> comuni = trovaComuni();
				List<CampoAggiuntivoAnagrafica> campiAgg = new ArrayList<CampoAggiuntivoAnagrafica>();
				if(ti!= null && ApplicationUtil.notEmpty(ti.getCampo_multiplo())) {
					campiAgg.addAll(getAllCampiAggiuntivi());
				}
				if(ApplicationUtil.notEmpty(c.getConsentite())) {
					importModel.setConsentito(true);
				}
				List<String> opposizioni = new ArrayList<String>();
				Integer oC = impostazioneDao.getOpposizioneTemplate();
				if(ApplicationUtil.gt(oC, 0)) {
					importModel.setOpposizione(true);
					if(ApplicationUtil.gtZero(campagnaId)) {
						opposizioni.addAll(impostazioneDao.trovaOpposizioni(campagnaId));
					} 
					opposizioni.addAll(impostazioneDao.trovaOpposizioni(null));
				}
				List<String> duplicati_fisso = new ArrayList<String>();
				String dFisso = impostazioneDao.getDuplicatoFissoTemplate(); 
				if(!dFisso.equals(ConstantsMap.no)) {
					importModel.setDuplicato_fisso(true);
					if(ConstantsMap.getDuplicatoList().contains(dFisso)) {
						duplicati_fisso.addAll(impostazioneDao.trovaDuplicati("telefono_fisso", dFisso, campagnaId, null));
					}
				}
				List<String> duplicati_mobile = new ArrayList<String>();
				String dMobile = impostazioneDao.getDuplicatoMobileTemplate(); 
				if(!dMobile.equals(ConstantsMap.no)) {
					importModel.setDuplicato_mobile(true);
					if(ConstantsMap.getDuplicatoList().contains(dMobile)) {
						duplicati_mobile.addAll(impostazioneDao.trovaDuplicati("telefono_mobile", dMobile, campagnaId, null));
					}
				}
				List<String> duplicati_fax = new ArrayList<String>();
				String dFax = impostazioneDao.getDuplicatoFaxTemplate(); 
				if(!dFax.equals(ConstantsMap.no)) {
					importModel.setDuplicato_fax(true);
					if(ConstantsMap.getDuplicatoList().contains(dFax)) {
						duplicati_fax.addAll(impostazioneDao.trovaDuplicati("telefono_fax", dFax, campagnaId, null));
					}
				}
				List<String> duplicati_altro = new ArrayList<String>();
				String dAltro = impostazioneDao.getDuplicatoAltroTemplate(); 
				if(!dAltro.equals(ConstantsMap.no)) {
					importModel.setDuplicato_altro(true);
					if(ConstantsMap.getDuplicatoList().contains(dAltro)) {
						duplicati_altro.addAll(impostazioneDao.trovaDuplicati("telefono_altro", dAltro, campagnaId, null));
					}
				}
				List<String> duplicati_email = new ArrayList<String>();
				String dEmail = impostazioneDao.getDuplicatoEmailTemplate(); 
				if(!dEmail.equals(ConstantsMap.no)) {
					importModel.setDuplicato_email(true);
					if(ConstantsMap.getDuplicatoList().contains(dEmail)) {
						duplicati_email.addAll(impostazioneDao.trovaDuplicati("email", dEmail, campagnaId, null));
					}
				}
				List<String> duplicati_link = new ArrayList<String>();
				String dLink = impostazioneDao.getDuplicatoLinkTemplate(); 
				if(!dLink.equals(ConstantsMap.no)) {
					importModel.setDuplicato_link(true);
					if(ConstantsMap.getDuplicatoList().contains(dLink)) {
						duplicati_link.addAll(impostazioneDao.trovaDuplicati("link", dLink,campagnaId, null));
					}
				}
				List<String> duplicati_codice = new ArrayList<String>();
				String dCodice = impostazioneDao.getDuplicatoCodiceTemplate(); 
				if(!dCodice.equals(ConstantsMap.no)) {
					importModel.setDuplicato_codice(true);
					if(ConstantsMap.getDuplicatoList().contains(dCodice)) {
						duplicati_codice.addAll(impostazioneDao.trovaDuplicati("codice_fiscale", dCodice,campagnaId, null));
					}
				}
				List<String> duplicati_partita = new ArrayList<String>();
				String dPartita = impostazioneDao.getDuplicatoPartitaTemplate(); 
				if(!dPartita.equals(ConstantsMap.no)) {
					importModel.setDuplicato_partita(true);
					if(ConstantsMap.getDuplicatoList().contains(dPartita)) {
						duplicati_partita.addAll(impostazioneDao.trovaDuplicati("partita_iva", dPartita,campagnaId, null));
					}
				}
				if(impostazioneDao.getRichiestoEmailTemplate()) {
					importModel.setRichiesto_email(true);
				}
				if(impostazioneDao.getRichiestoLinkTemplate()) {
					importModel.setRichiesto_link(true);
				}
				if(impostazioneDao.getRichiestoCodiceTemplate()) {
					importModel.setRichiesto_codice(true);
				}
				if(impostazioneDao.getRichiestoPartitaTemplate()) {
					importModel.setRichiesto_partita(true);
				}
				if(impostazioneDao.getRichiestoFaxTemplate()) {
					importModel.setRichiesto_fax(true);
				}
				if(impostazioneDao.getRichiestoAltroTemplate()) {
					importModel.setRichiesto_altro(true);
				}
				if(impostazioneDao.getRichiestoMobileTemplate()) {
					importModel.setRichiesto_mobile(true);
				}
				if(impostazioneDao.getRichiestoFissoTemplate()) {
					importModel.setRichiesto_fisso(true);
				}
				importModel.setImportCondition(impostazioneDao.getTemplateImportCondition());
				List<Anagrafica> anagrafiche = new ArrayList<Anagrafica>();
				String backupDirTmp =  getPathBackupAnagrafica();
				importModel.setRegulare_fisso(impostazioneDao.getRegulareFissoTemplate());
				importModel.setRegulare_mobile(impostazioneDao.getRegulareMobileTemplate());
				importModel.setRegulare_fax(impostazioneDao.getRegulareFaxTemplate());
				importModel.setRegulare_altro(impostazioneDao.getRegulareAltroTemplate());
				importModel.setRegulare_email(impostazioneDao.getRegulareEmailTemplate());
				importModel.setRegulare_link(impostazioneDao.getRegulareLinkTemplate());
				importModel.setRegulare_codice(impostazioneDao.getRegulareCodiceTemplate());
				importModel.setRegulare_partita(impostazioneDao.getRegularePartitaTemplate());
				importModel.setValidatore_fisso(impostazioneDao.validatore_fisso());
				importModel.setValidatore_mobile(impostazioneDao.validatore_mobile());
				importModel.setValidatore_fax(impostazioneDao.validatore_fax());
				importModel.setValidatore_altro(impostazioneDao.validatore_altro());
				importModel.setValidatore_email(impostazioneDao.validatore_email());
				importModel.setValidatore_link(impostazioneDao.validatore_link());
				importModel.setValidatore_codice(impostazioneDao.validatore_codice());
				importModel.setValidatore_partita(impostazioneDao.validatore_partita());
				String template = ti != null ? ti.getNome() : null;
				List<String> listaDS = new ArrayList<String>();
				long t = System.currentTimeMillis();
				long data = impostazioneDao.maxImport();
				Set<MyFile> elb = elaboraFile(data, importModel, fileUpload, ApplicationUtil.asList(ConstantsMap.a_template));
				Iterator<MyFile> flsIt = elb.iterator();
				while (flsIt.hasNext()) {
					MyFile dd = (MyFile) flsIt.next();
					try {
						String n = ApplicationUtil.replaceFileName(ApplicationUtil.getBaseNameN(dd.getName()));
						String nomeFile = backupDirTmp + "/" + t + "_" + n + "." + ConstantsMap.xlsx;
						String ext = ApplicationUtil.getExtensionLower(dd.getName());
						InputStream stream = new ByteArrayInputStream(dd.getData());
						if(ext.equalsIgnoreCase(ConstantsMap.csv) || ext.equalsIgnoreCase(ConstantsMap.txt)) {
							InputStream fis = new ByteArrayInputStream(dd.getData());
							ApplicationUtil.writeToExcelCSV(n, stream, fis, nomeFile, ti.getSeparatoreChar(), ti.getQuoteChar());
						} else if(ext.equalsIgnoreCase(ConstantsMap.dbf)) {
							ApplicationUtil.writeToExcelDBF(n, stream, nomeFile);
						} else if(ext.equalsIgnoreCase(ConstantsMap.xls) || ext.equalsIgnoreCase(ConstantsMap.xlt)) {
							ApplicationUtil.writeToExcelXLS(stream, nomeFile, ti.getConsidera_filtro(), ti.getEsegui_filtro());
						} else if(ext.equalsIgnoreCase(ConstantsMap.xlsb)) {
							ApplicationUtil.writeToExcelXLSB(stream, n, nomeFile);
						} else if(ext.equalsIgnoreCase(ConstantsMap.xlsx)  || ext.equalsIgnoreCase(ConstantsMap.xltx) || ext.equalsIgnoreCase(ConstantsMap.xlsm)) {
							if(!ConstantsGlobal.fast_import) {
								ApplicationUtil.writeToExcelXLSX(stream, nomeFile, ti.getConsidera_filtro(), ti.getEsegui_filtro(), ti.getRapido_filtro());
							} else {
								ApplicationUtil.writeToExcelRapido(stream, nomeFile);
							}
						} 
						stream.close();
						listaDS.add(n);
						anagrafiche.addAll(ExcelImport.importaExcel(oC, lt, invertiConsentito, nomeFile, ti, opposizioni,  duplicati_fisso, duplicati_mobile, duplicati_fax, duplicati_altro, duplicati_email, duplicati_link, duplicati_codice, duplicati_partita, importModel, province, comuni, c, campiAgg));
					} catch (Exception e) {
						ErrorLog.log(null, getClass(), e);
					}
				}
				Boolean s = impostazioneDao.getBloccaImportazione();
				importModel.setRighe(s ? dataDao.getRigheSize() : anagrafiche.size());
				String tiL  = ApplicationUtil.trimToNull(ti.getLista());
				importModel.impostaLista(t, tiL != null ? tiL : ApplicationUtil.detoken(listaDS, ConstantsGlobal.colonSeparator), template);
				ApplicationUtil.comparatorCondition(anagrafiche, ti);
				importModel.addAnagrafiche(anagrafiche);
			}
		}
		return importModel;
	}
	public ImportModelAnagrafica getAnagraficheByFileXML(Long campagnaId, FileUpload fileUpload, String listaD, ImportModelConsentite c) {
		ImportModelAnagrafica importModel = new ImportModelAnagrafica();
		List<Anagrafica> ana = new ArrayList<Anagrafica>();
		if(fileUpload != null) {
			String invertiConsentito = impostazioneDao.getAnagraficheConsentiteImport();
			if(ApplicationUtil.notEmpty(c.getConsentite())) {
				importModel.setConsentito(true);
			}
			List<String> opposizioni = new ArrayList<String>();
			Integer oC = impostazioneDao.getOpposizioneTemplate();
			if(ApplicationUtil.gt(oC, 0)) {
				importModel.setOpposizione(true);
				if(ApplicationUtil.gtZero(campagnaId)) {
					opposizioni.addAll(impostazioneDao.trovaOpposizioni(campagnaId));
				} 
				opposizioni.addAll(impostazioneDao.trovaOpposizioni(null));
			}
			List<String> duplicati_fisso = new ArrayList<String>();
			String dFisso = impostazioneDao.getDuplicatoFissoTemplate(); 
			if(!dFisso.equals(ConstantsMap.no)) {
				importModel.setDuplicato_fisso(true);
				if(ConstantsMap.getDuplicatoList().contains(dFisso)) {
					duplicati_fisso.addAll(impostazioneDao.trovaDuplicati("telefono_fisso", dFisso,campagnaId, null));
				}
			}
			List<String> duplicati_mobile = new ArrayList<String>();
			String dMobile = impostazioneDao.getDuplicatoMobileTemplate(); 
			if(!dMobile.equals(ConstantsMap.no)) {
				importModel.setDuplicato_mobile(true);
				if(ConstantsMap.getDuplicatoList().contains(dMobile)) {
					duplicati_mobile.addAll(impostazioneDao.trovaDuplicati("telefono_mobile", dMobile, campagnaId, null));
				}
			}
			List<String> duplicati_fax = new ArrayList<String>();
			String dFax = impostazioneDao.getDuplicatoFaxTemplate(); 
			if(!dFax.equals(ConstantsMap.no)) {
				importModel.setDuplicato_fax(true);
				if(ConstantsMap.getDuplicatoList().contains(dFax)) {
					duplicati_fax.addAll(impostazioneDao.trovaDuplicati("telefono_fax", dFax, campagnaId, null));
				}
			}
			List<String> duplicati_altro = new ArrayList<String>();
			String dAltro = impostazioneDao.getDuplicatoAltroTemplate(); 
			if(!dAltro.equals(ConstantsMap.no)) {
				importModel.setDuplicato_altro(true);
				if(ConstantsMap.getDuplicatoList().contains(dAltro)) {
					duplicati_altro.addAll(impostazioneDao.trovaDuplicati("telefono_altro", dAltro, campagnaId, null));
				}
			}
			List<String> duplicati_email = new ArrayList<String>();
			String dEmail = impostazioneDao.getDuplicatoEmailTemplate(); 
			if(!dEmail.equals(ConstantsMap.no)) {
				importModel.setDuplicato_email(true);
				if(ConstantsMap.getDuplicatoList().contains(dEmail)) {
					duplicati_email.addAll(impostazioneDao.trovaDuplicati("email", dEmail, campagnaId, null));
				}
			}
			List<String> duplicati_link = new ArrayList<String>();
			String dLink = impostazioneDao.getDuplicatoLinkTemplate(); 
			if(!dLink.equals(ConstantsMap.no)) {
				importModel.setDuplicato_link(true);
				if(ConstantsMap.getDuplicatoList().contains(dLink)) {
					duplicati_link.addAll(impostazioneDao.trovaDuplicati("link", dLink,campagnaId, null));
				}
			}
			List<String> duplicati_codice = new ArrayList<String>();
			String dCodice = impostazioneDao.getDuplicatoCodiceTemplate(); 
			if(!dCodice.equals(ConstantsMap.no)) {
				importModel.setDuplicato_codice(true);
				if(ConstantsMap.getDuplicatoList().contains(dCodice)) {
					duplicati_codice.addAll(impostazioneDao.trovaDuplicati("codice_fiscale", dCodice,campagnaId, null));
				}
			}
			List<String> duplicati_partita = new ArrayList<String>();
			String dPartita = impostazioneDao.getDuplicatoPartitaTemplate(); 
			if(!dPartita.equals(ConstantsMap.no)) {
				importModel.setDuplicato_partita(true);
				if(ConstantsMap.getDuplicatoList().contains(dPartita)) {
					duplicati_partita.addAll(impostazioneDao.trovaDuplicati("partita_iva", dPartita,campagnaId, null));
				}
			}
			if(impostazioneDao.getRichiestoEmailTemplate()) {
				importModel.setRichiesto_email(true);
			}
			if(impostazioneDao.getRichiestoLinkTemplate()) {
				importModel.setRichiesto_link(true);
			}
			if(impostazioneDao.getRichiestoCodiceTemplate()) {
				importModel.setRichiesto_codice(true);
			}
			if(impostazioneDao.getRichiestoPartitaTemplate()) {
				importModel.setRichiesto_partita(true);
			}
			if(impostazioneDao.getRichiestoFaxTemplate()) {
				importModel.setRichiesto_fax(true);
			}
			if(impostazioneDao.getRichiestoAltroTemplate()) {
				importModel.setRichiesto_altro(true);
			}
			if(impostazioneDao.getRichiestoMobileTemplate()) {
				importModel.setRichiesto_mobile(true);
			}
			if(impostazioneDao.getRichiestoFissoTemplate()) {
				importModel.setRichiesto_fisso(true);
			}
			importModel.setImportCondition(impostazioneDao.getTemplateImportCondition());
			importModel.setRegulare_fisso(impostazioneDao.getRegulareFissoTemplate());
			importModel.setRegulare_mobile(impostazioneDao.getRegulareMobileTemplate());
			importModel.setRegulare_fax(impostazioneDao.getRegulareFaxTemplate());
			importModel.setRegulare_altro(impostazioneDao.getRegulareAltroTemplate());
			importModel.setRegulare_email(impostazioneDao.getRegulareEmailTemplate());
			importModel.setRegulare_link(impostazioneDao.getRegulareLinkTemplate());
			importModel.setRegulare_codice(impostazioneDao.getRegulareCodiceTemplate());
			importModel.setRegulare_partita(impostazioneDao.getRegularePartitaTemplate());
			importModel.setValidatore_fisso(impostazioneDao.validatore_fisso());
			importModel.setValidatore_mobile(impostazioneDao.validatore_mobile());
			importModel.setValidatore_fax(impostazioneDao.validatore_fax());
			importModel.setValidatore_altro(impostazioneDao.validatore_altro());
			importModel.setValidatore_email(impostazioneDao.validatore_email());
			importModel.setValidatore_link(impostazioneDao.validatore_link());
			importModel.setValidatore_codice(impostazioneDao.validatore_codice());
			importModel.setValidatore_partita(impostazioneDao.validatore_partita());
			long t = System.currentTimeMillis();
			List<String> listaDS = new ArrayList<String>();
			String template = null;
			long data = impostazioneDao.maxImport();
			Set<MyFile> elb = elaboraFile(data, importModel, fileUpload, ApplicationUtil.asList(ConstantsMap.a_xml));
			Iterator<MyFile> flsIt = elb.iterator();
			long i = 0;
			while (flsIt.hasNext()) {
				MyFile dd = (MyFile) flsIt.next();
				try {
					String ext = ApplicationUtil.getExtensionLower(dd.getName());
					InputStream stream = new ByteArrayInputStream(dd.getData());
					List<AnagraficaXML> anaList = new ArrayList<AnagraficaXML>();
					if(ext.equalsIgnoreCase(ConstantsMap.xml)) {
						ApplicationUtil.xmlDecoder(anaList, stream);
					} 
					if(ext.equalsIgnoreCase(ConstantsMap.json)) {
						ApplicationUtil.jsonDecoder(anaList, stream);
					}
					stream.close();
					String n = ApplicationUtil.replaceFileName(ApplicationUtil.getBaseNameN(dd.getName()));
					listaDS.add(n);
					Date dataC = ApplicationUtil.date();
					for(AnagraficaXML anagrafica : anaList) {
						Anagrafica a = new Anagrafica(anagrafica);
						a = ApplicationUtil.aggiustaNumeri(oC, invertiConsentito, null, a, importModel, opposizioni, duplicati_fisso, duplicati_mobile, duplicati_fax, duplicati_altro, duplicati_email, duplicati_link, duplicati_codice, duplicati_partita, null, null, null, c, null);
						boolean iok = ApplicationUtil.importCondition(dataC, n, a, importModel);
						if(iok) {
							a.setSeq(++i);
							ana.add(a);
						}
					}
				} catch (Exception e) {
					ErrorLog.log(null, getClass(), e);
				}
			}
			Boolean s = impostazioneDao.getBloccaImportazione();
			importModel.setRighe(s ? dataDao.getRigheSize() : ana.size());
			String tiL  = ApplicationUtil.trimToNull(listaD);
			importModel.impostaLista(t, tiL != null ? tiL : ApplicationUtil.detoken(listaDS, ConstantsGlobal.colonSeparator), template);
		}
		importModel.addAnagrafiche(ana);
		return importModel;
	}

	@SuppressWarnings("unchecked")
	public List<Lista> salvaAnagraficheNuova(ImportModelAnagrafica im) {
		List<Lista> ls = salvaAnagrafiche(im, false);
		List<Long> ids = ApplicationUtil.prendiIdLista(ls);
		DetachedCriteria criteria = DetachedCriteria.forClass(Lista.class);
		criteria.add(Restrictions.in("id",ids));
		return getList(criteria);
	}
	public List<Lista> salvaAnagrafiche(ImportModelAnagrafica im, boolean xml) {
		boolean filtra = true;
		Integer righe = im.getRighe();
		Boolean geocoder = impostazioneDao.getGeocoder();
		List<Anagrafica> anagrafiche = filtraAnagraficaList(filtra, im.getAnagrafiche());
		List<Lista> liste = new ArrayList<Lista>();
		if(ApplicationUtil.notEmpty(anagrafiche) && ApplicationUtil.gtZero(righe)) {
			int sizeS = im.getListeImport();
			int total = anagrafiche.size();
			for (int i = 0; i < sizeS; i++) {
				int start = i*(righe);
				int end = total > (i+1)*(righe) ? (i+1)*(righe) : total;
				if(start != end) {
					List<Anagrafica> head = anagrafiche.subList(start, end);
					if(ApplicationUtil.notEmpty(head)) {
						List<Lista> lst = new ArrayList<Lista>();
						String listaS = ApplicationUtil.trimToNull(im.getLista());
						if(listaS != null) {
							Lista lista = new Lista();
							String row = sizeS > 1 ? (i+1) + "_" : "";
							lista.setNome(row + listaS);
							campagnaDao.salva(lista);
							lst.add(lista);
							liste.add(lista);
						}
						if(xml) {
							salvaListaConCampoAggiuntivoXML(head, lst, geocoder);
						} else {
							salvaListaConCampoAggiuntivo(head, lst, geocoder);
						}
					}
				}
			}
		}
		return liste;
	}
	public Lista nuovaLista() {
		return new Lista();
	}
	public List<Anagrafica>  convertContattiInAnagrafiche(List<Contatto> contatti) {
		List<Anagrafica>  anagrafiche = new ArrayList<Anagrafica>();
		if(ApplicationUtil.notEmpty(contatti)) {
			Iterator<Contatto> objIter = contatti.iterator();
			while(objIter.hasNext()) {
				Contatto contatto = objIter.next();
				anagrafiche.add(contatto.getAnagrafica());
			}
		}
		return anagrafiche;
	}
	public void salvaAnagrafiche(List<Contatto> contatti, Lista lista, Long campagnaId) {
		if(ApplicationUtil.notEmpty(contatti)) {
			List<Anagrafica> anagrafiche = convertContattiInAnagrafiche(contatti);
			lista.setContatti(anagrafiche);
			campagnaDao.salva(lista);
			if(ApplicationUtil.gtZero(campagnaId)) {
				Campagna campagna = campagnaDao.getFullCampagna(campagnaId);
				campagnaDao.addListaToCampagna(campagna, lista);
				campagnaDao.aggiornaLista(campagna, lista);
			}
		}
	}
	public void updateAnagrafiche(Boolean esistente, Lista listaM, Boolean sposta, Utente utente, List<Contatto> contatti, Long listaId, Long campagnaId) {
		Date data = ApplicationUtil.date();
		if(ApplicationUtil.notEmpty(contatti)  && ApplicationUtil.gtZero(campagnaId)) {
			List<String> sb = new ArrayList<String>();
			Campagna campagna = campagnaDao.getFullCampagna(campagnaId);
			Lista lista = null;
			if(!ApplicationUtil.isTrue(esistente)) {
				if(ApplicationUtil.gtZero(listaId)) {
					lista = campagnaDao.getLista(listaId);
				}
				String nomeLista =  ConstantsLanguage.OFFLINE.stampa() + ": " + campagna.getNome();
				if(lista == null ) {
					lista =  campagnaDao.getByCampagnaNome(nomeLista, campagna.getId());
				}
				if(lista == null ) {
					lista = new Lista();
					lista.setNome(nomeLista);
					lista.setDescrizione(nomeLista);
					campagnaDao.salva(lista);
				}
			} else {
				if(lista == null ) {
					lista =  campagnaDao.getByCampagnaNome(listaM.getNome(), campagna.getId());
				}
				if(lista == null ) {
					lista = listaM.getCopia();
					lista.setNome(listaM.getNome());
					campagnaDao.salva(lista);
				}
			}
			campagnaDao.addListaToCampagnaSalva(campagna, lista);
			Session session = openSession();
			Transaction tx = session.beginTransaction();
			int i = 0;
			Iterator<Contatto> objIter = contatti.iterator();
			while(objIter.hasNext()) {
				Contatto contatto = objIter.next();
				Anagrafica ana = (Anagrafica) session.get(Anagrafica.class, contatto.getAnagrafica().getId());
				Hibernate.initialize(ana.getLista());
				if(!ana.getLista().contains(lista)) {
					ana.getLista().add(lista);
				}
				if(ApplicationUtil.isTrue(sposta)) {
					if(ana.getLista().contains(contatto.getLista())) {
						ana.getLista().remove(contatto.getLista());
					}
				}
				session.update(ana);
				String p = ApplicationUtil.asContatto(contatto);
				if(p != null) {
					sb.add(p);
				}
				contatto.setLista(lista);
				contatto.setCampagna(campagna);
				contatto.setData_lavorazione(data);
				contatto.setUtente(utente);
				session.update(contatto);
				StoriaContatto storia = pannelloDao.creaStoriaContatto(contatto, utente, data, false, false);
				session.save(storia);
				if (i++ % ConstantsGlobal.flushSize == 0) {
					session.flush();
					session.clear();
				}
			}
			tx.commit();
			closeSession(session);
			String a = ApplicationUtil.asString(ConstantsLanguage.TOTALE.stampa() + " " + ConstantsLanguage.CONTATTO.stampa() + " " + ApplicationUtil.asCampagna(campagna, lista) + ": " + ApplicationUtil.size(sb), sb);
			operazioneDao.creaOperazione(ConstantsMap.LOG5, a, utente, ConstantsMap.OPERAZIONE_SPOSTA_CONTATTO);
		}
	}
	public void cambiaAnagrafiche(Boolean esistente, Lista listaM, Boolean sposta, Utente utente, List<Contatto> contatti, Long listaId, Long campagnaId) {
		if(ApplicationUtil.notEmpty(contatti)  && ApplicationUtil.gtZero(campagnaId)) {
			List<String> sb = new ArrayList<String>();
			Campagna campagna = campagnaDao.getFullCampagna(campagnaId);
			Lista lista = null;
			if(!ApplicationUtil.isTrue(esistente)) {
				if(ApplicationUtil.gtZero(listaId)) {
					lista = campagnaDao.getLista(listaId);
				}
				String nomeLista =  ConstantsLanguage.OFFLINE.stampa() + ": " + campagna.getNome();
				if(lista == null ) {
					lista =  campagnaDao.getByCampagnaNome(nomeLista, campagna.getId());
				}
				if(lista == null ) {
					lista = new Lista();
					lista.setNome(nomeLista);
					lista.setDescrizione(nomeLista);
					campagnaDao.salva(lista);
				}
			} else {
				if(lista == null ) {
					lista =  campagnaDao.getByCampagnaNome(listaM.getNome(), campagna.getId());
				}
				if(lista == null ) {
					lista = listaM.getCopia();
					lista.setNome(listaM.getNome());
					campagnaDao.salva(lista);
				}
			}
			campagnaDao.addListaToCampagnaSalva(campagna, lista);
			Session session = openSession();
			Transaction tx = session.beginTransaction();
			int i = 0;
			Iterator<Contatto> objIter = contatti.iterator();
			while(objIter.hasNext()) {
				Contatto contatto = objIter.next();
				Anagrafica ana = (Anagrafica) session.get(Anagrafica.class, contatto.getAnagrafica().getId());
				Hibernate.initialize(ana.getLista());
				if(!ana.getLista().contains(lista)) {
					ana.getLista().add(lista);
				}
				if(ApplicationUtil.isTrue(sposta)) {
					if(ana.getLista().contains(contatto.getLista())) {
						ana.getLista().remove(contatto.getLista());
					}
				}
				session.update(ana);
				String p = ApplicationUtil.asContatto(contatto);
				if(p != null) {
					sb.add(p);
				}
				contatto.setLista(lista);
				contatto.setCampagna(campagna);
				if (i++ % ConstantsGlobal.flushSize == 0) {
					session.flush();
					session.clear();
				}
			}
			tx.commit();
			closeSession(session);

			String a = ApplicationUtil.asString(ConstantsLanguage.TOTALE.stampa() + " " + ConstantsLanguage.CONTATTO.stampa() + " " + ApplicationUtil.asCampagna(campagna, lista) + ": " + ApplicationUtil.size(sb), sb);
			operazioneDao.creaOperazione(ConstantsMap.LOG5, a, utente, ConstantsMap.OPERAZIONE_SPOSTA_CONTATTO);
		}
	}
	private void salvaListaConCampoAggiuntivoXML(List<Anagrafica> anagrafiche, List<Lista> liste, Boolean geocoder) {
		if(ApplicationUtil.notEmpty(anagrafiche)) {
			String key = impostazioneDao.getKeyGeocodificaMap();
			List<CampoAggiuntivoAnagrafica> campiAgg = getAllCampiAggiuntivi();
			Session session = openSession();
			Transaction tx = session.beginTransaction();
			int i = 0;
			Iterator<Anagrafica> objIter = anagrafiche.iterator();
			while(objIter.hasNext()) {
				Anagrafica anagrafica = objIter.next();
				if(filtraAnagrafica(anagrafica)) {
					if(ApplicationUtil.notEmpty(liste)) {
						anagrafica.setLista(liste);
					}
					if(ApplicationUtil.isTrue(geocoder)) {
						anagrafica.geocode(key);
					}
					session.save(anagrafica);
					if(ApplicationUtil.notEmpty(anagrafica.getDatoXml())) {
						Set<CampoAggiuntivoAnagraficaXML> chiavi = anagrafica.getDatoXml().keySet();
						Iterator<CampoAggiuntivoAnagraficaXML> chiaviIt = chiavi.iterator();
						while(chiaviIt.hasNext()) {
							CampoAggiuntivoAnagraficaXML chiave = chiaviIt.next();
							if(ApplicationUtil.isNotEmpty(chiave.getChiave())) {
								CampoAggiuntivoAnagrafica ca = ApplicationUtil.getCampiByChiave(campiAgg, chiave.getChiave());
								if(ca == null) {
									ca = new CampoAggiuntivoAnagrafica(chiave);
									session.save(ca);
									campiAgg.add(ca);
								} else {
									boolean save = false;
									if(!ApplicationUtil.equals(ca.getValori(), chiave.getValori())) {
										ca.setValori(chiave.getValori());
										save = true;
									}
									if(!ApplicationUtil.equals(ca.getPath(), chiave.getPath())) {
										ca.setPath(chiave.getPath());
										save = true;
									}
									if(!ApplicationUtil.equals(ca.getGruppo(), chiave.getGruppo())) {
										ca.setGruppo(chiave.getGruppo());
										save = true;
									}
									if(!ApplicationUtil.equals(ca.getTipo(), chiave.getTipo())) {
										ca.setTipo(chiave.getTipo());
										save = true;
									}
									if(!ApplicationUtil.equals(ca.getStile(), chiave.getStile())) {
										ca.setStile(chiave.getStile());
										save = true;
									}
									if(!ApplicationUtil.equals(ca.getObbligatorio(), chiave.getObbligatorio())) {
										ca.setObbligatorio(chiave.getObbligatorio());
										save = true;
									}
									if(!ApplicationUtil.equals(ca.getDefaults(), chiave.getDefaults())) {
										ca.setDefaults(chiave.getDefaults());
										save = true;
									}
									if(!ApplicationUtil.equals(ca.getModificabile_operatore(), chiave.getModificabile_operatore())) {
										ca.setModificabile_operatore(chiave.getModificabile_operatore());
										save = true;
									}
									if(!ApplicationUtil.equals(ca.getVisibile_operatore(), chiave.getVisibile_operatore())) {
										ca.setVisibile_operatore(chiave.getVisibile_operatore());
										save = true;
									}
									if(!ApplicationUtil.equals(ca.getModificabile_agente(), chiave.getModificabile_agente())) {
										ca.setModificabile_agente(chiave.getModificabile_agente());
										save = true;
									}
									if(!ApplicationUtil.equals(ca.getVisibile_agente(), chiave.getVisibile_agente())) {
										ca.setVisibile_agente(chiave.getVisibile_agente());
										save = true;
									}
									if(!ApplicationUtil.equals(ca.getEtichetta(), chiave.getEtichetta())) {
										ca.setEtichetta(chiave.getEtichetta());
										save = true;
									}
									if(!ApplicationUtil.equals(ca.getDescrizione(), chiave.getDescrizione())) {
										ca.setDescrizione(chiave.getDescrizione());
										save = true;
									}
									if(!ApplicationUtil.equals(ca.getColore(), chiave.getColore())) {
										ca.setColore(chiave.getColore());
										save = true;
									}
									if(save) {
										ca.imposta();
										session.update(ca);
									}
								}
								String valore = anagrafica.getDatoXml().get(chiave);
								if(valore!= null) {
									DatoAggiuntivoAnagrafica da = new DatoAggiuntivoAnagrafica();
									da.setCampo_aggiuntivo(ca);
									da.setAnagrafica(anagrafica);
									da.setValore(valore);
									da.imposta();
									session.save(da);
								}
							}
						}
					}
					if (i++ % ConstantsGlobal.flushSize == 0) {
						session.flush();
						session.clear();
					}
				}
			}
			tx.commit();
			closeSession(session);
		}
	}


	public List<Anagrafica> filtraAnagraficaList(boolean filtra, List<Anagrafica> anagrafiche) {
		if(filtra) {
			List<Anagrafica> nuove = new ArrayList<Anagrafica>();
			if(ApplicationUtil.notEmpty(anagrafiche)) {
				Iterator<Anagrafica> objIter = anagrafiche.iterator();
				while(objIter.hasNext()) {
					Anagrafica anagrafica = objIter.next();
					if(filtraAnagrafica(anagrafica)) {
						nuove.add(anagrafica);
					}
				}
			}
			return nuove;
		} else {
			return anagrafiche;
		}
	}

	public boolean filtraAnagrafica(Anagrafica anagrafica) {
		boolean con = ApplicationUtil.isTrue(anagrafica.getConsentito());
		boolean opp = ApplicationUtil.isFalse(anagrafica.getOpposizione());
		boolean fis = ApplicationUtil.isFalse(anagrafica.getDuplicato_fisso());
		boolean mob = ApplicationUtil.isFalse(anagrafica.getDuplicato_mobile());
		boolean fax = ApplicationUtil.isFalse(anagrafica.getDuplicato_fax());
		boolean alt = ApplicationUtil.isFalse(anagrafica.getDuplicato_altro());
		boolean ema = ApplicationUtil.isFalse(anagrafica.getDuplicato_email());
		boolean lnk = ApplicationUtil.isFalse(anagrafica.getDuplicato_link());
		boolean cod = ApplicationUtil.isFalse(anagrafica.getDuplicato_codice());
		boolean iva = ApplicationUtil.isFalse(anagrafica.getDuplicato_partita());
		return opp && fis && mob && fax && alt && ema && con && cod && iva && lnk;
	}

	public void salvaListaConCampoAggiuntivo(List<Anagrafica> anagrafiche, List<Lista> liste, Boolean geocoder) {
		if(ApplicationUtil.notEmpty(anagrafiche)) {
			String key = impostazioneDao.getKeyGeocodificaMap();
			List<CampoAggiuntivoAnagrafica> campiAgg = getAllCampiAggiuntivi();
			Session session = openSession();
			Transaction tx = session.beginTransaction();
			int i = 0;
			Iterator<Anagrafica> objIter = anagrafiche.iterator();
			while(objIter.hasNext()) {
				Anagrafica anagrafica = objIter.next();
				if(filtraAnagrafica(anagrafica)) {
					if(ApplicationUtil.notEmpty(liste)) {
						anagrafica.setLista(liste);
					}
					if(ApplicationUtil.isTrue(geocoder)) {
						anagrafica.geocode(key);
					}
					session.save(anagrafica);
					if(ApplicationUtil.notEmpty(anagrafica.getDato())) {
						Set<String> chiavi = anagrafica.getDato().keySet();
						Iterator<String> chiaviIt = chiavi.iterator();
						while(chiaviIt.hasNext()) {
							String chiave = chiaviIt.next();
							CampoAggiuntivoAnagrafica ca = ApplicationUtil.getCampiByChiave(campiAgg, chiave);
							DatoAggiuntivoAnagrafica c = anagrafica.getDato().get(chiave);
							if(ca == null) {
								ca = c.getCampo_aggiuntivo();
								session.save(ca);
								dataDao.addCampo(ca);
								campiAgg.add(ca);
							} else {
								boolean save = false;
								if(ca.getSuggerimento() || ca.getOneMenu() || ca.getInplaceSelect() || ca.getOneRadio() || ca.getPickList() || ca.getManyCheckbox() || ca.getManyMenu() || ca.getCombo()) {
									Set<String> vn = new HashSet<String>();
									if(ca.getPickList() || ca.getManyCheckbox() || ca.getManyMenu()) {
										vn.addAll(c.getValore_multiplo());
									}
									if(ca.getSuggerimento() || ca.getCombo() || ca.getOneMenu() || ca.getInplaceSelect() || ca.getOneRadio()) {
										vn.add(ApplicationUtil.trimToEmpty(c.getValore()));
									}
									vn.removeAll(ApplicationUtil.asList("", null));
									Set<String> vl = new HashSet<String>(ca.getValoriList());
									if(!vl.containsAll(vn)) {
										vl.addAll(vn);
										ca.setValori(ApplicationUtil.detoken( new ArrayList<String>(vl), ConstantsGlobal.colonSeparator));
										save = true;
									}
								}
								if(save) {
									ca.imposta();
									session.update(ca);
								}
							}
							if(c!= null) {
								DatoAggiuntivoAnagrafica da = new DatoAggiuntivoAnagrafica();
								da.setCampo_aggiuntivo(ca);
								da.setAnagrafica(anagrafica);
								da.setValore(c.getValore());
								da.imposta();
								session.save(da);
							}
						}
					}
					if (i++ % ConstantsGlobal.flushSize == 0) {
						session.flush();
						session.clear();
					}
				}
			}
			tx.commit();
			closeSession(session);
		}
	}
	public void salvaAnagraficaMerge(Session session, Anagrafica anagrafica, List<CampoAggiuntivoAnagrafica> campiAgg) {
		try {
			session.update(anagrafica);
			if(ApplicationUtil.notEmpty(anagrafica.getDato())) {
				Set<String> chiavi = anagrafica.getDato().keySet();
				Iterator<String> chiaviIt = chiavi.iterator();
				while(chiaviIt.hasNext()) {
					String chiave = chiaviIt.next();
					CampoAggiuntivoAnagrafica ca = ApplicationUtil.getCampiByChiave(campiAgg, chiave);
					DatoAggiuntivoAnagrafica c = anagrafica.getDato().get(chiave);
					if(ca == null) {
						ca = c.getCampo_aggiuntivo();
						session.save(ca);
						campiAgg.add(ca);
					} 
					if(c!= null) {
						DatoAggiuntivoAnagrafica da = new DatoAggiuntivoAnagrafica();
						da.setCampo_aggiuntivo(ca);
						da.setAnagrafica(anagrafica);
						da.setValore(c.getValore());
						da.imposta();
						session.save(da);
					}
				}
			}
		} catch (Exception e) {
			ErrorLog.log(null, getClass(), e);
		}
	}
	public void pulisciLista(List<Anagrafica> pulita, List<Anagrafica> anagrafiche) {
		if(pulita == null) {
			pulita = new ArrayList<Anagrafica>();
		}
		if(ApplicationUtil.notEmpty(anagrafiche)) {
			Iterator<Anagrafica> objIter = anagrafiche.iterator();
			while(objIter.hasNext()) {
				Anagrafica anagrafica = objIter.next();
				boolean con = ApplicationUtil.isTrue(anagrafica.getConsentito());
				boolean opp = ApplicationUtil.isFalse(anagrafica.getOpposizione());
				boolean fis = ApplicationUtil.isFalse(anagrafica.getDuplicato_fisso());
				boolean mob = ApplicationUtil.isFalse(anagrafica.getDuplicato_mobile());
				boolean fax = ApplicationUtil.isFalse(anagrafica.getDuplicato_fax());
				boolean alt = ApplicationUtil.isFalse(anagrafica.getDuplicato_altro());
				boolean ema = ApplicationUtil.isFalse(anagrafica.getDuplicato_email());
				boolean lnk = ApplicationUtil.isFalse(anagrafica.getDuplicato_link());
				boolean cod = ApplicationUtil.isFalse(anagrafica.getDuplicato_codice());
				boolean iva = ApplicationUtil.isFalse(anagrafica.getDuplicato_partita());
				if(opp && fis && mob && fax && alt && ema && con && cod && iva && lnk) {
					pulita.add(anagrafica);
				}
			}
		}
	}
	public void geocode(List<?> co) {
		if(ApplicationUtil.notEmpty(co)) {
			String key = impostazioneDao.getKeyGeocodificaMap();
			Session session = openSession();
			Transaction tx = session.beginTransaction();
			int i = 0;
			Iterator<?> objIter = co.iterator();
			while(objIter.hasNext()) {
				Object o = objIter.next();
				Anagrafica anagrafica = null;
				if(o instanceof Anagrafica) {
					anagrafica = (Anagrafica) o;
				} 
				if(o instanceof Contatto) {
					Contatto c = (Contatto) o;
					anagrafica = c != null ? c.getAnagrafica() : null;
				} 
				if(o instanceof Appuntamento) {
					Appuntamento c = (Appuntamento) o;
					anagrafica = c != null ? c.getContatto().getAnagrafica() : null;
				} 
				if(o instanceof Contratto) {
					Contratto c = (Contratto) o;
					anagrafica = c != null ? c.getContatto().getAnagrafica() : null;
				} 
				if(anagrafica != null) {
					anagrafica.geocode(key);
					session.save(anagrafica);
					if (i++ % ConstantsGlobal.flushSize == 0) {
						session.flush();
						session.clear();
					}
				}
			}
			tx.commit();
			closeSession(session);
		}
	}
	public List<AnagraficaXML> convertToAnagrafiche(List<Anagrafica> anagrafiche) {
		List<AnagraficaXML> anagraficheXML = new ArrayList<AnagraficaXML>();
		if(ApplicationUtil.notEmpty(anagrafiche)) {
			Iterator<Anagrafica> objIter = anagrafiche.iterator();
			Session session = openSession();
			while(objIter.hasNext()) {
				Anagrafica anagrafica = objIter.next();
				Anagrafica ana = (Anagrafica) session.get(Anagrafica.class, anagrafica.getId());
				Hibernate.initialize(ana.getDettagli());
				anagraficheXML.add(new AnagraficaXML(ana));
			}
			closeSession(session);
		}
		return anagraficheXML; 
	}
	
	public AnagraficaXML convertToAnagrafica(Anagrafica anagrafica) {
		Session session = openSession();
		Anagrafica ana = (Anagrafica) session.get(Anagrafica.class, anagrafica.getId());
		Hibernate.initialize(ana.getDettagli());
		AnagraficaXML anagraficheXML = new AnagraficaXML(ana);
		closeSession(session);
		return anagraficheXML; 
	}
	
	public List<Anagrafica> loadFullAnagrafica(List<Anagrafica> anagrafiche) {
		List<Anagrafica> anagraficheRci = new ArrayList<Anagrafica>();
		if(ApplicationUtil.notEmpty(anagrafiche)) {
			Iterator<Anagrafica> objIter = anagrafiche.iterator();
			Session session = openSession();
			while(objIter.hasNext()) {
				Anagrafica anagrafica = objIter.next();
				Anagrafica ana = (Anagrafica) session.get(Anagrafica.class, anagrafica.getId());
				Hibernate.initialize(ana.getDettagli());
				anagraficheRci.add(ana);
			}
			closeSession(session);
		}
		return anagraficheRci; 
	}
	public List<Contatto> loadFullContatto(List<Contatto> contatti) {
		List<Contatto> contattiRci = new ArrayList<Contatto>();
		if(ApplicationUtil.notEmpty(contatti)) {
			Iterator<Contatto> objIter = contatti.iterator();
			Session session = openSession();
			while(objIter.hasNext()) {
				Contatto contatto = objIter.next();
				Contatto con = (Contatto) session.get(Contatto.class, contatto.getId());
				Hibernate.initialize(con.getAnagrafica().getDettagli());
				contattiRci.add(con);
			}
			closeSession(session);
		}
		return contattiRci; 
	}
	public List<StoriaContatto> loadFullStoriaContatto(List<StoriaContatto> contatti) {
		List<StoriaContatto> contattiRci = new ArrayList<StoriaContatto>();
		if(ApplicationUtil.notEmpty(contatti)) {
			Iterator<StoriaContatto> objIter = contatti.iterator();
			Session session = openSession();
			while(objIter.hasNext()) {
				StoriaContatto contatto = objIter.next();
				StoriaContatto con = (StoriaContatto) session.get(StoriaContatto.class, contatto.getId());
				Hibernate.initialize(con.getContatto().getAnagrafica().getDettagli());
				contattiRci.add(con);
			}
			closeSession(session);
		}
		return contattiRci; 
	}
	public List<Appuntamento> loadFullAppuntamento(List<Appuntamento> appuntamenti) {
		List<Appuntamento> appuntamentiRci = new ArrayList<Appuntamento>();
		if(ApplicationUtil.notEmpty(appuntamenti)) {
			Iterator<Appuntamento> objIter = appuntamenti.iterator();
			Session session = openSession();
			while(objIter.hasNext()) {
				Appuntamento appuntamento = objIter.next();
				Appuntamento app = (Appuntamento) session.get(Appuntamento.class, appuntamento.getId());
				Hibernate.initialize(app.getContatto().getAnagrafica().getDettagli());
				appuntamentiRci.add(app);
			}
			closeSession(session);
		}
		return appuntamentiRci; 
	}
	public List<StoriaAppuntamento> loadFullStoriaAppuntamento(List<StoriaAppuntamento> appuntamenti) {
		List<StoriaAppuntamento> appuntamentiRci = new ArrayList<StoriaAppuntamento>();
		if(ApplicationUtil.notEmpty(appuntamenti)) {
			Iterator<StoriaAppuntamento> objIter = appuntamenti.iterator();
			Session session = openSession();
			while(objIter.hasNext()) {
				StoriaAppuntamento appuntamento = objIter.next();
				StoriaAppuntamento app = (StoriaAppuntamento) session.get(StoriaAppuntamento.class, appuntamento.getId());
				Hibernate.initialize(app.getAppuntamento().getContatto().getAnagrafica().getDettagli());
				appuntamentiRci.add(app);
			}
			closeSession(session);
		}
		return appuntamentiRci; 
	}
	public List<StoriaContratto> loadFullStoriaContratto(List<StoriaContratto> contratti) {
		List<StoriaContratto> contrattiRci = new ArrayList<StoriaContratto>();
		if(ApplicationUtil.notEmpty(contratti)) {
			Iterator<StoriaContratto> objIter = contratti.iterator();
			Session session = openSession();
			while(objIter.hasNext()) {
				StoriaContratto contratto = objIter.next();
				StoriaContratto ctr = (StoriaContratto) session.get(StoriaContratto.class, contratto.getId());
				Hibernate.initialize(ctr.getContratto().getContatto().getAnagrafica().getDettagli());
				Hibernate.initialize(ctr.getContratto().getDettagli());
				contrattiRci.add(ctr);
			}
			closeSession(session);
		}
		return contrattiRci; 
	}
	public List<Contratto> loadFullContratto(List<Contratto> contratti) {
		List<Contratto> contrattiRci = new ArrayList<Contratto>();
		if(ApplicationUtil.notEmpty(contratti)) {
			Iterator<Contratto> objIter = contratti.iterator();
			Session session = openSession();
			while(objIter.hasNext()) {
				Contratto contratto = objIter.next();
				Contratto ctr = (Contratto) session.get(Contratto.class, contratto.getId());
				Hibernate.initialize(ctr.getContatto().getAnagrafica().getDettagli());
				Hibernate.initialize(ctr.getDettagli());
				contrattiRci.add(ctr);
			}
			closeSession(session);
		}
		return contrattiRci; 
	}
	@SuppressWarnings("unchecked")
	public List<CampoAggiuntivoAnagrafica> getCampiAggiuntiviAnagrafica(List<String> cc) {
		if(ApplicationUtil.notEmpty(cc)) {
			DetachedCriteria criteria = DetachedCriteria.forClass(CampoAggiuntivoAnagrafica.class);
			criteria.add(Restrictions.in("chiave",cc));
			return getList(criteria);
		} else return new ArrayList<CampoAggiuntivoAnagrafica>();
	}
	@SuppressWarnings("unchecked")
	public List<CampoAggiuntivoAnagrafica> getAllCampiAggiuntiviSI() {
		DetachedCriteria criteria = DetachedCriteria.forClass(CampoAggiuntivoAnagrafica.class);
		criteria.add(Restrictions.ne("tipo",ConstantsMap.TIPO_FORM));
		criteria.addOrder(Order.asc("etichetta"));
		return getList(criteria);
	}
	@SuppressWarnings("unchecked")
	public List<CampoAggiuntivoAnagrafica> getAllCampiAggiuntiviSIAgente() {
		DetachedCriteria criteria = DetachedCriteria.forClass(CampoAggiuntivoAnagrafica.class);
		criteria.add(Restrictions.eq("visibile_agente", Boolean.TRUE));
		criteria.add(Restrictions.ne("tipo",ConstantsMap.TIPO_FORM));
		criteria.addOrder(Order.asc("etichetta"));
		return getList(criteria);
	}
	@SuppressWarnings("unchecked")
	public List<CampoAggiuntivoAnagrafica> getAllCampiAggiuntiviSIOperatore() {
		DetachedCriteria criteria = DetachedCriteria.forClass(CampoAggiuntivoAnagrafica.class);
		criteria.add(Restrictions.eq("visibile_operatore", Boolean.TRUE));
		criteria.add(Restrictions.ne("tipo",ConstantsMap.TIPO_FORM));
		criteria.addOrder(Order.asc("etichetta"));
		return getList(criteria);
	}
	public void salvaAnagraficheList(List<Anagrafica> anagrafiche) {
		if (ApplicationUtil.notEmpty(anagrafiche)) {
			salvaLista(anagrafiche);
		}
	}
	public ImportModelOpposizione getOpposizioniByFile(Boolean elimina, Long campagnaId, FileUpload fileUpload, TemplateImportOpposizione ti) {
		ImportModelOpposizione importModel = new ImportModelOpposizione();
		List<String> opp = new ArrayList<String>();
		if(ti!=null) {
			if(fileUpload != null) {
				Integer lt = impostazioneDao.getDownloadLogType();
				String backupDirTmp = getPathBackupOpposizione();
				opp.addAll(impostazioneDao.trovaOpposizioni(campagnaId));
				long data = impostazioneDao.maxImport();
				Set<MyFile> elb = elaboraFile(data, importModel, fileUpload, ApplicationUtil.asList(ConstantsMap.a_template));
				Iterator<MyFile> flsIt = elb.iterator();
				while (flsIt.hasNext()) {
					MyFile ff = (MyFile) flsIt.next();
					try {
						String n = ApplicationUtil.replaceFileName(ApplicationUtil.getBaseNameN(ff.getName()));
						String nomeFile = backupDirTmp + "/" + System.currentTimeMillis() + "_" + n + "." + ConstantsMap.xlsx;
						String ext = ApplicationUtil.getExtensionLower(ff.getName());
						InputStream stream = new ByteArrayInputStream(ff.getData());
						if(ext.equalsIgnoreCase(ConstantsMap.csv) || ext.equalsIgnoreCase(ConstantsMap.txt)) {
							InputStream fis = new ByteArrayInputStream(ff.getData());
							ApplicationUtil.writeToExcelCSV(n, stream, fis, nomeFile, ti.getSeparatoreChar(), ti.getQuoteChar());
						} else if(ext.equalsIgnoreCase(ConstantsMap.dbf)) {
							ApplicationUtil.writeToExcelDBF(n, stream,  nomeFile);
						} else if(ext.equalsIgnoreCase(ConstantsMap.xls) || ext.equalsIgnoreCase(ConstantsMap.xlt)) {
							ApplicationUtil.writeToExcelXLS(stream, nomeFile, ti.getConsidera_filtro(), ti.getEsegui_filtro());
						} else if(ext.equalsIgnoreCase(ConstantsMap.xlsb)) {
							ApplicationUtil.writeToExcelXLSB(stream, n, nomeFile);
						} else if(ext.equalsIgnoreCase(ConstantsMap.xlsx)  || ext.equalsIgnoreCase(ConstantsMap.xltx) || ext.equalsIgnoreCase(ConstantsMap.xlsm)) {
							if(!ConstantsGlobal.fast_import) {
								ApplicationUtil.writeToExcelXLSX(stream, nomeFile, ti.getConsidera_filtro(), ti.getEsegui_filtro(), ti.getRapido_filtro());
							} else {
								ApplicationUtil.writeToExcelRapido(stream, nomeFile);
							}
						} 
						stream.close();
						Campagna campagna = campagnaDao.getCampagna(campagnaId);
						importModel.addAnagrafiche(ExcelImport.importaExcelOpposizione(lt, ApplicationUtil.isTrue(elimina),  campagna, nomeFile, ti, opp, importModel));
					} catch (Exception e) {
						ErrorLog.log(null, getClass(), e);
					}
				}
			}
		}
		return importModel;
	}
	public void rimuovi(List<ContattoSI> lista, ContattoSI oggetto) {
		if(lista == null)
			lista = new ArrayList<ContattoSI>();
		if(oggetto != null)
			lista.remove(oggetto);
	}
	public void rimuoviTutti(List<ContattoSI> lista, List<ContattoSI> oggetto) {
		if(lista == null)
			lista = new ArrayList<ContattoSI>();
		if(ApplicationUtil.notEmpty(oggetto))
			lista.removeAll(oggetto);
	}
	public List<ContattoSI> nuovaListaContattiDaEliminare() {
		return new ArrayList<ContattoSI>();
	}
	public void aggiungi(List<ContattoSI> lista, ContattoSI oggetto) {
		if(lista == null)
			lista = new ArrayList<ContattoSI>();
		if(oggetto != null)
			lista.add(oggetto);
	}
	public void aggiungiTutti(List<ContattoSI> lista, List<ContattoSI> oggetto) {
		if(lista == null)
			lista = new ArrayList<ContattoSI>();
		if(ApplicationUtil.notEmpty(oggetto))
			lista.addAll(oggetto);
	}

	public void rimuoviIndice(List<Anagrafica> lista, Anagrafica indice) {
		if(lista == null) {
			lista = new ArrayList<Anagrafica>();
		}
		if(indice != null) {
			lista.remove(indice);
		}
	}
	public void rimuoviIndiceAnagrafica(ImportModelAnagrafica im, Anagrafica indice) {
		if(indice != null && im != null) {
			im.remEsclusa(indice);
		}
	}
	public void rimuoviIndiceOpposizione(ImportModelOpposizione im, Opposizione indice) {
		if(indice != null && im != null) {
			im.remEsclusa(indice);
		}
	}
	public void rimuoviIndiceContatto(ImportModelContatto im, Contatto indice) {
		if(indice != null && im != null) {
			im.remEsclusa(indice);
		}
	}
	public void rimuoviIndiceContratto(ImportModelContratto im, Contratto indice) {
		if(indice != null && im != null) {
			im.remEsclusa(indice);
		}
	}
	public void rimuoviIndiceAppuntamento(ImportModelAppuntamento im, Appuntamento indice) {
		if(indice != null && im != null) {
			im.remEsclusa(indice);
		}
	}
	public Anagrafica get(Long id) {
		return (Anagrafica) get(Anagrafica.class, id);
	}
	public Indirizzo salvaIndirizzo(Indirizzo indirizzo) {
		return (Indirizzo) salvaAggiorna(indirizzo);
	}
	public Anagrafica nuovaAnagrafica() {
		return new Anagrafica();
	}
	public Anagrafica getContatto(Utente utente, Contatto contatto) {
		String pg = ApplicationUtil.asString(ConstantsLanguage.CONTATTO.stampa(), contatto);
		operazioneDao.creaOperazione(ConstantsMap.LOG7, pg ,utente, ConstantsMap.OPERAZIONE_ELEMENTO_CONTATTO);
		return (Anagrafica) get(Anagrafica.class, contatto.getAnagrafica().getId());
	}
	public Anagrafica getContratto(Utente utente, Contratto contratto) {
		String pg = ApplicationUtil.asString(ConstantsLanguage.CONTRATTO.stampa(), contratto);
		operazioneDao.creaOperazione(ConstantsMap.LOG7, pg ,utente, ConstantsMap.OPERAZIONE_ELEMENTO_CONTRATTO);
		return (Anagrafica) get(Anagrafica.class, contratto.getContatto().getAnagrafica().getId());
	}
	public Anagrafica getAppuntamento(Utente utente, Appuntamento appuntamento) {
		String pg = ApplicationUtil.asString(ConstantsLanguage.APPUNTAMENTO.stampa(), appuntamento);
		operazioneDao.creaOperazione(ConstantsMap.LOG7, pg ,utente, ConstantsMap.OPERAZIONE_ELEMENTO_APPUNTAMENTO);
		return (Anagrafica) get(Anagrafica.class, appuntamento.getContatto().getAnagrafica().getId());
	}
	public Campagna getCampagna(Contatto contatto) {
		if(contatto!=null) {
			return contatto.getCampagna();
		} else return null;
	}
	public Anagrafica getFullAnagraficaById(Long ana) {
		DetachedCriteria criteria = DetachedCriteria.forClass(Anagrafica.class);
		criteria.add(Restrictions.idEq(ana));
		criteria.setFetchMode("anagrafica_padre", FetchMode.JOIN);
		return  (Anagrafica) getUniqueResult(criteria);
	}
	@SuppressWarnings("unchecked")
	public List<Anagrafica> getAnagraficheById(List<Long> anagraficaId) {
		DetachedCriteria criteria = DetachedCriteria.forClass(Anagrafica.class);
		criteria.add(Restrictions.in("id", anagraficaId));
		return getList(criteria);
	}
	@SuppressWarnings("unchecked")
	public List<Anagrafica> getAnagraficheByContattoId(List<Long> contattoId) {
		DetachedCriteria criteria = DetachedCriteria.forClass(Anagrafica.class);
		criteria.createCriteria("contatti").add(Restrictions.in("id", contattoId));
		return getList(criteria);
	}
	public Anagrafica getAnagraficaById(Long anagraficaId) {
		DetachedCriteria criteria = DetachedCriteria.forClass(Anagrafica.class);
		criteria.add(Restrictions.idEq(anagraficaId));
		return (Anagrafica) getUniqueResult(criteria);
	}
	@SuppressWarnings("unchecked")
	public List<Anagrafica> getAnagraficheByPadreId(Long anagraficaId) {
		DetachedCriteria criteria = DetachedCriteria.forClass(Anagrafica.class);
		criteria.add(Restrictions.eq("anagrafica_padre.id",anagraficaId));
		return getList(criteria);
	}
	@SuppressWarnings("unchecked")
	public List<CampoAggiuntivoAnagrafica> getAllCampiAggiuntivi() {
		DetachedCriteria criteria = DetachedCriteria.forClass(CampoAggiuntivoAnagrafica.class);
		criteria.add(Restrictions.ne("tipo",ConstantsMap.TIPO_FORM));
		criteria.addOrder(Order.asc("etichetta"));
		return getList(criteria);
	}
	@SuppressWarnings("unchecked")
	public List<CampoAggiuntivoAnagrafica> getAllCampiAggiuntiviAgente() {
		DetachedCriteria criteria = DetachedCriteria.forClass(CampoAggiuntivoAnagrafica.class);
		criteria.add(Restrictions.ne("tipo",ConstantsMap.TIPO_FORM));
		criteria.add(Restrictions.eq("visibile_agente", Boolean.TRUE));
		criteria.addOrder(Order.asc("etichetta"));
		return getList(criteria);
	}
	@SuppressWarnings("unchecked")
	public List<CampoAggiuntivoAnagrafica> getAllCampiAggiuntiviOperatore() {
		DetachedCriteria criteria = DetachedCriteria.forClass(CampoAggiuntivoAnagrafica.class);
		criteria.add(Restrictions.ne("tipo",ConstantsMap.TIPO_FORM));
		criteria.add(Restrictions.eq("visibile_operatore", Boolean.TRUE));
		criteria.addOrder(Order.asc("etichetta"));
		return getList(criteria);
	}
	public CampoAggiuntivoAnagrafica getCampoAggiuntivoById(Long campoAggiuntivoId) {
		DetachedCriteria criteria = DetachedCriteria.forClass(CampoAggiuntivoAnagrafica.class);
		criteria.add(Restrictions.idEq(campoAggiuntivoId));
		return (CampoAggiuntivoAnagrafica) getUniqueResult(criteria);
	}
	@SuppressWarnings("unchecked")
	public List<DatoAggiuntivoAnagrafica> getDatiAggiuntiviAnagrafica(Long anagraficaId) {
		DetachedCriteria criteria = DetachedCriteria.forClass(DatoAggiuntivoAnagrafica.class);
		criteria.add(Restrictions.eq("anagrafica.id",anagraficaId));
		return getList(criteria);
	}
	@SuppressWarnings("unchecked")
	public  List<DatoAggiuntivoAnagrafica>  getDatiAggiuntiviAnagraficaAgente(Long anagraficaId) {
		DetachedCriteria criteria = DetachedCriteria.forClass(DatoAggiuntivoAnagrafica.class);
		criteria.createCriteria("campo_aggiuntivo").add(Restrictions.eq("visibile_agente", Boolean.TRUE));
		criteria.add(Restrictions.eq("anagrafica.id", anagraficaId));
		return getList(criteria);
	}
	@SuppressWarnings("unchecked")
	public  List<DatoAggiuntivoAnagrafica>  getDatiAggiuntiviAnagraficaOperatore(Long anagraficaId) {
		DetachedCriteria criteria = DetachedCriteria.forClass(DatoAggiuntivoAnagrafica.class);
		criteria.createCriteria("campo_aggiuntivo").add(Restrictions.eq("visibile_operatore", Boolean.TRUE));
		criteria.add(Restrictions.eq("anagrafica.id", anagraficaId));
		return getList(criteria);
	}
	@SuppressWarnings("unchecked")
	public  List<DatoAggiuntivoAnagrafica>  getDatiAggiuntiviAnagrafica(Boolean supervisore, Long anagraficaId) {
		DetachedCriteria criteria = DetachedCriteria.forClass(DatoAggiuntivoAnagrafica.class);
		if(!ApplicationUtil.isTrue(supervisore)) {
			criteria.createCriteria("campo_aggiuntivo").add(Restrictions.eq("visibile_operatore", Boolean.TRUE));
		}
		criteria.add(Restrictions.eq("anagrafica.id", anagraficaId));
		return getList(criteria);
	}
	public int getContattiByAnagraficaIdSize(Long idAnagrafica) {
		DetachedCriteria criteria = DetachedCriteria.forClass(Contatto.class);
		criteria.add(Restrictions.eq("anagrafica.id",idAnagrafica));
		return getListSize(criteria);
	}
	public int getListeByAnagraficaIdSize(Long idAnagrafica) {
		DetachedCriteria criteria = DetachedCriteria.forClass(Lista.class);
		criteria.createCriteria("contatti").add(Restrictions.idEq(idAnagrafica));
		return getListSize(criteria);
	}
	@SuppressWarnings("unchecked")
	public List<Lista> getListeByAnagraficaId(Long idAnagrafica) {
		DetachedCriteria criteria = DetachedCriteria.forClass(Lista.class);
		criteria.createCriteria("contatti").add(Restrictions.idEq(idAnagrafica));
		return getList(criteria);
	}
	public CampoAggiuntivoAnagrafica getCampoAggiuntivoByChiave(String chiave) {
		DetachedCriteria criteria = DetachedCriteria.forClass(CampoAggiuntivoAnagrafica.class);
		criteria.add(Restrictions.eq("chiave", chiave));
		return (CampoAggiuntivoAnagrafica) getUniqueResult(criteria);
	}
	public void eliminaCampoAggiuntivo(CampoAggiuntivoAnagrafica campoAggiuntivo) {
		cancellaAggiorna(campoAggiuntivo);
	}
	public int countCampoInDomanda(Long idCampoAggiuntivo) {
		DetachedCriteria criteria = DetachedCriteria.forClass(DomandaAnagrafica.class);
		criteria.createCriteria("campo_aggiuntivo").add(Restrictions.idEq(idCampoAggiuntivo));
		return getListSize(criteria);
	}
	private ExtendedCriteria trovaCriteria(AnagraficaCriteria ana) {
		if(ana != null)  ana = (AnagraficaCriteria) ana.loadCriteria();
		DetachedCriteria criteria = DetachedCriteria.forClass(Anagrafica.class);
		String indirizzo = impostazioneDao.getRicercaIndirizzo();
		if (ApplicationUtil.isNotBlank(ana.getRicerca_denominazione())) {
			ApplicationUtil.denominazione(criteria, ana.getRicerca_denominazione());
		}
		if (ApplicationUtil.isNotBlank(ana.getRicerca_fiscale())) {
			ApplicationUtil.fiscale(criteria, ana.getRicerca_fiscale());
		}
		if (ApplicationUtil.isNotBlank(ana.getSettore())) {
			ApplicationUtil.valori(ConstantsGlobal.colonSeparator,true, ana.getSettore(), criteria, "settore");
		}
		if (ApplicationUtil.isNotBlank(ana.getSorgente())) {
			ApplicationUtil.valori(ConstantsGlobal.colonSeparator,true,  ana.getSorgente(), criteria, "sorgente");
		}
		if (ApplicationUtil.isNotBlank(ana.getNumero())) {
			ApplicationUtil.telefonoA(criteria, ana.getNumero());
		}
		if (ana.getSesso() != null) {
			criteria.add(Restrictions.eq("maschio", ana.getSesso()));
		}
		if (ana.getTipo() != null) {
			criteria.add(Restrictions.eq("pf", ana.getTipo()));
		}
		if (ApplicationUtil.isNotBlank(ana.getEmail())) {
			ApplicationUtil.email(criteria, ana.getEmail());
		}
		impostazioneDao.ricercaConsenso(ana, criteria);
		impostazioneDao.ricercaIndirizzo(criteria, ana, indirizzo);
		if(ApplicationUtil.isTrue(impostazioneDao.getRicercaDomandaAnagraficaMultipla())) {
			impostazioneDao.ricercaAggiuntivaAnagraficaMultipla(ana, criteria);
		} 
		if(ApplicationUtil.isTrue(impostazioneDao.getRicercaDomandaAnagraficaSingola())) {
			impostazioneDao.ricercaAggiuntivaAnagraficaSingola(ana, criteria);
		}
		ana.impostaRicercaDate(criteria);
		return new ExtendedCriteria(impostazioneDao.getLoggerRicerca(), criteria, ana);
	}
	public int getListeByAnagraficaIdSizeLista(Long idAnagrafica) {
		DetachedCriteria criteria = DetachedCriteria.forClass(Lista.class);
		criteria.createCriteria("contatti").add(Restrictions.idEq(idAnagrafica));
		return getListSize(criteria);
	}
	public Long getCampoAnagraficaByChiave(String chiave) {
		DetachedCriteria criteria = DetachedCriteria.forClass(CampoAggiuntivoAnagrafica.class);
		criteria.add(Restrictions.eq("chiave", chiave));
		criteria.setProjection(Projections.distinct(Projections.property("id")));
		return (Long) getUniqueResult(criteria);
	}
	public Long getCampoContrattoByChiave(String chiave) {
		DetachedCriteria criteria = DetachedCriteria.forClass(CampoAggiuntivoContratto.class);
		criteria.add(Restrictions.eq("chiave", chiave));
		criteria.setProjection(Projections.distinct(Projections.property("id")));
		return (Long) getUniqueResult(criteria);
	}
	@SuppressWarnings("unchecked")
	public void eliminaNotInCampagna(Boolean cancella) {
		if(ApplicationUtil.isFalse(cancella)) {
			DetachedCriteria criteria = DetachedCriteria.forClass(Lista.class);
			criteria.createCriteria("campagna", ApplicationUtil.leftJoin()).add(Restrictions.isNull("id"));
			List<Lista> liste = getList(criteria);
			Iterator<Lista> objIter = liste.iterator();
			while(objIter.hasNext()) {
				Lista lista = objIter.next();
				cancellaAggiorna(lista);
			}
		} else {
			DetachedCriteria criteria = DetachedCriteria.forClass(Lista.class);
			criteria.createCriteria("campagna", ApplicationUtil.leftJoin()).add(Restrictions.isNull("id"));
			criteria.setProjection(Projections.distinct(Projections.property("id")));
			List<Long> liste = getList(criteria);
			if(ApplicationUtil.notEmpty(liste)) {
				eliminaInLista(liste);
			}
		}
	}
	@SuppressWarnings("unchecked")
	public void eliminaNotInLista() {
		DetachedCriteria criteria = DetachedCriteria.forClass(Anagrafica.class);
		criteria.createCriteria("lista", ApplicationUtil.leftJoin()).add(Restrictions.isNull("id"));
		criteria.setProjection(Projections.distinct(Projections.property("id")));
		List<Long> anags = getList(criteria);
		if(ApplicationUtil.notEmpty(anags)) {
			String id = ApplicationUtil.detoken(anags, ConstantsGlobal.commaSeparator); 
			String hql = "delete from Anagrafica where id in ("+id+")";
			execute(false, hql);
		}
	}
	@SuppressWarnings("unchecked")
	public void eliminaInLista(Long idL) {
		DetachedCriteria criteria = DetachedCriteria.forClass(Anagrafica.class);
		criteria.createCriteria("lista").add(Restrictions.idEq(idL));
		criteria.setProjection(Projections.distinct(Projections.property("id")));
		List<Long> anags = getList(criteria);
		Lista lista = campagnaDao.getLista(idL);
		campagnaDao.eliminaInListaTransaction(anags, lista);
		cancellaAggiorna(lista);
	}
	@SuppressWarnings("unchecked")
	public void eliminaInLista(List<Long> liste) {
		DetachedCriteria criteria = DetachedCriteria.forClass(Anagrafica.class);
		criteria.createCriteria("lista").add(Restrictions.in("id" ,liste));
		criteria.setProjection(Projections.distinct(Projections.property("id")));
		List<Long> anags = getList(criteria);
		List<Lista> listaLst = campagnaDao.getListaById(liste);
		campagnaDao.eliminaInListaTransaction(anags, listaLst);
		cancellaLista(listaLst);
	}
	private ExtendedCriteria trovaComuneCriteria(ComuneCriteria ema) {
		if(ema != null)  ema = (ComuneCriteria) ema.loadCriteria();
		DetachedCriteria criteria = DetachedCriteria.forClass(Comune.class);
		if (ApplicationUtil.isNotBlank(ema.getNome())) {
			ApplicationUtil.valori(ConstantsGlobal.colonSeparator,true, ema.getNome(), criteria, "nome");
		}
		ema.impostaRicercaDate(criteria);
		return new ExtendedCriteria(impostazioneDao.getLoggerRicerca(), criteria, ema);
	}
	@SuppressWarnings("unchecked")
	public List<Comune> trovaComune(ComuneCriteria auto, int start, int size) {
		ExtendedCriteria criteria = trovaComuneCriteria(auto);
		ApplicationUtil.setOrdinamento(criteria.getCriteria(), new Order [] {Order.asc("nome")});
		return getList(criteria, start, size);
	}
	public int trovaComuneSize(ComuneCriteria auto) {
		ExtendedCriteria criteria = trovaComuneCriteria(auto);
		return getListSize(criteria);
	}
	private ExtendedCriteria trovaProvinciaCriteria(ProvinciaCriteria ema) {
		if(ema != null)  ema = (ProvinciaCriteria) ema.loadCriteria();
		DetachedCriteria criteria = DetachedCriteria.forClass(Provincia.class);
		if (ApplicationUtil.isNotBlank(ema.getNome())) {
			ApplicationUtil.valori(ConstantsGlobal.colonSeparator,true, ema.getNome(), criteria, "nome");
		}
		ema.impostaRicercaDate(criteria);
		return new ExtendedCriteria(impostazioneDao.getLoggerRicerca(), criteria, ema);
	}
	@SuppressWarnings("unchecked")
	public List<Provincia> trovaProvincia(ProvinciaCriteria auto, int start, int size) {
		ExtendedCriteria criteria = trovaProvinciaCriteria(auto);
		ApplicationUtil.setOrdinamento(criteria.getCriteria(), new Order [] {Order.asc("nome")});
		return getList(criteria, start, size);
	}
	public int trovaProvinciaSize(ProvinciaCriteria auto) {
		ExtendedCriteria criteria = trovaProvinciaCriteria(auto);
		return getListSize(criteria);
	}
	public Provincia getProvincia(Long id) {
		return (Provincia) get(Provincia.class, id);
	}
	public Comune getComune(Long id) {
		return (Comune) get(Comune.class, id);
	}
	public Zona getZona(Long id) {
		return (Zona) get(Zona.class, id);
	}
	private ExtendedCriteria trovaZonaCriteria(ZonaCriteria ema) {
		if(ema != null)  ema = (ZonaCriteria) ema.loadCriteria();
		DetachedCriteria criteria = DetachedCriteria.forClass(Zona.class);
		if (ApplicationUtil.isNotBlank(ema.getNome())) {
			ApplicationUtil.valori(ConstantsGlobal.colonSeparator,true, ema.getNome(), criteria, "nome");
		}
		if (ApplicationUtil.gtZero(ema.getCampagna())) {
			criteria.createCriteria("campagne").add(Restrictions.idEq(ema.getCampagna()));
		}
		if (ApplicationUtil.isNotBlank(ema.getZona())) {
			ApplicationUtil.zona(criteria, ema.getZona());
		}
		ema.impostaRicercaDate(criteria);
		return new ExtendedCriteria(impostazioneDao.getLoggerRicerca(), criteria, ema);
	}
	
	public List<Zona> impostaConteggioZona(GenericColumn c, List<Zona> zone) {
		if(ApplicationUtil.notEmpty(zone))  {
			LoggerColonna l = new LoggerColonna(impostazioneDao.getLoggerColonne());
			List<Long> ll = ApplicationUtil.prendiIdZona(zone);
			Map<Long, ColonnaModel> map = dataDao.getConteggioColonna(c, ll, Zona.class, new ColonnaQuery(ConstantsColumn.coordinatori, "supervisori"), new ColonnaQuery(ConstantsColumn.agenti, "agente"), new ColonnaQuery(ConstantsColumn.campagne, "campagne"));
			Iterator<Zona> it = zone.iterator();
			while (it.hasNext()) {
				Zona o = it.next();
				ColonnaModel lmap = map.get(o.getId());
				if(lmap != null) {
					o.setModel(lmap);
				}
			}
			l.log(c);
		}
		return zone;
	}
	@SuppressWarnings("unchecked")
	public List<Zona> trovaZona(ZonaCriteria auto, int start, int size) {
		ExtendedCriteria criteria = trovaZonaCriteria(auto);
		ApplicationUtil.setOrdinamento(criteria.getCriteria(), auto.getO_tipo(), auto.getO_colonna(), new Order [] {Order.asc("nome")});
		return getList(criteria, start, size);
	}
	public int trovaZonaSize(ZonaCriteria auto) {
		ExtendedCriteria criteria = trovaZonaCriteria(auto);
		return getListSize(criteria);
	}
	public TemplateImportAnagrafica salvaTemplateImportAnagrafica(TemplateImportAnagrafica templateImportAnagrafica) {
		return (TemplateImportAnagrafica) salvaAggiorna(templateImportAnagrafica);
	}
	public void eliminaTemplateImportAnagrafica(TemplateImportAnagrafica templateImportAnagrafica) {
		cancellaAggiorna(templateImportAnagrafica);
	}
	private ExtendedCriteria trovaCriteria(TemplateImportAnagraficaCriteria ana) {
		if(ana != null)  ana = (TemplateImportAnagraficaCriteria) ana.loadCriteria();
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateImportAnagrafica.class);
		if (ApplicationUtil.isNotBlank(ana.getNome())) {
			ApplicationUtil.valori(ConstantsGlobal.colonSeparator,true, ana.getNome(), criteria, "nome");
		}
		ana.impostaRicercaDate(criteria);
		return new ExtendedCriteria(impostazioneDao.getLoggerRicerca(), criteria, ana);
	}
	public TemplateExportAnagrafica salvaTemplateExportAnagrafica(TemplateExportAnagrafica templateExportAnagrafica) {
		return (TemplateExportAnagrafica) salvaAggiorna(templateExportAnagrafica);
	}
	public void eliminaTemplateExportAnagrafica(TemplateExportAnagrafica templateExportAnagrafica) {
		cancellaAggiorna(templateExportAnagrafica);
	}
	private ExtendedCriteria trovaCriteria(TemplateExportAnagraficaCriteria ana) {
		if(ana != null)  ana = (TemplateExportAnagraficaCriteria) ana.loadCriteria();
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateExportAnagrafica.class);
		if (ApplicationUtil.isNotBlank(ana.getNome())) {
			ApplicationUtil.valori(ConstantsGlobal.colonSeparator,true, ana.getNome(), criteria, "nome");
		}
		ana.impostaRicercaDate(criteria);
		return new ExtendedCriteria(impostazioneDao.getLoggerRicerca(), criteria, ana);
	}
	@SuppressWarnings("unchecked")
	public List<TemplateExportAnagrafica> trova(TemplateExportAnagraficaCriteria ana,int start, int size) {
		ExtendedCriteria criteria = trovaCriteria(ana);
		ApplicationUtil.setOrdinamento(criteria.getCriteria(), new Order [] {Order.asc("id")});
		return getList(criteria, start, size);
	}
	public int trovaSize(TemplateExportAnagraficaCriteria ana) {
		ExtendedCriteria criteria = trovaCriteria(ana);
		return getListSize(criteria);
	}
	public TemplateExportAnagrafica getTemplateExportAnagrafica(Long id) {
		if(ApplicationUtil.gtZero(id)) {
			return (TemplateExportAnagrafica) get(TemplateExportAnagrafica.class, id);
		} 
		return null;
	}
	public List<SelectItem> getTemplateExportAnagrafica() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateExportAnagrafica.class);
		criteria.add(Restrictions.eq("attivo", Boolean.TRUE));
		List<GenericSI> lis = getGenericSI(criteria, "id", "nome");
		return impostazioneDao.getGeneric(lis, true);
	}
	@SuppressWarnings("unchecked")
	public List<TemplateImportAnagrafica> trova(TemplateImportAnagraficaCriteria ana,int start, int size) {
		ExtendedCriteria criteria = trovaCriteria(ana);
		ApplicationUtil.setOrdinamento(criteria.getCriteria(), new Order [] {Order.asc("id")});
		return getList(criteria, start, size);
	}
	public int trovaSize(TemplateImportAnagraficaCriteria ana) {
		ExtendedCriteria criteria = trovaCriteria(ana);
		return getListSize(criteria);
	}
	public TemplateImportAnagrafica getTemplateImportAnagrafica(Long id) {
		if(ApplicationUtil.gtZero(id) ) {
			return (TemplateImportAnagrafica) get(TemplateImportAnagrafica.class, id);
		} 
		return null;
	}
	public List<SelectItem> getTemplateImportAnagrafica() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateImportAnagrafica.class);
		criteria.add(Restrictions.eq("attivo", Boolean.TRUE));
		List<GenericSI> lis = getGenericSI(criteria, "id", "nome");
		return impostazioneDao.getGeneric(lis, true);
	}
	public TemplateImportOpposizione salvaTemplateImportOpposizione(TemplateImportOpposizione templateImportOpposizione) {
		return (TemplateImportOpposizione) salvaAggiorna(templateImportOpposizione);
	}
	public void eliminaTemplateImportOpposizione(TemplateImportOpposizione templateImportOpposizione) {
		cancellaAggiorna(templateImportOpposizione);
	}
	public TemplateImportContratto salvaTemplateImportContratto(TemplateImportContratto templateImportContratto) {
		return (TemplateImportContratto) salvaAggiorna(templateImportContratto);
	}
	public void eliminaTemplateImportContratto(TemplateImportContratto templateImportContratto) {
		cancellaAggiorna(templateImportContratto);
	}
	public TemplateImportAppuntamento salvaTemplateImportAppuntamento(TemplateImportAppuntamento templateImportAppuntamento) {
		return (TemplateImportAppuntamento) salvaAggiorna(templateImportAppuntamento);
	}
	public void eliminaTemplateImportAppuntamento(TemplateImportAppuntamento templateImportAppuntamento) {
		cancellaAggiorna(templateImportAppuntamento);
	}
	public TemplateImportContatto salvaTemplateImportContatto(TemplateImportContatto templateImportContatto) {
		return (TemplateImportContatto) salvaAggiorna(templateImportContatto);
	}
	public void eliminaTemplateImportContatto(TemplateImportContatto templateImportContatto) {
		cancellaAggiorna(templateImportContatto);
	}
	private ExtendedCriteria trovaCriteria(TemplateImportOpposizioneCriteria ana) {
		if(ana != null)  ana = (TemplateImportOpposizioneCriteria) ana.loadCriteria();
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateImportOpposizione.class);
		if (ApplicationUtil.isNotBlank(ana.getNome())) {
			ApplicationUtil.valori(ConstantsGlobal.colonSeparator,true, ana.getNome(), criteria, "nome");
		}
		ana.impostaRicercaDate(criteria);
		return new ExtendedCriteria(impostazioneDao.getLoggerRicerca(), criteria, ana);
	}
	@SuppressWarnings("unchecked")
	public List<TemplateImportOpposizione> trova(TemplateImportOpposizioneCriteria ana,int start, int size) {
		ExtendedCriteria criteria = trovaCriteria(ana);
		ApplicationUtil.setOrdinamento(criteria.getCriteria(), new Order [] {Order.asc("id")});
		return getList(criteria, start, size);
	}
	public int trovaSize(TemplateImportOpposizioneCriteria ana) {
		ExtendedCriteria criteria = trovaCriteria(ana);
		return getListSize(criteria);
	}
	public TemplateImportOpposizione getTemplateImportOpposizione(Long id) {
		if(ApplicationUtil.gtZero(id) ) {
			return (TemplateImportOpposizione) get(TemplateImportOpposizione.class, id);
		} 
		return null;
	}
	public List<SelectItem> getTemplateImportOpposizione() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateImportOpposizione.class);
		criteria.add(Restrictions.eq("attivo", Boolean.TRUE));
		List<GenericSI> lis = getGenericSI(criteria, "id", "nome");
		return impostazioneDao.getGeneric(lis, true);
	}
	private ExtendedCriteria trovaCriteria(TemplateImportContrattoCriteria ana) {
		if(ana != null)  ana = (TemplateImportContrattoCriteria) ana.loadCriteria();
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateImportContratto.class);
		if (ApplicationUtil.isNotBlank(ana.getNome())) {
			ApplicationUtil.valori(ConstantsGlobal.colonSeparator,true, ana.getNome(), criteria, "nome");
		}
		ana.impostaRicercaDate(criteria);
		return new ExtendedCriteria(impostazioneDao.getLoggerRicerca(), criteria, ana);
	}
	@SuppressWarnings("unchecked")
	public List<TemplateImportContratto> trova(TemplateImportContrattoCriteria ana,int start, int size) {
		ExtendedCriteria criteria = trovaCriteria(ana);
		ApplicationUtil.setOrdinamento(criteria.getCriteria(), new Order [] {Order.asc("id")});
		return getList(criteria, start, size);
	}
	public int trovaSize(TemplateImportContrattoCriteria ana) {
		ExtendedCriteria criteria = trovaCriteria(ana);
		return getListSize(criteria);
	}
	public TemplateImportContratto getTemplateImportContratto(Long id) {
		if(ApplicationUtil.gtZero(id) ) {
			return (TemplateImportContratto) get(TemplateImportContratto.class, id);
		} 
		return null;
	}
	public List<SelectItem> getTemplateImportContratto() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateImportContratto.class);
		criteria.add(Restrictions.eq("attivo", Boolean.TRUE));
		List<GenericSI> lis = getGenericSI(criteria, "id", "nome");
		return impostazioneDao.getGeneric(lis, true);
	}
	private ExtendedCriteria trovaCriteria(TemplateImportAppuntamentoCriteria ana) {
		if(ana != null)  ana = (TemplateImportAppuntamentoCriteria) ana.loadCriteria();
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateImportAppuntamento.class);
		if (ApplicationUtil.isNotBlank(ana.getNome())) {
			ApplicationUtil.valori(ConstantsGlobal.colonSeparator,true, ana.getNome(), criteria, "nome");
		}
		ana.impostaRicercaDate(criteria);
		return new ExtendedCriteria(impostazioneDao.getLoggerRicerca(), criteria, ana);
	}
	@SuppressWarnings("unchecked")
	public List<TemplateImportAppuntamento> trova(TemplateImportAppuntamentoCriteria ana,int start, int size) {
		ExtendedCriteria criteria = trovaCriteria(ana);
		ApplicationUtil.setOrdinamento(criteria.getCriteria(), new Order [] {Order.asc("id")});
		return getList(criteria, start, size);
	}
	public int trovaSize(TemplateImportAppuntamentoCriteria ana) {
		ExtendedCriteria criteria = trovaCriteria(ana);
		return getListSize(criteria);
	}
	public TemplateImportAppuntamento getTemplateImportAppuntamento(Long id) {
		if(ApplicationUtil.gtZero(id) ) {
			return (TemplateImportAppuntamento) get(TemplateImportAppuntamento.class, id);
		} 
		return null;
	}
	public List<SelectItem> getTemplateImportAppuntamento() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateImportAppuntamento.class);
		criteria.add(Restrictions.eq("attivo", Boolean.TRUE));
		List<GenericSI> lis = getGenericSI(criteria, "id", "nome");
		return impostazioneDao.getGeneric(lis, true);
	}
	private ExtendedCriteria trovaCriteria(TemplateImportContattoCriteria ana) {
		if(ana != null)  ana = (TemplateImportContattoCriteria) ana.loadCriteria();
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateImportContatto.class);
		if (ApplicationUtil.isNotBlank(ana.getNome())) {
			ApplicationUtil.valori(ConstantsGlobal.colonSeparator,true, ana.getNome(), criteria, "nome");
		}
		ana.impostaRicercaDate(criteria);
		return new ExtendedCriteria(impostazioneDao.getLoggerRicerca(), criteria, ana);
	}
	@SuppressWarnings("unchecked")
	public List<TemplateImportContatto> trova(TemplateImportContattoCriteria ana,int start, int size) {
		ExtendedCriteria criteria = trovaCriteria(ana);
		ApplicationUtil.setOrdinamento(criteria.getCriteria(), new Order [] {Order.asc("id")});
		return getList(criteria, start, size);
	}
	public int trovaSize(TemplateImportContattoCriteria ana) {
		ExtendedCriteria criteria = trovaCriteria(ana);
		return getListSize(criteria);
	}
	public TemplateImportContatto getTemplateImportContatto(Long id) {
		if(ApplicationUtil.gtZero(id) ) {
			return (TemplateImportContatto) get(TemplateImportContatto.class, id);
		} 
		return null;
	}
	public List<SelectItem> getTemplateImportContatto() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateImportContatto.class);
		criteria.add(Restrictions.eq("attivo", Boolean.TRUE));
		List<GenericSI> lis = getGenericSI(criteria, "id", "nome");
		return impostazioneDao.getGeneric(lis, true);
	}
	@SuppressWarnings("unchecked")
	public List<String> getCampoAnagrafica(TemplateImportAnagrafica ta) {
		List<String> valore = new ArrayList<String>();
		valore.addAll(ta.getValoreAnagrafica());
		DetachedCriteria criteria = DetachedCriteria.forClass(CampoAggiuntivoAnagrafica.class);
		criteria.add(Restrictions.ne("tipo",ConstantsMap.TIPO_FORM));
		criteria.setProjection(Projections.distinct(Projections.property("chiave")));
		criteria.addOrder(Order.asc("etichetta"));
		valore.addAll(getList(criteria));
		if(ta.getId()!=null) {
			valore.removeAll(ta.getValore_multiplo());
		}
		return valore;
	}
	@SuppressWarnings("unchecked")
	public List<String> getCampoAnagrafica(TemplateExportAnagrafica ta) {
		List<String> valore = new ArrayList<String>();
		valore.addAll(ta.getValoreAnagrafica());
		DetachedCriteria criteria = DetachedCriteria.forClass(CampoAggiuntivoAnagrafica.class);
		criteria.add(Restrictions.ne("tipo",ConstantsMap.TIPO_FORM));
		criteria.setProjection(Projections.distinct(Projections.property("chiave")));
		criteria.addOrder(Order.asc("etichetta"));
		valore.addAll(getList(criteria));
		if(ta.getId()!=null) {
			valore.removeAll(ta.getValore_multiplo());
		}
		return valore;
	}
	@SuppressWarnings("unchecked")
	public List<StoriaContatto> getStoriaByAnagraficaId(Long anagrafica) {
		DetachedCriteria criteria = DetachedCriteria.forClass(StoriaContatto.class);
		DetachedCriteria criteriaCO = criteria.createCriteria("contatto");
		criteriaCO.add(Restrictions.eq("anagrafica.id", anagrafica));
		criteria.setFetchMode("contatto", FetchMode.JOIN);
		criteria.addOrder(Order.asc("data"));
		return  getList(criteria);
	}
	@SuppressWarnings("unchecked")
	public List<AutoContatto> getAutoContattoByAnagraficaId(Long anagrafica) {
		DetachedCriteria criteria = DetachedCriteria.forClass(AutoContatto.class);
		DetachedCriteria criteriaCO = criteria.createCriteria("contatto");
		criteriaCO.add(Restrictions.eq("anagrafica.id", anagrafica));
		criteria.addOrder(Order.asc("data_chiamata"));
		return  getList(criteria);
	}
	@SuppressWarnings("unchecked")
	public void updateChiaveInTemplateImport(CampoAggiuntivoAnagrafica ca) {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateImportAnagrafica.class);
		List<TemplateImportAnagrafica> valore = getList(criteria);
		Iterator<TemplateImportAnagrafica> itA = valore.iterator();
		while (itA.hasNext()) {
			TemplateImportAnagrafica templateImportAnagrafica = (TemplateImportAnagrafica) itA.next();
			List<String> ls = templateImportAnagrafica.getValore_multiplo();
			if(ApplicationUtil.notEmpty(ls) && ls.contains(ca.getChiave())){
				ls.remove(ca.getChiave());
				templateImportAnagrafica.setValore_multiplo(ls);
				salvaAggiorna(templateImportAnagrafica);
			}
		}
	}

	@SuppressWarnings("unchecked")
	public List<Email> getEmailByAnagraficaId(Long anagrafica) {
		DetachedCriteria criteria = DetachedCriteria.forClass(Email.class);
		DetachedCriteria criteriaCO = criteria.createCriteria("contatto");
		criteriaCO.add(Restrictions.eq("anagrafica.id", anagrafica));
		criteria.addOrder(Order.asc("data_invio"));
		return  getList(criteria);
	}

	@SuppressWarnings("unchecked")
	public List<Rmail> getRmailByAnagraficaId(Long anagrafica) {
		DetachedCriteria criteria = DetachedCriteria.forClass(Rmail.class);
		DetachedCriteria criteriaCO = criteria.createCriteria("contatto");
		criteriaCO.add(Restrictions.eq("anagrafica.id", anagrafica));
		criteria.addOrder(Order.asc("data_invio"));
		return  getList(criteria);
	}
	
	@SuppressWarnings("unchecked")
	public List<Telecom> getTelecomByAnagraficaId(Long anagrafica) {
		DetachedCriteria criteria = DetachedCriteria.forClass(Telecom.class);
		DetachedCriteria criteriaCO = criteria.createCriteria("contatto");
		criteriaCO.add(Restrictions.eq("anagrafica.id", anagrafica));
		criteria.addOrder(Order.asc("data_invio"));
		return  getList(criteria);
	}
	@SuppressWarnings("unchecked")
	public List<Appuntamento> getAppuntamentiByAnagraficaId(Long anagrafica) {
		DetachedCriteria criteria = DetachedCriteria.forClass(Appuntamento.class);
		DetachedCriteria criteriaCO = criteria.createCriteria("contatto");
		criteriaCO.add(Restrictions.eq("anagrafica.id", anagrafica));
		criteria.addOrder(Order.asc("data_creazione"));
		return  getList(criteria);
	}
	@SuppressWarnings("unchecked")
	public List<Contratto> getContrattiByAnagraficaId(Long anagrafica) {
		DetachedCriteria criteria = DetachedCriteria.forClass(Contratto.class);
		DetachedCriteria criteriaCO = criteria.createCriteria("contatto");
		criteriaCO.add(Restrictions.eq("anagrafica.id", anagrafica));
		criteria.addOrder(Order.asc("data_creazione"));
		return  getList(criteria);
	}
	@SuppressWarnings("unchecked")
	public List<Appuntamento> getStoriaAppuntamentiByAnagraficaId(Long anagrafica) {
		DetachedCriteria criteria = DetachedCriteria.forClass(StoriaAppuntamento.class);
		DetachedCriteria criteriaCO =  criteria.createCriteria("appuntamento").createCriteria("contatto");
		criteriaCO.add(Restrictions.eq("anagrafica.id", anagrafica));
		criteria.setFetchMode("appuntamento", FetchMode.JOIN);
		criteria.addOrder(Order.asc("data"));
		return  getList(criteria);
	}
	@SuppressWarnings("unchecked")
	public List<Contratto> getStoriaContrattiByAnagraficaId(Long anagrafica) {
		DetachedCriteria criteria = DetachedCriteria.forClass(StoriaContratto.class);
		DetachedCriteria criteriaCO = criteria.createCriteria("contratto").createCriteria("contatto");
		criteriaCO.add(Restrictions.eq("anagrafica.id", anagrafica));
		criteria.setFetchMode("contratto", FetchMode.JOIN);
		criteria.addOrder(Order.asc("data"));
		return  getList(criteria);
	}
	@SuppressWarnings("unchecked")
	public List<Notifica> getNotificaByAnagraficaId(Long anagrafica) {
		DetachedCriteria criteria = DetachedCriteria.forClass(Notifica.class);
		criteria.createCriteria("contatto").add(Restrictions.eq("anagrafica.id", anagrafica));
		criteria.addOrder(Order.asc("data_invio"));
		return  getList(criteria);
	}
	@SuppressWarnings("unchecked")
	public List<Sondaggio> getSondaggioByAnagraficaId(Long anagrafica) {
		DetachedCriteria criteria = DetachedCriteria.forClass(Sondaggio.class);
		criteria.createCriteria("contatto").add(Restrictions.eq("anagrafica.id", anagrafica));
		criteria.addOrder(Order.asc("data_creazione"));
		return  getList(criteria);
	}
	@SuppressWarnings("unchecked")
	public List<Cdr> getCdrByAnagraficaId(Long anagrafica) {
		DetachedCriteria criteriaP = DetachedCriteria.forClass(Cdr.class);
		criteriaP.createCriteria("contatto").add(Restrictions.eq("anagrafica.id", anagrafica));
		criteriaP.setProjection(Projections.distinct(Projections.property("linkedid")));
		DetachedCriteria criteria = DetachedCriteria.forClass(Cdr.class);
		ApplicationUtil.lastapp(criteria);
		impostazioneDao.subPropertyInS(criteria, criteriaP, "linkedid");
		criteria.addOrder(Order.asc("calldate"));
		return  getList(criteria);
	}
	public 	List<MyFile> listaExcel(FileCriteria mm, String path) {
		if(mm != null)  mm = (FileCriteria) mm.loadCriteria();
		List<MyFile> ff = new ArrayList<MyFile>();
		if(mm != null && mm.getCerca()) {
			File perc = new File(path);
			if(perc.exists() && perc.isDirectory()) {
				File [] files = perc.listFiles();
				if(ApplicationUtil.notEmpty(files)) {
					List<String> rs = ApplicationUtil.token(mm.getFullText(), ConstantsGlobal.colonSeparator);
					for(File file : files) {
						if(mm.isRicerca(file.getName(), file.length(), file.lastModified()) && ApplicationUtil.textInXLS(file, rs)) {
							MyFile f = new MyFile(file);
							f.setName(file.getName());
							f.setModified(file.lastModified());
							ff.add(f);
						}
					}
				}
			}
		}
		return ff;
	}

	public 	List<MyFile> listaExport(FileCriteria mm, String path) {
		if(mm != null)  mm = (FileCriteria) mm.loadCriteria();
		List<MyFile> ff = new ArrayList<MyFile>();
		if(mm != null && mm.getCerca()) {
			File perc = new File(path);
			if(perc.exists() && perc.isDirectory()) {
				File [] files = perc.listFiles();
				if(ApplicationUtil.notEmpty(files)) {
					List<String> rs = ApplicationUtil.token(mm.getFullText(), ConstantsGlobal.colonSeparator);
					for(File file : files) {
						if(mm.isRicerca(file.getName(), file.length(), file.lastModified()) && (ApplicationUtil.textInPDF(file, rs) || ApplicationUtil.textInXLS(file, rs))) {
							MyFile f = new MyFile(file);
							f.setName(file.getName());
							f.setModified(file.lastModified());
							ff.add(f);
						}
					}
				}
			}
		}
		return ff;
	}

	public void eliminaExcel(MyFile excel, String path) {
		File ff = new File(path +"/"+ excel.getName());
		ApplicationUtil.deleteFile(ff);
	}

	public void eliminaExport(MyFile export, String path) {
		File ff = new File(path +"/"+ export.getName());
		ApplicationUtil.deleteFile(ff);
	}

	public void eliminaExcel(List<MyFile> excels, String path) {
		if(ApplicationUtil.notEmpty(excels)) {
			Iterator<MyFile> eIt = excels.iterator();
			while (eIt.hasNext()) {
				MyFile excel = (MyFile) eIt.next();
				eliminaExcel(excel, path);
			}
		}
	}

	public void eliminaExport(List<MyFile> exports, String path) {
		if(ApplicationUtil.notEmpty(exports)) {
			Iterator<MyFile> eIt = exports.iterator();
			while (eIt.hasNext()) {
				MyFile export = (MyFile) eIt.next();
				eliminaExport(export, path);
			}
		}
	}
	public void scaricaExcel(MyFile excel, DownloadBean downloadBean, String path) {
		try {
			OutputStream out = downloadBean.outputStream();
			downloadBean.filename(excel.getName());
			String nome = path +"/"+ excel.getName();
			InputStream istream = new FileInputStream(nome);
			ApplicationUtil.copy(istream, out);
			istream.close();
			downloadBean.close();
		} catch (Exception e) {
			ErrorLog.log(null, getClass(), e);
		} finally {
		}
	}

	public void scaricaExport(MyFile excel, DownloadBean downloadBean, String path) {
		try {
			OutputStream out = downloadBean.outputStream();
			downloadBean.filename(excel.getName());
			String nome = path +"/"+ excel.getName();
			InputStream istream = new FileInputStream(nome);
			ApplicationUtil.copy(istream, out);
			istream.close();
			downloadBean.close();
		} catch (Exception e) {
			ErrorLog.log(null, getClass(), e);
		} finally {
		}
	}
	@SuppressWarnings("unchecked")
	public List<Object> trovaSerialiContratto(String tipo) {
		DetachedCriteria criteria = DetachedCriteria.forClass(Contratto.class);
		if(tipo != null && !ConstantsMap.contratto_id.equals(tipo)) {
			if(ConstantsMap.contratto_seriale.equals(tipo)) {
				criteria.add(ApplicationUtil.isNotNull("seriale"));
				criteria.setProjection(Projections.distinct(Projections.property("seriale")));
			} else {
				String tipoS = tipo.substring((ConstantsMap.anagrafica + "_").length());
				DetachedCriteria criteriaA = criteria.createCriteria("contatto").createCriteria("anagrafica", "a");
				criteriaA.add(ApplicationUtil.isNotNull(tipoS));
				criteria.setProjection(Projections.distinct(Projections.property("a." + tipoS)));
			}
		} else {
			criteria.setProjection(Projections.distinct(Projections.property("id")));
		}
		return getList(criteria);
	}
	public ImportModelContratto getContrattiByFile(FileUpload fileUpload, TemplateImportContratto ti) {
		ImportModelContratto importModel =  new ImportModelContratto();
		importModel.setTipo(ti.getTipo());
		List<Object> seriali = trovaSerialiContratto(ti.getTipo());
		List<Object> duplicati = new ArrayList<Object>();
		if(ti!=null) {
			if(fileUpload != null) {
				Integer lt = impostazioneDao.getDownloadLogType();
				String backupDirTmp = getPathBackupContratto();
				long data = impostazioneDao.maxImport();
				Set<MyFile> elb = elaboraFile(data, importModel, fileUpload, ApplicationUtil.asList(ConstantsMap.a_template));
				Iterator<MyFile> flsIt = elb.iterator();
				while (flsIt.hasNext()) {
					MyFile ff = (MyFile) flsIt.next();
					try {
						String n = ApplicationUtil.replaceFileName(ApplicationUtil.getBaseNameN(ff.getName()));
						String nomeFile = backupDirTmp + "/" + System.currentTimeMillis() + "_" + n + "." + ConstantsMap.xlsx;
						String ext = ApplicationUtil.getExtensionLower(ff.getName());
						InputStream stream = new ByteArrayInputStream(ff.getData());
						if(ext.equalsIgnoreCase(ConstantsMap.csv) || ext.equalsIgnoreCase(ConstantsMap.txt)) {
							InputStream fis = new ByteArrayInputStream(ff.getData());
							ApplicationUtil.writeToExcelCSV(n, stream, fis, nomeFile, ti.getSeparatoreChar(), ti.getQuoteChar());
						} else if(ext.equalsIgnoreCase(ConstantsMap.dbf)) {
							ApplicationUtil.writeToExcelDBF(n, stream,  nomeFile);
						} else if(ext.equalsIgnoreCase(ConstantsMap.xls) || ext.equalsIgnoreCase(ConstantsMap.xlt)) {
							ApplicationUtil.writeToExcelXLS(stream, nomeFile, ti.getConsidera_filtro(), ti.getEsegui_filtro());
						} else if(ext.equalsIgnoreCase(ConstantsMap.xlsb)) {
							ApplicationUtil.writeToExcelXLSB(stream, n, nomeFile);
						} else if(ext.equalsIgnoreCase(ConstantsMap.xlsx)  || ext.equalsIgnoreCase(ConstantsMap.xltx) || ext.equalsIgnoreCase(ConstantsMap.xlsm)) {
							if(!ConstantsGlobal.fast_import) {
								ApplicationUtil.writeToExcelXLSX(stream, nomeFile, ti.getConsidera_filtro(), ti.getEsegui_filtro(), ti.getRapido_filtro());
							} else {
								ApplicationUtil.writeToExcelRapido(stream, nomeFile);
							}
						}
						stream.close();
						importModel.addElementi(ExcelImport.importaExcelContratto(lt, importModel, nomeFile, ti, seriali, duplicati));
					} catch (Exception e) {
						ErrorLog.log(null, getClass(), e);
					}
				}
			}
		}
		return importModel;
	}
	@SuppressWarnings("unchecked")
	public List<Object> trovaSerialiAppuntamento(String tipo) {
		DetachedCriteria criteria = DetachedCriteria.forClass(Appuntamento.class);
		if(tipo != null && !ConstantsMap.appuntamento_id.equals(tipo)) {
			String tipoS = tipo.substring((ConstantsMap.anagrafica + "_").length());
			DetachedCriteria criteriaA = criteria.createCriteria("contatto").createCriteria("anagrafica", "a");
			criteriaA.add(ApplicationUtil.isNotNull(tipoS));
			criteria.setProjection(Projections.distinct(Projections.property("a." + tipoS)));
		} else {
			criteria.setProjection(Projections.distinct(Projections.property("id")));
		}
		return getList(criteria);
	}
	@SuppressWarnings("unchecked")
	public List<Object> trovaSerialiContatto(String tipo, Long campagna) {
		DetachedCriteria criteria = DetachedCriteria.forClass(Contatto.class);
		if(tipo != null && !ConstantsMap.contatto_id.equals(tipo)) {
			String tipoS = tipo.substring((ConstantsMap.anagrafica + "_").length());
			DetachedCriteria criteriaA = criteria.createCriteria("anagrafica", "a");
			criteriaA.add(ApplicationUtil.isNotNull(tipoS));
			criteria.setProjection(Projections.distinct(Projections.property("a." + tipoS)));
		} else {
			criteria.setProjection(Projections.distinct(Projections.property("id")));
		}
		if(ApplicationUtil.gtZero(campagna)) {
			criteria.add(Restrictions.eq("campagna.id", campagna));
		}
		return getList(criteria);
	}
	public ImportModelAppuntamento getAppuntamentiByFile(FileUpload fileUpload, TemplateImportAppuntamento ti) {
		ImportModelAppuntamento importModel =  new ImportModelAppuntamento();
		importModel.setTipo(ti.getTipo());
		List<Object> seriali = trovaSerialiAppuntamento(ti.getTipo());
		List<Object> duplicati = new ArrayList<Object>();
		if(ti!=null) {
			if(fileUpload != null) {
				Integer lt = impostazioneDao.getDownloadLogType();
				String backupDirTmp = getPathBackupAppuntamento();
				long data = impostazioneDao.maxImport();
				Set<MyFile> elb = elaboraFile(data, importModel, fileUpload, ApplicationUtil.asList(ConstantsMap.a_template));
				Iterator<MyFile> flsIt = elb.iterator();
				while (flsIt.hasNext()) {
					MyFile ff = (MyFile) flsIt.next();
					try {
						String n = ApplicationUtil.replaceFileName(ApplicationUtil.getBaseNameN(ff.getName()));
						String nomeFile = backupDirTmp + "/" + System.currentTimeMillis() + "_" + n + "." + ConstantsMap.xlsx;
						String ext = ApplicationUtil.getExtensionLower(ff.getName());
						InputStream stream = new ByteArrayInputStream(ff.getData());
						if(ext.equalsIgnoreCase(ConstantsMap.csv) || ext.equalsIgnoreCase(ConstantsMap.txt)) {
							InputStream fis = new ByteArrayInputStream(ff.getData());
							ApplicationUtil.writeToExcelCSV(n, stream, fis, nomeFile, ti.getSeparatoreChar(), ti.getQuoteChar());
						} else if(ext.equalsIgnoreCase(ConstantsMap.dbf)) {
							ApplicationUtil.writeToExcelDBF(n, stream,  nomeFile);
						} else if(ext.equalsIgnoreCase(ConstantsMap.xls) || ext.equalsIgnoreCase(ConstantsMap.xlt)) {
							ApplicationUtil.writeToExcelXLS(stream, nomeFile, ti.getConsidera_filtro(), ti.getEsegui_filtro());
						} else if(ext.equalsIgnoreCase(ConstantsMap.xlsb)) {
							ApplicationUtil.writeToExcelXLSB(stream, n, nomeFile);
						} else if(ext.equalsIgnoreCase(ConstantsMap.xlsx)  || ext.equalsIgnoreCase(ConstantsMap.xltx) || ext.equalsIgnoreCase(ConstantsMap.xlsm)) {
							if(!ConstantsGlobal.fast_import) {
								ApplicationUtil.writeToExcelXLSX(stream, nomeFile, ti.getConsidera_filtro(), ti.getEsegui_filtro(), ti.getRapido_filtro());
							} else {
								ApplicationUtil.writeToExcelRapido(stream, nomeFile);
							}
						} 
						stream.close();
						importModel.addElementi(ExcelImport.importaExcelAppuntamento(lt, importModel, nomeFile, ti, seriali, duplicati));
					} catch (Exception e) {
						ErrorLog.log(null, getClass(), e);
					}
				}
			}
		}
		return importModel;
	}
	public ImportModelContatto getContattiByFile(Long campagna, FileUpload fileUpload, TemplateImportContatto ti) {
		ImportModelContatto importModel =  new ImportModelContatto();
		importModel.setTipo(ti.getTipo());
		List<Object> seriali = trovaSerialiContatto(ti.getTipo(), campagna);
		List<Object> duplicati = new ArrayList<Object>();
		if(ti!=null) {
			if(fileUpload != null) {
				Integer lt = impostazioneDao.getDownloadLogType();
				String backupDirTmp = getPathBackupContatto();
				long data = impostazioneDao.maxImport();
				Set<MyFile> elb = elaboraFile(data, importModel, fileUpload, ApplicationUtil.asList(ConstantsMap.a_template));
				Iterator<MyFile> flsIt = elb.iterator();
				while (flsIt.hasNext()) {
					MyFile ff = (MyFile) flsIt.next();
					try {
						String n = ApplicationUtil.replaceFileName(ApplicationUtil.getBaseNameN(ff.getName()));
						String nomeFile = backupDirTmp + "/" + System.currentTimeMillis() + "_" + n + "." + ConstantsMap.xlsx;
						String ext = ApplicationUtil.getExtensionLower(ff.getName());
						InputStream stream = new ByteArrayInputStream(ff.getData());
						if(ext.equalsIgnoreCase(ConstantsMap.csv) || ext.equalsIgnoreCase(ConstantsMap.txt)) {
							InputStream fis = new ByteArrayInputStream(ff.getData());
							ApplicationUtil.writeToExcelCSV(n, stream, fis, nomeFile, ti.getSeparatoreChar(), ti.getQuoteChar());
						} else if(ext.equalsIgnoreCase(ConstantsMap.dbf)) {
							ApplicationUtil.writeToExcelDBF(n, stream, nomeFile);
						} else if(ext.equalsIgnoreCase(ConstantsMap.xls) || ext.equalsIgnoreCase(ConstantsMap.xlt)) {
							ApplicationUtil.writeToExcelXLS(stream, nomeFile, ti.getConsidera_filtro(), ti.getEsegui_filtro());
						} else if(ext.equalsIgnoreCase(ConstantsMap.xlsb)) {
							ApplicationUtil.writeToExcelXLSB(stream, n, nomeFile);
						} else if(ext.equalsIgnoreCase(ConstantsMap.xlsx)  || ext.equalsIgnoreCase(ConstantsMap.xltx) || ext.equalsIgnoreCase(ConstantsMap.xlsm)) {
							if(!ConstantsGlobal.fast_import) {
								ApplicationUtil.writeToExcelXLSX(stream, nomeFile, ti.getConsidera_filtro(), ti.getEsegui_filtro(), ti.getRapido_filtro());
							} else {
								ApplicationUtil.writeToExcelRapido(stream, nomeFile);
							}
						} 
						stream.close();
						importModel.addElementi(ExcelImport.importaExcelContatto(lt, importModel, nomeFile, ti, seriali, duplicati));
					} catch (Exception e) {
						ErrorLog.log(null, getClass(), e);
					}
				}
			}
		}
		return importModel;
	}
	public void getZipExcel(List<MyFile> mFiles, DownloadBean downloadBean, String path) {
		try {
			List<Allegato> files = new ArrayList<Allegato>();
			if (ApplicationUtil.notEmpty(mFiles)) {
				String p = ConstantsGlobal.secretZ;
				Iterator<MyFile> itS = mFiles.iterator();
				while (itS.hasNext()) {
					MyFile file = (MyFile) itS.next();
					ApplicationUtil.addFile(files, file.getName(), ApplicationUtil.normalizeNoEndSeparator(path)+"/"+file.getName(), file.getModified());
				}
				String fileName = ApplicationUtil.reportFile(ApplicationUtil.date(), ConstantsLanguage.IMPORT.stampa()) +"." + ConstantsMap.zip;
				OutputStream out = downloadBean.outputStream();
				downloadBean.filename(fileName, files);
				ApplicationUtil.zip(null, files, out, p);
				downloadBean.close();
			}
		} catch(Exception e) {
			ErrorLog.log(null, getClass(), e);
		}
	}

	public void getZipExport(List<MyFile> mFiles, DownloadBean downloadBean, String path) {
		try {
			List<Allegato> files = new ArrayList<Allegato>();
			if (ApplicationUtil.notEmpty(mFiles)) {
				String p = ConstantsGlobal.secretZ;
				Iterator<MyFile> itS = mFiles.iterator();
				while (itS.hasNext()) {
					MyFile file = (MyFile) itS.next();
					ApplicationUtil.addFile(files, file.getName(), ApplicationUtil.normalizeNoEndSeparator(path)+"/"+file.getName(), file.getModified());
				}
				String fileName = ApplicationUtil.reportFile(ApplicationUtil.date(), ConstantsLanguage.EXPORT.stampa()) +"." + ConstantsMap.zip;
				OutputStream out = downloadBean.outputStream();
				downloadBean.filename(fileName, files);
				ApplicationUtil.zip(null, files, out, p);
				downloadBean.close();
			}
		} catch(Exception e) {
			ErrorLog.log(null, getClass(), e);
		}
	}
	public TemplateExportContatto salvaTemplateExportContatto(TemplateExportContatto templateExportContatto) {
		return (TemplateExportContatto) salvaAggiorna(templateExportContatto);
	}
	public void eliminaTemplateExportContatto(TemplateExportContatto templateExportContatto) {
		cancellaAggiorna(templateExportContatto);
	}
	private ExtendedCriteria trovaCriteria(TemplateExportContattoCriteria ana) {
		if(ana != null)  ana = (TemplateExportContattoCriteria) ana.loadCriteria();
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateExportContatto.class);
		if (ApplicationUtil.isNotBlank(ana.getNome())) {
			ApplicationUtil.valori(ConstantsGlobal.colonSeparator,true, ana.getNome(), criteria, "nome");
		}
		ana.impostaRicercaDate(criteria);
		return new ExtendedCriteria(impostazioneDao.getLoggerRicerca(), criteria, ana);
	}
	@SuppressWarnings("unchecked")
	public List<TemplateExportContatto> trova(TemplateExportContattoCriteria ana,int start, int size) {
		ExtendedCriteria criteria = trovaCriteria(ana);
		ApplicationUtil.setOrdinamento(criteria.getCriteria(), new Order [] {Order.asc("id")});
		return getList(criteria, start, size);
	}
	public int trovaSize(TemplateExportContattoCriteria ana) {
		ExtendedCriteria criteria = trovaCriteria(ana);
		return getListSize(criteria);
	}
	public TemplateExportContatto getTemplateExportContatto(Long id) {
		if(ApplicationUtil.gtZero(id)) {
			return (TemplateExportContatto) get(TemplateExportContatto.class, id);
		} 
		return null;
	}
	public List<SelectItem> getTemplateExportContatto() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateExportContatto.class);
		criteria.add(Restrictions.eq("attivo", Boolean.TRUE));
		List<GenericSI> lis = getGenericSI(criteria, "id", "nome");
		return impostazioneDao.getGeneric(lis, true);
	}
	@SuppressWarnings("unchecked")
	public List<String> getCampoContatto(TemplateExportContatto ta) {
		List<String> valore = new ArrayList<String>();
		valore.addAll(ta.getValoreContatto());
		DetachedCriteria criteria = DetachedCriteria.forClass(CampoAggiuntivoAnagrafica.class);
		criteria.add(Restrictions.ne("tipo",ConstantsMap.TIPO_FORM));
		criteria.setProjection(Projections.distinct(Projections.property("chiave")));
		criteria.addOrder(Order.asc("etichetta"));
		valore.addAll(getList(criteria));
		if(ta.getId()!=null) {
			valore.removeAll(ta.getValore_multiplo());
		}
		return valore;
	}
	public TemplateExportContratto salvaTemplateExportContratto(TemplateExportContratto templateExportContratto) {
		return (TemplateExportContratto) salvaAggiorna(templateExportContratto);
	}
	public void eliminaTemplateExportContratto(TemplateExportContratto templateExportContratto) {
		cancellaAggiorna(templateExportContratto);
	}
	private ExtendedCriteria trovaCriteria(TemplateExportContrattoCriteria ana) {
		if(ana != null)  ana = (TemplateExportContrattoCriteria) ana.loadCriteria();
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateExportContratto.class);
		if (ApplicationUtil.isNotBlank(ana.getNome())) {
			ApplicationUtil.valori(ConstantsGlobal.colonSeparator,true, ana.getNome(), criteria, "nome");
		}
		ana.impostaRicercaDate(criteria);
		return new ExtendedCriteria(impostazioneDao.getLoggerRicerca(), criteria, ana);
	}
	@SuppressWarnings("unchecked")
	public List<TemplateExportContratto> trova(TemplateExportContrattoCriteria ana,int start, int size) {
		ExtendedCriteria criteria = trovaCriteria(ana);
		ApplicationUtil.setOrdinamento(criteria.getCriteria(), new Order [] {Order.asc("id")});
		return getList(criteria, start, size);
	}
	public int trovaSize(TemplateExportContrattoCriteria ana) {
		ExtendedCriteria criteria = trovaCriteria(ana);
		return getListSize(criteria);
	}
	public TemplateExportContratto getTemplateExportContratto(Long id) {
		if(ApplicationUtil.gtZero(id)) {
			return (TemplateExportContratto) get(TemplateExportContratto.class, id);
		} 
		return null;
	}
	public List<SelectItem> getTemplateExportContratto() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateExportContratto.class);
		criteria.add(Restrictions.eq("attivo", Boolean.TRUE));
		List<GenericSI> lis = getGenericSI(criteria, "id", "nome");
		return impostazioneDao.getGeneric(lis, true);
	}
	@SuppressWarnings("unchecked")
	public List<String> getCampoContratto(TemplateExportContratto ta) {
		List<String> valore = new ArrayList<String>();
		valore.addAll(ta.getValoreContratto());
		DetachedCriteria criteriaA = DetachedCriteria.forClass(CampoAggiuntivoAnagrafica.class);
		criteriaA.add(Restrictions.ne("tipo",ConstantsMap.TIPO_FORM));
		criteriaA.setProjection(Projections.distinct(Projections.property("chiave")));
		criteriaA.addOrder(Order.asc("etichetta"));
		valore.addAll(getList(criteriaA));
		DetachedCriteria criteriaC = DetachedCriteria.forClass(CampoAggiuntivoContratto.class);
		criteriaC.add(Restrictions.ne("tipo",ConstantsMap.TIPO_FORM));
		criteriaC.setProjection(Projections.distinct(Projections.property("chiave")));
		criteriaC.addOrder(Order.asc("etichetta"));
		valore.addAll(getList(criteriaC));
		if(ta.getId()!=null) {
			valore.removeAll(ta.getValore_multiplo());
		}
		return valore;
	}
	public TemplateExportAppuntamento salvaTemplateExportAppuntamento(TemplateExportAppuntamento templateExportAppuntamento) {
		return (TemplateExportAppuntamento) salvaAggiorna(templateExportAppuntamento);
	}
	public void eliminaTemplateExportAppuntamento(TemplateExportAppuntamento templateExportAppuntamento) {
		cancellaAggiorna(templateExportAppuntamento);
	}
	private ExtendedCriteria trovaCriteria(TemplateExportAppuntamentoCriteria ana) {
		if(ana != null)  ana = (TemplateExportAppuntamentoCriteria) ana.loadCriteria();
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateExportAppuntamento.class);
		if (ApplicationUtil.isNotBlank(ana.getNome())) {
			ApplicationUtil.valori(ConstantsGlobal.colonSeparator,true, ana.getNome(), criteria, "nome");
		}
		ana.impostaRicercaDate(criteria);
		return new ExtendedCriteria(impostazioneDao.getLoggerRicerca(), criteria, ana);
	}
	@SuppressWarnings("unchecked")
	public List<TemplateExportAppuntamento> trova(TemplateExportAppuntamentoCriteria ana,int start, int size) {
		ExtendedCriteria criteria = trovaCriteria(ana);
		ApplicationUtil.setOrdinamento(criteria.getCriteria(), new Order [] {Order.asc("id")});
		return getList(criteria, start, size);
	}
	public int trovaSize(TemplateExportAppuntamentoCriteria ana) {
		ExtendedCriteria criteria = trovaCriteria(ana);
		return getListSize(criteria);
	}
	public TemplateExportAppuntamento getTemplateExportAppuntamento(Long id) {
		if(ApplicationUtil.gtZero(id)) {
			return (TemplateExportAppuntamento) get(TemplateExportAppuntamento.class, id);
		} 
		return null;
	}
	public List<SelectItem> getTemplateExportAppuntamento() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateExportAppuntamento.class);
		criteria.add(Restrictions.eq("attivo", Boolean.TRUE));
		List<GenericSI> lis = getGenericSI(criteria, "id", "nome");
		return impostazioneDao.getGeneric(lis, true);
	}
	@SuppressWarnings("unchecked")
	public List<String> getCampoAppuntamento(TemplateExportAppuntamento ta) {
		List<String> valore = new ArrayList<String>();
		valore.addAll(ta.getValoreAppuntamento());
		DetachedCriteria criteria = DetachedCriteria.forClass(CampoAggiuntivoAnagrafica.class);
		criteria.add(Restrictions.ne("tipo",ConstantsMap.TIPO_FORM));
		criteria.setProjection(Projections.distinct(Projections.property("chiave")));
		criteria.addOrder(Order.asc("etichetta"));
		valore.addAll(getList(criteria));
		if(ta.getId()!=null) {
			valore.removeAll(ta.getValore_multiplo());
		}
		return valore;
	}
	@SuppressWarnings("unchecked")
	public List<String> getEtichetteInvisibiliByChiave(Boolean p, Class<?> classe) {
		DetachedCriteria criteria = DetachedCriteria.forClass(classe);
		if(p) {
			criteria.add(Restrictions.eq("visibile_agente", Boolean.FALSE));
		} else {
			criteria.add(Restrictions.eq("visibile_operatore", Boolean.FALSE));
		}
		criteria.setProjection(Projections.distinct(Projections.property("etichetta")));
		return getList(criteria);
	}
	public String getEtichettaByChiave(Class<?> classe, String chiave) {
		DetachedCriteria criteria = DetachedCriteria.forClass(classe);
		criteria.add(Restrictions.eq("chiave", chiave));
		criteria.setProjection(Projections.distinct(Projections.property("etichetta")));
		return ApplicationUtil.trimToEmpty((String) getUniqueResult(criteria));
	}

	public String getEtichettaById(Class<?> classe, Long id) {
		DetachedCriteria criteria = DetachedCriteria.forClass(classe);
		criteria.add(Restrictions.eq("id", id));
		criteria.setProjection(Projections.distinct(Projections.property("etichetta")));
		return ApplicationUtil.trimToEmpty((String) getUniqueResult(criteria));
	}

	public String getColoreByChiave(Class<?> classe, String chiave) {
		DetachedCriteria criteria = DetachedCriteria.forClass(classe);
		criteria.add(Restrictions.eq("chiave", chiave));
		criteria.setProjection(Projections.distinct(Projections.property("colore")));
		return (String) getUniqueResult(criteria);
	}
	public String getGruppoByChiave(Class<?> classe, String chiave) {
		DetachedCriteria criteria = DetachedCriteria.forClass(classe);
		criteria.add(Restrictions.eq("chiave", chiave));
		criteria.setProjection(Projections.distinct(Projections.property("gruppo")));
		return (String) getUniqueResult(criteria);
	}
	public List<CampoAggiuntivoAnagrafica> getCampiAggiuntiviTabella() {
		Boolean m = impostazioneDao.getTabellaDatiAggiuntivi();
		if(ApplicationUtil.isTrue(m)) {
			return getAllCampiAggiuntivi();
		}
		return null;
	}
	public Map<Long, CampoAggiuntivoAnagrafica> preparaMappa(List<CampoAggiuntivoAnagrafica> campi) {
		if(ApplicationUtil.notEmpty(campi)) {
			Map<Long, CampoAggiuntivoAnagrafica> mappa = new LinkedHashMap<Long, CampoAggiuntivoAnagrafica>();			
			Iterator<CampoAggiuntivoAnagrafica> itA = campi.iterator();
			while (itA.hasNext()) {
				CampoAggiuntivoAnagrafica a = (CampoAggiuntivoAnagrafica) itA.next();
				mappa.put(a.getId(), a);
			}
			return mappa;
		}
		return null;
	}
	public List<CampoAggiuntivoAnagrafica> getCampiAggiuntiviRicerca() {
		Boolean s = impostazioneDao.getRicercaDomandaAnagraficaSingola();
		Boolean m = impostazioneDao.getRicercaDomandaAnagraficaMultipla();
		if(ApplicationUtil.isTrue(s) || ApplicationUtil.isTrue(m)) {
			return getAllCampiAggiuntivi();
		}
		return null;
	}
	public List<CampoAggiuntivoAnagrafica> getCampiAggiuntiviTabellaAgente() {
		Boolean m = impostazioneDao.getTabellaDatiAggiuntivi();
		if(ApplicationUtil.isTrue(m)) {
			return getAllCampiAggiuntiviAgente();
		}
		return null;
	}
	public List<CampoAggiuntivoAnagrafica> getCampiAggiuntiviRicercaAgente() {
		Boolean s = impostazioneDao.getRicercaDomandaAnagraficaSingola();
		Boolean m = impostazioneDao.getRicercaDomandaAnagraficaMultipla();
		if(ApplicationUtil.isTrue(s) || ApplicationUtil.isTrue(m)) {
			return getAllCampiAggiuntiviAgente();
		}
		return null;
	}
	public List<CampoAggiuntivoAnagrafica> getCampiAggiuntiviTabellaOperatore() {
		Boolean m = impostazioneDao.getTabellaDatiAggiuntivi();
		if(ApplicationUtil.isTrue(m)) {
			return getAllCampiAggiuntiviOperatore();
		}
		return null;
	}
	public List<CampoAggiuntivoAnagrafica> getCampiAggiuntiviRicercaOperatore() {
		Boolean s = impostazioneDao.getRicercaDomandaAnagraficaSingola();
		Boolean m = impostazioneDao.getRicercaDomandaAnagraficaMultipla();
		if(ApplicationUtil.isTrue(s) || ApplicationUtil.isTrue(m)) {
			return getAllCampiAggiuntiviOperatore();
		}
		return null;
	}
	public DatoAggiuntivoAnagraficaRicerca createDatoAggiuntivo(Long campoId) {
		if(ApplicationUtil.gtZero(campoId)) {
			CampoAggiuntivoAnagrafica ca = getCampoAggiuntivoById(campoId);
			DatoAggiuntivoAnagraficaRicerca daa = new DatoAggiuntivoAnagraficaRicerca();
			daa.setId(System.currentTimeMillis());
			daa.setCampo_aggiuntivo(ca);
			return daa;
		} else return null;
	}
	public void aggiungiDomandaACampo(Long campoId, Long sondaId) {
		CampoAggiuntivoAnagrafica campo = getFullCampoConDomande(campoId);
		SondaggioAnagrafica sondaggio = getSondaggio(sondaId);
		if (sondaggio != null && campo != null) {
			DomandaAnagrafica dom = new DomandaAnagrafica();
			dom.setCampo_aggiuntivo(campo);
			dom.setSondaggio(sondaggio);
			dom.setObbligatoria(false);
			dom.setVisibile(true);
			dom.setPosizione((short) 1);
			salvaAggiorna(dom);
			campo.getDomande().add(dom);
			salvaAggiorna(campo);
		}
	}
	public void rimuoviDomandaACampo(Long campoId, Long sondaId) {
		DomandaAnagrafica domanda = getDomanda(campoId, sondaId);
		if (domanda != null) {
			cancellaAggiorna(domanda);
		}
	}
	public void aggiungiDomandeTuttiACampo(Long campoId) {
		CampoAggiuntivoAnagrafica campo = getFullCampoConDomande(campoId);
		List<SondaggioAnagrafica> sondaggi = getDomandeNotInCampo(campoId);
		if (ApplicationUtil.notEmpty(sondaggi) && campo != null) {
			Iterator<SondaggioAnagrafica> idSon = sondaggi.iterator();
			List<DomandaAnagrafica> dml = new ArrayList<DomandaAnagrafica>();
			while (idSon.hasNext()) {
				SondaggioAnagrafica son = (SondaggioAnagrafica) idSon.next();
				DomandaAnagrafica dom = new DomandaAnagrafica();
				dom.setCampo_aggiuntivo(campo);
				dom.setSondaggio(son);
				dom.setObbligatoria(false);
				dom.setVisibile(true);
				dom.setPosizione((short) 1);
				salvaAggiorna(dom);
				dml.add(dom);
			}
			if (ApplicationUtil.notEmpty(dml) ){
				campo.getDomande().addAll(dml);
				salvaAggiorna(campo);
			}
		}
	}
	public void rimuoviDomandeTuttiACampo(Long campoId) {
		List<DomandaAnagrafica> domande = getDomande(campoId);
		if (ApplicationUtil.notEmpty(domande)) {
			Iterator<DomandaAnagrafica> idSon = domande.iterator();
			while (idSon.hasNext()) {
				DomandaAnagrafica son = (DomandaAnagrafica) idSon.next();
				cancellaAggiorna(son);
			}
		}
	}
	@SuppressWarnings("unchecked")
	public List<SondaggioAnagrafica> getDomandeNotInCampo(Long campoId) {
		DetachedCriteria criteria = DetachedCriteria.forClass(SondaggioAnagrafica.class);
		DetachedCriteria criteriaU = DetachedCriteria.forClass(SondaggioAnagrafica.class);
		criteriaU.createCriteria("domande").add(Restrictions.eq("campo_aggiuntivo.id", campoId));
		criteriaU.setProjection(Projections.distinct(Projections.property("id")));
		impostazioneDao.subPropertyNotInS(criteria, criteriaU, "id");
		return getList(criteria);
	}
	@SuppressWarnings("unchecked")
	public List<DomandaAnagrafica> getDomandeInCampo(Long campoId) {
		DetachedCriteria criteria = DetachedCriteria.forClass(DomandaAnagrafica.class);
		criteria.add(Restrictions.eq("campo_aggiuntivo.id", campoId));
		return getList(criteria);
	}
	private CampoAggiuntivoAnagrafica getFullCampoConDomande(Long campoId) {
		DetachedCriteria criteria = DetachedCriteria.forClass(CampoAggiuntivoAnagrafica.class);
		criteria.add(Restrictions.eq("id", campoId));
		criteria.setFetchMode("domande", FetchMode.JOIN);
		return (CampoAggiuntivoAnagrafica) getUniqueResult(criteria);
	}
	private SondaggioAnagrafica getSondaggio(Long sondaId) {
		DetachedCriteria criteria = DetachedCriteria.forClass(SondaggioAnagrafica.class);
		criteria.add(Restrictions.eq("id", sondaId));
		return (SondaggioAnagrafica) getUniqueResult(criteria);
	}
	private DomandaAnagrafica getDomanda(Long campoId, Long sondaId) {
		DetachedCriteria criteria = DetachedCriteria.forClass(DomandaAnagrafica.class);
		criteria.createCriteria("campo_aggiuntivo").add(Restrictions.eq("id", campoId));
		criteria.createCriteria("sondaggio").add(Restrictions.eq("id", sondaId));
		return (DomandaAnagrafica) getUniqueResult(criteria);
	}
	@SuppressWarnings("unchecked")
	private List<DomandaAnagrafica> getDomande(Long campoId) {
		DetachedCriteria criteria = DetachedCriteria.forClass(DomandaAnagrafica.class);
		criteria.createCriteria("campo_aggiuntivo").add(Restrictions.eq("id", campoId));
		return getList(criteria);
	}
	public void puliziaAnagrafiche() {
		execute(true, "call pulisci()");
	}
	public void puliziaListe() {
		execute(true, "call sincronizza()");
	}
	public void spostaLista(Lista lista, Campagna campagnaPI, Long campagnaAId) {
		if(ApplicationUtil.gtZero(campagnaAId)) {
			if(ApplicationUtil.gtZero(campagnaPI.getId())) {
				Campagna campagnaP = campagnaDao.getFullCampagna(campagnaPI.getId());
				Campagna campagnaA = campagnaDao.getFullCampagna(campagnaAId);
				campagnaDao.removeListaFromCampagnaSalva(campagnaP, lista);
				campagnaDao.addListaToCampagnaSalva(campagnaA, lista);
				String hql = "update Contatto set campagna = :campagnaA where lista = :lista and campagna = :campagnaP";
				execute(false, hql, new Parameter("lista", lista), new Parameter("campagnaA", campagnaA), new Parameter("campagnaP", campagnaP));
			} else {
				Campagna campagnaA = campagnaDao.getFullCampagna(campagnaAId);
				campagnaDao.removeListaFromCampagna(campagnaPI, lista);
				campagnaDao.addListaToCampagnaSalva(campagnaA, lista);
				campagnaDao.creaContattiInCampagna(lista, campagnaA, ConstantsEsito.ID_DA_CHIAMARE);
			}
		}
	}


	public TemplateImportConsentite getModelFiltro() {
		return new TemplateImportConsentite();
	}

	public ImportModelConsentite getAnagraficheConsentite(FileUpload fileUpload, TemplateImportConsentite ti) {
		ImportModelConsentite importModel = new ImportModelConsentite();
		List<String> consentiti = new ArrayList<String>();
		if(fileUpload != null) {
			long data = impostazioneDao.maxImport();
			Set<MyFile> elb = elaboraFile(data, importModel, fileUpload, ApplicationUtil.asList(ConstantsMap.a_excel));
			Iterator<MyFile> flsIt = elb.iterator();
			while (flsIt.hasNext()) {
				MyFile dd = (MyFile) flsIt.next();
				try {
					String ext = ApplicationUtil.getExtensionLower(dd.getName());
					String name = ApplicationUtil.replaceFileName(ApplicationUtil.getBaseNameN(dd.getName()));
					InputStream stream = new ByteArrayInputStream(dd.getData());
					Workbook wbOut = null;
					if(ext.equalsIgnoreCase(ConstantsMap.xls) || ext.equalsIgnoreCase(ConstantsMap.xlt)) {
						wbOut = ApplicationUtil.streamToExcelXLS(stream, ti.getConsidera_filtro(), ti.getEsegui_filtro());
					} else if(ext.equalsIgnoreCase(ConstantsMap.xlsb)) {
						wbOut = ApplicationUtil.streamToExcelXLSB(name, stream);
					} else if(ext.equalsIgnoreCase(ConstantsMap.dbf)) {
						wbOut = ApplicationUtil.streamToExcelDBF(name, stream);
					} else if(ext.equalsIgnoreCase(ConstantsMap.xlsx)  || ext.equalsIgnoreCase(ConstantsMap.xltx) || ext.equalsIgnoreCase(ConstantsMap.xlsm)) {
						if(!ConstantsGlobal.fast_import) {
							wbOut = ApplicationUtil.streamToExcelXLSX(stream, ti.getConsidera_filtro(), ti.getEsegui_filtro(), ti.getRapido_filtro());
						} else {
							wbOut = ApplicationUtil.streamToExcelRapido(stream, ti.getRapido_filtro());
						}
					}
					if(wbOut != null) {
						importModel.setValidatore_fisso(impostazioneDao.validatore_fisso());
						importModel.setValidatore_mobile(impostazioneDao.validatore_mobile());
						importModel.setValidatore_fax(impostazioneDao.validatore_fax());
						importModel.setValidatore_altro(impostazioneDao.validatore_altro());
						importModel.setValidatore_email(impostazioneDao.validatore_email());
						importModel.setValidatore_link(impostazioneDao.validatore_link());
						importModel.setValidatore_codice(impostazioneDao.validatore_codice());
						importModel.setValidatore_partita(impostazioneDao.validatore_partita());
						consentiti.addAll(ExcelImport.importaExcelConsentiti(importModel, wbOut, ApplicationUtil.isTrue(ti.getConsidera_filtro()), ApplicationUtil.isTrue(ti.getEsegui_filtro())));
						wbOut.close();
					}
					stream.close();
				} catch (Exception e) {
					ErrorLog.log(null, getClass(), e);
				}
			}
		}
		importModel.setConsentite(consentiti);
		return importModel;
	}
	public void elaboraAnagraficheByFile(MyFile ff, DownloadBean downloadBean) {
		if(ff != null) {
			try {
				OutputStream out = downloadBean.outputStream();
				downloadBean.filename(ff.getName());
				out.write(ff.getData());
				downloadBean.close();
			} catch (Exception e) {
				ErrorLog.log(null, getClass(), e);
			}
		}
	}
	public FileConversione caricaAnagraficheByFile(FileUpload fileUpload, TemplateImportCriteria ti) {
		FileConversione f = new FileConversione();
		List<MyFile> definitivi = new ArrayList<MyFile>();
		if(ti != null && fileUpload != null) {
			definitivi.addAll(elaboraFile(0, f.getIm(), fileUpload, ApplicationUtil.asList(ConstantsMap.a_convert)));
		}
		if(ApplicationUtil.notEmpty(definitivi)) {
			UtilOffice uo = impostazioneDao.getUtilOffice();
			if(ApplicationUtil.isTrue(ti.getUnisci())) {
				ApplicationUtil.processaExcelU(definitivi, ti, f, uo);
			} else {
				ApplicationUtil.processaExcelD(definitivi, ti, f, uo);
			}
		}
		return f;
	}
	public Set<MyFile> elaboraFile(long data, ImportBase im, FileUpload fileUpload, List<String> exts) {
		Set<MyFile> scompattati = new HashSet<MyFile>();
		List<MyFile> fls = fileUpload.getFiles();
		if(ApplicationUtil.notEmpty(fls)) {
			Iterator<MyFile> flsIt = fls.iterator();
			while (flsIt.hasNext()) {
				MyFile ff = (MyFile) flsIt.next();
				String ext = ApplicationUtil.getExtensionLower(ff.getName());
				if(ext.equalsIgnoreCase(ConstantsMap.zip)) {
					if(im.imposta(true, ff, data, exts)) {
						scompattati.addAll(ApplicationUtil.unzip(ff));
					}
				} else {
					scompattati.add(ff);
				}
			}
		}
		List<String> extF = new ArrayList<String>(exts);
		extF.remove(ConstantsMap.zip);
		Set<MyFile> definitivi = new HashSet<MyFile>();
		if(ApplicationUtil.notEmpty(scompattati)) {
			Iterator<MyFile> definitiviIt = scompattati.iterator();
			while (definitiviIt.hasNext()) {
				MyFile ff = (MyFile) definitiviIt.next();
				if(im.imposta(false, ff, data, extF)) {
					definitivi.add(ff);
				}
			}
		}
		return definitivi;
	}
	public void updateAnagrafica(Boolean esistente, Lista listaM, Boolean sposta, Utente utente, Contatto contatto, Long listaId, Long campagnaId) {
		Date data = ApplicationUtil.date();
		if(contatto != null  && ApplicationUtil.gtZero(campagnaId)) {
			Campagna campagna = campagnaDao.getFullCampagna(campagnaId);
			Lista lista = null;
			if(!ApplicationUtil.isTrue(esistente)) {
				if(ApplicationUtil.gtZero(listaId)) {
					lista = campagnaDao.getLista(listaId);
				}
				String nomeLista =  ConstantsLanguage.OFFLINE.stampa() + ": " + campagna.getNome();
				if(lista == null ) {
					lista =  campagnaDao.getByCampagnaNome(nomeLista, campagna.getId());
				}
				if(lista == null ) {
					lista = new Lista();
					lista.setNome(nomeLista);
					lista.setDescrizione(nomeLista);
					campagnaDao.salva(lista);
				}
			} else {
				if(lista == null ) {
					lista =  campagnaDao.getByCampagnaNome(listaM.getNome(), campagna.getId());
				}
				if(lista == null ) {
					lista = listaM.getCopia();
					lista.setNome(listaM.getNome());
					campagnaDao.salva(lista);
				}
			}
			campagnaDao.addListaToCampagnaSalva(campagna, lista);
			String p = null;
			Session session = openSession();
			Transaction tx = session.beginTransaction();
			Anagrafica ana = (Anagrafica) session.get(Anagrafica.class, contatto.getAnagrafica().getId());
			Hibernate.initialize(ana.getLista());
			if(!ana.getLista().contains(lista)) {
				ana.getLista().add(lista);
			}
			if(ApplicationUtil.isTrue(sposta)) {
				if(ana.getLista().contains(contatto.getLista())) {
					ana.getLista().remove(contatto.getLista());
				}
			}
			session.update(ana);
			p = ApplicationUtil.asContatto(contatto);
			contatto.setLista(lista);
			contatto.setCampagna(campagna);
			contatto.setData_lavorazione(data);
			contatto.setUtente(utente);
			session.update(contatto);
			StoriaContatto storia = pannelloDao.creaStoriaContatto(contatto, utente, data, false, false);
			session.save(storia);
			session.flush();
			session.clear();
			tx.commit();
			closeSession(session);

			String a = ApplicationUtil.asString(ConstantsLanguage.CONTATTO.stampa() + " " + ApplicationUtil.asCampagna(campagna, lista), p);
			operazioneDao.creaOperazione(ConstantsMap.LOG5, a, utente,  ConstantsMap.OPERAZIONE_SPOSTA_CONTATTO);
		}
	}
	public void evaluateWorkflow(Session session, Utente utente, Contatto contatto) {
		EsitoChiamata esitoChiamata = contatto.getEsitoChiamata(); 
		EsitoArchiviazione esitoArchiviazione = contatto.getEsitoArchiviazione(); 
		if((esitoArchiviazione != null && ApplicationUtil.isTrue(esitoArchiviazione.getWorkflow())) || ApplicationUtil.isTrue(esitoChiamata.getWorkflow())) {
			Workflow w = getWorkflow(contatto.getCampagna(), esitoChiamata, esitoArchiviazione);
			if(w != null) {
				Lista lista = w.getLista();
				Campagna campagna = w.getCampagna();
				if(contatto != null  && campagna != null && ApplicationUtil.isTrue(w.getAttivo())) {
					String nomeLista =  ConstantsLanguage.OFFLINE.stampa() + ": " + campagna.getNome();
					if(lista == null ) {
						lista =  campagnaDao.getByCampagnaNome(nomeLista, campagna.getId());
					}
					if(lista == null ) {
						lista = new Lista();
						lista.setNome(nomeLista);
						lista.setDescrizione(nomeLista);
						campagnaDao.salva(lista);
					}
					String p = null;
					Campagna c = (Campagna) session.get(Campagna.class, campagna.getId());
					Hibernate.initialize(c.getListe());
					if (!c.getListe().contains(lista)) {
						c.getListe().add(lista);
						session.saveOrUpdate(c);
					}
					Anagrafica ana = (Anagrafica) session.get(Anagrafica.class, contatto.getAnagrafica().getId());
					Hibernate.initialize(ana.getLista());
					if(!ana.getLista().contains(lista)) {
						ana.getLista().add(lista);
					}
					if(ApplicationUtil.isTrue(w.getSposta_anagrafica())) {
						if(ana.getLista().contains(contatto.getLista())) {
							ana.getLista().remove(contatto.getLista());
						}
					}
					session.update(ana);
					p = ApplicationUtil.asContatto(contatto);
					contatto.setLista(lista);
					contatto.setCampagna(c);
					if(utente != null) {
						String a = ApplicationUtil.asString(ConstantsLanguage.CONTATTO.stampa() + " " + ApplicationUtil.asCampagna(campagna, lista), p);
						operazioneDao.creaOperazione(ConstantsMap.LOG5, a, utente, ConstantsMap.OPERAZIONE_SPOSTA_CONTATTO);
					}
				}
			}
		}
	}

	public void spostaAnagrafica(Session session, boolean sposta, Contatto contatto, StoriaContatto storia) {
		Campagna campagna = storia.getCampagna();
		Lista lista = storia.getLista();
		if(contatto != null  && campagna != null && lista != null &&(!contatto.getCampagna().equals(campagna) || !contatto.getLista().equals(lista))) {
			Campagna c = (Campagna) session.get(Campagna.class, campagna.getId());
			Hibernate.initialize(c.getListe());
			if (!c.getListe().contains(lista)) {
				c.getListe().add(lista);
				session.saveOrUpdate(c);
			}
			Anagrafica ana = (Anagrafica) session.get(Anagrafica.class, contatto.getAnagrafica().getId());
			Hibernate.initialize(ana.getLista());
			if(!ana.getLista().contains(lista)) {
				ana.getLista().add(lista);
			}
			if(ApplicationUtil.isTrue(sposta)) {
				if(ana.getLista().contains(contatto.getLista())) {
					ana.getLista().remove(contatto.getLista());
				}
			}
			session.update(ana);
		}
	}

	public void evaluateWorkflow(Utente utente, Contatto contatto) {
		EsitoChiamata esitoChiamata = contatto.getEsitoChiamata(); 
		EsitoArchiviazione esitoArchiviazione = contatto.getEsitoArchiviazione(); 
		if((esitoArchiviazione != null && ApplicationUtil.isTrue(esitoArchiviazione.getWorkflow())) || ApplicationUtil.isTrue(esitoChiamata.getWorkflow())) {
			Workflow w = getWorkflow(contatto.getCampagna(), esitoChiamata, esitoArchiviazione);
			if(w != null) {
				Lista lista = w.getLista();
				Campagna campagna = w.getCampagna();
				if(contatto != null  && campagna != null && ApplicationUtil.isTrue(w.getAttivo())) {
					String nomeLista =  ConstantsLanguage.OFFLINE.stampa() + ": " + campagna.getNome();
					if(lista == null ) {
						lista =  campagnaDao.getByCampagnaNome(nomeLista, campagna.getId());
					}
					if(lista == null ) {
						lista = new Lista();
						lista.setNome(nomeLista);
						lista.setDescrizione(nomeLista);
						campagnaDao.salva(lista);
					}
					String p = null;
					Session session = openSession();
					Transaction tx = session.beginTransaction();
					Campagna c = (Campagna) session.get(Campagna.class, campagna.getId());
					Hibernate.initialize(c.getListe());
					if (!c.getListe().contains(lista)) {
						c.getListe().add(lista);
						session.saveOrUpdate(c);
					}
					Anagrafica ana = (Anagrafica) session.get(Anagrafica.class, contatto.getAnagrafica().getId());
					Hibernate.initialize(ana.getLista());
					if(!ana.getLista().contains(lista)) {
						ana.getLista().add(lista);
					}
					if(ApplicationUtil.isTrue(w.getSposta_anagrafica())) {
						if(ana.getLista().contains(contatto.getLista())) {
							ana.getLista().remove(contatto.getLista());
						}
					}
					session.update(ana);
					p = ApplicationUtil.asContatto(contatto);
					contatto.setLista(lista);
					contatto.setCampagna(c);
					session.flush();
					session.clear();
					tx.commit();
					closeSession(session);

					if(utente != null) {
						String a = ApplicationUtil.asString(ConstantsLanguage.CONTATTO.stampa() + " " + ApplicationUtil.asCampagna(campagna, lista), p);
						operazioneDao.creaOperazione(ConstantsMap.LOG5, a, utente, ConstantsMap.OPERAZIONE_SPOSTA_CONTATTO);
					}
				}
			}
		}
	}
	public Workflow getWorkflow(Campagna c, EsitoChiamata ec, EsitoArchiviazione ea ) {
		DetachedCriteria criteria = DetachedCriteria.forClass(Workflow.class);
		criteria.add(Restrictions.eq("sorgente.id", c.getId()));
		criteria.add(Restrictions.eq("esitoChiamata.id", ec.getId()));
		if(ea != null) {
			criteria.add(Restrictions.eq("esitoArchiviazione.id", ea.getId()));
		} else {
			criteria.add(Restrictions.isNull("esitoArchiviazione"));
		}
		return (Workflow) getUniqueResult(criteria);
	}
	public TemplateExportStoriaContatto salvaTemplateExportStoriaContatto(TemplateExportStoriaContatto templateExportStoriaContatto) {
		return (TemplateExportStoriaContatto) salvaAggiorna(templateExportStoriaContatto);
	}
	public void eliminaTemplateExportStoriaContatto(TemplateExportStoriaContatto templateExportStoriaContatto) {
		cancellaAggiorna(templateExportStoriaContatto);
	}
	private ExtendedCriteria trovaCriteria(TemplateExportStoriaContattoCriteria ana) {
		if(ana != null)  ana = (TemplateExportStoriaContattoCriteria) ana.loadCriteria();
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateExportStoriaContatto.class);
		if (ApplicationUtil.isNotBlank(ana.getNome())) {
			ApplicationUtil.valori(ConstantsGlobal.colonSeparator,true, ana.getNome(), criteria, "nome");
		}
		ana.impostaRicercaDate(criteria);
		return new ExtendedCriteria(impostazioneDao.getLoggerRicerca(), criteria, ana);
	}
	@SuppressWarnings("unchecked")
	public List<TemplateExportStoriaContatto> trova(TemplateExportStoriaContattoCriteria ana,int start, int size) {
		ExtendedCriteria criteria = trovaCriteria(ana);
		ApplicationUtil.setOrdinamento(criteria.getCriteria(), new Order [] {Order.asc("id")});
		return getList(criteria, start, size);
	}
	public int trovaSize(TemplateExportStoriaContattoCriteria ana) {
		ExtendedCriteria criteria = trovaCriteria(ana);
		return getListSize(criteria);
	}
	public TemplateExportStoriaContatto getTemplateExportStoriaContatto(Long id) {
		if(ApplicationUtil.gtZero(id)) {
			return (TemplateExportStoriaContatto) get(TemplateExportStoriaContatto.class, id);
		} 
		return null;
	}
	public List<SelectItem> getTemplateExportStoriaContatto() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateExportStoriaContatto.class);
		criteria.add(Restrictions.eq("attivo", Boolean.TRUE));
		List<GenericSI> lis = getGenericSI(criteria, "id", "nome");
		return impostazioneDao.getGeneric(lis, true);
	}
	@SuppressWarnings("unchecked")
	public List<String> getCampoStoriaContatto(TemplateExportStoriaContatto ta) {
		List<String> valore = new ArrayList<String>();
		valore.addAll(ta.getValoreContatto());
		DetachedCriteria criteria = DetachedCriteria.forClass(CampoAggiuntivoAnagrafica.class);
		criteria.add(Restrictions.ne("tipo",ConstantsMap.TIPO_FORM));
		criteria.setProjection(Projections.distinct(Projections.property("chiave")));
		criteria.addOrder(Order.asc("etichetta"));
		valore.addAll(getList(criteria));
		if(ta.getId()!=null) {
			valore.removeAll(ta.getValore_multiplo());
		}
		return valore;
	}
	public TemplateExportStoriaContratto salvaTemplateExportStoriaContratto(TemplateExportStoriaContratto templateExportStoriaContratto) {
		return (TemplateExportStoriaContratto) salvaAggiorna(templateExportStoriaContratto);
	}
	public void eliminaTemplateExportStoriaContratto(TemplateExportStoriaContratto templateExportStoriaContratto) {
		cancellaAggiorna(templateExportStoriaContratto);
	}
	private ExtendedCriteria trovaCriteria(TemplateExportStoriaContrattoCriteria ana) {
		if(ana != null)  ana = (TemplateExportStoriaContrattoCriteria) ana.loadCriteria();
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateExportStoriaContratto.class);
		if (ApplicationUtil.isNotBlank(ana.getNome())) {
			ApplicationUtil.valori(ConstantsGlobal.colonSeparator,true, ana.getNome(), criteria, "nome");
		}
		ana.impostaRicercaDate(criteria);
		return new ExtendedCriteria(impostazioneDao.getLoggerRicerca(), criteria, ana);
	}
	@SuppressWarnings("unchecked")
	public List<TemplateExportStoriaContratto> trova(TemplateExportStoriaContrattoCriteria ana,int start, int size) {
		ExtendedCriteria criteria = trovaCriteria(ana);
		ApplicationUtil.setOrdinamento(criteria.getCriteria(), new Order [] {Order.asc("id")});
		return getList(criteria, start, size);
	}
	public int trovaSize(TemplateExportStoriaContrattoCriteria ana) {
		ExtendedCriteria criteria = trovaCriteria(ana);
		return getListSize(criteria);
	}
	public TemplateExportStoriaContratto getTemplateExportStoriaContratto(Long id) {
		if(ApplicationUtil.gtZero(id)) {
			return (TemplateExportStoriaContratto) get(TemplateExportStoriaContratto.class, id);
		} 
		return null;
	}
	public List<SelectItem> getTemplateExportStoriaContratto() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateExportStoriaContratto.class);
		criteria.add(Restrictions.eq("attivo", Boolean.TRUE));
		List<GenericSI> lis = getGenericSI(criteria, "id", "nome");
		return impostazioneDao.getGeneric(lis, true);
	}
	@SuppressWarnings("unchecked")
	public List<String> getCampoStoriaContratto(TemplateExportStoriaContratto ta) {
		List<String> valore = new ArrayList<String>();
		valore.addAll(ta.getValoreContratto());
		DetachedCriteria criteriaA = DetachedCriteria.forClass(CampoAggiuntivoAnagrafica.class);
		criteriaA.add(Restrictions.ne("tipo",ConstantsMap.TIPO_FORM));
		criteriaA.setProjection(Projections.distinct(Projections.property("chiave")));
		criteriaA.addOrder(Order.asc("etichetta"));
		valore.addAll(getList(criteriaA));
		DetachedCriteria criteriaC = DetachedCriteria.forClass(CampoAggiuntivoContratto.class);
		criteriaC.add(Restrictions.ne("tipo",ConstantsMap.TIPO_FORM));
		criteriaC.setProjection(Projections.distinct(Projections.property("chiave")));
		criteriaC.addOrder(Order.asc("etichetta"));
		valore.addAll(getList(criteriaC));
		if(ta.getId()!=null) {
			valore.removeAll(ta.getValore_multiplo());
		}
		return valore;
	}
	public TemplateExportStoriaAppuntamento salvaTemplateExportStoriaAppuntamento(TemplateExportStoriaAppuntamento templateExportStoriaAppuntamento) {
		return (TemplateExportStoriaAppuntamento) salvaAggiorna(templateExportStoriaAppuntamento);
	}
	public void eliminaTemplateExportStoriaAppuntamento(TemplateExportStoriaAppuntamento templateExportStoriaAppuntamento) {
		cancellaAggiorna(templateExportStoriaAppuntamento);
	}
	private ExtendedCriteria trovaCriteria(TemplateExportStoriaAppuntamentoCriteria ana) {
		if(ana != null)  ana = (TemplateExportStoriaAppuntamentoCriteria) ana.loadCriteria();
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateExportStoriaAppuntamento.class);
		if (ApplicationUtil.isNotBlank(ana.getNome())) {
			ApplicationUtil.valori(ConstantsGlobal.colonSeparator,true, ana.getNome(), criteria, "nome");
		}
		ana.impostaRicercaDate(criteria);
		return new ExtendedCriteria(impostazioneDao.getLoggerRicerca(), criteria, ana);
	}
	@SuppressWarnings("unchecked")
	public List<TemplateExportStoriaAppuntamento> trova(TemplateExportStoriaAppuntamentoCriteria ana,int start, int size) {
		ExtendedCriteria criteria = trovaCriteria(ana);
		ApplicationUtil.setOrdinamento(criteria.getCriteria(), new Order [] {Order.asc("id")});
		return getList(criteria, start, size);
	}
	public int trovaSize(TemplateExportStoriaAppuntamentoCriteria ana) {
		ExtendedCriteria criteria = trovaCriteria(ana);
		return getListSize(criteria);
	}
	public TemplateExportStoriaAppuntamento getTemplateExportStoriaAppuntamento(Long id) {
		if(ApplicationUtil.gtZero(id)) {
			return (TemplateExportStoriaAppuntamento) get(TemplateExportStoriaAppuntamento.class, id);
		} 
		return null;
	}
	public List<SelectItem> getTemplateExportStoriaAppuntamento() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateExportStoriaAppuntamento.class);
		criteria.add(Restrictions.eq("attivo", Boolean.TRUE));
		List<GenericSI> lis = getGenericSI(criteria, "id", "nome");
		return impostazioneDao.getGeneric(lis, true);
	}
	@SuppressWarnings("unchecked")
	public List<String> getCampoStoriaAppuntamento(TemplateExportStoriaAppuntamento ta) {
		List<String> valore = new ArrayList<String>();
		valore.addAll(ta.getValoreAppuntamento());
		DetachedCriteria criteria = DetachedCriteria.forClass(CampoAggiuntivoAnagrafica.class);
		criteria.add(Restrictions.ne("tipo",ConstantsMap.TIPO_FORM));
		criteria.setProjection(Projections.distinct(Projections.property("chiave")));
		criteria.addOrder(Order.asc("etichetta"));
		valore.addAll(getList(criteria));
		if(ta.getId()!=null) {
			valore.removeAll(ta.getValore_multiplo());
		}
		return valore;
	}
	public Long getTemplatePredefinitoImportAnagrafica() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateImportAnagrafica.class);
		criteria.add(Restrictions.eq("predefinito", Boolean.TRUE));
		criteria.setProjection(Projections.distinct(Projections.property("id")));
		return (Long) getUniqueResult(criteria);
	}
	public Long getTemplatePredefinitoImportContatto() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateImportContatto.class);
		criteria.add(Restrictions.eq("predefinito", Boolean.TRUE));
		criteria.setProjection(Projections.distinct(Projections.property("id")));
		return (Long) getUniqueResult(criteria);
	}
	public Long getTemplatePredefinitoImportAppuntamento() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateImportAppuntamento.class);
		criteria.add(Restrictions.eq("predefinito", Boolean.TRUE));
		criteria.setProjection(Projections.distinct(Projections.property("id")));
		return (Long) getUniqueResult(criteria);
	}
	public Long getTemplatePredefinitoImportContratto() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateImportContratto.class);
		criteria.add(Restrictions.eq("predefinito", Boolean.TRUE));
		criteria.setProjection(Projections.distinct(Projections.property("id")));
		return (Long) getUniqueResult(criteria);
	}
	public Long getTemplatePredefinitoImportOpposizione() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateImportOpposizione.class);
		criteria.add(Restrictions.eq("predefinito", Boolean.TRUE));
		criteria.setProjection(Projections.distinct(Projections.property("id")));
		return (Long) getUniqueResult(criteria);
	}
	public Long getTemplatePredefinitoExportAnagrafica() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateExportAnagrafica.class);
		criteria.add(Restrictions.eq("predefinito", Boolean.TRUE));
		criteria.setProjection(Projections.distinct(Projections.property("id")));
		return (Long) getUniqueResult(criteria);
	}
	public Long getTemplatePredefinitoExportContatto() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateExportContatto.class);
		criteria.add(Restrictions.eq("predefinito", Boolean.TRUE));
		criteria.setProjection(Projections.distinct(Projections.property("id")));
		return (Long) getUniqueResult(criteria);
	}
	public Long getTemplatePredefinitoExportAppuntamento() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateExportAppuntamento.class);
		criteria.add(Restrictions.eq("predefinito", Boolean.TRUE));
		criteria.setProjection(Projections.distinct(Projections.property("id")));
		return (Long) getUniqueResult(criteria);
	}
	public Long getTemplatePredefinitoExportContratto() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateExportContratto.class);
		criteria.add(Restrictions.eq("predefinito", Boolean.TRUE));
		criteria.setProjection(Projections.distinct(Projections.property("id")));
		return (Long) getUniqueResult(criteria);
	}
	public Long getTemplatePredefinitoExportStoriaContatto() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateExportStoriaContatto.class);
		criteria.add(Restrictions.eq("predefinito", Boolean.TRUE));
		criteria.setProjection(Projections.distinct(Projections.property("id")));
		return (Long) getUniqueResult(criteria);
	}
	public Long getTemplatePredefinitoExportStoriaAppuntamento() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateExportStoriaAppuntamento.class);
		criteria.add(Restrictions.eq("predefinito", Boolean.TRUE));
		criteria.setProjection(Projections.distinct(Projections.property("id")));
		return (Long) getUniqueResult(criteria);
	}
	public Long getTemplatePredefinitoExportStoriaContratto() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateExportStoriaContratto.class);
		criteria.add(Restrictions.eq("predefinito", Boolean.TRUE));
		criteria.setProjection(Projections.distinct(Projections.property("id")));
		return (Long) getUniqueResult(criteria);
	}
	public void salvaPredefinito(TemplateExportAnagrafica templateExportAnagrafica) {
		List<TemplateExportAnagrafica> templates = getAllPredefinitoTemplateExportAnagrafica();
		Iterator<TemplateExportAnagrafica> objIter = templates.iterator();
		while(objIter.hasNext()) {
			TemplateExportAnagrafica template = objIter.next();
			template.setPredefinito(Boolean.FALSE);
			salvaTemplateExportAnagrafica(template);
		}
		templateExportAnagrafica.setPredefinito(Boolean.TRUE);
		salvaTemplateExportAnagrafica(templateExportAnagrafica);
	}
	public void removePredefinito(TemplateExportAnagrafica templateExportAnagrafica) {
		templateExportAnagrafica.setPredefinito(Boolean.FALSE);
		salvaTemplateExportAnagrafica(templateExportAnagrafica);
	}
	@SuppressWarnings("unchecked")
	public List<TemplateExportAnagrafica> getAllPredefinitoTemplateExportAnagrafica() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateExportAnagrafica.class);
		criteria.add(Restrictions.eq("predefinito", Boolean.TRUE));
		return getList(criteria);
	}
	public void salvaPredefinito(TemplateExportContatto templateExportContatto) {
		List<TemplateExportContatto> templates = getAllPredefinitoTemplateExportContatto();
		Iterator<TemplateExportContatto> objIter = templates.iterator();
		while(objIter.hasNext()) {
			TemplateExportContatto template = objIter.next();
			template.setPredefinito(Boolean.FALSE);
			salvaTemplateExportContatto(template);
		}
		templateExportContatto.setPredefinito(Boolean.TRUE);
		salvaTemplateExportContatto(templateExportContatto);
	}
	public void removePredefinito(TemplateExportContatto templateExportContatto) {
		templateExportContatto.setPredefinito(Boolean.FALSE);
		salvaTemplateExportContatto(templateExportContatto);
	}
	@SuppressWarnings("unchecked")
	public List<TemplateExportContatto> getAllPredefinitoTemplateExportContatto() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateExportContatto.class);
		criteria.add(Restrictions.eq("predefinito", Boolean.TRUE));
		return getList(criteria);
	}
	public void salvaPredefinito(TemplateExportAppuntamento templateExportAppuntamento) {
		List<TemplateExportAppuntamento> templates = getAllPredefinitoTemplateExportAppuntamento();
		Iterator<TemplateExportAppuntamento> objIter = templates.iterator();
		while(objIter.hasNext()) {
			TemplateExportAppuntamento template = objIter.next();
			template.setPredefinito(Boolean.FALSE);
			salvaTemplateExportAppuntamento(template);
		}
		templateExportAppuntamento.setPredefinito(Boolean.TRUE);
		salvaTemplateExportAppuntamento(templateExportAppuntamento);
	}
	public void removePredefinito(TemplateExportAppuntamento templateExportAppuntamento) {
		templateExportAppuntamento.setPredefinito(Boolean.FALSE);
		salvaTemplateExportAppuntamento(templateExportAppuntamento);
	}
	@SuppressWarnings("unchecked")
	public List<TemplateExportAppuntamento> getAllPredefinitoTemplateExportAppuntamento() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateExportAppuntamento.class);
		criteria.add(Restrictions.eq("predefinito", Boolean.TRUE));
		return getList(criteria);
	}
	public void salvaPredefinito(TemplateExportContratto templateExportContratto) {
		List<TemplateExportContratto> templates = getAllPredefinitoTemplateExportContratto();
		Iterator<TemplateExportContratto> objIter = templates.iterator();
		while(objIter.hasNext()) {
			TemplateExportContratto template = objIter.next();
			template.setPredefinito(Boolean.FALSE);
			salvaTemplateExportContratto(template);
		}
		templateExportContratto.setPredefinito(Boolean.TRUE);
		salvaTemplateExportContratto(templateExportContratto);
	}
	public void removePredefinito(TemplateExportContratto templateExportContratto) {
		templateExportContratto.setPredefinito(Boolean.FALSE);
		salvaTemplateExportContratto(templateExportContratto);
	}
	@SuppressWarnings("unchecked")
	public List<TemplateExportContratto> getAllPredefinitoTemplateExportContratto() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateExportContratto.class);
		criteria.add(Restrictions.eq("predefinito", Boolean.TRUE));
		return getList(criteria);
	}
	public void salvaPredefinito(TemplateExportStoriaContatto templateExportStoriaContatto) {
		List<TemplateExportStoriaContatto> templates = getAllPredefinitoTemplateExportStoriaContatto();
		Iterator<TemplateExportStoriaContatto> objIter = templates.iterator();
		while(objIter.hasNext()) {
			TemplateExportStoriaContatto template = objIter.next();
			template.setPredefinito(Boolean.FALSE);
			salvaTemplateExportStoriaContatto(template);
		}
		templateExportStoriaContatto.setPredefinito(Boolean.TRUE);
		salvaTemplateExportStoriaContatto(templateExportStoriaContatto);
	}
	public void removePredefinito(TemplateExportStoriaContatto templateExportStoriaContatto) {
		templateExportStoriaContatto.setPredefinito(Boolean.FALSE);
		salvaTemplateExportStoriaContatto(templateExportStoriaContatto);
	}
	@SuppressWarnings("unchecked")
	public List<TemplateExportStoriaContatto> getAllPredefinitoTemplateExportStoriaContatto() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateExportStoriaContatto.class);
		criteria.add(Restrictions.eq("predefinito", Boolean.TRUE));
		return getList(criteria);
	}
	public void salvaPredefinito(TemplateExportStoriaAppuntamento templateExportStoriaAppuntamento) {
		List<TemplateExportStoriaAppuntamento> templates = getAllPredefinitoTemplateExportStoriaAppuntamento();
		Iterator<TemplateExportStoriaAppuntamento> objIter = templates.iterator();
		while(objIter.hasNext()) {
			TemplateExportStoriaAppuntamento template = objIter.next();
			template.setPredefinito(Boolean.FALSE);
			salvaTemplateExportStoriaAppuntamento(template);
		}
		templateExportStoriaAppuntamento.setPredefinito(Boolean.TRUE);
		salvaTemplateExportStoriaAppuntamento(templateExportStoriaAppuntamento);
	}
	public void removePredefinito(TemplateExportStoriaAppuntamento templateExportStoriaAppuntamento) {
		templateExportStoriaAppuntamento.setPredefinito(Boolean.FALSE);
		salvaTemplateExportStoriaAppuntamento(templateExportStoriaAppuntamento);
	}
	@SuppressWarnings("unchecked")
	public List<TemplateExportStoriaAppuntamento> getAllPredefinitoTemplateExportStoriaAppuntamento() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateExportStoriaAppuntamento.class);
		criteria.add(Restrictions.eq("predefinito", Boolean.TRUE));
		return getList(criteria);
	}
	public void salvaPredefinito(TemplateExportStoriaContratto templateExportStoriaContratto) {
		List<TemplateExportStoriaContratto> templates = getAllPredefinitoTemplateExportStoriaContratto();
		Iterator<TemplateExportStoriaContratto> objIter = templates.iterator();
		while(objIter.hasNext()) {
			TemplateExportStoriaContratto template = objIter.next();
			template.setPredefinito(Boolean.FALSE);
			salvaTemplateExportStoriaContratto(template);
		}
		templateExportStoriaContratto.setPredefinito(Boolean.TRUE);
		salvaTemplateExportStoriaContratto(templateExportStoriaContratto);
	}
	public void removePredefinito(TemplateExportStoriaContratto templateExportStoriaContratto) {
		templateExportStoriaContratto.setPredefinito(Boolean.FALSE);
		salvaTemplateExportStoriaContratto(templateExportStoriaContratto);
	}
	@SuppressWarnings("unchecked")
	public List<TemplateExportStoriaContratto> getAllPredefinitoTemplateExportStoriaContratto() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateExportStoriaContratto.class);
		criteria.add(Restrictions.eq("predefinito", Boolean.TRUE));
		return getList(criteria);
	}
	public void salvaPredefinito(TemplateImportAnagrafica templateImportAnagrafica) {
		List<TemplateImportAnagrafica> templates = getAllPredefinitoTemplateImportAnagrafica();
		Iterator<TemplateImportAnagrafica> objIter = templates.iterator();
		while(objIter.hasNext()) {
			TemplateImportAnagrafica template = objIter.next();
			template.setPredefinito(Boolean.FALSE);
			salvaTemplateImportAnagrafica(template);
		}
		templateImportAnagrafica.setPredefinito(Boolean.TRUE);
		salvaTemplateImportAnagrafica(templateImportAnagrafica);
	}
	public void removePredefinito(TemplateImportAnagrafica templateImportAnagrafica) {
		templateImportAnagrafica.setPredefinito(Boolean.FALSE);
		salvaTemplateImportAnagrafica(templateImportAnagrafica);
	}
	@SuppressWarnings("unchecked")
	public List<TemplateImportAnagrafica> getAllPredefinitoTemplateImportAnagrafica() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateImportAnagrafica.class);
		criteria.add(Restrictions.eq("predefinito", Boolean.TRUE));
		return getList(criteria);
	}
	public void salvaPredefinito(TemplateImportContatto templateImportContatto) {
		List<TemplateImportContatto> templates = getAllPredefinitoTemplateImportContatto();
		Iterator<TemplateImportContatto> objIter = templates.iterator();
		while(objIter.hasNext()) {
			TemplateImportContatto template = objIter.next();
			template.setPredefinito(Boolean.FALSE);
			salvaTemplateImportContatto(template);
		}
		templateImportContatto.setPredefinito(Boolean.TRUE);
		salvaTemplateImportContatto(templateImportContatto);
	}
	public void removePredefinito(TemplateImportContatto templateImportContatto) {
		templateImportContatto.setPredefinito(Boolean.FALSE);
		salvaTemplateImportContatto(templateImportContatto);
	}
	@SuppressWarnings("unchecked")
	public List<TemplateImportContatto> getAllPredefinitoTemplateImportContatto() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateImportContatto.class);
		criteria.add(Restrictions.eq("predefinito", Boolean.TRUE));
		return getList(criteria);
	}
	public void salvaPredefinito(TemplateImportAppuntamento templateImportAppuntamento) {
		List<TemplateImportAppuntamento> templates = getAllPredefinitoTemplateImportAppuntamento();
		Iterator<TemplateImportAppuntamento> objIter = templates.iterator();
		while(objIter.hasNext()) {
			TemplateImportAppuntamento template = objIter.next();
			template.setPredefinito(Boolean.FALSE);
			salvaTemplateImportAppuntamento(template);
		}
		templateImportAppuntamento.setPredefinito(Boolean.TRUE);
		salvaTemplateImportAppuntamento(templateImportAppuntamento);
	}
	public void removePredefinito(TemplateImportAppuntamento templateImportAppuntamento) {
		templateImportAppuntamento.setPredefinito(Boolean.FALSE);
		salvaTemplateImportAppuntamento(templateImportAppuntamento);
	}
	@SuppressWarnings("unchecked")
	public List<TemplateImportAppuntamento> getAllPredefinitoTemplateImportAppuntamento() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateImportAppuntamento.class);
		criteria.add(Restrictions.eq("predefinito", Boolean.TRUE));
		return getList(criteria);
	}
	public void salvaPredefinito(TemplateImportContratto templateImportContratto) {
		List<TemplateImportContratto> templates = getAllPredefinitoTemplateImportContratto();
		Iterator<TemplateImportContratto> objIter = templates.iterator();
		while(objIter.hasNext()) {
			TemplateImportContratto template = objIter.next();
			template.setPredefinito(Boolean.FALSE);
			salvaTemplateImportContratto(template);
		}
		templateImportContratto.setPredefinito(Boolean.TRUE);
		salvaTemplateImportContratto(templateImportContratto);
	}
	public void removePredefinito(TemplateImportContratto templateImportContratto) {
		templateImportContratto.setPredefinito(Boolean.FALSE);
		salvaTemplateImportContratto(templateImportContratto);
	}
	@SuppressWarnings("unchecked")
	public List<TemplateImportContratto> getAllPredefinitoTemplateImportContratto() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateImportContratto.class);
		criteria.add(Restrictions.eq("predefinito", Boolean.TRUE));
		return getList(criteria);
	}
	public void salvaPredefinito(TemplateImportOpposizione templateImportOpposizione) {
		List<TemplateImportOpposizione> templates = getAllPredefinitoTemplateImportOpposizione();
		Iterator<TemplateImportOpposizione> objIter = templates.iterator();
		while(objIter.hasNext()) {
			TemplateImportOpposizione template = objIter.next();
			template.setPredefinito(Boolean.FALSE);
			salvaTemplateImportOpposizione(template);
		}
		templateImportOpposizione.setPredefinito(Boolean.TRUE);
		salvaTemplateImportOpposizione(templateImportOpposizione);
	}
	public void removePredefinito(TemplateImportOpposizione templateImportOpposizione) {
		templateImportOpposizione.setPredefinito(Boolean.FALSE);
		salvaTemplateImportOpposizione(templateImportOpposizione);
	}
	@SuppressWarnings("unchecked")
	public List<TemplateImportOpposizione> getAllPredefinitoTemplateImportOpposizione() {
		DetachedCriteria criteria = DetachedCriteria.forClass(TemplateImportOpposizione.class);
		criteria.add(Restrictions.eq("predefinito", Boolean.TRUE));
		return getList(criteria);
	}
	
	public Anagrafica getAnagrafica(String telefono, String tipo) {
		DetachedCriteria criteria = DetachedCriteria.forClass(Anagrafica.class);
		if(tipo != null && ConstantsMap.telefonoFMap.contains(tipo)) {
			ApplicationUtil.telefonoE(criteria, telefono, tipo);
		} else {
			ApplicationUtil.telefonoE(criteria, telefono);
		}
		Anagrafica a = (Anagrafica) getUniqueResult(criteria);
		return campagnaDao.getFullListAnagrafica(a);
	}

	public void importBackgroundXLS(Utente utente, Long campagnaNuova, FileUpload fileUploadBean, FileUpload fileUploadCons, Long tiL, TemplateImportConsentite tcL) {
		TemplateImportAnagrafica ti = getTemplateImportAnagrafica(tiL);
		TemplateImportConsentite tc = new TemplateImportConsentite(tcL);
		FileUpload fileBean = new FileUpload(new ArrayList<MyFile>(fileUploadBean.getFiles()));
		FileUpload fileCons =  new FileUpload(new ArrayList<MyFile>(fileUploadCons.getFiles()));
		ExcelImportXLSThread v = new ExcelImportXLSThread(this, campagnaDao, operazioneDao, utente, campagnaNuova, fileBean, fileCons, ti, tc);
		v.start();
		processiImport.put(v.getIdentificativo(), v);
	}

	public void importBackgroundXML(Utente utente, Long campagnaNuova, FileUpload fileUploadBean, FileUpload fileUploadCons, String ti, TemplateImportConsentite tcL) {
		TemplateImportConsentite tc = new TemplateImportConsentite(tcL);
		FileUpload fileBean = new FileUpload(new ArrayList<MyFile>(fileUploadBean.getFiles()));
		FileUpload fileCons =  new FileUpload(new ArrayList<MyFile>(fileUploadCons.getFiles()));
		ExcelImportXMLThread v = new ExcelImportXMLThread(this, campagnaDao, operazioneDao, utente, campagnaNuova, fileBean, fileCons, ti, tc);
		v.start();
		processiImport.put(v.getIdentificativo(), v);
	}

	public void importBackgroundCampagna(Utente utente, Long campagnaNuova, FileUpload fileUploadBean, FileUpload fileUploadCons, Long tiL, TemplateImportConsentite tcL) {
		TemplateImportAnagrafica ti = getTemplateImportAnagrafica(tiL);
		TemplateImportConsentite tc = new TemplateImportConsentite(tcL);
		FileUpload fileBean = new FileUpload(new ArrayList<MyFile>(fileUploadBean.getFiles()));
		FileUpload fileCons =  new FileUpload(new ArrayList<MyFile>(fileUploadCons.getFiles()));
		ExcelImportCampagnaThread v = new ExcelImportCampagnaThread(this, campagnaDao, operazioneDao, utente, campagnaNuova, fileBean, fileCons, ti, tc);
		v.start();
		processiImport.put(v.getIdentificativo(), v);
	}

	public synchronized List<ReportBackground> getProcessiImport() {
		List<ReportBackground> processiList = new ArrayList<ReportBackground>();
		Set<String> remove = new HashSet<String>(); 
		Set<String> lngList = processiImport.keySet();
		if(ApplicationUtil.notEmpty(lngList)) {
			Iterator<String> lnt = lngList.iterator();
			while (lnt.hasNext()) {
				String ln = lnt.next();
				ExcelImportBaseThread avv = processiImport.get(ln);
				if(avv!= null) {
					if(ApplicationUtil.isTrue(avv.getCompletato())) {
						remove.add(ln);
					} else {
						ReportBackground r = new ReportBackground(avv.getIdentificativo());
						r.setCompletato(avv.getCompletato());
						r.setCorrente(avv.getCorrente());
						r.setInizio(avv.getInizio());
						r.setTempo(avv.getTempo());
						r.setDescrizione(avv.getDescrizione());
						processiList.add(r);
					}
				}
			}
		}
		processiImport.keySet().removeAll(remove);
		return processiList;
	}

	public void inviaEscluse(Date inizio, ImportModelConsentite tc, ImportModelAnagrafica im, Campagna campagna) {
		try {
			String percorsoEmail = downloadDao.getEmailImportBackground();
			List<Anagrafica> escluse = im.getEscluse();
			if (ApplicationUtil.isNotBlank(percorsoEmail)) {
				String testo = downloadDao.preparaTemplateEscluse(ConstantsLanguage.IMPORT_IN_ALLEGATO.stampa(), inizio, tc, im, campagna);
				String oggetto = ApplicationUtil.report(ConstantsLanguage.IMPORT.stampa() + " " + ConstantsLanguage.ANAGRAFICHE.stampa(), ConstantsGlobal.no_periodo,  inizio);
				List<Allegato> allegati = null;
				if(ApplicationUtil.notEmpty(escluse)) {
					String file = ApplicationUtil.reportFile(inizio, ConstantsLanguage.ESCLUSE.stampa(), ConstantsLanguage.ANAGRAFICHE.stampa())+ "." + ConstantsMap.xlsx;
					String s = ConstantsGlobal.secretE;
					ByteArrayOutputStream out = new ByteArrayOutputStream();
					ExcelExport.esportaExcelImportAnagrafica(escluse, out, s);
					allegati = ApplicationUtil.allegatiConvertO(out, file);
				}
				smtpService.invia(null, percorsoEmail, null, oggetto, testo, allegati, null);
			}
		} catch (Exception e) {
			ErrorLog.log(null, getClass(), e);
		}
	}
	
	public void salvaCampiAggiuntivi(Anagrafica anagrafica) {
		List<CampoAggiuntivoAnagrafica> campiAgg = getAllCampiAggiuntivi();
		if(ApplicationUtil.notEmpty(anagrafica.getDatoXml())) {
			Set<CampoAggiuntivoAnagraficaXML> chiavi = anagrafica.getDatoXml().keySet();
			Iterator<CampoAggiuntivoAnagraficaXML> chiaviIt = chiavi.iterator();
			while(chiaviIt.hasNext()) {
				CampoAggiuntivoAnagraficaXML chiave = chiaviIt.next();
				if(ApplicationUtil.isNotEmpty(chiave.getChiave())) {
					CampoAggiuntivoAnagrafica ca = ApplicationUtil.getCampiByChiave(campiAgg, chiave.getChiave());
					if(ca == null) {
						ca = new CampoAggiuntivoAnagrafica(chiave);
						salvaCampoAggiuntivo(ca);
						dataDao.addCampo(ca);
						campiAgg.add(ca);
					} else {
						boolean save = false;
						if(!ApplicationUtil.equals(ca.getValori(), chiave.getValori())) {
							ca.setValori(chiave.getValori());
							save = true;
						}
						if(!ApplicationUtil.equals(ca.getPath(), chiave.getPath())) {
							ca.setPath(chiave.getPath());
							save = true;
						}
						if(!ApplicationUtil.equals(ca.getGruppo(), chiave.getGruppo())) {
							ca.setGruppo(chiave.getGruppo());
							save = true;
						}
						if(!ApplicationUtil.equals(ca.getDescrizione(), chiave.getDescrizione())) {
							ca.setDescrizione(chiave.getDescrizione());
							save = true;
						}
						if(!ApplicationUtil.equals(ca.getTipo(), chiave.getTipo())) {
							ca.setTipo(chiave.getTipo());
							save = true;
						}
						if(!ApplicationUtil.equals(ca.getObbligatorio(), chiave.getObbligatorio())) {
							ca.setObbligatorio(chiave.getObbligatorio());
							save = true;
						}
						if(!ApplicationUtil.equals(ca.getModificabile_operatore(), chiave.getModificabile_operatore())) {
							ca.setModificabile_operatore(chiave.getModificabile_operatore());
							save = true;
						}
						if(!ApplicationUtil.equals(ca.getVisibile_operatore(), chiave.getVisibile_operatore())) {
							ca.setVisibile_operatore(chiave.getVisibile_operatore());
							save = true;
						}
						if(!ApplicationUtil.equals(ca.getModificabile_agente(), chiave.getModificabile_agente())) {
							ca.setModificabile_agente(chiave.getModificabile_agente());
							save = true;
						}
						if(!ApplicationUtil.equals(ca.getVisibile_agente(), chiave.getVisibile_agente())) {
							ca.setVisibile_agente(chiave.getVisibile_agente());
							save = true;
						}
						if(!ApplicationUtil.equals(ca.getEtichetta(), chiave.getEtichetta())) {
							ca.setEtichetta(chiave.getEtichetta());
							save = true;
						}
						if(!ApplicationUtil.equals(ca.getDescrizione(), chiave.getDescrizione())) {
							ca.setDescrizione(chiave.getDescrizione());
							save = true;
						}
						if(!ApplicationUtil.equals(ca.getColore(), chiave.getColore())) {
							ca.setColore(chiave.getColore());
							save = true;
						}
						if(!ApplicationUtil.equals(ca.getStile(), chiave.getStile())) {
							ca.setStile(chiave.getStile());
							save = true;
						}
						if(!ApplicationUtil.equals(ca.getDefaults(), chiave.getDefaults())) {
							ca.setDefaults(chiave.getDefaults());
							save = true;
						}
						if(save) {
							salvaCampoAggiuntivo(ca);
						}
					}
					String valore = anagrafica.getDatoXml().get(chiave);
					if(valore!= null) {
						DatoAggiuntivoAnagrafica da = new DatoAggiuntivoAnagrafica();
						da.setCampo_aggiuntivo(ca);
						da.setAnagrafica(anagrafica);
						da.setValore(valore);
						salvaDatoAggiuntivo(da);
					}
				}
			}
		}
	}
}