package it.callite.utility;

import java.awt.Color;
import java.awt.FontMetrics;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.RenderingHints;
import java.awt.Transparency;
import java.awt.geom.Rectangle2D;
import java.awt.image.BufferedImage;
import java.beans.XMLDecoder;
import java.beans.XMLEncoder;
import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.BufferedReader;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.OutputStream;
import java.io.PrintStream;
import java.io.PrintWriter;
import java.io.SequenceInputStream;
import java.io.Serializable;
import java.lang.reflect.Constructor;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.lang.reflect.Modifier;
import java.math.BigDecimal;
import java.math.RoundingMode;
import java.net.InetAddress;
import java.net.MalformedURLException;
import java.net.Socket;
import java.net.URL;
import java.net.URLConnection;
import java.nio.channels.Channels;
import java.nio.channels.ReadableByteChannel;
import java.nio.file.DirectoryStream;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.nio.file.attribute.FileTime;
import java.nio.file.attribute.PosixFileAttributes;
import java.nio.file.attribute.PosixFilePermission;
import java.security.Key;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.security.SecureRandom;
import java.security.cert.X509Certificate;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.sql.SQLException;
import java.sql.Statement;
import java.sql.Time;
import java.sql.Timestamp;
import java.text.CharacterIterator;
import java.text.DateFormat;
import java.text.DecimalFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.text.StringCharacterIterator;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Calendar;
import java.util.Collection;
import java.util.Collections;
import java.util.Date;
import java.util.Enumeration;
import java.util.GregorianCalendar;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Hashtable;
import java.util.Iterator;
import java.util.LinkedHashSet;
import java.util.LinkedList;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.Properties;
import java.util.Random;
import java.util.ResourceBundle;
import java.util.Scanner;
import java.util.Set;
import java.util.SortedMap;
import java.util.StringTokenizer;
import java.util.TimeZone;
import java.util.TreeMap;
import java.util.concurrent.TimeUnit;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.util.zip.ZipEntry;
import java.util.zip.ZipFile;
import java.util.zip.ZipInputStream;
import java.util.zip.ZipOutputStream;

import javax.crypto.Cipher;
import javax.crypto.spec.SecretKeySpec;
import javax.faces.component.UIComponent;
import javax.faces.component.UIInput;
import javax.faces.component.UIViewRoot;
import javax.faces.context.ExternalContext;
import javax.faces.context.FacesContext;
import javax.faces.context.ResponseWriter;
import javax.faces.model.SelectItem;
import javax.faces.model.SelectItemGroup;
import javax.imageio.ImageIO;
import javax.naming.directory.Attribute;
import javax.naming.directory.Attributes;
import javax.naming.directory.DirContext;
import javax.naming.directory.InitialDirContext;
import javax.net.ssl.HttpsURLConnection;
import javax.net.ssl.SSLContext;
import javax.net.ssl.TrustManager;
import javax.net.ssl.X509TrustManager;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import javax.sound.sampled.AudioFileFormat;
import javax.sound.sampled.AudioFormat;
import javax.sound.sampled.AudioInputStream;
import javax.sound.sampled.AudioSystem;
import javax.xml.bind.JAXBContext;
import javax.xml.bind.Marshaller;
import javax.xml.bind.Unmarshaller;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.xpath.XPath;
import javax.xml.xpath.XPathConstants;
import javax.xml.xpath.XPathExpression;
import javax.xml.xpath.XPathFactory;

import org.apache.commons.codec.binary.Base32;
import org.apache.commons.codec.binary.Base64;
import org.apache.commons.collections4.ListUtils;
import org.apache.commons.io.FileUtils;
import org.apache.commons.io.FilenameUtils;
import org.apache.commons.io.IOUtils;
import org.apache.commons.lang3.ArrayUtils;
import org.apache.commons.lang3.StringUtils;
import org.apache.commons.lang3.SystemUtils;
import org.apache.commons.lang3.time.DateUtils;
import org.apache.commons.net.ftp.FTPClient;
import org.apache.commons.net.ftp.FTPClientConfig;
import org.apache.commons.net.ftp.FTPFile;
import org.apache.commons.net.ftp.FTPReply;
import org.apache.commons.net.util.SubnetUtils;
import org.apache.commons.net.util.SubnetUtils.SubnetInfo;
import org.apache.commons.text.StringEscapeUtils;
import org.apache.commons.validator.routines.InetAddressValidator;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.openxml4j.exceptions.OLE2NotOfficeXmlFileException;
import org.apache.poi.openxml4j.opc.OPCPackage;
import org.apache.poi.poifs.crypt.EncryptionInfo;
import org.apache.poi.poifs.crypt.EncryptionMode;
import org.apache.poi.poifs.crypt.Encryptor;
import org.apache.poi.poifs.filesystem.POIFSFileSystem;
import org.apache.poi.ss.usermodel.BorderStyle;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.CellType;
import org.apache.poi.ss.usermodel.Comment;
import org.apache.poi.ss.usermodel.CreationHelper;
import org.apache.poi.ss.usermodel.DataFormat;
import org.apache.poi.ss.usermodel.DateUtil;
import org.apache.poi.ss.usermodel.FillPatternType;
import org.apache.poi.ss.usermodel.Font;
import org.apache.poi.ss.usermodel.HorizontalAlignment;
import org.apache.poi.ss.usermodel.IndexedColors;
import org.apache.poi.ss.usermodel.RichTextString;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.ss.usermodel.VerticalAlignment;
import org.apache.poi.ss.usermodel.Workbook;
import org.apache.poi.ss.usermodel.WorkbookFactory;
import org.apache.poi.xssf.streaming.SXSSFWorkbook;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.hibernate.criterion.CriteriaSpecification;
import org.hibernate.criterion.Criterion;
import org.hibernate.criterion.DetachedCriteria;
import org.hibernate.criterion.MatchMode;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Projection;
import org.hibernate.criterion.ProjectionList;
import org.hibernate.criterion.Projections;
import org.hibernate.criterion.Restrictions;
import org.hibernate.query.Query;
import org.hibernate.sql.JoinType;
import org.hibernate.transform.ResultTransformer;
import org.hibernate.type.LongType;
import org.hibernate.type.StringType;
import org.hibernate.type.Type;
import org.jivesoftware.smack.Chat;
import org.jivesoftware.smack.ChatManager;
import org.jivesoftware.smack.ConnectionConfiguration;
import org.jivesoftware.smack.SmackConfiguration;
import org.jivesoftware.smack.XMPPConnection;
import org.jivesoftware.smack.XMPPException;
import org.json.JSONArray;
import org.json.JSONObject;
import org.mozilla.universalchardet.UniversalDetector;
import org.richfaces.model.UploadItem;
import org.springframework.context.ApplicationContext;
import org.springframework.core.io.FileSystemResource;
import org.springframework.security.authentication.AccountExpiredException;
import org.springframework.security.authentication.BadCredentialsException;
import org.springframework.security.authentication.CredentialsExpiredException;
import org.springframework.security.authentication.DisabledException;
import org.springframework.security.authentication.LockedException;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.context.SecurityContext;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
import org.springframework.security.web.authentication.session.SessionAuthenticationException;
import org.springframework.security.web.util.matcher.IpAddressMatcher;
import org.springframework.ui.freemarker.FreeMarkerTemplateUtils;
import org.springframework.web.context.support.WebApplicationContextUtils;
import org.springframework.webflow.definition.FlowDefinition;
import org.springframework.webflow.definition.StateDefinition;
import org.springframework.webflow.definition.TransitionDefinition;
import org.springframework.webflow.execution.Event;
import org.springframework.webflow.execution.RequestContext;
import org.springframework.webflow.execution.RequestContextHolder;
import org.springframework.webflow.execution.View;

import com.artofsolving.jodconverter.DefaultDocumentFormatRegistry;
import com.artofsolving.jodconverter.DocumentConverter;
import com.artofsolving.jodconverter.DocumentFormat;
import com.artofsolving.jodconverter.openoffice.connection.OpenOfficeConnection;
import com.artofsolving.jodconverter.openoffice.connection.SocketOpenOfficeConnection;
import com.artofsolving.jodconverter.openoffice.converter.OpenOfficeDocumentConverter;
import com.fasterxml.jackson.core.type.TypeReference;
import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.SerializationFeature;
import com.google.i18n.phonenumbers.PhoneNumberUtil;
import com.google.i18n.phonenumbers.PhoneNumberUtil.PhoneNumberFormat;
import com.google.i18n.phonenumbers.Phonenumber.PhoneNumber;
import com.itextpdf.text.Document;
import com.itextpdf.text.Image;
import com.itextpdf.text.PageSize;
import com.itextpdf.text.Paragraph;
import com.itextpdf.text.Rectangle;
import com.itextpdf.text.RectangleReadOnly;
import com.itextpdf.text.pdf.AcroFields;
import com.itextpdf.text.pdf.AcroFields.FieldPosition;
import com.itextpdf.text.pdf.AcroFields.Item;
import com.itextpdf.text.pdf.BarcodeQRCode;
import com.itextpdf.text.pdf.PdfContentByte;
import com.itextpdf.text.pdf.PdfImportedPage;
import com.itextpdf.text.pdf.PdfReader;
import com.itextpdf.text.pdf.PdfStamper;
import com.itextpdf.text.pdf.PdfWriter;
import com.itextpdf.text.pdf.parser.PdfReaderContentParser;
import com.itextpdf.text.pdf.parser.SimpleTextExtractionStrategy;
import com.itextpdf.text.pdf.parser.TextExtractionStrategy;
import com.itextpdf.tool.xml.XMLWorkerHelper;
import com.jayway.jsonpath.JsonPath;
import com.jcraft.jsch.ChannelShell;
import com.jcraft.jsch.JSch;
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.JsonNode;
import com.mashape.unirest.http.Unirest;

import au.com.bytecode.opencsv.CSVReader;
import au.com.bytecode.opencsv.CSVWriter;
import freemarker.template.Configuration;
import it.asterisk.fastagi.AgiChannel;
import it.asterisk.fastagi.AgiException;
import it.asterisk.manager.action.OriginateAction;
import it.callite.autodialer.controllo.CodaStatic;
import it.callite.chiamate.Chiamate;
import it.callite.comparator.AnagraficaComparator;
import it.callite.comparator.AppuntamentoComparator;
import it.callite.comparator.ContattoComparator;
import it.callite.comparator.ContrattoComparator;
import it.callite.comparator.StoriaAppuntamentoComparator;
import it.callite.comparator.StoriaContattoComparator;
import it.callite.comparator.StoriaContrattoComparator;
import it.callite.constants.ConstantsEsito;
import it.callite.constants.ConstantsFormat;
import it.callite.constants.ConstantsGlobal;
import it.callite.constants.ConstantsLanguage;
import it.callite.constants.ConstantsMap;
import it.callite.criteria.RegistrazioneCriteria;
import it.callite.criteria.RegistrazioneReportCriteria;
import it.callite.criteria.TemplateImportCriteria;
import it.callite.criteria.UserCriteria;
import it.callite.criteria.generic.RicercaAnagraficaCriteria;
import it.callite.dao.ImpostazioneDao;
import it.callite.log.ApplicationLog;
import it.callite.log.ErrorLog;
import it.callite.log.SystemLog;
import it.callite.message.Message;
import it.callite.model.Agente;
import it.callite.model.Anagrafica;
import it.callite.model.Appuntamento;
import it.callite.model.AutoContatto;
import it.callite.model.Busta;
import it.callite.model.BustaStore;
import it.callite.model.Campagna;
import it.callite.model.CampoAggiuntivoAnagrafica;
import it.callite.model.CampoAggiuntivoContratto;
import it.callite.model.ClientFTP;
import it.callite.model.Contatto;
import it.callite.model.Contratto;
import it.callite.model.DatoAggiuntivoAnagrafica;
import it.callite.model.DatoAggiuntivoContratto;
import it.callite.model.Documento;
import it.callite.model.DomandaAnagrafica;
import it.callite.model.DomandaContratto;
import it.callite.model.Email;
import it.callite.model.EsitoArchiviazione;
import it.callite.model.EsitoChiamata;
import it.callite.model.Indirizzo;
import it.callite.model.Lista;
import it.callite.model.Nota;
import it.callite.model.Notizia;
import it.callite.model.Prenotazione;
import it.callite.model.Risposta;
import it.callite.model.Rmail;
import it.callite.model.Smtp;
import it.callite.model.StoriaAppuntamento;
import it.callite.model.StoriaContatto;
import it.callite.model.StoriaContratto;
import it.callite.model.Team;
import it.callite.model.Telecom;
import it.callite.model.Tema;
import it.callite.model.Template;
import it.callite.model.TemplateExportAnagrafica;
import it.callite.model.TemplateExportAppuntamento;
import it.callite.model.TemplateExportContatto;
import it.callite.model.TemplateExportContratto;
import it.callite.model.TemplateExportStoriaAppuntamento;
import it.callite.model.TemplateExportStoriaContatto;
import it.callite.model.TemplateExportStoriaContratto;
import it.callite.model.TemplateImportAnagrafica;
import it.callite.model.TemplateStore;
import it.callite.model.Utente;
import it.callite.model.Zona;
import it.callite.model.anagrafica.AnagraficaXML;
import it.callite.model.anagrafica.DatoAggiuntivoAnagraficaXML;
import it.callite.model.anagrafica.IndirizzoXML;
import it.callite.model.anagrafica.ModelXML;
import it.callite.model.messaggio.AllegatoMessaggio;
import it.callite.model.messaggio.Destinatario;
import it.callite.model.messaggio.Messaggio;
import it.callite.model.pk.TemplateProdottoPK;
import it.callite.model.report.AutodialerContatti;
import it.callite.model.report.ConteggioModel;
import it.callite.model.report.EstrattoModel;
import it.callite.model.report.GruppoModel;
import it.callite.model.report.MonitorOperatore;
import it.callite.model.report.PannelloModel;
import it.callite.model.report.ReportOrario;
import it.callite.model.report.RiepilogoCampagnaList;
import it.callite.model.report.RiepilogoCdr;
import it.callite.model.report.RiepilogoEsito;
import it.callite.model.report.RiepilogoSondaggio;
import it.callite.model.sip.Coda;
import it.callite.model.sip.SipBuddies;
import it.callite.utility.importa.ImportModelAnagrafica;
import it.callite.utility.importa.ImportModelConsentite;
import it.callite.utility.item.ContattoSI;
import it.callite.utility.item.ListaSI;
import it.callite.utility.item.UtenteSI;
import it.callite.utility.jdbf.DBFReader;
import it.callite.utility.utils.ModuloFileFilter;
import it.callite.utility.utils.RegistrazioneFileFilter;
import it.callite.utility.utils.registrazione.StreamFileFilter;
import it.callite.utility.utils.registrazione.StreamRegistrazioneFilter;
import it.callite.utility.utils.registrazione.StreamSimpleFilter;
import it.callite.utility.xlsx.StreamingReader;


public class ApplicationUtil {

	public static boolean gtOra(Date data) {
		return data != null && data.after(date());
	}

	public static boolean ltOra(Date data) {
		return data != null && data.before(date());
	}

	public static boolean getPath(String path, boolean salta) {
		File f = new File(path);
		if(f.exists() && !f.isDirectory() && (salta || f.canExecute())) { 
			return true;
		}
		return false;
	}

	public static boolean getService(String name) {
		File file = new File(ConstantsGlobal.path_service);
		if(file.exists()) {
			try {
				BufferedReader reader = new BufferedReader(new FileReader(file));
				String line = null;
				while ((line = reader.readLine()) != null) {
					String l = trimToNull(line);
					if(l != null && l.equals(name + "." + "service")) {
						reader.close();
						return true;
					}
				}
				reader.close();
			} catch (IOException e) {
				ErrorLog.log(null, null, e);
			}
		}
		return false;
	}
	
	public static boolean getServiceStart(String name) {
		if(!isWindows()) {
			try {
				Runtime rt = Runtime.getRuntime();
				Process proc = rt.exec(new String[] {ConstantsGlobal.path_shell, "-c", "systemctl is-enabled" + " " + name});
				BufferedReader stdInput = new BufferedReader(new InputStreamReader(proc.getInputStream()));
				//BufferedReader stdError = new BufferedReader(new InputStreamReader(proc.getErrorStream()));
				String s = null;
				while ((s = stdInput.readLine()) != null) {
					if(s != null && s.equals("enabled")) {
						return true;
					}
				}
				//while ((s = stdError.readLine()) != null) {
				//	}
			} catch (IOException e) {
				ErrorLog.log(null, null, e);
			}
		}
		return false;
	}

	public static boolean getDirectory(String path) {
		File f = new File(path);
		if(f.exists() && f.isDirectory()) { 
			return true;
		}
		return false;
	}
	
	public static String getNameN(String file) {
		return FilenameUtils.getName(file);
	}
	
	public static String getBaseNameN(String file) {
		return FilenameUtils.getBaseName(file);
	}
	
	public static String getExtensionN(String file) {
		return FilenameUtils.getExtension(file);
	}
	
	public static String getPathN(String p) {
		return FilenameUtils.getPath(p);
	}
	public static boolean isExtensionN(String p, String [] e) {
		return FilenameUtils.isExtension(p, e);
	}

	public static String normalizeNoEndSeparator(String p) {
		return FilenameUtils.normalizeNoEndSeparator(p, true);
	}
	
	public static String removeExtension(String p) {
		return FilenameUtils.removeExtension(p);
	}
	
	public static String getExtensionLower(String file) {
		return lowerCaseEmpty(getExtensionN(file));
	}

	public static CampoAggiuntivoAnagrafica nuovoCampo(String chiave, boolean telefonico) {
		CampoAggiuntivoAnagrafica ca = new CampoAggiuntivoAnagrafica();
		ca.setColore(null);
		ca.setStile(null);
		ca.setModificabile_operatore(Boolean.FALSE);
		ca.setModificabile_agente(Boolean.FALSE);
		ca.setVisibile_operatore(Boolean.TRUE);
		ca.setVisibile_agente(Boolean.TRUE);
		ca.setObbligatorio(Boolean.FALSE);
		ca.setDefaults(null);
		ca.setChiave(chiave);
		ca.setDescrizione(null);
		ca.setEtichetta(chiave);
		if(telefonico) {
			ca.setTipo(ConstantsMap.TIPO_TELEFONICO);
		} else {
			ca.setTipo(ConstantsMap.TIPO_APERTO);
		}
		return ca;
	}

	public static String getColoreInverso(String col) {
		String colore = substring(col, 1);
		String sfondo = substring(ConstantsGlobal.sfondo, 1);
		long c = Long.parseLong(sfondo, 16) - Long.parseLong(colore, 16);
		return "#" + leftPad(Long.toHexString(c), 6, "0");
	}

	public static boolean isInterno(String telefono, String validator) {
		if(isNotBlank(telefono)) {
			Pattern p = Pattern.compile(validator);
			Matcher m = p.matcher(telefono);
			//return CodaStatic.getStatoInterni().isRegistrato(telefono);
			return m.matches();
		}
		return false;
	}

	public static String channel(String key) {
		if(key != null) {
			return trimToNull((key.contains("-")) ? substringBetween(key, "/", "-") : substringAfter(key, "/"));
		}
		return null;
	}

	public static Character getChar(String stringa) {
		if (stringa != null && stringa.length() > 0) {
			return stringa.charAt(0);
		} else {
			return CSVWriter.NO_QUOTE_CHARACTER;
		}
	}


	public static Boolean convertSB(String value) {
		if(equals(value, ConstantsGlobal.a_n)) return false;
		if(equals(value, ConstantsGlobal.a_y)) return true;
		return false;
	}

	public static String convertBS(Boolean value) {
		if(isTrue(value)) { 
			return ConstantsGlobal.a_y;
		} else { 
			return ConstantsGlobal.a_n; 
		}
	}

	public static String uniformaF(String numero, String add) {
		String t = trimToEmpty(numero);
		if(isNotBlank(t)) {
			String pos = trimToNull(add);
			if(pos != null) {
				t = pos + t;
			}

		}
		return t;
	}

	public static String uniforma(String numero, String rem, String add) {
		String tV = trimToEmpty(numero);
		String tN = tV;
		if(isNotBlank(tV)) {
			String preL = trimToNull(rem);
			String posL = trimToNull(add);
			if(preL != null) {
				List<String> ps = token(preL, ConstantsGlobal.colonSeparator);
				if(notEmpty(ps)) {
					String p = tN;
					for(String pre : ps) {
						tN = trasformazioneR(tN, pre);
						if(!equals(tN, p)) break;
					}
				}
			} 
			if(posL != null) {
				List<String> ps = token(posL, ConstantsGlobal.colonSeparator);
				if(notEmpty(ps)) {
					String p = tN;
					for(String pos : ps) {
						tN = trasformazioneA(tN, pos);
						if(!equals(tN, p)) break;
					}
				}
			}
		}
		if(tN == null) {
			tN = tV;
		}
		return tN;
	}

	public static String compila(String numero, String append) {
		String a = trimToNull(append);
		String n = trimToEmpty(numero);
		if (a == null) {
			return n;
		} else {
			Pattern p = Pattern.compile(a);
			Matcher m = p.matcher(n);
			//n.matches(a+".*$")
			if(m.matches()){
				return n;
			}
		}
		return "";
	}


	public static String rispondi(DomandaAnagrafica domanda, Map<String, DatoAggiuntivo> di) {
		if(isNotBlank(domanda.getRisposta())) {
			return domanda.getRisposta();
		} else {
			CampoAggiuntivoAnagrafica ca = domanda.getCampo_aggiuntivo();
			return replaceInString(ca.getDefaults(), di);
		}
	}


	public static String rispondi(DomandaContratto domanda, Map<String, DatoAggiuntivo> di) {
		if(isNotBlank(domanda.getRisposta())) {
			return domanda.getRisposta();
		} else {
			CampoAggiuntivoContratto ca = domanda.getCampo_aggiuntivo();
			return replaceInString(ca.getDefaults(), di);
		}
	}

	public static DatoSondaggioAnagrafica creaDomanda(DomandaAnagrafica domanda, String risposta) {
		if(domanda.getCampo_aggiuntivo().getManyCheckbox() || domanda.getCampo_aggiuntivo().getManyMenu() || domanda.getCampo_aggiuntivo().getPickList()) {
			return new DatoSondaggioAnagrafica(domanda.getCampo_aggiuntivo(), token(risposta, ConstantsGlobal.colonSeparator), domanda.getObbligatoria(), domanda.getVisibile());
		} else if(domanda.getCampo_aggiuntivo().getData()) {
			return new DatoSondaggioAnagrafica(domanda.getCampo_aggiuntivo(), parseData(domanda.getCampo_aggiuntivo().getValoriT(), risposta), domanda.getObbligatoria(), domanda.getVisibile());
		} else if(domanda.getCampo_aggiuntivo().getDataora()) {
			return new DatoSondaggioAnagrafica(domanda.getCampo_aggiuntivo(), parseData(domanda.getCampo_aggiuntivo().getValoriT(), risposta), domanda.getObbligatoria(), domanda.getVisibile());
		} else if(domanda.getCampo_aggiuntivo().getOra()) {
			return new DatoSondaggioAnagrafica(domanda.getCampo_aggiuntivo(), parseData(ConstantsFormat.time.stampa(), risposta), domanda.getObbligatoria(), domanda.getVisibile());
		} else {
			return new DatoSondaggioAnagrafica(domanda.getCampo_aggiuntivo(), risposta, domanda.getObbligatoria(), domanda.getVisibile());
		}
	}

	public static DatoSondaggioContratto creaDomanda(DomandaContratto domanda, String risposta) {
		if(domanda.getCampo_aggiuntivo().getManyCheckbox() || domanda.getCampo_aggiuntivo().getManyMenu() || domanda.getCampo_aggiuntivo().getPickList()) {
			return new DatoSondaggioContratto(domanda.getCampo_aggiuntivo(), token(risposta, ConstantsGlobal.colonSeparator), domanda.getObbligatoria(), domanda.getVisibile());
		} else if(domanda.getCampo_aggiuntivo().getData()) {
			return new DatoSondaggioContratto(domanda.getCampo_aggiuntivo(), parseData(domanda.getCampo_aggiuntivo().getValoriT(), risposta), domanda.getObbligatoria(), domanda.getVisibile());
		} else if(domanda.getCampo_aggiuntivo().getDataora()) {
			return new DatoSondaggioContratto(domanda.getCampo_aggiuntivo(), parseData(domanda.getCampo_aggiuntivo().getValoriT(), risposta), domanda.getObbligatoria(), domanda.getVisibile());
		} else if(domanda.getCampo_aggiuntivo().getOra()) {
			return new DatoSondaggioContratto(domanda.getCampo_aggiuntivo(), parseData(ConstantsFormat.time.stampa(), risposta), domanda.getObbligatoria(), domanda.getVisibile());
		} else {
			return new DatoSondaggioContratto(domanda.getCampo_aggiuntivo(), risposta, domanda.getObbligatoria(), domanda.getVisibile());
		}
	}


	public static String clearNumero(String numero) {
		if(numero != null) {
			return numero.replaceAll("[^0-9]", "");
		}
		return null;
	}

	public static String clearChiamante(String numero) {
		if(numero != null) {
			return trimToNull(numero);
		}
		return null;
	}

	public static String aggiustaLista(boolean u, String separatore, String callers) {
		List<String> callerList = u ? tokenU(callers, separatore) : token(callers, separatore);
		return trimToNull(detoken(callerList, separatore));
	}

	public static String clearOpposizione(String numero) {
		if(numero != null) {
			return numero.replaceAll(" ", "");
		}
		return null;
	}

	public static String toStringSQL(String id, String nome) {
		return "CONCAT('[',"+id+",']: ',"+nome+")";
	}


	public static String toString(Object id, String nome) {
		StringBuilder sb = new StringBuilder();
		if(id!=null) {
			sb.append("["+id+"]: ");
		}
		sb.append(trimToEmpty(nome));
		return sb.toString();
	}

	public static Double percentuale(Integer parziale, Integer totale) {
		if(gtZero(totale) && gtZero(parziale)) {
			Double parzialeT = Double.valueOf(parziale);
			Double totaleT = Double.valueOf(totale);
			return Double.valueOf(parzialeT / totaleT);
		} else {
			return Double.valueOf(0);
		}
	}


	public static String percentuale(Double numero) {
		double percentuale = 100f;
		BigDecimal bg = new BigDecimal(numero * percentuale);
		return bg.setScale(2, RoundingMode.HALF_UP) + "%";
	}

	public static JoinType leftJoin() {
		return JoinType.LEFT_OUTER_JOIN;
	}

	public static ResultTransformer distinctRoot() {
		return CriteriaSpecification.DISTINCT_ROOT_ENTITY;
	}


	public static void projectionList(boolean group, ProjectionList p, DetachedCriteria criteria, String table, String alias, String id, String altro) {
		projectionList(p, criteria, table, alias, id);
		if(group) {
			String separator = "SEPARATOR"+ " "+ "'"+ConstantsGlobal.RETURN + "'";
			String select = "";
			String order = "{"+alias+"}."+id;
			if(altro != null) {
				select = toStringSQL(order, "{"+alias+"}."+altro);
			} else {
				select = order;
			}
			p.add(new SmartSQLProjection("GROUP_CONCAT(DISTINCT "+ select +" ORDER BY " + order + " " + "ASC" + " " + separator+") as " + alias, new String [] {alias}, new Type []{StringType.INSTANCE}));
		}
	}

	public static void projectionList(ProjectionList p, DetachedCriteria criteria, String table, String alias, String proprieta) {
		criteria.createCriteria(table, alias, leftJoin());
		p.add(new SmartSQLProjection("count(DISTINCT {"+alias+"}."+proprieta+") as n"+alias, new String [] {"n"+alias}, new Type []{LongType.INSTANCE}));
	}

	public static void setOrdinamento(DetachedCriteria criteria, String tipo, String colonna, Order [] defaults) {
		if(isNotBlank(colonna)) {
			if(tipo.equals(ConstantsGlobal.desc)) {
				criteria.addOrder(Order.desc(colonna));
			} else {
				criteria.addOrder(Order.asc(colonna));
			}
		} else {
			if(notEmpty(defaults)) {
				for (Order ord : defaults) {
					criteria.addOrder(ord);
				}
			}
		}
	}

	public static void setOrdinamento(DetachedCriteria criteria, Order [] defaults) {
		if(notEmpty(defaults)) {
			for (Order ord : defaults) {
				criteria.addOrder(ord);
			}
		}
	}

	public static String metodo(Anagrafica a, String metodo) {
		return ModelExport.metodoAnagrafica(a, metodo);
	}

	@SuppressWarnings("rawtypes")
	public static Comparable metodoC(Contatto a, String metodo) {
		return ModelExport.comparaContatto(a, metodo);
	}

	@SuppressWarnings("rawtypes")
	public static Comparable compara(Agente a, Contatto c) {
		if(c != null) {
			Indirizzo agente = null;
			Indirizzo contatto = null;
			if(a.getIndirizzo_legale() != null && a.getIndirizzo_legale().getCoordinateValide()) {
				agente = a.getIndirizzo_legale();
			}
			if(a.getIndirizzo_operativo() != null && a.getIndirizzo_operativo().getCoordinateValide()) {
				agente = a.getIndirizzo_operativo();
			}
			if(c.getAnagrafica().getIndirizzo_legale() != null && c.getAnagrafica().getIndirizzo_legale().getCoordinateValide()) {
				contatto = c.getAnagrafica().getIndirizzo_legale();
			}
			if(c.getAnagrafica().getIndirizzo_operativo() != null && c.getAnagrafica().getIndirizzo_operativo().getCoordinateValide()) {
				contatto = c.getAnagrafica().getIndirizzo_operativo();
			}
			if(agente != null && contatto != null) {
				return calcolaDistanza(agente, contatto);
			}
		}
		return null;
	}

	@SuppressWarnings("rawtypes")
	public static Comparable metodoC(Anagrafica a, String metodo) {
		return ModelExport.comparaAnagrafica(a, metodo);
	}

	@SuppressWarnings("rawtypes")
	public static Comparable metodoC(Appuntamento a, String metodo) {
		return ModelExport.comparaAppuntamento(a, metodo);
	}

	@SuppressWarnings("rawtypes")
	public static Comparable metodoC(Contratto a, String metodo) {
		return ModelExport.comparaContratto(a, metodo);
	}


	@SuppressWarnings("rawtypes")
	public static Comparable metodoC(StoriaContatto a, String metodo) {
		return ModelExport.comparaStoriaContatto(a, metodo);
	}


	@SuppressWarnings("rawtypes")
	public static Comparable metodoC(StoriaAppuntamento a, String metodo) {
		return ModelExport.comparaStoriaAppuntamento(a, metodo);
	}

	@SuppressWarnings("rawtypes")
	public static Comparable metodoC(StoriaContratto a, String metodo) {
		return ModelExport.comparaStoriaContratto(a, metodo);
	}


	public static String metodo(ContattoSI a, String metodo) {
		for(Method m1 : a.getClass().getMethods()) {
			if(String.class.equals(m1.getReturnType())) {
				try {
					String metodo1 = lowerCaseEmpty(m1.getName().substring(3));
					if(metodo.equals(metodo1)) {
						return (String) m1.invoke(a, new Object[] { } );
					}
				}
				catch(Exception e) { }
			} 
		}
		return null;
	}

	public static void merge(Anagrafica a, ContattoSI b) {
		if(a != null && b != null){
			if(isNotBlank(b.getAnagrafica_telefono_fisso())) {
				if(isBlank(a.getTelefono_fisso())){ 
					a.setTelefono_fisso(b.getAnagrafica_telefono_fisso());
				} else {
					String verifica = b.getAnagrafica_telefono_fisso();
					if(!equals(a.getTelefono_fisso(), verifica)) {
						if(!a.getDatoAggiuntivi().containsValue(verifica)) {
							int j = 1;
							String chiave = ConstantsLanguage.TELEFONO_FISSO.stampa();
							String c = chiave + j;
							while(a.getDatoAggiuntivi().keySet().contains(c)) {
								c = chiave + (++j); 
							}
							a.addDatoList(c, verifica);
							CampoAggiuntivoAnagrafica ca = nuovoCampo(c, true);
							DatoAggiuntivoAnagrafica da = new DatoAggiuntivoAnagrafica();
							da.setCampo_aggiuntivo(ca);
							da.setValore(verifica);
							a.addDato(c, da);
						}
					}
				}
			}
			if(isNotBlank(b.getAnagrafica_telefono_mobile())) {
				if(isBlank(a.getTelefono_mobile())){ 
					a.setTelefono_mobile(b.getAnagrafica_telefono_mobile());
				} else {
					String verifica = b.getAnagrafica_telefono_mobile();
					if(!equals(a.getTelefono_mobile(), verifica)) {
						if(!a.getDatoAggiuntivi().containsValue(verifica)) {
							int j = 1;
							String chiave = ConstantsLanguage.TELEFONO_MOBILE.stampa();
							String c = chiave + j;
							while(a.getDatoAggiuntivi().keySet().contains(c)) {
								c = chiave + (++j); 
							}
							a.addDatoList(c, verifica);
							CampoAggiuntivoAnagrafica ca = nuovoCampo(c, true);
							DatoAggiuntivoAnagrafica da = new DatoAggiuntivoAnagrafica();
							da.setCampo_aggiuntivo(ca);
							da.setValore(verifica);
							a.addDato(c, da);
						}
					}
				}
			}
			if(isNotBlank(b.getAnagrafica_telefono_fax())) {
				if(isBlank(a.getTelefono_fax())){ 
					a.setTelefono_fax(b.getAnagrafica_telefono_fax());
				} else {
					String verifica = b.getAnagrafica_telefono_fax();
					if(!equals(a.getTelefono_fax(), verifica)) {
						if(!a.getDatoAggiuntivi().containsValue(verifica)) {
							int j = 1;
							String chiave = ConstantsLanguage.TELEFONO_FAX.stampa();
							String c = chiave + j;
							while(a.getDatoAggiuntivi().keySet().contains(c)) {
								c = chiave + (++j); 
							}
							a.addDatoList(c, verifica);
							CampoAggiuntivoAnagrafica ca = nuovoCampo(c, true);
							DatoAggiuntivoAnagrafica da = new DatoAggiuntivoAnagrafica();
							da.setCampo_aggiuntivo(ca);
							da.setValore(verifica);
							a.addDato(c, da);
						}
					}
				}
			}
			if(isNotBlank(b.getAnagrafica_telefono_altro())) {
				if(isBlank(a.getTelefono_altro())){ 
					a.setTelefono_altro(b.getAnagrafica_telefono_altro());
				} else {
					String verifica = b.getAnagrafica_telefono_altro();
					if(!equals(a.getTelefono_altro(), verifica)) {
						if(!a.getDatoAggiuntivi().containsValue(verifica)) {
							int j = 1;
							String chiave = ConstantsLanguage.TELEFONO_ALTRO.stampa();
							String c = chiave + j;
							while(a.getDatoAggiuntivi().keySet().contains(c)) {
								c = chiave + (++j); 
							}
							a.addDatoList(c, verifica);
							CampoAggiuntivoAnagrafica ca = nuovoCampo(c, true);
							DatoAggiuntivoAnagrafica da = new DatoAggiuntivoAnagrafica();
							da.setCampo_aggiuntivo(ca);
							da.setValore(verifica);
							a.addDato(c, da);
						}
					}
				}
			}

			if(isNotBlank(b.getAnagrafica_email())) {
				if(isBlank(a.getEmail())){ 
					a.setEmail(b.getAnagrafica_email());
				} else {
					String verifica = b.getAnagrafica_email();
					if(!equals(a.getEmail(), verifica)) {
						if(!a.getDatoAggiuntivi().containsValue(verifica)) {
							int j = 1;
							String chiave = ConstantsLanguage.EMAIL.stampa();
							String c = chiave + j;
							while(a.getDatoAggiuntivi().keySet().contains(c)) {
								c = chiave + (++j); 
							}
							a.addDatoList(c, verifica);
							CampoAggiuntivoAnagrafica ca = nuovoCampo(c, false);
							DatoAggiuntivoAnagrafica da = new DatoAggiuntivoAnagrafica();
							da.setCampo_aggiuntivo(ca);
							da.setValore(verifica);
							a.addDato(c, da);
						}
					}
				}
			}

			if(isNotBlank(b.getAnagrafica_link())) {
				if(isBlank(a.getLink())){ 
					a.setLink(b.getAnagrafica_link());
				} else {
					String verifica = b.getAnagrafica_link();
					if(!equals(a.getLink(), verifica)) {
						if(!a.getDatoAggiuntivi().containsValue(verifica)) {
							int j = 1;
							String chiave = ConstantsLanguage.LINK.stampa();
							String c = chiave + j;
							while(a.getDatoAggiuntivi().keySet().contains(c)) {
								c = chiave + (++j); 
							}
							a.addDatoList(c, verifica);
							CampoAggiuntivoAnagrafica ca = nuovoCampo(c, false);
							DatoAggiuntivoAnagrafica da = new DatoAggiuntivoAnagrafica();
							da.setCampo_aggiuntivo(ca);
							da.setValore(verifica);
							a.addDato(c, da);
						}
					}
				}
			}

			if(isNotBlank(b.getAnagrafica_codice_fiscale())) {
				if(isBlank(a.getCodice_fiscale())){ 
					a.setCodice_fiscale(b.getAnagrafica_codice_fiscale());
				} else {
					String verifica = b.getAnagrafica_codice_fiscale();
					if(!equals(a.getCodice_fiscale(), verifica)) {
						if(!a.getDatoAggiuntivi().containsValue(verifica)) {
							int j = 1;
							String chiave = ConstantsLanguage.CODICE_FISCALE.stampa();
							String c = chiave + j;
							while(a.getDatoAggiuntivi().keySet().contains(c)) {
								c = chiave + (++j); 
							}
							a.addDatoList(c, verifica);
							CampoAggiuntivoAnagrafica ca = nuovoCampo(c, false);
							DatoAggiuntivoAnagrafica da = new DatoAggiuntivoAnagrafica();
							da.setCampo_aggiuntivo(ca);
							da.setValore(verifica);
							a.addDato(c, da);
						}
					}
				}
			}

			if(isNotBlank(b.getAnagrafica_partita_iva())) {
				if(isBlank(a.getPartita_iva())){ 
					a.setPartita_iva(b.getAnagrafica_partita_iva());
				} else {
					String verifica = b.getAnagrafica_partita_iva();
					if(!equals(a.getPartita_iva(), verifica)) {
						if(!a.getDatoAggiuntivi().containsValue(verifica)) {
							int j = 1;
							String chiave = ConstantsLanguage.PARTITA_IVA.stampa();
							String c = chiave + j;
							while(a.getDatoAggiuntivi().keySet().contains(c)) {
								c = chiave + (++j); 
							}
							a.addDatoList(c, verifica);
							CampoAggiuntivoAnagrafica ca = nuovoCampo(c, false);
							DatoAggiuntivoAnagrafica da = new DatoAggiuntivoAnagrafica();
							da.setCampo_aggiuntivo(ca);
							da.setValore(verifica);
							a.addDato(c, da);
						}
					}
				}
			}
		}
	}


	public static boolean merge(ContattoSI a, ContattoSI b) {
		boolean merge = false;
		if(a != null && b != null){
			if(confronta(a.getAnagrafica_telefono_fisso(), b.getAnagrafica_telefono_fisso())) {
				merge = true;
			}
			if(confronta(a.getAnagrafica_telefono_mobile(), b.getAnagrafica_telefono_mobile())) {
				merge = true;
			}
			if(confronta(a.getAnagrafica_telefono_fax(), b.getAnagrafica_telefono_fax())) {
				merge = true;
			}
			if(confronta(a.getAnagrafica_telefono_altro(), b.getAnagrafica_telefono_altro())) {
				merge = true;
			}
			if(confronta(a.getAnagrafica_email(), b.getAnagrafica_email())) {
				merge = true;
			}
			if(confronta(a.getAnagrafica_link(), b.getAnagrafica_link())) {
				merge = true;
			}
			if(confronta(a.getAnagrafica_codice_fiscale(), b.getAnagrafica_codice_fiscale())) {
				merge = true;
			}
			if(confronta(a.getAnagrafica_partita_iva(), b.getAnagrafica_partita_iva())) {
				merge = true;
			}
		}
		return merge;
	}

	public static boolean confronta(String a1, String a2) {
		if(isBlank(a1) && isBlank(a2)) {
			return false;
		}
		if(isBlank(a1) && isNotBlank(a2)) {
			return true;
		}
		if(isNotBlank(a1) && isBlank(a2)) {
			return false;
		}
		return a1.equals(a2);
	}

	@SuppressWarnings("unchecked")
	public static List<AutoContatto> getMappa(AutodialerContatti a, String metodo) {
		if(a!= null && isNotBlank(metodo)) {
			try {
				Method m = a.getClass().getMethod("get" + capitalize(metodo));
				return (List<AutoContatto>) m.invoke(a);
			} catch (Exception e) {}
		}
		return new ArrayList<AutoContatto>();
	}


	public static void comparatorCondition(List<Anagrafica> anagrafiche, TemplateImportAnagrafica ti) {
		Integer tipo = ti.getTipo();
		if(isNotBlank(ti.getOrdine()) && gtZero(ti.getTipo())) {
			if(tipo.equals(ConstantsGlobal.ascendente)) {
				Collections.sort(anagrafiche, new AnagraficaComparator(false, ti.getOrdine()));
			}
			if(tipo.equals(ConstantsGlobal.discendente)) {
				Collections.sort(anagrafiche, new AnagraficaComparator(true, ti.getOrdine()));
			}
		} 
		if(ltZero(ti.getTipo())) {
			Collections.shuffle(anagrafiche, new Random(System.nanoTime()));
		}

		if(isBlank(ti.getOrdine())) {
			if(tipo.equals(ConstantsGlobal.ascendente)) {
				Collections.sort(anagrafiche);
			}
			if(tipo.equals(ConstantsGlobal.discendente)) {
				Collections.reverse(anagrafiche);
			}
		}
	}

	public static void comparatorCondition(List<Anagrafica> anagrafiche, TemplateExportAnagrafica ti) {
		Integer tipo = ti.getTipo();
		if(isNotBlank(ti.getOrdine()) && gtZero(ti.getTipo())) {
			if(tipo.equals(ConstantsGlobal.ascendente)) {
				Collections.sort(anagrafiche, new AnagraficaComparator(false, ti.getOrdine()));
			}
			if(tipo.equals(ConstantsGlobal.discendente)) {
				Collections.sort(anagrafiche, new AnagraficaComparator(true, ti.getOrdine()));
			}
		} 
		if(ltZero(ti.getTipo())) {
			Collections.shuffle(anagrafiche, new Random(System.nanoTime()));
		}

		if(isBlank(ti.getOrdine())) {
			if(tipo.equals(ConstantsGlobal.ascendente)) {
				Collections.sort(anagrafiche);
			}
			if(tipo.equals(ConstantsGlobal.discendente)) {
				Collections.reverse(anagrafiche);
			}
		}
	}

	public static void comparatorCondition(List<Contatto> contatti, TemplateExportContatto ti) {
		Integer tipo = ti.getTipo();
		if(isNotBlank(ti.getOrdine()) && gtZero(ti.getTipo())) {
			if(tipo.equals(ConstantsGlobal.ascendente)) {
				Collections.sort(contatti, new ContattoComparator(false, ti.getOrdine()));
			}
			if(tipo.equals(ConstantsGlobal.discendente)) {
				Collections.sort(contatti, new ContattoComparator(true, ti.getOrdine()));
			}
		} 
		if(ltZero(ti.getTipo())) {
			Collections.shuffle(contatti, new Random(System.nanoTime()));
		}

		if(isBlank(ti.getOrdine())) {
			if(tipo.equals(ConstantsGlobal.ascendente)) {
				Collections.sort(contatti);
			}
			if(tipo.equals(ConstantsGlobal.discendente)) {
				Collections.reverse(contatti);
			}
		}
	}

	public static void comparatorCondition(List<Appuntamento> appuntamenti, TemplateExportAppuntamento ti) {
		Integer tipo = ti.getTipo();
		if(isNotBlank(ti.getOrdine()) && gtZero(ti.getTipo())) {
			if(tipo.equals(ConstantsGlobal.ascendente)) {
				Collections.sort(appuntamenti, new AppuntamentoComparator(false, ti.getOrdine()));
			}
			if(tipo.equals(ConstantsGlobal.discendente)) {
				Collections.sort(appuntamenti, new AppuntamentoComparator(true, ti.getOrdine()));
			}
		} 
		if(ltZero(ti.getTipo())) {
			Collections.shuffle(appuntamenti, new Random(System.nanoTime()));
		}

		if(isBlank(ti.getOrdine())) {
			if(tipo.equals(ConstantsGlobal.ascendente)) {
				Collections.sort(appuntamenti);
			}
			if(tipo.equals(ConstantsGlobal.discendente)) {
				Collections.reverse(appuntamenti);
			}
		}
	}

	public static void comparatorCondition(List<Contratto> contratti, TemplateExportContratto ti) {
		Integer tipo = ti.getTipo();
		if(isNotBlank(ti.getOrdine()) && gtZero(ti.getTipo())) {
			if(tipo.equals(ConstantsGlobal.ascendente)) {
				Collections.sort(contratti, new ContrattoComparator(false, ti.getOrdine()));
			}
			if(tipo.equals(ConstantsGlobal.discendente)) {
				Collections.sort(contratti, new ContrattoComparator(true, ti.getOrdine()));
			}
		} 
		if(ltZero(ti.getTipo())) {
			Collections.shuffle(contratti, new Random(System.nanoTime()));
		}

		if(isBlank(ti.getOrdine())) {
			if(tipo.equals(ConstantsGlobal.ascendente)) {
				Collections.sort(contratti);
			}
			if(tipo.equals(ConstantsGlobal.discendente)) {
				Collections.reverse(contratti);
			}
		}
	}


	public static void comparatorCondition(List<StoriaContatto> contatti, TemplateExportStoriaContatto ti) {
		Integer tipo = ti.getTipo();
		if(isNotBlank(ti.getOrdine()) && gtZero(ti.getTipo())) {
			if(tipo.equals(ConstantsGlobal.ascendente)) {
				Collections.sort(contatti, new StoriaContattoComparator(false, ti.getOrdine()));
			}
			if(tipo.equals(ConstantsGlobal.discendente)) {
				Collections.sort(contatti, new StoriaContattoComparator(true, ti.getOrdine()));
			}
		} 
		if(ltZero(ti.getTipo())) {
			Collections.shuffle(contatti, new Random(System.nanoTime()));
		}

		if(isBlank(ti.getOrdine())) {
			if(tipo.equals(ConstantsGlobal.ascendente)) {
				Collections.sort(contatti);
			}
			if(tipo.equals(ConstantsGlobal.discendente)) {
				Collections.reverse(contatti);
			}
		}
	}

	public static void comparatorCondition(List<StoriaAppuntamento> appuntamenti, TemplateExportStoriaAppuntamento ti) {
		Integer tipo = ti.getTipo();
		if(isNotBlank(ti.getOrdine()) && gtZero(ti.getTipo())) {
			if(tipo.equals(ConstantsGlobal.ascendente)) {
				Collections.sort(appuntamenti, new StoriaAppuntamentoComparator(false, ti.getOrdine()));
			}
			if(tipo.equals(ConstantsGlobal.discendente)) {
				Collections.sort(appuntamenti, new StoriaAppuntamentoComparator(true, ti.getOrdine()));
			}
		} 
		if(ltZero(ti.getTipo())) {
			Collections.shuffle(appuntamenti, new Random(System.nanoTime()));
		}

		if(isBlank(ti.getOrdine())) {
			if(tipo.equals(ConstantsGlobal.ascendente)) {
				Collections.sort(appuntamenti);
			}
			if(tipo.equals(ConstantsGlobal.discendente)) {
				Collections.reverse(appuntamenti);
			}
		}
	}

	public static void comparatorCondition(List<StoriaContratto> contratti, TemplateExportStoriaContratto ti) {
		Integer tipo = ti.getTipo();
		if(isNotBlank(ti.getOrdine()) && gtZero(ti.getTipo())) {
			if(tipo.equals(ConstantsGlobal.ascendente)) {
				Collections.sort(contratti, new StoriaContrattoComparator(false, ti.getOrdine()));
			}
			if(tipo.equals(ConstantsGlobal.discendente)) {
				Collections.sort(contratti, new StoriaContrattoComparator(true, ti.getOrdine()));
			}
		} 
		if(ltZero(ti.getTipo())) {
			Collections.shuffle(contratti, new Random(System.nanoTime()));
		}

		if(isBlank(ti.getOrdine())) {
			if(tipo.equals(ConstantsGlobal.ascendente)) {
				Collections.sort(contratti);
			}
			if(tipo.equals(ConstantsGlobal.discendente)) {
				Collections.reverse(contratti);
			}
		}
	}


	public static boolean importCondition(Date data, String importaFile, Anagrafica anagrafica, ImportModelAnagrafica ti) {
		anagrafica.setData_creazione(data);
		anagrafica.setSorgente(importaFile);
		boolean b_fisso = isBlank(anagrafica.getTelefono_fisso());
		boolean b_mobile = isBlank(anagrafica.getTelefono_mobile());
		boolean b_altro = isBlank(anagrafica.getTelefono_altro());
		boolean b_fax = isBlank(anagrafica.getTelefono_fax());
		boolean b_email = isBlank(anagrafica.getEmail());
		boolean b_link = isBlank(anagrafica.getLink());
		boolean b_codice = isBlank(anagrafica.getCodice_fiscale());
		boolean b_partita = isBlank(anagrafica.getPartita_iva());

		boolean r_fisso = isTrue(ti.getRichiesto_fisso()) && b_fisso;
		boolean r_mobile = isTrue(ti.getRichiesto_mobile()) && b_mobile;
		boolean r_altro = isTrue(ti.getRichiesto_altro()) && b_altro;
		boolean r_fax = isTrue(ti.getRichiesto_fax()) && b_fax;
		boolean r_email = isTrue(ti.getRichiesto_email()) && b_email;
		boolean r_link = isTrue(ti.getRichiesto_link()) && b_link;
		boolean r_codice = isTrue(ti.getRichiesto_codice()) && b_codice;
		boolean r_partita = isTrue(ti.getRichiesto_partita()) && b_partita;

		boolean a_con = isTrue(anagrafica.getConsentito());
		boolean a_opp = isFalse(anagrafica.getOpposizione());
		boolean a_fis = isFalse(anagrafica.getDuplicato_fisso());
		boolean a_mob = isFalse(anagrafica.getDuplicato_mobile());
		boolean a_fax = isFalse(anagrafica.getDuplicato_fax());
		boolean a_alt = isFalse(anagrafica.getDuplicato_altro());
		boolean a_ema = isFalse(anagrafica.getDuplicato_email());
		boolean a_lnk = isFalse(anagrafica.getDuplicato_link());
		boolean a_cod = isFalse(anagrafica.getDuplicato_codice());
		boolean a_iva = isFalse(anagrafica.getDuplicato_partita());

		boolean importa = true;
		List<String> m = new ArrayList<String>();
		
		if(eq(ti.getImportCondition(), 1)) {
			boolean valido = !(b_fisso && b_mobile && b_altro && b_fax && b_email && b_link && b_codice && b_partita);
			if(!valido) {
				importa = false;
				m.add(Message.addCatalogText("inserisci_telefono1"));
			}
		}

		if(eq(ti.getImportCondition(), 2)) {
			boolean valido = !(b_fisso && b_mobile && b_altro && b_fax && b_email);
			if(!valido) {
				importa = false;
				m.add(Message.addCatalogText("inserisci_telefono2"));
			}
		}
		
		if(eq(ti.getImportCondition(), 3)) {
			boolean valido = !(b_fisso && b_mobile && b_altro && b_fax);
			if(!valido) {
				importa = false;
				m.add(Message.addCatalogText("inserisci_telefono3"));
			}
		}

		if(r_fisso || r_mobile || r_altro || r_fax || r_email || r_link || r_codice || r_partita) {
			importa = false;
			if(r_fisso) {
				m.add(ConstantsLanguage.RICHIESTO.stampa() + " " + ConstantsLanguage.FISSO.stampa());
			}
			if(r_mobile) {
				m.add(ConstantsLanguage.RICHIESTO.stampa() + " " + ConstantsLanguage.MOBILE.stampa());
			}
			if(r_fax) {
				m.add(ConstantsLanguage.RICHIESTO.stampa() + " " + ConstantsLanguage.FAX.stampa());
			}
			if(r_altro) {
				m.add(ConstantsLanguage.RICHIESTO.stampa() + " " + ConstantsLanguage.ALTRO.stampa());
			}
			if(r_email) {
				m.add(ConstantsLanguage.RICHIESTO.stampa() + " " + ConstantsLanguage.EMAIL.stampa());
			}
			if(r_link) {
				m.add(ConstantsLanguage.RICHIESTO.stampa() + " " + ConstantsLanguage.LINK.stampa());
			}
			if(r_codice) {
				m.add(ConstantsLanguage.RICHIESTO.stampa() + " " + ConstantsLanguage.CODICEA.stampa());
			}
			if(r_partita) {
				m.add(ConstantsLanguage.RICHIESTO.stampa() + " " + ConstantsLanguage.PARTITAA.stampa());
			}
		}
		
		if(!importa) {
			ti.addEsclusa(anagrafica, false, m);
		} else {
			if(!(a_con && a_opp && a_fis && a_mob && a_fax && a_alt && a_ema && a_lnk && a_cod && a_iva)) {
				List<String> motivi = new ArrayList<String>();
				if(!a_con) {
					motivi.add(ConstantsLanguage.NON_CONSENTITO.stampa());
				}
				if(!a_opp) {
					motivi.add(ConstantsLanguage.OPPOSIZIONE.stampa());
				}
				if(!a_fis) {
					motivi.add(ConstantsLanguage.DUPLICATO.stampa() + " " + ConstantsLanguage.FISSO.stampa());
				}
				if(!a_mob) {
					motivi.add(ConstantsLanguage.DUPLICATO.stampa() + " " + ConstantsLanguage.MOBILE.stampa());
				}
				if(!a_fax) {
					motivi.add(ConstantsLanguage.DUPLICATO.stampa() + " " + ConstantsLanguage.FAX.stampa());
				}
				if(!a_alt) {
					motivi.add(ConstantsLanguage.DUPLICATO.stampa() + " " + ConstantsLanguage.ALTRO.stampa());
				}
				if(!a_ema) {
					motivi.add(ConstantsLanguage.DUPLICATO.stampa() + " " + ConstantsLanguage.EMAIL.stampa());
				}
				if(!a_lnk) {
					motivi.add(ConstantsLanguage.DUPLICATO.stampa() + " " + ConstantsLanguage.LINK.stampa());
				}
				if(!a_cod) {
					motivi.add(ConstantsLanguage.DUPLICATO.stampa() + " " + ConstantsLanguage.CODICEA.stampa());
				}
				if(!a_iva) {
					motivi.add(ConstantsLanguage.DUPLICATO.stampa() + " " + ConstantsLanguage.PARTITAA.stampa());
				}
				ti.addEsclusa(anagrafica, true, motivi);
			}
		}

		return importa;
	}


	private static void aggiustaProvincia(Indirizzo indirizzo, Map<String, String> comuni) {
		String comune = upperCaseEmpty(indirizzo.getComune());
		String provincia = upperCaseEmpty(indirizzo.getProvincia());
		if(isNotBlank(comune) && notEmpty(comuni)) {
			String a = upperCaseEmpty(comuni.get(comune));
			boolean b = isBlank(provincia) || !comuni.containsValue(provincia) || !provincia.equals(a);
			if(b) {
				if(isNotBlank(a)) {
					indirizzo.setProvincia(a);
				} else {
					indirizzo.setProvincia(provincia);
				}
			}
		}
	}

	private static void aggiustaRegione(Indirizzo indirizzo, Map<String, String> province) {
		String provincia = upperCaseEmpty(indirizzo.getProvincia());
		String regione = upperCaseEmpty(indirizzo.getRegione());
		if(isNotBlank(provincia) && notEmpty(province)) {
			String a = upperCaseEmpty(province.get(provincia));
			boolean b = isBlank(regione) || !province.containsValue(regione) || !regione.equals(a);
			if(b) {
				if(isNotBlank(a)) {
					indirizzo.setRegione(a);
				} else {
					indirizzo.setRegione(regione);
				}
			}
		}
	}


	private static void aggiusta_fisso(List<String> nc, TemplateImportAnagrafica ti, Anagrafica anagrafica, ImportModelAnagrafica im) {
		String primo_fisso = "";
		String chiave = ConstantsLanguage.TELEFONO_FISSO.stampa();
		List <String> colonne_fisso = new ArrayList<String>();
		if (ti!=null){
			if(isNotEmpty(ti.getQuote_fisso())) {
				colonne_fisso.addAll(token(anagrafica.getTelefono_fisso(), ti.getQuote_fisso()));
				if(notEmpty(colonne_fisso)) {
					primo_fisso = trimToEmpty(colonne_fisso.get(0));
				}
			} else {
				primo_fisso = trimToEmpty(anagrafica.getTelefono_fisso());
			}
		} else {
			primo_fisso = trimToEmpty(anagrafica.getTelefono_fisso());
		}
		String prefisso_fisso = clearNumero(trimToEmpty(anagrafica.getPrefisso_fisso()));
		String numero_fisso = prefisso_fisso + clearNumero(primo_fisso);
		if(isNotBlank(numero_fisso)) {
			if (ti!=null) {
				numero_fisso = compila(numero_fisso, ti.getAppend_fisso());
				numero_fisso = uniforma(numero_fisso, ti.getRem_fisso(), ti.getAdd_fisso());
			} 	
			if(im.getRegulare_fisso()) {
				Pattern p = Pattern.compile(im.getValidatore_fisso());
				Matcher m = p.matcher(numero_fisso);
				boolean b = m.matches();	 
				if(b) {
					anagrafica.setTelefono_fisso(numero_fisso);
				} else {
					anagrafica.setTelefono_fisso(null);
				}
			} else {
				anagrafica.setTelefono_fisso(numero_fisso);
			}
		} else {
			anagrafica.setTelefono_fisso(null);
		}
		if(notEmpty(colonne_fisso)) {
			List<String> u = new ArrayList<String>();
			for(int i = 1; i < colonne_fisso.size(); i++) {
				String c_fisso = trimToEmpty(colonne_fisso.get(i));
				String a_fisso = prefisso_fisso + clearNumero(c_fisso);
				if(!u.contains(a_fisso)) {
					u.add(a_fisso);
					String c = chiave + i;
					CampoAggiuntivoAnagrafica ca = nuovoCampo(c, true);
					DatoAggiuntivoAnagrafica da = new DatoAggiuntivoAnagrafica();
					da.setCampo_aggiuntivo(ca);
					int j = i;
					while(anagrafica.getDato().keySet().contains(c)) {
						c = chiave + (++j); 
					}
					if(isNotBlank(a_fisso)) {
						if (ti!=null) {
							a_fisso = compila(a_fisso, ti.getAppend_fisso());
							a_fisso = uniforma(a_fisso, ti.getRem_fisso(), ti.getAdd_fisso());
						} 	
						if(im.getRegulare_fisso()) {
							Pattern p = Pattern.compile(im.getValidatore_fisso());
							Matcher m = p.matcher(a_fisso);
							boolean b = m.matches();	 
							if(b) {
								da.setValore(a_fisso);
								if(nc !=null && !nc.contains(c)) {
									nc.add(c);
								}
								anagrafica.addDato(c, da);
								if(ti != null) {
									ti.addCampo(c, ca);
								}
							} 
						} else {
							da.setValore(a_fisso);
							if(nc !=null && !nc.contains(c)) {
								nc.add(c);
							}
							anagrafica.addDato(c, da);
							if(ti != null) {
								ti.addCampo(c, ca);
							}
						}
					} 
				} 
			}
		}
	}


	private static void aggiusta_mobile(List<String> nc, TemplateImportAnagrafica ti, Anagrafica anagrafica, ImportModelAnagrafica im) {
		String primo_mobile = "";
		String chiave = ConstantsLanguage.TELEFONO_MOBILE.stampa();
		List <String> colonne_mobile = new ArrayList<String>();
		if (ti!=null){
			if(isNotEmpty(ti.getQuote_mobile())) {
				colonne_mobile.addAll(token(anagrafica.getTelefono_mobile(), ti.getQuote_mobile()));
				if(notEmpty(colonne_mobile)) {
					primo_mobile = trimToEmpty(colonne_mobile.get(0));
				}
			} else {
				primo_mobile = trimToEmpty(anagrafica.getTelefono_mobile());
			}
		} else {
			primo_mobile = trimToEmpty(anagrafica.getTelefono_mobile());
		}
		String prefisso_mobile = clearNumero(trimToEmpty(anagrafica.getPrefisso_mobile()));
		String numero_mobile = prefisso_mobile + clearNumero(primo_mobile);
		if(isNotBlank(numero_mobile)) {
			if (ti!=null) {
				numero_mobile = compila(numero_mobile, ti.getAppend_mobile());
				numero_mobile = uniforma(numero_mobile, ti.getRem_mobile(), ti.getAdd_mobile());
			} 	
			if(im.getRegulare_mobile()) {
				Pattern p = Pattern.compile(im.getValidatore_mobile());
				Matcher m = p.matcher(numero_mobile);
				boolean b = m.matches();	 
				if(b) {
					anagrafica.setTelefono_mobile(numero_mobile);
				} else {
					anagrafica.setTelefono_mobile(null);
				}
			} else {
				anagrafica.setTelefono_mobile(numero_mobile);
			}
		} else {
			anagrafica.setTelefono_mobile(null);
		}
		if(notEmpty(colonne_mobile)) {
			List<String> u = new ArrayList<String>();
			for(int i = 1; i < colonne_mobile.size(); i++) {
				String c_mobile = trimToEmpty(colonne_mobile.get(i));
				String a_mobile = prefisso_mobile + clearNumero(c_mobile);
				if(!u.contains(a_mobile)) {
					u.add(a_mobile);
					String c = chiave + i;
					CampoAggiuntivoAnagrafica ca = nuovoCampo(c, true);
					DatoAggiuntivoAnagrafica da = new DatoAggiuntivoAnagrafica();
					da.setCampo_aggiuntivo(ca);
					int j = i;
					while(anagrafica.getDato().keySet().contains(c)) {
						c = chiave + (++j); 
					}
					if(isNotBlank(a_mobile)) {
						if (ti!=null) {
							a_mobile = compila(a_mobile, ti.getAppend_mobile());
							a_mobile = uniforma(a_mobile, ti.getRem_mobile(), ti.getAdd_mobile());
						} 	
						if(im.getRegulare_mobile()) {
							Pattern p = Pattern.compile(im.getValidatore_mobile());
							Matcher m = p.matcher(a_mobile);
							boolean b = m.matches();	 
							if(b) {
								da.setValore(a_mobile);
								if(nc !=null && !nc.contains(c)) {
									nc.add(c);
								}
								anagrafica.addDato(c, da);
								if(ti != null) {
									ti.addCampo(c, ca);
								}
							} 
						} else {
							da.setValore(a_mobile);
							if(nc !=null && !nc.contains(c)) {
								nc.add(c);
							}
							anagrafica.addDato(c, da);
							if(ti != null) {
								ti.addCampo(c, ca);
							}
						}
					} 
				} 
			}
		}
	}


	private static void aggiusta_fax(List<String> nc, TemplateImportAnagrafica ti, Anagrafica anagrafica, ImportModelAnagrafica im) {
		String primo_fax = "";
		String chiave = ConstantsLanguage.TELEFONO_FAX.stampa();
		List <String> colonne_fax = new ArrayList<String>();
		if (ti!=null){
			if(isNotEmpty(ti.getQuote_fax())) {
				colonne_fax.addAll(token(anagrafica.getTelefono_fax(), ti.getQuote_fax()));
				if(notEmpty(colonne_fax)) {
					primo_fax = trimToEmpty(colonne_fax.get(0));
				}
			} else {
				primo_fax = trimToEmpty(anagrafica.getTelefono_fax());
			}
		} else {
			primo_fax = trimToEmpty(anagrafica.getTelefono_fax());
		}
		String prefisso_fax = clearNumero(trimToEmpty(anagrafica.getPrefisso_fax()));
		String numero_fax = prefisso_fax + clearNumero(primo_fax);
		if(isNotBlank(numero_fax)) {
			if (ti!=null) {
				numero_fax = compila(numero_fax, ti.getAppend_fax());
				numero_fax = uniforma(numero_fax, ti.getRem_fax(), ti.getAdd_fax());
			} 	
			if(im.getRegulare_fax()) {
				Pattern p = Pattern.compile(im.getValidatore_fax());
				Matcher m = p.matcher(numero_fax);
				boolean b = m.matches();	 
				if(b) {
					anagrafica.setTelefono_fax(numero_fax);
				} else {
					anagrafica.setTelefono_fax(null);
				}
			} else {
				anagrafica.setTelefono_fax(numero_fax);
			}
		} else {
			anagrafica.setTelefono_fax(null);
		}
		if(notEmpty(colonne_fax)) {
			List<String> u = new ArrayList<String>();
			for(int i = 1; i < colonne_fax.size(); i++) {
				String c_fax = trimToEmpty(colonne_fax.get(i));
				String a_fax = prefisso_fax + clearNumero(c_fax);
				if(!u.contains(a_fax)) {
					u.add(a_fax);
					String c = chiave + i;
					CampoAggiuntivoAnagrafica ca = nuovoCampo(c, true);
					DatoAggiuntivoAnagrafica da = new DatoAggiuntivoAnagrafica();
					da.setCampo_aggiuntivo(ca);
					int j = i;
					while(anagrafica.getDato().keySet().contains(c)) {
						c = chiave + (++j); 
					}
					if(isNotBlank(a_fax)) {
						if (ti!=null) {
							a_fax = compila(a_fax, ti.getAppend_fax());
							a_fax = uniforma(a_fax, ti.getRem_fax(), ti.getAdd_fax());
						} 	
						if(im.getRegulare_fax()) {
							Pattern p = Pattern.compile(im.getValidatore_fax());
							Matcher m = p.matcher(a_fax);
							boolean b = m.matches();	 
							if(b) {
								da.setValore(a_fax);
								if(nc !=null && !nc.contains(c)) {
									nc.add(c);
								}
								anagrafica.addDato(c, da);
								if(ti != null) {
									ti.addCampo(c, ca);
								}
							} 
						} else {
							da.setValore(a_fax);
							if(nc !=null && !nc.contains(c)) {
								nc.add(c);
							}
							anagrafica.addDato(c, da);
							if(ti != null) {
								ti.addCampo(c, ca);
							}
						}
					} 
				} 
			}
		}
	}

	private static void aggiusta_altro(List<String> nc, TemplateImportAnagrafica ti, Anagrafica anagrafica, ImportModelAnagrafica im) {
		String primo_altro = "";
		String chiave = ConstantsLanguage.TELEFONO_ALTRO.stampa();
		List <String> colonne_altro = new ArrayList<String>();
		if (ti!=null){
			if(isNotEmpty(ti.getQuote_altro())) {
				colonne_altro.addAll(token(anagrafica.getTelefono_altro(), ti.getQuote_altro()));
				if(notEmpty(colonne_altro)) {
					primo_altro = trimToEmpty(colonne_altro.get(0));
				}
			} else {
				primo_altro = trimToEmpty(anagrafica.getTelefono_altro());
			}
		} else {
			primo_altro = trimToEmpty(anagrafica.getTelefono_altro());
		}
		String prefisso_altro = clearNumero(trimToEmpty(anagrafica.getPrefisso_altro()));
		String numero_altro = prefisso_altro + clearNumero(primo_altro);
		if(isNotBlank(numero_altro)) {
			if (ti!=null) {
				numero_altro = compila(numero_altro, ti.getAppend_altro());
				numero_altro = uniforma(numero_altro, ti.getRem_altro(), ti.getAdd_altro());
			} 	
			if(im.getRegulare_altro()) {
				Pattern p = Pattern.compile(im.getValidatore_altro());
				Matcher m = p.matcher(numero_altro);
				boolean b = m.matches();	 
				if(b) {
					anagrafica.setTelefono_altro(numero_altro);
				} else {
					anagrafica.setTelefono_altro(null);
				}
			} else {
				anagrafica.setTelefono_altro(numero_altro);
			}
		} else {
			anagrafica.setTelefono_altro(null);
		}
		if(notEmpty(colonne_altro)) {
			List<String> u = new ArrayList<String>();
			for(int i = 1; i < colonne_altro.size(); i++) {
				String c_altro = trimToEmpty(colonne_altro.get(i));
				String a_altro = prefisso_altro + clearNumero(c_altro);
				if(!u.contains(a_altro)) {
					u.add(a_altro);
					String c = chiave + i;
					CampoAggiuntivoAnagrafica ca = nuovoCampo(c, true);
					DatoAggiuntivoAnagrafica da = new DatoAggiuntivoAnagrafica();
					da.setCampo_aggiuntivo(ca);
					int j = i;
					while(anagrafica.getDato().keySet().contains(c)) {
						c = chiave + (++j); 
					}
					if(isNotBlank(a_altro)) {
						if (ti!=null) {
							a_altro = compila(a_altro, ti.getAppend_altro());
							a_altro = uniforma(a_altro, ti.getRem_altro(), ti.getAdd_altro());
						} 	
						if(im.getRegulare_altro()) {
							Pattern p = Pattern.compile(im.getValidatore_altro());
							Matcher m = p.matcher(a_altro);
							boolean b = m.matches();	 
							if(b) {
								da.setValore(a_altro);
								if(nc !=null && !nc.contains(c)) {
									nc.add(c);
								}
								anagrafica.addDato(c, da);
								if(ti != null) {
									ti.addCampo(c, ca);
								}
							} 
						} else {
							da.setValore(a_altro);
							if(nc !=null && !nc.contains(c)) {
								nc.add(c);
							}
							anagrafica.addDato(c, da);
							if(ti != null) {
								ti.addCampo(c, ca);
							}
						}
					} 
				} 
			}
		}
	}


	private static void aggiusta_email(List<String> nc, TemplateImportAnagrafica ti, Anagrafica anagrafica, ImportModelAnagrafica im) {
		String primo_email = "";
		String chiave = ConstantsLanguage.EMAIL.stampa();
		List <String> colonne_email = new ArrayList<String>();
		if (ti!=null){
			if(isNotEmpty(ti.getQuote_email())) {
				colonne_email.addAll(token(anagrafica.getEmail(), ti.getQuote_email()));
				if(notEmpty(colonne_email)) {
					primo_email = trimToEmpty(colonne_email.get(0));
				}
			} else {
				primo_email = trimToEmpty(anagrafica.getEmail());
			}
		} else {
			primo_email = trimToEmpty(anagrafica.getEmail());
		}
		String numero_email = primo_email;
		if(isNotBlank(numero_email)) {
			if (ti!=null) {
				numero_email = compila(numero_email, ti.getAppend_email());
			} 	
			if(im.getRegulare_email()) {
				Pattern p = Pattern.compile(im.getValidatore_email());
				Matcher m = p.matcher(numero_email);
				boolean b = m.matches();	 
				if(b) {
					anagrafica.setEmail(numero_email);
				} else {
					anagrafica.setEmail(null);
				}
			} else {
				anagrafica.setEmail(numero_email);
			}
		} else {
			anagrafica.setEmail(null);
		}
		if(notEmpty(colonne_email)) {
			List<String> u = new ArrayList<String>();
			for(int i = 1; i < colonne_email.size(); i++) {
				String c_email = trimToEmpty(colonne_email.get(i));
				String a_email = c_email;
				if(!u.contains(a_email)) {
					u.add(a_email);
					String c = chiave + i;
					CampoAggiuntivoAnagrafica ca = nuovoCampo(c, false);
					DatoAggiuntivoAnagrafica da = new DatoAggiuntivoAnagrafica();
					da.setCampo_aggiuntivo(ca);
					int j = i;
					while(anagrafica.getDato().keySet().contains(c)) {
						c = chiave + (++j); 
					}
					if(isNotBlank(a_email)) {
						if (ti!=null) {
							a_email = compila(a_email, ti.getAppend_email());
						} 	
						if(im.getRegulare_email()) {
							Pattern p = Pattern.compile(im.getValidatore_email());
							Matcher m = p.matcher(a_email);
							boolean b = m.matches();	 
							if(b) {
								da.setValore(a_email);
								if(nc !=null && !nc.contains(c)) {
									nc.add(c);
								}
								anagrafica.addDato(c, da);
								if(ti != null) {
									ti.addCampo(c, ca);
								}
							} 
						} else {
							da.setValore(a_email);
							if(nc !=null && !nc.contains(c)) {
								nc.add(c);
							}
							anagrafica.addDato(c, da);
							if(ti != null) {
								ti.addCampo(c, ca);
							}
						}
					} 
				} 
			}
		}
	}

	private static void aggiusta_link(List<String> nc, TemplateImportAnagrafica ti, Anagrafica anagrafica, ImportModelAnagrafica im) {
		String primo_link = "";
		String chiave = ConstantsLanguage.LINK.stampa();
		List <String> colonne_link = new ArrayList<String>();
		if (ti!=null){
			if(isNotEmpty(ti.getQuote_link())) {
				colonne_link.addAll(token(anagrafica.getLink(), ti.getQuote_link()));
				if(notEmpty(colonne_link)) {
					primo_link = trimToEmpty(colonne_link.get(0));
				}
			} else {
				primo_link = trimToEmpty(anagrafica.getLink());
			}
		} else {
			primo_link = trimToEmpty(anagrafica.getLink());
		}
		String numero_link = primo_link;
		if(isNotBlank(numero_link)) {
			if (ti!=null) {
				numero_link = compila(numero_link, ti.getAppend_link());
			} 	
			if(im.getRegulare_link()) {
				Pattern p = Pattern.compile(im.getValidatore_link());
				Matcher m = p.matcher(numero_link);
				boolean b = m.matches();	 
				if(b) {
					anagrafica.setLink(numero_link);
				} else {
					anagrafica.setLink(null);
				}
			} else {
				anagrafica.setLink(numero_link);
			}
		} else {
			anagrafica.setLink(null);
		}
		if(notEmpty(colonne_link)) {
			List<String> u = new ArrayList<String>();
			for(int i = 1; i < colonne_link.size(); i++) {
				String c_link = trimToEmpty(colonne_link.get(i));
				String a_link = c_link;
				if(!u.contains(a_link)) {
					u.add(a_link);
					String c = chiave + i;
					CampoAggiuntivoAnagrafica ca = nuovoCampo(c, false);
					DatoAggiuntivoAnagrafica da = new DatoAggiuntivoAnagrafica();
					da.setCampo_aggiuntivo(ca);
					int j = i;
					while(anagrafica.getDato().keySet().contains(c)) {
						c = chiave + (++j); 
					}
					if(isNotBlank(a_link)) {
						if (ti!=null) {
							a_link = compila(a_link, ti.getAppend_link());
						} 	
						if(im.getRegulare_link()) {
							Pattern p = Pattern.compile(im.getValidatore_link());
							Matcher m = p.matcher(a_link);
							boolean b = m.matches();	 
							if(b) {
								da.setValore(a_link);
								if(nc !=null && !nc.contains(c)) {
									nc.add(c);
								}
								anagrafica.addDato(c, da);
								if(ti != null) {
									ti.addCampo(c, ca);
								}
							} 
						} else {
							da.setValore(a_link);
							if(nc !=null && !nc.contains(c)) {
								nc.add(c);
							}
							anagrafica.addDato(c, da);
							if(ti != null) {
								ti.addCampo(c, ca);
							}
						}
					} 
				} 
			}
		}
	}

	private static void aggiusta_partita(List<String> nc, TemplateImportAnagrafica ti, Anagrafica anagrafica, ImportModelAnagrafica im) {
		String primo_partita = "";
		String chiave = ConstantsLanguage.PARTITA_IVA.stampa();
		List <String> colonne_partita = new ArrayList<String>();
		if (ti!=null){
			if(isNotEmpty(ti.getQuote_partita())) {
				colonne_partita.addAll(token(anagrafica.getPartita_iva(), ti.getQuote_partita()));
				if(notEmpty(colonne_partita)) {
					primo_partita = trimToEmpty(colonne_partita.get(0));
				}
			} else {
				primo_partita = trimToEmpty(anagrafica.getPartita_iva());
			}
		} else {
			primo_partita = trimToEmpty(anagrafica.getPartita_iva());
		}
		String numero_partita = primo_partita;
		if(isNotBlank(numero_partita)) {
			if (ti!=null) {
				numero_partita = compila(numero_partita, ti.getAppend_partita());
			} 	
			if(im.getRegulare_partita()) {
				Pattern p = Pattern.compile(im.getValidatore_partita());
				Matcher m = p.matcher(numero_partita);
				boolean b = m.matches();	 
				if(b) {
					anagrafica.setPartita_iva(numero_partita);
				} else {
					anagrafica.setPartita_iva(null);
				}
			} else {
				anagrafica.setPartita_iva(numero_partita);
			}
		} else {
			anagrafica.setPartita_iva(null);
		}
		if(notEmpty(colonne_partita)) {
			List<String> u = new ArrayList<String>();
			for(int i = 1; i < colonne_partita.size(); i++) {
				String c_partita = trimToEmpty(colonne_partita.get(i));
				String a_partita = c_partita;
				if(!u.contains(a_partita)) {
					u.add(a_partita);
					String c = chiave + i;
					CampoAggiuntivoAnagrafica ca = nuovoCampo(c, false);
					DatoAggiuntivoAnagrafica da = new DatoAggiuntivoAnagrafica();
					da.setCampo_aggiuntivo(ca);
					int j = i;
					while(anagrafica.getDato().keySet().contains(c)) {
						c = chiave + (++j); 
					}
					if(isNotBlank(a_partita)) {
						if (ti!=null) {
							a_partita = compila(a_partita, ti.getAppend_partita());
						} 	
						if(im.getRegulare_partita()) {
							Pattern p = Pattern.compile(im.getValidatore_partita());
							Matcher m = p.matcher(a_partita);
							boolean b = m.matches();	 
							if(b) {
								da.setValore(a_partita);
								if(nc !=null && !nc.contains(c)) {
									nc.add(c);
								}
								anagrafica.addDato(c, da);
								if(ti != null) {
									ti.addCampo(c, ca);
								}
							} 
						} else {
							da.setValore(a_partita);
							if(nc !=null && !nc.contains(c)) {
								nc.add(c);
							}
							anagrafica.addDato(c, da);
							if(ti != null) {
								ti.addCampo(c, ca);
							}
						}
					} 
				} 
			}
		}
	}


	private static void aggiusta_codice(List<String> nc, TemplateImportAnagrafica ti, Anagrafica anagrafica, ImportModelAnagrafica im) {
		String primo_codice = "";
		String chiave = ConstantsLanguage.CODICE_FISCALE.stampa();
		List <String> colonne_codice = new ArrayList<String>();
		if (ti!=null){
			if(isNotEmpty(ti.getQuote_codice())) {
				colonne_codice.addAll(token(anagrafica.getCodice_fiscale(), ti.getQuote_codice()));
				if(notEmpty(colonne_codice)) {
					primo_codice = trimToEmpty(colonne_codice.get(0));
				}
			} else {
				primo_codice = trimToEmpty(anagrafica.getCodice_fiscale());
			}
		} else {
			primo_codice = trimToEmpty(anagrafica.getCodice_fiscale());
		}
		String numero_codice = primo_codice;
		if(isNotBlank(numero_codice)) {
			if (ti!=null) {
				numero_codice = compila(numero_codice, ti.getAppend_codice());
			} 	
			if(im.getRegulare_codice()) {
				Pattern p = Pattern.compile(im.getValidatore_codice());
				Matcher m = p.matcher(numero_codice);
				boolean b = m.matches();	 
				if(b) {
					anagrafica.setCodice_fiscale(numero_codice);
				} else {
					anagrafica.setCodice_fiscale(null);
				}
			} else {
				anagrafica.setCodice_fiscale(numero_codice);
			}
		} else {
			anagrafica.setCodice_fiscale(null);
		}
		if(notEmpty(colonne_codice)) {
			List<String> u = new ArrayList<String>();
			for(int i = 1; i < colonne_codice.size(); i++) {
				String c_codice = trimToEmpty(colonne_codice.get(i));
				String a_codice = c_codice;
				if(!u.contains(a_codice)) {
					u.add(a_codice);
					String c = chiave + i;
					CampoAggiuntivoAnagrafica ca = nuovoCampo(c, false);
					DatoAggiuntivoAnagrafica da = new DatoAggiuntivoAnagrafica();
					da.setCampo_aggiuntivo(ca);
					int j = i;
					while(anagrafica.getDato().keySet().contains(c)) {
						c = chiave + (++j); 
					}
					if(isNotBlank(a_codice)) {
						if (ti!=null) {
							a_codice = compila(a_codice, ti.getAppend_codice());
						} 	
						if(im.getRegulare_codice()) {
							Pattern p = Pattern.compile(im.getValidatore_codice());
							Matcher m = p.matcher(a_codice);
							boolean b = m.matches();	 
							if(b) {
								da.setValore(a_codice);
								if(nc !=null && !nc.contains(c)) {
									nc.add(c);
								}
								anagrafica.addDato(c, da);
								if(ti != null) {
									ti.addCampo(c, ca);
								}
							} 
						} else {
							da.setValore(a_codice);
							if(nc !=null && !nc.contains(c)) {
								nc.add(c);
							}
							anagrafica.addDato(c, da);
							if(ti != null) {
								ti.addCampo(c, ca);
							}
						}
					} 
				} 
			}
		}
	}


	private static void aggiustaCap(Indirizzo indirizzo) {
		String cap = trimToEmpty(indirizzo.getCap());
		if(isNotBlank(cap)) {
			Pattern p = Pattern.compile(ConstantsGlobal.validatore_cap);
			Matcher m = p.matcher(cap);
			boolean b = m.matches();	 
			if(b) {
				indirizzo.setCap(cap);
			} else {
				indirizzo.setCap(null);
			}

		} else {
			indirizzo.setCap(null);
		}
	}


	private static void aggiustaCoordinata(Indirizzo indirizzo) {
		String latitudine = trimToEmpty(indirizzo.getLatitudine());
		if(isNotBlank(latitudine)) {
			Pattern p = Pattern.compile(ConstantsGlobal.validatore_coordinata);
			Matcher m = p.matcher(latitudine);
			boolean b = m.matches();	 
			if(b) {
				indirizzo.setLatitudine(latitudine);
			} else {
				indirizzo.setLatitudine(null);
			}

		} else {
			indirizzo.setLatitudine(null);
		}

		String longitudine = trimToEmpty(indirizzo.getLongitudine());
		if(isNotBlank(longitudine)) {
			Pattern p = Pattern.compile(ConstantsGlobal.validatore_coordinata);
			Matcher m = p.matcher(longitudine);
			boolean b = m.matches();	 
			if(b) {
				indirizzo.setLongitudine(longitudine);
			} else {
				indirizzo.setLongitudine(null);
			}

		} else {
			indirizzo.setLongitudine(null);
		}
	}

	public static Anagrafica aggiustaNumeri(Integer oC, String invertiConsentito, TemplateImportAnagrafica ti, Anagrafica anagrafica, ImportModelAnagrafica im, List<String> opposizioni, List<String> duplicati_fisso, List<String> duplicati_mobile, List<String> duplicati_fax, List<String> duplicati_altro, List<String> duplicati_email, List<String> duplicati_link, List<String> duplicati_codice, List<String> duplicati_partita, Map<String, String> province, Map<String, String> comuni, List<String> s, ImportModelConsentite cc, List<String> nc) {

		aggiustaProvincia(anagrafica.getIndirizzo_legale(), comuni);
		aggiustaProvincia(anagrafica.getIndirizzo_operativo(), comuni);
		aggiustaRegione(anagrafica.getIndirizzo_legale(), province);
		aggiustaRegione(anagrafica.getIndirizzo_operativo(), province);
		aggiustaCap(anagrafica.getIndirizzo_legale());
		aggiustaCap(anagrafica.getIndirizzo_operativo());
		aggiustaCoordinata(anagrafica.getIndirizzo_legale());
		aggiustaCoordinata(anagrafica.getIndirizzo_operativo());

		aggiusta_fisso(nc, ti, anagrafica, im);
		aggiusta_mobile(nc, ti, anagrafica, im);
		aggiusta_fax(nc, ti, anagrafica, im);
		aggiusta_altro(nc, ti, anagrafica, im);
		aggiusta_email(nc, ti, anagrafica, im);
		aggiusta_link(nc, ti, anagrafica, im);
		aggiusta_codice(nc, ti, anagrafica, im);
		aggiusta_partita(nc, ti, anagrafica, im);

		List<String> consentiti = cc != null ? cc.getConsentite() : null;

		if(im.getConsentito()) {
			String telfis = trimToNull(anagrafica.getTelefono_fisso());
			String telmob = trimToNull(anagrafica.getTelefono_mobile());
			String telfax = trimToNull(anagrafica.getTelefono_fax());
			String telalt = trimToNull(anagrafica.getTelefono_altro());
			String telema = trimToNull(anagrafica.getEmail());
			String teleml = trimToNull(anagrafica.getLink());
			String telemc = trimToNull(anagrafica.getCodice_fiscale());
			String telemp = trimToNull(anagrafica.getPartita_iva());

			if(notEmpty(consentiti)) {
				if(equals(invertiConsentito, ConstantsMap.includi)) {
					boolean bfis = telfis != null && !consentiti.contains(telfis);
					boolean bmob = telmob != null && !consentiti.contains(telmob);
					boolean bfax = telfax != null && !consentiti.contains(telfax);
					boolean balt = telalt != null && !consentiti.contains(telalt);
					boolean bema = telema != null && !consentiti.contains(telema);
					boolean beml = teleml != null && !consentiti.contains(teleml);
					boolean bemc = telemc != null && !consentiti.contains(telemc);
					boolean bemp = telemp != null && !consentiti.contains(telemp);
					if(bfis || bmob || bfax || balt || bema || beml || bemc || bemp) {
						anagrafica.setConsentito(Boolean.FALSE);
					} else {
						anagrafica.setConsentito(Boolean.TRUE);
					}
				}
				if(equals(invertiConsentito, ConstantsMap.escludi)) {
					boolean bfis = telfis != null && consentiti.contains(telfis);
					boolean bmob = telmob != null && consentiti.contains(telmob);
					boolean bfax = telfax != null && consentiti.contains(telfax);
					boolean balt = telalt != null && consentiti.contains(telalt);
					boolean bema = telema != null && consentiti.contains(telema);
					boolean beml = teleml != null && consentiti.contains(teleml);
					boolean bemc = telemc != null && consentiti.contains(telemc);
					boolean bemp = telemp != null && consentiti.contains(telemp);
					if(bfis || bmob || bfax || balt || bema || beml || bemc || bemp) {
						anagrafica.setConsentito(Boolean.FALSE);
					} else {
						anagrafica.setConsentito(Boolean.TRUE);
					}
				}
			}
		}
		if(notEmpty(opposizioni)) {
			if(eq(oC, 1)) {
				String tfis = trimToNull(anagrafica.getTelefono_fisso());
				String tfax = trimToNull(anagrafica.getTelefono_fax());
				String tmob = trimToNull(anagrafica.getTelefono_mobile());
				String talt = trimToNull(anagrafica.getTelefono_altro());
				String tema = trimToNull(anagrafica.getEmail());
				String teml = trimToNull(anagrafica.getLink());
				String temc = trimToNull(anagrafica.getCodice_fiscale());
				String temp = trimToNull(anagrafica.getPartita_iva());
				boolean tfbfis = tfis != null && opposizioni.contains(tfis);
				boolean tfbfax = tfax != null && opposizioni.contains(tfax);
				boolean tfbmob = tmob != null && opposizioni.contains(tmob);
				boolean tfbalt = talt != null && opposizioni.contains(talt);
				boolean tfema = tema != null && opposizioni.contains(tema);
				boolean tfeml = teml != null && opposizioni.contains(teml);
				boolean tfemc = temc != null && opposizioni.contains(temc);
				boolean tfemp = temp != null && opposizioni.contains(temp);
				if(tfbfis || tfbfax || tfbmob || tfbalt || tfema || tfeml || tfemc || tfemp) {
					anagrafica.setOpposizione(Boolean.TRUE);
				}
			}
			if(eq(oC, 2)) {
				String tfis = trimToNull(anagrafica.getTelefono_fisso());
				String tfax = trimToNull(anagrafica.getTelefono_fax());
				String tmob = trimToNull(anagrafica.getTelefono_mobile());
				String talt = trimToNull(anagrafica.getTelefono_altro());
				String tema = trimToNull(anagrafica.getEmail());
				boolean tfbfis = tfis != null && opposizioni.contains(tfis);
				boolean tfbfax = tfax != null && opposizioni.contains(tfax);
				boolean tfbmob = tmob != null && opposizioni.contains(tmob);
				boolean tfbalt = talt != null && opposizioni.contains(talt);
				boolean tfema = tema != null && opposizioni.contains(tema);
				if(tfbfis || tfbfax || tfbmob || tfbalt || tfema) {
					anagrafica.setOpposizione(Boolean.TRUE);
				}
			}
			if(eq(oC, 3)) {
				String tfis = trimToNull(anagrafica.getTelefono_fisso());
				String tfax = trimToNull(anagrafica.getTelefono_fax());
				String tmob = trimToNull(anagrafica.getTelefono_mobile());
				String talt = trimToNull(anagrafica.getTelefono_altro());
				boolean tfbfis = tfis != null && opposizioni.contains(tfis);
				boolean tfbfax = tfax != null && opposizioni.contains(tfax);
				boolean tfbmob = tmob != null && opposizioni.contains(tmob);
				boolean tfbalt = talt != null && opposizioni.contains(talt);
				if(tfbfis || tfbfax || tfbmob || tfbalt) {
					anagrafica.setOpposizione(Boolean.TRUE);
				}
			}
		}
		if(im.getDuplicato_fisso()) {
			String elem = trimToNull(anagrafica.getTelefono_fisso());
			if(elem != null) {
				if(duplicati_fisso.contains(elem)) {
					anagrafica.setDuplicato_fisso(Boolean.TRUE);
				} else {
					duplicati_fisso.add(elem);
				}
			}
		}
		if(im.getDuplicato_mobile()) {
			String elem = trimToNull(anagrafica.getTelefono_mobile());
			if(elem != null) {
				if(duplicati_mobile.contains(elem)) {
					anagrafica.setDuplicato_mobile(Boolean.TRUE);
				} else {
					duplicati_mobile.add(elem);
				}
			}
		}
		if(im.getDuplicato_fax()) {
			String elem = trimToNull(anagrafica.getTelefono_fax());
			if(elem != null) {
				if(duplicati_fax.contains(elem)) {
					anagrafica.setDuplicato_fax(Boolean.TRUE);
				} else {
					duplicati_fax.add(elem);
				}
			}
		}
		if(im.getDuplicato_altro()) {
			String elem = trimToNull(anagrafica.getTelefono_altro());
			if(elem != null) {
				if(duplicati_altro.contains(elem)) {
					anagrafica.setDuplicato_altro(Boolean.TRUE);
				} else {
					duplicati_altro.add(elem);
				}
			}
		}
		if(im.getDuplicato_email()) {
			String elem = trimToNull(anagrafica.getEmail());
			if(elem != null) {
				if(duplicati_email.contains(elem)) {
					anagrafica.setDuplicato_email(Boolean.TRUE);
				} else {
					duplicati_email.add(elem);
				}
			}
		}
		if(im.getDuplicato_link()) {
			String elem = trimToNull(anagrafica.getLink());
			if(elem != null) {
				if(duplicati_link.contains(elem)) {
					anagrafica.setDuplicato_link(Boolean.TRUE);
				} else {
					duplicati_link.add(elem);
				}
			}
		}
		if(im.getDuplicato_codice()) {
			String elem = trimToNull(anagrafica.getCodice_fiscale());
			if(elem != null) {
				if(duplicati_codice.contains(elem)) {
					anagrafica.setDuplicato_codice(Boolean.TRUE);
				} else {
					duplicati_codice.add(elem);
				}
			}
		}
		if(im.getDuplicato_partita()) {
			String elem = trimToNull(anagrafica.getPartita_iva());
			if(elem != null) {
				if(duplicati_partita.contains(elem)) {
					anagrafica.setDuplicato_partita(Boolean.TRUE);
				} else {
					duplicati_partita.add(elem);
				}
			}
		}

		return anagrafica;
	}

	public static String pausa(Boolean home, Integer tipologia, Boolean ritorno) {
		if(isTrue(home)) {
			return "fineHome";
		} else {
			if(isTrue(ritorno)) {
				if(equals(tipologia, ConstantsGlobal.ID_SEZIONE_PRIVATE)) {
					return "fineRP";
				} else if(equals(tipologia, ConstantsGlobal.ID_SEZIONE_ARCHIVIATE)) {
					return "fineRA";
				}
			}
			return "finePU";
		}
	}

	public static String style(Integer tipologia) {
		if(equals(tipologia, ConstantsGlobal.ID_SEZIONE_PRIVATE)) {
			return "blue";
		} else if(equals(tipologia, ConstantsGlobal.ID_SEZIONE_ARCHIVIATE)) {
			return "red";
		} else {
			return "green";
		} 
	}
	
	public static UIViewRoot getViewRoot() {
		FacesContext fc = getFacesContext();
		if(fc != null) {
			return fc.getViewRoot();
		}
		return null;
	}

	public static Locale getLocale() {
		Locale locale = null;
		UIViewRoot ui = getViewRoot();
		if(ui != null) {
			locale = ui.getLocale();
		}
		if(locale == null) {
			locale = Locale.getDefault();
		}
		if(isNotBlank(ConstantsGlobal.LANGUAGE) && isNotBlank(ConstantsGlobal.COUNTRY)) {
			if(!equals(locale.getLanguage(), ConstantsGlobal.LANGUAGE) || !equals(locale.getCountry(), ConstantsGlobal.COUNTRY)) {
				locale = new Locale(ConstantsGlobal.LANGUAGE, ConstantsGlobal.COUNTRY);
				Locale.setDefault(locale);
			}
		}
		return locale;
	}

	public static ResourceBundle getResourceBundle() {
		Locale locale = getLocale();
		if(locale != null) {
			return ResourceBundle.getBundle("language.messages", locale);
		} else {
			return ResourceBundle.getBundle("language.messages");
		}
	}

	public static String testo(Integer tipologia) {
		if(equals(tipologia, ConstantsGlobal.ID_SEZIONE_PRIVATE)) {
			return ConstantsLanguage.SEZIONE_PRIVATE.stampa();
		} else if(equals(tipologia, ConstantsGlobal.ID_SEZIONE_ARCHIVIATE)) {
			return ConstantsLanguage.SEZIONE_ARCHIVIATE.stampa();
		} else {
			return ConstantsLanguage.SEZIONE_PUBBLICHE.stampa();
		} 
	}

	public static Integer parseNumber(String num) {
		String numero = trimToNull(num);
		Integer l = null;
		if(numero != null) {
			try {
				l = Integer.parseInt(numero);
			} catch (Exception nfe) {
			}
		}
		return l;
	}
	
	public static String formatNumber(String num) {
		String numero = trimToNull(num);
		if(numero != null) {
			try {
				Integer l = Integer.parseInt(numero);
				DecimalFormat df = getDecimalFormat(ConstantsFormat.number.stampa());
				return df.format(l);
			} catch (Exception nfe) {
			}

		}
		return "";
	}

	public static String formatNumber(Double num) {
		if(num == null) {
			num = Double.valueOf(0);
		}
		DecimalFormat df = getDecimalFormat(ConstantsFormat.currency.stampa());
		return df.format(num);
	}

	public static String formatNumber(Long num) {
		if(num == null) {
			num = Long.valueOf(0);
		}
		DecimalFormat df = getDecimalFormat(ConstantsFormat.number.stampa());
		return df.format(num);
	}

	public static String formatNumber(Integer num) {
		if(num == null) {
			num = Integer.valueOf(0);
		}
		return formatNumber(num.longValue());
	}

	public static String formatNumber(BigDecimal num) {
		if(num == null) {
			num = new BigDecimal(0);
		}
		return formatNumber(num.doubleValue());
	}

	public static String formatDate(String format, Date data) {
		if(data!= null) {
			return getDateFormat(format).format(data);
		} else {
			return "";
		}
	}
	
	public static void formatJson(JSONObject jso, Boolean ami, Boolean agi, List<StatoServer> lst, MySystem ls, Tema t) throws Exception {
		JSONObject map = new JSONObject();
		map.put(ConstantsLanguage.CONTATTI.stampa(), formatNumber(Chiamate.getCodaAutodialer().getSize()));
		map.put(ConstantsLanguage.CHIAMATE.stampa(), formatNumber(CodaStatic.getChiamateInCorso().getSize()));
		map.put(ConstantsLanguage.AMI.stampa(), ami);
		map.put(ConstantsLanguage.AGI.stampa(), agi);

		JSONObject ser = new JSONObject();
		for(StatoServer fw : lst) {
			ser.put(fw.getService(), fw.getOk());
		}

		JSONObject sysT = new JSONObject();
		sysT.put(ConstantsLanguage.CPU.stampa(), ls.getUtilizzo());

		JSONObject sysM = new JSONObject();
		sysM.put(Message.addCatalogText("disponibile"), formatPercentage(ls.getPercentualeD()));
		sysM.put(Message.addCatalogText("libero"), formatPercentage(ls.getPercentualeL()));
		sysM.put(Message.addCatalogText("usato"), formatPercentage(ls.getPercentualeU()));
		sysT.put(ConstantsLanguage.MEMORIA.stampa(), sysM);

		JSONObject sysD = new JSONObject();
		for(MyStorage fw : ls.getStorages()) {
			if(fw.getPath().equals("/")) {
				sysD.put(Message.addCatalogText("disponibile"), formatPercentage(fw.getPercentualeD()));
				sysD.put(Message.addCatalogText("libero"), formatPercentage(fw.getPercentualeL()));
				sysD.put(Message.addCatalogText("usato"), formatPercentage(fw.getPercentualeU()));
			}
		}
		sysT.put(ConstantsLanguage.STORAGE.stampa(), sysD);

		jso.put(ConstantsLanguage.STATO.stampa(), ConstantsMap.TRUE);
		jso.put(ConstantsLanguage.REVISIONE.stampa(), ConstantsGlobal.REVISIONE);
		jso.put(ConstantsLanguage.SCADENZA.stampa(), t != null ? formatDate(ConstantsFormat.calendarDate.stampa(), t.getScadenza()): "");
		jso.put(ConstantsLanguage.TIMEALIVE.stampa(), format(time(ConstantsGlobal.TIMEALIVE, date())));
		jso.put(ConstantsLanguage.OPERATORI.stampa(), formatNumber(Chiamate.getCodaOperatori().getSize()));
		jso.put(ConstantsLanguage.CONTATTI.stampa(), formatNumber(Chiamate.getCodaContatti().getSize()));
		jso.put(ConstantsLanguage.AUTODIALER.stampa(), map);
		jso.put(ConstantsLanguage.SERVIZI.stampa(), ser);
		jso.put(ConstantsLanguage.SISTEMA.stampa(), sysT);
	}
	
	
	public static void formatMap(Map<String, Object> jso, Boolean ami, Boolean agi, List<StatoServer> lst, MySystem ls, Tema t) throws Exception {
		jso.put("contatti", formatNumber(Chiamate.getCodaAutodialer().getSize()));
		jso.put("chiamate", formatNumber(CodaStatic.getChiamateInCorso().getSize()));
		jso.put("ami", ami);
		jso.put("agi", agi);
		
		Map<String, Boolean> ser = new HashMap<String, Boolean>();
		for(StatoServer fw : lst) {
			ser.put(fw.getService(), fw.getOk());
		}

		Map<String, Object> sysT = new HashMap<String, Object>();
		sysT.put(ConstantsLanguage.CPU.stampa(), ls.getUtilizzo());

		Map<String, Object> sysM = new HashMap<String, Object>();
		sysM.put(Message.addCatalogText("disponibile"), formatPercentage(ls.getPercentualeD()));
		sysM.put(Message.addCatalogText("libero"), formatPercentage(ls.getPercentualeL()));
		sysM.put(Message.addCatalogText("usato"), formatPercentage(ls.getPercentualeU()));
		sysT.put(ConstantsLanguage.MEMORIA.stampa(), sysM);

		Map<String, Object> sysD = new HashMap<String, Object>();
		for(MyStorage fw : ls.getStorages()) {
			if(fw.getPath().equals("/")) {
				sysD.put(Message.addCatalogText("disponibile"), formatPercentage(fw.getPercentualeD()));
				sysD.put(Message.addCatalogText("libero"), formatPercentage(fw.getPercentualeL()));
				sysD.put(Message.addCatalogText("usato"), formatPercentage(fw.getPercentualeU()));
			}
		}
		sysT.put(ConstantsLanguage.STORAGE.stampa(), sysD);

		jso.put("revisione", ConstantsGlobal.REVISIONE);
		jso.put("scadenza", t != null ? formatDate(ConstantsFormat.dateTime.stampa(), t.getScadenza()): "");
		jso.put("timealive", format(time(ConstantsGlobal.TIMEALIVE, date())));
		jso.put("operatori", formatNumber(Chiamate.getCodaOperatori().getSize()));
		jso.put("contatti", formatNumber(Chiamate.getCodaContatti().getSize()));
		jso.put("sistema", sysT);
		jso.put("servizi", ser);
	}
	
	public static String formatPercentage(Double num) {
		if(num != null) {
			try {
				DecimalFormat df = getDecimalFormat(ConstantsFormat.currency.stampa());
				return df.format(num.doubleValue() * ConstantsGlobal.percentuale);
			} catch (Exception nfe) {
			}

		}
		return "";
	}

	public static boolean validateData(Date date) {
		if(date != null) {
			Date inizio = inizio();
			Date fine = fine();
			if (date.before(inizio) || date.after(fine)) {
				return false;
			}
		}
		return true;
	}

	public static Date parseData(String format, String data) {
		DateFormat df;
		if (isBlank(data)) {
			return null;
		}
		df = getDateFormat(format);
		try	{
			return df.parse(trimToEmpty(data));
		} catch (ParseException e) {
			return null;
		}
	}


	public static BigDecimal parseBigDecimal(String num) {
		DecimalFormat df;
		if (isBlank(num)) {
			return null;
		}
		df = getDecimalFormat(ConstantsFormat.currency.stampa());
		try	{
			return new BigDecimal(df.parse(trimToEmpty(num)).doubleValue());
		} catch (ParseException e) {
			return null;
		}
	}

	public static Double parseDouble(String num) {
		DecimalFormat df;
		if (isBlank(num)) {
			return null;
		}
		df = getDecimalFormat(ConstantsFormat.currency.stampa());
		try	{
			return df.parse(trimToEmpty(num)).doubleValue();
		} catch (ParseException e) {
			return null;
		}
	}


	public static Integer parseInteger(String num) {
		DecimalFormat df;
		if (isBlank(num)) {
			return null;
		}
		df = getDecimalFormat(ConstantsFormat.number.stampa());
		try	{
			return df.parse(trimToEmpty(num)).intValue();
		} catch (ParseException e) {
			return null;
		}
	}

	public static Long parseLong(String num) {
		DecimalFormat df;
		if (isBlank(num)) {
			return null;
		}
		df = getDecimalFormat(ConstantsFormat.number.stampa());
		try	{
			return df.parse(trimToEmpty(num)).longValue();
		} catch (ParseException e) {
			return null;
		}
	}

	public static void formatString(ExcelStyle s, Cell cell, String num) {
		if(s.isStyle()) {
			ExcelData d = s.getExcelData("A");
			Font font = d.getFont();
			CellStyle style = d.getStyle();
			font.setBold(false);
			style.setFont(font);
			style.setHidden(false);
			style.setAlignment(HorizontalAlignment.LEFT);

			cell.setCellStyle(style);
			//cell.setCellType(CellType.STRING);
		}
		cell.setCellValue(trimToEmpty(num));
	}

	public static void formatText(ExcelStyle s, Cell cell, String num) {
		if(s.isStyle()) {
			ExcelData d = s.getExcelData("B");
			Font font = d.getFont();
			CellStyle style = d.getStyle();

			font.setBold(false);
			style.setFont(font);
			style.setHidden(false);
			style.setWrapText(true);
			style.setAlignment(HorizontalAlignment.LEFT);
			style.setVerticalAlignment(VerticalAlignment.TOP);
			style.setBorderTop(BorderStyle.THIN);
			style.setBorderBottom(BorderStyle.THIN);
			style.setBorderLeft(BorderStyle.THIN);
			style.setBorderRight(BorderStyle.THIN);

			cell.setCellStyle(style);
			//cell.setCellType(CellType.STRING);
		}
		cell.setCellValue(trimToEmpty(num));
	}

	public static void formatNumber(ExcelStyle s, Cell cell, Integer num) {
		if(num == null) {
			num = Integer.valueOf(0);
		}	
		if(s.isStyle()) {
			ExcelData d = s.getExcelData("C");
			Font font = d.getFont();
			CellStyle style = d.getStyle();
			font.setBold(false);
			style.setFont(font);
			style.setHidden(false);
			style.setAlignment(HorizontalAlignment.RIGHT);

			style.setDataFormat(d.getFormat().getFormat(ConstantsFormat.numberX.stampa()));
			cell.setCellStyle(style);
			//cell.setCellType(CellType.NUMERIC);
		}
		cell.setCellValue(num.doubleValue());
	}

	public static void formatNumber(ExcelStyle s, Cell cell, BigDecimal num) {
		if(num == null) {
			num = new BigDecimal(0);
		}
		if(s.isStyle()) {
			ExcelData d = s.getExcelData("D");
			Font font = d.getFont();
			CellStyle style = d.getStyle();

			font.setBold(false);
			style.setFont(font);
			style.setHidden(false);
			style.setAlignment(HorizontalAlignment.RIGHT);
			style.setDataFormat(d.getFormat().getFormat(ConstantsFormat.currencyX.stampa()));
			cell.setCellStyle(style);
			//cell.setCellType(CellType.NUMERIC);
		}
		cell.setCellValue(num.doubleValue());
	}

	public static void formatNumber(ExcelStyle s, Cell cell, Double num) {
		if(num == null) {
			num = Double.valueOf(0);
		}
		if(s.isStyle()) {
			ExcelData d = s.getExcelData("E");
			Font font = d.getFont();
			CellStyle style = d.getStyle();

			font.setBold(false);
			style.setFont(font);
			style.setHidden(false);
			style.setAlignment(HorizontalAlignment.RIGHT);

			style.setDataFormat(d.getFormat().getFormat(ConstantsFormat.currencyX.stampa()));
			cell.setCellStyle(style);
			//cell.setCellType(CellType.NUMERIC);
		}
		cell.setCellValue(num.doubleValue());
	}

	public static void formatNumber(ExcelStyle s, Cell cell, Long num) {
		if(num == null) {
			num = Long.valueOf(0);
		}	
		if(s.isStyle()) {
			ExcelData d = s.getExcelData("F");
			Font font = d.getFont();
			CellStyle style = d.getStyle();

			font.setBold(false);
			style.setFont(font);
			style.setHidden(false);
			style.setAlignment(HorizontalAlignment.RIGHT);

			style.setDataFormat(d.getFormat().getFormat(ConstantsFormat.numberX.stampa()));
			cell.setCellStyle(style);
			//cell.setCellType(CellType.NUMERIC);
		}
		cell.setCellValue(num.doubleValue());
	}

	public static void formatDate(ExcelStyle s, Cell cell, Date data) {
		if(s.isStyle()) {
			ExcelData d = s.getExcelData("G");
			Font font = d.getFont();
			CellStyle style = d.getStyle();
			font.setBold(false);
			style.setFont(font);
			style.setHidden(false);
			style.setAlignment(HorizontalAlignment.RIGHT);

			style.setDataFormat(d.getFormat().getFormat(ConstantsFormat.date.stampa()));
			cell.setCellStyle(style);
			//cell.setCellType(CellType.NUMERIC);
		}
		if(data != null) {
			cell.setCellValue(roundDate(true, data));
		}
	}


	public static void formatDateTime(ExcelStyle s, Cell cell, Date data) {
		if(s.isStyle()) {
			ExcelData d = s.getExcelData("H");
			Font font = d.getFont();
			CellStyle style = d.getStyle();

			font.setBold(false);
			style.setFont(font);
			style.setHidden(false);
			style.setAlignment(HorizontalAlignment.RIGHT);
			style.setDataFormat(d.getFormat().getFormat(ConstantsFormat.dateTime.stampa()));
			cell.setCellStyle(style);
			//cell.setCellType(CellType.NUMERIC);
		}
		if(data != null) {
			cell.setCellValue(roundDate(false, data));
		}
	}

	private static Date roundDate(boolean time, Date data) {
		GregorianCalendar gc = getGregorianCalendar();
		gc.setTime(data);
		if(time) {
			gc.set(GregorianCalendar.HOUR_OF_DAY, 0);
			gc.set(GregorianCalendar.MINUTE, 0);
		}
		gc.set(GregorianCalendar.SECOND, 0);
		gc.set(GregorianCalendar.MILLISECOND, 0);
		return gc.getTime();
	}

	public static void formatDateSeconds(ExcelStyle s, Cell cell, Date data) {
		if(s.isStyle()) {
			ExcelData d = s.getExcelData("I");
			Font font = d.getFont();
			CellStyle style = d.getStyle();
			font.setBold(false);
			style.setFont(font);
			style.setHidden(false);
			style.setAlignment(HorizontalAlignment.RIGHT);
			style.setDataFormat(d.getFormat().getFormat(ConstantsFormat.dateSeconds.stampa()));
			cell.setCellStyle(style);
			//cell.setCellType(CellType.NUMERIC);
		}
		if(data != null) {
			cell.setCellValue(data);
		}
	}

	public static void formatTime(ExcelStyle s, Cell cell, Date data) {
		String time = formatDate(ConstantsFormat.time.stampa(), data);
		if(s.isStyle()) {
			ExcelData d = s.getExcelData("L");
			Font font = d.getFont();
			CellStyle style = d.getStyle();
			font.setBold(false);
			style.setFont(font);
			style.setHidden(false);
			style.setAlignment(HorizontalAlignment.RIGHT);
			style.setDataFormat(d.getFormat().getFormat(ConstantsFormat.time.stampa()));
			cell.setCellStyle(style);
			//cell.setCellType(CellType.NUMERIC);
		}
		cell.setCellValue(time);
	}

	public static void formatSeconds(ExcelStyle s, Cell cell, Date data) {
		String time = formatDate(ConstantsFormat.seconds.stampa(), data);
		if(s.isStyle()) {
			ExcelData d = s.getExcelData("M");
			Font font = d.getFont();
			CellStyle style = d.getStyle();
			font.setBold(false);
			style.setFont(font);
			style.setHidden(false);
			style.setAlignment(HorizontalAlignment.RIGHT);
			style.setDataFormat(d.getFormat().getFormat(ConstantsFormat.seconds.stampa()));
			cell.setCellStyle(style);
			//cell.setCellType(CellType.NUMERIC);
		}
		cell.setCellValue(time);
	}

	public static void formatTimestamp(ExcelStyle s, Cell cell, String format, String time) {
		if(s.isStyle()) {
			ExcelData d = s.getExcelData("N");
			Font font = d.getFont();
			CellStyle style = d.getStyle();
			font.setBold(false);
			style.setFont(font);
			style.setHidden(false);
			style.setAlignment(HorizontalAlignment.RIGHT);
			style.setDataFormat(d.getFormat().getFormat(format));
			cell.setCellStyle(style);
			//cell.setCellType(CellType.NUMERIC);
		}
		cell.setCellValue(time);
	}

	public static void headerCell(ExcelStyle s, Cell cell, String value){
		if(s.isStyle()) {
			ExcelData d = s.getExcelData("O");
			Font font = d.getFont();
			CellStyle style = d.getStyle();
			font.setBold(true);
			style.setFont(font);
			style.setHidden(false);
			style.setAlignment(HorizontalAlignment.LEFT);
			//style.setBorderBottom(BorderStyle.THIN);
			style.setFillForegroundColor(IndexedColors.YELLOW.index);
			style.setFillPattern(FillPatternType.SOLID_FOREGROUND);
			cell.setCellStyle(style);
		}
		cell.setCellValue(value);
	}

	public static void formatNumber(ExcelStyle s, Cell cell, String num) {
		Integer l = parseNumber(num);
		if(s.isStyle()) {
			ExcelData d = s.getExcelData("P");
			Font font = d.getFont();
			CellStyle style = d.getStyle();
			font.setBold(false);
			style.setFont(font);
			style.setHidden(false);
			style.setAlignment(HorizontalAlignment.RIGHT);
			style.setDataFormat(d.getFormat().getFormat(ConstantsFormat.numberX.stampa()));
			cell.setCellStyle(style);
			//cell.setCellType(CellType.NUMERIC);
		}
		if(l!= null) {
			cell.setCellValue(l);
		}
	}

	public static void formatBoolean(ExcelStyle s, Cell cell, Boolean num) {
		ExcelData d = s.getExcelData("Q");
		Font font = d.getFont();
		CellStyle style = d.getStyle();
		if(s.isStyle()) {
			font.setBold(false);
			style.setFont(font);
			style.setHidden(false);
			style.setAlignment(HorizontalAlignment.LEFT);
		}
		cell.setCellStyle(style);
		//cell.setCellType(CellType.BOOLEAN);
		cell.setCellValue(num);
	}

	public static void formatBigDecimal(ExcelStyle s, Cell cell, String num) {
		BigDecimal l = parseBigDecimal(num);
		if(s.isStyle()) {
			ExcelData d = s.getExcelData("R");
			Font font = d.getFont();
			CellStyle style = d.getStyle();
			font.setBold(false);
			style.setFont(font);
			style.setHidden(false);
			style.setAlignment(HorizontalAlignment.RIGHT);
			style.setDataFormat(d.getFormat().getFormat(ConstantsFormat.currencyX.stampa()));
			cell.setCellStyle(style);
			//cell.setCellType(CellType.NUMERIC);
		}
		if(l!= null) {
			cell.setCellValue(l.doubleValue());
		}
	}



	public static void formatNumber(ExcelStyle s, Cell cell, String format, Double time) {
		formatTimestamp(s, cell, format, format(time));
	}
	public static void formatNumber(ExcelStyle s, Cell cell, String format, Long time) {
		formatTimestamp(s, cell, format, format(time));
	}
	public static void formatNumber(ExcelStyle s, Cell cell, String format, Integer time) {
		formatTimestamp(s, cell, format, format(time));
	}
	public static void formatNumber(ExcelStyle s, Cell cell, String format, BigDecimal time) {
		formatTimestamp(s, cell, format, format(time));
	}


	public static void formatTimestamp(Boolean formatta, ExcelStyle s, Cell cell, String format, Long time) {
		if(formatta) {
			formatTimestamp(s, cell, format, format(time));
		} else {
			formatNumber(s, cell, time);
		}
	}

	public static void formatTimestamp(Boolean formatta, ExcelStyle s, Cell cell, String format, Integer time) {
		if(formatta) {
			formatTimestamp(s, cell, format, format(time));
		} else {
			formatNumber(s, cell, time);
		}
	}

	public static void formatTimestamp(Boolean formatta, ExcelStyle s, Cell cell, String format, Double time) {
		if(formatta) {
			formatTimestamp(s, cell, format, format(time));
		} else {
			formatNumber(s, cell, time);
		}
	}

	public static void formatTimestamp(Boolean formatta, ExcelStyle s, Cell cell, String format, BigDecimal time) {
		if(formatta) {
			formatTimestamp(s, cell, format, format(time));
		} else {
			formatNumber(s, cell, time);
		}
	}

	public static boolean abbatti(Date date1, Date date2, Long secondi) {
		if(date1 != null && date2 != null && secondi != null) {
			long attesa = date1.getTime();
			long risposta = date2.getTime();
			return (attesa - risposta) > (secondi.longValue() * ConstantsGlobal.millis);
		} else return true;
	}


	public static Map<String, Label> createMap(List<Label> labels) {
		Map<String, Label> valori = new HashMap<String, Label>();
		if(notEmpty(labels)) {
			Iterator<Label> it = labels.iterator();
			while (it.hasNext()) {
				Label label = (Label) it.next();
				valori.put(label.getLabel(), label);
			}
		}
		return valori;
	}

	public static String replaceValori(AgiChannel chanel, String testo, Map<String, ?> valori) throws AgiException {
		testo = replaceInString(testo, valori);
		testo = replaceChannel(testo, chanel);
		return testo;
	}

	public static String replaceInString(String testo, Map<String, ?> valori) {
		if(isNotBlank(testo) && testo.contains(ConstantsGlobal.pipeSeparator) && notEmpty(valori)) {
			List<String> c = new LinkedList<String>();
			List<String> v = new LinkedList<String>();
			Iterator<String> it = valori.keySet().iterator();
			while (it.hasNext()) {
				String chiave = (String) it.next();
				if(isNotBlank(chiave)) {
					String valoreReplace = ConstantsGlobal.pipeSeparator + chiave + ConstantsGlobal.pipeSeparator;
					if(testo.contains(valoreReplace)) {
						Object da = valori.get(chiave);
						if(da != null) {
							c.add(valoreReplace);
							v.add(trimToEmpty(da.toString()));
						}
					}
				}
			}
			testo = replaceEachRepeatedly(testo, c.toArray(new String[c.size()]), v.toArray(new String[v.size()]));
		}
		return testo;
	}

	public static QueryUtils evaluateInQuery(DatoSondaggio da, String testo) {
		List<Parameter> lines = new ArrayList<Parameter>();
		if(isNotBlank(testo) && testo.contains(ConstantsGlobal.pipeSeparator)) {
			String [] labels = StringUtils.substringsBetween(testo, ConstantsGlobal.pipeSeparator, ConstantsGlobal.pipeSeparator);
			if(notEmpty(labels)) {
				List<String> c = new LinkedList<String>();
				List<String> v = new LinkedList<String>();
				for(int i = 0; i < labels.length; i++) {
					String valoreReplace = ConstantsGlobal.pipeSeparator + labels[i] + ConstantsGlobal.pipeSeparator;
					if(testo.contains(valoreReplace)) {
						CampoSpeciale cc = new CampoSpeciale(trimToEmpty(labels[i]), da.getChiave());
						Map<CampoSpeciale,ValoreMappa> m = da.getMappa();
						ValoreMappa vv = m.get(cc);
						String p = "param"+i;
						Parameter value = new Parameter(p, ""); 
						if(vv != null && vv.getMultiplo() != null) {
							value.setMultiple(vv.getMultiplo());
						} 
						if(vv != null && vv.getSingolo() != null) {
							value.setSingle(vv.getSingolo());
						}
						lines.add(value);
						c.add(valoreReplace);
						v.add(":"+p);
					}
				}
				testo = replaceEachRepeatedly(testo, c.toArray(new String[c.size()]), v.toArray(new String[v.size()]));
			} 
		}
		return new QueryUtils(testo, lines);
	}

	public static String replaceChannel(String testo, AgiChannel chanel) throws AgiException {
		if(isNotBlank(testo) && testo.contains(ConstantsGlobal.pipeSeparator)) {
			String [] labels = StringUtils.substringsBetween(testo, ConstantsGlobal.pipeSeparator, ConstantsGlobal.pipeSeparator);
			if(notEmpty(labels)) {
				List<String> c = new LinkedList<String>();
				List<String> v = new LinkedList<String>();
				for(int i = 0; i < labels.length; i++) {
					String chiave = trimToNull(labels[i]);
					if(chiave != null) {
						String valoreReplace = ConstantsGlobal.pipeSeparator + chiave + ConstantsGlobal.pipeSeparator;
						if(testo.contains(valoreReplace)) {
							String da = getVariable(chanel, chiave);
							if(da != null) {
								c.add(valoreReplace);
								v.add(da);
							}
						}
					}
				}
				testo = replaceEachRepeatedly(testo, c.toArray(new String[c.size()]), v.toArray(new String[v.size()]));
			}
		}
		return testo;
	}


	public static String replaceOutputs(String outputs, String response) throws AgiException {
		if(isNotBlank(outputs) && outputs.contains(ConstantsGlobal.pipeSeparator)) {
			String [] labels = StringUtils.substringsBetween(outputs, ConstantsGlobal.pipeSeparator, ConstantsGlobal.pipeSeparator);
			if(notEmpty(labels)) {
				List<String> c = new LinkedList<String>();
				List<String> v = new LinkedList<String>();
				for(int i = 0; i < labels.length; i++) {
					String chiave = trimToNull(labels[i]);
					if(chiave != null) {
						String valoreReplace = ConstantsGlobal.pipeSeparator + chiave + ConstantsGlobal.pipeSeparator;
						if(outputs.contains(valoreReplace)) {
							String da = null;
							if(chiave.startsWith("/")) {
								da = parseXML(response, chiave);
							}
							if(chiave.startsWith("$")) {
								da = parseJSON(response, chiave);
							}
							if(da != null) {
								c.add(valoreReplace);
								v.add(da);
							}
						}
					}
				}
				outputs = replaceEachRepeatedly(outputs, c.toArray(new String[c.size()]), v.toArray(new String[v.size()]));
			}
		}
		return outputs;
	}
	



	private static boolean resize(BufferedImage immagine, String fileOut, Integer max_width, Integer max_height) {
		try {
			writeImage(getScaledInstance(immagine, max_width, max_height), ConstantsMap.png, new File(fileOut));
			return true;
		} catch(Exception e) {
			ErrorLog.log(null, null, e);
		}
		return false;
	}

	public static String replaceFileName(String nome) {
		return trimToEmpty(nome).replaceAll("[^_a-zA-Z0-9-]", "_");
	}

	public static Boolean getMethod(EsitoArchiviazione esito, String metodo) {
		Boolean value = false;
		try {
			Method m = esito.getClass().getMethod("has_" + metodo);
			value = (Boolean) m.invoke(esito);
		}catch (Exception e) {}
		return value;
	}

	public static void goToUrl(String url) {
		ExternalContext ec = getExternalContext(null);
		if(ec != null) {
			HttpServletRequest request = getRequest(ec);
			HttpServletResponse response = getResponse(ec);
			try {
				if (!response.isCommitted())
					response.sendRedirect(request.getContextPath() + url);
			} catch (IOException e) {
			}
		}
	}

	public static void goToUrl(HttpServletRequest request, HttpServletResponse response, String url) {
		try {
			if (!response.isCommitted())
				response.sendRedirect(request.getContextPath() + url);
		} catch (IOException e) {
		}
	}

	public static Map<String, DatoAggiuntivo> replaceKeyinMap(Map<String, DatoAggiuntivo> oldMap, List<TemplateStore> tmps) {
		Map<String, DatoAggiuntivo> mappa = new HashMap<String, DatoAggiuntivo>();
		mappa.putAll(oldMap);
		if(notEmpty(tmps)) {
			Iterator<TemplateStore> objIter = tmps.iterator();
			while(objIter.hasNext()) {
				TemplateStore daa = objIter.next();
				DatoAggiuntivo oldValore = oldMap.get(daa.getValore());
				if(oldValore != null && isNotBlank(oldValore.getValore())) {
					mappa.put(daa.getChiave(), oldValore);
				}
			}
		} 
		return mappa;
	}

	public static Map<String, DatoAggiuntivo> replaceKeyBustainMap(Map<String, DatoAggiuntivo> oldMap, List<BustaStore> tmps) {
		Map<String, DatoAggiuntivo> mappa = new HashMap<String, DatoAggiuntivo>();
		mappa.putAll(oldMap);
		if(notEmpty(tmps)) {
			Iterator<BustaStore> objIter = tmps.iterator();
			while(objIter.hasNext()) {
				BustaStore daa = objIter.next();
				DatoAggiuntivo oldValore = oldMap.get(daa.getValore());
				if(oldValore != null && isNotBlank(oldValore.getValore())) {
					mappa.put(daa.getChiave(), oldValore);
				}
			}
		} 
		return mappa;
	}

	public static void storeFile(FTPClient vmftp, String new_path, InputStream fis) throws Exception {
		vmftp.enterLocalPassiveMode();
		//vmftp.enterRemotePassiveMode();
		vmftp.setFileType(FTPClient.BINARY_FILE_TYPE, FTPClient.BINARY_FILE_TYPE);
		vmftp.setFileTransferMode(FTPClient.BINARY_FILE_TYPE);
		vmftp.storeFile(new_path, fis);
	}

	public static FTPClient createClient() {
		FTPClient vmftp = new FTPClient();
		FTPClientConfig conf = new FTPClientConfig(); 
		conf.setServerTimeZoneId(ConstantsGlobal.UTC);
		vmftp.configure(conf);
		vmftp.setConnectTimeout((int) (ConstantsGlobal.timeoutFtp));
		return vmftp;
	}

	public static boolean connect(FTPClient vmftp, UtilFTP u) {
		String msg = "Impossibile connettersi FTP: ";
		try {
			vmftp.connect(u.getHost(), u.getPort());
			vmftp.login(u.getUsername(), u.getPassword());
			if (!FTPReply.isPositiveCompletion(vmftp.getReplyCode())) {
				logger(msg + vmftp.getReplyString());
				return false;
			} else {
				return true;
			}
		} catch(Exception e) {
			logger(msg + u.getHost());
		}
		return false;
	}

	public static void removeDirectory(FTPClient vmftp, String remotePath) throws Exception {
		vmftp.setFileType(FTPClient.BINARY_FILE_TYPE);
		FTPFile[] subFiles = vmftp.listFiles(remotePath);
		if (notEmpty(subFiles)) {
			for (FTPFile aFile : subFiles) {
				String currentFileName = aFile.getName();
				if (!currentFileName.equals(".") && !currentFileName.equals("..")) {
					String remoteFilePath = remotePath + "/" + currentFileName;
					if (aFile.isDirectory()) {
						removeDirectory(vmftp, remoteFilePath);
					} else {
						boolean deleted = vmftp.deleteFile(remoteFilePath);
						if (!deleted) {
							logger("CANNOT remove the file: " + remoteFilePath);
						}
					}
				}
			}
		} 
		boolean removed = vmftp.removeDirectory(remotePath);
		if (!removed) {
			logger("CANNOT remove the directory: " + remotePath);
		}
	}


	public static boolean makeDirectories(FTPClient vmftp, String dirPath) throws Exception {
		vmftp.setFileType(FTPClient.BINARY_FILE_TYPE);
		String[] pathElements = dirPath.split("/");
		if (notEmpty(pathElements)) {
			for (String singleDir : pathElements) {
				if(isNotBlank(singleDir)) {
					boolean existed = vmftp.changeWorkingDirectory(singleDir);
					if (!existed) {
						boolean created = vmftp.makeDirectory(singleDir);
						if (created) {
							vmftp.changeWorkingDirectory(singleDir);
						} else {
							logger("CANNOT create directory: " + singleDir);
							return false;
						}
					}
				}
			}
		}
		vmftp.changeWorkingDirectory("/");
		return true;
	}

	public static void readDirectory(FTPClient vmftp, List<Allegato> files, String remotePath, String preamble) throws IOException {
		vmftp.setFileType(FTPClient.BINARY_FILE_TYPE);
		FTPFile[] subFiles = vmftp.listFiles(remotePath);
		if (notEmpty(subFiles)) {
			for (FTPFile aFile : subFiles) {
				String currentFileName = aFile.getName();
				if (!currentFileName.equals(".") && !currentFileName.equals("..")) {
					String remoteFilePath = remotePath + "/" + currentFileName;
					if (aFile.isDirectory()) {
						readDirectory(vmftp, files, remoteFilePath, preamble);
					} else {
						ByteArrayOutputStream fos = new ByteArrayOutputStream();
						boolean ok = vmftp.retrieveFile(remoteFilePath , fos);
						if(ok) {
							fos.flush();
							fos.close();
							String nome = removeStart(normalizeNoEndSeparator(remoteFilePath), preamble);
							Allegato a = new Allegato(nome , fos.toByteArray());
							a.setData_modifica(date(time(aFile.getTimestamp())));
							a.setPathM(false);
							if(!files.contains(a)) {
								files.add(a);
							}
						}
					}
				}
			}
		}
	}

	public static void scaricaDirectory(FTPClient vmftp, List<Allegato> files, String remotePath, String preamble, String home) throws IOException {
		vmftp.setFileType(FTPClient.BINARY_FILE_TYPE);
		FTPFile[] subFiles = vmftp.listFiles(remotePath);
		if (notEmpty(subFiles)) {
			for (FTPFile aFile : subFiles) {
				String currentFileName = aFile.getName();
				if (!currentFileName.equals(".") && !currentFileName.equals("..")) {
					String remoteFilePath = remotePath + "/" + currentFileName;
					if (aFile.isDirectory()) {
						Allegato a = new Allegato(false, home + "/" + remoteFilePath);
						if(!files.contains(a)) {
							files.add(a);
						}
						scaricaDirectory(vmftp, files, remoteFilePath, preamble, home);
					}
				}
			}
		}
	}

	public static void addFile(FTPClient vmftp, List<Allegato> allegati, String file, Long modifica) throws Exception {
		ByteArrayOutputStream fos = new ByteArrayOutputStream();
		vmftp.setFileType(FTPClient.BINARY_FILE_TYPE);
		boolean ok = vmftp.retrieveFile(file, fos);
		if(ok) {
			fos.flush();
			fos.close();
			Allegato a = new Allegato(getNameN(file), fos.toByteArray());
			a.setData_modifica(modifica != null ? date(modifica) : date());
			if(!allegati.contains(a)) {
				allegati.add(a);
			}
		}
	}


	public static boolean scaricaFile(FTPClient vmftp, OutputStream fos, String file) throws Exception {
		vmftp.setFileType(FTPClient.BINARY_FILE_TYPE);
		if (vmftp.retrieveFile(file, fos)) {
			return true;
		} else {
			return false;
		}
	}


	public static boolean disconnect(FTPClient vmftp) {
		if (vmftp.isConnected()) {
			try { 
				vmftp.disconnect(); 
				return true; 
			} catch (Exception e) { 
				ErrorLog.log(null, null, e);
			}
		}
		return false;
	}

	public static String encoder(String passwordToHash) {
		return new BCryptPasswordEncoder().encode(passwordToHash);
	}

	public static String hash(String hash) {
		String generated = "";
		try {
			MessageDigest md = MessageDigest.getInstance("MD5");
			md.update(hash.getBytes(ConstantsGlobal.CHARSET));
			byte[] bytes = md.digest();
			StringBuilder sb = new StringBuilder();
			for(int i=0; i< bytes.length ;i++)
			{
				sb.append(Integer.toString((bytes[i] & 0xff) + 0x100, 16).substring(1));
			}
			generated = sb.toString();
		} catch (NoSuchAlgorithmException e) {
			ErrorLog.log(null, null, e);
		}
		return generated;
	}

	public static String encode(String clearText) throws Exception {
		byte[] clearBytes = clearText.getBytes(ConstantsGlobal.CHARSET);
		MessageDigest md = MessageDigest.getInstance("SHA1");
		md.update(clearBytes);
		byte[] sha1Bytes = md.digest();
		return new String(Base64.encodeBase64(sha1Bytes), ConstantsGlobal.CHARSET);
	}

	public static void setResponse(Integer e, Integer type, Boolean inline, String utente, HttpServletRequest request, HttpServletResponse response, String file) {
		String nomeFile = getNameN(file);
		download(e, type, nomeFile, utente, request);
		response.setContentType(getContentType(nomeFile));
		if(inline) {
			response.setHeader(ConstantsGlobal.contentDisposition, ConstantsGlobal.filename2 + nomeFile + ConstantsGlobal.filename3);
		} else {
			response.setHeader(ConstantsGlobal.contentDisposition, ConstantsGlobal.filename1 + nomeFile + ConstantsGlobal.filename3);
		}
	}


	public static String getContentType(String file) {
		String nomeFile = getNameN(file);
		if(isNotBlank(nomeFile)) {
			String mimeType = URLConnection.guessContentTypeFromName(nomeFile);
			if(isNotBlank(mimeType)) {
				return mimeType;
			}
		}
		return ConstantsGlobal.contentStream;
	}

	public static void download(Integer e, Integer lt, String l, String utente, HttpServletRequest request) {
		if(gtZero(lt) ) {
			String elementi = printN(e);
			StringBuilder sb = new StringBuilder(ConstantsLanguage.DOWNLOAD.stampa() + elementi +": " + l);
			Utente ul = getUsernameLoggato();
			String u = trimToNull(ul != null ? ul.getUsername() : null);
			if(u != null) {
				sb.append(" - " + ConstantsLanguage.USERNAME.stampa() + ": " + u);
			}
			String p = trimToNull(utente);
			if(p != null) {
				sb.append(" - " + ConstantsLanguage.ACCOUNT.stampa() + ": " + p);
			}
			String ip = trimToNull(ip(request));
			if(ip != null) {
				sb.append(" - " + ConstantsLanguage.IP.stampa() + ": " + ip);
			}
			fileLog(lt, sb.toString());
		}
	}

	public static void upload(Integer lt, MyFile ml, String utente) {
		if(gtZero(lt) ) {
			StringBuilder sb = new StringBuilder(ConstantsLanguage.UPLOAD.stampa() + ": " + ml.getName() + " " + "[" + byteCount(ml.getLength()) + "]");
			Utente ul = getUsernameLoggato();
			String u = trimToNull(ul != null ? ul.getUsername() : null);
			if(u != null) {
				sb.append(" - " + ConstantsLanguage.USERNAME.stampa() + ": " + u);
			}
			String p = trimToNull(utente);
			if(p != null) {
				sb.append(" - " + ConstantsLanguage.ACCOUNT.stampa() + ": " + p);
			}
			String ip = trimToNull(ip());
			if(ip != null) {
				sb.append(" - " + ConstantsLanguage.IP.stampa() + ": " + ip);
			}
			fileLog(lt, sb.toString());
		}
	}

	public static Date date(String data) {
		return parseData(ConstantsFormat.calendarDate.stampa(), data);
	}

	public static List<SelectItem> getLimite(int step, int max, Integer defaults, boolean tutti) {
		List<SelectItem> sis = new ArrayList<SelectItem>();
		List<Integer> d = new ArrayList<Integer>();
		for (int i = 0; i < max; i++) {
			d.add(Integer.valueOf((i+1)*step));
		}
		if(!d.contains(defaults)) {
			d.add(defaults);
		}
		Collections.sort(d);
		for (Integer x : d) {
			sis.add(new SelectItem(x, x.toString()));
		}
		if(tutti) {
			sis.add(new SelectItem(-1, ConstantsLanguage.TUTTI.stampa()));
		}
		return sis;
	}

	public static String formatIntervallo(String report, Date dataInizio, Date dataFine) {
		StringBuilder sb = new StringBuilder();
		sb.append(lowerCaseEmpty(trimToEmpty(report)));
		if (dataInizio != null) {
			sb.append("_" + formatDate(ConstantsFormat.exportDateTime.stampa(), dataInizio));
		}
		if (dataFine != null) {
			sb.append("_" + formatDate(ConstantsFormat.exportDateTime.stampa(), dataFine));
		}
		sb.append(".");
		return sb.toString();
	}


	public static Object getDao(String dao) {
		FacesContext fc = getFacesContext();
		return getDao(fc, dao);
	}

	public static Object getDao(FacesContext fc, String dao) {
		ExternalContext ec = getExternalContext(fc);
		return getDao(ec, dao);
	}

	public static Object getDao(ExternalContext ec, String dao) {
		HttpServletRequest request = getRequest(ec);
		return getDao(request, dao);
	}
	
	public static Object getDao(HttpServletRequest request, String dao) {
		ApplicationContext context = (ApplicationContext) WebApplicationContextUtils.getWebApplicationContext(request.getSession().getServletContext());
		return context.getBean(dao);
	}

	public static FacesContext getFacesContext() {
		return FacesContext.getCurrentInstance();
	}
	public static RequestContext getRequestContext() {
		return (RequestContext) RequestContextHolder.getRequestContext();
	}
	public static void getRequestDispatcher(HttpServletRequest request, HttpServletResponse response, String d) throws IOException, ServletException {
		request.getRequestDispatcher(d).forward(request,response);
	}
	
	public static void getRequestDispatcher(String d) {
		FacesContext fc = getFacesContext();
		if(fc != null) {
			ExternalContext ec = getExternalContext(fc);
			HttpServletRequest request = getRequest(ec);
			HttpServletResponse response = getResponse(ec);
			try {
				getRequestDispatcher(request, response, d);
			} catch (Exception e) {	}
			fc.responseComplete();
		}
	}
	
	public static HttpSession getSession() {
		HttpServletRequest request = getRequest(null);
		if(request != null) {
			return request.getSession(false);
		}
		return null;
	}
		
	public static Map<String, Object> getSessionMap(FacesContext fc) {
		ExternalContext ec = getExternalContext(fc);
		if(ec != null) {
			return ec.getSessionMap();
		}
		return null;
	}
	
	public static Map<String, String> getRequestParameterMap() {
		ExternalContext ec = getExternalContext(null);
		if(ec != null) {
			return ec.getRequestParameterMap();
		}
		return null;
	}
		
	public static ExternalContext getExternalContext(FacesContext fc) {
		if(fc == null) {
			fc = getFacesContext();
		}
		if(fc != null) {
			return fc.getExternalContext();
		}
		return null;
	}
	
	public static HttpServletRequest getRequest(ExternalContext ec) {
		if(ec == null) {
			ec = getExternalContext(null);
		}
		if(ec != null) {
			return (HttpServletRequest) ec.getRequest();
		}
		return null;
	}
	
	public static HttpServletResponse getResponse(ExternalContext ec) {
		if(ec == null) {
			ec = getExternalContext(null);
		}
		if(ec != null) {
			return (HttpServletResponse) ec.getResponse();
		}
		return null;
	}
	
	public static SecurityContext getSecurityContext() {
		return SecurityContextHolder.getContext();
	}


	public static boolean zip(String commento, List<Allegato> files, OutputStream dest, String password) {
		if(password != null) {
			return ZipPassword.zip(commento, files, dest, password);
		} else {
			return zipN(commento, files, dest);
		}
	}


	private static boolean zipN(String commento, List<Allegato> files, OutputStream dest) {
		final int BUFFER_SIZE = ConstantsGlobal.kb;
		try {
			int i = 0;
			ByteArrayOutputStream bos = new ByteArrayOutputStream();
			ZipOutputStream out = new ZipOutputStream(new BufferedOutputStream(bos));
			byte[] data = new byte[BUFFER_SIZE];
			for(Allegato file : new LinkedHashSet<Allegato>(files)) {
				if(isNotBlank(file.getNome()) && (file.isFileE() || file.isPercorsoE())) {
					i++;
					InputStream fi = null;
					if(file.isFileE()) {
						fi = new ByteArrayInputStream(file.getFile());
					}
					if(file.isPercorsoE()) {
						fi = new FileInputStream(new File(file.getPercorso()));
					}

					BufferedInputStream origine = new BufferedInputStream(fi, BUFFER_SIZE);
					ZipEntry entry = new ZipEntry(file.getNome());
					Date date = file.getData_modifica() != null ? file.getData_modifica() : date();
					entry.setLastModifiedTime(FileTime.fromMillis(date.getTime()));
					out.putNextEntry(entry);
					int count;
					while ((count = origine.read(data, 0, BUFFER_SIZE)) != -1) {
						out.write(data, 0, count);
					}
					origine.close();
					fi.close();
					out.closeEntry();
				}
			}
			if(commento != null) {
				out.setComment(commento);
			} else {
				out.setComment(ConstantsLanguage.ZIPTEXT.stampa() + ": " + i);
			}
			out.close();
			bos.writeTo(dest);
			bos.flush();
		} catch(Exception e) { 
			return false;
		}
		return true;
	}


	public static boolean vero(String valore) {
		return equalsIgnoreCase(valore, ConstantsLanguage.SI.stampa()) || equalsIgnoreCase(valore, ConstantsLanguage.VERO.stampa()) || equalsIgnoreCase(valore, "true") || equalsIgnoreCase(valore, "yes") || equalsIgnoreCase(valore, "y") || equalsIgnoreCase(valore, "on") || equalsIgnoreCase(valore, "1");
	}

	public static boolean falso(String valore) {
		return equalsIgnoreCase(valore, ConstantsLanguage.NO.stampa()) || equalsIgnoreCase(valore, ConstantsLanguage.FALSO.stampa()) || equalsIgnoreCase(valore, "false") || equalsIgnoreCase(valore, "no")|| equalsIgnoreCase(valore, "n") || equalsIgnoreCase(valore, "off") || equalsIgnoreCase(valore, "0");
	}

	public static List<Firma> mergeDataIntoTemplatePDF(String w, ByteArrayOutputStream file_cover, Map<String, DatoAggiuntivo> valori, TemplateProdottoPK t) {
		List<Firma> fls = new ArrayList<Firma>();
		try {
			if(valori == null) {
				valori = new HashMap<String, DatoAggiuntivo>();
			}
			boolean flat = true;
			PdfReader template = pdfReader(t.getDocumento().getContent(), null);
			PdfStamper cover = new PdfStamper(template, file_cover);
			AcroFields form = cover.getAcroFields();
			Map<String, Item> campi = form.getFields();
			for(String chiave : campi.keySet()) {
				DatoAggiuntivo da = valori.get(chiave);
				int tipo = form.getFieldType(chiave);
				if(tipo == 7) {
					List<FieldPosition> ls = form.getFieldPositions(chiave);
					for(FieldPosition fp : ls) {
						fls.add(new Firma(fp.page, Math.round(fp.position.getLeft()) +","+ Math.round(fp.position.getBottom()) +","+ Math.round(fp.position.getRight()) +","+ Math.round(fp.position.getTop())));
					}
				}
				if(da != null) {
					if(tipo == 5) {
						List<String> val = token(da.getValori(), ConstantsGlobal.colonSeparator);
						String[] vv = val.toArray(new String[val.size()]);
						if(isTrue(flat)) {
							form.setListOption(chiave, vv, vv);
						} else {
							String[] states = form.getAppearanceStates(chiave);
							form.setListOption(chiave, states, states);
						}
						form.setListSelection(chiave, vv);
					} else {
						form.setField(chiave, da.getValore_formattato());
					}
				}
			}
			if(isTrue(flat)) {
				cover.setFormFlattening(true);
			}
			PDFUtil.watermark(w, template, cover);
			cover.close();
			template.close();
		} catch(Exception e) { 
			ErrorLog.log(null, null, e);
		}
		return fls;
	}

	public static int verificaIntoTemplatePDF(byte [] bytes, String nome) throws Exception {
		ByteArrayOutputStream file_cover = new ByteArrayOutputStream();
		int f = 0;
		int c = 0;
		PdfReader template = pdfReader(bytes, null);
		PdfStamper cover = new PdfStamper(template, file_cover);
		AcroFields form = cover.getAcroFields();
		Map<String, Item> campi = form.getFields();
		for(String chiave : campi.keySet()) {
			int tipo = form.getFieldType(chiave);
			if(tipo == 7) {
				f++;
			} else {
				c++;
			}
		}
		cover.close();
		template.close();
		file_cover.flush();
		file_cover.close();

		if(f != 0) {
			return 2;
		} 
		if(c != 0) {
			return 1;
		} 
		return 0;
	}

	public static int verificaIntoTemplateXLS(byte [] bytes, String nome) throws Exception {
		int c = 0;
		String ext = getExtensionLower(nome);
		InputStream stream = new ByteArrayInputStream(bytes);
		Workbook wb = workbook(stream, ext);
		stream.close();
		int ns = wb.getNumberOfSheets();
		for (int i = 0; i < ns; i++) {
			Sheet sheet = wb.getSheetAt(i);
			Iterator<Row> rowIt = sheet.rowIterator();
			while (rowIt.hasNext()) {
				Row row = rowIt.next();
				Iterator<Cell> cellIt = row.cellIterator();
				while (cellIt.hasNext()) {
					Cell cell = cellIt.next();
					if(cell!= null) {
						Comment comment = cell.getCellComment();
						if(comment != null) {
							c++;
						}
					}
				}
			}
			sheet.getForceFormulaRecalculation();
		}
		wb.close();

		if(c != 0) {
			return 3;
		} 
		return 0;
	}


	public static void mergeDataIntoTemplatePDF(String w, String percorsoTemplate, Map<String, DatoAggiuntivo> valori, TemplateProdottoPK t) {
		try {
			if(valori == null) {
				valori = new HashMap<String, DatoAggiuntivo>();
			}
			boolean flat = isTrue(t.getDocumento().getFlat_pdf());
			PdfReader template = pdfReader(t.getDocumento().getContent(), null);
			FileOutputStream file_cover = new FileOutputStream(percorsoTemplate);
			PdfStamper cover = new PdfStamper(template, file_cover);
			AcroFields form = cover.getAcroFields();
			Map<String, Item> campi = form.getFields();
			for(String chiave : campi.keySet()) {
				DatoAggiuntivo da = valori.get(chiave);
				if(da != null) {
					int tipo = form.getFieldType(chiave);
					if(tipo == 5) {
						List<String> val = token(da.getValori(), ConstantsGlobal.colonSeparator);
						String[] vv = val.toArray(new String[val.size()]);
						if(isTrue(flat)) {
							form.setListOption(chiave, vv, vv);
						} else {
							String[] states = form.getAppearanceStates(chiave);
							form.setListOption(chiave, states, states);
						}
						form.setListSelection(chiave, vv);
					} else {
						form.setField(chiave, da.getValore_formattato());
					}
				}
			}
			if(isTrue(flat)) {
				cover.setFormFlattening(true);
			}
			PDFUtil.watermark(w, template, cover);
			cover.close();
			template.close();
			file_cover.flush();
			file_cover.close();
		} catch(Exception e) { 
			ErrorLog.log(null, null, e);
		}
	}

	public static void mergeDataIntoTemplateXLS(String percorsoTemplate, Map<String, DatoAggiuntivo> valori, TemplateProdottoPK t) {
		try {
			if(valori == null) {
				valori = new HashMap<String, DatoAggiuntivo>();
			}
			FileOutputStream file_cover = new FileOutputStream(percorsoTemplate);
			String ext = getExtensionLower(t.getDocumento().getNomeFileS());
			InputStream stream = new ByteArrayInputStream(t.getDocumento().getContent());
			Workbook wb = workbook(stream, ext);
			stream.close();
			boolean flat = isTrue(t.getDocumento().getFlat_pdf());
			ExcelStyle s = new ExcelStyle(wb, flat);
			int ns = wb.getNumberOfSheets();
			for (int i = 0; i < ns; i++) {
				Sheet sheet = wb.getSheetAt(i);
				Iterator<Row> rowIt = sheet.rowIterator();
				while (rowIt.hasNext()) {
					Row row = rowIt.next();
					Iterator<Cell> cellIt = row.cellIterator();
					while (cellIt.hasNext()) {
						Cell cell = cellIt.next();
						if(cell!= null) {
							Comment comment = cell.getCellComment();
							if(comment != null) {
								if(cell.getCellType().equals(CellType.FORMULA)) {
									//cell.setCellType(CellType.FORMULA);
									cell.setCellFormula(cell.getCellFormula());
								}
								RichTextString rt = comment.getString();
								String commento = trimToEmpty(rt.toString());
								if(valori.containsKey(commento)) {
									DatoAggiuntivo da = valori.get(commento);
									if(da.getData()) {
										formatDate(s, cell, da.getValore_data());
									} else if(da.getDataora()) {
										formatDateTime(s, cell, da.getValore_datatime());
									} else if(da.getOra()) {
										formatTime(s, cell, da.getValore_time());
									} else if(da.getSlider() || da.getSpinner() || da.getIntero()) {
										formatNumber(s, cell, da.getValore());
									} else if(da.getNumero()) {
										formatBigDecimal(s, cell, da.getValore());
									} else if(da.getBooleano()) {
										formatBoolean(s, cell, isTrue(Boolean.valueOf(da.getValore())));
									} else if(da.getFile()) {
										formatString(s, cell, da.getValore_formattato());
									} else {
										formatString(s, cell, da.getValore());
									}
								} else {
									formatString(s, cell, "");
								}
								if(flat) {
									cell.removeCellComment();
								}
							}
						}
					}
				}
				sheet.getForceFormulaRecalculation();
			}
			wb.write(file_cover);
			wb.close();
		} catch(Exception e) { 
			ErrorLog.log(null, null, e);
		}
	}


	public static ByteArrayOutputStream mergeDataIntoTemplateXLS(String percorsoTemplate, Map<String, DatoAggiuntivo> valori, boolean flat) {
		ByteArrayOutputStream out = new ByteArrayOutputStream();
		try {
			String ext = getExtensionLower(percorsoTemplate);
			InputStream stream = new FileInputStream(percorsoTemplate);
			Workbook wb = workbook(stream, ext);
			stream.close();
			ExcelStyle s = new ExcelStyle(wb, flat);
			int ns = wb.getNumberOfSheets();
			for (int i = 0; i < ns; i++) {
				Sheet sheet = wb.getSheetAt(i);
				Iterator<Row> rowIt = sheet.rowIterator();
				while (rowIt.hasNext()) {
					Row row = rowIt.next();
					Iterator<Cell> cellIt = row.cellIterator();
					while (cellIt.hasNext()) {
						Cell cell = cellIt.next();
						if(cell!= null) {
							Comment comment = cell.getCellComment();
							if(comment != null) {
								if(cell.getCellType().equals(CellType.FORMULA)) {
									//cell.setCellType(CellType.FORMULA);
									cell.setCellFormula(cell.getCellFormula());
								}
								RichTextString rt = comment.getString();
								String commento = trimToEmpty(rt.toString());
								if(valori.containsKey(commento)) {
									DatoAggiuntivo da = valori.get(commento);
									if(da.getData()) {
										formatDate(s, cell, da.getValore_data());
									} else if(da.getDataora()) {
										formatDateTime(s, cell, da.getValore_datatime());
									} else if(da.getOra()) {
										formatTime(s, cell, da.getValore_time());
									} else if(da.getSlider() || da.getSpinner() || da.getIntero()) {
										formatNumber(s, cell, da.getValore());
									} else if(da.getNumero()) {
										formatBigDecimal(s, cell, da.getValore());
									} else if(da.getBooleano()) {
										formatBoolean(s, cell, isTrue(Boolean.valueOf(da.getValore())));
									} else if(da.getFile()) {
										formatString(s, cell, da.getValore_formattato());
									} else {
										formatString(s, cell, da.getValore());
									}
								} else {
									formatString(s, cell, "");
								}
								if(flat) {
									cell.removeCellComment();
								}
							}
						}
					}
				}
				sheet.getForceFormulaRecalculation();
			}
			wb.write(out);
			wb.close();
		} catch(Exception e) { 
			ErrorLog.log(null, null, e);
		}
		return out;
	}

	public static ByteArrayOutputStream mergeDataIntoTemplatePDF(String w, String percorsoTemplate, Map<String, DatoAggiuntivo> valori, boolean flat) {
		ByteArrayOutputStream out = new ByteArrayOutputStream();
		try {

			if(valori == null) {
				valori = new HashMap<String, DatoAggiuntivo>();
			}
			PdfReader template = pdfReader(percorsoTemplate, null);
			PdfStamper cover = new PdfStamper(template, out);
			AcroFields form = cover.getAcroFields();
			Map<String, Item> campi = form.getFields();
			for(String chiave : campi.keySet()) {
				DatoAggiuntivo da = valori.get(chiave);
				if(da != null) {
					int tipo = form.getFieldType(chiave);
					if(tipo == 5) {
						List<String> val = token(da.getValori(), ConstantsGlobal.colonSeparator);
						String[] vv = val.toArray(new String[val.size()]);
						if(isTrue(flat)) {
							form.setListOption(chiave, vv, vv);
						} else {
							String[] states = form.getAppearanceStates(chiave);
							form.setListOption(chiave, states, states);
						}
						form.setListSelection(chiave, vv);
					} else {
						form.setField(chiave, da.getValore_formattato());
					}
				}
			}
			if(isTrue(flat)) {
				cover.setFormFlattening(true);
			}
			PDFUtil.watermark(w, template, cover);
			cover.close();
			template.close();
			out.flush();
			out.close();

		} catch(Exception e) { 
			ErrorLog.log(null, null, e);
		}
		return out;
	}

	public static byte[] mergeDataIntoTemplate(String w, Map<String, DatoAggiuntivo> valori, Boolean flat_pdf, byte [] file) {
		try {
			if(valori == null) {
				valori = new HashMap<String, DatoAggiuntivo>();
			}
			PdfReader template = pdfReader(file, null);
			ByteArrayOutputStream pdf_cover = new ByteArrayOutputStream();
			PdfStamper cover = new PdfStamper(template, pdf_cover);
			AcroFields form = cover.getAcroFields();
			Map<String, Item> campi = form.getFields();
			for(String chiave : campi.keySet()) {
				DatoAggiuntivo da = valori.get(chiave);
				if(da != null) {
					int tipo = form.getFieldType(chiave);
					if(tipo == 5) {
						List<String> val = token(da.getValori(), ConstantsGlobal.colonSeparator);
						String[] vv = val.toArray(new String[val.size()]);
						if(isTrue(flat_pdf)) {
							form.setListOption(chiave, vv, vv);
						} else {
							String[] states = form.getAppearanceStates(chiave);
							form.setListOption(chiave, states, states);
						}
						form.setListSelection(chiave, vv);
					} else {
						form.setField(chiave, da.getValore_formattato());
					}
				}
			}
			if(isTrue(flat_pdf)) {
				cover.setFormFlattening(true);
			}
			PDFUtil.watermark(w, template, cover);
			cover.close();
			template.close();
			pdf_cover.flush();
			pdf_cover.close();
			return pdf_cover.toByteArray();
		} catch(Exception e) { 
			ErrorLog.log(null, null, e);
		}
		return file;
	}

	public static int compareTo(Long n1, Long n2) {
		if(n1 != null && n2 != null) {
			return n1.compareTo(n2);
		} else if(n1 != null && n2 == null) {
			return -1;
		} else if(n1 == null && n2 != null) {
			return 1;
		} else {
			return 0;
		}
	}

	public static int compareTo(Integer o1, Integer o2) {
		if(o1 != null && o2 != null) {
			return o1.compareTo(o2);
		} else if(o1 != null && o2 == null) {
			return -1;
		} else if(o1 == null && o2 != null) {
			return 1;
		} else {
			return 0;
		}
	}

	public static int compareTo(String n1, String n2) {
		if(n1 != null && n2 != null) {
			return n1.compareTo(n2);
		} else if(n1 != null && n2 == null) {
			return -1;
		} else if(n1 == null && n2 != null) {
			return 1;
		} else {
			return 0;
		}
	}

	public static boolean passValid(String password, int a_min1, int a_min2, int a_min3, int a_min4, int a_min5) {
		int min1 = 0;
		int min2 = 0;
		int min3 = 0;
		int min4 = 0;
		int min5 = 0;
		char [] stringArray = password.toCharArray(); 
		for(int index=0; index < stringArray.length; index++) {
			char a = stringArray[index];
			if(Character.isLetter(a)) min1++;
			if(Character.isLowerCase(a)) min2++;
			if(Character.isUpperCase(a)) min3++;
			if(Character.isDigit(a)) min4++;
			if(!Character.isLetterOrDigit(a)) min5++;
		}
		if((min1 > a_min1-1) &&(min2 > a_min2-1) && (min3 > a_min3-1) && (min4 > a_min4-1) && (min5 > a_min5-1)) {
			return true;
		} else {
			return false;
		}
	}

	private static BufferedImage getScaledInstance(BufferedImage img, int targetWidth, int targetHeight) {
		boolean higherQuality = true;
		int type = (img.getTransparency() == Transparency.OPAQUE) ?	BufferedImage.TYPE_INT_RGB : BufferedImage.TYPE_INT_ARGB;
		BufferedImage ret = (BufferedImage)img;
		int w, h;
		if (higherQuality) {
			w = img.getWidth();
			h = img.getHeight();
		} else {
			w = targetWidth;
			h = targetHeight;
		}
		do {
			if (higherQuality) {
				w /= 2;
				if (w < targetWidth) w = targetWidth;
			}
			if (higherQuality) {
				h /= 2;
				if (h < targetHeight) h = targetHeight;
			}
			BufferedImage tmp = new BufferedImage(w, h, type);
			Graphics2D g2 = tmp.createGraphics();
			g2.setRenderingHint(RenderingHints.KEY_INTERPOLATION, RenderingHints.VALUE_INTERPOLATION_BILINEAR);
			g2.drawImage(ret, 0, 0, w, h, null);
			g2.dispose();
			ret = tmp;
		}
		while (w > targetWidth || h > targetHeight);
		return ret;
	}

	public static String randomValue(String sl) {
		if(sl != null) {
			List<String> idl = token(sl, ConstantsGlobal.colonSeparator);
			if(notEmpty(idl)) {
				int index = new Random(System.nanoTime()).nextInt(idl.size());
				return generateRandom(trimToNull(idl.get(index)));
			}
		}
		return null;
	}

	public static String generateRandom(String s) {
		if(s!= null) {
			String c = ConstantsGlobal.pipeSeparator;
			int sep = s.indexOf(c);
			if(sep > -1) {
				String prefix = trimToNull(s.substring(0, sep));
				String expS = trimToNull(s.substring(sep+1).replaceAll("\\"+c, ""));
				if(prefix != null && expS != null) {
					Integer exp = Integer.valueOf(expS);
					Integer pow = Double.valueOf(Math.pow(10, exp)).intValue();
					Integer suffix = new Random(System.nanoTime()).nextInt(pow);
					return trimToNull(prefix + String.format("%0"+exp+"d", suffix));
				}
				return prefix;
			}
		}
		return s;
	}

	public static List<String> generateList(String s) {
		List<String> ls = new ArrayList<String>();
		String c = ConstantsGlobal.pipeSeparator;
		int sep = s.indexOf(c);
		if(sep > -1) {
			String prefix = trimToNull(s.substring(0, sep));
			String expS = trimToNull(s.substring(sep+1).replaceAll("\\"+c, ""));
			if(prefix != null && expS != null) {
				Integer exp = Integer.valueOf(expS);
				int pow = Double.valueOf(Math.pow(10, exp)).intValue();
				for (int i = 0; i < pow; i++) {
					ls.add(prefix + String.format("%0"+exp+"d", i));
				}
			}
		}
		return ls;
	}


	public static String impostaCampoC(Boolean eredita, String base, String nuova) {
		if(isNotFalse(eredita)) {
			return nuova != null ? nuova : base;
		} else {
			return base;
		}
	}

	public static String impostaCampoS(Boolean eredita, String base, String nuova, String simbolo) {
		StringBuilder sb = new StringBuilder();
		if(isNotBlank(base) && isNotFalse(eredita)) {
			sb.append(base + simbolo);
		}
		sb.append(nuova);
		return sb.toString();
	}

	public static Boolean impostaCampoB(Boolean eredita, Boolean base, Boolean nuova) {
		if(isNotFalse(eredita)) {
			return nuova != null ? nuova : base;
		} else {
			return base;
		}
	}


	public static boolean equals(Object a1, Object a2) {
		if(a1 == null && a2 == null) {
			return true;
		}
		if(a1 == null && a2 != null) {
			return false;
		}
		if(a1 != null && a2 == null) {
			return false;
		}
		return a1.equals(a2);
	}

	public static String forDigit(Integer numero) {
		Character c = gtZero(numero) ? Character.forDigit(numero, 10) : null;
		if(c != null) {
			return trimToEmpty(c.toString());
		}
		return "";
	}



	public static String convertC(Character escape) {
		String e = (escape != null) ? trimToNull(escape.toString()) : null;
		if(e != null && e.length() > 0) {
			return e.charAt(0) + "";
		}
		return null;
	}

	public static String convertC(String convert) {
		String e = (convert != null) ? trimToNull(convert) : null;
		if(e != null && e.length() > 0) {
			return e.charAt(0) + "";
		}
		return null;
	}

	public static boolean equalsC(Character escape, String compare) {
		String e = convertC(escape);
		String c = convertC(compare);
		if(e != null && c != null) {
			return e.equals(c);
		} 
		return false;
	}

	public static boolean validate(Character escape, String ... premuto) {
		String e = convertC(escape);
		if(e != null) {
			List<String> valid = new ArrayList<String>();
			for(String cc : premuto) {
				String c = convertC(cc);
				if(c != null) {
					valid.add(c);
				}
			}
			if(valid.contains(e)) {
				return true;
			}
		}
		return false;
	}



	public static Map<String, Object> proprieta(Object a, String [] escluse) {
		Map<String, Object> map = new HashMap<String, Object>();
		if(a != null) {
			try {
				List<Class<?>> s = new ArrayList<Class<?>>();
				s.add(a.getClass());
				getAllPadri(a.getClass(), s);
				for(Class<?> c : s) {
					for(Field m1 : c.getDeclaredFields()) {
						m1.setAccessible(true);
						if(!asList(escluse).contains(m1.getName())) {
							Object value = (Object) m1.get(a);
							map.put(m1.getName(), value);
						}
					}
				}
			} catch (Exception e) {
			}
		}
		return map;
	}

	public static void getAllPadri(Class<?> ag, List<Class<?>> allPadri) {
		if (ag.getSuperclass() != null) {
			allPadri.add(ag.getSuperclass());
			getAllPadri(ag.getSuperclass(), allPadri);
		}
		return;
	}

	public static String creaLista(int n, List<Integer> ls, Integer ... aa) {
		if(ls == null) {
			ls = new ArrayList<Integer>();
		}
		if(n < aa.length && gtZero(aa[n])) {
			ls.add(aa[n]);
			creaLista(n+1, ls, aa);
		}
		return trimToEmpty(detoken(ls, ConstantsGlobal.commaSeparator));
	}

	public static String detoken(List<?> valore, String c) {
		return trimToEmpty(join(valore, c));
	}

	public static List<String> asList(String ... c) {
		return new ArrayList<String>(Arrays.asList(c));
	}
	public static Set<String> asSet(String ... c) {
		return new HashSet<String>(Arrays.asList(c));
	}
	public static Date castDate(Object obj) {
		if(obj != null && obj instanceof Date) {
			return (Date) obj;
		} 
		return null;
	}

	public static String castBoolean(Object obj) {
		if(obj != null && obj instanceof Boolean) {
			return isTrue((Boolean) obj) ? ConstantsMap.TRUE : ConstantsMap.FALSE;
		} 
		return null;
	}

	public static String castString(Object obj) {
		if(obj != null) {
			return obj.toString();
		} 
		return null;
	}

	public static String castList(Object obj, String sep) {
		if(obj != null) {
			return detoken(asList((String[]) obj), sep);
		} 
		return null;
	}

	public static boolean ipAddress(String ip_consentiti, String ip_bloccati, String ipAddress) {
		List<String> ipList1 = tokenU(ip_consentiti, ConstantsGlobal.colonSeparator);
		List<String> ipList2 = tokenU(ip_bloccati, ConstantsGlobal.colonSeparator);
		boolean blocca1 = true;
		if(notEmpty(ipList1)) {
			for(String ip : ipList1) {
				if(ipMatch(ipAddress, ip)) {
					blocca1 = false;
					break;
				}
			}
		} else {
			blocca1 = false;
		}

		boolean blocca2 = false;
		if(notEmpty(ipList2)) {
			for(String ip : ipList2) {
				if(ipMatch(ipAddress, ip)) {
					blocca2 = true;
					break;
				}
			}
		} 
		return blocca1 || blocca2;
	}

	public static boolean ipMatch(String ipAddress, String match) {
		if(match.contains("/")) {
			SubnetUtils sbU = new SubnetUtils(match);
			SubnetInfo subnet = sbU.getInfo();
			return subnet.isInRange(ipAddress) || equals(subnet.getBroadcastAddress(), ipAddress) || equals(subnet.getNetworkAddress(), ipAddress);
		} else {
			return match.equals(ipAddress);
		}
	}

	public static void lastapp(DetachedCriteria criteria) {
		//criteria.add(Restrictions.isNotNull(("tipo")));
		//criteria.add(Restrictions.ne("lastapp", "Hangup"));
	}

	public static void lastapp(DetachedCriteria criteria, Integer tipo, String lastapp) {
		if (tipo != null) {
			criteria.add(Restrictions.eq("tipo", tipo));
		} else {
			criteria.add(Restrictions.isNotNull(("tipo")));
		}

		if (isNotBlank(lastapp)) {
			criteria.add(Restrictions.eq("lastapp", lastapp));
		}
	}

	public static List<String> token(String v, String c) {
		List<String> valoriItem = new ArrayList<String>();
		String valori = trimToNull(v);
		if(valori != null) {
			StringTokenizer st = new StringTokenizer(valori, c);
			while(st.hasMoreTokens()) {
				String valore = trimToNull(st.nextToken());
				if(valore != null) {
					valoriItem.add(valore);
				}
			}
		}
		return valoriItem;
	}

	public static List<String> tokenU(String v, String c) {
		List<String> valoriItem = new ArrayList<String>();
		String valori = trimToNull(v);
		if(valori != null) {
			StringTokenizer st = new StringTokenizer(valori, c);
			while(st.hasMoreTokens()) {
				String valore = trimToNull(st.nextToken());
				if(valore != null && !valoriItem.contains(valore)) {
					valoriItem.add(valore);
				}
			}
		}
		return valoriItem;
	}

	public static List<SelectItem> tokenSI(String v, String c) {
		List<SelectItem> valoriItem = new ArrayList<SelectItem>();
		String valori = trimToNull(v);
		if(valori != null) {
			StringTokenizer st = new StringTokenizer(valori, c);
			while(st.hasMoreTokens()) {
				String valore = trimToNull(st.nextToken());
				if(valore != null) {
					valoriItem.add(new SelectItem(valore, valore));
				}
			}
		}
		return valoriItem;
	}


	public static List<String> splitV(String v, String c) {
		List<String> valoriItem = new ArrayList<String>();
		String valori = trimToNull(v);
		if(valori != null) {
			String sL[] = valori.split(Pattern.quote(c+c));
			for(String s : sL) {
				String valore = trimToNull(s);
				if(valore != null) {
					valoriItem.add(valore);
				}
			}
		}
		return valoriItem;
	}

	public static List<Integer> tokenI(String v, String c) {
		List<Integer> valoriItem = new ArrayList<Integer>();
		String valori = trimToNull(v);
		if(valori != null) {
			StringTokenizer st = new StringTokenizer(valori, c);
			while(st.hasMoreTokens()) {
				String valore = trimToNull(st.nextToken());
				if(valore != null) {
					Integer vv = null;
					try {
						vv = Integer.parseInt(valore);
					} catch (Exception e) {
					}
					if(vv != null) {
						valoriItem.add(vv);
					}
				}
			}
		}
		return valoriItem;
	}

	public static List<Long> tokenL(String v, String c) {
		List<Long> valoriItem = new ArrayList<Long>();
		String valori = trimToNull(v);
		if(valori != null) {
			StringTokenizer st = new StringTokenizer(valori, c);
			while(st.hasMoreTokens()) {
				String valore = trimToNull(st.nextToken());
				if(valore != null) {
					Long vv = null;
					try {
						vv = Long.parseLong(valore);
					} catch (Exception e) {
						ErrorLog.log(null, null, e);
					}
					if(vv != null) {
						valoriItem.add(vv);
					}
				}
			}
		}
		return valoriItem;
	}

	public static String criterio(String tipo) {
		String f = " ...";
		if(isNotBlank(tipo)) {
			return "(" + ConstantsLanguage.TELEFONO.stampa() + ": " + Message.addCatalogText(tipo) + ")" + f;
		} else {
			return f;
		}
	}

	public static String criterio(String tipo, String proprieta, Integer limite, String query_proprieta, String query_valore, Boolean nuovo, Boolean producer) {
		String f = " ...";
		if(isNotBlank(tipo) || (gtZero(limite) && isNotBlank(proprieta)) || (query_proprieta != null && query_valore != null) || nuovo != null || isFalse(producer)) {
			List<String> e = new ArrayList<String>();
			if(isNotBlank(tipo)) {
				e.add(ConstantsLanguage.TELEFONO.stampa() + ": " + Message.addCatalogText(tipo));
			}
			if(nuovo != null) {
				if(nuovo) {
					e.add(ConstantsLanguage.CONTATTI.stampa() + ": " + ConstantsLanguage.NUOVI.stampa());
				} else {
					e.add(ConstantsLanguage.CONTATTI.stampa() + ": " + ConstantsLanguage.RICHIAMI.stampa());
				}
			}
			if(gtZero(limite) && isNotBlank(proprieta)) {
				e.add(ConstantsLanguage.OBIETTIVO.stampa() + ": " + Message.addCatalogText(proprieta) + " " + "[" + limite + "]" );
			}
			if(query_proprieta != null && query_valore != null) {
				e.add(ConstantsLanguage.RICERCA.stampa() + ": " + Message.addCatalogText(query_proprieta) + " " + "[" + query_valore + "]" );
			}
			if(isFalse(producer)) {
				e.add(ConstantsLanguage.BLOCCO_CHIAMATE.stampa());
			}
			return "(" + detoken(e, ConstantsGlobal.colonSeparator + " ") + ")" + f;
		} else {
			return f;
		}
	}

	public static List<QueryKey> query(String qs, String username, String password, String link, String driver) {
		List<QueryKey> qkl = new ArrayList<QueryKey>();
		String cl = cleanText(qs);
		List<String> ql = splitV(cl, ConstantsGlobal.qsp);
		if(notEmpty(ql)) {
			int i = 1;
			try {
				Class.forName(driver);
				Connection conn = DriverManager.getConnection(link, username, trimToEmpty(password));
				conn.setAutoCommit(true);
				Statement st = conn.createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE, ResultSet.CONCUR_READ_ONLY);
				for(String q : ql) {
					QueryKey qk = queryExecute(st, q);
					qk.setId(i++);
					qk.setQuery(q);
					qkl.add(qk);
				}
				st.close();
				conn.close();
			} catch (Exception e) {
				ErrorLog.log(null, null, e);
			}
		}
		return qkl;
	}

	public static String sql(String q, String username, String password, String link, String driver) throws Exception {
		List<String> result = new ArrayList<String>();
		List<QueryKey> qks = query(q, username, password, link, driver);
		for(QueryKey qk: qks) {
			result.add((ConstantsLanguage.QUERY.stampa() + " " + qk.getId() + ": " + qk.getQuery()));
			if(qk.getRow() == null && qk.getErrore() == null) {
				int size = qk.getRighe().size();
				result.add(ConstantsLanguage.TOTALE.stampa() + ": " + size);
				List<String> titles = qk.getChiavi();
				List<String> resultH = new ArrayList<String>();
				for(int i = 0; i < titles.size(); i++) {
					resultH.add(titles.get(i));
				}
				result.add(detoken(resultH, ConstantsGlobal.colonSeparator + " "));
				for(int i = 0; i < size; i++) {
					List<String> resultD = new ArrayList<String>();
					for(int j = 0; j < titles.size(); j++) {
						QueryElement o = qk.getMappa().get(titles.get(j)).get(i);
						resultD.add(o.toString() + ConstantsGlobal.colonSeparator + " ");
					}
					result.add(detoken(resultD, ConstantsGlobal.colonSeparator + " "));
				}
			}
			if(qk.getRow() != null) {
				result.add(Message.addCatalogText("query_eseguita") + ": " + qk.getRow() + "");
			}
			if(qk.getErrore() != null) {
				result.add(Message.addCatalogText("errore") + ": " + qk.getErrore());
			}
		}
		return detoken(result, ConstantsGlobal.RETURN);
	}

	public static int impostaTempo(Date tempo1, Date tempo2) {
		if(tempo1 != null && tempo2 != null) {
			double diff = tempo1.getTime() - tempo2.getTime();
			if(diff > 0) {
				return (int) Math.round(diff / ConstantsGlobal.millis);
			}
		}
		return 0;
	}

	public static int impostaTempo(Date [] tempo, Date tempo2) {
		Date tempo1 = null;
		if(tempo != null && tempo2 != null) {
			for(Date tmp : tempo) {
				if(tmp != null) {
					if(tmp.after(tempo2)) {
						if(tempo1 == null) {
							tempo1 = tmp;
						}

						if(tmp.after(tempo1)) {
							tempo1 = tmp;
						}
					}
				}
			}
		}
		return impostaTempo(tempo1, tempo2);
	}

	public static boolean controllaTempo(Date tempo1, Date tempo2) {
		boolean b1 = tempo1 != null && tempo2 == null;
		boolean b2 = tempo1 != null && tempo2 != null && tempo1.getTime() > tempo2.getTime();
		return b1 || b2;
	}

	public static String prendiAllegatoMessaggi(List<AllegatoMessaggio> c) {
		List<String> ln = new ArrayList<String>();
		if(notEmpty(c)) {
			Iterator<AllegatoMessaggio> objIter = c.iterator();
			while(objIter.hasNext()) {
				AllegatoMessaggio an = objIter.next();
				ln.add(an.getNome());
			}
		}
		return trimToEmpty(detoken(ln, ConstantsGlobal.colonSeparator));
	}

	public static String prendiDestinatarioMessaggi(List<Destinatario> c) {
		List<String> ln = new ArrayList<String>();
		if(notEmpty(c)) {
			Iterator<Destinatario> objIter = c.iterator();
			while(objIter.hasNext()) {
				Destinatario an = objIter.next();
				ln.add(an.getDenominazione());
			}
		}
		return trimToEmpty(detoken(ln, ConstantsGlobal.colonSeparator));
	}

	public static List<Long> prendiIdDestinatarioMessaggi(List<Destinatario> c) {
		List<Long> ln = new ArrayList<Long>();
		if(notEmpty(c)) {
			Iterator<Destinatario> objIter = c.iterator();
			while(objIter.hasNext()) {
				Destinatario an = objIter.next();
				ln.add(an.getMessaggio().getId());
			}
		}
		return ln;
	}

	public static List<Long> prendiIdCoda(List<Coda> c) {
		List<Long> ln = new ArrayList<Long>();
		if(notEmpty(c)) {
			Iterator<Coda> objIter = c.iterator();
			while(objIter.hasNext()) {
				Coda an = objIter.next();
				ln.add(an.getId());
			}
		}
		return ln;
	}

	public static List<Long> prendiIdRisposta(List<Risposta> c) {
		List<Long> ln = new ArrayList<Long>();
		if(notEmpty(c)) {
			Iterator<Risposta> objIter = c.iterator();
			while(objIter.hasNext()) {
				Risposta an = objIter.next();
				ln.add(an.getId());
			}
		}
		return ln;
	}

	public static List<Long> prendiIdBuddies(List<SipBuddies> c) {
		List<Long> ln = new ArrayList<Long>();
		if(notEmpty(c)) {
			Iterator<SipBuddies> objIter = c.iterator();
			while(objIter.hasNext()) {
				SipBuddies an = objIter.next();
				ln.add(an.getId());
			}
		}
		return ln;
	}

	public static List<Long> prendiIdZona(List<Zona> c) {
		List<Long> ln = new ArrayList<Long>();
		if(notEmpty(c)) {
			Iterator<Zona> objIter = c.iterator();
			while(objIter.hasNext()) {
				Zona an = objIter.next();
				ln.add(an.getId());
			}
		}
		return ln;
	}

	public static List<Long> prendiIdTeam(List<Team> c) {
		List<Long> ln = new ArrayList<Long>();
		if(notEmpty(c)) {
			Iterator<Team> objIter = c.iterator();
			while(objIter.hasNext()) {
				Team an = objIter.next();
				ln.add(an.getId());
			}
		}
		return ln;
	}

	public static List<Long> prendiIdUser(List<Utente> c) {
		List<Long> ln = new ArrayList<Long>();
		if(notEmpty(c)) {
			Iterator<Utente> objIter = c.iterator();
			while(objIter.hasNext()) {
				Utente an = objIter.next();
				ln.add(an.getId());
			}
		}
		return ln;
	}
	public static List<Long> prendiIdUserSI(List<UtenteSI> c) {
		List<Long> ln = new ArrayList<Long>();
		if(notEmpty(c)) {
			Iterator<UtenteSI> objIter = c.iterator();
			while(objIter.hasNext()) {
				UtenteSI an = objIter.next();
				ln.add(an.getId());
			}
		}
		return ln;
	}

	public static List<Long> prendiIdMittenteMessaggi(List<Messaggio> c) {
		List<Long> ln = new ArrayList<Long>();
		if(notEmpty(c)) {
			Iterator<Messaggio> objIter = c.iterator();
			while(objIter.hasNext()) {
				Messaggio an = objIter.next();
				ln.add(an.getId());
			}
		}
		return ln;
	}

	public static List<Long> prendiIdCampagna(List<Campagna> campagne) {
		List<Long> campagneId = new ArrayList<Long>();
		if(notEmpty(campagne)) {
			Iterator<Campagna> objIter = campagne.iterator();
			while(objIter.hasNext()) {
				Campagna campagna = objIter.next();
				campagneId.add(campagna.getId());
			}
		}
		return campagneId;
	}

	public static List<Long> prendiIdCampagnaReport(List<RiepilogoCampagnaList> campagne) {
		List<Long> campagneId = new ArrayList<Long>();
		if(notEmpty(campagne)) {
			Iterator<RiepilogoCampagnaList> objIter = campagne.iterator();
			while(objIter.hasNext()) {
				RiepilogoCampagnaList campagna = objIter.next();
				campagneId.add(campagna.getEid());
			}
		}
		return campagneId;
	}

	public static List<Long> prendiIdContratto(List<Contratto> c) {
		List<Long> ln = new ArrayList<Long>();
		if(notEmpty(c)) {
			Iterator<Contratto> objIter = c.iterator();
			while(objIter.hasNext()) {
				Contratto an = objIter.next();
				ln.add(an.getId());
			}
		}
		return ln;
	}

	public static List<Long> prendiIdContattoSI(List<ContattoSI> c) {
		List<Long> ln = new ArrayList<Long>();
		if(notEmpty(c)) {
			Iterator<ContattoSI> objIter = c.iterator();
			while(objIter.hasNext()) {
				ContattoSI an = objIter.next();
				ln.add(an.getId());
			}
		}
		return ln;
	}

	public static List<Long> prendiIdPrenotazione(List<Prenotazione> c) {
		List<Long> ln = new ArrayList<Long>();
		if(notEmpty(c)) {
			Iterator<Prenotazione> objIter = c.iterator();
			while(objIter.hasNext()) {
				Prenotazione an = objIter.next();
				ln.add(an.getId());
			}
		}
		return ln;
	}

	public static List<Long> prendiIdNota(List<Nota> c) {
		List<Long> ln = new ArrayList<Long>();
		if(notEmpty(c)) {
			Iterator<Nota> objIter = c.iterator();
			while(objIter.hasNext()) {
				Nota an = objIter.next();
				ln.add(an.getId());
			}
		}
		return ln;
	}

	public static List<Long> prendiIdContatto(List<Contatto> c) {
		List<Long> ln = new ArrayList<Long>();
		if(notEmpty(c)) {
			Iterator<Contatto> objIter = c.iterator();
			while(objIter.hasNext()) {
				Contatto an = objIter.next();
				ln.add(an.getId());
			}
		}
		return ln;
	}

	public static List<Long> prendiIdAppuntamento(List<Appuntamento> c) {
		List<Long> ln = new ArrayList<Long>();
		if(notEmpty(c)) {
			Iterator<Appuntamento> objIter = c.iterator();
			while(objIter.hasNext()) {
				Appuntamento an = objIter.next();
				ln.add(an.getId());
			}
		}
		return ln;
	}

	public static List<Long> prendiIdAgente(List<Agente> c) {
		List<Long> ln = new ArrayList<Long>();
		if(notEmpty(c)) {
			Iterator<Agente> objIter = c.iterator();
			while(objIter.hasNext()) {
				Agente an = objIter.next();
				ln.add(an.getId());
			}
		}
		return ln;
	}

	public static List<Long> prendiIdNotizia(List<Notizia> c) {
		List<Long> ln = new ArrayList<Long>();
		if(notEmpty(c)) {
			Iterator<Notizia> objIter = c.iterator();
			while(objIter.hasNext()) {
				Notizia an = objIter.next();
				ln.add(an.getId());
			}
		}
		return ln;
	}


	public static List<Long> prendiIdAnagrafica(List<Anagrafica> c) {
		List<Long> ln = new ArrayList<Long>();
		if(notEmpty(c)) {
			Iterator<Anagrafica> objIter = c.iterator();
			while(objIter.hasNext()) {
				Anagrafica an = objIter.next();
				ln.add(an.getId());
			}
		}
		return ln;
	}

	public static List<Long> prendiIdListaSI(List<ListaSI> c) {
		List<Long> ln = new ArrayList<Long>();
		if(notEmpty(c)) {
			Iterator<ListaSI> objIter = c.iterator();
			while(objIter.hasNext()) {
				ListaSI an = objIter.next();
				ln.add(an.getId());
			}
		}
		return ln;
	}

	public static List<Long> prendiIdLista(List<Lista> c) {
		List<Long> ln = new ArrayList<Long>();
		if(notEmpty(c)) {
			Iterator<Lista> objIter = c.iterator();
			while(objIter.hasNext()) {
				Lista an = objIter.next();
				ln.add(an.getId());
			}
		}
		return ln;
	}

	public static List<Long> prendiIdDocumento(List<Documento> c) {
		List<Long> ln = new ArrayList<Long>();
		if(notEmpty(c)) {
			Iterator<Documento> objIter = c.iterator();
			while(objIter.hasNext()) {
				Documento an = objIter.next();
				ln.add(an.getId());
			}
		}
		return ln;
	}

	public static List<Long> prendiIdDestinatario(List<Destinatario> c) {
		List<Long> ln = new ArrayList<Long>();
		if(notEmpty(c)) {
			Iterator<Destinatario> objIter = c.iterator();
			while(objIter.hasNext()) {
				Destinatario destinatario = objIter.next();
				ln.add(destinatario.getUser().getId());
			}
		}
		return ln;
	}

	public static List<Long> prendiIdDomandaAnagrafica(List<DomandaAnagrafica> c) {
		List<Long> ln = new ArrayList<Long>();
		if(notEmpty(c)) {
			Iterator<DomandaAnagrafica> objIter = c.iterator();
			while(objIter.hasNext()) {
				DomandaAnagrafica campoagg = objIter.next();
				ln.add(campoagg.getCampo_aggiuntivo().getId());
			}
		}
		return ln;
	}

	public static List<String> prendiChiaveAnagrafica(List<DatoAggiuntivoAnagrafica> c) {
		List<String> ln = new ArrayList<String>();
		if(notEmpty(c)) {
			Iterator<DatoAggiuntivoAnagrafica> objIter = c.iterator();
			while(objIter.hasNext()) {
				DatoAggiuntivoAnagrafica an = objIter.next();
				ln.add(an.getCampo_aggiuntivo().getChiave());
			}
		}
		return ln;
	}

	public static List<String> prendiChiaveContratto(List<DatoAggiuntivoContratto> c) {
		List<String> ln = new ArrayList<String>();
		if(notEmpty(c)) {
			Iterator<DatoAggiuntivoContratto> objIter = c.iterator();
			while(objIter.hasNext()) {
				DatoAggiuntivoContratto an = objIter.next();
				ln.add(an.getCampo_aggiuntivo().getChiave());
			}
		}
		return ln;
	}
	
	public static List<Long> prendiIdAnagraficaByContatto(List<Contatto> c) {
		List<Long> ln = new ArrayList<Long>();
		if(notEmpty(c)) {
			Iterator<Contatto> objIter = c.iterator();
			while(objIter.hasNext()) {
				Contatto an = objIter.next();
				ln.add(an.getAnagrafica() .getId());
			}
		}
		return ln;
	}

	public static boolean salvaImmagine(List<MyFile> fls, String path, Integer max_width, Integer max_height) {
		if(notEmpty(fls)) {
			Iterator<MyFile> flsIt = fls.iterator();
			while (flsIt.hasNext()) {
				MyFile ff = (MyFile) flsIt.next();
				byte [] b = ff.getData();
				if(b != null) { 
					BufferedImage img = allToImage(b);
					if(img != null) {
						return resize(img, path, max_width, max_height);
					}
				}
			}
		}

		return false;
	}
	
	public static boolean salvaImmagine(String url, String path, Integer max_width, Integer max_height) {
		String u = trimToNull(url);
		if(u != null) {
			//	if(!isExtensionN(u, ConstantsMap.a_immagini)) {
			//		return false;
			//	}
			byte [] b = null;
			if(isBase64(u)) {
				String s = trimToNull(substringAfter(u, ","));
				if(s != null) {
					b = Base64.decodeBase64(s.getBytes(ConstantsGlobal.CHARSET));
				}
			} else {
				try {
					InputStream stream = new URL(u).openStream();
					b = toByteArray(stream);
					stream.close();
				} catch (Exception e) {
				}
			}
			if(b != null) { 
				BufferedImage img = allToImage(b);
				if(img != null) {
					return resize(img, path, max_width, max_height);
				}
			}	

		}
		return false;
	}

	public static boolean isBase64(String base64) { 
		return trimToEmpty(base64).startsWith("data:");
	} 

	public static BufferedImage allToImage(byte [] b) {
		try {
			InputStream is = new ByteArrayInputStream(b);
			BufferedImage img = readImage(is);
			is.close();
			return img;
		} catch (Exception e) {
		}
		return null;
	}


	public static Utente getUsernameLoggato(){
		SecurityContext sc = getSecurityContext();
		Authentication au = sc.getAuthentication();
		if (au!=null) {
			Object principal = au.getPrincipal();
			if (principal instanceof Utente) {
				return ((Utente) principal);
			}
		}
		return null;
	}

	public static List<Long> prendiIdDomandaContratto(List<DomandaContratto> c) {
		List<Long> ln = new ArrayList<Long>();
		if(notEmpty(c)) {
			Iterator<DomandaContratto> objIter = c.iterator();
			while(objIter.hasNext()) {
				DomandaContratto campoagg = objIter.next();
				ln.add(campoagg.getCampo_aggiuntivo().getId());
			}
		}
		return ln;
	}

	public static List<Long> prendiIdDatoAggiuntivoAnagrafica(List<DatoAggiuntivoAnagrafica> c) {
		List<Long> ln = new ArrayList<Long>();
		if(notEmpty(c)) {
			Iterator<DatoAggiuntivoAnagrafica> objIter = c.iterator();
			while(objIter.hasNext()) {
				DatoAggiuntivoAnagrafica campoagg = objIter.next();
				ln.add(campoagg.getCampo_aggiuntivo().getId());
			}
		}
		return ln;
	}

	public static List<Long> prendiIdDatoAggiuntivoContratto(List<DatoAggiuntivoContratto> c) {
		List<Long> ln = new ArrayList<Long>();
		if(notEmpty(c)) {
			Iterator<DatoAggiuntivoContratto> objIter = c.iterator();
			while(objIter.hasNext()) {
				DatoAggiuntivoContratto campoagg = objIter.next();
				ln.add(campoagg.getCampo_aggiuntivo().getId());
			}
		}
		return ln;
	}

	public static boolean isVisibile(MonitorOperatore mo, Integer visibile) {
		boolean f = true;
		if(gtZero(visibile)) {
			if(eq(visibile,1)) {
				f = mo.getVisibile();
			} else {
				f = !mo.getVisibile();
			}
		}
		return f;
	}

	public static boolean isBrowser(MonitorOperatore mo, Integer visibile) {
		boolean f = true;
		if(gtZero(visibile)) {
			if(eq(visibile,1)) {
				f = mo.isBrowser();
			} else {
				f = !mo.isBrowser();
			}
		}
		return f;
	}

	public static boolean isRegistrato(MonitorOperatore mo, Integer registrato) {
		boolean f = true;
		if(gtZero(registrato)) {
			if(eq(registrato,1)) {
				f = mo.getOperatore().getLoggato();
			} else {
				f = !mo.getOperatore().getLoggato();
			}
		}
		return f;
	}

	public static boolean isLocale(MonitorOperatore mo, Integer tipoUtente) {
		boolean f = true;
		if(gtZero(tipoUtente)) {
			if(eq(tipoUtente,1)) {
				f = mo.getOperatore().isLocale();
			} else {
				f = !mo.getOperatore().isLocale();
			}
		}
		return f;
	}


	public static int size(List<?> a) {
		if(notEmpty(a)) {
			return a.size();
		}
		return 0;
	}

	public static int size(Set<?> a) {
		if(notEmpty(a)) {
			return a.size();
		}
		return 0;
	}
	public static int size(Map<?, ?> a) {
		if(notEmpty(a)) {
			return a.size();
		}
		return 0;
	}

	public static int size(Collection<?> a) {
		if(notEmpty(a)) {
			return a.size();
		}
		return 0;
	}

	public static int size(Object [] a) {
		if(notEmpty(a)) {
			return a.length;
		}
		return 0;
	}

	public static boolean notEmpty(List<?> a) {
		if(a != null && !a.isEmpty()) {
			return true;
		}
		return false;
	}

	public static boolean notEmpty(Collection<?> a) {
		if(a != null && !a.isEmpty()) {
			return true;
		}
		return false;
	}

	public static boolean notEmpty(Map<?, ?> a) {
		if(a != null && !a.isEmpty()) {
			return true;
		}
		return false;
	}

	public static boolean notEmpty(Object [] a) {
		if(a != null && a.length > 0) {
			return true;
		}
		return false;
	}

	public static boolean notEmpty(Set<?> a) {
		if(a != null && !a.isEmpty()) {
			return true;
		}
		return false;
	}

	public static boolean empty(List<?> a) {
		if(a == null || a.isEmpty()) {
			return true;
		}
		return false;
	}

	public static boolean empty(Collection<?> a) {
		if(a == null || a.isEmpty()) {
			return true;
		}
		return false;
	}

	public static boolean empty(Map<?, ?> a) {
		if(a == null || a.isEmpty()) {
			return true;
		}
		return false;
	}

	public static boolean empty(Object [] a) {
		if(a == null || a.length <= 0) {
			return true;
		}
		return false;
	}

	public static boolean empty(Set<?> a) {
		if(a == null || a.isEmpty()) {
			return true;
		}
		return false;
	}

	public static boolean compare(Object a1, Object a2) {
		if(a1 != null && a2 != null) {
			if(a1 instanceof Date && a2 instanceof Date) {
				Date time1 = (Date) a1;
				Date time2 = (Date) a2;
				return time1.after(time2);
			}
			if(a1 instanceof Time && a2 instanceof Time) {
				Time time1 = (Time) a1;
				Time time2 = (Time) a2;
				return time1.after(time2);
			}
			if(a1 instanceof Integer && a2 instanceof Integer) {
				Integer time1 = (Integer) a1;
				Integer time2 = (Integer) a2;
				return time1.intValue() > time2.intValue();
			}
			if(a1 instanceof BigDecimal && a2 instanceof BigDecimal) {
				BigDecimal time1 = (BigDecimal) a1;
				BigDecimal time2 = (BigDecimal) a2;
				return time1.doubleValue() > time2.doubleValue();
			}
		}
		return false;
	}
	public static Long toLong(Object a) {
		if(a != null) {
			try {
				if(a instanceof Integer) {
					return Long.valueOf((Integer) a);
				}
				if(a instanceof Long) {
					return Long.valueOf((Long) a);
				}
				if(a instanceof Short) {
					return Long.valueOf((Short) a);
				}
				if(a instanceof String) {
					return Long.valueOf((String) a);
				}
			} catch (Exception e) {
			}
		}
		return null;
	}

	public static BigDecimal toBigDecimal(Object a) {
		if(a != null) {
			try {
				if(a instanceof Integer) {
					return new BigDecimal((Integer) a);
				}
				if(a instanceof Long) {
					return new BigDecimal((Long) a);
				}
				if(a instanceof Short) {
					return new BigDecimal((Short) a);
				}
				if(a instanceof String) {
					return new BigDecimal((String) a);
				}
			} catch (Exception e) {
			}
		}
		return null;
	}

	public static Integer toInteger(Object a) {
		if(a != null) {
			try {
				if(a instanceof Integer) {
					return Integer.valueOf((Integer) a);
				}
				if(a instanceof Short) {
					return Integer.valueOf((Short) a);
				}
				if(a instanceof String) {
					return Integer.valueOf((String) a);
				}
			} catch (Exception e) {
			}
		}
		return null;
	}

	public static Boolean toBoolean(Object a) {
		if(a != null) {
			try {
				if(a instanceof String) {
					return Boolean.valueOf((String) a);
				}
				if(a instanceof Boolean) {
					return Boolean.valueOf((Boolean)a);
				}
			} catch (Exception e) {
			}
		}
		return null;
	}

	public static String tronca(String s) {
		String descL = trimToEmpty(s);
		String descS = normalize(descL);
		if(!descS.equals(descL)) {
			return trimToEmpty(descS) + " " + "...";
		} else {
			return trimToEmpty(descS);
		}
	}

	public static String protocol(String a) {
		if(isNotBlank(a)) {
			try {
				URL url = new URL(a);
				return url.getProtocol();
			} catch (MalformedURLException e) {
			}
		}
		return null;
	}

	
	public static String mergeFreemarkerTemplate(Configuration freemarkerConfiguration, String path, String template, Map<String, Object> model){
		StringBuilder s = new StringBuilder("");
		try {
			freemarker.template.Template t = freemarkerConfiguration.getTemplate(path + "/" + template);
			s.append(FreeMarkerTemplateUtils.processTemplateIntoString(t,model));
		} catch (Exception e) {
		}
		return s.toString();
	}


	public static String normalizeFolder(String f) {
		String folder = trimToNull(f);
		if(folder!=null) {
			return Paths.get(folder).normalize().toString();
		} 
		return folder;
	}

	public static boolean gtZero(Short numero) {
		if(numero != null && numero.shortValue() > 0) {
			return true;
		}
		return false;
	}

	public static boolean gtZero(Double numero) {
		if(numero != null && numero.doubleValue() > 0) {
			return true;
		}
		return false;
	}

	public static boolean gtZero(BigDecimal numero) {
		if(numero != null && numero.doubleValue() > 0) {
			return true;
		}
		return false;
	}

	public static boolean gtZero(Long numero) {
		if(numero != null && numero.longValue() > 0) {
			return true;
		}
		return false;
	}

	public static boolean gtZero(Integer numero) {
		if(numero != null && numero.intValue() > 0) {
			return true;
		}
		return false;
	}

	public static boolean eq(Integer numero, int n) {
		if(numero != null && numero.intValue() == n) {
			return true;
		}
		return false;
	}

	public static boolean eq(Long numero, long n) {
		if(numero != null && numero.longValue() == n) {
			return true;
		}
		return false;
	}

	public static boolean eq(Short numero, short n) {
		if(numero != null && numero.shortValue() == n) {
			return true;
		}
		return false;
	}

	public static boolean ne(Integer numero, int n) {
		if(numero != null && numero.intValue() != n) {
			return true;
		}
		return false;
	}

	public static boolean ne(Long numero, long n) {
		if(numero != null && numero.longValue() != n) {
			return true;
		}
		return false;
	}

	public static boolean ne(Short numero, short n) {
		if(numero != null && numero.shortValue() != n) {
			return true;
		}
		return false;
	}

	public static boolean ge(Integer numero, int n) {
		if(numero != null && numero.intValue() >= n) {
			return true;
		}
		return false;
	}


	public static boolean ge(Long numero, long n) {
		if(numero != null && numero.longValue() >= n) {
			return true;
		}
		return false;
	}

	public static boolean ge(Short numero, short n) {
		if(numero != null && numero.shortValue() >= n) {
			return true;
		}
		return false;
	}

	public static boolean gt(Integer numero, int n) {
		if(numero != null && numero.intValue() > n) {
			return true;
		}
		return false;
	}


	public static boolean gt(Long numero, long n) {
		if(numero != null && numero.longValue() > n) {
			return true;
		}
		return false;
	}

	public static boolean gt(Short numero, short n) {
		if(numero != null && numero.shortValue() > n) {
			return true;
		}
		return false;
	}

	public static boolean minore(Integer n1, Integer n2) {
		if(n1 == null) {
			n1 = 0;
		}
		if(n2 == null) {
			n2 = 0;
		}
		if(n1.intValue() < n2.intValue()) {
			return true;
		}
		return false;
	}


	public static boolean isTrue(Boolean numero) {
		if(numero != null && numero) {
			return true;
		}
		return false;
	}

	public static boolean isFalse(Boolean numero) {
		if(numero == null || !numero) {
			return true;
		}
		return false;
	}

	public static boolean isNotFalse(Boolean numero) {
		if(numero == null || numero) {
			return true;
		}
		return false;
	}

	public static boolean isNotTrue(Boolean numero) {
		if(numero != null && !numero) {
			return true;
		}
		return false;
	}

	public static boolean ltZero(Long numero) {
		if(numero == null || numero.longValue() <= 0) {
			return true;
		}
		return false;
	}

	public static boolean ltZero(Short numero) {
		if(numero == null || numero.shortValue() <= 0) {
			return true;
		}
		return false;
	}

	public static boolean ltZero(Integer numero) {
		if(numero == null || numero.intValue() <= 0) {
			return true;
		}
		return false;
	}

	public static boolean isToSave(Long numero) {
		if(numero == null || numero.longValue() > 0) {
			return true;
		}
		return false;
	}


	public static boolean isToAdd(Long numero) {
		if(numero != null && numero.longValue() <= 0) {
			return true;
		}
		return false;
	}


	public static boolean isDisponibile(Date data) {
		if(data != null && data.before(date())) {
			return true;
		} else {
			return false;
		}
	}

	public static List<String> ruoliValori(boolean co, boolean ap, boolean cr, boolean re) {
		List<String> list = new ArrayList<String>();
		if(co) {
			list.add(ConstantsGlobal.contatti);
		}
		if(ap) {
			list.add(ConstantsGlobal.appuntamenti);
		}
		if(cr) {
			list.add(ConstantsGlobal.contratti);
		}
		if(re) {
			list.add(ConstantsGlobal.reportistica);
		}
		return list;
	}

	public static String ruoliValoriS1(boolean co, boolean ap, boolean cr) {
		List<String> list = ruoliValori(co, ap, cr, false);
		return detoken(list, ConstantsGlobal.colonSeparator);
	}

	public static String ruoliValoriS2(boolean co, boolean ap, boolean cr, boolean re) {
		List<String> list = ruoliValori(co, ap, cr, re);
		return detoken(list, ConstantsGlobal.colonSeparator);
	}

	public static List<String> ruoliValori1() {
		return ruoliValori(true, true, true, false);
	}

	public static List<String> ruoliValori2() {
		return ruoliValori(true, true, true, true);
	}

	public static String clearString(String rel) {
		return trimToEmpty(rel).replaceAll("'", " ").replaceAll("\"", " ");
	}

	public static String toolText(String rel, Long numero) {
		StringBuilder sb = new StringBuilder();
		if(isNotBlank(rel)) {
			sb.append(clearString(rel)+", ");
		}
		sb.append(formatNumber(numero));
		return sb.toString();
	}


	public static String report1XML(Map<String, Long> mappa, List<RiepilogoSondaggio> rel) {
		StringBuilder sb = new StringBuilder();
		sb.append("<chart showLegend='1' decimalSMB='"+ConstantsGlobal.decimalSMB+"' thousandSMB='"+ConstantsGlobal.thousandSMB+"' showNames='1' showValues='1' showLabels='1' showValueInToolTip='1' showPercentageValues='1' showPercentageInLabel='1' animation='1' bgColor='F1F1F1' formatNumberScale='0' pieBorderThickness='1' pieBorderColor='FFFFFF' useHoverColor='1' hoverFillColor='CCCCCC' basefontColor='272627' >");
		for(String et : mappa.keySet()) {
			sb.append("<category label='"+clearString(et)+"' value='"+mappa.get(et)+"' toolText='"+clearString(et)+", "+mappa.get(et)+"'>");
			for(RiepilogoSondaggio re : rel) {
				if(et.equals(re.getEtichetta())) {
					sb.append("<category label='"+clearString(re.getRisposta())+"' value='"+re.getNumero()+"' toolText='"+toolText(re.getRisposta(), re.getNumero())+"' />");
				}
			}
			sb.append(" </category>");
		}
		sb.append("</chart>");
		return base64Encoder(sb.toString());
	}

	public static String report2XML(List<RiepilogoEsito> rel) {
		StringBuilder sb = new StringBuilder();
		sb.append("<chart showLegend='1' decimalSMB='"+ConstantsGlobal.decimalSMB+"' thousandSMB='"+ConstantsGlobal.thousandSMB+"' showNames='1' showValues='1' showPercentageValues='1' showPercentageInLabel='1' animation='1' bgColor='F1F1F1' formatNumberScale='0'>");
		for(RiepilogoEsito re : rel)
			sb.append("<set label='"+clearString(re.getEtichettaCodice())+"' value='"+re.getNumero()+"'/>");
		sb.append("</chart>");
		return base64Encoder(sb.toString());
	}

	public static String report3XML(List<RiepilogoEsito> rel) {
		StringBuilder sb = new StringBuilder();
		sb.append("<chart showLegend='1' decimalSMB='"+ConstantsGlobal.decimalSMB+"' thousandSMB='"+ConstantsGlobal.thousandSMB+"' showAlternateVGridColor='1' alternateVGridAlpha='10' alternateVGridColor='AFD8F8' numDivLines='4' canvasBorderThickness='1' canvasBorderColor='114B78' baseFontColor='114B78' hoverCapBorderColor='114B78' hoverCapBgColor='E7EFF6' formatNumberScale='0' bgColor='F1F1F1'>");
		for(RiepilogoEsito re : rel) {
			sb.append("<set label='"+ clearString(re.getEtichettaCodice() +" "+ re.getPositivoString()) + "' toolText='"+ toolText(re.getEsito() +" "+ re.getPositivoString() , re.getNumero())+"' value='"+re.getNumero()+"'/>");
		}
		sb.append("</chart>");
		return base64Encoder(sb.toString());
	}

	public static String report4XML(List<ReportOrario> rel) {
		StringBuilder sb = new StringBuilder();
		sb.append("<chart showLegend='1' decimalSMB='"+ConstantsGlobal.decimalSMB+"' thousandSMB='"+ConstantsGlobal.thousandSMB+"' showAlternateVGridColor='1' alternateVGridAlpha='10' alternateVGridColor='AFD8F8' numDivLines='4' canvasBorderThickness='1' canvasBorderColor='114B78' baseFontColor='114B78' hoverCapBorderColor='114B78' hoverCapBgColor='E7EFF6' formatNumberScale='0' bgColor='F1F1F1'>");
		for(ReportOrario re : rel) {
			sb.append("<set label='"+ re.getOrario() + "' value='"+re.getNumero()+"'/>");
		}
		sb.append("</chart>");
		return base64Encoder(sb.toString());
	}
	
	public static String report5XML(List<RiepilogoCdr> rel) {
		StringBuilder sb = new StringBuilder();
		sb.append("<chart showLegend='1' decimalSMB='"+ConstantsGlobal.decimalSMB+"' thousandSMB='"+ConstantsGlobal.thousandSMB+"' showNames='0' showValues='0' showLabels='1' showValueInToolTip='1' animation='1' bgColor='F1F1F1' formatNumberScale='0' useHoverColor='1' hoverFillColor='CCCCCC' basefontColor='272627' >");
		sb.append("<categories>");
		for(RiepilogoCdr re : rel) {
			sb.append("<category label='"+re.getRadice()+"' />");
		}
		sb.append("</categories>");
		sb.append("<dataset seriesName='"+ConstantsLanguage.CHIAMATE.stampa()+"'>");
		for(RiepilogoCdr re : rel) {
			sb.append("<set value='"+re.getContatti()+"' />");
		}
		sb.append("</dataset>");
		sb.append("<dataset seriesName='"+ConstantsLanguage.CONVERSAZIONI.stampa()+"'>");
		for(RiepilogoCdr re : rel) {
			sb.append("<set value='"+re.getChiamata()+"' />");
		}
		sb.append("</dataset>");
		sb.append("</chart>");
		return base64Encoder(sb.toString());
	}
	
	
	public static String report6XML(Map<String, AutodialerMap> aMap) {
		StringBuilder sb = new StringBuilder();
		sb.append("<chart showLegend='1' decimalSMB='"+ConstantsGlobal.decimalSMB+"' thousandSMB='"+ConstantsGlobal.thousandSMB+"' showNames='0' showValues='0' showLabels='1' showValueInToolTip='1' animation='1' bgColor='F1F1F1' formatNumberScale='0' useHoverColor='1' hoverFillColor='CCCCCC' basefontColor='272627' >");
		sb.append("<categories>");
		for(String re : aMap.keySet()) {
			sb.append("<category label='"+re+"' />");
		}
		sb.append("</categories>");
		StringBuilder sbTentate = new StringBuilder();
		StringBuilder sbRisposte = new StringBuilder();
		StringBuilder sbNonRisposte = new StringBuilder();
		StringBuilder sbGestite = new StringBuilder();
		StringBuilder sbNonGestite = new StringBuilder();
		StringBuilder sbEsitate = new StringBuilder();
		for(String re : aMap.keySet()) {
			AutodialerMap a = aMap.get(re);
			sbTentate.append("<set value='"+ (a != null ? a.getTentate() : 0) +"' />");
			sbRisposte.append("<set value='"+ (a != null ? a.getRisposte() : 0) +"' />");
			sbNonRisposte.append("<set value='"+ (a != null ? a.getNonRisposte() : 0) +"' />");
			sbGestite.append("<set value='"+ (a != null ? a.getGestite() : 0) +"' />");
			sbNonGestite.append("<set value='"+ (a != null ? a.getNonGestite() : 0) +"' />");
			sbEsitate.append("<set value='"+ (a != null ? a.getEsitate() : 0) +"' />");
		}
		sb.append("<dataset seriesName='"+Message.addCatalogText("tentati")+"'>");sb.append(sbTentate.toString());sb.append("</dataset>");
		sb.append("<dataset seriesName='"+Message.addCatalogText("risposti")+" "+"("+ConstantsLanguage.SI.stampa()+")"+"'>");sb.append(sbRisposte.toString());sb.append("</dataset>");
		sb.append("<dataset seriesName='"+Message.addCatalogText("risposti")+" "+"("+ConstantsLanguage.NO.stampa()+")"+"'>");sb.append(sbNonRisposte.toString());sb.append("</dataset>");
		sb.append("<dataset seriesName='"+Message.addCatalogText("gestiti")+" "+"("+ConstantsLanguage.SI.stampa()+")"+"'>");sb.append(sbGestite.toString());sb.append("</dataset>");
		sb.append("<dataset seriesName='"+Message.addCatalogText("gestiti")+" "+"("+ConstantsLanguage.NO.stampa()+")"+"'>");sb.append(sbNonGestite.toString());sb.append("</dataset>");
		sb.append("<dataset seriesName='"+Message.addCatalogText("esitati")+"'>");sb.append(sbEsitate.toString());sb.append("</dataset>");
		sb.append("</chart>");
		return base64Encoder(sb.toString());
	}

	public static int reportSum(List<RiepilogoEsito> rel) {
		int s = 0;
		for(RiepilogoEsito re : rel) {
			Long v = re.getNumero();
			if(v != null) {
				s += v.intValue();
			}
		}
		return s;
	}

	public static int campiSum(List<ReportOrario> rel) {
		int s = 0;
		for(ReportOrario re : rel) {
			Long v = re.getNumero();
			if(v != null) {
				s += v.intValue();
			}
		}
		return s;
	}

	public static String randomString(int length) {
		String alphanum = ConstantsGlobal.a_minuscole + ConstantsGlobal.a_maiuscole + ConstantsGlobal.a_numeri;
		Random random = new SecureRandom();
		char[] symbols = alphanum.toCharArray();
		char[] buf = new char[length];
		for (int idx = 0; idx < buf.length; ++idx) {
			buf[idx] = symbols[random.nextInt(symbols.length)];
		}
		return new String(buf);
	}

	public static String base64Encoder(String testo) {
		return new String(Base64.encodeBase64(testo.getBytes(ConstantsGlobal.CHARSET)), ConstantsGlobal.CHARSET);
	}

	public static String base64Decoder(String testo) {
		return new String(Base64.decodeBase64(testo.getBytes(ConstantsGlobal.CHARSET)), ConstantsGlobal.CHARSET);
	}

	public static String base32Encoder(String testo) {
		return new Base32().encodeAsString(testo.getBytes(ConstantsGlobal.CHARSET));
	}

	public static boolean base32(String testo) {
		return Base64.isBase64(testo.getBytes(ConstantsGlobal.CHARSET));
	}


	public static void deleteFile(String pathString, final String ext) {
		File path = new File(pathString);
		if(path.exists() && path.isDirectory()) {
			File[] files = path.listFiles(new ModuloFileFilter("." + ext, false));
			for(int i=0; i< files.length; i++){
				files[i].delete();
			}
		}
	}
	public static void deleteFile(File file) {
		if(file.exists()) {
			try {
				FileUtils.forceDelete(file);
			} catch (IOException e) {
				ErrorLog.log(null, null, e);
			}
		}
	}
	
	public static long fileSize(File f) {
		if(f.exists()) {
			return f.isDirectory() ? FileUtils.sizeOfDirectory(f) : f.length();
		}
		return 0;
	}
	
	public static void cleanDirectory(File fs){
		if(fs.exists()) {
			try {
				FileUtils.cleanDirectory(fs);
			} catch (IOException e) {
				ErrorLog.log(null, null, e);
			}
		}
	}
	
	public static void deleteAll(File f) {
		if(f.exists()) {
			try {
				if(f.isDirectory()) {
					FileUtils.deleteDirectory(f);
				} else {
					FileUtils.deleteQuietly(f);
				}
			} catch (IOException e) {
				ErrorLog.log(null, null, e);
			}
		}
	}


	public static void deleteFile(String pathString) {
		File directory = new File(pathString);
		delete(directory);
	}

	public static void delete(File file) {
		if(file.isDirectory()){
			if(file.list().length==0){
				file.delete();
			} else {
				String files[] = file.list();
				for (String temp : files) {
					File fileDelete = new File(file, temp);
					delete(fileDelete);
				}
				if(file.list().length==0){
					file.delete();
				}
			}
		} else {
			file.delete();
		}
	}

	public static void truncateFolder(String pathString) {
		File directory = new File(pathString);
		truncate(directory);
	}
	public static void truncate(File folder) {
		File[] files = folder.listFiles();
		if(files!=null) { 
			for(File f: files) {
				if(f.isDirectory()) {
					truncate(f);
				} else {
					f.delete();
				}
			}
		}
		folder.delete();
	}

	public static Long getInMap(Map<Long, ConteggioModel> map, Long key){ 
		Long c = Long.valueOf(0);
		if (map != null && map.containsKey(key)) {
			c = map.get(key).getConteggio();
			if (c == null) {
				c = Long.valueOf(0);
			}
		}
		return c;
	}

	public static List<PannelloModel> getAttive(List<PannelloModel> contatti, List<PannelloModel> attive) {
		return (List<PannelloModel>) ListUtils.intersection(contatti, attive);
	}

	public static List<PannelloModel> getPannello(SortedMap<Long, ArrayList<PannelloModel>> map, Long key){ 
		if (map != null && map.containsKey(key))
			return map.get(key);
		else 
			return new ArrayList<PannelloModel>();
	}

	public static List<GruppoModel> collectionToList(List<GruppoModel> list, String metodo){
		List<GruppoModel> gruppo = new ArrayList<GruppoModel>();
		TreeMap<Long, ArrayList<GruppoModel>> hash = new TreeMap<Long, ArrayList<GruppoModel>>();
		for(GruppoModel obj : list){
			Class<?> klass = obj.getClass();
			try {
				Method m = klass.getMethod(metodo); 
				Long resultAsKey = (Long) m.invoke(obj);

				ArrayList<GruppoModel> arrayList;
				if(hash.containsKey(resultAsKey)){
					arrayList = hash.get(resultAsKey);
				} else {
					arrayList = new ArrayList<GruppoModel>();
					hash.put(resultAsKey, arrayList);
				}
				arrayList.add(obj);

			}catch (Exception e) {}
		}
		if(notEmpty(hash)) {
			for(Long g : hash.keySet()) {
				List<Long> campagne = new ArrayList<Long>();
				List<Long> utenti = new ArrayList<Long>();
				for(GruppoModel gP : hash.get(g)) {
					if(!campagne.contains(gP.getCampagna_id())) {
						campagne.add(gP.getCampagna_id());
					}
					if(!utenti.contains(gP.getUtente_id())) {
						utenti.add(gP.getUtente_id());
					}
				}
				Collections.sort(campagne);
				Collections.sort(utenti);
				gruppo.add(new GruppoModel(g, campagne , utenti));

			}
		} 
		return gruppo;
	}

	public static SortedMap<Long, ArrayList<PannelloModel>> collectionToHashPannello(List<PannelloModel> list, String metodo){

		TreeMap<Long, ArrayList<PannelloModel>> hash = new TreeMap<Long, ArrayList<PannelloModel>>();
		for(PannelloModel obj : list){
			Class<?> klass = obj.getClass();
			try {
				Method m = klass.getMethod(metodo); 
				Long resultAsKey = (Long) m.invoke(obj);

				ArrayList<PannelloModel> arrayList;
				if(hash.containsKey(resultAsKey)){
					arrayList = hash.get(resultAsKey);
				} else {
					arrayList = new ArrayList<PannelloModel>();
					hash.put(resultAsKey, arrayList);
				}
				arrayList.add(obj);

			}catch (Exception e) {}
		}
		return hash;
	}


	public static SortedMap<Long, ArrayList<EstrattoModel>> collectionToHashEstratto(List<EstrattoModel> list, String metodo){

		TreeMap<Long, ArrayList<EstrattoModel>> hash = new TreeMap<Long, ArrayList<EstrattoModel>>();
		for(EstrattoModel obj : list){
			Class<?> klass = obj.getClass();
			try {
				Method m = klass.getMethod(metodo); 
				Long resultAsKey = (Long) m.invoke(obj);

				ArrayList<EstrattoModel> arrayList;
				if(hash.containsKey(resultAsKey)){
					arrayList = hash.get(resultAsKey);
				} else {
					arrayList = new ArrayList<EstrattoModel>();
					hash.put(resultAsKey, arrayList);
				}
				arrayList.add(obj);

			}catch (Exception e) {}
		}
		return hash;
	}

	public static ArrayList<EstrattoModel> getEstratto(SortedMap<Long, ArrayList<EstrattoModel>> map, Long key){ 
		if (map != null && map.containsKey(key))
			return map.get(key);
		else 
			return new ArrayList<EstrattoModel>();
	}


	public static void createPdf(String cont, String app, OutputStream out, String password) throws Exception {
		Document document = new Document(PageSize.A4);
		passwordPDF(document, out, password);
		document.open();

		Paragraph pa = new Paragraph(ConstantsLanguage.ANAGRAFICA.stampa());
		pa.setAlignment(Paragraph.ALIGN_CENTER);
		document.add(pa);
		BarcodeQRCode qrcode = new BarcodeQRCode(cont, 1, 1, null);
		Image img = qrcode.getImage();
		img.setAlignment(Image.MIDDLE); 
		img.scalePercent(300, 300);
		document.add(img);

		if(app!=null) {
			Paragraph pp = new Paragraph(ConstantsLanguage.APPUNTAMENTO.stampa());
			pp.setAlignment(Paragraph.ALIGN_CENTER);
			document.add(pp);
			BarcodeQRCode qrcodeApp = new BarcodeQRCode(app, 1, 1, null);
			Image imgApp = qrcodeApp.getImage();
			imgApp.setAlignment(Image.MIDDLE); 
			imgApp.scalePercent(300, 300);
			document.add(imgApp);
		}

		document.close();
	}

	public static String getPeriodString(Date inizioMese, Date fineMese) {
		return formatDate(ConstantsFormat.date.stampa(), inizioMese)+"-"+ formatDate(ConstantsFormat.date.stampa(), fineMese);
	}

	public static Boolean giornoCorretto(Nota nota, Date corrente) {
		GregorianCalendar gc_a = getGregorianCalendar();
		gc_a.setTime(nota.getData_inizio());
		GregorianCalendar gc_b = getGregorianCalendar();
		gc_b.setTime(corrente);
		if(corrente.after(inizioGiornata(nota.getData_inizio())) && (nota.getData_termine() == null || corrente.before(fineGiornata(nota.getData_termine())))) {
			return true;
		}
		return false;
	}

	public static Boolean settimanaCorretto(Nota nota, Date corrente) {
		GregorianCalendar gc_a = getGregorianCalendar();
		gc_a.setTime(nota.getData_inizio());
		GregorianCalendar gc_b = getGregorianCalendar();
		gc_b.setTime(corrente);
		if(gc_a.get(GregorianCalendar.DAY_OF_WEEK) == gc_b.get(GregorianCalendar.DAY_OF_WEEK)){
			if(corrente.after(inizioGiornata(nota.getData_inizio())) && (nota.getData_termine() == null || corrente.before(fineGiornata(nota.getData_termine())))) {
				return true;
			}
		}
		return false;
	}

	public static Long time(Calendar cal) {
		GregorianCalendar g = getGregorianCalendar();
		g.setTime(cal.getTime());
		return g.getTimeInMillis();
	}

	public static Boolean meseCorretto(Nota nota, Date corrente) {
		GregorianCalendar gc_a = getGregorianCalendar();
		gc_a.setTime(nota.getData_inizio());
		GregorianCalendar gc_b = getGregorianCalendar();
		gc_b.setTime(corrente);
		if(gc_a.get(GregorianCalendar.DAY_OF_MONTH) == gc_b.get(GregorianCalendar.DAY_OF_MONTH)){
			if(corrente.after(inizioGiornata(nota.getData_inizio())) && (nota.getData_termine() == null || corrente.before(fineGiornata(nota.getData_termine())))) {
				return true;
			}
		}
		return false;
	}


	public static Boolean annoCorretto(Nota nota, Date corrente) {
		GregorianCalendar gc_a = getGregorianCalendar();
		gc_a.setTime(nota.getData_inizio());
		GregorianCalendar gc_b = getGregorianCalendar();
		gc_b.setTime(corrente);
		if((gc_a.get(GregorianCalendar.DAY_OF_MONTH) == gc_b.get(GregorianCalendar.DAY_OF_MONTH)) && (gc_a.get(GregorianCalendar.MONTH) == gc_b.get(GregorianCalendar.MONTH))){
			if(corrente.after(inizioGiornata(nota.getData_inizio())) && (nota.getData_termine() == null || corrente.before(fineGiornata(nota.getData_termine())))) {
				return true;
			}
		}
		return false;
	}


	public static Date dataProgrammata(int time) {
		Date date = date();
		GregorianCalendar gc = getGregorianCalendar();
		if(date != null) gc.setTime(date);
		gc.add(GregorianCalendar.DATE, time);
		gc.set(GregorianCalendar.SECOND, 0);
		gc.set(GregorianCalendar.MILLISECOND, 0);
		return gc.getTime();
	}

	public static Date inizioGiornata(int time) {
		Date date = date();
		GregorianCalendar gc = getGregorianCalendar();
		if(date != null) gc.setTime(date);
		gc.add(GregorianCalendar.DATE,time);
		gc.set(GregorianCalendar.HOUR_OF_DAY, 0);
		gc.set(GregorianCalendar.MINUTE, 0);
		gc.set(GregorianCalendar.SECOND, 0);
		gc.set(GregorianCalendar.MILLISECOND, 0);
		return gc.getTime();
	}

	public static Date fineGiornata(int time) {
		Date date = date();
		GregorianCalendar gc = getGregorianCalendar();
		if(date != null) gc.setTime(date);
		gc.add(GregorianCalendar.DATE,time);
		gc.set(GregorianCalendar.HOUR_OF_DAY, 23);
		gc.set(GregorianCalendar.MINUTE, 59);
		gc.set(GregorianCalendar.SECOND, 59);
		gc.set(GregorianCalendar.MILLISECOND, 999);
		return gc.getTime();
	}	
	public static Date inizioSettimana(int time) {
		Date date = date();
		GregorianCalendar gc = getGregorianCalendar();
		if(date != null) gc.setTime(date);
		gc.add(GregorianCalendar.DATE,time*7);
		gc.set(GregorianCalendar.DAY_OF_WEEK, gc.getFirstDayOfWeek());
		gc.set(GregorianCalendar.HOUR_OF_DAY, 0);
		gc.set(GregorianCalendar.MINUTE, 0);
		gc.set(GregorianCalendar.SECOND, 0);
		gc.set(GregorianCalendar.MILLISECOND, 0);
		return gc.getTime();
	}


	public static Date fineSettimana(int time) {
		Date date = date();
		GregorianCalendar gc = getGregorianCalendar();
		if(date != null) gc.setTime(date);
		gc.add(GregorianCalendar.DATE,time*7);
		gc.set(GregorianCalendar.DAY_OF_WEEK, gc.getFirstDayOfWeek()+6);
		gc.set(GregorianCalendar.HOUR_OF_DAY, 23);
		gc.set(GregorianCalendar.MINUTE, 59);
		gc.set(GregorianCalendar.SECOND, 59);
		gc.set(GregorianCalendar.MILLISECOND, 999);
		return gc.getTime();
	}


	public static Date inizioMese(int time) {
		Date date = date();
		GregorianCalendar gc = getGregorianCalendar();
		if(date != null) gc.setTime(date);
		gc.add(GregorianCalendar.MONTH, time);
		gc.set(GregorianCalendar.DAY_OF_MONTH, gc.getActualMinimum(GregorianCalendar.DAY_OF_MONTH));
		gc.set(GregorianCalendar.HOUR_OF_DAY, 0);
		gc.set(GregorianCalendar.MINUTE, 0);
		gc.set(GregorianCalendar.SECOND, 0);
		gc.set(GregorianCalendar.MILLISECOND, 0);
		return gc.getTime();
	}

	public static Date fineMese(int time) {
		Date date = date();
		GregorianCalendar gc = getGregorianCalendar();
		if(date != null) gc.setTime(date);
		gc.add(GregorianCalendar.MONTH, time);
		gc.set(GregorianCalendar.DAY_OF_MONTH, gc.getActualMaximum(GregorianCalendar.DAY_OF_MONTH));
		gc.set(GregorianCalendar.HOUR_OF_DAY, 23);
		gc.set(GregorianCalendar.MINUTE, 59);
		gc.set(GregorianCalendar.SECOND, 59);
		gc.set(GregorianCalendar.MILLISECOND, 999);
		return gc.getTime();
	}

	public static Date inizioAnno(int time) {
		Date date = date();
		GregorianCalendar gc = getGregorianCalendar();
		if(date != null) gc.setTime(date);
		gc.add(GregorianCalendar.YEAR, time);
		gc.set(GregorianCalendar.DAY_OF_YEAR, gc.getActualMinimum(GregorianCalendar.DAY_OF_YEAR));
		gc.set(GregorianCalendar.HOUR_OF_DAY, 0);
		gc.set(GregorianCalendar.MINUTE, 0);
		gc.set(GregorianCalendar.SECOND, 0);
		gc.set(GregorianCalendar.MILLISECOND, 0);
		return gc.getTime();
	}

	public static Date fineAnno(int time) {
		Date date = date();
		GregorianCalendar gc = getGregorianCalendar();
		if(date != null) gc.setTime(date);
		gc.add(GregorianCalendar.YEAR, time);
		gc.set(GregorianCalendar.DAY_OF_YEAR, gc.getActualMaximum(GregorianCalendar.DAY_OF_YEAR));
		gc.set(GregorianCalendar.HOUR_OF_DAY, 23);
		gc.set(GregorianCalendar.MINUTE, 59);
		gc.set(GregorianCalendar.SECOND, 59);
		gc.set(GregorianCalendar.MILLISECOND, 999);
		return gc.getTime();
	}

	public static Date inizioGiornata(Date date) {
		GregorianCalendar gc = getGregorianCalendar();
		if(date != null) gc.setTime(date);
		gc.set(GregorianCalendar.HOUR_OF_DAY, 0);
		gc.set(GregorianCalendar.MINUTE, 0);
		gc.set(GregorianCalendar.SECOND, 0);
		gc.set(GregorianCalendar.MILLISECOND, 0);
		return gc.getTime();
	}

	public static Date fineGiornata(Date date) {
		GregorianCalendar gc = getGregorianCalendar();
		if(date != null) gc.setTime(date);
		gc.set(GregorianCalendar.HOUR_OF_DAY, 23);
		gc.set(GregorianCalendar.MINUTE, 59);
		gc.set(GregorianCalendar.SECOND, 59);
		gc.set(GregorianCalendar.MILLISECOND, 999);
		return gc.getTime();
	}

	public static Date inizioSettimana(Date date) {
		GregorianCalendar gc = getGregorianCalendar();
		if(date != null) gc.setTime(date);
		gc.set(GregorianCalendar.DAY_OF_WEEK, gc.getFirstDayOfWeek());
		gc.set(GregorianCalendar.HOUR_OF_DAY, 0);
		gc.set(GregorianCalendar.MINUTE, 0);
		gc.set(GregorianCalendar.SECOND, 0);
		gc.set(GregorianCalendar.MILLISECOND, 0);
		return gc.getTime();
	}


	public static Date fineSettimana(Date date) {
		GregorianCalendar gc = getGregorianCalendar();
		if(date != null) gc.setTime(date);
		gc.set(GregorianCalendar.DAY_OF_WEEK, gc.getFirstDayOfWeek()+6);
		gc.set(GregorianCalendar.HOUR_OF_DAY, 23);
		gc.set(GregorianCalendar.MINUTE, 59);
		gc.set(GregorianCalendar.SECOND, 59);
		gc.set(GregorianCalendar.MILLISECOND, 999);
		return gc.getTime();
	}

	public static Date inizioMese(Date date) {
		GregorianCalendar gc = getGregorianCalendar();
		if(date != null) gc.setTime(date);
		gc.set(GregorianCalendar.DAY_OF_MONTH, gc.getActualMinimum(GregorianCalendar.DAY_OF_MONTH));
		gc.set(GregorianCalendar.HOUR_OF_DAY, 0);
		gc.set(GregorianCalendar.MINUTE, 0);
		gc.set(GregorianCalendar.SECOND, 0);
		gc.set(GregorianCalendar.MILLISECOND, 0);
		return gc.getTime();
	}

	public static Date fineMese(Date date) {
		GregorianCalendar gc = getGregorianCalendar();
		if(date != null) gc.setTime(date);
		gc.set(GregorianCalendar.DAY_OF_MONTH, gc.getActualMaximum(GregorianCalendar.DAY_OF_MONTH));
		gc.set(GregorianCalendar.HOUR_OF_DAY, 23);
		gc.set(GregorianCalendar.MINUTE, 59);
		gc.set(GregorianCalendar.SECOND, 59);
		gc.set(GregorianCalendar.MILLISECOND, 999);
		return gc.getTime();
	}


	public static Date inizioAnno(Date date) {
		GregorianCalendar gc = getGregorianCalendar();
		if(date != null) gc.setTime(date);
		gc.set(GregorianCalendar.DAY_OF_YEAR, gc.getActualMinimum(GregorianCalendar.DAY_OF_YEAR));
		gc.set(GregorianCalendar.HOUR_OF_DAY, 0);
		gc.set(GregorianCalendar.MINUTE, 0);
		gc.set(GregorianCalendar.SECOND, 0);
		gc.set(GregorianCalendar.MILLISECOND, 0);
		return gc.getTime();
	}

	public static Date fineAnno(Date date) {
		GregorianCalendar gc = getGregorianCalendar();
		if(date != null) gc.setTime(date);
		gc.set(GregorianCalendar.DAY_OF_YEAR, gc.getActualMaximum(GregorianCalendar.DAY_OF_YEAR));
		gc.set(GregorianCalendar.HOUR_OF_DAY, 23);
		gc.set(GregorianCalendar.MINUTE, 59);
		gc.set(GregorianCalendar.SECOND, 59);
		gc.set(GregorianCalendar.MILLISECOND, 999);
		return gc.getTime();
	}

	public static Date aggiustaDataD(Date date, boolean bw) {
		if(date != null) { 
			GregorianCalendar gc = getGregorianCalendar();
			if(date != null) gc.setTime(date);
			if(bw) {
				gc.set(GregorianCalendar.HOUR_OF_DAY, 0);
				gc.set(GregorianCalendar.MINUTE, 0);
				gc.set(GregorianCalendar.SECOND, 0);
				gc.set(GregorianCalendar.MILLISECOND, 0);
			} else {
				gc.set(GregorianCalendar.HOUR_OF_DAY, 23);
				gc.set(GregorianCalendar.MINUTE, 59);
				gc.set(GregorianCalendar.SECOND, 59);
				gc.set(GregorianCalendar.MILLISECOND, 999);
			}
			return gc.getTime();
		} else return null;
	}	

	public static Date aggiustaDataT(Date date, boolean bw) {
		if(date != null) { 
			GregorianCalendar gc = getGregorianCalendar();
			gc.setTime(date);
			if(bw) {
				gc.set(GregorianCalendar.SECOND, 0);
				gc.set(GregorianCalendar.MILLISECOND, 0);
			} else {
				gc.set(GregorianCalendar.SECOND, 59);
				gc.set(GregorianCalendar.MILLISECOND, 999);
			}
			return gc.getTime();
		} else return null;
	}	

	public static Date posticipaMinuti(Date date, int minuti) {
		GregorianCalendar gc = getGregorianCalendar();
		if(date != null) gc.setTime(date);
		gc.set(GregorianCalendar.MINUTE, gc.get(GregorianCalendar.MINUTE) + minuti);
		return gc.getTime();
	}

	public static Date posticipaSecondi(Date date, int secondi) {
		GregorianCalendar gc = getGregorianCalendar();
		if(date != null) gc.setTime(date);
		gc.set(GregorianCalendar.SECOND, gc.get(GregorianCalendar.SECOND) + secondi);
		return gc.getTime();
	}


	public static Long sottrai(Date date1, Date date2) {
		if(date1 !=null && date2 != null) {
			return date2.getTime() - date1.getTime();
		}
		return Long.valueOf(0);
	}

	public static Long sottrai(Long date1, Long date2) {
		if(date1 !=null && date2 != null) {
			return date2 - date1;
		}
		return Long.valueOf(0);
	}

	public static MailSupport getMailSupport(boolean single, Smtp smtp) {
		if(smtp == null) {
			smtp = new Smtp();
		}
		String mail_protocol = smtp.getSmtp_protocol();
		String mail_host = smtp.getSmtp_host();
		String mail_user = smtp.getSmtp_user();
		String mail_password = smtp.getSmtp_password();
		String mail_from = smtp.getSmtp_from();
		String mail_mittente = smtp.getSmtp_mittente();
		String mail_encryption = smtp.getSmtp_encryption();
		Boolean mail_auth = smtp.getSmtp_auth();
		Boolean mail_pec = smtp.getSmtp_pec();
		Integer mail_port = smtp.getSmtp_port();
		Boolean mail_debug = smtp.getSmtp_debug();
		return new MailSupport(single, mail_pec, mail_protocol, mail_host, mail_encryption, mail_user, mail_password, mail_port, mail_auth, mail_debug, mail_from, mail_mittente);
	}

	public static Map<Smtp, Set<Object>> creaMappa(List<?> lst) {
		Map<Smtp, Set<Object>> map = new HashMap<Smtp, Set<Object>>();
		if(notEmpty(lst)) {
			Iterator<?> objIter = lst.iterator();
			while(objIter.hasNext()) {
				Object obj = objIter.next();
				if(obj instanceof Email) {
					Email o = (Email) obj;
					Smtp s = o.getEmailTemplate().getSmtp();
					Set<Object> ls = map.get(s);
					if(ls == null) {
						ls = new HashSet<Object>();
					}
					ls.add(o);
					map.put(s, ls);
				}
				if(obj instanceof Rmail) {
					Rmail o = (Rmail) obj;
					Smtp s = o.getRmailTemplate().getSmtp();
					Set<Object> ls = map.get(s);
					if(ls == null) {
						ls = new HashSet<Object>();
					}
					ls.add(o);
					map.put(s, ls);
				}
				if(obj instanceof Telecom) {
					Telecom o = (Telecom) obj;
					Smtp s = new Smtp();
					Set<Object> ls = map.get(s);
					if(ls == null) {
						ls = new HashSet<Object>();
					}
					ls.add(o);
					map.put(s, ls);
				}
			}
		}
		return map;
	}


	public static Boolean compareDate(Date date1, Date date2) {
		GregorianCalendar gc1 = getGregorianCalendar();
		if(date1 != null) gc1.setTime(date1);
		GregorianCalendar gc2 = getGregorianCalendar();
		if(date2 != null) gc2.setTime(date2);
		boolean giorno = (gc1.get(GregorianCalendar.DAY_OF_MONTH) == gc2.get(GregorianCalendar.DAY_OF_MONTH));
		boolean mese = (gc1.get(GregorianCalendar.MONTH) == gc2.get(GregorianCalendar.MONTH));
		boolean anno = (gc1.get(GregorianCalendar.YEAR) == gc2.get(GregorianCalendar.YEAR));
		return giorno && mese && anno;
	}

	public static Date rimuoviSecondi(Date date, int sec) {
		GregorianCalendar gc_es = getGregorianCalendar();
		GregorianCalendar gc_ora = getGregorianCalendar();
		if(date != null) gc_es.setTime(date);
		gc_es.set(GregorianCalendar.HOUR_OF_DAY, gc_ora.get(GregorianCalendar.HOUR_OF_DAY));
		gc_es.set(GregorianCalendar.MINUTE, gc_ora.get(GregorianCalendar.MINUTE));
		gc_es.set(GregorianCalendar.SECOND, gc_ora.get(GregorianCalendar.SECOND)-sec);
		return gc_es.getTime();
	}

	public static Boolean tempoNullo(Date date) {
		GregorianCalendar gc_es = getGregorianCalendar();
		if(date != null) gc_es.setTime(date);
		int h = gc_es.get(GregorianCalendar.HOUR_OF_DAY);
		int m = gc_es.get(GregorianCalendar.MINUTE);
		int s = gc_es.get(GregorianCalendar.SECOND);

		if (h==0 && m==0 & s==0) return true;
		else return false;
	}

	public static Date aggiungiOrario(Date date) {
		GregorianCalendar gc_es = getGregorianCalendar();
		GregorianCalendar gc_ora = getGregorianCalendar();
		if(date != null) gc_es.setTime(date);
		gc_es.set(GregorianCalendar.HOUR_OF_DAY, gc_ora.get(GregorianCalendar.HOUR_OF_DAY));
		gc_es.set(GregorianCalendar.MINUTE, gc_ora.get(GregorianCalendar.MINUTE));
		gc_es.set(GregorianCalendar.SECOND, gc_ora.get(GregorianCalendar.SECOND));
		gc_es.set(GregorianCalendar.MILLISECOND, gc_ora.get(GregorianCalendar.MILLISECOND));
		return gc_es.getTime();
	}

	public static Date settaOrarioAData(Date oggi, Date date) {
		GregorianCalendar gc1 = getGregorianCalendar();
		GregorianCalendar gc2 = getGregorianCalendar();
		if(oggi != null) gc1.setTime(oggi);
		if(date != null) gc2.setTime(date);
		gc1.set(GregorianCalendar.HOUR_OF_DAY, gc2.get(GregorianCalendar.HOUR_OF_DAY));
		gc1.set(GregorianCalendar.MINUTE, gc2.get(GregorianCalendar.MINUTE));
		gc1.set(GregorianCalendar.SECOND, 0);
		gc1.set(GregorianCalendar.MILLISECOND, 0);
		return gc1.getTime();
	}

	public static Date settaOrarioAData(Date oggi, Time date) {
		if(date != null) {
			GregorianCalendar gc1 = getGregorianCalendar();
			GregorianCalendar gc2 = getGregorianCalendar();
			gc1.setTime(oggi);
			gc2.setTime(date);
			gc1.set(GregorianCalendar.HOUR_OF_DAY, gc2.get(GregorianCalendar.HOUR_OF_DAY));
			gc1.set(GregorianCalendar.MINUTE, gc2.get(GregorianCalendar.MINUTE));
			gc1.set(GregorianCalendar.SECOND, 0);
			gc1.set(GregorianCalendar.MILLISECOND, 0);
			return gc1.getTime();
		}
		return null;
	}

	public static void orderEsito(DetachedCriteria criteria) {
		criteria.addOrder(Order.asc("ordinamento")).addOrder(Order.asc("codice")).addOrder(Order.asc("etichetta")).addOrder(Order.asc("id"));
	}

	public static void utente(DetachedCriteria criteria, UserCriteria user) {
		if(isNotBlank(user.getRicerca_denominazione())) {
			operatore(criteria, user.getRicerca_denominazione());
		}
		if (gtZero(user.getRuolo())) {
			criteria.createCriteria("ruoli").add(Restrictions.idEq(user.getRuolo()));
		} else if (eq(user.getRuolo(), ConstantsGlobal.ALL)) {
			criteria.add(Restrictions.isNotEmpty("ruoli"));
		} else if (eq(user.getRuolo(), ConstantsGlobal.NONE)) {
			criteria.add(Restrictions.isEmpty("ruoli"));
		}

		if (gtZero(user.getOperatore())) {
			criteria.createCriteria("team").add(Restrictions.idEq(user.getOperatore()));
		} else if (eq(user.getOperatore(), ConstantsGlobal.ALL)) {
			criteria.add(Restrictions.isNotEmpty("team"));
		} else if (eq(user.getOperatore(), ConstantsGlobal.NONE)) {
			criteria.add(Restrictions.isEmpty("team"));
		}

		if (gtZero(user.getSupervisore())) {
			criteria.createCriteria("teams").add(Restrictions.idEq(user.getSupervisore()));
		} else if (eq(user.getSupervisore(), ConstantsGlobal.ALL)) {
			criteria.add(Restrictions.isNotEmpty("teams"));
		} else if (eq(user.getSupervisore(), ConstantsGlobal.NONE)) {
			criteria.add(Restrictions.isEmpty("teams"));
		}

		if (gtZero(user.getAgente())) {
			criteria.createCriteria("agenti").add(Restrictions.idEq(user.getAgente()));
		} else if (eq(user.getAgente(), ConstantsGlobal.ALL)) {
			criteria.add(Restrictions.isNotEmpty("agenti"));
		} else if (eq(user.getAgente(), ConstantsGlobal.NONE)) {
			criteria.add(Restrictions.isEmpty("agenti"));
		}

		if (gtZero(user.getCoordinatore())) {
			criteria.createCriteria("zone").add(Restrictions.idEq(user.getCoordinatore()));
		} else if (eq(user.getCoordinatore(), ConstantsGlobal.ALL)) {
			criteria.add(Restrictions.isNotEmpty("zone"));
		} else if (eq(user.getCoordinatore(), ConstantsGlobal.NONE)) {
			criteria.add(Restrictions.isEmpty("zone"));
		}

		if (gtZero(user.getPartner())) {
			criteria.createCriteria("campagne").add(Restrictions.idEq(user.getPartner()));
		} else if (eq(user.getPartner(), ConstantsGlobal.ALL)) {
			criteria.add(Restrictions.isNotEmpty("campagne"));
		} else if (eq(user.getPartner(), ConstantsGlobal.NONE)) {
			criteria.add(Restrictions.isEmpty("campagne"));
		}

		if (gtZero(user.getInterno())) {
			criteria.add(Restrictions.eq("interno.id", user.getInterno()));
		} else if (eq(user.getInterno(), ConstantsGlobal.ALL)) {
			criteria.add(Restrictions.isNotNull("interno.id"));
		} else if (eq(user.getInterno(), ConstantsGlobal.NONE)) {
			criteria.add(Restrictions.isNull("interno.id"));
		}

		if (gtZero(user.getTrunk())) {
			criteria.add(Restrictions.eq("trunk.id", user.getTrunk()));
		} else if (eq(user.getTrunk(), ConstantsGlobal.ALL)) {
			criteria.add(Restrictions.isNotNull("trunk.id"));
		} else if (eq(user.getTrunk(), ConstantsGlobal.NONE)) {
			criteria.add(Restrictions.isNull("trunk.id"));
		}

		if (gtZero(user.getEnabled())) {
			if (eq(user.getEnabled(), 1)) {
				criteria.add(Restrictions.eq("enabled", Boolean.TRUE));
			} else 	{
				criteria.add(Restrictions.eq("enabled", Boolean.FALSE));
			} 

		}
		if (ge(user.getMessaggistica(), 0)) {
			criteria.add(Restrictions.eq("disattivaMessaggistica", user.getMessaggistica()));
		}
		if (gtZero(user.getCambioPassword())) {
			if (eq(user.getCambioPassword(), 1)) {
				criteria.add(Restrictions.eq("cambioPassword", Boolean.TRUE));
			} else {
				criteria.add(Restrictions.or(Restrictions.isNull("cambioPassword"), Restrictions.eq("cambioPassword", Boolean.FALSE)));
			} 
		}

	}

	public static void archiviazione(DetachedCriteria criteria, boolean archiviato) {
		if(archiviato) {
			criteria.add(Restrictions.eq("archiviato", Boolean.TRUE));
			//criteria.createCriteria("esitoArchiviazione").add(Restrictions.eq("tipo", Boolean.TRUE));
		} else {
			criteria.add(Restrictions.eq("archiviato", Boolean.FALSE));
		}
	}

	public static void archiviazione(DetachedCriteria criteria, Date start, boolean archiviato) {
		criteria.add(Restrictions.le("data_presentazione", start));
		archiviazione(criteria, archiviato);
	}

	public static void archiviazione(DetachedCriteria criteria, Date start, Date end, boolean archiviato) {
		dataDate(start, end, "data_presentazione", criteria);
		archiviazione(criteria, archiviato);
	}

	public static void criteriaStato(DetachedCriteria criteria, boolean pubblica, boolean orario) {
		if(pubblica) {
			criteria.add(Restrictions.eq("stato", ConstantsGlobal.stato_attivo));

		} else {
			criteria.add(Restrictions.ne("stato", ConstantsGlobal.stato_chiuso));
		}
		if(pubblica || orario) {
			criteriaOrario(criteria, false);
		}
	}
	
	public static String subStringUtente(String un) {
		if(un != null) {
			if(un.contains(ConstantsGlobal.usernameSeparator1) && un.contains(ConstantsGlobal.usernameSeparator2)) {
				return trimToNull(substringBetween(un, ConstantsGlobal.usernameSeparator1, ConstantsGlobal.usernameSeparator2));
			} else {
				return trimToNull(un);
			}
		}
		return null;
	}

	public static void criteriaOrario(DetachedCriteria criteria, boolean i) {
		Criterion a = queryOrario(criteria);
		if(i) {
			criteria.add(Restrictions.not(a));
		} else {
			criteria.add(a);
		}
	}

	private static Criterion queryOrario(DetachedCriteria criteria) {
		Criterion r1 = Restrictions.sqlRestriction(formatQuery("{alias}.data_inizio", "{alias}.data_fine", "now()"));
		Criterion r2 = Restrictions.sqlRestriction(formatQuery("{alias}.ora_inizio", "{alias}.ora_fine", "now()"));
		Criterion r3 = Restrictions.sqlRestriction(formatQuery("{alias}.week_inizio", "{alias}.week_fine", "DAYOFWEEK(now())"));
		return Restrictions.and(r1, r2, r3);
	}

	private static String formatQuery(String t1, String t2, String d) {
		String inverso = "("+t1+" is null and "+t2+" is null) or ("+t1+" is not null and "+t2+" is null and "+t1+" >  "+d+") or ("+t1+" is null and "+t2+" is not null and "+t2+" <  "+d+") or ("+t1+" is not null and "+t2+" is not null and ("+t1+" >  "+d+" or  "+t2+" <  "+d+"))";
		String diretto = "("+t1+" is null and "+t2+" is null) or ("+t1+" is not null and "+t2+" is null and "+t1+" <= "+d+") or ("+t1+" is null and "+t2+" is not null and "+t2+" >= "+d+") or ("+t1+" is not null and "+t2+" is not null and ("+t1+" <= "+d+" and "+t2+" >= "+d+"))";
		return "if({alias}.inverti is true, "+inverso+" , "+diretto+")";
	}

	private static boolean criteriaOrario(boolean i, Long now, Long di, Long df) {
		if(now != null) {
			if(i) {
				return (di == null && df == null) || (di != null && df == null && di >  now) || (di == null && df != null && df <  now) || (di != null && df != null && (di >  now || df <  now));
			} else {
				return (di == null && df == null) || (di != null && df == null && di <= now) || (di == null && df != null && df >= now) || (di != null && df != null && (di <= now && df >= now));
			}
		}
		return true;
	}

	public static boolean calcolaIntervallo(boolean i, Date data_inizio, Date data_fine, Long week_inizio, Long week_fine, Time ora_inizio, Time ora_fine) {
		Date adesso = date();
		Long date_inizio = data_inizio != null ? data_inizio.getTime() : null;
		Long date_fine = data_fine != null ? data_fine.getTime() : null;
		Long nowT = adesso.getTime();
		Long nowL = giornoSettimana(adesso, week_inizio, week_fine);
		Date dti = settaOrarioAData(adesso, ora_inizio);
		Date dtf = settaOrarioAData(adesso, ora_fine);
		Long time_inizio = dti != null ? dti.getTime() : null;
		Long time_fine = dtf != null ? dtf.getTime() : null;
		return criteriaOrario(i, nowT, date_inizio, date_fine) && criteriaOrario(i, nowL, week_inizio, week_fine) && criteriaOrario(i, nowT, time_inizio, time_fine);	
	}

	public static void dataNota(Date start, Date end, String property, DetachedCriteria criteria) {
		Criterion criterion = null;
		if(start != null && end == null) {
			criterion = Restrictions.ge(property, start);
		}
		if(start == null && end != null) {
			criterion = Restrictions.le(property, end);
		}
		if(start != null && end != null) {
			criterion = Restrictions.between(property, start, end);
		}
		if(criterion!=null) {
			criteria.add(Restrictions.or(criterion,Restrictions.gt("ripetizioni", 0)));
		} else {
			criteria.add(Restrictions.gt("ripetizioni", 0));
		}

	}

	public static void intervallo(boolean b, int tipo, DetachedCriteria criteria) {
		Date data = date();
		Date dataInizio = dataInizio(tipo, data);
		criteria.add(Restrictions.gt(b ? "data_creazione" : "data_lavorazione", dataInizio));
	}

	public static void intervallo(boolean b, Date start, Date end, DetachedCriteria criteria) {
		dataIntervalD(start, end, b ? "data_creazione" : "data_lavorazione", criteria);
	}

	public static void statoLC(StatoIntervallo si, DetachedCriteria criteriaC, DetachedCriteria criteriaL) {
		if(si != null) {
			if(criteriaC != null) {
				statoLC(si.getStatoC(), si.getAttivoC(), criteriaC);
			}
			if(criteriaL != null) {
				statoLC(si.getStatoL(), si.getAttivoL(), criteriaL);
			}
		}
	}

	public static void statoLC(Integer stato, Integer attivo, DetachedCriteria criteria) {
		if(criteria != null) {
			if(gtZero(stato)) {
				criteria.add(Restrictions.eq("stato", stato));
			}
			if(gtZero(attivo)) {
				if(attivo.equals(ConstantsGlobal.attivo_si)) {
					criteriaOrario(criteria, false);
				}
				if(attivo.equals(ConstantsGlobal.attivo_no)) {
					criteriaOrario(criteria, true);
				}
			}
		}
	}

	public static void pannello(Integer pannello, DetachedCriteria criteria) {
		if(gtZero(pannello)) {
			if(eq(pannello, 1)) {
				criteria.add(Restrictions.isNotNull("date_apertura"));
			}
			if(eq(pannello, 2)) {
				criteria.add(Restrictions.isNull("date_apertura"));
			}
		}
	}

	public static void indirizzo(DetachedCriteria ind, RicercaAnagraficaCriteria rc) {
		if (isNotBlank(rc.getRegione())) {
			valori(ConstantsGlobal.colonSeparator, true, rc.getRegione(), ind, "regione");
		}
		if (isNotBlank(rc.getProvincia())) {
			valori(ConstantsGlobal.colonSeparator, true, rc.getProvincia(), ind, "provincia");
		}
		if (isNotBlank(rc.getComune())) {
			valori(ConstantsGlobal.colonSeparator, true, rc.getComune(), ind, "comune");
		}
		if (isNotBlank(rc.getCap())) {
			valori(ConstantsGlobal.colonSeparator, true, rc.getCap(), ind, "cap");
		}
		if (isNotBlank(rc.getStrada())) {
			valori(ConstantsGlobal.colonSeparator, true, rc.getStrada(), ind, "strada", "civico");
		}
	}

	public static void zona(DetachedCriteria criteria, String ricerca) {
		String [] as = {"regione", "provincia", "comune", "cap"};
		valori(ConstantsGlobal.colonSeparator, true, ricerca, criteria, as);
	}


	public static void operatore(DetachedCriteria criteria, String ricerca) {
		String [] as = {"username", "cognome", "nome", "email"};
		valori(ConstantsGlobal.colonSeparator, true, ricerca, criteria, as);
	}


	public static void anagrafica(List<String> as, DetachedCriteria criteria, String ricerca) {
		valori(ConstantsGlobal.colonSeparator, true, ricerca, criteria, as.toArray(new String[as.size()]));
	}

	public static void email(DetachedCriteria criteria, String ricerca) {
		String [] as = {"email", "link"};
		valori(ConstantsGlobal.colonSeparator, true, ricerca, criteria, as);
	}

	public static void fiscale(DetachedCriteria criteria, String ricerca) {
		String [] as = {"codice_fiscale", "partita_iva"};
		valori(ConstantsGlobal.colonSeparator, true, ricerca, criteria, as);
	}

	public static void telefonoA(DetachedCriteria criteria, String ricerca) {
		String [] as = {"telefono_fisso", "telefono_mobile", "telefono_fax", "telefono_altro"};
		valori(ConstantsGlobal.colonSeparator, true, ricerca, criteria, as);
	}
	public static void telefonoE(DetachedCriteria criteria, String ricerca) {
		String [] as = {"telefono_fisso", "telefono_mobile", "telefono_fax", "telefono_altro"};
		telefonoE(criteria, ricerca, as);
	}

	public static void telefonoE(DetachedCriteria criteria, String ricerca, String ... as) {
		valori(ConstantsGlobal.colonSeparator, true, ricerca, criteria, MatchMode.EXACT, as);
	}

	public static void denominazione(DetachedCriteria criteria, String ricerca) {
		String [] as = {"cognome", "nome", "nome_completo", "ragione_sociale"};
		valori(ConstantsGlobal.colonSeparator, true, ricerca, criteria, as);
	}


	public static void proprieta(Boolean m, DetachedCriteria criteria, String proprieta, Integer singolo, List<String> multiplo) {
		if(isTrue(m)) {
			if (notEmpty(multiplo)) {
				List<Integer> lna = new ArrayList<Integer>();
				for(String l : multiplo) {
					lna.add(Integer.valueOf(l));
				}
				criteria.add(Restrictions.in(proprieta, lna));
			}
		} else {
			if (gtZero(singolo)) {
				criteria.add(Restrictions.eq(proprieta, singolo));
			} 
		}
	}

	public static void proprieta(boolean notin, Boolean m, DetachedCriteria criteria, String proprieta, Long singolo, List<String> multiplo) {
		if(isTrue(m)) {
			if (notEmpty(multiplo)) {
				List<Long> lna = new ArrayList<Long>();
				for(String l : multiplo) {
					lna.add(Long.valueOf(l));
				}
				criteria.add(Restrictions.in(proprieta, lna));
			} else {
				if (notin) {
					criteria.add(Restrictions.isNotNull(proprieta));
				}
			}
		} else {
			if (gtZero(singolo)) {
				criteria.add(Restrictions.eq(proprieta, singolo));
			} else {
				if (notin) {
					criteria.add(Restrictions.isNotNull(proprieta));
				}
			} 
		}
	}

	public static Criterion isNotNull(String tipo) {
		return Restrictions.and(Restrictions.isNotNull(tipo), Restrictions.ne(tipo, ""));
	}

	public static Criterion isNull(String tipo) {
		return Restrictions.or(Restrictions.isNull(tipo), Restrictions.eq(tipo, ""));
	}

	public static String format(Integer s) {
		if(s == null) {
			s = Integer.valueOf(0);
		}
		Long secondi = s.longValue();
		return format(secondi);
	}

	public static String format(Double s) {
		if(s == null) {
			s = Double.valueOf(0);
		}
		Long secondi = Long.valueOf(Math.round(s));
		return format(secondi);
	}

	public static String format(BigDecimal s) {
		if(s == null) {
			s = new BigDecimal(0);
		}
		Long secondi = Long.valueOf(Math.round(s.doubleValue()));
		return format(secondi);
	}

	public static String format(Long secondi) {
		if(secondi == null) {
			secondi = Long.valueOf(0);
		}
		boolean p = ge(secondi, 0);
		if(!p) {
			secondi = Math.abs(secondi);
		}
		Long ore = TimeUnit.SECONDS.toHours(secondi);
		Long min = TimeUnit.SECONDS.toMinutes(secondi) - TimeUnit.HOURS.toMinutes(TimeUnit.SECONDS.toHours(secondi));
		Long sec = TimeUnit.SECONDS.toSeconds(secondi) - TimeUnit.MINUTES.toSeconds(TimeUnit.SECONDS.toMinutes(secondi));
		return (!p ? "-" : "") +String.format("%02d:%02d:%02d", ore, min, sec);
	}

	public static int timeDiff(Date date1 , Date date2) {
		if(date1 != null && date2 != null) {
			return Math.round((date2.getTime()-date1.getTime())/(ConstantsGlobal.t_secondi));
		}
		return ConstantsGlobal.defaultTimeI;
	}

	public static Long time(Date date1 , Date date2) {
		if(date1 == null) {
			date1 = date();
		}
		if(date2 == null) {
			date2 = date();
		}
		Long mill = (date2.getTime()-date1.getTime())/ConstantsGlobal.millis;
		return mill;
	}

	public static void convertM(String result, ByteArrayOutputStream ostream, String format, UtilOffice uo, String password) throws Exception {
		ByteArrayInputStream istream = new ByteArrayInputStream(result.getBytes(ConstantsGlobal.CHARSET));
		if(format.equalsIgnoreCase(ConstantsMap.pdf)) {
			Document document = new Document(PageSize.A4);
			PdfWriter writer = passwordPDF(document, ostream, password);
			document.open();
			XMLWorkerHelper.getInstance().parseXHtml(writer, document, istream, ConstantsGlobal.CHARSET);
			document.close();
		} else {
			if(format.equalsIgnoreCase(ConstantsMap.html)) {
				InputStream in = istream;
				OutputStream out = ostream;
				if(password != null) {
					ByteArrayOutputStream bos = new ByteArrayOutputStream();
					copy(in, bos);
					ZipPassword.zip(null, bos.toByteArray(), ostream, ConstantsMap.html, password);
					bos.close();
				} else {
					copy(in, out);
				}
			} else {
				DefaultDocumentFormatRegistry registry = new DefaultDocumentFormatRegistry();
				DocumentFormat formatoFileIn = registry.getFormatByFileExtension(ConstantsMap.html);
				DocumentFormat formatoFileOut = registry.getFormatByFileExtension(format);
				OpenOfficeConnection connection = new SocketOpenOfficeConnection(uo.getHost(), Integer.valueOf(uo.getPort()));
				connection.connect();
				DocumentConverter converter = new OpenOfficeDocumentConverter(connection);
				if(password != null) {
					ByteArrayOutputStream bos = new ByteArrayOutputStream();
					converter.convert(istream, formatoFileIn, bos, formatoFileOut);
					ZipPassword.zip(null, bos.toByteArray(), ostream, format, password);
					bos.close();
				} else {
					converter.convert(istream, formatoFileIn, ostream, formatoFileOut);
				}
				connection.disconnect();
			} 
		}
		istream.close();
	}

	public static boolean changeWorkingDirectory(FTPClient vmftp, String path) throws Exception {
		vmftp.setFileType(FTPClient.BINARY_FILE_TYPE);
		return vmftp.changeWorkingDirectory(path);
	}

	public static void renameFile(FTPClient vmftp, String pathO, String pathN) throws Exception {
		vmftp.setFileType(FTPClient.BINARY_FILE_TYPE);
		vmftp.rename(pathO, pathN);
	}

	public static void deleteFile(FTPClient vmftp, String path) throws Exception {
		vmftp.setFileType(FTPClient.BINARY_FILE_TYPE);
		vmftp.deleteFile(path);
	}

	public static String[] listNames(FTPClient vmftp, String path) throws Exception {
		vmftp.setFileType(FTPClient.BINARY_FILE_TYPE);
		return vmftp.listNames(path);
	}

	public static FTPFile[] listFiles(FTPClient vmftp, String path) throws Exception {
		vmftp.setFileType(FTPClient.BINARY_FILE_TYPE);
		return vmftp.listFiles(path);
	}

	public static FTPFile[] listMonitor(FTPClient vmftp, String path, Long contattoId, String ext) throws Exception {
		vmftp.setFileType(FTPClient.BINARY_FILE_TYPE);
		if(gtZero(contattoId)) {
			return vmftp.listFiles(path, new RegistrazioneFileFilter("_" + contattoId + "." + ext, false));
		} else {
			return vmftp.listFiles(path, new RegistrazioneFileFilter("." + ext, false));
		}
	}

	public static void convert(String result, ByteArrayOutputStream ostream) throws Exception {
		ByteArrayInputStream istream = new ByteArrayInputStream(result.getBytes(ConstantsGlobal.CHARSET));
		Document document = new Document(PageSize.A4);
		PdfWriter writer = PdfWriter.getInstance(document, ostream);
		document.open();
		XMLWorkerHelper.getInstance().parseXHtml(writer, document, istream, ConstantsGlobal.CHARSET);
		document.close();
		istream.close();
	}

	public static void concatenaPDF(String w, List<Allegato> allegati, OutputStream outputStream, String password) {
		try {
			List<byte[]> is = new ArrayList<byte[]>();
			if(allegati!= null) {
				for (Allegato allegato: allegati) {
					if(allegato.isFileE() || allegato.isPercorsoE()) {
						String ext = getExtensionLower(allegato.getNome());
						if(ext.equalsIgnoreCase(ConstantsMap.pdf)) {
							InputStream istream = null;
							if(allegato.isFileE()) {
								istream = new ByteArrayInputStream(allegato.getFile());
							}
							if(allegato.isPercorsoE()) {
								istream = new FileInputStream(new File(allegato.getPercorso()));
							}
							if(istream != null) {
								ByteArrayOutputStream ostream = new ByteArrayOutputStream();
								copy(istream, ostream);
								istream.close();
								ostream.close();
								byte[] bb = getCover(w, ostream.toByteArray());
								if(bb != null && !is.contains(bb)) {
									is.add(bb);
								}
							}
						}
					}
				}
			}
			Document document = new Document(PageSize.A4);
			PdfWriter writer = passwordPDF(document, outputStream, password);
			document.open();
			PdfContentByte cb = writer.getDirectContent();
			for (byte[] in : is) {
				PdfReader reader = pdfReader(in, null);
				for (int i = 1; i <= reader.getNumberOfPages(); i++) {
					document.newPage();
					PdfImportedPage page = writer.getImportedPage(reader, i);
					cb.addTemplate(page, 0, 0);
				}
			}
			outputStream.flush();
			document.close();
			outputStream.close();
		} catch (Exception e) {
		}
	}

	public static int convertPDF(String w, List<Allegato> allegati, UtilOffice uo) {
		List<String> accettabili = ConstantsMap.getAccettabili();
		int pagine = 0;
		try {
			List<byte[]> is = new ArrayList<byte[]>();
			if(allegati!= null) {
				for (Allegato allegato: allegati) {
					String ext = getExtensionLower(allegato.getNome());
					if(accettabili.contains(ext)) {
						if(allegato.isFileE() || allegato.isPercorsoE()) {
							InputStream istream = null;
							if(allegato.isFileE()) {
								istream = new ByteArrayInputStream(allegato.getFile());
							}
							if(allegato.isPercorsoE()) {
								istream = new FileInputStream(new File(allegato.getPercorso()));
							}
							ByteArrayOutputStream ostream = new ByteArrayOutputStream();
							if(istream != null) {
								if(ext.equalsIgnoreCase(ConstantsMap.htm) || ext.equalsIgnoreCase(ConstantsMap.html) || ext.equalsIgnoreCase(ConstantsMap.xhtml)) {
									Document document = new Document(PageSize.A4);
									PdfWriter writer = PdfWriter.getInstance(document, ostream);
									document.open();
									XMLWorkerHelper.getInstance().parseXHtml(writer, document, istream, ConstantsGlobal.CHARSET);
									document.close();
									ostream.close();
									byte[] bb = getCover(w, ostream.toByteArray());
									if(bb != null) {
										is.add(bb);
									}
								} else if(ext.equalsIgnoreCase(ConstantsMap.pdf)) {
									copy(istream, ostream);
									ostream.close();
									byte[] bb = getCover(w, ostream.toByteArray());
									if(bb != null) {
										is.add(bb);
									}
								} else {
									DefaultDocumentFormatRegistry registry = new DefaultDocumentFormatRegistry();
									DocumentFormat formatoFileIn = registry.getFormatByFileExtension(ext);
									DocumentFormat formatoFileOut = registry.getFormatByFileExtension(ConstantsMap.pdf);
									if (formatoFileIn.isImportable() && formatoFileIn.isExportableTo(formatoFileOut)) {
										OpenOfficeConnection connection = new SocketOpenOfficeConnection(uo.getHost(), Integer.valueOf(uo.getPort()));
										connection.connect();
										DocumentConverter converter = new OpenOfficeDocumentConverter(connection);
										converter.convert(istream, formatoFileIn, ostream, formatoFileOut);
										connection.disconnect();
										ostream.close();
										byte[] bb = getCover(w, ostream.toByteArray());
										if(bb != null) {
											is.add(bb);
										}
									} else {
										ostream.close();
									}
								} 
								istream.close();
							}
							
						}
					}
				}
			}
			if(notEmpty(is)) {
				ByteArrayOutputStream os = new ByteArrayOutputStream();
				Document document = new Document(PageSize.A4);
				PdfWriter writer = PdfWriter.getInstance(document, os);
				document.open();
				PdfContentByte cb = writer.getDirectContent();
				for (byte[] in : is) {
					PdfReader reader = pdfReader(in, null);
					for (int i = 1; i <= reader.getNumberOfPages(); i++) {
						document.newPage();
						PdfImportedPage page = writer.getImportedPage(reader, i);
						cb.addTemplate(page, 0, 0);
						pagine++;
					}
				}
				os.close();
				document.close();
				Allegato a = new Allegato(ConstantsLanguage.BODY.stampa() + "." + ConstantsMap.pdf, os.toByteArray());
				a.setData_modifica(date());
				if(pagine > 0) {
					allegati.clear();
					addFile(allegati, a);
				}
			}
		} catch (Exception e) {
		}
		return pagine;
	}
	
	public static byte[] getBusta(String w, Busta busta, Map<String, DatoAggiuntivo> valori) {
		if(valori != null) {
			try {			
				PdfReader template = pdfReader(busta.getContent(), null);
				ByteArrayOutputStream pdf_cover = new ByteArrayOutputStream();
				PdfStamper cover = new PdfStamper(template, pdf_cover);
				AcroFields form = cover.getAcroFields();
				for(String chiave : valori.keySet()) {
					DatoAggiuntivo da = valori.get(chiave);
					form.setField(chiave, da.getValore_formattato());	
				}
				cover.setFormFlattening(true);
				PDFUtil.watermark(w, template, cover);
				cover.close();
				template.close();
				pdf_cover.flush();
				pdf_cover.close();
				return pdf_cover.toByteArray();
			} catch (Exception e) {
			}
		}
		return null;
	}


	public static byte[] getCover(String w, byte[] b) {
		if(isNotBlank(w)) {
			try {
				PdfReader template = pdfReader(b, null);
				ByteArrayOutputStream bos = new ByteArrayOutputStream();
				PdfStamper cover = new PdfStamper(template, bos);
				if(notEmpty(cover.getAcroFields().getFields())) {
					cover.setFormFlattening(true);
				}
				PDFUtil.watermark(w, template, cover);
				cover.close();
				template.close();
				bos.flush();
				bos.close();
				return bos.toByteArray();
			} catch (Exception e) {
			}
		}
		return b;
	}		

	public static DatoAggiuntivoAnagrafica getDatoAnagrafica(String chiave, List<DatoAggiuntivoAnagrafica> dati) {
		if(notEmpty(dati)) {
			Iterator<DatoAggiuntivoAnagrafica> objIter = dati.iterator();
			while(objIter.hasNext()) {
				DatoAggiuntivoAnagrafica dato = objIter.next();
				if(dato.getCampo_aggiuntivo().getChiave().equals(chiave)) {
					return dato;
				}
			}
		}
		return null;
	}


	public static DatoAggiuntivoContratto getDatoContratto(String chiave, List<DatoAggiuntivoContratto> dati) {
		if(notEmpty(dati)) {
			Iterator<DatoAggiuntivoContratto> objIter = dati.iterator();
			while(objIter.hasNext()) {
				DatoAggiuntivoContratto dato = objIter.next();
				if(dato.getCampo_aggiuntivo().getChiave().equals(chiave)) {
					return dato;
				}
			}
		}
		return null;
	}

	public static DatoAggiuntivoAnagrafica getDatoAnagrafica(Long id, List<DatoAggiuntivoAnagrafica> dati) {
		if(notEmpty(dati)) {
			Iterator<DatoAggiuntivoAnagrafica> objIter = dati.iterator();
			while(objIter.hasNext()) {
				DatoAggiuntivoAnagrafica dato = objIter.next();
				if(dato.getCampo_aggiuntivo().getId().equals(id)) {
					return dato;
				}
			}
		}
		return null;
	}


	public static DatoAggiuntivoContratto getDatoContratto(Long id, List<DatoAggiuntivoContratto> dati) {
		if(notEmpty(dati)) {
			Iterator<DatoAggiuntivoContratto> objIter = dati.iterator();
			while(objIter.hasNext()) {
				DatoAggiuntivoContratto dato = objIter.next();
				if(dato.getCampo_aggiuntivo().getId().equals(id)) {
					return dato;
				}
			}
		}
		return null;
	}

	public static Rectangle pageSize(int length) {
		double w = ((double) length) * ConstantsGlobal.pdfColumn;
		if(!ConstantsGlobal.pdfRotate) {
			double min_w = ConstantsGlobal.pdfMinW;
			if(w < min_w) w = min_w;
			double ratio = ConstantsGlobal.pdfMinH / ConstantsGlobal.pdfMinW;
			return new RectangleReadOnly((int) w, (int) (w * ratio));
		} else {
			double min_h = ConstantsGlobal.pdfMinH;
			if(w < min_h) w = min_h;
			double ratio = ConstantsGlobal.pdfMinW / ConstantsGlobal.pdfMinH;
			return new RectangleReadOnly((int) w, (int) (w * ratio));
		}

	}

	public static boolean importa(Row row, Boolean filtro) {
		if(isTrue(filtro) && row.getZeroHeight()) {
			return false;
		}
		for(int c = 0; c < row.getLastCellNum(); c++) { 
			Cell cella = row.getCell(c);
			if(cella != null && !cella.getCellType().equals(CellType.BLANK)) {
				return true;
			}
		}
		return false;
	}

	public static String detect(InputStream fis) throws IOException {
		final int BUFFER_SIZE = ConstantsGlobal.kb;
		byte[] buf = new byte[BUFFER_SIZE];
		UniversalDetector detector = new UniversalDetector(null);
		int nread;
		while ((nread = fis.read(buf)) > 0 && !detector.isDone()) {
			detector.handleData(buf, 0, nread);
		}
		detector.dataEnd();
		String detect = detector.getDetectedCharset();
		detector.reset();
		fis.close();
		return detect;
	}
	
	public static XMPPConnection getConnection(UtilChat utilChat, String username){
		XMPPConnection connection = null;
		if(existsChat(utilChat.getHost(), utilChat.getPort())) {
			try {
				SmackConfiguration.setLocalSocks5ProxyEnabled(ConstantsGlobal.smackProxyEnable);
				SmackConfiguration.setLocalSocks5ProxyPort(ConstantsGlobal.smackProxyPort);
				ConnectionConfiguration config = new ConnectionConfiguration(utilChat.getHost(), utilChat.getPort());
				config.setDebuggerEnabled(false);
				connection = new XMPPConnection(config);
				connection.connect();
				connection.login(username, username);
			} catch (XMPPException e) {	
				ErrorLog.log(null, null, e);
			}
		}
		return connection;
	}

	public static void sendMessageAdmin(UtilChat utilChat, List<SipBuddies> accounts, String messaggio) {
		if(existsChat(utilChat.getHost(), utilChat.getPort())) {
			try {
				SmackConfiguration.setLocalSocks5ProxyEnabled(ConstantsGlobal.smackProxyEnable);
				SmackConfiguration.setLocalSocks5ProxyPort(ConstantsGlobal.smackProxyPort);
				ConnectionConfiguration config = new ConnectionConfiguration(utilChat.getHost(), utilChat.getPort());
				config.setDebuggerEnabled(false);
				XMPPConnection connection = new XMPPConnection(config);
				connection.connect();
				connection.login(utilChat.getUsername(), utilChat.getPassword());
				if(connection.isAuthenticated()) {
					ChatManager chatManager = connection.getChatManager();
					for(SipBuddies account : accounts) {
						Chat chat = chatManager.createChat(account.getName() + "@" + utilChat.getHost(), new MessageXMPP());
						chat.sendMessage(messaggio);
					}
				}
				if(connection.isConnected()) {
					connection.disconnect();
				}
			} catch (XMPPException e) {	
				ErrorLog.log(null, null, e);
			}
		}
	}

	public static void deleteAccountAdmin(UtilChat utilChat, List<SipBuddies> accounts) {
		if(existsChat(utilChat.getHost(), utilChat.getPort())) {
			try {
				SmackConfiguration.setLocalSocks5ProxyEnabled(ConstantsGlobal.smackProxyEnable);
				SmackConfiguration.setLocalSocks5ProxyPort(ConstantsGlobal.smackProxyPort);
				ConnectionConfiguration config = new ConnectionConfiguration(utilChat.getHost(), utilChat.getPort());
				config.setDebuggerEnabled(false);
				XMPPConnection connection = new XMPPConnection(config);
				connection.connect();
				for(SipBuddies account : accounts) {
					connection.login(account.getName(), account.getName());
					if(connection.isAuthenticated()) {
						connection.getAccountManager().deleteAccount();
					}
				}
				if(connection.isConnected()) {
					connection.disconnect();
				}
			} catch (XMPPException e) {	
				ErrorLog.log(null, null, e);
			}
		}
	}

	public static void createAccountAdmin(UtilChat utilChat, List<SipBuddies> accounts) { 
		if(existsChat(utilChat.getHost(), utilChat.getPort())) {
			try {
				SmackConfiguration.setLocalSocks5ProxyEnabled(ConstantsGlobal.smackProxyEnable);
				SmackConfiguration.setLocalSocks5ProxyPort(ConstantsGlobal.smackProxyPort);
				ConnectionConfiguration config = new ConnectionConfiguration(utilChat.getHost(), utilChat.getPort());
				config.setDebuggerEnabled(false);
				XMPPConnection connection = new XMPPConnection(config);
				connection.connect();
				for(SipBuddies account : accounts) {
					connection.getAccountManager().createAccount(account.getName(), account.getName());
					connection.login(account.getName(), account.getName());
					if(connection.isAuthenticated()) {
						connection.getRoster().createEntry(utilChat.getUsername(), utilChat.getPassword(), new String [] {"friends"});
					}
				}
				if(connection.isConnected()) {
					connection.disconnect();
				}
			} catch (XMPPException e) {	
				ErrorLog.log(null, null, e);
			}
		}
	}

	public static boolean existsChat(String server, int port) { 
		try (Socket s = new Socket(server, port)) {
			return true;
		} catch (IOException ex) {
		}
		return false;
	}

	public static void cellStamper(ExcelStyle s, Cell cell, ExcelFormat el) {
		if(isBlank(el.getFormat())) {
			if (el.getValore() instanceof String) {
				formatString(s, cell, (String) el.getValore());
			}
			if (el.getValore() instanceof Double) {
				formatNumber(s, cell, (Double) el.getValore());
			}
			if (el.getValore() instanceof Long) {
				formatNumber(s, cell, (Long) el.getValore());
			}
			if (el.getValore() instanceof Integer) {
				formatNumber(s, cell, (Integer) el.getValore());
			}
			if (el.getValore() instanceof BigDecimal) {
				formatNumber(s, cell, (BigDecimal) el.getValore());
			}
			if (el.getValore() instanceof Boolean) {
				formatBoolean(s, cell, (Boolean) el.getValore());
			}
		} else {
			if (el.getValore() instanceof Date) {
				if(equals(el.getFormat(), ConstantsFormat.date.stampa())) {
					formatDate(s, cell, (Date) el.getValore());
				} 
				if(equals(el.getFormat(), ConstantsFormat.dateTime.stampa())) {
					formatDateTime(s, cell, (Date) el.getValore());
				} 
				if(equals(el.getFormat(), ConstantsFormat.dateSeconds.stampa())) {
					formatDateSeconds(s, cell, (Date) el.getValore());
				} 
				if(equals(el.getFormat(), ConstantsFormat.time.stampa())) {
					formatTime(s, cell, (Date) el.getValore());
				} 
				if(equals(el.getFormat(), ConstantsFormat.seconds.stampa())) {
					formatSeconds(s, cell, (Date) el.getValore());
				} 
			}
			if (el.getValore() instanceof Double) {
				formatNumber(s, cell, el.getFormat(), (Double) el.getValore());
			}
			if (el.getValore() instanceof Long) {
				formatNumber(s, cell, el.getFormat(), (Long) el.getValore());
			}
			if (el.getValore() instanceof Integer) {
				formatNumber(s, cell, el.getFormat(), (Integer) el.getValore());
			}
			if (el.getValore() instanceof BigDecimal) {
				formatNumber(s, cell, el.getFormat(), (BigDecimal) el.getValore());
			}
		}
	}


	public static CampoAggiuntivoAnagrafica getCampiByChiave(List<CampoAggiuntivoAnagrafica> campiAgg , String chiave) {
		Iterator<CampoAggiuntivoAnagrafica> objIter = campiAgg.iterator();
		while(objIter.hasNext()) {
			CampoAggiuntivoAnagrafica campo = objIter.next();
			if(campo.getChiave().equals(chiave)) {
				return campo;
			}
		}
		return null;
	}

	public static int getTime(Date data) {
		GregorianCalendar gc = getGregorianCalendar();
		if(data != null) {
			gc.setTime(data);
		}
		return gc.get(GregorianCalendar.HOUR_OF_DAY);
	}

	public static String filename(String valore) {
		MyFile file = (MyFile) deserialize(trimToNull(valore));
		return file != null ? file.getName() : null;
	}

	public static String dimensione(String valore) {
		MyFile file = (MyFile) deserialize(trimToNull(valore));
		if(file != null) {
			return file.getName() + " " + "[" + byteCount(file.getLength()) + "]";
		}
		return null;
	}

	public static Object deserialize(String s) {
		if(s != null) {
			try {
				byte [] data = Base64.decodeBase64(s.getBytes(ConstantsGlobal.CHARSET));
				ByteArrayInputStream bais = new ByteArrayInputStream(data);
				ObjectInputStream ois = new ObjectInputStream(bais);
				Object o = ois.readObject();
				ois.close();
				bais.close();
				return o;
			} catch (Exception e) {
				ErrorLog.log(null, null, e);
			}
		} 
		return null;
	}


	public static String toString(Object c) {
		StringBuilder sb = new StringBuilder(c.getClass().getSimpleName());
		try {
			List<String> ls = new ArrayList<String>();
			for(Field m1 : c.getClass().getDeclaredFields()) {
				m1.setAccessible(true);
				Object o = m1.get(c);
				if(o != null) {
					String st = trimToNull(o.toString());
					if(st!= null) {
						ls.add(m1.getName() + ":" + " " + st);
					}
				} 
			}
			if(notEmpty(ls)) {
				sb.append(" - " + detoken(ls, ConstantsGlobal.colonSeparator + " "));
			}
		} catch (Exception e) {
		}
		return sb.toString();
	}


	public static String serialize(Serializable o) {
		if(o != null) {
			try {
				ByteArrayOutputStream baos = new ByteArrayOutputStream();
				ObjectOutputStream oos = new ObjectOutputStream( baos );
				oos.writeObject(o);
				oos.close();
				baos.close();
				String s = new String(Base64.encodeBase64(baos.toByteArray())); 
				return s;
			} catch (Exception e) {
				ErrorLog.log(null, null, e);
			}
		} 
		return null;
	}

	public static Object clone(Serializable object) {
		try {
			ByteArrayOutputStream baos = new ByteArrayOutputStream();
			ObjectOutputStream oos = new ObjectOutputStream( baos );
			oos.writeObject(object);
			oos.close();
			baos.close();
			ByteArrayInputStream bais = new ByteArrayInputStream(baos.toByteArray());
			ObjectInputStream ois = new ObjectInputStream(bais);
			Object o = ois.readObject();
			ois.close();
			bais.close();
			return o;
		} catch (Exception e) {
			ErrorLog.log(null, null, e);
		}
		return null;
	}

	public static String icon(String [] icon) {
		if(notEmpty(icon)) {
			StringBuilder s = new StringBuilder();
			for(String a : icon) {
				s.append("=" + a);
			} 
			return "=?"+ConstantsGlobal.ENCODING+"?Q?"+ s.toString() +"?=";
		} else { 
			return null; 
		}
	}

	public static int cause2sip(int cause) { 
		switch(cause) { 
		case 1:		return 404;
		case 2:		return 404;
		case 3:		return 404;
		case 17:	return 486;
		case 18:	return 408;
		case 19:	return 480;
		case 20:	return 480;
		case 21:	return 603;
		case 22:	return 410;
		case 23:	return 410;
		case 25:	return 483;
		case 26:	return 404;
		case 27:	return 502;
		case 28:	return 484;
		case 29:	return 501;
		case 31:	return 480;
		case 34:	return 503;
		case 38:	return 503;
		case 41:	return 503;
		case 42:	return 503;
		case 44:	return 503;
		case 47:	return 503;
		case 52:	return 403;
		case 54:	return 403;
		case 55:	return 403;
		case 57:	return 403;
		case 58:	return 503;
		case 65:	return 488;
		case 69:	return 501;
		case 70:	return 488;
		case 79:	return 501;
		case 87:	return 403;
		case 88:	return 503;
		case 102:	return 504;
		case 111:	return 500;
		case 127:	return 500;
		default: 	return 0; 
		} 
	} 


	public static Date updateData(Date corrente, String data, String orario) {
		GregorianCalendar gc = getGregorianCalendar();
		gc.setTime(corrente);
		if(data != null) {
			GregorianCalendar a = getGregorianCalendar();
			a.setTime(parseData(ConstantsFormat.date.stampa(), data));
			gc.set(GregorianCalendar.YEAR, a.get(GregorianCalendar.YEAR));
			gc.set(GregorianCalendar.MONTH, a.get(GregorianCalendar.MONTH));
			gc.set(GregorianCalendar.DAY_OF_MONTH, a.get(GregorianCalendar.DAY_OF_MONTH));
		}
		if(orario != null) {
			gc.set(GregorianCalendar.HOUR_OF_DAY, Integer.parseInt(orario));
		}
		return gc.getTime();
	}


	public static boolean test(String ip, int porta, long timeout) {
		try {
			Socket s = new Socket(ip, porta);
			s.setSoTimeout((int) timeout);
			s.close();
			return true;
		} catch (Exception e) {
			return false;
		} 
	}

	public static boolean colcolaScadenza(Date date1 , Date date2, Integer c) {
		if(gtZero(c)) {
			int d = verificaScadenza(date1, date2);
			if(d < c.intValue()) {
				return true;
			} else {
				return false;
			}
		} else {
			return true;
		}

	}

	public static int verificaScadenza(Date date1 , Date date2) {
		return Math.round((date2.getTime()-date1.getTime())/(ConstantsGlobal.millis * 3600 * 24));
	}


	public static void listComponent(UIComponent c, List<UIInput> sui){ 
		if(sui == null) {
			sui = new ArrayList<UIInput>();
		}
		if(c != null && c instanceof UIInput && !((UIInput) c).isValid()) {
			sui.add((UIInput) c);
			return;
		} 
		Iterator<UIComponent> kids = c.getFacetsAndChildren(); 
		while(kids.hasNext()){ 
			listComponent(kids.next(), sui); 
		} 
	} 


	public static UIInput findComponent(UIComponent uIComponent, String id) { 
		UIComponent parent = uIComponent.getParent();
		if(parent != null && isNotBlank(id)) {
			List<UIComponent> lst = parent.getChildren();
			if(notEmpty(lst)) {
				Iterator<UIComponent> itL = lst.iterator();
				while (itL.hasNext()) {
					UIComponent ui = (UIComponent) itL.next();
					if(ui != null && equals(ui.getId(), id)) {
						if(ui instanceof UIInput){ 
							return (UIInput) ui; 
						} 
					}
				}

			}
		}
		return null;
	}
	public static UIComponent trovaComponent(UIComponent c, String id){ 
		if(id.equals(c.getId())){ 
			return c; 
		} 
		Iterator<UIComponent> kids = c.getFacetsAndChildren(); 
		while(kids.hasNext()){ 
			UIComponent found = trovaComponent(kids.next(), id); 
			if(found != null){ 
				return found; 
			} 
		} 
		return null; 
	} 

	public static void resetComponent(UIComponent c){ 
		if(c instanceof UIInput){ 
			UIInput uiInput = (UIInput) c; 
			resetComponent(uiInput, false);
		} 
		Iterator<UIComponent> kids = c.getFacetsAndChildren(); 
		while(kids.hasNext()){ 
			resetComponent(kids.next()); 
		} 
	} 

	public static void cleanComponent(){ 
		UIViewRoot ui = getViewRoot();
		if(ui != null) {
			UIComponent form = trovaComponent(ui, ui.getId()); 
			if(form != null) {
				resetComponent(form);
			}
		}
	}

	public static void resetComponent(UIComponent a, UIComponent b, boolean valid){ 
		if(a != null && a instanceof UIInput){ 
			resetComponent((UIInput) a, valid);
		} 
		if(b != null && b instanceof UIInput){ 
			resetComponent((UIInput) b, valid);
		} 

	} 

	public static void resetComponent(UIInput uiInput, boolean valid){ 
		if(!valid) {
			uiInput.setValue(null); 
			uiInput.setSubmittedValue(null); 
			uiInput.setLocalValueSet(false);
			uiInput.setValid(true);
			//uiInput.resetValue();
		} else {
			//uiInput.setValue(null); 
			//uiInput.setSubmittedValue(null); 
			//uiInput.setLocalValueSet(true);
			//uiInput.setValid(true);
			//uiInput.resetValue();
		}
	}

	public static Date aggiustaScadenza(Date date) {
		if(date != null) {
			GregorianCalendar gc = getGregorianCalendar();
			gc.setTime(date);
			gc.set(GregorianCalendar.HOUR_OF_DAY, 23);
			gc.set(GregorianCalendar.MINUTE, 59);
			gc.set(GregorianCalendar.SECOND, 59);
			gc.set(GregorianCalendar.MILLISECOND, 0);
			return gc.getTime();
		} 
		return null;
	}

	public static void futuri(DetachedCriteria criteria, Integer tipo, Date data, boolean archiviato) {
		if(gtZero(tipo)) {
			Date dataFine = dataFine(tipo.intValue(), data);
			archiviazione(criteria, data, dataFine, archiviato);

		} else {
			archiviazione(criteria, data, null, archiviato);
		}
	}

	public static Double calcolaDistanza(Indirizzo i1, Indirizzo i2) {
		if(i1 != null && i2 != null) {
			Double x1 = null;
			Double y1 = null;
			Double x2 = null;
			Double y2 = null;
			try {
				x1 = Double.parseDouble(i1.getLatitudine());
				y1 = Double.parseDouble(i1.getLongitudine());

				x2 = Double.parseDouble(i2.getLatitudine());
				y2 = Double.parseDouble(i2.getLongitudine());
			} catch (Exception nfe) {
			}
			if(x1 != null && y1 != null && x2 != null && y2 != null) {
				Double x = Math.pow(x1-x2, 2);
				Double y = Math.pow(y1-y2, 2);
				return Math.sqrt(x+y);
			}
		}
		return null;
	}
	
	
	public static String id(Long id, Boolean pf, String nc, String rs, String cognome, String nome, String codice) {
		if(id != null) {
			return asString(id);
		} else {
			return denominazione(pf, nc, rs, cognome, nome, codice);
		}
	}


	public static String denominazione(Boolean pf, String nc, String rs, String cognome, String nome, String codice) {

		String nome_completo = trimToNull(nc);
		String ragione_sociale = trimToNull(rs);
		StringBuilder sb = new StringBuilder();
		if(isNotFalse(pf)) {
			if(nome_completo != null) {
				sb.append(nome_completo);
			}
			if(ragione_sociale != null && isBlank(sb.toString())) {
				sb.append(ragione_sociale);
			}
		} else { 
			if(ragione_sociale != null) {
				sb.append(ragione_sociale);
			}
			if(nome_completo != null && isBlank(sb.toString())) {
				sb.append(nome_completo);
			}
		}
		if(isBlank(sb.toString())) {
			sb.append(trimToEmpty(trimToEmpty(cognome) + " " + trimToEmpty(nome)));
		}
		if(isBlank(sb.toString())) {
			sb.append(ConstantsLanguage.ANONIMO.stampa());
		}
		if(isNotBlank(codice)) {
			sb.insert(0, trimToEmpty(codice) + " - ");
		}
		return trimToEmpty(sb.toString());
	}


	public static String denominazione(String cognome, String nome) {
		StringBuilder sb = new StringBuilder();
		sb.append(trimToEmpty(trimToEmpty(cognome) + " " + trimToEmpty(nome)));
		if(isBlank(sb.toString())) {
			sb.append(ConstantsLanguage.ANONIMO.stampa());
		}
		return trimToEmpty(sb.toString());
	}


	public static void orderCL(DetachedCriteria criteria) {
		criteria.addOrder(Order.asc("stato")).addOrder(Order.desc("priorita")).addOrder(Order.asc("nome"));
	}

	public static void orderC(DetachedCriteria criteria) {
		criteria.addOrder(Order.desc("priorita")).addOrder(Order.asc("id"));
	}

	public static void orderP(DetachedCriteria criteria) {
		criteria.addOrder(Order.asc("categoria.nome")).addOrder(Order.asc("nome"));
	}
	public static void orderZ(DetachedCriteria criteria) {
		criteria.addOrder(Order.asc("nome"));
	}
	public static void orderT(DetachedCriteria criteria) {
		criteria.addOrder(Order.asc("nome"));
	}
	public static void orderR(DetachedCriteria criteria) {
		criteria.addOrder(Order.asc("nome"));
	}

	public static void orderA(DetachedCriteria criteria) {
		criteria.addOrder(Order.asc("codice")).addOrder(Order.asc("cognome")).addOrder(Order.asc("nome"));
	}

	public static void orderU(DetachedCriteria criteria) {
		criteria.addOrder(Order.asc("username"));
	}
	public static void orderAU(DetachedCriteria criteria) {
		criteria.addOrder(Order.asc("nome"));
	}
	public static void orderR1(DetachedCriteria criteria) {
		criteria.addOrder(Order.asc("op.id")).addOrder(Order.asc("esit.id")).addOrder(Order.asc("arch.id"));
	}

	public static void orderR2(DetachedCriteria criteria) {
		criteria.addOrder(Order.asc("op.id")).addOrder(Order.asc("esit.id")).addOrder(Order.asc("ag.id"));
	}

	public static void orderR3(DetachedCriteria criteria) {
		criteria.addOrder(Order.asc("op.id"));
	}

	public static void orderC2(DetachedCriteria criteria) {
		criteria.addOrder(Order.asc("ca.id")).addOrder(Order.asc("esit.id")).addOrder(Order.asc("ag.id"));
	}

	public static void orderC3(DetachedCriteria criteria) {
		criteria.addOrder(Order.asc("ca.id"));
	}

	public static void orderR4(DetachedCriteria criteria) {
		criteria.addOrder(Order.asc("ls.id")).addOrder(Order.asc("esit.id")).addOrder(Order.asc("arch.id"));
	}

	public static String getPathBase(String path) {
		if(path.endsWith("/")) {
			path = path.substring(0, path.length() - 1);
		}
		if(!path.startsWith("/")) {
			path = "/" + path;
		}
		File destDirectory = new File(path);
		creaFile(true, destDirectory);
		return path;
	}

	public static String getPath(String path) {
		if(path.endsWith("/")) {
			path = path.substring(0, path.length() - 1);
		}
		File destDirectory = new File(path);
		creaFile(true, destDirectory);
		return path;
	}

	public static String normalizePath(String path) {
		if(path != null) {
			if(!path.endsWith("/")) {
				path = path+ "/";
			}
			if(!path.startsWith("/")) {
				path = "/" + path;
			}
			return path;
		}
		return "";
	}

	public static byte[] changeBitrate(byte[] input) throws Exception {
		// wav / 8 kHz / 16 bit / monofonico
		String path = getPathBase(ConstantsGlobal.path_tmp);
		String file = path + "/" + System.currentTimeMillis() + "." + ConstantsMap.wav;
		AudioFormat format = new AudioFormat(8000, 16, 1, true, true);
		InputStream fi = new ByteArrayInputStream(input);
		AudioInputStream in = AudioSystem.getAudioInputStream(fi);
		AudioInputStream convert = AudioSystem.getAudioInputStream(format, in);
		fi.close();
		File fo = new File(file);
		AudioSystem.write(convert, AudioFileFormat.Type.WAVE, fo);
		byte[] r = readFileToByteArray(fo);
		deleteFile(fo);
		return r;
	}


	public static void concatena(List<Allegato> s, OutputStream out, String formato) {
		if(formato == null) {
			concatena1(s, out);
		} else {
			concatena2(s, out);
		}
	}

	public static void concatena1(List<Allegato> s, OutputStream out) {
		if(notEmpty(s)) {
			try {
				long size = 0;
				Allegato base = s.get(0);
				AudioInputStream ini = null;
				if(base.isFileE() || base.isPercorsoE()) {
					if(base.isFileE()) {
						ini = AudioSystem.getAudioInputStream(new BufferedInputStream(new ByteArrayInputStream(base.getFile())));
					}
					if(base.isPercorsoE()) {
						ini = AudioSystem.getAudioInputStream(new BufferedInputStream(new FileInputStream(new File(base.getPercorso()))));
					}
				}
				List<AudioInputStream> ls = new ArrayList<AudioInputStream>();
				Iterator<Allegato> it = s.iterator();
				while (it.hasNext()) {
					Allegato wawfile = (Allegato) it.next();
					if(wawfile.isFileE() || wawfile.isPercorsoE()) {
						AudioInputStream clip = null; 
						if(wawfile.isFileE()) {
							clip = AudioSystem.getAudioInputStream(new BufferedInputStream(new ByteArrayInputStream(wawfile.getFile())));
						}
						if(wawfile.isPercorsoE()) {
							clip = AudioSystem.getAudioInputStream(new BufferedInputStream(new FileInputStream(new File(wawfile.getPercorso()))));
						}
						if(clip != null) {
							ls.add(clip);
							size += clip.getFrameLength();
						}
					}
				}
				if(notEmpty(ls)) {
					SequenceInputStream si = new SequenceInputStream(Collections.enumeration(ls));
					AudioInputStream appendedFiles = new AudioInputStream( si, ini.getFormat(), size);
					AudioSystem.write(appendedFiles, AudioFileFormat.Type.WAVE, out);
				}
			} catch (Exception e) {
				ErrorLog.log(null, null, e);
			}
		}

	}

	public static void concatena2(List<Allegato> s, OutputStream out) {
		if(notEmpty(s)) {
			try {
				List<InputStream> ls = new ArrayList<InputStream>();
				Iterator<Allegato> it = s.iterator();
				while (it.hasNext()) {
					Allegato wawfile = (Allegato) it.next();
					if(wawfile.isFileE() || wawfile.isPercorsoE()) {
						InputStream clip = null; 
						if(wawfile.isFileE()) {
							clip = new ByteArrayInputStream(wawfile.getFile());
						}
						if(wawfile.isPercorsoE()) {
							clip = new FileInputStream(new File(wawfile.getPercorso()));
						}
						if(clip != null) {
							ls.add(clip);
						}
					}
				}
				if(notEmpty(ls)) {
					SequenceInputStream sistream = new SequenceInputStream(Collections.enumeration(ls));
					int temp;
					while( ( temp = sistream.read() ) != -1) {
						out.write(temp); 
					}
					sistream.close();
				}
			} catch (Exception e) {
				ErrorLog.log(null, null, e);
			}
		}
	}

	public static List<MyFile> unzip(byte [] b) {
		List<MyFile> dd = new ArrayList<MyFile>();
		try{
			byte[] buffer = new byte[ConstantsGlobal.kb];
			InputStream is = new ByteArrayInputStream(b);
			ZipInputStream zis = new ZipInputStream(is);
			ZipEntry ze = zis.getNextEntry();
			while(ze!=null){
				String fileName = trimToNull(ze.getName());
				if(fileName != null) {
					ByteArrayOutputStream fos = new ByteArrayOutputStream();
					int len;
					while ((len = zis.read(buffer)) > 0) {
						fos.write(buffer, 0, len);
					}
					MyFile ff = new MyFile();
					ff.setName(fileName);
					fos.close();
					ff.setData(fos.toByteArray());
					dd.add(ff);
				}
				ze = zis.getNextEntry();
			}

			zis.closeEntry();
			zis.close();
			is.close();

		}catch(IOException e){
			ErrorLog.log(null, null, e);
		}
		return dd;
	}

	public static List<MyFile> unzip(MyFile myFile) {
		List<MyFile> dd = new ArrayList<MyFile>();
		try{
			byte[] buffer = new byte[ConstantsGlobal.kb];
			InputStream is = new ByteArrayInputStream(myFile.getData());
			ZipInputStream zis = new ZipInputStream(is);
			ZipEntry ze = zis.getNextEntry();
			while(ze!=null){
				String fileName = trimToNull(ze.getName());
				if(fileName != null) {
					ByteArrayOutputStream fos = new ByteArrayOutputStream();
					int len;
					while ((len = zis.read(buffer)) > 0) {
						fos.write(buffer, 0, len);
					}
					MyFile ff = new MyFile();
					ff.setName(fileName);
					ff.setParent(myFile.getName());
					fos.close();
					ff.setData(fos.toByteArray());
					dd.add(ff);
				}
				ze = zis.getNextEntry();
			}

			zis.closeEntry();
			zis.close();
			is.close();

		}catch(IOException e){
			ErrorLog.log(null, null, e);
		}
		return dd;
	}

	public static void unzipA(byte [] zipFile){
		try{
			byte[] buffer = new byte[ConstantsGlobal.kb];
			InputStream is = new ByteArrayInputStream(zipFile);
			ZipInputStream zis = new ZipInputStream(is);
			ZipEntry ze = zis.getNextEntry();
			while(ze!=null){
				if(!ze.isDirectory()) {
					File newFile = new File(ConstantsGlobal.path_asterisk + "/" + getNameN(ze.getName()));
					FileOutputStream fos = new FileOutputStream(newFile);
					int len;
					while ((len = zis.read(buffer)) > 0) {
						fos.write(buffer, 0, len);
					}
					fos.close();
				}
				ze = zis.getNextEntry();
			}
			zis.closeEntry();
			zis.close();
			is.close();
		}catch(IOException e){
			ErrorLog.log(null, null, e);
		}
	}


	public static void unzip(byte [] zipFile, File outputFolder, String home, String modules, String suffix){
		try{
			byte[] buffer = new byte[ConstantsGlobal.kb];
			InputStream is = new ByteArrayInputStream(zipFile);
			ZipInputStream zis = new ZipInputStream(is);
			ZipEntry ze = zis.getNextEntry();
			while(ze!=null){
				if(!ze.isDirectory()) {
					String fileName = trimToNull(getBaseNameN(ze.getName()));
					if(fileName != null) {
						String ext = getExtensionLower(ze.getName());
						if(ext.equals(ConstantsMap.xhtml)) {
							String rName = replaceFileName(fileName);
							File newFile = new File(outputFolder + "/" + rName + "." + ext);
							FileOutputStream fos = new FileOutputStream(newFile);
							int len;
							while ((len = zis.read(buffer)) > 0) {
								fos.write(buffer, 0, len);
							}

							fos.close();
							copyFile(newFile, home + modules + "/" + rName + suffix);
						}
					}
				}
				ze = zis.getNextEntry();
			}

			zis.closeEntry();
			zis.close();
			is.close();
		}catch(IOException e){
			ErrorLog.log(null, null, e);
		}
	}

	public static void unzip(byte [] zipFile, File outputFolder, String home, String path, String prefix, String suffix){
		try{
			byte[] buffer = new byte[ConstantsGlobal.kb];
			InputStream is = new ByteArrayInputStream(zipFile);
			ZipInputStream zis = new ZipInputStream(is);
			ZipEntry ze = zis.getNextEntry();
			while(ze!=null){
				if(!ze.isDirectory()) {
					String fileName = trimToNull(getNameN(ze.getName()));
					if(fileName != null) {
						if(linguaValida(ze.getName(), prefix, suffix)) {
							File newFile = new File(outputFolder + "/" + fileName);
							FileOutputStream fos = new FileOutputStream(newFile);
							int len;
							while ((len = zis.read(buffer)) > 0) {
								fos.write(buffer, 0, len);
							}

							fos.close();
							copyFile(newFile, home + path + "/" + fileName);
						}
					}
				}
				ze = zis.getNextEntry();
			}

			zis.closeEntry();
			zis.close();
			is.close();
		}catch(IOException e){
			ErrorLog.log(null, null, e);
		}
	}

	public static boolean linguaValida(String nome, String prefix, String suffix) {
		if(isNotBlank(nome)) {
			String ps = prefix + ConstantsGlobal.validatore_lingua + suffix;
			Pattern p = Pattern.compile(ps);
			Matcher m = p.matcher(nome);
			return m.matches();	 		 
		}
		return false;
	}
	
	
	public static void copyFile(File src, String dest){
		copyFile(src, new File(dest));
	}

	public static void copyFile(File src, File dest){
		try {
			if(src.isFile()) {
				FileUtils.copyFile(src, dest);
			} else {
				FileUtils.copyDirectory(src, dest);
			}
		} catch (IOException e) {
			ErrorLog.log(null, null, e);
		}
	}

	public static void copy(File fd, File fs) {
		creaFile(true, fd);
		creaFile(true, fs);
		File [] lskF = fs.listFiles();
		for(File f : lskF) {
			File dest = new File(fd.getAbsolutePath() + "/" + f.getName());
			delete(dest);
			copyFile(f, dest);
		}
		File [] ldkF = fd.listFiles();
		for(File f : ldkF) {
			File dest = new File(fs.getAbsolutePath() + "/" + f.getName());
			copyFile(f, dest);
		}
	}

	public static void processaExcelD(List<MyFile> fls, TemplateImportCriteria ti, FileConversione f, UtilOffice uo) {
		Iterator<MyFile> flsIt = fls.iterator();
		while (flsIt.hasNext()) {
			MyFile ff = (MyFile) flsIt.next();
			String ext = getExtensionLower(ff.getName());
			try {
				Workbook wbOut = null;
				String n = replaceFileName(removeExtension(getBaseNameN(ff.getName())));
				ByteArrayOutputStream outputStream = new ByteArrayOutputStream();
				InputStream stream = new ByteArrayInputStream(ff.getData());
				if(ext.equalsIgnoreCase(ConstantsMap.csv) || ext.equalsIgnoreCase(ConstantsMap.txt)) {
					InputStream fis = new ByteArrayInputStream(ff.getData());
					wbOut = zipToExcelCSVD(n, stream, fis, ti.getSeparatoreChar(), ti.getQuoteChar());
				} else if(ext.equalsIgnoreCase(ConstantsMap.dbf)) {
					wbOut = zipToExcelDBFD(n, stream);
				} else if(ext.equalsIgnoreCase(ConstantsMap.xls) || ext.equalsIgnoreCase(ConstantsMap.xlt)) {
					wbOut = zipToExcelXLSD(stream, ti.getConsidera_filtro(), ti.getEsegui_filtro());
				} else if(ext.equalsIgnoreCase(ConstantsMap.xlsb)) {
					wbOut = zipToExcelXLSBD(n, stream);
				} else if(ext.equalsIgnoreCase(ConstantsMap.xlsx) || ext.equalsIgnoreCase(ConstantsMap.xltx) || ext.equalsIgnoreCase(ConstantsMap.xlsm)) {
					wbOut = zipToExcelXLSXD(stream, ti.getConsidera_filtro(), ti.getEsegui_filtro(), ti.getRapido_filtro());
				} else {
					wbOut = convertToExcelD(stream, ti.getConsidera_filtro(), ti.getEsegui_filtro(), ext, uo.getHost(), uo.getPort());
				}
				stream.close();
				if(wbOut != null) {
					splitFile(null, ff.getModified(), n, aggiustaRighe(ti.getSalta_righe()), wbOut, ti.getStop(), outputStream, ti.getEsegui_filtro());
					wbOut.close();
					MyFile gg = new MyFile();
					gg.setName(n + "." + ConstantsMap.zip);
					outputStream.close();
					gg.setData(outputStream.toByteArray());
					f.addFile(gg);
				}
			} catch (Exception e) {
				ErrorLog.log(null, null, e);
			}

		}
	}



	public static void processaExcelU(List<MyFile> fls, TemplateImportCriteria ti, FileConversione f, UtilOffice uo) {
		try {
			Workbook wbOut = workbookX();
			String nn = ConstantsLanguage.EXPORT.stampa() + "." + ConstantsMap.xlsx;
			ByteArrayOutputStream outputStream = new ByteArrayOutputStream();
			Iterator<MyFile> flsIt = fls.iterator();
			int sh = 0;
			while (flsIt.hasNext()) {
				MyFile ff = (MyFile) flsIt.next();
				String ext = getExtensionLower(ff.getName());

				String n = replaceFileName(removeExtension(getBaseNameN(ff.getName())));

				InputStream stream = new ByteArrayInputStream(ff.getData());
				if(ext.equalsIgnoreCase(ConstantsMap.csv) || ext.equalsIgnoreCase(ConstantsMap.txt)) {
					InputStream fis = new ByteArrayInputStream(ff.getData());
					zipToExcelCSVU(sh++, wbOut, n, stream, fis, ti.getSeparatoreChar(), ti.getQuoteChar());
				} else if(ext.equalsIgnoreCase(ConstantsMap.dbf)) {
					zipToExcelDBFU(sh++, wbOut, n, stream);
				} else if(ext.equalsIgnoreCase(ConstantsMap.xls) || ext.equalsIgnoreCase(ConstantsMap.xlt)) {
					zipToExcelXLSU(sh++, wbOut, stream, ti.getConsidera_filtro(), ti.getEsegui_filtro());
				} else if(ext.equalsIgnoreCase(ConstantsMap.xlsb)) {
					zipToExcelXLSBU(sh++, wbOut, n, stream);
				} else if(ext.equalsIgnoreCase(ConstantsMap.xlsx) || ext.equalsIgnoreCase(ConstantsMap.xltx) || ext.equalsIgnoreCase(ConstantsMap.xlsm)) {
					zipToExcelXLSXU(sh++, wbOut, stream, ti.getConsidera_filtro(), ti.getEsegui_filtro(), ti.getRapido_filtro());
				} else {
					convertToExcelU(sh++, wbOut, stream, ti.getConsidera_filtro(), ti.getEsegui_filtro(), ext, uo.getHost(), uo.getPort());
				}
				stream.close();
			}
			wbOut.write(outputStream);
			wbOut.close();
			MyFile gg = new MyFile();
			gg.setName(nn);
			outputStream.close();
			gg.setData(outputStream.toByteArray());
			f.addFile(gg);
		} catch (Exception e) {
			ErrorLog.log(null, null, e);
		}
	}


	private static Workbook zipToExcelXLSXD(InputStream in, Boolean filtro, Boolean esegui, Boolean rapido) throws Exception {
		Workbook wbOut = workbookX();
		Workbook wbIn = workbookG(rapido, in);
		ExcelStyle s = new ExcelStyle(wbOut);
		int sheetCnt = wbIn.getNumberOfSheets();
		for (int i = 0; i < sheetCnt; i++) {
			Sheet sIn = wbIn.getSheetAt(i);
			Sheet sOut = wbOut.createSheet(sIn.getSheetName());
			Iterator<Row> rowIt = sIn.rowIterator();
			int r = 0;
			while (rowIt.hasNext()) {
				Row rowIn = rowIt.next();
				boolean importa = importa(rowIn, filtro);
				if(importa) {
					Row rowOut = sOut.createRow(r++);
					Iterator<Cell> cellIt = rowIn.cellIterator();
					while (cellIt.hasNext()) {
						Cell cellIn = cellIt.next();
						copyCellStream(esegui, rowOut, cellIn, s);
					}
				}
			}
		}
		wbIn.close();
		return wbOut;
	}


	private static void zipToExcelXLSXU(int sh, Workbook wbOut, InputStream in, Boolean filtro, Boolean esegui, Boolean rapido) throws Exception {
		Workbook wbIn = workbookG(rapido, in);
		ExcelStyle s = new ExcelStyle(wbOut);
		int sheetCnt = wbIn.getNumberOfSheets();
		for (int i = 0; i < sheetCnt; i++) {
			Sheet sIn = wbIn.getSheetAt(i);
			Sheet sOut = wbOut.createSheet(sh + "_" + sIn.getSheetName());
			Iterator<Row> rowIt = sIn.rowIterator();
			int r = 0;
			while (rowIt.hasNext()) {
				Row rowIn = rowIt.next();
				boolean importa = importa(rowIn, filtro);
				if(importa) {
					Row rowOut = sOut.createRow(r++);
					Iterator<Cell> cellIt = rowIn.cellIterator();
					while (cellIt.hasNext()) {
						Cell cellIn = cellIt.next();
						copyCellStream(esegui, rowOut, cellIn, s);
					}
				}
			}
		}
		wbIn.close();
	}


	public static void creaIntestazione(Boolean esegui, ExcelStyle s, Sheet sheet, List<Row> instestazione) {
		int k = 0;
		if(notEmpty(instestazione)) {
			Iterator<Row> it = instestazione.iterator();
			while (it.hasNext()) {
				Row rowIn = (Row) it.next();
				Row rowOut = sheet.createRow(k++);
				Iterator<Cell> cellIt = rowIn.cellIterator();
				while (cellIt.hasNext()) {
					Cell cellIn = cellIt.next();
					copyCellStream(esegui, rowOut, cellIn, s);
				}
			}
			sheet.createFreezePane(0, instestazione.size());
		}
	}

	public static void copyCellNormal(Row rowOut, Cell cellIn, ExcelStyle s) {
		CellType ct = cellIn.getCellType();
		Cell cellOut = rowOut.createCell(cellIn.getColumnIndex(), ct);
		boolean copia = true;
		switch (ct) {
		case BOOLEAN:
			try {
				cellOut.setCellValue(cellIn.getBooleanCellValue());
				copia = true;
			} catch (Exception e) {	}
			break;
		case NUMERIC:
			try {
				if(DateUtil.isCellDateFormatted(cellIn)) {
					cellOut.setCellValue(cellIn.getDateCellValue());
				} else {
					cellOut.setCellValue(cellIn.getNumericCellValue());
				}
				copia = true;
			} catch (Exception e) {	}
			break;
		case STRING:
			try {
				cellOut.setCellValue(cellIn.getStringCellValue());
				copia = true;
			} catch (Exception e) {	}
			break;
		case FORMULA:
			try {
				cellOut.setCellFormula(cellIn.getCellFormula());
				copia = true;
			} catch (Exception e) {	}
			break;
		case ERROR:
			try {
				cellOut.setCellValue(cellIn.getErrorCellValue());
				copia = true;
			} catch (Exception e) {	}
			break;
		default:
			copia = false;
			break;
		}
		if(copia) {
			CellStyle styleIn = cellIn.getCellStyle();
			//cellOut.setCellComment(cellIn.getCellComment());
			ExcelData d = s.getExcelData(styleIn.getDataFormat() + "");
			DataFormat format = d.getFormat();
			CellStyle styleOut = d.getStyle();
			styleOut.setDataFormat(format.getFormat(styleIn.getDataFormatString()));
			cellOut.setCellStyle(styleOut);
		}

	}

	public static void copyCellStream(Boolean esegui, Row rowOut, Cell cellIn, ExcelStyle s) {
		CellType ct = cellIn.getCellType();
		Cell cellOut = rowOut.createCell(cellIn.getColumnIndex(), ct);
		boolean copia = true;
		switch (ct) {
		case BOOLEAN:
			try {
				cellOut.setCellValue(cellIn.getBooleanCellValue());
				copia = true;
			} catch (Exception e) {	}
			break;
		case NUMERIC:
			try {
				if(DateUtil.isCellDateFormatted(cellIn)) {
					cellOut.setCellValue(cellIn.getDateCellValue());
				} else {
					cellOut.setCellValue(cellIn.getNumericCellValue());
				}
				copia = true;
			} catch (Exception e) {	}
			break;
		case STRING:
			try {
				cellOut.setCellValue(standartize(esegui, cellIn.getStringCellValue()));
				copia = true;
			} catch (Exception e) {	}
			break;
		case FORMULA:
			switch (cellIn.getCachedFormulaResultType()) {
			case BOOLEAN: 
				try {
					String a = clearCell(cellIn.getStringCellValue());
					if(isNotBlank(a)) {
						cellOut.setCellValue(a.equals("0") ? false : true);
					}
					copia = true;
				} catch (Exception e) {	}
				break;
			case NUMERIC:
				try {
					if(DateUtil.isCellDateFormatted(cellIn)) {
						cellOut.setCellValue(cellIn.getDateCellValue());
					} else {
						cellOut.setCellValue(cellIn.getNumericCellValue());
					}
					copia = true;
				} catch (Exception e) {	}
				break;
			case STRING: case FORMULA:
				try {
					cellOut.setCellValue(standartize(esegui, cellIn.getStringCellValue()));
					copia = true;
				} catch (Exception e) {	}
				break;
			default:
				copia = false;
				break;
			}
			break;
		default:
			copia = false;
			break;
		}
		if(copia) {
			CellStyle styleIn = cellIn.getCellStyle();
			//cellOut.setCellComment(cellIn.getCellComment());
			ExcelData d = s.getExcelData(styleIn.getDataFormat() + "");
			DataFormat format = d.getFormat();
			CellStyle styleOut = d.getStyle();
			styleOut.setDataFormat(format.getFormat(styleIn.getDataFormatString()));
			cellOut.setCellStyle(styleOut);
		}


	}

	public static String bloccaMessaggio(int maxSize, int ns, String azione) {
		return Message.addCatalogText("tentando") + " " + Message.addCatalogText(azione) + " " + formatNumber(ns) + " " + Message.addCatalogText("elementiS") + " " + "(" + Message.addCatalogText("massimo") + ": " + formatNumber(maxSize) + " " + Message.addCatalogText("elementiS") + ")";
	}

	public static String exportMessaggio(int ns, String azione) {
		return Message.addCatalogText("conferma") + " " + Message.addCatalogText(azione) + " " + formatNumber(ns) +" " + Message.addCatalogText("elementiS") + "?";
	}

	public static String exportMessaggio(String azione) {
		return Message.addCatalogText("conferma") + " " + Message.addCatalogText(azione)+ "?";
	}

	private static Workbook zipToExcelCSVD(String sheetName, InputStream in, InputStream bt, Character sep, Character quote) throws Exception {
		Workbook wbOut = workbookX();
		CreationHelper helper = wbOut.getCreationHelper();
		Sheet sheet = wbOut.createSheet(sheetName);
		String encoding = detect(bt);
		InputStreamReader is = null;
		if(encoding != null) {
			is = new InputStreamReader(in, encoding);
		} else {
			is = new InputStreamReader(in);
		}
		CSVReader reader = new CSVReader( is,sep, quote);
		String[] line;
		int r = 0;
		while ((line = reader.readNext()) != null) {
			Row row = sheet.createRow(r++);
			for (int i = 0; i < line.length; i++) {
				row.createCell(i).setCellValue(helper.createRichTextString(line[i]));
			}
		}
		reader.close();
		return wbOut;
	}

	private static void zipToExcelCSVU(int sh, Workbook wbOut, String sheetName, InputStream in, InputStream bt, Character sep, Character quote) throws IOException {
		CreationHelper helper = wbOut.getCreationHelper();
		Sheet sheet = wbOut.createSheet(sh + "_" + sheetName);
		String encoding = detect(bt);
		InputStreamReader is = null;
		if(encoding != null) {
			is = new InputStreamReader(in, encoding);
		} else {
			is = new InputStreamReader(in);
		}
		CSVReader reader = new CSVReader( is,sep, quote);
		String[] line;
		int r = 0;
		while ((line = reader.readNext()) != null) {
			Row row = sheet.createRow(r++);
			for (int i = 0; i < line.length; i++) {
				row.createCell(i).setCellValue(helper.createRichTextString(line[i]));
			}
		}
		reader.close();
	}

	public static void writeToExcelXLS(InputStream in, String fileOutP, Boolean filtro, Boolean esegui) throws Exception {
		Workbook wbIn = workbookH(in, null);
		Workbook wbOut = workbookX();
		ExcelStyle s = new ExcelStyle(wbOut);
		int sheetCnt = wbIn.getNumberOfSheets();
		for (int i = 0; i < sheetCnt; i++) {
			Sheet sIn = wbIn.getSheetAt(i);
			Sheet sOut = wbOut.createSheet(sIn.getSheetName());
			Iterator<Row> rowIt = sIn.rowIterator();
			int r = 0;
			while (rowIt.hasNext()) {
				Row rowIn = rowIt.next();
				boolean importa = importa(rowIn, filtro);
				if(importa) {
					Row rowOut = sOut.createRow(r++);
					Iterator<Cell> cellIt = rowIn.cellIterator();
					while (cellIt.hasNext()) {
						Cell cellIn = cellIt.next();
						copyCellStream(esegui, rowOut, cellIn, s);
					}
				}
			}
		}
		FileOutputStream fileOut = new FileOutputStream(fileOutP);
		wbOut.write(fileOut);
		fileOut.flush();
		fileOut.close();
		wbIn.close();
		wbOut.close();
	}

	public static void writeToExcelXLSB(InputStream in, String sheetName, String fileOutP) throws Exception {
		OPCPackage p = OPCPackage.open(in);
		XSSFBEventBasedExcelExtractor extractor = new XSSFBEventBasedExcelExtractor(p);
		extractor.setName(sheetName);
		extractor.work();
		Workbook wbOut = extractor.getWorkbook();
		extractor.close();
		p.close();
		if(wbOut != null) {
			OutputStream st = new FileOutputStream(fileOutP);
			wbOut.write(st);
			st.flush();
			st.close();
			wbOut.close();
		}
	}

	public static void writeToExcelXLSX(InputStream in, String fileOutP, Boolean filtro, Boolean esegui, Boolean rapido) throws Exception {
		Workbook wbIn = workbookG(rapido, in);
		Workbook wbOut = workbookX();
		ExcelStyle s = new ExcelStyle(wbOut);
		int sheetCnt = wbIn.getNumberOfSheets();
		for (int i = 0; i < sheetCnt; i++) {
			Sheet sIn = wbIn.getSheetAt(i);
			Sheet sOut = wbOut.createSheet(sIn.getSheetName());
			Iterator<Row> rowIt = sIn.rowIterator();
			int r = 0;
			while (rowIt.hasNext()) {
				Row rowIn = rowIt.next();
				boolean importa = importa(rowIn, filtro);
				if(importa) {
					Row rowOut = sOut.createRow(r++);
					Iterator<Cell> cellIt = rowIn.cellIterator();
					while (cellIt.hasNext()) {
						Cell cellIn = cellIt.next();
						copyCellStream(esegui, rowOut, cellIn, s);
					}
				}
			}
		}
		FileOutputStream fileOut = new FileOutputStream(fileOutP);
		wbOut.write(fileOut);
		fileOut.flush();
		fileOut.close();
		wbIn.close();
		wbOut.close();
	}


	public static void writeToExcelRapido(InputStream in, String fileOutP) throws Exception {
		OutputStream bos = new FileOutputStream(fileOutP);
		copy(in, bos);
		bos.flush();
		bos.close();

	}

	public static void writeToExcelCSV(String sheetName, InputStream in, InputStream bt, String fileOutP, Character sep, Character quote) throws Exception {
		Workbook wbOut = workbookX();
		CreationHelper helper = wbOut.getCreationHelper();
		Sheet sheet = wbOut.createSheet(sheetName);
		String encoding = detect(bt);
		InputStreamReader is = null;
		if(encoding != null) {
			is = new InputStreamReader(in, encoding);
		} else {
			is = new InputStreamReader(in);
		}
		CSVReader reader = new CSVReader( is,sep, quote);
		String[] line;
		int r = 0;
		while ((line = reader.readNext()) != null) {
			Row row = sheet.createRow(r++);
			for (int i = 0; i < line.length; i++) {
				row.createCell(i).setCellValue(helper.createRichTextString(line[i]));
			}
		}
		FileOutputStream fileOut = new FileOutputStream(fileOutP);
		wbOut.write(fileOut);
		reader.close();
		fileOut.flush();
		fileOut.close();
		wbOut.close();
	}

	public static void writeToExcelDBF(String sheetName, InputStream in, String fileOutP) throws Exception {
		Workbook wbOut = workbookX();
		CreationHelper helper = wbOut.getCreationHelper();
		Sheet sheet = wbOut.createSheet(sheetName);
		DBFReader reader = new DBFReader(in);
		int r = 0;
		Row row = sheet.createRow(r++);
		for (int i=0; i<reader.getFieldCount(); i++) {
			row.createCell(i).setCellValue(helper.createRichTextString(trimToEmpty(reader.getField(i).getName())));
		}
		while(reader.hasNextRecord())	{
			row = sheet.createRow(r++);
			Object aobj[] = reader.nextRecord();
			if(notEmpty(aobj)) {
				for (int j=0; j<aobj.length; j++) {
					row.createCell(j).setCellValue(helper.createRichTextString(trimToEmpty((String) aobj[j])));
				}
			}
		}
		FileOutputStream fileOut = new FileOutputStream(fileOutP);
		wbOut.write(fileOut);
		reader.close();
		fileOut.flush();
		fileOut.close();
		wbOut.close();
	}


	public static Workbook streamToExcelXLSB(String sheetName, InputStream in) throws Exception {
		OPCPackage p = OPCPackage.open(in);
		XSSFBEventBasedExcelExtractor extractor = new XSSFBEventBasedExcelExtractor(p);
		extractor.setName(sheetName);
		extractor.work();
		Workbook wbOut = extractor.getWorkbook();
		extractor.close();
		p.close();
		return wbOut;
	}

	public static Workbook streamToExcelDBF(String sheetName, InputStream in) throws Exception {
		Workbook wbOut = workbookX();
		CreationHelper helper = wbOut.getCreationHelper();
		Sheet sheet = wbOut.createSheet(sheetName);
		DBFReader reader = new DBFReader(in);
		int r = 0;
		Row row = sheet.createRow(r++);
		for (int i=0; i<reader.getFieldCount(); i++) {
			row.createCell(i).setCellValue(helper.createRichTextString(trimToEmpty(reader.getField(i).getName())));
		}
		while(reader.hasNextRecord())	{
			row = sheet.createRow(r++);
			Object aobj[] = reader.nextRecord();
			if(notEmpty(aobj)) {
				for (int j=0; j<aobj.length; j++) {
					row.createCell(j).setCellValue(helper.createRichTextString(trimToEmpty((String) aobj[j])));
				}
			}
		}
		reader.close();
		return wbOut;	
	}

	public static Workbook streamToExcelXLS(InputStream in, Boolean filtro, Boolean esegui) throws Exception {

		Workbook wbIn = workbookH(in, null);
		Workbook wbOut = workbookX();
		ExcelStyle s = new ExcelStyle(wbOut);
		int sheetCnt = wbIn.getNumberOfSheets();
		for (int i = 0; i < sheetCnt; i++) {
			Sheet sIn = wbIn.getSheetAt(i);
			Sheet sOut = wbOut.createSheet(sIn.getSheetName());
			Iterator<Row> rowIt = sIn.rowIterator();
			int r = 0;
			while (rowIt.hasNext()) {
				Row rowIn = rowIt.next();
				boolean importa = importa(rowIn, filtro);
				if(importa) {
					Row rowOut = sOut.createRow(r++);
					Iterator<Cell> cellIt = rowIn.cellIterator();
					while (cellIt.hasNext()) {
						Cell cellIn = cellIt.next();
						copyCellStream(esegui, rowOut, cellIn, s);
					}
				}
			}
		}
		wbIn.close();
		return wbOut;
	}

	public static Workbook streamToExcelXLSX(InputStream in, Boolean filtro, Boolean esegui, Boolean rapido) throws Exception {
		Workbook wbIn = workbookG(rapido, in);
		Workbook wbOut = workbookX();
		ExcelStyle s = new ExcelStyle(wbOut);
		int sheetCnt = wbIn.getNumberOfSheets();
		for (int i = 0; i < sheetCnt; i++) {
			Sheet sIn = wbIn.getSheetAt(i);
			Sheet sOut = wbOut.createSheet(sIn.getSheetName());
			Iterator<Row> rowIt = sIn.rowIterator();
			int r = 0;
			while (rowIt.hasNext()) {
				Row rowIn = rowIt.next();
				boolean importa = importa(rowIn, filtro);
				if(importa) {
					Row rowOut = sOut.createRow(r++);
					Iterator<Cell> cellIt = rowIn.cellIterator();
					while (cellIt.hasNext()) {
						Cell cellIn = cellIt.next();
						copyCellStream(esegui, rowOut, cellIn, s);
					}
				}
			}
		}
		wbIn.close();
		return wbOut;
	}

	public static Workbook streamToExcelRapido(InputStream in, Boolean rapido) throws Exception {
		return workbookG(rapido, in);
	}


	private static Workbook zipToExcelXLSD(InputStream in, Boolean filtro, Boolean esegui) throws Exception {
		Workbook wbOut = workbookX();
		Workbook wbIn = workbookH(in, null);
		ExcelStyle s = new ExcelStyle(wbOut);
		int sheetCnt = wbIn.getNumberOfSheets();
		for (int i = 0; i < sheetCnt; i++) {
			Sheet sIn = wbIn.getSheetAt(i);
			Sheet sOut = wbOut.createSheet(sIn.getSheetName());
			Iterator<Row> rowIt = sIn.rowIterator();
			int r = 0;
			while (rowIt.hasNext()) {
				Row rowIn = rowIt.next();
				boolean importa = importa(rowIn, filtro);
				if(importa) {
					Row rowOut = sOut.createRow(r++);
					Iterator<Cell> cellIt = rowIn.cellIterator();
					while (cellIt.hasNext()) {
						Cell cellIn = cellIt.next();
						copyCellStream(esegui, rowOut, cellIn, s);
					}
				}
			}
		}
		wbIn.close();
		return wbOut;
	}

	private static void zipToExcelXLSU(int sh, Workbook wbOut, InputStream in, Boolean filtro, Boolean esegui) throws Exception {
		Workbook wbIn = workbookH(in, null);
		ExcelStyle s = new ExcelStyle(wbOut);
		int sheetCnt = wbIn.getNumberOfSheets();
		for (int i = 0; i < sheetCnt; i++) {
			Sheet sIn = wbIn.getSheetAt(i);
			Sheet sOut = wbOut.createSheet(sh + "_" + sIn.getSheetName());
			Iterator<Row> rowIt = sIn.rowIterator();
			int r = 0;
			while (rowIt.hasNext()) {
				Row rowIn = rowIt.next();
				boolean importa = importa(rowIn, filtro);
				if(importa) {
					Row rowOut = sOut.createRow(r++);
					Iterator<Cell> cellIt = rowIn.cellIterator();
					while (cellIt.hasNext()) {
						Cell cellIn = cellIt.next();
						copyCellStream(esegui, rowOut, cellIn, s);
					}
				}
			}
		}
		wbIn.close();
	}

	private static Workbook zipToExcelXLSBD(String sheetName, InputStream in) throws Exception {
		Workbook wbOut = workbookX();
		OPCPackage p = OPCPackage.open(in);
		XSSFBEventBasedExcelExtractor extractor = new XSSFBEventBasedExcelExtractor(p);
		extractor.setName(sheetName);
		extractor.setWorkbook(wbOut);
		extractor.work();
		extractor.close();
		p.close();
		return wbOut;
	}

	private static void zipToExcelXLSBU(int sh, Workbook wbOut, String sheetName, InputStream in) throws Exception {
		OPCPackage p = OPCPackage.open(in);
		XSSFBEventBasedExcelExtractor extractor = new XSSFBEventBasedExcelExtractor(p);
		extractor.setName(sh + "_" + sheetName);
		extractor.setWorkbook(wbOut);
		extractor.work();
		extractor.close();
		p.close();
	}

	private static Workbook zipToExcelDBFD(String sheetName, InputStream in) throws Exception {
		Workbook wbOut = workbookX();
		CreationHelper helper = wbOut.getCreationHelper();
		Sheet sheet = wbOut.createSheet(sheetName);
		DBFReader reader = new DBFReader(in);
		int r = 0;
		Row row = sheet.createRow(r++);
		for (int i=0; i<reader.getFieldCount(); i++) {
			row.createCell(i).setCellValue(helper.createRichTextString(trimToEmpty(reader.getField(i).getName())));
		}
		while(reader.hasNextRecord())	{
			row = sheet.createRow(r++);
			Object aobj[] = reader.nextRecord();
			if(notEmpty(aobj)) {
				for (int j=0; j<aobj.length; j++) {
					row.createCell(j).setCellValue(helper.createRichTextString(trimToEmpty((String) aobj[j])));
				}
			}
		}
		reader.close();
		return wbOut;

	}

	private static void zipToExcelDBFU(int sh, Workbook wbOut, String sheetName, InputStream in) throws Exception {
		CreationHelper helper = wbOut.getCreationHelper();
		Sheet sheet = wbOut.createSheet(sh + "_" + sheetName);
		DBFReader reader = new DBFReader(in);
		int r = 0;
		Row row = sheet.createRow(r++);
		for (int i=0; i<reader.getFieldCount(); i++) {
			row.createCell(i).setCellValue(helper.createRichTextString(trimToEmpty(reader.getField(i).getName())));
		}
		while(reader.hasNextRecord())	{
			row = sheet.createRow(r++);
			Object aobj[] = reader.nextRecord();
			if(notEmpty(aobj)) {
				for (int j=0; j<aobj.length; j++) {
					row.createCell(j).setCellValue(helper.createRichTextString(trimToEmpty((String) aobj[j])));
				}
			}
		}
		reader.close();
	}

	public static Workbook convertToExcelD(InputStream istream, Boolean filtro, Boolean esegui, String ext, String url, Integer port) throws Exception {
		Workbook wbOut = workbookX();
		ByteArrayOutputStream ostream = new ByteArrayOutputStream();
		DefaultDocumentFormatRegistry registry = new DefaultDocumentFormatRegistry();
		DocumentFormat formatoFileIn = registry.getFormatByFileExtension(ext);
		DocumentFormat formatoFileOut = registry.getFormatByFileExtension(ConstantsMap.xls);
		OpenOfficeConnection connection = new SocketOpenOfficeConnection(url, port);
		connection.connect();
		DocumentConverter converter = new OpenOfficeDocumentConverter(connection);
		converter.convert(istream, formatoFileIn, ostream, formatoFileOut);
		connection.disconnect();
		ostream.close();
		InputStream is = new ByteArrayInputStream(ostream.toByteArray());
		Workbook wbIn = workbookH(is, null);
		ExcelStyle s = new ExcelStyle(wbOut);
		int sheetCnt = wbIn.getNumberOfSheets();
		for (int i = 0; i < sheetCnt; i++) {
			Sheet sIn = wbIn.getSheetAt(i);
			Sheet sOut = wbOut.createSheet(sIn.getSheetName());
			Iterator<Row> rowIt = sIn.rowIterator();
			int r = 0;
			while (rowIt.hasNext()) {
				Row rowIn = rowIt.next();
				boolean importa = importa(rowIn, filtro);
				if(importa) {
					Row rowOut = sOut.createRow(r++);
					Iterator<Cell> cellIt = rowIn.cellIterator();
					while (cellIt.hasNext()) {
						Cell cellIn = cellIt.next();
						copyCellStream(esegui, rowOut, cellIn, s);
					}
				}
			}
		}
		wbIn.close();
		is.close();

		return wbOut;

	}
	public static void convertToExcelU(int sh, Workbook wbOut, InputStream istream, Boolean filtro, Boolean esegui, String ext, String url, Integer port) throws Exception {
		ByteArrayOutputStream ostream = new ByteArrayOutputStream();
		DefaultDocumentFormatRegistry registry = new DefaultDocumentFormatRegistry();
		DocumentFormat formatoFileIn = registry.getFormatByFileExtension(ext);
		DocumentFormat formatoFileOut = registry.getFormatByFileExtension(ConstantsMap.xls);
		OpenOfficeConnection connection = new SocketOpenOfficeConnection(url, port);
		connection.connect();
		DocumentConverter converter = new OpenOfficeDocumentConverter(connection);
		converter.convert(istream, formatoFileIn, ostream, formatoFileOut);
		connection.disconnect();
		ostream.close();
		InputStream is = new ByteArrayInputStream(ostream.toByteArray());
		Workbook wbIn = workbookH(is, null);
		ExcelStyle s = new ExcelStyle(wbOut);
		int sheetCnt = wbIn.getNumberOfSheets();
		for (int i = 0; i < sheetCnt; i++) {
			Sheet sIn = wbIn.getSheetAt(i);
			Sheet sOut = wbOut.createSheet(sh + "_" + sIn.getSheetName());
			Iterator<Row> rowIt = sIn.rowIterator();
			int r = 0;
			while (rowIt.hasNext()) {
				Row rowIn = rowIt.next();
				boolean importa = importa(rowIn, filtro);
				if(importa) {
					Row rowOut = sOut.createRow(r++);
					Iterator<Cell> cellIt = rowIn.cellIterator();
					while (cellIt.hasNext()) {
						Cell cellIn = cellIt.next();
						copyCellStream(esegui, rowOut, cellIn, s);
					}
				}
			}
		}
		wbIn.close();
		is.close();
	}

	public static Calendar getCalendar() {
		Locale locale = getLocale();
		Calendar ca = null;
		if(locale != null) {
			ca = Calendar.getInstance(locale);
		} else {
			ca = Calendar.getInstance();
		}
		if(ca != null && isNotBlank(ConstantsGlobal.TIMEZONE)) {
			ca.setTimeZone(TimeZone.getTimeZone(ConstantsGlobal.TIMEZONE));
		} 
		return ca;
	}

	public static GregorianCalendar getGregorianCalendar() {
		Locale locale = getLocale();
		GregorianCalendar ca = null;
		if(locale != null) {
			ca = new GregorianCalendar(locale);
		} else {
			ca = new GregorianCalendar();
		}
		if(ca != null && isNotBlank(ConstantsGlobal.TIMEZONE)) {
			ca.setTimeZone(TimeZone.getTimeZone(ConstantsGlobal.TIMEZONE));
		} 
		return ca;
	}

	public static Date timeToDate(Time date) {
		if(date != null) {
			return date(date.getTime());
		} else return null;
	}

	public static Time dateToTime(Date date) {
		if(date != null) {
			return new Time(date.getTime());
		} else return null;
	}


	public static Timestamp dateToTimestamp(Date date) {
		if(date != null) {
			return new Timestamp(date.getTime());
		} else return null;
	}

	public static Date timestampToDate(Timestamp date) {
		if(date != null) {
			return date(date.getTime());
		} else return null;
	}

	public static Date date() {
		return new Date();
	}
	public static Date date(long date) {
		return new Date(date);
	}
	public static DecimalFormat getDecimalFormat(String pattern) {
		Locale locale = getLocale();
		DecimalFormat df;
		if(locale != null) {
			df = (DecimalFormat) DecimalFormat.getInstance(locale);
		} else {
			df = (DecimalFormat) DecimalFormat.getInstance();
		}
		df.applyPattern(pattern);
		return df;
	}

	public static DateFormat getDateFormat(String format) {
		Locale locale = getLocale();
		DateFormat df;
		if(locale != null) {
			df = new SimpleDateFormat(format, locale);
		} else {
			df = new SimpleDateFormat(format);
		}
		if(df != null && isNotBlank(ConstantsGlobal.TIMEZONE)) {
			df.setTimeZone(TimeZone.getTimeZone(ConstantsGlobal.TIMEZONE));
		} 
		return df;
	}

	public static ValoreMappa prepareValore(DatoSondaggio da, String chiave) {
		CampoSpeciale c = new CampoSpeciale(chiave, da.getChiave());
		Map<CampoSpeciale,ValoreMappa> m = da.getMappa();
		ValoreMappa v = m.get(c);
		if(v != null) {
			return v;
		}
		return new ValoreMappa();
	}

	public static boolean prepareConfronto(DatoSondaggio da, Boolean negato, String ca, String elemento) {
		List<String> chiavi = token(ca, ConstantsGlobal.colonSeparator);
		boolean a = false;
		for(String chiave : chiavi) {
			if(isTrue(negato)) {
				a = a || !prepareConfronto(da, chiave, elemento);
			} else {
				a = a || prepareConfronto(da, chiave, elemento);
			}
		}
		return a;
	}


	public static boolean prepareConfronto(DatoSondaggio da, String chiave, String elemento) {
		CampoSpeciale c = new CampoSpeciale(chiave, da.getChiave());
		Map<CampoSpeciale,ValoreMappa> m = da.getMappa();
		ValoreMappa v = m.get(c);
		if(v != null) {
			if(v.getMultiplo() != null) {
				List<String> oggetto = v.getMultiplo(); 
				String elem = trimToNull(elemento);
				if(notEmpty(oggetto)) {
					if(elem != null && elem.contains(ConstantsGlobal.colonSeparator)) {
						List<String> es = asList(splitPreserveAllTokens(elem, ConstantsGlobal.colonSeparator));
						return notEmpty(ListUtils.intersection(oggetto, es));
					} else {
						return oggetto.contains(elem);
					}		
				} else {
					if(elem != null && elem.contains(ConstantsGlobal.colonSeparator)) {
						List<String> es = asList(splitPreserveAllTokens(elem, ConstantsGlobal.colonSeparator));
						return es.contains(null);
					} else {
						return elem == null;
					}		
				}
			} else {
				Object oggetto = v.getSingolo(); 
				String elem = trimToNull(elemento);
				if(elem != null && elem.contains(ConstantsGlobal.colonSeparator)) {
					List<String> es = asList(splitPreserveAllTokens(elem, ConstantsGlobal.colonSeparator));
					if(oggetto != null) {
						if(oggetto instanceof Date) {
							CampoSpeciale t = da.getCampo(chiave, da.getChiave());
							Date d = (Date) oggetto;
							if(t != null) {
								String dd = formatDate(t.getValuesT(), d);
								return es.contains(dd);
							} else {
								return es.contains(d.toString());
							}
						}
						if(oggetto instanceof Boolean) {
							Boolean d = isTrue((Boolean) oggetto);
							return es.contains(d.toString());
						}
					}
					String d = trimToEmpty((String) oggetto);
					return es.contains(d);
				} else {
					if(oggetto != null) {
						if(oggetto instanceof Date) {
							CampoSpeciale t = da.getCampo(chiave, da.getChiave());
							Date d = (Date) oggetto;
							if(t != null) {
								String dd = formatDate(t.getValuesT(), d);
								return equals(dd, elem);
							} else {
								return equals(d.toString(), elem);
							}
						}
						if(oggetto instanceof Boolean) {
							Boolean d = isTrue((Boolean) oggetto);
							return equals(d.toString(), elem);
						}
					}
					return equals(oggetto, elem);
				}
			}
		}
		return false;
	}

	public static boolean prepareConfronto(Object oggetto, String elemento) {
		if(oggetto != null) {
			String elem = trimToNull(elemento);
			if(elem != null && elem.contains(ConstantsGlobal.colonSeparator)) {
				List<String> es = asList(splitPreserveAllTokens(elem, ConstantsGlobal.colonSeparator));
				if(oggetto instanceof Date) {
					Date d = (Date) oggetto;
					return es.contains(d.toString());
				}
				if(oggetto instanceof Boolean) {
					Boolean d = isTrue((Boolean) oggetto);
					return es.contains(d.toString());
				}
				String d = trimToEmpty((String) oggetto);
				return es.contains(d);
			} else {
				if(oggetto instanceof Date) {
					Date d = (Date) oggetto;
					return equals(d.toString(), elem);
				}
				if(oggetto instanceof Boolean) {
					Boolean d = isTrue((Boolean) oggetto);
					return equals(d.toString(), elem);
				}
				return equals(oggetto, elem);
			}
		}
		return false;
	}

	public static void fileWriter(String pathFile, String testo) {
		try {
			FileWriter fw = new FileWriter(pathFile + "." + ConstantsMap.txt);
			fw.write(testo);
			fw.flush();
			fw.close();
		} catch (Exception e) {
			ErrorLog.log(null, null, e);
		}
	}
	
	public static void fileWriter(File file, String testo) {
		try {
			FileWriter fw = new FileWriter(file);
			fw.write(testo);
			fw.flush();
			fw.close();
		} catch (Exception e) {
			ErrorLog.log(null, null, e);
		}
	}


	public static void fileWriter(List<Allegato> allegati, String pathFile, String testo) {
		Allegato p = new Allegato(pathFile + "." + ConstantsMap.txt, testo.getBytes(ConstantsGlobal.CHARSET));
		p.setData_modifica(date());
		if(!allegati.contains(p)) {
			allegati.add(p);
		}
	}

	public static void addFile(List<Allegato> allegati, byte [] b, String name) {
		Allegato a = new Allegato(name, b);
		a.setData_modifica(date());
		if(!allegati.contains(a)) {
			allegati.add(0, a);
		}
	}

	public static void addFile(List<Allegato> allegati, Allegato p) {
		if(p != null && !allegati.contains(p)) {
			allegati.add(p);
		}
	}

	public static void addFile(List<Allegato> allegati, String nome, String file, Long modifica) {
		Allegato p = new Allegato(nome, file);
		p.setData_modifica(modifica != null ? date(modifica) : date());
		if(!allegati.contains(p)) {
			allegati.add(p);
		}
	}

	public static void addFile(List<Allegato> allegati, String nome, byte[] b, Long modifica) {
		Allegato p = new Allegato(nome, b);
		p.setData_modifica(modifica != null ? date(modifica) : date());
		if(!allegati.contains(p)) {
			allegati.add(p);
		}
	}

	public static void addFile(HashMap<Allegato, String> map, DocumentiCheckbox dc) {
		Documento doc = dc.getDocumento();
		Allegato a = new Allegato(doc.getNomeFileS(), doc.getContent());
		a.setData_modifica(doc.getData_creazione());
		if(!map.containsKey(a)) {
			map.put(a, doc.getNome());
		}
	}

	public static void writeFile(String file, ByteArrayOutputStream ostream) {
		try {
			ostream.flush(); 
			ostream.close();
			writeByteArrayToFile(new File(file), ostream.toByteArray());
		} catch (Exception e) {
			ErrorLog.log(null, null, e);
		}
	}


	public static List<Allegato> getAllegatiReinvioList(byte[] allegatiTemplate) {
		List<Allegato> valore = new ArrayList<Allegato>();
		List<AllegatoUtils> lst = getAllegatiTemplateList(allegatiTemplate);
		if(notEmpty(lst)) {
			for(AllegatoUtils all : lst) {
				if(isNotBlank(all.getNome()) && (all.isFileE() || all.isPercorsoE())) {
					Allegato a = new Allegato(true, all.getNome());
					a.setData_modifica(all.getModifica());
					a.setFile(all.getFile());
					a.setPercorso(all.getPercorso());
					if(!valore.contains(a)) {
						valore.add(a);
					}
				}
			}
		}
		return valore;
	}

	@SuppressWarnings("unchecked")
	public static List<AllegatoUtils> getAllegatiTemplateList(byte[] allegatiTemplate) {
		List<AllegatoUtils> valore = new ArrayList<AllegatoUtils>();
		try {
			if(allegatiTemplate != null) {
				ObjectInputStream ois = new ObjectInputStream(new ByteArrayInputStream(allegatiTemplate));
				valore.addAll((List<AllegatoUtils>) ois.readObject() );
				ois.close();
			}
		} catch (Exception e) {
		}
		return valore;
	}

	public static byte [] setAllegatiTemplateList(List<Allegato> allegati) {
		try {
			List<AllegatoUtils> allegatoList = new ArrayList<AllegatoUtils>();
			if(notEmpty(allegati)) {
				for(Allegato allegato: allegati) {
					if(isNotBlank(allegato.getNome())) {
						AllegatoUtils al = new AllegatoUtils(allegato.getNome());
						al.setModifica(allegato.getData_modifica());
						if(allegato.isSalva()) {
							al.setFile(allegato.getFile());
							al.setPercorso(allegato.getPercorso());
						}
						if(!allegatoList.contains(al)) {
							allegatoList.add(al);
						}
					}
				}
				if(notEmpty(allegatoList)) {
					ByteArrayOutputStream baos = new ByteArrayOutputStream();
					ObjectOutputStream oos = new ObjectOutputStream( baos );

					oos.writeObject(allegatoList);
					oos.close();
					baos.close();
					return baos.toByteArray();
				}
			}
		} catch (IOException e) {
		}
		return null;
	}

	public static Date intervallo(Integer intervallo) {
		if(gtZero(intervallo)) {
			return addDays(date(), (-1 * intervallo));
		}
		if(eq(intervallo, 0)) {
			return date();
		}
		return null;
	}

	public static Date addYears(Date date, Integer i) {
		if(i != null) {
			return DateUtils.addYears(date, i);
		} else {
			return date;
		}
	}

	public static Date addWeeks(Date date, Integer i) {
		if(i != null) {
			return DateUtils.addWeeks(date, i);
		} else {
			return date;
		}
	}

	public static Date addMonths(Date date, Integer i) {
		if(i != null) {
			return DateUtils.addMonths(date, i);
		} else {
			return date;
		}
	}

	public static Date addDays(Date date, Integer i) {
		if(i != null) {
			return DateUtils.addDays(date, i);
		} else {
			return date;
		}
	}

	public static Date addHours(Date date, Integer i) {
		if(i != null) {
			return DateUtils.addHours(date, i);
		} else {
			return date;
		}
	}

	public static Date addMinutes(Date date, Integer i) {
		if(i != null) {
			return DateUtils.addMinutes(date, i);
		} else {
			return date;
		}
	}

	public static Date addSeconds(Date date, Integer i) {
		if(i != null) {
			return DateUtils.addSeconds(date, i);
		} else {
			return date;
		}
	}

	public static Date addMilliseconds(Date date, Integer i) {
		if(i != null) {
			return DateUtils.addMilliseconds(date, i);
		} else {
			return date;
		}
	}

	public static boolean isSameDay(Date date1, Date date2) {
		return DateUtils.isSameDay(date1, date2);
	}
	public static boolean isSameDay(Calendar date1, Calendar date2) {
		return DateUtils.isSameDay(date1, date2);
	}

	public static boolean isValid(String input) { 
		if(isNotBlank(input)) {
			String pattern = ConstantsGlobal.validatore_file;
			Pattern p = Pattern.compile(pattern);
			Matcher m = p.matcher(input);
			return !m.matches();	 			 
		}
		return false;
	}


	public static String asString(String descrizione, Object oggetto) { 
		if(oggetto != null) {
			StringBuilder d = new StringBuilder();
			if(descrizione != null) { 
				d.append(descrizione + " - ");
			}
			d.append(oggetto.toString());
			return d.toString();
		} else {
			return null;
		}
	}

	public static String asString(String descrizione, List<?> oggetto) { 
		if(oggetto != null) {
			StringBuilder d = new StringBuilder();
			if(descrizione != null) { 
				d.append(descrizione + " - ");
			}
			d.append(oggetto.toString());
			return d.toString();
		} else {
			return null;
		}
	}

	public static String asContatto(Contatto contatto) { 
		if(contatto != null) {
			return contatto.toString() + " " + asCampagna(contatto.getCampagna(), contatto.getLista());
		}
		return null;
	}

	public static String asCampagna(Campagna c, Lista l) { 
		return "<" + c.toString() + "/" + l.toString() + ">";
	}

	
	public static String parameter(String parameter) {
		HttpServletRequest request = getRequest(null);
		if(request != null) {
			return trimToNull(request.getParameter(parameter));
		}
		return null;
	}

	public static String browser() {
		HttpServletRequest request = getRequest(null);
		if(request != null) {
			return trimToEmpty(request.getHeader("User-Agent"));
		}			
		return "";
	}

	public static void loginMessage(HttpServletRequest request, String message) {
		HttpSession session = request.getSession(false);
		if (session != null) {
			session.setAttribute("LoginFailureMessage", message);
		}
	}

	public static String getSessionId() {
		HttpSession session = getSession();
		if(session != null) {
			return session.getId();
		}
		return null;
	}

	public static Boolean phone1(String browser) {
		//Iron Maxthon OPR Firefox SeaMonkey PaleMoon Chrome Gonna
		boolean b = browser.contains("Firefox") || browser.contains("Chrome");
		return browser.contains("Windows") && ((b && !browser.contains("Win64")) || browser.contains("Trident"));
	}

	public static Boolean phone2(String browser) {
		return !(browser.contains("Trident") && browser.contains("MSIE"));
	}

	public static Boolean phone(String phone, String browser) {
		return (phone.equals(ConstantsMap.phone1) && phone1(browser)) || (!phone.equals(ConstantsMap.phone1) && phone2(browser));
	}
	
	

	public static String ip(HttpServletRequest request) {
		if(request != null) {
			String ipAddress = request.getHeader("X-FORWARDED-FOR");
			if (ipAddress == null) {
				ipAddress = request.getRemoteAddr();
			}
			return ipAddress;
		} else {
			return null;
		}
	}

	public static String ip() {
		String indirizzo = null;
		try {
			InetAddress ip = InetAddress.getLocalHost();
			indirizzo = ip.getHostAddress();
		} catch (Exception e) {
		}
		return trimToEmpty(indirizzo);
	}

	public static String hostname() {
		String hostname = null;
		try {
			InetAddress ip = InetAddress.getLocalHost();
			hostname = ip.getHostName();
		} catch (Exception e) {
		}
		return trimToEmpty(hostname);
	}

	public static void writeAttributes(FacesContext context, UIComponent component) throws IOException {
		String[] attributes = new String[] { "placeholder", "autocomplete", "oninput", "oninputfocus" };

		ResponseWriter writer = context.getResponseWriter();

		for (String attribute : attributes) {
			String value = (String) component.getAttributes().get(attribute);
			if (value != null) {
				writer.writeAttribute(attribute, value, null);
			}
		}
	}


	public static String ordineCriteria(String pre, String latitudine, String longitudine) {
		return "SQRT(POWER(IFNULL("+pre+"latitudine,0)-"+latitudine+", 2) + POWER(IFNULL("+pre+"longitudine,0)-"+longitudine+", 2))";
	}


	public static Ricerca match(String ricerca) {
		Ricerca m = new Ricerca();
		if(ricerca.startsWith(ConstantsGlobal.negazioneSeparator)) {
			ricerca = trimToNull(substringAfterLast(ricerca, ConstantsGlobal.negazioneSeparator));
			m.setInverti(true);
		} else {
			m.setInverti(false);
		}
		if(ricerca.startsWith(ConstantsGlobal.pipeSeparator) && ricerca.endsWith(ConstantsGlobal.pipeSeparator)) {
			m.setRicerca(substringBetween(ricerca, ConstantsGlobal.pipeSeparator, ConstantsGlobal.pipeSeparator));
			m.setValore(1);
		} else if(ricerca.startsWith(ConstantsGlobal.pipeSeparator) && !ricerca.endsWith(ConstantsGlobal.pipeSeparator)) {
			m.setRicerca(substringAfter(ricerca, ConstantsGlobal.pipeSeparator));
			m.setValore(2);
		} else if(!ricerca.startsWith(ConstantsGlobal.pipeSeparator) && ricerca.endsWith(ConstantsGlobal.pipeSeparator)) {
			m.setRicerca(substringBefore(ricerca, ConstantsGlobal.pipeSeparator));
			m.setValore(3);
		} else {
			m.setRicerca(ricerca);
			m.setValore(4);
		}
		return m;
	}

	public static boolean ricercaFile(String separator, boolean in, String file, String ricerca) {
		List<String> rs = token(ricerca, separator);
		boolean a = false;
		if(notEmpty(rs)) {
			for(String ra : rs) { 
				Ricerca m = match(ra);
				if(m.getValore() == 1) {
					if(m.isInverti()) {
						a |= (m.getRicerca() != null && !upperCase(file).equals(upperCase(m.getRicerca())));
					} else {
						a |= (m.getRicerca() != null && upperCase(file).equals(upperCase(m.getRicerca())));
					}
				}
				if(m.getValore() == 2) {
					if(m.isInverti()) {
						a |= (m.getRicerca() != null && !upperCase(file).startsWith(upperCase(m.getRicerca())));
					} else {
						a |= (m.getRicerca() != null && upperCase(file).startsWith(upperCase(m.getRicerca())));
					}
				}
				if(m.getValore() == 3) {
					if(m.isInverti()) {
						a |= (m.getRicerca() != null && !upperCase(file).endsWith(upperCase(m.getRicerca())));
					} else {
						a |= (m.getRicerca() != null && upperCase(file).endsWith(upperCase(m.getRicerca())));
					}
				}
				if(m.getValore() == 4) {
					if(m.isInverti()) {
						a |= (m.getRicerca() != null && !upperCase(file).contains(upperCase(m.getRicerca())));
					} else {
						a |= (m.getRicerca() != null && upperCase(file).contains(upperCase(m.getRicerca())));
					}
				}
			}
		}
		return a;
	}

	public static void valori(String separator, boolean in, String ricerca, DetachedCriteria criteria, String ... as) {
		if(notEmpty(as)) {
			List<String> rs = token(ricerca, separator);
			if(notEmpty(rs)) {
				List<Criterion> c = new ArrayList<Criterion>();
				for(String a : as) { 
					for(String rad : rs) {
						String ra = trimToNull(rad);
						if(ra != null) {
							Ricerca m = match(ra);
							String r = m.getRicerca();
							if(m.getValore() == 1) {
								if(m.isInverti()) {
									c.add(in ? Restrictions.not(Restrictions.ilike(a,r,MatchMode.EXACT)): Restrictions.ilike(a,r,MatchMode.EXACT));
								} else {
									c.add(in ? Restrictions.ilike(a,r,MatchMode.EXACT) : Restrictions.not(Restrictions.ilike(a,r,MatchMode.EXACT)));
								}
							}
							if(m.getValore() == 2) {
								if(m.isInverti()) {
									c.add(in ? Restrictions.not(Restrictions.ilike(a,r,MatchMode.START)) : Restrictions.ilike(a,r,MatchMode.START));
								} else {
									c.add(in ? Restrictions.ilike(a,r,MatchMode.START) : Restrictions.not(Restrictions.ilike(a,r,MatchMode.START)));
								}
							}
							if(m.getValore() == 3) {
								if(m.isInverti()) {
									c.add(in ? Restrictions.not(Restrictions.ilike(a,r,MatchMode.END)) : Restrictions.ilike(a,r,MatchMode.END));
								} else {
									c.add(in ? Restrictions.ilike(a,r,MatchMode.END) : Restrictions.not(Restrictions.ilike(a,r,MatchMode.END)));
								}
							}
							if(m.getValore() == 4) {
								if(m.isInverti()) {
									c.add(in ? Restrictions.not(Restrictions.ilike(a,r,MatchMode.ANYWHERE)) : Restrictions.ilike(a,r,MatchMode.ANYWHERE));
								} else {
									c.add(in ? Restrictions.ilike(a,r,MatchMode.ANYWHERE) : Restrictions.not(Restrictions.ilike(a,r,MatchMode.ANYWHERE)));
								}

							}
						}
					}
				}
				if(notEmpty(c)) {
					criteria.add(Restrictions.or(c.toArray(new Criterion[c.size()])));
				}
			} 
		}
	}

	public static void valori(String separator, boolean in, String ricerca, DetachedCriteria criteria, MatchMode mode, String ... as) {
		if(notEmpty(as)) {
			List<String> rs = token(ricerca, separator);
			if(notEmpty(rs)) {
				List<Criterion> c = new ArrayList<Criterion>();
				for(String a : as) { 
					for(String r : rs) { 
						c.add(in ? Restrictions.ilike(a,r,mode) : Restrictions.not(Restrictions.ilike(a,r,mode)));
					}
				}
				if(notEmpty(c)) {
					criteria.add(Restrictions.or(c.toArray(new Criterion[c.size()])));
				}
			} 
		}
	}

	public static void valori(String ricerca, DetachedCriteria criteria, MatchMode mode, String as) {
		if(isNotBlank(ricerca)) {
			criteria.add(Restrictions.ilike(as,ricerca,mode));
		} 
	}

	public static void chiave(String separator, String ricerca, DetachedCriteria criteria, String proprieta) {
		List<String> chiavi = new ArrayList<String>();
		List<String> nomi = token(ricerca, separator);
		for(String nome : nomi) {
			chiavi.addAll(Message.getCatalogMessage(nome));			
		}
		if(notEmpty(nomi)) {
			if(notEmpty(chiavi)) {
				valori(separator,true, detoken(chiavi, separator), criteria, MatchMode.EXACT, proprieta);
			} else {
				criteria.add(Restrictions.isNull(proprieta));
			}
		}
	}

	public static void removeCampi(DetachedCriteria criteria, List<Long> ids) {
		if (notEmpty(ids)) {
			criteria.add(Restrictions.not(Restrictions.in("id", ids)));
		}
	}

	public static void outFileRCodec(Long cID, List<Allegato> allegati, String file, String formato, Long modifica) throws Exception {
		Allegato p = null;
		if(formato == null) {
			p = new Allegato(getNameN(file), file);
			p.setData_modifica(modifica != null ? date(modifica) : date());
		} else {
			String tmpOUT = ConstantsGlobal.path_tmp + "/" + getBaseNameN(file) + "." + formato;
			convertToRcodec(file, tmpOUT);
			File f = new File(tmpOUT);
			if(f.exists()) {
				p = new Allegato(getBaseNameN(file) + "." + formato, readFileToByteArray(f));
				p.setData_modifica(modifica != null ? date(modifica) : date());
				deleteFile(f);
			}
		}
		if(p != null && !allegati.contains(p)) {
			allegati.add(p);
		}
	}
	public static String salvaAudio(MyFile ff, ByteArrayOutputStream bos, boolean original) throws Exception {
		String ext = getExtensionLower(ff.getName());
		String fileN = null;
		byte [] ffB = null;
		if(ext != null) {
			String fileName = original ? (getPathN(ff.getName()) + getBaseNameN(ff.getName())) : (System.currentTimeMillis() + "");
			if(ext.endsWith(ConstantsMap.gsm)) {
				fileN = fileName + "." + ConstantsMap.gsm;
				ffB = ff.getData();
			} 
			if(ext.endsWith(ConstantsMap.wav)) {
				fileN = fileName + "." + ConstantsMap.wav;
				ffB = changeBitrate(ff.getData());
			}
			if(asList(ConstantsMap.a_audio2).contains(ext)) {
				fileN = fileName + "." + ConstantsMap.wav;
				ffB = convertAudio(ff.getName(), ff.getData(), fileN);
			}
		}
		if(ffB != null) {
			bos.write(ffB);
		}
		bos.close();
		return fileN;
	}

	public static void outFileRCodec(FTPClient vmftp, Long cID, List<Allegato> allegati, String file, String formato, Long modifica) throws Exception {
		ByteArrayOutputStream fos = new ByteArrayOutputStream();
		vmftp.setFileType(FTPClient.BINARY_FILE_TYPE);
		boolean ok = vmftp.retrieveFile(file, fos);
		if(ok) {
			fos.flush();
			fos.close();
			Allegato p = null;
			if(formato == null) {
				p = new Allegato(getNameN(file), fos.toByteArray());
				p.setData_modifica(modifica != null ? date(modifica) : date());
			} else {
				ByteArrayOutputStream ostream = new ByteArrayOutputStream();
				vmftp.retrieveFile(file, ostream);
				ostream.flush(); 
				ostream.close();
				String tmpIN = ConstantsGlobal.path_tmp + "/" + getNameN(file);
				File fI = new File(tmpIN);
				writeByteArrayToFile(fI, ostream.toByteArray());
				String tmpOUT = ConstantsGlobal.path_tmp + "/" + getBaseNameN(file) + "." + formato;
				convertToRcodec(tmpIN, tmpOUT);
				if(fI.exists()) {
					deleteFile(fI);
					File fO = new File(tmpOUT);
					if(fO.exists()) {
						p = new Allegato(getBaseNameN(file) + "." + formato, readFileToByteArray(fO));
						p.setData_modifica(modifica != null ? date(modifica) : date());
						deleteFile(fO);
					}
				}
			}
			if(p != null && !allegati.contains(p)) {
				allegati.add(p);
			}
		}
	}

	public static String outFileRCodec(Long cID, OutputStream fos, String file, String formato) throws Exception {
		if(formato == null) {
			InputStream istream = new FileInputStream(file);
			copy(istream, fos);
			istream.close();
			return getNameN(file);
		} else {
			String tmpOUT = ConstantsGlobal.path_tmp + "/" + getBaseNameN(file) + "." + formato;
			convertToRcodec(file, tmpOUT);
			File f = new File(tmpOUT);
			if(f.exists()) {
				InputStream istream = new FileInputStream(tmpOUT);
				copy(istream, fos);
				istream.close();
				deleteFile(f);
			}
			return getBaseNameN(file) + "." + formato;
		}
	}

	public static String outFileRCodec(FTPClient vmftp, Long cID, OutputStream fos, String file, String formato) throws Exception {
		vmftp.setFileType(FTPClient.BINARY_FILE_TYPE);
		if(formato == null) {
			vmftp.retrieveFile(file, fos);
			return getNameN(file);
		} else {
			ByteArrayOutputStream ostream = new ByteArrayOutputStream();
			vmftp.retrieveFile(file, ostream);
			ostream.flush(); 
			ostream.close();
			String tmpIN = ConstantsGlobal.path_tmp + "/" + getNameN(file);
			File fI = new File(tmpIN);
			writeByteArrayToFile(fI, ostream.toByteArray());
			String tmpOUT = ConstantsGlobal.path_tmp + "/" + getBaseNameN(file) + "." + formato;
			convertToRcodec(tmpIN, tmpOUT);
			if(fI.exists()) {
				deleteFile(fI);
				File fO = new File(tmpOUT);
				if(fO.exists()) {
					InputStream istream = new FileInputStream(tmpOUT);
					copy(istream, fos);
					istream.close();
					deleteFile(fO);
				}
			}
			return getBaseNameN(file) + "." + formato;
		}
	}


	public static byte[] convertAudio(String file, byte [] input, String out) throws Exception {
		String tmpIN = ConstantsGlobal.path_tmp + "/" + getNameN(file);
		String tmpOUT = ConstantsGlobal.path_tmp + "/" + out;
		writeByteArrayToFile(new File(tmpIN), input);
		String[] cmd = new String[10];
		String path = ConstantsGlobal.path_ffmpeg;
		cmd[0] = path;
		cmd[1] = "-i";
		cmd[2] = tmpIN;
		cmd[3] = "-ac";
		cmd[4] = "1";
		cmd[5] = "-ar";
		cmd[6] = "8000";
		cmd[7] = "-acodec";
		cmd[8] = "pcm_s16le";
		cmd[9] = tmpOUT; 

		Runtime rc = Runtime.getRuntime();
		Process p = rc.exec(cmd);
		p.waitFor();
		byte[] b = Files.readAllBytes(Paths.get(tmpOUT));
		deleteFile(tmpIN);
		deleteFile(tmpOUT);
		return b;
	}

	public static void createAudio(String percorso, String file, String testo, String lang) throws Exception {
		String tmpOUT = normalizeNoEndSeparator(percorso) + "/" + file + "." + ConstantsMap.wav;
		String[] cmd = new String[6];
		String path = ConstantsGlobal.path_espeak;
		cmd[0] = path;
		cmd[1] = "'"+ testo + "'";
		cmd[2] = "-w";
		cmd[3] = tmpOUT;
		cmd[4] = "-v";
		cmd[5] = lang;
		Runtime rc = Runtime.getRuntime();
		Process p = rc.exec(cmd);
		p.waitFor();
	}

	public static void convertToRcodec(String input, String output) throws Exception {
		String[] cmd = new String[4];
		String path = ConstantsGlobal.path_ffmpeg;
		cmd[0] = path;
		cmd[1] = "-i";
		cmd[2] = input;
		cmd[3] = output; 

		Runtime rc = Runtime.getRuntime();
		Process p = rc.exec(cmd);
		p.waitFor();
	}
	
	public static boolean checkPhone() {
		String f = ConstantsGlobal.path_pjsip;
		File file = new File(f);
		if (file.exists()) {
			try {
				return !readFileToString(file).contains("[template](!)");
			} catch (Exception e) {}
		}
		return true;
	}

	public static boolean caricaFW() {
		String f = ConstantsGlobal.path_firewall;
		File file = new File(f);
		if (file.exists()) {
			return executeRuntime(f, true);
		}
		return false;
	}

	public static void caricaService() {
		File file = new File(ConstantsGlobal.path_service);
		StringBuilder sb = new StringBuilder();
		for(String service : ConstantsGlobal.SERVICE) {
			if(getServiceStart(service)) {
				sb.append(service + "." + "service" + System.lineSeparator());
			}
		}
		creaFile(false, file);
		fileWriter(file, trimToEmpty(sb.toString()));

	}

	public static String exceptionLogin(Exception e) { 
		if(e != null) {
			if (e instanceof BadCredentialsException) {
				return "loginError.1";
			} else if (e instanceof DisabledException) {
				return "loginError.2";
			} else if (e instanceof AccountExpiredException) {
				return "loginError.3";
			} else if (e instanceof CredentialsExpiredException) {
				return "loginError.4";
			} else if (e instanceof LockedException) {
				return "loginError.5";
			} else if (e instanceof SessionAuthenticationException){
				return "loginError.6";
			} else {
				return "loginError.7";
			}
		}
		return null;
	}
	public static Date dataInizio(int tipo, Date date) { 
		if(tipo == 1) {
			return inizioGiornata(date);
		}
		if(tipo == 2) {
			return inizioSettimana(date);
		}
		if(tipo == 3) {
			return inizioMese(date);
		}
		if(tipo == 4) {
			return inizioAnno(date);
		}
		return null;
	}

	public static Date dataFine(int tipo, Date date) { 
		if(tipo == 1) {
			return fineGiornata(date);
		}
		if(tipo == 2) {
			return fineSettimana(date);
		}
		if(tipo == 3) {
			return fineMese(date);
		}
		if(tipo == 4) {
			return fineAnno(date);
		}
		return null;
	}

	public static String periodo(int tipo) { 
		if(tipo == 1) {
			return ConstantsLanguage.GIORNALIERO.stampa();
		}
		if(tipo == 2) {
			return ConstantsLanguage.SETTIMANALE.stampa();
		}
		if(tipo == 3) {
			return ConstantsLanguage.MENSILE.stampa();
		}
		if(tipo == 4) {
			return ConstantsLanguage.ANNUALE.stampa();
		}
		return null;
	}

	public static String report(String s, int tipo, Date date) { 
		String p = periodo(tipo);
		String d = " " + ConstantsLanguage.REPORT_DATA.stampa() + " " + formatDate(ConstantsFormat.dateTime.stampa(), date);
		if(p != null) {
			return s + " " + "[" + ConstantsLanguage.REPORT_INVIO.stampa() + " " + p + "]" + d;
		} else {
			return s + " " + d;
		}
	}

	public static void toList(List<String> lsS, Object l) { 
		if(l != null) {
			String st = lowerCaseNull(l.toString());
			if(st != null && !lsS.contains(st)) {
				lsS.add(st);
			}
		}
	}

	public static String reportFile(Date date, Object ... lsT) { 
		String data = date != null ? ("_" + formatDate(ConstantsFormat.exportDateTime.stampa(), date)) : "";
		List<String> lsS = new ArrayList<String>();
		if(notEmpty(lsT)) {
			for (Object l : lsT) {
				if(l != null) {
					if(l instanceof Object []) {
						Object [] ol = (Object []) l;
						for (Object o : ol) {
							toList(lsS, o);
						}
					} else {
						toList(lsS, l);
					}
				}
			}
		}
		return replaceFileName(detoken(lsS, "_")) + data;
	}


	public static void sleep(long msec) {
		if(gtZero(msec)) {
			try {
				Thread.sleep(msec);
			} catch (InterruptedException e) {
			}
		}
	}

	public static String paintFromUrl(String url) throws Exception {
		String ext = ConstantsMap.png;
		InputStream stream = new URL(url).openStream();
		byte [] b = toByteArray(stream);
		stream.close();
		ByteArrayOutputStream out = new ByteArrayOutputStream();
		ByteArrayInputStream fi = new ByteArrayInputStream(b);
		copyImage(fi, ext, out);
		fi.close();
		out.close();
		return codificato("image/"+ext, out.toByteArray());
	}
		
	public static String codificato(String application, byte [] data) {
		return "data:"+application+";charset="+ConstantsGlobal.ENCODING+";base64," + new String(Base64.encodeBase64(data), ConstantsGlobal.CHARSET);
	}
	
	public static List<String> getAnagraficaTotale() {
		String [] as = {"cognome", "nome", "nome_completo", "ragione_sociale", "telefono_fisso", "telefono_mobile", "telefono_fax", "telefono_altro", "codice_fiscale", "partita_iva", "email", "link"};
		return asList(as);
	}

	public static List<String> getAnagraficaDefault() {
		String [] as = {"cognome", "nome", "nome_completo", "ragione_sociale", "telefono_fisso", "telefono_mobile", "telefono_fax", "telefono_altro"};
		return asList(as);
	}

	public static void listFile(String path, List<File> files) {
		File root = new File( path );
		File[] list = root.listFiles();
		if (list == null) return;
		for (File f : list) {
			if (f.isDirectory()) {
				listFile(f.getAbsolutePath() , files);
			} else {
				if (!files.contains(f)) {
					files.add(f);
				}
			}
		}
	}

	public static String replaceEachRepeatedly(String s, String[] q, String[] z) {
		return StringUtils.replaceEachRepeatedly(s, q, z);
	}
	public static String join(List<?> valore, String c) {
		return StringUtils.join(valore, c);
	}

	public static String leftPad(String s, int q, String z) {
		return StringUtils.leftPad(s, q, z);
	}
	public static String[] splitPreserveAllTokens(String s, String q) {
		return StringUtils.splitPreserveAllTokens(s, q);
	}
	public static String substring(String s, int q, int z) {
		return StringUtils.substring(s, q, z);
	}
	public static String substring(String s, int q) {
		return StringUtils.substring(s, q);
	}
	public static String[] split(String s, String q) {
		return StringUtils.split(s, q);
	}
	public static String removeStart(String s, String q) {
		return StringUtils.removeStart(s, q);
	}
	public static String substringBetween(String s, String q, String z) {
		return StringUtils.substringBetween(s, q, z);
	}
	public static String substringBefore(String s, String q) {
		return StringUtils.substringBefore(s,q);
	}
	public static String substringBeforeLast(String s, String q) {
		return StringUtils.substringBeforeLast(s,q);
	}
	public static String substringAfter(String s, String q) {
		return StringUtils.substringAfter(s,q);
	}
	public static String substringAfterLast(String s, String q) {
		return StringUtils.substringAfterLast(s,q);
	}
	public static boolean isNumeric(String s) {
		return StringUtils.isNumeric(s);
	}
	public static boolean equalsIgnoreCase(String s, String q) {
		return StringUtils.equalsIgnoreCase(s, q);
	}
	public static boolean isEmpty(String s) {
		return StringUtils.isEmpty(s);
	}
	public static boolean isNotEmpty(String s) {
		return StringUtils.isNotEmpty(s);
	}
	public static boolean isBlank(String s) {
		return StringUtils.isBlank(s);
	}
	public static boolean isNotBlank(String s) {
		return StringUtils.isNotBlank(s);
	}
	public static String normalize(String s) {
		return StringUtils.substring(s, 0, ConstantsGlobal.MAXSTRING);
	}
	public static String normalizeToNull(String s) {
		return StringUtils.trimToNull(StringUtils.substring(s, 0, ConstantsGlobal.MAXSTRING));
	}
	public static String normalizeToEmpty(String s) {
		return StringUtils.trimToEmpty(StringUtils.substring(s, 0, ConstantsGlobal.MAXSTRING));
	}
	public static String normalizeToLowerNull(String s) {
		return StringUtils.trimToNull(StringUtils.substring(StringUtils.lowerCase(s), 0, ConstantsGlobal.MAXSTRING));
	}
	public static String normalizeToUpperNull(String s) {
		return StringUtils.trimToNull(StringUtils.substring(StringUtils.upperCase(s), 0, ConstantsGlobal.MAXSTRING));
	}
	public static String upperCaseEmpty(String s) {
		return StringUtils.trimToEmpty(StringUtils.upperCase(s));
	}
	public static String lowerCaseEmpty(String s) {
		return StringUtils.trimToEmpty(StringUtils.lowerCase(s));
	}
	public static String upperCaseNull(String s) {
		return StringUtils.trimToNull(StringUtils.upperCase(s));
	}
	public static String lowerCaseNull(String s) {
		return StringUtils.trimToNull(StringUtils.lowerCase(s));
	}
	public static String uncapitalize(String s) {
		return StringUtils.trimToEmpty(StringUtils.uncapitalize(s));
	}
	public static String capitalize(String s) {
		return StringUtils.trimToEmpty(StringUtils.capitalize(s));
	}
	public static String upperCase(String s) {
		return StringUtils.upperCase(s);
	}
	public static String lowerCase(String s) {
		return StringUtils.lowerCase(s);
	}
	public static String trimToEmpty(String s) {
		return StringUtils.trimToEmpty(s);
	}
	public static String trimToNull(String s) {
		return StringUtils.trimToNull(s);
	}
	public static String trimHtml(String s) {
		return StringEscapeUtils.escapeHtml4(trimToEmpty(s));
	}
	public static String escapeHtml(String s) {
		return StringEscapeUtils.escapeHtml4(s);
	}

	public static Byte[] toObject(byte[] s) {
		return ArrayUtils.toObject(s);
	}

	public static byte[] toPrimitive(Byte[] s) {
		return ArrayUtils.toPrimitive(s);
	}

	public static String[] addArray(String[] s, String[] p) {
		return (String[]) ArrayUtils.addAll(s, p);
	}


	public static String standartize(boolean esegui, String s) {
		if(isTrue(esegui) && s != null) {
			String replace = "";
			return clearCell(s).replaceAll("[^\\u0009\\u000a\\u000d\\u0020-\\uD7FF\\uE000-\\uFFFD]", replace).replaceAll("[\\uD83D\\uFFFD\\uFE0F\\u203C\\u3010\\u3011\\u300A\\u166D\\u200C\\u202A\\u202C\\u2049\\u20E3\\u300B\\u300C\\u3030\\u065F\\u0099\\u0F3A\\u0F3B\\uF610\\uFFFC]", replace);
		}
		return s;
	}

	public static String clearCell(String stringa) {
		return trimToEmpty(stringa).replaceAll("^\"|\"$", "");
	}

	public static void resetFiltro(Object o) {
		String reset = prendiFiltro();
		if(reset != null) {
			resetFieldValue(o, reset);
		}
	}

	@SuppressWarnings("unchecked")
	public static void resetFieldValue(Object o, String fieldName) {
		try {
			Field field = o.getClass().getDeclaredField(fieldName);
			if (Modifier.isPrivate(field.getModifiers())) {
				field.setAccessible(true);
				List<String> l = (List<String>) field.get(o);
				l.clear();
			}
		} catch(Exception e) { }

	}

	public static boolean checkDomain(String hostName) {
		try {
			Hashtable<String, String> env = new Hashtable<String, String>();
			env.put("java.naming.factory.initial", "com.sun.jndi.dns.DnsContextFactory");
			DirContext ictx = new InitialDirContext( env );
			Attributes attrs = ictx.getAttributes ( hostName, new String[] { "MX" });
			Attribute attr = attrs.get( "MX" );
			if (( attr == null ) || ( attr.size() == 0 )) {
				attrs = ictx.getAttributes( hostName, new String[] { "A" });
				attr = attrs.get( "A" );
				if( attr == null ) {
					return false;
				}
			}
		} catch (Exception e) {
			ErrorLog.log(null, null, e);
			return false;
		}
		return false;
	}


	public static void clientFTP(ClientFTP a, byte [] b, String name) {
		try {
			String host = a.getHost();
			int port = a.getPort();
			String username = a.getUsername();
			String password = a.getPassword();
			String percorso = normalizePath(a.getPercorso());

			FTPClient vmftp = new FTPClient();
			FTPClientConfig conf = new FTPClientConfig(); 
			conf.setServerTimeZoneId(ConstantsGlobal.UTC);
			vmftp.configure(conf);
			vmftp.setConnectTimeout((int) (ConstantsGlobal.timeoutFtp));
			vmftp.connect(host, port);
			vmftp.login(username, password);
			if (FTPReply.isPositiveCompletion(vmftp.getReplyCode())) {
				InputStream fis = new ByteArrayInputStream(b);
				vmftp.enterLocalPassiveMode();
				//vmftp.enterRemotePassiveMode();
				vmftp.setFileType(FTPClient.BINARY_FILE_TYPE, FTPClient.BINARY_FILE_TYPE);
				vmftp.setFileTransferMode(FTPClient.BINARY_FILE_TYPE);
				vmftp.storeFile(percorso + name, fis);
				fis.close();
				if (vmftp.isConnected()) {
					vmftp.disconnect(); 
				}
			} else {
				logger(vmftp.getReplyString());
			}
		} catch(Exception e) {
			ErrorLog.log(null, null, e);
		}
	}
	public static List<Label> readText(String text) {
		List<Label> labels = new ArrayList<Label>();
		if(text != null) {
			try {
				InputStream inputStream = new ByteArrayInputStream(text.getBytes());
				BufferedReader reader = new BufferedReader(new InputStreamReader(inputStream));
				String lineS;
				while ((lineS = reader.readLine()) != null) {
					String line = trimToNull(lineS);
					if(line != null) {
						if(line.contains(ConstantsGlobal.dotSeparator)) {
							String label = trimToNull(substringBefore(line, ConstantsGlobal.dotSeparator));
							String value = trimToNull(substringAfter(line, ConstantsGlobal.dotSeparator));
							if(label != null) {
								Label l = new Label();
								l.setLabel(label);
								l.setValue(value);
								if(!labels.contains(l)) {
									labels.add(l);
								}
							}
						} else {
							Label l = new Label();
							l.setLabel(line);
							l.setValue(null);
							if(!labels.contains(l)) {
								labels.add(l);
							}
						}
					}
				}
				reader.close();
				inputStream.close(); 
			} catch(Exception e) {
				ErrorLog.log(null, null, e);
			}
		}
		return labels;
	}


	public static QueryKey queryExecute(Statement st, String queries) {
		QueryKey qk = new QueryKey();
		List<Integer> righe = new ArrayList<Integer>();
		List<String> colonne = new ArrayList<String>();
		Map<String, List<QueryElement>> mappa = new HashMap<String, List<QueryElement>>();
		if(isNotBlank(queries)) {
			try {

				String test = lowerCase(queries);
				if(test.startsWith(ConstantsGlobal.select) || test.startsWith(ConstantsGlobal.show)) {
					ResultSet rs = st.executeQuery(queries);
					ResultSetMetaData rsMetaData = rs.getMetaData();
					int j = 0;
					while(rs.next()) {
						righe.add(j++);
					}
					int numberOfColumns = rsMetaData.getColumnCount();
					for (int i = 1; i <= numberOfColumns; i++) {
						List<QueryElement> valori = new ArrayList<QueryElement>();
						String chiave = "[" + i + "]" + " " + rsMetaData.getColumnLabel(i);
						colonne.add(chiave);
						mappa.put(chiave, valori);
						rs.beforeFirst();
						while(rs.next()) {
							valori.add(new QueryElement(rs.getObject(i)));
						}
					}
				} else {
					Integer row = st.executeUpdate(queries);
					qk.setRow(row);
				}

			} catch (SQLException e) {
				qk.setErrore(e.getMessage());
			}
		}
		qk.setColonne(colonne);
		qk.setMappa(mappa);
		qk.setRighe(righe);
		return qk;
	}

	public static String commandH(String c, String username, String password, String link){
		StringBuffer response = new StringBuffer();
		List<String> commands = readTextString(trimToNull(c));
		if(link != null && notEmpty(commands)) {
			try{
				String hostname = null;
				Integer port = null;
				String sp = ":";
				if(link.contains(sp)) {
					String [] a = link.split(sp);
					hostname = a[0];
					port = Integer.valueOf(a[1]);
				} else {
					hostname = link;
					port = null;
				}

				JSch jSch = new JSch();

				com.jcraft.jsch.Session session = port == null ? jSch.getSession(username, hostname) : jSch.getSession(username, hostname, port);
				Properties config = new Properties(); 
				config.put("StrictHostKeyChecking", "no");
				session.setConfig(config);
				session.setPassword(password);

				session.connect();
				ChannelShell channel = (ChannelShell) session.openChannel("shell");
				channel.connect();


				PrintStream out = new PrintStream(channel.getOutputStream());

				out.println("#!/bin/bash");
				for(String command : commands){
					out.println(command);
				}
				out.println("exit");
				out.flush();

				byte[] buffer = new byte[ConstantsGlobal.kb];

				InputStream in = channel.getInputStream();
				String line = "";
				while (true){
					while (in.available() > 0) {
						int i = in.read(buffer, 0, ConstantsGlobal.kb);
						if (i < 0) {
							break;
						}
						line = new String(buffer, 0, i);
						response.append(line);
					}

					if(line.contains("logout")){
						break;
					}

					if (channel.isClosed()){
						break;
					}
					sleep(1000);
				}

				channel.disconnect();
				session.disconnect();
			} catch(Exception e){
				response.append(e.getMessage());
			}
		}
		return detoken(readTextString(response.toString()), ConstantsGlobal.RETURN);
	}

	public static Map<String, String> createMapH(String text) {
		List<Label> ls = readText(text);
		Map<String, String> map = new HashMap<String, String>();
		for(Label l :ls ) {
			map.put(l.getLabel(), l.getValue());
		}
		return map;

	}

	public static Map<String, Object> createMapP(String text) {
		List<Label> ls = readText(text);
		Map<String, Object> map = new HashMap<String, Object>();
		for(Label l :ls ) {
			map.put(l.getLabel(), l.getValue());
		}
		return map;

	}


	public static void splitFile(String comment, Long modified, String nome, int intestazione, Workbook wbIn, Integer stop, OutputStream fos, Boolean esegui) throws Exception {
		ZipOutputStream zos = new ZipOutputStream(fos);
		int j = 0;
		for (int i = 0; i < wbIn.getNumberOfSheets(); i++) {
			Workbook wbOut = null;
			Sheet sOut = null;
			Sheet sIn = wbIn.getSheetAt(i);
			Iterator<Row> rowIt = sIn.rowIterator();
			int g = 0;
			int r = 0;
			int ra = 0;
			ExcelStyle s = null;
			List<Row> instestazione = new ArrayList<Row>();
			while (rowIt.hasNext()) {
				Row rowIn = rowIt.next();
				ra++;
				if(r%stop==0) {
					wbOut = workbookX();
					sOut = wbOut.createSheet(sIn.getSheetName());
					s = new ExcelStyle(wbOut);
				}
				g++;
				if(rowIn != null && ra <= intestazione) {
					instestazione.add(rowIn);
				} else {
					Row rowOut = sOut.createRow(intestazione + (r++));
					Iterator<Cell> cellIt = rowIn.cellIterator();
					while (cellIt.hasNext()) {
						Cell cellIn = cellIt.next();
						copyCellStream(esegui, rowOut, cellIn, s);
					}
					if(r==stop || g == (sIn.getLastRowNum()+1)) {
						j++;
						creaIntestazione(esegui, s, sOut, instestazione);
						String out = nome + "_" + j + "."+ ConstantsMap.xlsx;
						r=0;
						ZipEntry ze = new ZipEntry(out);
						Date date = modified != null ? date(modified) : date();
						ze.setLastModifiedTime(FileTime.fromMillis(date.getTime()));
						zos.putNextEntry(ze);
						ByteArrayOutputStream fileOut = new ByteArrayOutputStream();
						wbOut.write(fileOut);
						zos.write(fileOut.toByteArray());
						fileOut.flush();
						fileOut.close();
						wbOut.close();
					}
				}
			}
		}
		if(comment != null) {
			zos.setComment(comment);
		}
		zos.closeEntry();
		zos.close();
		wbIn.close();
	}

	public static Workbook workbookH(InputStream stream, String password) throws Exception {
		if(password != null) {
			return WorkbookFactory.create(stream, password);
		} else {
			POIFSFileSystem p = new POIFSFileSystem(stream);
			HSSFWorkbook w = new HSSFWorkbook(p);
			p.close();
			return w;
		}
	}

	public static Workbook workbookH(File file, String password) throws Exception {
		if(password != null) {
			return WorkbookFactory.create(file, password);
		} else {
			POIFSFileSystem p = new POIFSFileSystem(file);
			HSSFWorkbook w = new HSSFWorkbook(p);
			p.close();
			return w;
		}
	}

	public static Workbook workbookX(InputStream stream, String password) throws Exception {
		if(password != null) {
			return WorkbookFactory.create(stream, password);
		} else {
			if(ConstantsGlobal.xlsAll) {
				OPCPackage p = OPCPackage.open(stream);
				XSSFWorkbook w = new XSSFWorkbook(p);
				p.close();
				return w;
			} else {
				XSSFWorkbook w = new XSSFWorkbook(stream);
				return w;
			}
		}
	}

	public static Workbook workbookX(File file, String password) throws Exception {
		if(password != null) {
			return WorkbookFactory.create(file, password);
		} else {
			if(ConstantsGlobal.xlsAll) {
				OPCPackage p = OPCPackage.open(file);
				XSSFWorkbook w = new XSSFWorkbook(p);
				p.close();
				return w;
			} else {
				XSSFWorkbook w = new XSSFWorkbook(file);
				return w;
			}
		}
	}

	public static Workbook workbookA(InputStream stream, String password) throws Exception {
		if(password != null) {
			return StreamingReader.builder().password(password).open(stream);
		} else {
			return StreamingReader.builder().open(stream);
		}
	}

	public static Workbook workbookA(File file, String password) throws Exception {
		if(password != null) {
			return StreamingReader.builder().password(password).open(file);
		} else {
			return StreamingReader.builder().open(file);
		}
	}

	public static Workbook workbookH() {
		return new HSSFWorkbook();
	}

	public static Workbook workbookX() {
		return new XSSFWorkbook();
	}

	public static Workbook workbookS() {
		return new SXSSFWorkbook();
	}

	public static Workbook workbook(InputStream stream, String ext) throws Exception {
		if(ext.equalsIgnoreCase(ConstantsMap.xls) || ext.equalsIgnoreCase(ConstantsMap.xlt)) {
			return workbookH(stream, null);
		} else {
			return workbookX(stream, null);
		}
	}


	public static Workbook workbookG(Boolean rapido, InputStream stream) throws Exception {
		return isTrue(rapido) ? workbookA(stream, null) : workbookX(stream, null);
	}

	public static Workbook workbookG(Boolean rapido, File file) throws Exception {
		return isTrue(rapido) ? workbookA(file, null) : workbookX(file, null);
	}

	public static List<String> readTextString(String text) {
		List<String> labels = new ArrayList<String>();
		if(text != null) {
			try {
				InputStream inputStream = new ByteArrayInputStream(text.getBytes(ConstantsGlobal.CHARSET));
				BufferedReader reader = new BufferedReader(new InputStreamReader(inputStream));
				String lineS;
				while ((lineS = reader.readLine()) != null) {
					labels.add(trimToEmpty(lineS));
				}
				reader.close();
				inputStream.close(); 
			} catch(Exception e) {
				ErrorLog.log(null, null, e);
			}
		}
		return labels;
	}

	public static String cleanText(String q) {
		if(q != null) {
			try {
				StringBuffer queries = new StringBuffer();
				InputStream inputStream = new ByteArrayInputStream(q.getBytes(ConstantsGlobal.CHARSET));
				BufferedReader reader = new BufferedReader(new InputStreamReader(inputStream));
				String lineS;
				while ((lineS = reader.readLine()) != null) {
					String line = trimToNull(lineS);
					if(line != null) {
						queries.append(trimToEmpty(line) + " ");
					}
				}
				reader.close();
				inputStream.close();
				return trimToNull(queries.toString());
			} catch(Exception e) {
				ErrorLog.log(null, null, e);
			}
		}
		return null;
	}

	public static void dataDate(Date start, Date end, String property, DetachedCriteria criteria) {
		if(start != null && end == null) {
			criteria.add(Restrictions.ge(property, start));
		}
		if(start == null && end != null) {
			criteria.add(Restrictions.le(property, end));
		}
		if(start != null && end != null) {
			criteria.add(Restrictions.between(property, start, end));
		}
	}


	public static void dataIntervalI(Integer start, Integer end, String property, DetachedCriteria criteria) {
		if(start != null && end == null) {
			criteria.add(Restrictions.ge(property, start));
		}
		if(start == null && end != null) {
			criteria.add(Restrictions.le(property, end));
		}
		if(start != null && end != null) {
			if ((start.intValue() > end.intValue()) && !ConstantsGlobal.permitInterval) {
				criteria.add(Restrictions.between(property, end, start));
			} else {
				criteria.add(Restrictions.between(property, start, end));
			}

		}
	}

	public static void dataIntervalL(Long start, Long end, String property, DetachedCriteria criteria) {
		if(start != null && end == null) {
			criteria.add(Restrictions.ge(property, start));
		}
		if(start == null && end != null) {
			criteria.add(Restrictions.le(property, end));
		}
		if(start != null && end != null) {
			if ((start.longValue() > end.longValue()) && !ConstantsGlobal.permitInterval) {
				criteria.add(Restrictions.between(property, end, start));
			} else {
				criteria.add(Restrictions.between(property, start, end));
			}
		}
	}

	public static void dataIntervalW(Long start, Long end, String property, DetachedCriteria criteria) {
		if(start != null && end == null) {
			criteria.add(Restrictions.ge(property, start));
		}
		if(start == null && end != null) {
			criteria.add(Restrictions.le(property, end));
		}
		if(start != null && end != null) {
			if ((start.longValue() > end.longValue()) && !ConstantsGlobal.permitInterval) {
				criteria.add(Restrictions.between(property, end, start));
			} else {
				criteria.add(Restrictions.between(property, start, end));
			}
		}
	}


	public static void dataIntervalD(Date start, Date end, String property, DetachedCriteria criteria) {
		if(start != null && end == null) {
			criteria.add(Restrictions.ge(property, start));
		}
		if(start == null && end != null) {
			criteria.add(Restrictions.le(property, end));
		}
		if(start != null && end != null) {
			if ((start.after(end)) && !ConstantsGlobal.permitInterval) {
				criteria.add(Restrictions.between(property, end, start));
			} else {
				criteria.add(Restrictions.between(property, start, end));
			}
		}
	}

	public static void dataIntervalT(Date start, Date end, String property, DetachedCriteria criteria) {
		if(start != null && end == null) {
			criteria.add(Restrictions.ge(property, dateToTime(start)));
		}
		if(start == null && end != null) {
			criteria.add(Restrictions.le(property, dateToTime(end)));
		} 
		if(start != null && end != null) {
			if ((start.after(end)) && !ConstantsGlobal.permitInterval) {
				criteria.add(Restrictions.between(property, dateToTime(end), dateToTime(start)));
			} else {
				criteria.add(Restrictions.between(property, dateToTime(start), dateToTime(end)));
			}
		}
	}

	public static boolean dataIntervalD(Date start, Date end, Date dato) {
		if(start != null && end == null) {
			return dato.after(start);
		}
		if(start == null && end != null) {
			return dato.before(end);
		}
		if(start != null && end != null) {
			if ((start.after(end)) && !ConstantsGlobal.permitInterval) {
				return dato.after(end) && dato.before(start);
			} else {
				return dato.after(start) && dato.before(end);
			}
		}
		return true;
	}

	public static boolean dataIntervalL(Long start, Long end, Long dato) {
		if(start != null && end == null) {
			return dato.longValue() >= (start.longValue() * 1000);
		}
		if(start == null && end != null) {
			return dato.longValue() <= (end.longValue() * 1000);
		}
		if(start != null && end != null) {
			if ((start.longValue() > end.longValue()) && !ConstantsGlobal.permitInterval) {
				return dato.longValue() >= (end.longValue() * 1000) && dato.longValue() <= (start.longValue() * 1000);
			} else {
				return dato.longValue() >= (start.longValue() * 1000) && dato.longValue() <= (end.longValue() * 1000);
			}
		}
		return true;
	}

	public static Long giornoSettimana(Date corrente, Long start, Long end) {
		if(start != null && end != null) {
			GregorianCalendar gc = getGregorianCalendar();
			gc.setTime(corrente);
			return Long.valueOf(gc.get(GregorianCalendar.DAY_OF_WEEK));
		}
		return null;
	}

	public static boolean eliminaCampo(List<DatoAggiuntivoAnagraficaRicerca> campi, CampoAggiuntivoAnagrafica t) {
		if(notEmpty(campi) ) {
			List<DatoAggiuntivoAnagraficaRicerca> remove = new ArrayList<DatoAggiuntivoAnagraficaRicerca>();
			for(DatoAggiuntivoAnagraficaRicerca d : campi) {
				if(d.getCampo_aggiuntivo().getId().equals(t.getId())) {
					remove.add(d);
				}
			}
			if(notEmpty(remove)) {
				campi.removeAll(remove);
				return true;
			}
		}
		return false;

	}

	public static boolean eliminaCampo(List<DatoAggiuntivoContrattoRicerca> campi, CampoAggiuntivoContratto t) {
		if(notEmpty(campi) ) {
			List<DatoAggiuntivoContrattoRicerca> remove = new ArrayList<DatoAggiuntivoContrattoRicerca>();
			for(DatoAggiuntivoContrattoRicerca d : campi) {
				if(d.getCampo_aggiuntivo().getId().equals(t.getId())) {
					remove.add(d);
				}
			}
			if(notEmpty(remove)) {
				campi.removeAll(remove);
				return true;
			}
		}
		return false;
	}

	public static boolean modificaCampo(List<DatoAggiuntivoContrattoRicerca> campi, CampoAggiuntivoContratto t) {
		boolean save = false;
		if(notEmpty(campi) ) {
			for(DatoAggiuntivoContrattoRicerca d : campi) {
				if(d.getCampo_aggiuntivo().getId().equals(t.getId())) {
					d.setCampo_aggiuntivo(t);
					save = true;
				}
			}
		}
		return save;
	}

	public static boolean modificaCampo(List<DatoAggiuntivoAnagraficaRicerca> campi, CampoAggiuntivoAnagrafica t) {
		boolean save = false;
		if(notEmpty(campi) ) {
			for(DatoAggiuntivoAnagraficaRicerca d : campi) {
				if(d.getCampo_aggiuntivo().getId().equals(t.getId())) {
					d.setCampo_aggiuntivo(t);
					save = true;
				}
			}
		}
		return save;
	}

	public static PdfReader pdfReader(byte [] stream, String password) throws Exception {
		if(password != null) {
			return new PdfReader(stream, password.getBytes(ConstantsGlobal.CHARSET));
		} else {
			return new PdfReader(stream);
		}
	}

	public static PdfReader pdfReader(String template, String password) throws Exception {
		if(password != null) {
			return new PdfReader(template, password.getBytes(ConstantsGlobal.CHARSET));
		} else {
			return new PdfReader(template);
		}
	}

	public static void passwordXLS(Workbook wb, OutputStream result, String password) throws Exception {
		org.apache.poi.util.IOUtils.setByteArrayMaxOverride(Integer.MAX_VALUE);
		if(password != null) {
			ByteArrayOutputStream fos = new ByteArrayOutputStream();
			wb.write(fos);
			fos.close();
			InputStream is = new ByteArrayInputStream(fos.toByteArray());
			try (POIFSFileSystem fs = new POIFSFileSystem()) {
				EncryptionInfo info = new EncryptionInfo(EncryptionMode.standard);

				Encryptor enc = info.getEncryptor();
				enc.confirmPassword(password);

				try (OPCPackage opc = OPCPackage.open(is); OutputStream os = enc.getDataStream(fs)) {
					opc.save(os);
				}
				fs.writeFilesystem(result);
			}
			is.close();
		} else {
			wb.write(result);
		}
		wb.close();
	}

	public static PdfWriter passwordPDF(Document document, OutputStream out, String password) throws Exception {
		PdfWriter writer = PdfWriter.getInstance(document, out);
		if(password != null) {
			writer.setEncryption(password.getBytes(ConstantsGlobal.CHARSET), password.getBytes(ConstantsGlobal.CHARSET), PdfWriter.ALLOW_PRINTING, PdfWriter.STANDARD_ENCRYPTION_128);
			writer.createXmpMetadata();
		} 
		return writer;
	}


	public static void generateFileList(List<File> fileList, File node) {
		if (node.isFile()) {
			fileList.add(node);
		}
		if (node.isDirectory()) {
			String[] subNote = node.list();
			for (String filename : subNote) {
				generateFileList(fileList, new File(node, filename));
			}
		}
	}

	public static void generateFolderList(List<File> result, File node) {
		File [] files = node.listFiles();
		for (File f : files) {
			if (f.isDirectory()) {
				result.add(f);
				generateFolderList(result,f);
			}
		}
	}

	public static void generateMyFileList(List<Allegato> fileList, File node, String sourceFolder) {
		if (node.isFile()) {
			String nome = removeStart(node.getAbsolutePath(), new File(sourceFolder).getAbsolutePath() + File.separator);
			Allegato f = new Allegato(nome, node.getAbsolutePath());
			f.setPathM(false);
			f.setData_modifica(date(node.lastModified()));
			fileList.add(f);
		}
		if (node.isDirectory()) {
			String[] subNote = node.list();
			for (String filename : subNote) {
				generateMyFileList(fileList, new File(node, filename), sourceFolder);
			}
		}
	}

	public static void generateDirectoryList(List<Allegato> fileList, File node, String sourceFolder) {
		if (node.isDirectory()) {
			String nome = removeStart(node.getAbsolutePath(), new File(sourceFolder).getAbsolutePath() + File.separator);
			Allegato f = new Allegato(nome, node.getAbsolutePath());
			fileList.add(f);
			String[] subNote = node.list();
			for (String filename : subNote) {
				generateDirectoryList(fileList, new File(node, filename), sourceFolder);
			}
		}
	}

	public static Date inizio() {
		GregorianCalendar gc = getGregorianCalendar();
		gc.set(GregorianCalendar.YEAR, 1000);
		gc.set(GregorianCalendar.MONTH, 0);
		gc.set(GregorianCalendar.DAY_OF_MONTH, 1);
		gc.set(GregorianCalendar.HOUR_OF_DAY, 0);
		gc.set(GregorianCalendar.MINUTE, 0);
		gc.set(GregorianCalendar.SECOND, 0);
		gc.set(GregorianCalendar.MILLISECOND, 0);
		return gc.getTime();
	}

	public static Date fine() {
		GregorianCalendar gc = getGregorianCalendar();
		gc.set(GregorianCalendar.YEAR, 9999);
		gc.set(GregorianCalendar.MONTH, 11);
		gc.set(GregorianCalendar.DAY_OF_MONTH, 31);
		gc.set(GregorianCalendar.HOUR_OF_DAY, 23);
		gc.set(GregorianCalendar.MINUTE, 59);
		gc.set(GregorianCalendar.SECOND, 59);
		gc.set(GregorianCalendar.MILLISECOND, 999);
		return gc.getTime();
	}

	public static void stampa(ImpostazioneDao impostazioneDao, String type, Object entity, Serializable id, Object[] state, String[] property) {
		Class<?> c = entity.getClass();
		if(impostazioneDao != null && ConstantsGlobal.interceptorClass.contains(c)) {
			Integer lt = impostazioneDao.getAccessLogType();
			if(gtZero(lt) ) {
				Utente u = getUsernameLoggato();
				if(u != null) {
					String sb = u + " - " + type + " " + c.getSimpleName() + " - " + entity;
					fileLog(lt, sb);
				}
			}
		}
	}

	public static void action() {
		Utente u = getUsernameLoggato();
		String a = evaluateAction(u);
		if(a != null) {
			logger(a);
		} 
	}


	public static String evaluateAction(Utente u) {
		RequestContext rc = getRequestContext();
		List<String> ls = new ArrayList<String>();
		if(rc != null) {
			FlowDefinition fd = rc.getActiveFlow();
			if(fd != null) {
				ls.add("Flow: " + fd.getId());
			}
			StateDefinition cs = rc.getCurrentState();
			if(cs != null) {
				ls.add("State: " + cs.getId());
			}
			View cv = rc.getCurrentView();
			if(cv != null) {
				ls.add("View: " + cv.toString());
			}
			TransitionDefinition td = rc.getCurrentTransition();
			if(td != null) {
				ls.add("Transition: " + td.getId());
			}
			Event ce = rc.getCurrentEvent();
			if(ce != null) {
				ls.add("Event: " + ce.getId());
			}
			if(notEmpty(ls)) {
				return ((u != null ? (u + " - ") : "") + detoken(ls, ConstantsGlobal.colonSeparator + " "));
			}
		}
		return null;
	}

	public static void ascolto(AgiChannel chanel, String musica) throws AgiException {
		chanel.answer();
		//chanel.setAutoHangup(0);
		if(musica != null) {
			chanel.playMusicOnHold(musica);
		} else {
			chanel.playMusicOnHold();
		}
	}

	public static String encoder(String text, String key) {
		try {
			String metodo = "AES";
			Key aesKey = new SecretKeySpec(key.getBytes(), metodo);
			Cipher cipher = Cipher.getInstance(metodo);
			cipher.init(Cipher.ENCRYPT_MODE, aesKey);
			byte[] encrypted = cipher.doFinal(text.getBytes());
			return new String(encrypted);
		} catch(Exception e) {
		}
		return null;
	}

	public static String decoder(String text, String key) {
		try {
			String metodo = "AES";
			Key aesKey = new SecretKeySpec(key.getBytes(), metodo);
			Cipher cipher = Cipher.getInstance(metodo);
			cipher.init(Cipher.DECRYPT_MODE, aesKey);
			return new String(cipher.doFinal(text.getBytes()));
		} catch(Exception e) {
		}
		return null;
	}

	public static List<Allegato> allegatiListM(List<AllegatoMessaggio> allegati) {
		List<Allegato> all = new ArrayList<Allegato>();
		if(notEmpty(allegati)) {
			for(AllegatoMessaggio file : new LinkedHashSet<AllegatoMessaggio>(allegati)) {
				if(file != null) {
					Allegato a = new Allegato(true, file.getNome());
					a.setFile(file.getFile());
					a.setData_modifica(date());
					all.add(a);
				}
			}
		}
		return all;
	}

	public static List<Allegato> allegatiListS(List<String> allegati) {
		List<Allegato> all = new ArrayList<Allegato>();
		if(notEmpty(allegati)) {
			for(String file : new LinkedHashSet<String>(allegati)) {
				if(file != null) {
					File allegato = new File(file);
					if (allegato.exists()) {
						Allegato a = new Allegato(true, allegato.getName());
						a.setPercorso(allegato.getAbsolutePath());
						a.setData_modifica(date(allegato.lastModified()));
						all.add(a);
					}
				}
			}
		}
		return all;
	}

	public static List<Allegato> allegatiConvertI(ByteArrayInputStream allegato, String file) {
		List<Allegato> all = new ArrayList<Allegato>();
		try {
			if (allegato != null) {
				Allegato a = new Allegato(true, file);
				ByteArrayOutputStream out = new ByteArrayOutputStream();
				copy(allegato, out);
				out.close();
				a.setFile(out.toByteArray());
				a.setData_modifica(date());
				allegato.close();
				all.add(a);
			}
		} catch(Exception e) {
			ErrorLog.log(null, null, e);
		}
		return all;
	}

	public static List<Allegato> allegatiConvertO(ByteArrayOutputStream allegato, String file) {
		List<Allegato> all = new ArrayList<Allegato>();
		try {
			if (allegato != null) {
				allegato.close();
				Allegato a = new Allegato(true, file);
				a.setFile(allegato.toByteArray());
				a.setData_modifica(date());
				all.add(a);
			}
		} catch(Exception e) {
			ErrorLog.log(null, null, e);
		}
		return all;
	}

	public static boolean textInXLS(File file, List<String> rs) {
		boolean match = false;
		if(notEmpty(rs)) {
			String ext = getExtensionLower(file.getName());
			if(asList(ConstantsMap.a_pda2).contains(ext)) {
				try {
					InputStream stream = new FileInputStream(file);
					Workbook wb = workbook(stream, ext);
					stream.close();
					int ns = wb.getNumberOfSheets();
					for (int i = 0; i < ns; i++) {
						Sheet sheet = wb.getSheetAt(i);
						Iterator<Row> rowIt = sheet.rowIterator();
						while (rowIt.hasNext()) {
							Row row = rowIt.next();
							Iterator<Cell> cellIt = row.cellIterator();
							while (cellIt.hasNext()) {
								Cell cell = cellIt.next();
								if(cell!= null) {
									String ricerca1 = null;
									String ricerca2 = null;
									Comment comment = cell.getCellComment();
									if(comment != null) {
										RichTextString rt = comment.getString();
										ricerca1 = upperCaseNull(rt.toString());
									}
									switch (cell.getCellType()) {
									case STRING:
										ricerca2 = upperCaseNull(cell.getStringCellValue());
										break;
									default:
										break;
									}
									boolean r = ricerca(ricerca1, rs) || ricerca(ricerca2, rs);
									if(r) {
										match = true;
										break;
									}
								}
							}
						}
					}	
					wb.close();

				} catch(OLE2NotOfficeXmlFileException e) {
				} catch(Exception e) {
					ErrorLog.log(null, null, e);
				}
			}	else {
				match = false;
			}
		} else {
			match = true;
		}
		return match;
	}

	public static boolean textInPDF(File file, List<String> rs) {
		boolean match = false;
		if(notEmpty(rs)) {
			String ext = getExtensionLower(file.getName());
			if(asList(ConstantsMap.a_pda1).contains(ext)) {
				try {
					PdfReader template = pdfReader(file.getAbsolutePath(), null);
					if (!template.isEncrypted()) {
						PdfReaderContentParser parser = new PdfReaderContentParser(template);
						for (int i = 1; i <= template.getNumberOfPages(); i++) {
							TextExtractionStrategy strategy = parser.processContent(i, new SimpleTextExtractionStrategy());
							String s = upperCaseNull(strategy.getResultantText());
							boolean r = ricerca(s, rs);
							if(r) {
								match = true;
								break;
							}
						}
						if(!match) {
							AcroFields form = template.getAcroFields();
							Map<String, Item> campi = form.getFields();
							for(String chiave : campi.keySet()) {
								String s = upperCaseNull(form.getField(chiave));
								boolean r = ricerca(s, rs);
								if(r) {
									match = true;
									break;
								}
							}
						}
					}
					template.close();
				} catch(Exception e) {
					ErrorLog.log(null, null, e);
				}
			}	else {
				match = false;
			}
		} else {
			match = true;
		}
		return match;
	}


	public static boolean textInTXT(File file, List<String> rs) {
		boolean match = false;
		if(notEmpty(rs)) {
			try {

				BufferedReader reader = new BufferedReader(new FileReader(file));
				String line;
				while ((line = reader.readLine()) != null) {
					String s = upperCaseNull(line);
					boolean r = ricerca(s, rs);
					if(r) {
						match = true;
						break;
					}
				}
				reader.close();
			} catch(Exception e) {
				ErrorLog.log(null, null, e);
			}

		} else {
			match = true;
		}
		return match;
	}

	public static boolean ricerca(String s, List<String> rs) {
		if(s != null) {
			for(String ra : rs) { 
				Ricerca m = match(ra);
				if(m.getValore() == 1) {
					if(m.isInverti()) {
						if(m.getRicerca() != null && !s.equals(upperCase(m.getRicerca()))) {
							return true;
						}
					} else {
						if(m.getRicerca() != null && s.equals(upperCase(m.getRicerca()))) {
							return true;
						}
					}
				}
				if(m.getValore() == 2) {
					if(m.isInverti()) {
						if(m.getRicerca() != null && !s.startsWith(upperCase(m.getRicerca()))) {
							return true;
						}
					} else {
						if(m.getRicerca() != null && s.startsWith(upperCase(m.getRicerca()))) {
							return true;
						}
					}
				}
				if(m.getValore() == 3) {
					if(m.isInverti()) {
						if(m.getRicerca() != null && !s.endsWith(upperCase(m.getRicerca()))) {
							return true;
						}
					} else {
						if(m.getRicerca() != null && s.endsWith(upperCase(m.getRicerca()))) {
							return true;
						}
					}
				}
				if(m.getValore() == 4) {
					if(m.isInverti()) {
						if(m.getRicerca() != null && !s.contains(upperCase(m.getRicerca()))) {
							return true;
						}
					} else {
						if(m.getRicerca() != null && s.contains(upperCase(m.getRicerca()))) {
							return true;
						}
					}
				}
			}
		} 
		return false;
	}


	public static Map<String, DatoAggiuntivo> convertiSondaggioC(List<DatoSondaggioContratto> dati) {
		Map<String, DatoAggiuntivo> risultatoSondaggio = new HashMap<String, DatoAggiuntivo>();
		if(notEmpty(dati)) {
			Iterator<DatoSondaggioContratto> objIter = dati.iterator();
			while(objIter.hasNext()) {
				DatoSondaggioContratto dato = objIter.next();
				if (dato.getCampo() != null) {
					if (dato.getCampo().getForm()) {
						Map<CampoSpeciale,ValoreMappa> mappa = dato.getMappa();
						if (notEmpty(mappa)) {
							Iterator<CampoSpeciale> ssIt = mappa.keySet().iterator();
							while(ssIt.hasNext()) {
								CampoSpeciale cc = ssIt.next();
								ValoreMappa val = mappa.get(cc);
								String chiave = trimToEmpty(cc.getChiave()).replaceAll(ConstantsGlobal.colonSeparator, " ");
								if(val!=null) {
									if(isBlank(cc.getEtichetta())) {
										cc.setEtichetta(chiave);
									}
									CampoAggiuntivoContratto caa = dato.getCampo();
									String nuovaChiave = trimToEmpty(impostaCampoS(cc.getEredita(),caa.getChiave(), chiave, "_"));
									if(caa != null && !ConstantsMap.anagraficaMap.contains(nuovaChiave)){
										String etichetta = impostaCampoS(cc.getEredita(),caa.getEtichetta(), cc.getEtichetta(), ConstantsGlobal.ereditaEtichetta);
										risultatoSondaggio.put(nuovaChiave, new DatoAggiuntivo(val, cc, etichetta, caa.getEtichetta()));
									}
								}
							}
						}
					} else {
						risultatoSondaggio.put(dato.getCampo().getChiave(), new DatoAggiuntivo(dato));
					}
				}
			}
		}
		return risultatoSondaggio;
	}



	public static Map<String, DatoAggiuntivo> convertiSondaggioA(List<DatoSondaggioAnagrafica> dati) {
		Map<String, DatoAggiuntivo> risultatoSondaggio = new HashMap<String, DatoAggiuntivo>();
		if(notEmpty(dati)) {
			Iterator<DatoSondaggioAnagrafica> objIter = dati.iterator();
			while(objIter.hasNext()) {
				DatoSondaggioAnagrafica dato = objIter.next();
				if (dato.getCampo() != null) {
					if (dato.getCampo().getForm()) {
						Map<CampoSpeciale,ValoreMappa> mappa = dato.getMappa();
						if (notEmpty(mappa)) {
							Iterator<CampoSpeciale> ssIt = mappa.keySet().iterator();
							while(ssIt.hasNext()) {
								CampoSpeciale cc = ssIt.next();
								ValoreMappa val = mappa.get(cc);
								String chiave = trimToEmpty(cc.getChiave()).replaceAll(ConstantsGlobal.colonSeparator, " ");
								if(val!=null) {
									if(isBlank(cc.getEtichetta())) {
										cc.setEtichetta(chiave);
									}
									CampoAggiuntivoAnagrafica caa = dato.getCampo();
									String nuovaChiave = trimToEmpty(impostaCampoS(cc.getEredita(),caa.getChiave(), chiave, "_"));
									if(caa != null && !ConstantsMap.anagraficaMap.contains(nuovaChiave)){
										String etichetta = impostaCampoS(cc.getEredita(),caa.getEtichetta(), cc.getEtichetta(), ConstantsGlobal.ereditaEtichetta);
										risultatoSondaggio.put(nuovaChiave, new DatoAggiuntivo(val, cc, etichetta, caa.getEtichetta()));
									}
								}
							}
						}
					} else {
						risultatoSondaggio.put(dato.getCampo().getChiave(), new DatoAggiuntivo(dato));
					}
				}
			}
		}
		return risultatoSondaggio;
	}

	public static Map<String, DatoAggiuntivo> convertiDatoAggiuntivoA(List<DatoAggiuntivoAnagrafica> dS) {
		Map<String, DatoAggiuntivo> mappa = new HashMap<String, DatoAggiuntivo>();
		if(notEmpty(dS)) {
			Iterator<DatoAggiuntivoAnagrafica> objIter = dS.iterator();
			while(objIter.hasNext()) {
				DatoAggiuntivoAnagrafica daa = objIter.next();
				mappa.put(daa.getCampo_aggiuntivo().getChiave(), new DatoAggiuntivo(daa));
			}
		}
		return mappa;
	}

	public static Map<String, DatoAggiuntivo> convertiDatoAggiuntivoC(List<DatoAggiuntivoContratto> dS) {
		Map<String, DatoAggiuntivo> mappa = new HashMap<String, DatoAggiuntivo>();
		if(notEmpty(dS)) {
			Iterator<DatoAggiuntivoContratto> objIter = dS.iterator();
			while(objIter.hasNext()) {
				DatoAggiuntivoContratto daa = objIter.next();
				mappa.put(daa.getCampo_aggiuntivo().getChiave(), new DatoAggiuntivo(daa));
			}
		}
		return mappa;
	}

	public static Map<String, DatoAggiuntivo> convertiIndirizzo(Indirizzo indirizzo, List<String> valori) {
		Map<String, DatoAggiuntivo> mappa = new HashMap<String, DatoAggiuntivo>();
		for(String chiave : valori) {
			DatoAggiuntivo v = new DatoAggiuntivo(ModelExport.metodoIndirizzo(indirizzo, chiave));
			if(v != null) {
				mappa.put(chiave, v);
			}
		}
		return mappa;
	}

	public static Map<String, DatoAggiuntivo> convertiAnagrafica(Anagrafica a , List<String> valori) {
		Map<String, DatoAggiuntivo> mappa = new HashMap<String, DatoAggiuntivo>();
		for(String chiave : valori) {
			DatoAggiuntivo v = new DatoAggiuntivo(ModelExport.metodoAnagrafica(a, chiave));
			if(v != null) {
				mappa.put(chiave, v);
			}
		}
		return mappa;
	}


	public static String trasformazioneR(String t, String u) {
		String telefono = "";
		boolean negata = false;
		String condizione;
		String valoreS;
		String valoreN;
		if(u != null) {
			String c = trimToNull(substringBeforeLast(u, ConstantsGlobal.pipeSeparator));
			if(c != null && u.contains(ConstantsGlobal.pipeSeparator)) {
				if(c.startsWith(ConstantsGlobal.negazioneSeparator)) {
					condizione = trimToNull(substringAfterLast(c, ConstantsGlobal.negazioneSeparator));
					negata = true;
				} else {
					condizione = trimToNull(c);
					negata = false;
				}
				valoreS = trimToEmpty(substringBetween(u, ConstantsGlobal.pipeSeparator, ConstantsGlobal.commaSeparator));
				valoreN = trimToEmpty(substringAfterLast(u, ConstantsGlobal.commaSeparator));
			} else {
				condizione = null;
				negata = false;
				valoreS = null;
				valoreN = null;
				telefono = removeStart(t, u);
			}
			if(condizione != null) {
				String n = negata ? (t.startsWith(condizione) ? valoreN : valoreS) : (t.startsWith(condizione) ? valoreS : valoreN);
				telefono = removeStart(t, n);
			}
		} else {
			telefono = t;
		}
		return telefono;
	}


	public static String trasformazioneA(String t, String u) {
		String telefono = "";
		boolean negata = false;
		String condizione;
		String valoreS;
		String valoreN;
		if(u != null) {
			String c = trimToNull(substringBeforeLast(u, ConstantsGlobal.pipeSeparator));
			if(c != null && u.contains(ConstantsGlobal.pipeSeparator)) {
				if(c.startsWith(ConstantsGlobal.negazioneSeparator)) {
					condizione = trimToNull(substringAfterLast(c, ConstantsGlobal.negazioneSeparator));
					negata = true;
				} else {
					condizione = trimToNull(c);
					negata = false;
				}
				valoreS = trimToEmpty(substringBetween(u, ConstantsGlobal.pipeSeparator, ConstantsGlobal.commaSeparator));
				valoreN = trimToEmpty(substringAfterLast(u, ConstantsGlobal.commaSeparator));
			} else {
				condizione = null;
				negata = false;
				valoreS = null;
				valoreN = null;
				telefono = u + t;
			}
			if(condizione != null) {
				String n = negata ? (t.startsWith(condizione) ? valoreN : valoreS) : (t.startsWith(condizione) ? valoreS : valoreN);
				telefono = n + t;

			}
		} else {
			telefono = t;
		}
		return telefono;
	}

	public static Map<String,List<Object>> prepareGruppoList(Boolean raggruppa, List<?> das) {
		Map<String, List<Object>> gruppo = new TreeMap<String, List<Object>>();
		if(notEmpty(das)&& isTrue(raggruppa)) {
			String nogroup = ConstantsLanguage.NOGROUP.stampa();
			for(Object obj : das){
				if(obj instanceof DatoAggiuntivoAnagrafica) {
					DatoAggiuntivoAnagrafica da = (DatoAggiuntivoAnagrafica) obj;
					CampoAggiuntivoAnagrafica ca = da.getCampo_aggiuntivo();
					String g = prendiGruppo(ca.getGruppo(), nogroup);
					ca.setEtichettaS(sottraiEtichetta(ca.getEtichetta(), g));
					List<Object> dati = gruppo.get(g);
					if(dati == null) {
						dati = new ArrayList<Object>();
					}
					if(!dati.contains(g)) {
						dati.add(da);
					}
					gruppo.put(g, dati);
				}
				if(obj instanceof DatoAggiuntivoContratto) {
					DatoAggiuntivoContratto da = (DatoAggiuntivoContratto) obj;
					CampoAggiuntivoContratto ca = da.getCampo_aggiuntivo();
					String g = prendiGruppo(ca.getGruppo(), nogroup);
					ca.setEtichettaS(sottraiEtichetta(ca.getEtichetta(), g));
					List<Object> dati = gruppo.get(g);
					if(dati == null) {
						dati = new ArrayList<Object>();
					}
					if(!dati.contains(g)) {
						dati.add(da);
					}
					gruppo.put(g, dati);
				}
				if(obj instanceof DatoAggiuntivo) {
					DatoAggiuntivo da = (DatoAggiuntivo) obj;
					String g = prendiGruppo(da.getGruppo(), nogroup);
					da.setEtichettaS(sottraiEtichetta(da.getEtichetta(), g));
					List<Object> dati = gruppo.get(g);
					if(dati == null) {
						dati = new ArrayList<Object>();
					}
					if(!dati.contains(g)) {
						dati.add(da);
					}
					gruppo.put(g, dati);
				}
			}
		}
		return gruppo;
	}

	public static Map<String, List<Object>> prepareGruppoMap(Boolean raggruppa, Map<Long, ?> map) {
		Map<String, List<Object>> gruppo = new TreeMap<String, List<Object>>();
		if(notEmpty(map)&& isTrue(raggruppa)) {
			String nogroup = ConstantsLanguage.NOGROUP.stampa();
			for(Long k : map.keySet()){
				Object obj = map.get(k);
				CampoAggiuntivo ca = null;
				if(obj instanceof CampoAggiuntivoAnagrafica) {
					ca = new CampoAggiuntivo((CampoAggiuntivoAnagrafica) obj);
				}
				if(obj instanceof CampoAggiuntivoContratto) {
					ca = new CampoAggiuntivo((CampoAggiuntivoContratto) obj);
				}
				if(ca != null) {
					String g = prendiGruppo(ca.getGruppo(), nogroup);
					ca.setEtichettaS(sottraiEtichetta(ca.getEtichetta(), g));
					List<Object> dati = gruppo.get(g);
					if(dati == null) {
						dati = new ArrayList<Object>();
					}
					if(!dati.contains(g)) {
						dati.add(ca);
					}
					gruppo.put(g, dati);
				}
			}
		}
		return gruppo;
	}

	public static String sottraiEtichetta(String etichetta, String g) {
		String e = trimToNull(substringAfter(etichetta, g + ConstantsGlobal.ereditaEtichetta));
		if(e != null) {
			return e;
		} else {
			return etichetta;
		}
	}
	public static String impostaGruppo(String etichetta, String colore) {
		return etichetta;
	}

	public static String prendiGruppo(String gruppo, String nogroup) {
		return isBlank(gruppo) ? nogroup : gruppo;
	}


	private static Map<String, List<Object>> prepareGruppoListC(List<?> das) {
		Map<String, List<Object>> gruppo = new TreeMap<String, List<Object>>();
		if(notEmpty(das)) {
			String nogroup = ConstantsLanguage.NOGROUP.stampa();
			for(Object obj : das){
				CampoAggiuntivo ca = null;
				if(obj instanceof CampoAggiuntivoAnagrafica) {
					ca = new CampoAggiuntivo((CampoAggiuntivoAnagrafica) obj);
				}
				if(obj instanceof CampoAggiuntivoContratto) {
					ca = new CampoAggiuntivo((CampoAggiuntivoContratto) obj);
				}
				if(ca != null) {
					String g = prendiGruppo(ca.getGruppo(), nogroup);
					ca.setEtichettaS(sottraiEtichetta(ca.getEtichetta(), g));
					List<Object> dati = gruppo.get(g);
					if(dati == null) {
						dati = new ArrayList<Object>();
					}
					if(!dati.contains(g)) {
						dati.add(ca);
					}
					gruppo.put(g, dati);
				}
			}
		}
		return gruppo;
	}

	public static List<SelectItem> prepareGruppoRicerca(Boolean idselect, Boolean raggruppa, List<?> das) {
		List<SelectItem> sisGroup = new ArrayList<SelectItem>();
		if(notEmpty(das)) {
			if(isTrue(raggruppa)) {
				Map<String, List<Object>> map = prepareGruppoListC(das);
				for (String gruppo : map.keySet()) {
					SelectItemGroup p = new SelectItemGroup(gruppo); 
					List<SelectItem> s = new ArrayList<SelectItem>();
					for (Object obj : map.get(gruppo)) {
						CampoAggiuntivo ca = (CampoAggiuntivo) obj;
						s.add(new SelectItem(ca.getId(), toString(idselect ? ca.getId() : null, ca.getEtichettaS())));
					}
					p.setSelectItems(s.toArray(new SelectItem[s.size()]));
					sisGroup.add(p);
				}
			} else {
				for (Object obj : das) {
					CampoAggiuntivo ca = null;
					if(obj instanceof CampoAggiuntivoAnagrafica) {
						ca = new CampoAggiuntivo((CampoAggiuntivoAnagrafica) obj);
					}
					if(obj instanceof CampoAggiuntivoContratto) {
						ca = new CampoAggiuntivo((CampoAggiuntivoContratto) obj);
					}
					if(ca != null) {
						sisGroup.add(new SelectItem(ca.getId(), toString(idselect ? ca.getId() : null, ca.getEtichetta())));
					}
				}
			}
		}
		return sisGroup;
	}

	public static List<DatoAggiuntivo> convertiSondaggioEA(List<DatoSondaggioAnagrafica> dati) {
		List<DatoAggiuntivo> risultatoSondaggio = new ArrayList<DatoAggiuntivo>();
		if(notEmpty(dati)) {
			Iterator<DatoSondaggioAnagrafica> objIter = dati.iterator();
			while(objIter.hasNext()) {
				DatoSondaggioAnagrafica dato = objIter.next();
				if (dato.getCampo() != null) {
					if (dato.getCampo().getForm()) {
						Map<CampoSpeciale,ValoreMappa> mappa = dato.getMappa();
						if (notEmpty(mappa)) {
							Iterator<CampoSpeciale> ssIt = mappa.keySet().iterator();
							while(ssIt.hasNext()) {
								CampoSpeciale cc = ssIt.next();
								ValoreMappa val = mappa.get(cc);
								String chiave = trimToEmpty(cc.getChiave()).replaceAll(ConstantsGlobal.colonSeparator, " ");
								if(val!=null) {
									if(isBlank(cc.getEtichetta())) {
										cc.setEtichetta(chiave);
									}
									CampoAggiuntivoAnagrafica caa = dato.getCampo();
									String nuovaChiave = trimToEmpty(impostaCampoS(cc.getEredita(),caa.getChiave(), chiave, "_"));
									if(caa != null && !ConstantsMap.anagraficaMap.contains(nuovaChiave)){
										String etichetta = impostaCampoS(cc.getEredita(),caa.getEtichetta(), cc.getEtichetta(), ConstantsGlobal.ereditaEtichetta);
										risultatoSondaggio.add(new DatoAggiuntivo(val, cc, etichetta, caa.getEtichetta()));
									}
								}
							}
						}
					} else {
						risultatoSondaggio.add(new DatoAggiuntivo(dato));
					}
				}
			}
		}
		return risultatoSondaggio;
	}

	public static List<DatoAggiuntivo> convertiSondaggioEC(List<DatoSondaggioContratto> dati) {
		List<DatoAggiuntivo> risultatoSondaggio = new ArrayList<DatoAggiuntivo>();
		if(notEmpty(dati)) {
			Iterator<DatoSondaggioContratto> objIter = dati.iterator();
			while(objIter.hasNext()) {
				DatoSondaggioContratto dato = objIter.next();
				if (dato.getCampo() != null) {
					if (dato.getCampo().getForm()) {
						Map<CampoSpeciale,ValoreMappa> mappa = dato.getMappa();
						if (notEmpty(mappa)) {
							Iterator<CampoSpeciale> ssIt = mappa.keySet().iterator();
							while(ssIt.hasNext()) {
								CampoSpeciale cc = ssIt.next();
								ValoreMappa val = mappa.get(cc);
								String chiave = trimToEmpty(cc.getChiave()).replaceAll(ConstantsGlobal.colonSeparator, " ");
								if(val!=null) {
									if(isBlank(cc.getEtichetta())) {
										cc.setEtichetta(chiave);
									}
									CampoAggiuntivoContratto caa = dato.getCampo();
									String nuovaChiave = trimToEmpty(impostaCampoS(cc.getEredita(),caa.getChiave(), chiave, "_"));
									if(caa != null && !ConstantsMap.anagraficaMap.contains(nuovaChiave)){
										String etichetta = impostaCampoS(cc.getEredita(),caa.getEtichetta(), cc.getEtichetta(), ConstantsGlobal.ereditaEtichetta);
										risultatoSondaggio.add(new DatoAggiuntivo(val, cc, etichetta, caa.getEtichetta()));
									}
								}
							}
						}
					} else {
						risultatoSondaggio.add(new DatoAggiuntivo(dato));
					}
				}
			}
		}
		return risultatoSondaggio;
	}

	public static boolean executeRuntime(String cmd, boolean wait) {
		boolean ok = false;
		try {
			Runtime rc = Runtime.getRuntime();
			Process p = rc.exec(cmd);
			if(wait) {
				p.waitFor();
			}
			ok = true;
		} catch (Exception e) {
			ErrorLog.log(null, null, e);
		}
		return ok;
	}

	public static boolean executeRuntime(String [] cmd, boolean wait) {
		boolean ok = false;
		try {
			Runtime rc = Runtime.getRuntime();
			Process p = rc.exec(cmd);
			if(wait) {
				p.waitFor();
			}
			ok = true;
		} catch (Exception e) {
			ErrorLog.log(null, null, e);
		}
		return ok;
	}

	public static void executeRuntime(String cmd) {
		try {
			Runtime.getRuntime().exec(cmd);
		} catch (Exception e) {
			ErrorLog.log(null, null, e);
		}
	}

	public static void executeRuntime(String [] cmd) {
		try {
			Runtime.getRuntime().exec(cmd);
		} catch (Exception e) {
			ErrorLog.log(null, null, e);
		}
	}

	public static boolean fitraUtente(String name, Long utente_id) {
		if(isNotBlank(name) && gtZero(utente_id)) {
			Pattern p = Pattern.compile(".+_([a-z])?" + utente_id + "_.+" +"\\." + ConstantsMap.wav);
			Matcher m = p.matcher(name);
			return m.matches();
		}
		return false;
	}

	public static String stampa(String message) {
		String split = ":";
		String text = Message.addCatalogText(message);
		if(text != null && text.contains(split)) {
			return trimToEmpty(substringAfter(text, split));
		} else {
			return trimToEmpty(text);
		}
	}

	public static String lingua(String l) {
		return trimToEmpty(StringUtils.substringBefore(l, "_"));
	}

	public static String paese(String l) {
		return trimToEmpty(StringUtils.substringAfter(l, "_"));
	}

	public static boolean isWindows() {
		return SystemUtils.IS_OS_WINDOWS;
	}

	public static byte[] content(Boolean f, String path, String filename) {
		if(isNotBlank(filename)) {
			try {
				if(isNotTrue(f)) {
					return filename.getBytes(ConstantsGlobal.CHARSET);
				} else {
					return Files.readAllBytes(Paths.get(path + filename));
				}
			} catch (IOException e) {
			}
		}
		return null;
	}
	public static BufferedImage immagine(String immagine) throws Exception {
		ExternalContext ec = getExternalContext(null);
		ServletContext servletContext = (ServletContext) ec.getContext(); 
		FileSystemResource resource = new FileSystemResource(servletContext.getRealPath(immagine));
		return readImage(resource.getFile());
	}

	public static void access(Integer lt, String l) {
		if(gtZero(lt) ) {
			fileLog(lt, l);
		}
	}

	public static void logger(String l) {
		ApplicationLog.info(l);
	}

	public static void monitor(String l) {
		ApplicationLog.info(l);
	}

	public static void fileLog(Integer lt, String l) {
		if(gtZero(lt) ) {
			if(lt.intValue() == 1 || lt.intValue() == 3) {
				ApplicationLog.info(l);
			}
			if(lt.intValue() == 2 || lt.intValue() == 3) {
				SystemLog.info(l);
			}
		}
	}
	public static void loggerN(Integer lt, String l) {
		if(gtZero(lt) ) {
			StringBuilder sb = new StringBuilder(l);
			Utente ul = getUsernameLoggato();
			String u = trimToNull(ul != null ? ul.getUsername() : null);
			if(u != null) {
				sb.append(" - " + ConstantsLanguage.USERNAME.stampa() + ": " + u);
			}
			HttpServletRequest request = getRequest(null);
			if(request != null) {
				String ip = trimToNull(ip(request));
				if(ip != null) {
					sb.append(" - " + ConstantsLanguage.IP.stampa() + ": " + ip);
				}
			}
			fileLog(lt, sb.toString());
		}
	}

	public static String printStackTrace(String message, Class<?> classe, Object ... objects) {
		int stackL = 100;
		StringBuilder sb = new StringBuilder();
		Utente utente = getUsernameLoggato();
		if(utente != null) {
			sb.append(utente.getDenominazione() + " - ");
		}
		if(message != null) {
			sb.append(message + " - ");
		}
		if(notEmpty(objects)) {
			for(Object o : objects) {
				if(o != null) {
					StackTraceElement [] stack = null;
					sb.append(ConstantsGlobal.ERROR + ": " + o.getClass() + " - ");
					if(o instanceof Exception) {
						Exception e = (Exception) o;
						sb.append(e.getMessage());
						stack = e.getStackTrace();
					}
					if(o instanceof OutOfMemoryError) {
						OutOfMemoryError e = (OutOfMemoryError) o;
						sb.append(e.getMessage());
						stack = e.getStackTrace();
					}
					if(notEmpty(stack)) {
						for(int i = 0; i < stack.length; i++) {
							sb.append(ConstantsGlobal.NEWLINE);
							sb.append(stack[i].toString());
							if(i == stackL || equals(classe.getName(), stack[i].getClassName())) break;
						}
					}
					sb.append(ConstantsGlobal.NEWLINE);
				}
			}
		}
		return sb.toString();
	}



	public static int sizeC(Collection<?> ... as) {
		int size = 0;
		if(notEmpty(as)) {
			for(Collection<?> a : as) {
				if(notEmpty(a)) {
					size += a.size();
				}
			}
		}
		return size;
	}

	public static String printN(Integer e) {
		return gt(e, 1) ? (" " + "["+e+"]") : "";
	}

	public static String formatCallee(boolean sip, String trunk, String numero) {
		return formatProtocol(sip) + formatTrunk(sip, trunk, numero);
	}

	public static String formatTrunk(boolean sip, String trunk, String numero) {
		String t = trimToNull(trunk);
		String n = trimToNull(numero);
		if(sip) {
			if(t != null && n != null) {
				return t +"/" + n;
			}
			if(t != null && n == null) {
				return t +"/";
			}
			if(t == null && n != null) {
				return n;
			}
		} else {
			if(t != null && n != null) {
				return n + "@" + t;
			}
			if(t != null && n == null) {
				return "@" + t;
			}
			if(t == null && n != null) {
				return n;
			}
		}
		return "";
	}

	public static String formatProtocol(boolean sip) {
		if(sip) {
			return "SIP/";
		} else {
			return "PJSIP/";
		}
	}
	public static String formatMessages(boolean sip) {
		if(sip) {
			return "sip";
		} else {
			return "pjsip";
		}
	}
	public static void addProjection(DetachedCriteria criteria, Projection distinct, Projection ... projections) {
		ProjectionList projection = Projections.projectionList();
		if(distinct != null) {
			projection.add(Projections.distinct(distinct));
		}
		if(notEmpty(projections)) {
			for(Projection p : projections) {
				projection.add(p);
			}
		}
		criteria.setProjection(projection);
	}

	public static String byteCount(long bytes) {
		long absB = bytes == Long.MIN_VALUE ? Long.MAX_VALUE : Math.abs(bytes);
		if (absB < ConstantsGlobal.kb) {
			return String.format("%d B", bytes);
		}
		long value = absB;
		CharacterIterator ci = new StringCharacterIterator("kMGTPE");
		for (int i = 40; i >= 0 && absB > 0xfffccccccccccccL >> i; i -= 10) {
			value >>= 10;
				ci.next();
		}
		value *= Long.signum(bytes);
		float b = (float) ConstantsGlobal.kb;
		return String.format("%.2f %cB", value / b, ci.current());
	}

	public static void clean(boolean a) {
		if(a) {
			Runtime.getRuntime().gc();
		} else {
			System.gc();
		}
	}



	public static Long contatto(String c) {
		String action = trimToNull(c);
		if(action != null && isNumeric(action)) {
			Long id = Long.valueOf(action);
			if(gtZero(id)) {
				return id;
			}
		}
		return null;
	}

	public static String toZero(String var) {
		if(var != null) {
			String v = trimToNull(var);
			if(v != null) {
				return v;
			}
		}
		return "0";
	}

	public static boolean notZero(String var) {
		return var != null && !var.equals("0");
	}

	public static String evalZero(Boolean var) {
		return isTrue(var) ? "1" : "0";
	}

	public static void setVariable(boolean global, AgiChannel chanel, String variabile, String valore) throws AgiException {
		if(isNotBlank(valore)) {
			if(global) {
				chanel.setVariable("__" + variabile, valore);
			} else {
				chanel.setVariable(variabile, valore);
			}
		}
	}

	public static void setVariable(boolean global, OriginateAction originateAction, String variabile, String valore) {
		if(isNotBlank(valore)) {
			if(global) {
				originateAction.setVariable("__" + variabile, valore);
			} else {
				originateAction.setVariable(variabile, valore);
			}
		}
	}

	public static String getVariable(AgiChannel chanel, String variabile) throws AgiException {
		if(variabile.contains("$")) {
			return trimToNull(chanel.getFullVariable(variabile));
		} else {
			return trimToNull(chanel.getVariable(variabile));
		}
	}

	public static String impostaCDR(OriginateAction originateAction, String musicclass, String vtx, String vrx, String caller, String callee, String telefono, String utente, String contatto, String userfield, Boolean manual) {
		String touch = trimToEmpty(telefono) + "_" + (isTrue(manual) ? "m" : "s") + toZero(utente) + "_" + toZero(contatto);
		setVariable(false, originateAction, ConstantsGlobal.cdr_tipo, isTrue(manual) ? "6" : "8");
		setVariable(false, originateAction, ConstantsGlobal.cdr_caller, caller);
		setVariable(false, originateAction, ConstantsGlobal.cdr_callee, callee);
		setVariable(false, originateAction, ConstantsGlobal.cdr_contatto, contatto);
		setVariable(false, originateAction, ConstantsGlobal.cdr_userfield, userfield);
		setVariable(false, originateAction, ConstantsGlobal.cdr_utente, utente);
		setVariable(false, originateAction, ConstantsGlobal.channel_accountcode, toZero(contatto));
		setVariable(false, originateAction, ConstantsGlobal.channel_musicclass, musicclass);
		//setVariable(false, originateAction, ConstantsGlobal.channel_handler, "1");
		setVariable(false, originateAction, ConstantsGlobal.volume_tx, vtx);
		setVariable(false, originateAction, ConstantsGlobal.volume_rx, vrx);
		setVariable(false, originateAction, ConstantsGlobal.monitor, touch);
		return touch;
	}

	public static String impostaCDR(AgiChannel chanel, String musicclass, String vtx, String vrx, String caller, String callee, String telefono, String utente, String contatto, String userfield, Boolean inbound) throws AgiException {
		String touch = trimToEmpty(telefono) + "_" + (isTrue(inbound) ? "i" : "s") + toZero(utente) + "_" + toZero(contatto);
		setVariable(false, chanel, ConstantsGlobal.cdr_tipo, isTrue(inbound) ? "1" : "8");
		setVariable(false, chanel, ConstantsGlobal.cdr_caller, caller);
		setVariable(false, chanel, ConstantsGlobal.cdr_callee, callee);
		setVariable(false, chanel, ConstantsGlobal.cdr_contatto, contatto);
		setVariable(false, chanel, ConstantsGlobal.cdr_userfield, userfield);
		setVariable(false, chanel, ConstantsGlobal.cdr_utente, utente);
		setVariable(false, chanel, ConstantsGlobal.channel_accountcode, toZero(contatto));
		setVariable(false, chanel, ConstantsGlobal.channel_musicclass, musicclass);
		//setVariable(false, chanel, ConstantsGlobal.channel_handler, "1");
		setVariable(false, chanel, ConstantsGlobal.volume_tx, vtx);
		setVariable(false, chanel, ConstantsGlobal.volume_rx, vrx);
		setVariable(false, chanel, ConstantsGlobal.monitor, touch);
		return touch;
	}

	public static void impostaREC(AgiChannel chanel, String touch, Boolean monitor) throws AgiException {
		if(isTrue(monitor)) {
			long time = System.currentTimeMillis() / ConstantsGlobal.millis;
			String file = ConstantsGlobal.preamboloR + "-" + time + "-" + touch;
			chanel.exec(ConstantsGlobal.appMont, file + "." + ConstantsMap.wav + "," + ConstantsGlobal.optionsRec);
		}
	}

	public static DirectoryStream<Path> streamFile(Path folder, String suffix, RegistrazioneCriteria mm) {
		try {
			return Files.newDirectoryStream(folder, new StreamFileFilter(suffix, mm));
		} catch (Exception ex) {
		}
		return null;
	}

	public static DirectoryStream<Path> streamFile(Path folder, String suffix, RegistrazioneReportCriteria mm) {
		try {
			return Files.newDirectoryStream(folder, new StreamRegistrazioneFilter(suffix, mm));
		} catch (Exception ex) {
		}
		return null;
	}

	public static DirectoryStream<Path> streamFile(Path folder, String suffix) {
		try {
			return Files.newDirectoryStream(folder, new StreamSimpleFilter(suffix));
		} catch (Exception ex) {
		}
		return null;
	}

	public static String dateFormatUTC(Date now, String format) {
		DateFormat df = new SimpleDateFormat(format); 
		df.setTimeZone(TimeZone.getTimeZone(ConstantsGlobal.UTC));
		return df.format(now);
	}

	public static void invoke(Date creationDate, StoriaContatto storia, Map<String, Integer> map) {
		Contatto contatto = storia.getContatto();
		Campagna campagna = contatto.getCampagna();
		String link = campagna.getInvoke_link();
		String username = campagna.getInvoke_username();
		String password = campagna.getInvoke_password();
		String id_crm = contatto.getAnagrafica().getLink();
		String esito = storia.getCodice_generale();
		Date callDate = storia.getData();
		invoke(id_crm, esito, callDate, username, password, link, creationDate, map);
	}

	public static void invoke(String id_crm, String esito, Date callDate, String username, String password, String link, Date creationDate, Map<String, Integer> map) {
		if(creationDate != null && callDate != null && link != null && username != null && password != null && isNotBlank(id_crm) && isNotBlank(esito)) {
			try {
				String created = dateFormatUTC(creationDate, ConstantsFormat.invokeDate.stampa());
				String called = dateFormatUTC(callDate, ConstantsFormat.invokeDate.stampa());
				String clearText = username + created + password;
				String digest = encode(clearText);

				Integer a = map.get(id_crm);
				if(a == null) {
					a = 0;
				}
				a++;
				map.put(id_crm, a);

				JSONObject body = new JSONObject()
						.put("IdWasabi", id_crm)
						.put("CallDate", called)
						.put("Value", esito)
						.put("Attempts", a);

				HttpResponse<String> response = Unirest.post(link)
						.header("Authorization", "UsernameToken Username=\""+username+"\",PasswordDigest=\""+digest+"\", Nonce=\""+username+"\",Created=\""+created+"\"")
						.header("Content-Type", ConstantsGlobal.contentJson)
						.body(body)
						.asString();

				String r = response.getBody() != null ? response.getBody().toString() : null;
				if(r != null) {
					logger(id_crm + ": " + r);
				}
			} catch (Exception e) {
				ErrorLog.log(null, null, e);
			}
		}
	}

	public static void contrattoPda(List<Firma> lfs, byte[] bytes, String filename, ProdottoSelezionato prd, Template t, String email) throws Exception {
		String defaultCountry = ConstantsGlobal.COUNTRY;
		String apiKey = t.getApiKey();
		if (notEmpty(lfs)) {
			PhoneNumberUtil phoneUtil = PhoneNumberUtil.getInstance();
			PhoneNumber number = phoneUtil.parseAndKeepRawInput(prd.getTelefono(), defaultCountry);		
			HttpResponse<JsonNode> response = Unirest.post(ConstantsGlobal.signer + "/files")
					.header("Authorization", "Bearer " + apiKey)
					.header("Content-Type", ConstantsGlobal.contentJson)
					.body(new JSONObject()
							.put("name", filename)
							.put("content", new String(Base64.encodeBase64(bytes), ConstantsGlobal.CHARSET))
							)
					.asJson();
			if(response.getBody() != null) {
				Object files = response.getBody().getObject().get("id");
				if(files != null) {
					JSONArray jsa = new JSONArray();
					for(Firma fp : lfs) {
						jsa.put(new JSONObject()
								.put("file", files.toString())
								.put("page", fp.getPagina())
								.put("position", fp.getRettangolo())
								.put("mention", ConstantsLanguage.FIRMA_MENTION.stampa())
								);
					}

					Unirest.post(ConstantsGlobal.signer + "/procedures")
					.header("Authorization", "Bearer " + apiKey)
					.header("Content-Type", ConstantsGlobal.contentJson)
					.body(new JSONObject()
							.put("name", ConstantsLanguage.FIRMA_NAME.stampa() + ": " + filename)
							.put("description", ConstantsLanguage.FIRMA_NAME.stampa()+ ": " + filename)
							.put("members", new JSONArray(Arrays.asList(new JSONObject()
									.put("firstname", prd.getNome())
									.put("lastname", prd.getCognome())
									.put("email", prd.getEmail())
									.put("phone", phoneUtil.format(number, PhoneNumberFormat.E164))
									.put("fileObjects", jsa)
									))
									)
							.put("config", new JSONObject()
									.put("email", new JSONObject()
											.put("member.started", new JSONArray(Arrays.asList(new JSONObject()
													.put("subject", ConstantsLanguage.FIRMA_OGGETTO.stampa() + ": " + filename)
													.put("message", email)
													.put("to", new String [] {"@member"})
													))
													)
											)
									)
							)
					.asJson();
				}
			}
		}
	}

	public static void scaricaFile(String path, List<String> apiKeys) throws Exception {
		if(notEmpty(apiKeys)) {
			File pathH = new File(path);
			creaFile(true, pathH);
			for(String apiKey : apiKeys) {
				HttpResponse<JsonNode> r = Unirest.get(ConstantsGlobal.signer + "/files")
						.header("Authorization", "Bearer " + apiKey)
						.header("Content-Type", ConstantsGlobal.contentJson)
						.asJson();
				if(r.getBody() != null) {
					for(Object fl : r.getBody().getArray()) {
						JSONObject jo = (JSONObject) fl;
						String files = (String) jo.get("id");
						String filename = (String) jo.get("name");
						HttpResponse<String> response = Unirest.get(ConstantsGlobal.signer + files +"/download")
								.header("Authorization", "Bearer " + apiKey)
								.header("Content-Type", ConstantsGlobal.contentJson)
								.asString();
						if(response.getBody() != null) {
							byte[] bytes = Base64.decodeBase64(response.getBody().getBytes());
							String nFile = getBaseNameN(filename) + "_" + "signed"+ "." + getExtensionN(filename);
							Files.write(Paths.get(path + "/" + nFile), bytes );
						}
					}
				}
			}
		}
	}


	public static Date privacy(Date date, Integer giorni) {
		if(gtZero(giorni)) {
			return inizioGiornata(addDays(date, giorni));
		} else {
			return null;
		}
	}

	public static void lanciaCommand(String nome, String files, boolean write) {
		String l = cleanText(files);
		if(isNotBlank(l)) {
			try {
				if(write) {
					String p = getPathBase(ConstantsGlobal.path_tmp);
					File path = new File(p);
					creaFile(true, path);
					if(isBlank(nome)) {
						nome = System.currentTimeMillis() + "";
					}
					String file = p + "/" + nome + "." + ConstantsMap.sh;
					File filF = new File(file);
					Files.write(filF.toPath(), file.getBytes(ConstantsGlobal.CHARSET));

					Set<PosixFilePermission> perms = Files.readAttributes(filF.toPath(),PosixFileAttributes.class).permissions();
					perms.add(PosixFilePermission.OWNER_WRITE);
					perms.add(PosixFilePermission.OWNER_READ);
					perms.add(PosixFilePermission.OWNER_EXECUTE);

					perms.add(PosixFilePermission.GROUP_WRITE);
					perms.add(PosixFilePermission.GROUP_READ);
					perms.add(PosixFilePermission.GROUP_EXECUTE);

					perms.add(PosixFilePermission.OTHERS_WRITE);
					perms.add(PosixFilePermission.OTHERS_READ);
					perms.add(PosixFilePermission.OTHERS_EXECUTE);

					Files.setPosixFilePermissions(filF.toPath(), perms);

					executeRuntime(file, true);
					deleteFile(filF);
				} else {
					executeRuntime(new String[] {ConstantsGlobal.path_shell, "-c", l}, true);
				}
			} catch(Exception e) {
				ErrorLog.log(null, null, e);
			}
		}
	}

	public static String command(String command) {
		String l = cleanText(command);
		List<String> lines = new LinkedList<String>();
		if(isNotBlank(l)) {
			try {
				ProcessBuilder procBuilder = new ProcessBuilder(ConstantsGlobal.path_shell, "-c", l);
				procBuilder.redirectErrorStream(true);
				Process processo = procBuilder.start();
				processo.waitFor();
				//BufferedReader stdInput = new BufferedReader(new InputStreamReader(processo.getInputStream()));
				//BufferedReader stdError = new BufferedReader(new InputStreamReader(processo.getErrorStream()));
				Scanner stdInput = new Scanner(new InputStreamReader(processo.getInputStream()));
				Scanner stdError = new Scanner(new InputStreamReader(processo.getErrorStream()));
				OutputStream toProc = processo.getOutputStream();
				while (stdInput.hasNextLine()) {
					lines.add(stdInput.nextLine());
				}
				while (stdError.hasNextLine()) {
					lines.add(stdError.nextLine());
				}
				stdInput.close();
				stdError.close();
				toProc.close();
			} catch (Exception e) {
				lines.add(e.getMessage());
			}
		}
		return detoken(lines, ConstantsGlobal.RETURN);
	}

	@SuppressWarnings("unchecked")
	public static <T> T getFieldValue(Object object, String fieldName) {
		try {
			Field field = object.getClass().getDeclaredField(fieldName);
			field.setAccessible(true);
			return (T) field.get(object);
		} catch (Exception e) {
			return null;
		} 
	}

	public static boolean matchesIP(String ip, String subnet) {
		IpAddressMatcher ipAddressMatcher = new IpAddressMatcher(subnet);
		return ipAddressMatcher.matches(ip);
	}

	public static boolean validateIP(String ip) {
		if(ip.contains("/")) {
			try {
				SubnetUtils sbU = new SubnetUtils(ip);
				SubnetInfo subnet = sbU.getInfo();
				return notEmpty(subnet.getAllAddresses());
			} catch (Exception e) {
				return false;
			}
		} else {
			InetAddressValidator urlValidator = InetAddressValidator.getInstance();
			return urlValidator.isValid(ip);
		}
	}

	public static List<String> getDataFromBusta(Busta busta) {
		List<String> valori = new ArrayList<String>();
		List<String> chiavi = new ArrayList<String>();
		try {
			PdfReader template = pdfReader(busta.getContent(), null);
			AcroFields form = template.getAcroFields();
			Map<String, Item> campi = form.getFields();
			for(String chiave : campi.keySet()) {
				if(chiave != null && !chiavi.contains(chiave)) {
					chiavi.add(chiave);
					valori.add(chiave);
				}
			}
			template.close();
		}
		catch(Exception e) { 
			ErrorLog.log(null, null, e);
		}
		return valori;
	}
	public static void pda1(Template ts, List<TemplateStore> valori) throws Exception {
		List<String> chiavi = new ArrayList<String>();
		PdfReader template = pdfReader(ts.getContent(), null);
		AcroFields form = template.getAcroFields();
		Map<String, Item> campi = form.getFields();
		for(String chiave : campi.keySet()) {
			if(chiave != null && !chiavi.contains(chiave)) {
				TemplateStore t = new TemplateStore();
				t.setChiave(chiave);
				String[] states = form.getAppearanceStates(chiave);
				t.setOpzioni(detoken(asList(states), ConstantsGlobal.colonSeparator));
				Integer tm = form.getFieldType(chiave);
				if(tm == 6) {
					t.setTipo(ConstantsMap.TIPO_ONEMENU);
				} else if(tm == 5) {
					t.setTipo(ConstantsMap.TIPO_MANYMENU);
				} else if(tm == 3 || tm == 2) {
					t.setTipo(ConstantsMap.TIPO_ONERADIO);
				} else {
					t.setTipo(ConstantsMap.TIPO_APERTO);
				}
				chiavi.add(chiave);
				valori.add(t);
			}
		}
		template.close();
	}

	public static void pda2(Template ts, List<TemplateStore> valori) throws Exception {
		String ext = getExtensionLower(ts.getNomeFileS());
		List<String> chiavi = new ArrayList<String>();
		InputStream stream = new ByteArrayInputStream(ts.getContent());
		Workbook wb = workbook(stream, ext);
		stream.close();
		int ns = wb.getNumberOfSheets();
		for (int i = 0; i < ns; i++) {
			Sheet sheet = wb.getSheetAt(i);
			Iterator<Row> rowIt = sheet.rowIterator();
			while (rowIt.hasNext()) {
				Row row = rowIt.next();
				Iterator<Cell> cellIt = row.cellIterator();
				while (cellIt.hasNext()) {
					Cell cell = cellIt.next();
					if(cell!= null) {
						Comment comment = cell.getCellComment();
						if(comment != null) {
							RichTextString rt = comment.getString();
							String chiave = trimToEmpty(rt.toString());
							if(chiave != null && !chiavi.contains(chiave)) {
								TemplateStore t = new TemplateStore();
								t.setChiave(chiave);
								switch (cell.getCellType()) {
								case BOOLEAN:
									t.setTipo(ConstantsMap.TIPO_BOOLEANO);
									break;
								case NUMERIC:
									if(DateUtil.isCellDateFormatted(cell)) {
										t.setTipo(ConstantsMap.TIPO_DATAORA);
									} else {
										t.setTipo(ConstantsMap.TIPO_INTERO);
									}
									break;
								default:
									t.setTipo(ConstantsMap.TIPO_APERTO);
									break;
								}
								chiavi.add(chiave);
								valori.add(t);
							}
						}
					}
				}
			}
		}
		wb.close();
	}

	public static ByteArrayInputStream zippaPerEmail(Messaggio messaggio, List<AllegatoMessaggio> allegati) {
		if(notEmpty(allegati)) {
			String p = ConstantsGlobal.secretZ;
			ByteArrayOutputStream baos = new ByteArrayOutputStream();
			List<Allegato> all = new ArrayList<Allegato>();
			Iterator<AllegatoMessaggio> itA = allegati.iterator();
			while (itA.hasNext()) {
				AllegatoMessaggio al = (AllegatoMessaggio) itA.next();
				addFile(all, al.getId() + "_" + al.getNome(), al.getFile(), al.getData_creazione().getTime());
			}
			zip(ConstantsLanguage.OGGETTO.stampa() + ": " + messaggio.getOggetto(), all, baos, p);
			return new ByteArrayInputStream(baos.toByteArray()); 
		}
		return null;
	}

	public static void elabora(Map<Long, ?> campi, Map<Long, Boolean> m) {
		if(notEmpty(campi)) {
			List<Long> ls = new ArrayList<Long>();
			Iterator<Long> itA = campi.keySet().iterator();
			while (itA.hasNext()) {
				Long key = itA.next();
				if(!ls.contains(key)) {
					ls.add(key);
				}
				if(!m.containsKey(key)) {
					m.put(key, false);
				} 
			}
			removeMap(ls, m);
		} else {
			m.clear();
		}
	}

	private static void removeMap(List<Long> ls, Map<Long, Boolean> m) {
		List<Long> lsR1 = new ArrayList<Long>();
		Iterator<Long> mIter1 = m.keySet().iterator();
		while (mIter1.hasNext()) {
			Long key = (Long) mIter1.next();
			if(!ls.contains(key) && !lsR1.contains(key)) {
				lsR1.add(key);
			}
		}
		m.keySet().removeAll(lsR1);
	}

	public static void resetMap(Map<Long, Boolean> m) {
		if (notEmpty(m)) {
			Iterator<Long> objIter = m.keySet().iterator();
			while(objIter.hasNext()) {
				Long colonna = objIter.next();
				m.put(colonna, false);
			}
		}
	}

	public static String prendiFiltro() {
		Map<String, String> map = getRequestParameterMap();
		if(map != null) {
			return trimToNull((String) map.get("reset"));
		}
		return null;
	}

	@SuppressWarnings("unchecked")
	public static <T> List<T> getResultList(Query<?> query, Class<T> type){
		List<Object[]> records = (List<Object[]>) query.getResultList();
		List<T> result = new LinkedList<>();
		for(Object[] record : records){
			result.add(map(type, record));
		}
		return result;
	}

	public static <T> T map(Class<T> type, Object[] tuple){
		List<Class<?>> tupleTypes = new ArrayList<>();
		for(Object field : tuple){
			tupleTypes.add(field.getClass());
		}
		try {
			Constructor<T> ctor = type.getConstructor(tupleTypes.toArray(new Class<?>[tuple.length]));
			return ctor.newInstance(tuple);
		} catch (Exception e) {
			throw new RuntimeException(e);
		}
	}

	public static void creaFile(boolean directory, File file){
		if(file != null) {
			try {
				if(!directory) {
					File parent = file.getParentFile();
					if (!parent.exists()) {
						parent.mkdirs();
					}
					if (!file.exists()) {
						file.createNewFile();
					}
				} else {
					if (!file.exists()) {
						file.mkdirs();
					}
				}
			} catch (Exception e) {
				ErrorLog.log(null, null, e);
			}
		}
	}

	public static boolean scriviFile(String content, String name){
		try {
			String c = trimToEmpty(content).replaceAll(ConstantsGlobal.EOLINE, "");
			File file = new File(name);
			creaFile(false, file);
			String a = trimToEmpty(new String(readFileToByteArray(file), ConstantsGlobal.CHARSET)).replaceAll(ConstantsGlobal.EOLINE, "");
			if(!equals(a,c)) {
				FileOutputStream f = new FileOutputStream(file);
				PrintStream scrivi = new PrintStream(f);
				scrivi.println(c);
				scrivi.close();
				return true;
			}
		} catch (Exception e) {
			ErrorLog.log(null, null, e);
		}
		return false;
	}

	public static String soloNumero(Integer soloNumero){
		if(eq(soloNumero, 1)){
			return ConstantsMap.telefono_fisso;
		} 
		if(eq(soloNumero, 2)){
			return ConstantsMap.telefono_mobile;
		}
		if(eq(soloNumero, 3)){
			return ConstantsMap.telefono_fax;
		}
		if(eq(soloNumero, 4)){
			return ConstantsMap.telefono_altro;
		}
		return ConstantsMap.telefono_fisso;
	}

	public static String soloNumero(String s){
		Integer soloNumero = toInteger(s);
		return soloNumero(soloNumero);
	}

	public static EsitoChiamata esitoPredefinito(Campagna campagna) {
		EsitoChiamata esito = null;
		if(campagna != null) {
			esito = campagna.getEsito();
		}
		if(esito == null) {
			esito = ConstantsEsito.DEFAULTS.get(ConstantsEsito.ID_DA_CHIAMARE);
		}
		return esito;
	}


	public static boolean executeIVR(AgiChannel chanel, String home, IVRUtil ivr) throws AgiException {
		if(ivr != null && ivr.getApp() != null) {
			riproduciSuono(chanel, home, ivr.getMusica());
			if(ivr.getNumero() != null) {
				chanel.exec(ivr.getApp(), ivr.getNumero());
			} else {
				chanel.exec(ivr.getApp());
			}
			return true;
		}
		return false;
	}


	public static Character riproduciPhonetic(AgiChannel chanel, String testo, String premuto) throws AgiException {
		Character escape = null;
		if(testo != null) {
			escape = chanel.sayPhonetic(testo, premuto);
		}
		return escape;
	}	

	public static Character riproduciSuono(AgiChannel chanel, String home, String music, String premuto) throws AgiException {
		Character escape = null;
		if(music != null) {
			String mi = getBaseNameN(music);
			if(mi.equals(music)) {
				escape = chanel.streamFile(home + ConstantsGlobal.path_sounds + "/" + music, premuto);
			} else { 
				escape = chanel.streamFile(normalizeNoEndSeparator(music), premuto);
			}
		}
		return escape;
	}

	public static void riproduciSuono(AgiChannel chanel, String home, String music) throws AgiException {
		if(music != null) {
			String mi = getBaseNameN(music);
			if(mi.equals(music)) {
				chanel.streamFile(home + ConstantsGlobal.path_sounds + "/" + music);
			} else { 
				chanel.streamFile(normalizeNoEndSeparator(music));
			}
		}
	}


	public static void impostaVariabili(AgiChannel chanel, Map<String, DatoAggiuntivo> valori) throws AgiException {
		if(notEmpty(valori)) {
			Iterator<String> it = valori.keySet().iterator();
			while (it.hasNext()) {
				String key = (String) it.next();
				DatoAggiuntivo da = valori.get(key);
				String valore = trimToNull(da.getValore_formattato());
				if(valore != null) {
					setVariable(true, chanel, key, valore);
				}
			}
		}
	}

	public static void xmlEncoder(List<AnagraficaXML> anagraficheXML, ByteArrayOutputStream result) {
		try {
			if(ConstantsGlobal.xmlEncoder) {
				XMLEncoder xmlEncoder = new XMLEncoder(result);
				xmlEncoder.writeObject(anagraficheXML);
				xmlEncoder.close();
			} else {
				ModelXML tt = new ModelXML();
				tt.setAnagrafiche(anagraficheXML);
				JAXBContext jc = JAXBContext.newInstance(ModelXML.class);
				Marshaller m = jc.createMarshaller();
				m.setProperty(Marshaller.JAXB_FORMATTED_OUTPUT, Boolean.TRUE);
				m.marshal(tt, result);
			}
		} catch (Exception e) {
			ErrorLog.log(null, null, e);
		}
	}

	@SuppressWarnings("unchecked")
	public static void xmlDecoder(List<AnagraficaXML> anaList, InputStream stream) throws Exception {
		if(ConstantsGlobal.xmlEncoder) {
			XMLDecoder xmlDecoder = new XMLDecoder(stream);
			anaList.addAll((List<AnagraficaXML>) xmlDecoder.readObject());
			xmlDecoder.close();
		} else {
			JAXBContext jc = JAXBContext.newInstance(ModelXML.class);
			Unmarshaller u = jc.createUnmarshaller();
			ModelXML tt = (ModelXML) u.unmarshal(stream);
			anaList.addAll(tt.getAnagrafiche());
		}
	}

	public static void jsonEncoder(List<AnagraficaXML> anagraficheXML, ByteArrayOutputStream result) throws Exception {
		ObjectMapper mapper = new ObjectMapper();
		mapper.configure(SerializationFeature.INDENT_OUTPUT, true);
		//mapper.disable(JsonWriteFeature.QUOTE_FIELD_NAMES.mappedFeature());
		mapper.writeValue(result, anagraficheXML);
		result.close();
	}

	public static void jsonDecoder(List<AnagraficaXML> anaList, InputStream stream) throws Exception {
		ObjectMapper mapper = new ObjectMapper();
		mapper.disable(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES);
		//mapper.disable(JsonWriteFeature.QUOTE_FIELD_NAMES.mappedFeature());
		anaList.addAll(mapper.readValue(stream, new TypeReference<List<AnagraficaXML>>(){}));
	}

	public static AnagraficaXML merge(AnagraficaXML merged, int i, AnagraficaXML ... s) {
		if(merged == null) {
			merged = new AnagraficaXML();
		}
		if(i < s.length && s[i] != null) {
			try {
				for (Field field : AnagraficaXML.class.getDeclaredFields()) {
					field.setAccessible(true);
					Object dm = field.get(merged);
					Object sm = field.get(s[i]);
					field.set(merged, dm == null ? sm : dm);
				}
				for (Field field : IndirizzoXML.class.getDeclaredFields()) {
					field.setAccessible(true);
					Object dm = field.get(merged.getIndirizzo_legale());
					Object sm = field.get(s[i].getIndirizzo_legale());
					field.set(merged.getIndirizzo_legale(), dm == null ? sm : dm);
				}
				for (Field field : IndirizzoXML.class.getDeclaredFields()) {
					field.setAccessible(true);
					Object dm = field.get(merged.getIndirizzo_operativo());
					Object sm = field.get(s[i].getIndirizzo_operativo());
					field.set(merged.getIndirizzo_operativo(), dm == null ? sm : dm);
				}
				for(DatoAggiuntivoAnagraficaXML dettaglio : s[i].getDettagli()) {
					if(!merged.getDettagli().contains(dettaglio)) {
						merged.getDettagli().add(dettaglio);
					}
				}
			} catch (Exception e) {
				ErrorLog.log(null, null, e);
			}
			merge(merged, i+1, s);
		}
		return merged;
	}

	public static void event(Object a, String ... metodo) {
		String cName = a.getClass().getSimpleName();
		List<String> sb = new ArrayList<String>();
		for(Method m1 : a.getClass().getMethods()) {
			if(m1.getName().startsWith("get") || m1.getName().startsWith("is")) {
				try {
					String m = uncapitalize(m1.getName().substring(3));
					if(asList(metodo).contains(m)) {
						Object i = m1.invoke(a, new Object[]{ });
						String resp = m + ": " + "'" + (i == null ? "" : i.toString()) + "'";
						if(!sb.contains(resp)) {
							sb.add(resp);
						}
					}
				}
				catch(Exception e) {
				}
			} 
		}
		if(notEmpty(sb)) {
			Collections.sort(sb);
			String msg = detoken(sb, "; ");
			logger(cName + " - " + msg);
		}
	} 

	public static void copia(Object source, Object target, String metodo) {
		try {
			String m = capitalize(metodo);
			Method field1 = metodo(source, m, true);
			Method field2 = metodo(target, m, false);
			if(field1 != null && field2 != null) {
				Object o = field1.invoke(source, new Object[] { } );
				field2.invoke(target, new Object[] { o } );
			}
		} catch(Exception e) { 
			ErrorLog.log(null, null, e);
		}
	}
	public static void copia(Object source, Object target, String [] metodi) {
		for(String metodo : metodi) {
			copia(source, target, metodo);
		}
	}
	private static Method metodo(Object a, String name, boolean g) {
		for(Method m : a.getClass().getMethods()) {
			boolean condition = g ? ((m.getName().equals("get" + name) || m.getName().equals("is" + name)) && ltZero(m.getParameterCount())) : (m.getName().equals("set" + name) && gtZero(m.getParameterCount()));
			if(condition) {
				return m;
			}
		}
		return null;
	}

	public static String readFile(String path) throws Exception {
		File file = new File(path);
		if (file.exists()) {
			BufferedReader input = new BufferedReader(new FileReader(file));
			StringBuffer buffer = new StringBuffer();
			String text;
			while ((text = input.readLine()) != null)
				buffer.append(text);
			input.close();
			return trimToNull(buffer.toString());
		}
		return null;
	}

	public static String parseJSON(String b, String key) {
		String body = trimToNull(b);
		if(b != null) {
			try {
				Object a = JsonPath.read(body, key);
				if (a != null) {
					return a.toString();
				}
			} catch (Exception e) {
				ErrorLog.log(null, null, e);
			}
		}
		return "";
	}

	public static String parseXML(String b, String key) {
		String body = trimToNull(b);
		if(b != null) {
			try {
				ByteArrayInputStream bos = new ByteArrayInputStream(body.getBytes(ConstantsGlobal.CHARSET));
				org.w3c.dom.Document document = DocumentBuilderFactory.newInstance().newDocumentBuilder().parse(bos);
				XPath xpath = XPathFactory.newInstance().newXPath();
				XPathExpression expr = xpath.compile(key);
				Object a = expr.evaluate(document, XPathConstants.STRING);
				bos.close();
				if(a != null) {
					return a.toString();
				}
			} catch (Exception e) {
				ErrorLog.log(null, null, e);
			}
		}
		return "";
	}

	public static String readBody(HttpServletRequest request) throws Exception {
		StringBuilder sb = new StringBuilder();
		BufferedReader reader = request.getReader();
		String line;
		while ((line = reader.readLine()) != null) {
			sb.append(line + System.lineSeparator());
		}
		reader.close();
		return trimToNull(sb.toString());
	}

	public static void writeBody(HttpServletResponse response, String cb) throws Exception {
		PrintWriter out = response.getWriter();
		out.append(trimToEmpty(cb));
		out.close();
		out.flush();
	}

	public static String readParameter(HttpServletRequest request) throws Exception {
		StringBuilder sb = new StringBuilder();
		Enumeration<String> parameters = request.getParameterNames();
		while (parameters.hasMoreElements()) {
			String e = parameters.nextElement();
			if(e != null) {
				String obj = request.getParameter(e);
				if(obj != null) {
					sb.append(e + ": " + obj + System.lineSeparator());
				}
			}

		}
		return trimToNull(sb.toString());
	}
	
	
	public static Map<String, DatoAggiuntivo> readParameters(HttpServletRequest request) throws Exception {
		Map<String, DatoAggiuntivo> valori = new HashMap<String, DatoAggiuntivo>();
		Enumeration<String> parameters = request.getParameterNames();
		while (parameters.hasMoreElements()) {
			String e = parameters.nextElement();
			if(e != null) {
				String obj = request.getParameter(e);
				if(obj != null) {
					valori.put(e, new DatoAggiuntivo(obj));
				}
			}

		}
		return valori;
	}

	public static int aggiustaRighe(Integer righe){
		if(righe == null) {
			righe = 0;
		}
		return righe;
	}
	
	public static String contextPath(HttpServletRequest httpRequest) {
		return substringAfterLast(httpRequest.getRequestURI(), httpRequest.getContextPath());
	}

	public static boolean acceptsGZipEncoding(HttpServletRequest httpRequest) {
		String acceptEncoding = httpRequest.getHeader("Accept-Encoding");
		return acceptEncoding != null && acceptEncoding.indexOf("gzip") != -1;
	}

	public static boolean isMultipartContent(ServletRequest request) {
		String contentType = request.getContentType();
		if (contentType != null && contentType.toLowerCase().startsWith(ConstantsGlobal.MULTIPART)) {
			return true;
		}
		return false;
	}

	public static long asLong(String aa) {
		String a = trimToNull(aa);
		if(a != null) {
			try {
				return Long.valueOf(a);
			} catch (Exception e) {	}
		}
		return 0;
	}
	
	public static int asInteger(String aa) {
		String a = trimToNull(aa);
		if(a != null) {
			try {
				return Integer.valueOf(a);
			} catch (Exception e) {	}
		}
		return 0;
	}
	
	public static String asString(Object a) {
		if(a != null) {
			return trimToEmpty(a.toString());
		}
		return "";
	}

	public static long asZero(Long a) {
		if(a != null) {
			return a;
		}
		return 0;
	}
	
	public static int asZero(Integer a) {
		if(a != null) {
			return a;
		}
		return 0;
	}

	public static MyFile myFile(UploadItem item, long limit) {
		String filename = trimToNull(item.getFileName());
		if(filename != null){
			long ln = item.getFileSize();
			if(!(limit > 0 && ln >= limit)) {
				MyFile file = new MyFile();
				file.setName(getNameN(filename));
				file.setData(item.getData());
				file.setLength(ln);
				return file;
			} 
		}
		return null;
	}

	public static String sizeError(UploadItem item, long limit) {
		String filename = trimToNull(item.getFileName());
		if(filename != null){
			long ln = item.getFileSize();
			if(limit > 0 && ln >= limit) {
				return filename + " - " + Message.addCatalogText("dimensione_errata") + ": " + byteCount(ln) + " " + "(" + Message.addCatalogText("massimo") + ": " + byteCount(limit) + ")";
			}
		}
		return null;
	}
	
	public static String chart(String tipo, String title, String category, String value, boolean legend, boolean orientation, Integer max_width, Integer max_height, List<LabelQuery> lq) {
		try {
			BufferedImage img = ChartUtils.createChart(tipo, title, category, value, legend, orientation, max_width, max_height, lq);
			if(img != null) {
				String ext = ConstantsMap.png;
				ByteArrayOutputStream out = new ByteArrayOutputStream();
				writeImage(img, ext, out);
				out.flush();
				out.close();
				return codificato("image/"+ext, out.toByteArray());
			}
		} catch(Exception e) { }
		return null;
	}
	
	
	public static String pie(String title, boolean legend, boolean orientation, Integer max_width, Integer max_height, List<LabelQuery> lq) {
		try {
			BufferedImage img = ChartUtils.createPie(title, legend, orientation, max_width, max_height, lq);
			if(img != null) {
				String ext = ConstantsMap.png;
				ByteArrayOutputStream out = new ByteArrayOutputStream();
				writeImage(img, ext, out);
				out.flush();
				out.close();
				return codificato("image/"+ext, out.toByteArray());
			}
		} catch(Exception e) { }
		return null;
	}
	
	public static String file(String valore, Integer max_width, Integer max_height) {
		MyFile file = (MyFile) deserialize(trimToNull(valore));
		if(file != null && file.isLogo() && file.getData() != null) {
			String ext = trimToNull(getExtensionLower(file.getName()));
			if(ext != null) {
				try {
					byte [] data = null;
					if(gtZero(max_width) && gtZero(max_height)) {
						BufferedImage img = allToImage(file.getData());
						if(img != null) {
							ByteArrayOutputStream bos = new ByteArrayOutputStream();
							writeImage(getScaledInstance(img, max_width, max_height), ext , bos);
							bos.flush();
							bos.close();
							data = bos.toByteArray();
						}
					} else {
						InputStream fi = new ByteArrayInputStream(file.getData());
						ByteArrayOutputStream out = new ByteArrayOutputStream();
						copyImage(fi, ext, out);
						fi.close();
						out.flush();
						out.close();
						data = out.toByteArray();
					}
					if(data != null) {
						return codificato("image/"+ext, data);
					}
				} catch(Exception e) { }
			}
		}
		return null;
	}
	
	public static String paint(Logo logo, Allegato allegato, String p) {
		String ext = ConstantsMap.png;
		String immagine = "/images/icon/"+p+"." + ext;
		if(allegato != null && allegato.isLogo()) {
			try {
				InputStream fi = null;
				if(logo.isFile()) {
					String fileN = logo.getPath() + "/" + new String(allegato.getFile(), ConstantsGlobal.CHARSET);
					File ff = new File(fileN);
					if(ff.exists()) {
						fi = new FileInputStream(ff);
					}
				} else {
					fi = new ByteArrayInputStream(allegato.getFile());
				}
				if(fi != null) {
					ByteArrayOutputStream out = new ByteArrayOutputStream();
					copyImage(fi, ext ,out);
					fi.close();
					out.close();
					return codificato("image/"+ext, out.toByteArray());
				}
			} catch(Exception e) { }
		}
		return immagine;
	}
	
	
	public static String stampa(Logo logo, Allegato allegato, String stringa, String p) {
		String ext = ConstantsMap.png;
		String immagine = "/images/icon/"+p+"." + ext;
		ByteArrayOutputStream out = new ByteArrayOutputStream();
		BufferedImage old = null;
		try {
			if(allegato !=null && allegato.isLogo()) {
				InputStream fi = null;
				if(logo.isFile()) {
					String fileN = logo.getPath() + "/" + new String(allegato.getFile(), ConstantsGlobal.CHARSET);
					File ff = new File(fileN);
					if(ff.exists()) {
						fi = new FileInputStream(ff);
					}
				} else {
					fi = new ByteArrayInputStream(allegato.getFile());
				}
				if(fi != null) {
					old = readImage(fi);
					fi.close();
				} 
			} 
		} catch(Exception e) { }
		try {
			if(old == null) {
				old = immagine(immagine);
			}
			if(isNotBlank(stringa)) {
				BufferedImage combined = new BufferedImage(old.getWidth(), old.getHeight(), (old.getTransparency() == Transparency.OPAQUE) ?	BufferedImage.TYPE_INT_RGB : BufferedImage.TYPE_INT_ARGB);
				Graphics g = combined.getGraphics();
				g.drawImage(old, 0, 0, null);
				java.awt.Font f = new java.awt.Font ("Verdana", java.awt.Font.BOLD, 12);
				g.setFont(f);
				FontMetrics fm = g.getFontMetrics();
				Rectangle2D rect = fm.getStringBounds(stringa, g);
				Color textColor = Color.black;
				Color bgColor = new Color(255,255, 255);
				int x = 0;
				int y = 15;
				g.setColor(bgColor);
				g.fillRect(x, y - fm.getAscent(), (int) rect.getWidth(), (int) rect.getHeight());
				g.setColor(textColor);
				g.drawString(stringa, x, y);
				writeImage(combined, ext ,out);
			} else {
				writeImage(old, ext ,out);
			}
			out.close();
			return codificato("image/"+ext, out.toByteArray());
		} catch(Exception e) { }
		return immagine;
	}

	
	public static String readFileToString(File f) throws Exception {
		return FileUtils.readFileToString(f, ConstantsGlobal.ENCODING);
	}
	
	public static byte[] readFileToByteArray(File f) throws Exception {
		return FileUtils.readFileToByteArray(f);
	}

	public static void writeByteArrayToFile(File f, byte[] c) throws Exception {
		FileUtils.writeByteArrayToFile(f, c);
	}
	
	public static void writeStringToFile(File f, String c) throws Exception {
		FileUtils.writeStringToFile(f, c, ConstantsGlobal.ENCODING);
	}
	
	public static void copy(InputStream in,OutputStream out) throws Exception {
		IOUtils.copy(in, out);
	}

	public static byte[] toByteArray(InputStream in) throws Exception {
		return IOUtils.toByteArray(in);
	}
	
	public static BufferedImage readImage(File file) throws Exception {
		return ImageIO.read(file);
	}
	public static BufferedImage readImage(InputStream file) throws Exception {
		return ImageIO.read(file);
	}
	public static void writeImage(BufferedImage in, String ext, File out) throws Exception {
		ImageIO.write(in, upperCase(ext), out);
	}
	public static void writeImage(BufferedImage in, String ext, OutputStream out) throws Exception {
		ImageIO.write(in, upperCase(ext), out);
	}
	public static void copyImage(File img, String ext, OutputStream out) throws Exception {
		BufferedImage in = readImage(img);
		writeImage(in, ext, out);
	}
	public static void copyImage(InputStream img, String ext, OutputStream out) throws Exception {
		BufferedImage in = readImage(img);
		writeImage(in, ext, out);
	}
	public static void ricezione(String name, String body, String rr){
		if(body != null) {
			logger(name + System.lineSeparator() + body);
		}
		if(rr != null) {
			logger(rr);
		}
	}
	
	public static URL getURL(String u){
		String url = trimToNull(u);
		if(url != null) {
			try {
				return new URL(addHTTP(url));
			} catch (Exception e) {
			}
		}
		return null;
	}
	
	public static String getUrlBase(String u){
		URL url = getURL(u);
		if(url != null) {
			return url.getHost();
		}
		return "";
	}

	public static String getWebUrlBase(String u){
		URL url = getURL(u);
		if(url != null) {
			return url.getProtocol() +"://" + url.getAuthority();
		}
		return "";
	}
	
	public static String getWebUrl(String u){
		URL url = getURL(u);
		if(url != null) {
			return url.getProtocol() +"://" + url.getAuthority()+ url.getPath();
		}
		return "";
	}
	
	public static String getWebCal(String u){
		URL url = getURL(u);
		if(url != null) {
			return "webcal" + "://" + url.getAuthority()+ url.getPath();
		}
		return "";
	}
	
	public static String addHTTP(String url){
		return (url != null && !(url.startsWith("http") || url.startsWith("https"))) ? ("http" + "://" + url) : url;
	}
	
	public static String httpType(Boolean ssl){
		return (isTrue(ssl) ? "https" : "http") + "://";
	}
	public static boolean isSSL(String link){
		return isNotBlank(link) && link.startsWith("https");
	}
	public static boolean isHTTP(String protocol){
		return protocol != null && (protocol.equals("http") || protocol.equals("https"));
	}
	public static boolean isMAILTO(String protocol){
		return protocol != null && (protocol.equals("mailto"));
	}
	
	public static String downloadLink(String link) {
		if(isSSL(link)) {
			TrustManager[] trustAllCerts = new TrustManager[]{
					new X509TrustManager() {
						public X509Certificate[] getAcceptedIssuers() {
							return null;
						}
						public void checkClientTrusted(X509Certificate[] certs, String authType) {
						}
						public void checkServerTrusted(X509Certificate[] certs, String authType) {
						}
					}
			};
			try {
				SSLContext sc = SSLContext.getInstance("SSL");
				sc.init(null, trustAllCerts, new SecureRandom());
				HttpsURLConnection.setDefaultSSLSocketFactory(sc.getSocketFactory());
			} catch (Exception e) {
			}
		}
		try {
			URL website = new URL(link);
			InputStream bis = website.openStream();
			byte[] targetArray = new byte[bis.available()];
			bis.read(targetArray);
			bis.close();
			return trimToNull(new String(targetArray, ConstantsGlobal.CHARSET));
		} catch (Exception e) {
		}

		return null;
	}
	
	
	public static String downloadClient(OutputStream out, String nuo, String home) throws Exception {
		String ext = ConstantsMap.zip;
		String clientN = "client" + "." + ext;
		if(isNotBlank(nuo)) {
			String directory = home + ConstantsGlobal.path_client + "/";
			String clientB = "callite-client" + "." + ext;
			String old = ConstantsGlobal.demo;
			String file = "CalLite/Data/profile/prefs.js";
			//String file = "Data/profile/prefs.js";
			File dd = new File(directory);
			creaFile(true, dd);
			String source = directory + clientN;
			int BUFFER_SIZE = ConstantsGlobal.kb;
			File zip = new File(source);
			if(!zip.exists()) { 
				String link = ConstantsGlobal.site;
				if(isSSL(link)) {
					TrustManager[] trustAllCerts = new TrustManager[]{
							new X509TrustManager() {
								public X509Certificate[] getAcceptedIssuers() {
									return null;
								}
								public void checkClientTrusted(X509Certificate[] certs, String authType) {
								}
								public void checkServerTrusted(X509Certificate[] certs, String authType) {
								}
							}
					};
					try {
						SSLContext sc = SSLContext.getInstance("SSL");
						sc.init(null, trustAllCerts, new SecureRandom());
						HttpsURLConnection.setDefaultSSLSocketFactory(sc.getSocketFactory());
					} catch (Exception e) {
					}
				}
				URL website = new URL(link + "/download/" + clientB);
				ReadableByteChannel rbc = Channels.newChannel(website.openStream());
				FileOutputStream fos = new FileOutputStream(source);
				fos.getChannel().transferFrom(rbc, 0, Long.MAX_VALUE);
				fos.close();
			}
			ZipFile zipFile = new ZipFile(zip);
			ZipOutputStream zos = new ZipOutputStream(new BufferedOutputStream(out));
			zos.setComment(nuo);
			for(Enumeration<?> e = zipFile.entries(); e.hasMoreElements(); ) {
				ZipEntry entryIn = (ZipEntry) e.nextElement();
				InputStream is1 = zipFile.getInputStream(entryIn);
				if(entryIn.getName().equals(file)){
					BufferedReader reader = new BufferedReader(new InputStreamReader(is1));
					StringBuilder sb = new StringBuilder();
					String inputLine;
					while((inputLine = reader.readLine()) != null) {
						if(inputLine.contains(old)) {
							inputLine = inputLine.replaceAll(old, nuo);
						}
						sb.append(inputLine + ConstantsGlobal.NEWLINE);
					}
					ZipEntry entry2 = new ZipEntry(file);
					InputStream is2 = new ByteArrayInputStream(sb.toString().getBytes(ConstantsGlobal.CHARSET));
					BufferedInputStream o2 = new BufferedInputStream(is2, BUFFER_SIZE);
					zos.putNextEntry(entry2);
					copy(o2, zos);
					o2.close();
					is2.close();
					reader.close();
				} else {
					ZipEntry entry1 = new ZipEntry(entryIn.getName());
					BufferedInputStream o1 = new BufferedInputStream(is1, BUFFER_SIZE);
					zos.putNextEntry(entry1);
					copy(o1, zos);
					o1.close();
				}
				is1.close();
				zos.closeEntry();
			}
			zos.close();
			zipFile.close();
		}
		return clientN;
	}
	
	public static String downloadInstaller(OutputStream out, String nuo, String ext) throws Exception {
		String clientN = "client" + "." + ext;
		if(isNotBlank(nuo)) {
			String clientB = "callite-client" + "." + ext;
			String old = ConstantsGlobal.demo;
			String link = ConstantsGlobal.site;
			if(isSSL(link)) {
				TrustManager[] trustAllCerts = new TrustManager[]{
						new X509TrustManager() {
							public X509Certificate[] getAcceptedIssuers() {
								return null;
							}
							public void checkClientTrusted(X509Certificate[] certs, String authType) {
							}
							public void checkServerTrusted(X509Certificate[] certs, String authType) {
							}
						}
				};
				try {
					SSLContext sc = SSLContext.getInstance("SSL");
					sc.init(null, trustAllCerts, new SecureRandom());
					HttpsURLConnection.setDefaultSSLSocketFactory(sc.getSocketFactory());
				} catch (Exception e) {
				}
			}
			URL website = new URL(link + "/download/" + clientB);
			InputStream bis = website.openStream();
			byte[] targetArray = new byte[bis.available()];
			bis.read(targetArray);
			String content = new String(targetArray, ConstantsGlobal.CHARSET).replaceAll(old, nuo);
			byte [] c = content.getBytes(ConstantsGlobal.CHARSET);
			out.write(c);
			bis.close();
		}
		return clientN;
	}
	
	public static byte[] creaImamgine(String type) throws Exception {
		int height = 1;
		int width = 1;
		BufferedImage bufferedImage = new BufferedImage(width, height, BufferedImage.TYPE_INT_RGB);
		Graphics2D g2d = bufferedImage.createGraphics();
		RenderingHints rh = new RenderingHints(RenderingHints.KEY_ANTIALIASING,	RenderingHints.VALUE_ANTIALIAS_ON);
		rh.put(RenderingHints.KEY_RENDERING, RenderingHints.VALUE_RENDER_QUALITY);
		g2d.setRenderingHints(rh);
		g2d.fillRect(0, 0, width, height);
		g2d.setColor(new Color(255, 255, 255));
		ByteArrayOutputStream baos = new ByteArrayOutputStream();
		writeImage(bufferedImage, type, baos);
		baos.close();
		return baos.toByteArray();
	}
	
}